## API Report File for "@azure-rest/arm-network"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import type { AbortSignalLike } from '@azure/abort-controller';
import type { CancelOnProgress } from '@azure/core-lro';
import type { Client } from '@azure-rest/core-client';
import type { ClientOptions } from '@azure-rest/core-client';
import type { CreateHttpPollerOptions } from '@azure/core-lro';
import type { HttpResponse } from '@azure-rest/core-client';
import type { OperationState } from '@azure/core-lro';
import type { PathUncheckedResponse } from '@azure-rest/core-client';
import type { RawHttpHeaders } from '@azure/core-rest-pipeline';
import type { RawHttpHeadersInput } from '@azure/core-rest-pipeline';
import type { RequestParameters } from '@azure-rest/core-client';
import type { StreamableMethod } from '@azure-rest/core-client';
import type { TokenCredential } from '@azure/core-auth';

// @public
export interface AadAuthenticationParameters {
    aadAudience?: string;
    aadIssuer?: string;
    aadTenant?: string;
}

// @public
export interface AadAuthenticationParametersOutput {
    aadAudience?: string;
    aadIssuer?: string;
    aadTenant?: string;
}

// @public
export interface Action {
    parameters?: Array<Parameter>;
    type?: "Unknown" | "Remove" | "Add" | "Replace" | "Drop";
}

// @public
export interface ActionOutput {
    parameters?: Array<ParameterOutput>;
    type?: "Unknown" | "Remove" | "Add" | "Replace" | "Drop";
}

// @public
export type ActiveBaseSecurityAdminRuleOutput = ActiveSecurityAdminRuleOutput | ActiveDefaultSecurityAdminRuleOutput;

// @public
export interface ActiveBaseSecurityAdminRuleOutputParent {
    commitTime?: string;
    configurationDescription?: string;
    id?: string;
    // (undocumented)
    kind: "ActiveBaseSecurityAdminRule" | "Custom" | "Default";
    region?: string;
    ruleCollectionAppliesToGroups?: Array<NetworkManagerSecurityGroupItemOutput>;
    ruleCollectionDescription?: string;
    ruleGroups?: Array<ConfigurationGroupOutput>;
}

// @public
export interface ActiveConfigurationParameter {
    regions?: Array<string>;
    skipToken?: string;
}

// @public
export interface ActiveConnectivityConfigurationOutput extends EffectiveConnectivityConfigurationOutput {
    commitTime?: string;
    region?: string;
}

// @public
export interface ActiveConnectivityConfigurationsListResultOutput {
    skipToken?: string;
    value?: Array<ActiveConnectivityConfigurationOutput>;
}

// @public
export interface ActiveDefaultSecurityAdminRuleOutput extends ActiveBaseSecurityAdminRuleOutputParent {
    // (undocumented)
    kind: "Default";
    properties?: DefaultAdminPropertiesFormatOutput;
}

// @public
export interface ActiveSecurityAdminRuleOutput extends ActiveBaseSecurityAdminRuleOutputParent {
    // (undocumented)
    kind: "Custom";
    properties?: AdminPropertiesFormatOutput;
}

// @public
export interface ActiveSecurityAdminRulesListResultOutput {
    skipToken?: string;
    value?: Array<ActiveBaseSecurityAdminRuleOutput>;
}

// @public
export interface AddressPrefixItem {
    addressPrefix?: string;
    addressPrefixType?: "IPPrefix" | "ServiceTag";
}

// @public
export interface AddressPrefixItemOutput {
    addressPrefix?: string;
    addressPrefixType?: "IPPrefix" | "ServiceTag";
}

// @public
export interface AddressSpace {
    addressPrefixes?: Array<string>;
}

// @public
export interface AddressSpaceOutput {
    addressPrefixes?: Array<string>;
}

// @public
export interface AdminPropertiesFormat {
    access: "Allow" | "Deny" | "AlwaysAllow";
    description?: string;
    destinationPortRanges?: Array<string>;
    destinations?: Array<AddressPrefixItem>;
    direction: "Inbound" | "Outbound";
    priority: number;
    protocol: "Tcp" | "Udp" | "Icmp" | "Esp" | "Any" | "Ah";
    sourcePortRanges?: Array<string>;
    sources?: Array<AddressPrefixItem>;
}

// @public
export interface AdminPropertiesFormatOutput {
    access: "Allow" | "Deny" | "AlwaysAllow";
    description?: string;
    destinationPortRanges?: Array<string>;
    destinations?: Array<AddressPrefixItemOutput>;
    direction: "Inbound" | "Outbound";
    priority: number;
    protocol: "Tcp" | "Udp" | "Icmp" | "Esp" | "Any" | "Ah";
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    sourcePortRanges?: Array<string>;
    sources?: Array<AddressPrefixItemOutput>;
}

// @public
export interface AdminRule extends BaseAdminRuleParent {
    // (undocumented)
    kind: "Custom";
    properties?: AdminPropertiesFormat;
}

// @public
export interface AdminRuleCollection extends ChildResource {
    properties?: AdminRuleCollectionPropertiesFormat;
}

// @public
export interface AdminRuleCollectionListResultOutput {
    nextLink?: string;
    value?: Array<AdminRuleCollectionOutput>;
}

// @public
export interface AdminRuleCollectionOutput extends ChildResourceOutput {
    properties?: AdminRuleCollectionPropertiesFormatOutput;
    readonly systemData?: SystemDataOutput;
}

// @public
export interface AdminRuleCollectionPropertiesFormat {
    appliesToGroups: Array<NetworkManagerSecurityGroupItem>;
    description?: string;
}

// @public
export interface AdminRuleCollectionPropertiesFormatOutput {
    appliesToGroups: Array<NetworkManagerSecurityGroupItemOutput>;
    description?: string;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public
export interface AdminRuleCollectionsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: AdminRuleCollectionOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface AdminRuleCollectionsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: AdminRuleCollectionOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface AdminRuleCollectionsCreateOrUpdateBodyParam {
    body: AdminRuleCollection;
}

// @public
export interface AdminRuleCollectionsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface AdminRuleCollectionsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type AdminRuleCollectionsCreateOrUpdateParameters = AdminRuleCollectionsCreateOrUpdateQueryParam & AdminRuleCollectionsCreateOrUpdateMediaTypesParam & AdminRuleCollectionsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface AdminRuleCollectionsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: AdminRuleCollectionsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface AdminRuleCollectionsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface AdminRuleCollectionsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface AdminRuleCollectionsDelete202Headers {
    location?: string;
}

// @public
export interface AdminRuleCollectionsDelete202Response extends HttpResponse {
    // (undocumented)
    headers: RawHttpHeaders & AdminRuleCollectionsDelete202Headers;
    // (undocumented)
    status: "202";
}

// @public
export interface AdminRuleCollectionsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface AdminRuleCollectionsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type AdminRuleCollectionsDeleteParameters = AdminRuleCollectionsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface AdminRuleCollectionsDeleteQueryParam {
    // (undocumented)
    queryParameters: AdminRuleCollectionsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface AdminRuleCollectionsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
    force?: boolean;
}

// @public (undocumented)
export interface AdminRuleCollectionsGet {
    delete(options: AdminRuleCollectionsDeleteParameters): StreamableMethod<AdminRuleCollectionsDelete200Response | AdminRuleCollectionsDelete202Response | AdminRuleCollectionsDelete204Response | AdminRuleCollectionsDeleteDefaultResponse>;
    get(options: AdminRuleCollectionsGetParameters): StreamableMethod<AdminRuleCollectionsGet200Response | AdminRuleCollectionsGetDefaultResponse>;
    put(options: AdminRuleCollectionsCreateOrUpdateParameters): StreamableMethod<AdminRuleCollectionsCreateOrUpdate200Response | AdminRuleCollectionsCreateOrUpdate201Response | AdminRuleCollectionsCreateOrUpdateDefaultResponse>;
}

// @public
export interface AdminRuleCollectionsGet200Response extends HttpResponse {
    // (undocumented)
    body: AdminRuleCollectionOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface AdminRuleCollectionsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type AdminRuleCollectionsGetParameters = AdminRuleCollectionsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface AdminRuleCollectionsGetQueryParam {
    // (undocumented)
    queryParameters: AdminRuleCollectionsGetQueryParamProperties;
}

// @public (undocumented)
export interface AdminRuleCollectionsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface AdminRuleCollectionsList {
    get(options: AdminRuleCollectionsListParameters): StreamableMethod<AdminRuleCollectionsList200Response | AdminRuleCollectionsListDefaultResponse>;
}

// @public
export interface AdminRuleCollectionsList200Response extends HttpResponse {
    // (undocumented)
    body: AdminRuleCollectionListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface AdminRuleCollectionsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type AdminRuleCollectionsListParameters = AdminRuleCollectionsListQueryParam & RequestParameters;

// @public (undocumented)
export interface AdminRuleCollectionsListQueryParam {
    // (undocumented)
    queryParameters: AdminRuleCollectionsListQueryParamProperties;
}

// @public (undocumented)
export interface AdminRuleCollectionsListQueryParamProperties {
    "api-version": "2022-05-01";
    $skipToken?: string;
    $top?: number;
}

// @public
export interface AdminRuleListResultOutput {
    nextLink?: string;
    value?: Array<BaseAdminRuleOutput>;
}

// @public
export interface AdminRuleOutput extends BaseAdminRuleOutputParent {
    // (undocumented)
    kind: "Custom";
    properties?: AdminPropertiesFormatOutput;
}

// @public
export interface AdminRulesCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: BaseAdminRuleOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface AdminRulesCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: BaseAdminRuleOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface AdminRulesCreateOrUpdateBodyParam {
    body: BaseAdminRule;
}

// @public
export interface AdminRulesCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface AdminRulesCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type AdminRulesCreateOrUpdateParameters = AdminRulesCreateOrUpdateQueryParam & AdminRulesCreateOrUpdateMediaTypesParam & AdminRulesCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface AdminRulesCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: AdminRulesCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface AdminRulesCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface AdminRulesDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface AdminRulesDelete202Headers {
    location?: string;
}

// @public
export interface AdminRulesDelete202Response extends HttpResponse {
    // (undocumented)
    headers: RawHttpHeaders & AdminRulesDelete202Headers;
    // (undocumented)
    status: "202";
}

// @public
export interface AdminRulesDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface AdminRulesDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type AdminRulesDeleteParameters = AdminRulesDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface AdminRulesDeleteQueryParam {
    // (undocumented)
    queryParameters: AdminRulesDeleteQueryParamProperties;
}

// @public (undocumented)
export interface AdminRulesDeleteQueryParamProperties {
    "api-version": "2022-05-01";
    force?: boolean;
}

// @public (undocumented)
export interface AdminRulesGet {
    delete(options: AdminRulesDeleteParameters): StreamableMethod<AdminRulesDelete200Response | AdminRulesDelete202Response | AdminRulesDelete204Response | AdminRulesDeleteDefaultResponse>;
    get(options: AdminRulesGetParameters): StreamableMethod<AdminRulesGet200Response | AdminRulesGetDefaultResponse>;
    put(options: AdminRulesCreateOrUpdateParameters): StreamableMethod<AdminRulesCreateOrUpdate200Response | AdminRulesCreateOrUpdate201Response | AdminRulesCreateOrUpdateDefaultResponse>;
}

// @public
export interface AdminRulesGet200Response extends HttpResponse {
    // (undocumented)
    body: BaseAdminRuleOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface AdminRulesGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type AdminRulesGetParameters = AdminRulesGetQueryParam & RequestParameters;

// @public (undocumented)
export interface AdminRulesGetQueryParam {
    // (undocumented)
    queryParameters: AdminRulesGetQueryParamProperties;
}

// @public (undocumented)
export interface AdminRulesGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface AdminRulesList {
    get(options: AdminRulesListParameters): StreamableMethod<AdminRulesList200Response | AdminRulesListDefaultResponse>;
}

// @public
export interface AdminRulesList200Response extends HttpResponse {
    // (undocumented)
    body: AdminRuleListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface AdminRulesListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type AdminRulesListParameters = AdminRulesListQueryParam & RequestParameters;

// @public (undocumented)
export interface AdminRulesListQueryParam {
    // (undocumented)
    queryParameters: AdminRulesListQueryParamProperties;
}

// @public (undocumented)
export interface AdminRulesListQueryParamProperties {
    "api-version": "2022-05-01";
    $skipToken?: string;
    $top?: number;
}

// @public
export interface ApplicationGateway extends Resource {
    identity?: ManagedServiceIdentity;
    properties?: ApplicationGatewayPropertiesFormat;
    zones?: Array<string>;
}

// @public
export interface ApplicationGatewayAuthenticationCertificate extends SubResource {
    name?: string;
    properties?: ApplicationGatewayAuthenticationCertificatePropertiesFormat;
}

// @public
export interface ApplicationGatewayAuthenticationCertificateOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ApplicationGatewayAuthenticationCertificatePropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface ApplicationGatewayAuthenticationCertificatePropertiesFormat {
    data?: string;
}

// @public
export interface ApplicationGatewayAuthenticationCertificatePropertiesFormatOutput {
    data?: string;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public
export interface ApplicationGatewayAutoscaleConfiguration {
    maxCapacity?: number;
    minCapacity: number;
}

// @public
export interface ApplicationGatewayAutoscaleConfigurationOutput {
    maxCapacity?: number;
    minCapacity: number;
}

// @public
export interface ApplicationGatewayAvailableSslOptions extends Resource {
    properties?: ApplicationGatewayAvailableSslOptionsPropertiesFormat;
}

// @public
export interface ApplicationGatewayAvailableSslOptionsOutput extends ResourceOutput {
    properties?: ApplicationGatewayAvailableSslOptionsPropertiesFormatOutput;
}

// @public
export interface ApplicationGatewayAvailableSslOptionsPropertiesFormat {
    availableCipherSuites?: Array<"TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384" | "TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256" | "TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA" | "TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA" | "TLS_DHE_RSA_WITH_AES_256_GCM_SHA384" | "TLS_DHE_RSA_WITH_AES_128_GCM_SHA256" | "TLS_DHE_RSA_WITH_AES_256_CBC_SHA" | "TLS_DHE_RSA_WITH_AES_128_CBC_SHA" | "TLS_RSA_WITH_AES_256_GCM_SHA384" | "TLS_RSA_WITH_AES_128_GCM_SHA256" | "TLS_RSA_WITH_AES_256_CBC_SHA256" | "TLS_RSA_WITH_AES_128_CBC_SHA256" | "TLS_RSA_WITH_AES_256_CBC_SHA" | "TLS_RSA_WITH_AES_128_CBC_SHA" | "TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384" | "TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256" | "TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384" | "TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256" | "TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA" | "TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA" | "TLS_DHE_DSS_WITH_AES_256_CBC_SHA256" | "TLS_DHE_DSS_WITH_AES_128_CBC_SHA256" | "TLS_DHE_DSS_WITH_AES_256_CBC_SHA" | "TLS_DHE_DSS_WITH_AES_128_CBC_SHA" | "TLS_RSA_WITH_3DES_EDE_CBC_SHA" | "TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA" | "TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256" | "TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384">;
    availableProtocols?: Array<"TLSv1_0" | "TLSv1_1" | "TLSv1_2" | "TLSv1_3">;
    defaultPolicy?: "AppGwSslPolicy20150501" | "AppGwSslPolicy20170401" | "AppGwSslPolicy20170401S" | "AppGwSslPolicy20220101" | "AppGwSslPolicy20220101S";
    predefinedPolicies?: Array<SubResource>;
}

// @public
export interface ApplicationGatewayAvailableSslOptionsPropertiesFormatOutput {
    availableCipherSuites?: Array<"TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384" | "TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256" | "TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA" | "TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA" | "TLS_DHE_RSA_WITH_AES_256_GCM_SHA384" | "TLS_DHE_RSA_WITH_AES_128_GCM_SHA256" | "TLS_DHE_RSA_WITH_AES_256_CBC_SHA" | "TLS_DHE_RSA_WITH_AES_128_CBC_SHA" | "TLS_RSA_WITH_AES_256_GCM_SHA384" | "TLS_RSA_WITH_AES_128_GCM_SHA256" | "TLS_RSA_WITH_AES_256_CBC_SHA256" | "TLS_RSA_WITH_AES_128_CBC_SHA256" | "TLS_RSA_WITH_AES_256_CBC_SHA" | "TLS_RSA_WITH_AES_128_CBC_SHA" | "TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384" | "TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256" | "TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384" | "TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256" | "TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA" | "TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA" | "TLS_DHE_DSS_WITH_AES_256_CBC_SHA256" | "TLS_DHE_DSS_WITH_AES_128_CBC_SHA256" | "TLS_DHE_DSS_WITH_AES_256_CBC_SHA" | "TLS_DHE_DSS_WITH_AES_128_CBC_SHA" | "TLS_RSA_WITH_3DES_EDE_CBC_SHA" | "TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA" | "TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256" | "TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384">;
    availableProtocols?: Array<"TLSv1_0" | "TLSv1_1" | "TLSv1_2" | "TLSv1_3">;
    defaultPolicy?: "AppGwSslPolicy20150501" | "AppGwSslPolicy20170401" | "AppGwSslPolicy20170401S" | "AppGwSslPolicy20220101" | "AppGwSslPolicy20220101S";
    predefinedPolicies?: Array<SubResourceOutput>;
}

// @public
export interface ApplicationGatewayAvailableSslPredefinedPoliciesOutput {
    nextLink?: string;
    value?: Array<ApplicationGatewaySslPredefinedPolicyOutput>;
}

// @public
export interface ApplicationGatewayAvailableWafRuleSetsResultOutput {
    value?: Array<ApplicationGatewayFirewallRuleSetOutput>;
}

// @public
export interface ApplicationGatewayBackendAddress {
    fqdn?: string;
    ipAddress?: string;
}

// @public
export interface ApplicationGatewayBackendAddressOutput {
    fqdn?: string;
    ipAddress?: string;
}

// @public
export interface ApplicationGatewayBackendAddressPool extends SubResource {
    name?: string;
    properties?: ApplicationGatewayBackendAddressPoolPropertiesFormat;
}

// @public
export interface ApplicationGatewayBackendAddressPoolOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ApplicationGatewayBackendAddressPoolPropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface ApplicationGatewayBackendAddressPoolPropertiesFormat {
    backendAddresses?: Array<ApplicationGatewayBackendAddress>;
}

// @public
export interface ApplicationGatewayBackendAddressPoolPropertiesFormatOutput {
    backendAddresses?: Array<ApplicationGatewayBackendAddressOutput>;
    readonly backendIPConfigurations?: Array<NetworkInterfaceIPConfigurationOutput>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public
export interface ApplicationGatewayBackendHealthHttpSettingsOutput {
    backendHttpSettings?: ApplicationGatewayBackendHttpSettingsOutput;
    servers?: Array<ApplicationGatewayBackendHealthServerOutput>;
}

// @public
export interface ApplicationGatewayBackendHealthOnDemandOutput {
    backendAddressPool?: ApplicationGatewayBackendAddressPoolOutput;
    backendHealthHttpSettings?: ApplicationGatewayBackendHealthHttpSettingsOutput;
}

// @public
export interface ApplicationGatewayBackendHealthOutput {
    backendAddressPools?: Array<ApplicationGatewayBackendHealthPoolOutput>;
}

// @public
export interface ApplicationGatewayBackendHealthPoolOutput {
    backendAddressPool?: ApplicationGatewayBackendAddressPoolOutput;
    backendHttpSettingsCollection?: Array<ApplicationGatewayBackendHealthHttpSettingsOutput>;
}

// @public
export interface ApplicationGatewayBackendHealthServerOutput {
    address?: string;
    health?: "Unknown" | "Up" | "Down" | "Partial" | "Draining";
    healthProbeLog?: string;
    ipConfiguration?: NetworkInterfaceIPConfigurationOutput;
}

// @public
export interface ApplicationGatewayBackendHttpSettings extends SubResource {
    name?: string;
    properties?: ApplicationGatewayBackendHttpSettingsPropertiesFormat;
}

// @public
export interface ApplicationGatewayBackendHttpSettingsOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ApplicationGatewayBackendHttpSettingsPropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface ApplicationGatewayBackendHttpSettingsPropertiesFormat {
    affinityCookieName?: string;
    authenticationCertificates?: Array<SubResource>;
    connectionDraining?: ApplicationGatewayConnectionDraining;
    cookieBasedAffinity?: "Enabled" | "Disabled";
    hostName?: string;
    path?: string;
    pickHostNameFromBackendAddress?: boolean;
    port?: number;
    probe?: SubResource;
    probeEnabled?: boolean;
    protocol?: "Http" | "Https" | "Tcp" | "Tls";
    requestTimeout?: number;
    trustedRootCertificates?: Array<SubResource>;
}

// @public
export interface ApplicationGatewayBackendHttpSettingsPropertiesFormatOutput {
    affinityCookieName?: string;
    authenticationCertificates?: Array<SubResourceOutput>;
    connectionDraining?: ApplicationGatewayConnectionDrainingOutput;
    cookieBasedAffinity?: "Enabled" | "Disabled";
    hostName?: string;
    path?: string;
    pickHostNameFromBackendAddress?: boolean;
    port?: number;
    probe?: SubResourceOutput;
    probeEnabled?: boolean;
    protocol?: "Http" | "Https" | "Tcp" | "Tls";
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    requestTimeout?: number;
    trustedRootCertificates?: Array<SubResourceOutput>;
}

// @public
export interface ApplicationGatewayBackendSettings extends SubResource {
    name?: string;
    properties?: ApplicationGatewayBackendSettingsPropertiesFormat;
}

// @public
export interface ApplicationGatewayBackendSettingsOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ApplicationGatewayBackendSettingsPropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface ApplicationGatewayBackendSettingsPropertiesFormat {
    hostName?: string;
    pickHostNameFromBackendAddress?: boolean;
    port?: number;
    probe?: SubResource;
    protocol?: "Http" | "Https" | "Tcp" | "Tls";
    timeout?: number;
    trustedRootCertificates?: Array<SubResource>;
}

// @public
export interface ApplicationGatewayBackendSettingsPropertiesFormatOutput {
    hostName?: string;
    pickHostNameFromBackendAddress?: boolean;
    port?: number;
    probe?: SubResourceOutput;
    protocol?: "Http" | "Https" | "Tcp" | "Tls";
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    timeout?: number;
    trustedRootCertificates?: Array<SubResourceOutput>;
}

// @public
export interface ApplicationGatewayClientAuthConfiguration {
    verifyClientCertIssuerDN?: boolean;
    verifyClientRevocation?: "None" | "OCSP";
}

// @public
export interface ApplicationGatewayClientAuthConfigurationOutput {
    verifyClientCertIssuerDN?: boolean;
    verifyClientRevocation?: "None" | "OCSP";
}

// @public
export interface ApplicationGatewayConnectionDraining {
    drainTimeoutInSec: number;
    enabled: boolean;
}

// @public
export interface ApplicationGatewayConnectionDrainingOutput {
    drainTimeoutInSec: number;
    enabled: boolean;
}

// @public
export interface ApplicationGatewayCustomError {
    customErrorPageUrl?: string;
    statusCode?: "HttpStatus403" | "HttpStatus502";
}

// @public
export interface ApplicationGatewayCustomErrorOutput {
    customErrorPageUrl?: string;
    statusCode?: "HttpStatus403" | "HttpStatus502";
}

// @public
export interface ApplicationGatewayFirewallDisabledRuleGroup {
    ruleGroupName: string;
    rules?: Array<number>;
}

// @public
export interface ApplicationGatewayFirewallDisabledRuleGroupOutput {
    ruleGroupName: string;
    rules?: Array<number>;
}

// @public
export interface ApplicationGatewayFirewallExclusion {
    matchVariable: string;
    selector: string;
    selectorMatchOperator: string;
}

// @public
export interface ApplicationGatewayFirewallExclusionOutput {
    matchVariable: string;
    selector: string;
    selectorMatchOperator: string;
}

// @public
export interface ApplicationGatewayFirewallManifestRuleSetOutput {
    ruleGroups: Array<ApplicationGatewayFirewallRuleGroupOutput>;
    ruleSetType: string;
    ruleSetVersion: string;
    status?: "Preview" | "GA" | "Supported" | "Deprecated";
    tiers?: Array<"Standard" | "WAF" | "Standard_v2" | "WAF_v2">;
}

// @public
export interface ApplicationGatewayFirewallRule {
    action?: "None" | "AnomalyScoring" | "Allow" | "Block" | "Log";
    description?: string;
    ruleId: number;
    ruleIdString?: string;
    state?: "Enabled" | "Disabled";
}

// @public
export interface ApplicationGatewayFirewallRuleGroup {
    description?: string;
    ruleGroupName: string;
    rules: Array<ApplicationGatewayFirewallRule>;
}

// @public
export interface ApplicationGatewayFirewallRuleGroupOutput {
    description?: string;
    ruleGroupName: string;
    rules: Array<ApplicationGatewayFirewallRuleOutput>;
}

// @public
export interface ApplicationGatewayFirewallRuleOutput {
    action?: "None" | "AnomalyScoring" | "Allow" | "Block" | "Log";
    description?: string;
    ruleId: number;
    ruleIdString?: string;
    state?: "Enabled" | "Disabled";
}

// @public
export interface ApplicationGatewayFirewallRuleSet extends Resource {
    properties?: ApplicationGatewayFirewallRuleSetPropertiesFormat;
}

// @public
export interface ApplicationGatewayFirewallRuleSetOutput extends ResourceOutput {
    properties?: ApplicationGatewayFirewallRuleSetPropertiesFormatOutput;
}

// @public
export interface ApplicationGatewayFirewallRuleSetPropertiesFormat {
    ruleGroups: Array<ApplicationGatewayFirewallRuleGroup>;
    ruleSetType: string;
    ruleSetVersion: string;
    tiers?: Array<"Standard" | "WAF" | "Standard_v2" | "WAF_v2">;
}

// @public
export interface ApplicationGatewayFirewallRuleSetPropertiesFormatOutput {
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    ruleGroups: Array<ApplicationGatewayFirewallRuleGroupOutput>;
    ruleSetType: string;
    ruleSetVersion: string;
    tiers?: Array<"Standard" | "WAF" | "Standard_v2" | "WAF_v2">;
}

// @public
export interface ApplicationGatewayFrontendIPConfiguration extends SubResource {
    name?: string;
    properties?: ApplicationGatewayFrontendIPConfigurationPropertiesFormat;
}

// @public
export interface ApplicationGatewayFrontendIPConfigurationOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ApplicationGatewayFrontendIPConfigurationPropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface ApplicationGatewayFrontendIPConfigurationPropertiesFormat {
    privateIPAddress?: string;
    privateIPAllocationMethod?: "Static" | "Dynamic";
    privateLinkConfiguration?: SubResource;
    publicIPAddress?: SubResource;
    subnet?: SubResource;
}

// @public
export interface ApplicationGatewayFrontendIPConfigurationPropertiesFormatOutput {
    privateIPAddress?: string;
    privateIPAllocationMethod?: "Static" | "Dynamic";
    privateLinkConfiguration?: SubResourceOutput;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    publicIPAddress?: SubResourceOutput;
    subnet?: SubResourceOutput;
}

// @public
export interface ApplicationGatewayFrontendPort extends SubResource {
    name?: string;
    properties?: ApplicationGatewayFrontendPortPropertiesFormat;
}

// @public
export interface ApplicationGatewayFrontendPortOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ApplicationGatewayFrontendPortPropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface ApplicationGatewayFrontendPortPropertiesFormat {
    port?: number;
}

// @public
export interface ApplicationGatewayFrontendPortPropertiesFormatOutput {
    port?: number;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public
export interface ApplicationGatewayGlobalConfiguration {
    enableRequestBuffering?: boolean;
    enableResponseBuffering?: boolean;
}

// @public
export interface ApplicationGatewayGlobalConfigurationOutput {
    enableRequestBuffering?: boolean;
    enableResponseBuffering?: boolean;
}

// @public
export interface ApplicationGatewayHeaderConfiguration {
    headerName?: string;
    headerValue?: string;
}

// @public
export interface ApplicationGatewayHeaderConfigurationOutput {
    headerName?: string;
    headerValue?: string;
}

// @public
export interface ApplicationGatewayHttpListener extends SubResource {
    name?: string;
    properties?: ApplicationGatewayHttpListenerPropertiesFormat;
}

// @public
export interface ApplicationGatewayHttpListenerOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ApplicationGatewayHttpListenerPropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface ApplicationGatewayHttpListenerPropertiesFormat {
    customErrorConfigurations?: Array<ApplicationGatewayCustomError>;
    firewallPolicy?: SubResource;
    frontendIPConfiguration?: SubResource;
    frontendPort?: SubResource;
    hostName?: string;
    hostNames?: Array<string>;
    protocol?: "Http" | "Https" | "Tcp" | "Tls";
    requireServerNameIndication?: boolean;
    sslCertificate?: SubResource;
    sslProfile?: SubResource;
}

// @public
export interface ApplicationGatewayHttpListenerPropertiesFormatOutput {
    customErrorConfigurations?: Array<ApplicationGatewayCustomErrorOutput>;
    firewallPolicy?: SubResourceOutput;
    frontendIPConfiguration?: SubResourceOutput;
    frontendPort?: SubResourceOutput;
    hostName?: string;
    hostNames?: Array<string>;
    protocol?: "Http" | "Https" | "Tcp" | "Tls";
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    requireServerNameIndication?: boolean;
    sslCertificate?: SubResourceOutput;
    sslProfile?: SubResourceOutput;
}

// @public
export interface ApplicationGatewayIPConfiguration extends SubResource {
    name?: string;
    properties?: ApplicationGatewayIPConfigurationPropertiesFormat;
}

// @public
export interface ApplicationGatewayIPConfigurationOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ApplicationGatewayIPConfigurationPropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface ApplicationGatewayIPConfigurationPropertiesFormat {
    subnet?: SubResource;
}

// @public
export interface ApplicationGatewayIPConfigurationPropertiesFormatOutput {
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    subnet?: SubResourceOutput;
}

// @public
export interface ApplicationGatewayListener extends SubResource {
    name?: string;
    properties?: ApplicationGatewayListenerPropertiesFormat;
}

// @public
export interface ApplicationGatewayListenerOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ApplicationGatewayListenerPropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface ApplicationGatewayListenerPropertiesFormat {
    frontendIPConfiguration?: SubResource;
    frontendPort?: SubResource;
    protocol?: "Http" | "Https" | "Tcp" | "Tls";
    sslCertificate?: SubResource;
    sslProfile?: SubResource;
}

// @public
export interface ApplicationGatewayListenerPropertiesFormatOutput {
    frontendIPConfiguration?: SubResourceOutput;
    frontendPort?: SubResourceOutput;
    protocol?: "Http" | "Https" | "Tcp" | "Tls";
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    sslCertificate?: SubResourceOutput;
    sslProfile?: SubResourceOutput;
}

// @public
export interface ApplicationGatewayListResultOutput {
    nextLink?: string;
    value?: Array<ApplicationGatewayOutput>;
}

// @public
export interface ApplicationGatewayLoadDistributionPolicy extends SubResource {
    name?: string;
    properties?: ApplicationGatewayLoadDistributionPolicyPropertiesFormat;
}

// @public
export interface ApplicationGatewayLoadDistributionPolicyOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ApplicationGatewayLoadDistributionPolicyPropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface ApplicationGatewayLoadDistributionPolicyPropertiesFormat {
    loadDistributionAlgorithm?: "RoundRobin" | "LeastConnections" | "IpHash";
    loadDistributionTargets?: Array<ApplicationGatewayLoadDistributionTarget>;
}

// @public
export interface ApplicationGatewayLoadDistributionPolicyPropertiesFormatOutput {
    loadDistributionAlgorithm?: "RoundRobin" | "LeastConnections" | "IpHash";
    loadDistributionTargets?: Array<ApplicationGatewayLoadDistributionTargetOutput>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public
export interface ApplicationGatewayLoadDistributionTarget extends SubResource {
    name?: string;
    properties?: ApplicationGatewayLoadDistributionTargetPropertiesFormat;
}

// @public
export interface ApplicationGatewayLoadDistributionTargetOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ApplicationGatewayLoadDistributionTargetPropertiesFormatOutput;
    readonly type?: string;
}

// @public (undocumented)
export interface ApplicationGatewayLoadDistributionTargetPropertiesFormat {
    backendAddressPool?: SubResource;
    weightPerServer?: number;
}

// @public (undocumented)
export interface ApplicationGatewayLoadDistributionTargetPropertiesFormatOutput {
    backendAddressPool?: SubResourceOutput;
    weightPerServer?: number;
}

// @public
export interface ApplicationGatewayOnDemandProbe {
    backendAddressPool?: SubResource;
    backendHttpSettings?: SubResource;
    host?: string;
    match?: ApplicationGatewayProbeHealthResponseMatch;
    path?: string;
    pickHostNameFromBackendHttpSettings?: boolean;
    protocol?: "Http" | "Https" | "Tcp" | "Tls";
    timeout?: number;
}

// @public
export interface ApplicationGatewayOutput extends ResourceOutput {
    readonly etag?: string;
    identity?: ManagedServiceIdentityOutput;
    properties?: ApplicationGatewayPropertiesFormatOutput;
    zones?: Array<string>;
}

// @public
export interface ApplicationGatewayPathRule extends SubResource {
    name?: string;
    properties?: ApplicationGatewayPathRulePropertiesFormat;
}

// @public
export interface ApplicationGatewayPathRuleOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ApplicationGatewayPathRulePropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface ApplicationGatewayPathRulePropertiesFormat {
    backendAddressPool?: SubResource;
    backendHttpSettings?: SubResource;
    firewallPolicy?: SubResource;
    loadDistributionPolicy?: SubResource;
    paths?: Array<string>;
    redirectConfiguration?: SubResource;
    rewriteRuleSet?: SubResource;
}

// @public
export interface ApplicationGatewayPathRulePropertiesFormatOutput {
    backendAddressPool?: SubResourceOutput;
    backendHttpSettings?: SubResourceOutput;
    firewallPolicy?: SubResourceOutput;
    loadDistributionPolicy?: SubResourceOutput;
    paths?: Array<string>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    redirectConfiguration?: SubResourceOutput;
    rewriteRuleSet?: SubResourceOutput;
}

// @public
export interface ApplicationGatewayPrivateEndpointConnection extends SubResource {
    name?: string;
    properties?: ApplicationGatewayPrivateEndpointConnectionProperties;
}

// @public
export interface ApplicationGatewayPrivateEndpointConnectionListResultOutput {
    nextLink?: string;
    value?: Array<ApplicationGatewayPrivateEndpointConnectionOutput>;
}

// @public
export interface ApplicationGatewayPrivateEndpointConnectionOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ApplicationGatewayPrivateEndpointConnectionPropertiesOutput;
    readonly type?: string;
}

// @public
export interface ApplicationGatewayPrivateEndpointConnectionProperties {
    privateLinkServiceConnectionState?: PrivateLinkServiceConnectionState;
}

// @public
export interface ApplicationGatewayPrivateEndpointConnectionPropertiesOutput {
    readonly linkIdentifier?: string;
    readonly privateEndpoint?: PrivateEndpointOutput;
    privateLinkServiceConnectionState?: PrivateLinkServiceConnectionStateOutput;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public (undocumented)
export interface ApplicationGatewayPrivateEndpointConnectionsDelete {
    delete(options: ApplicationGatewayPrivateEndpointConnectionsDeleteParameters): StreamableMethod<ApplicationGatewayPrivateEndpointConnectionsDelete200Response | ApplicationGatewayPrivateEndpointConnectionsDelete202Response | ApplicationGatewayPrivateEndpointConnectionsDelete204Response | ApplicationGatewayPrivateEndpointConnectionsDeleteDefaultResponse>;
    get(options: ApplicationGatewayPrivateEndpointConnectionsGetParameters): StreamableMethod<ApplicationGatewayPrivateEndpointConnectionsGet200Response | ApplicationGatewayPrivateEndpointConnectionsGetDefaultResponse>;
    put(options: ApplicationGatewayPrivateEndpointConnectionsUpdateParameters): StreamableMethod<ApplicationGatewayPrivateEndpointConnectionsUpdate200Response | ApplicationGatewayPrivateEndpointConnectionsUpdate202Response | ApplicationGatewayPrivateEndpointConnectionsUpdateDefaultResponse>;
}

// @public
export interface ApplicationGatewayPrivateEndpointConnectionsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface ApplicationGatewayPrivateEndpointConnectionsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface ApplicationGatewayPrivateEndpointConnectionsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface ApplicationGatewayPrivateEndpointConnectionsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ApplicationGatewayPrivateEndpointConnectionsDeleteParameters = ApplicationGatewayPrivateEndpointConnectionsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface ApplicationGatewayPrivateEndpointConnectionsDeleteQueryParam {
    // (undocumented)
    queryParameters: ApplicationGatewayPrivateEndpointConnectionsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface ApplicationGatewayPrivateEndpointConnectionsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ApplicationGatewayPrivateEndpointConnectionsGet200Response extends HttpResponse {
    // (undocumented)
    body: ApplicationGatewayPrivateEndpointConnectionOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ApplicationGatewayPrivateEndpointConnectionsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ApplicationGatewayPrivateEndpointConnectionsGetParameters = ApplicationGatewayPrivateEndpointConnectionsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface ApplicationGatewayPrivateEndpointConnectionsGetQueryParam {
    // (undocumented)
    queryParameters: ApplicationGatewayPrivateEndpointConnectionsGetQueryParamProperties;
}

// @public (undocumented)
export interface ApplicationGatewayPrivateEndpointConnectionsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ApplicationGatewayPrivateEndpointConnectionsList {
    get(options: ApplicationGatewayPrivateEndpointConnectionsListParameters): StreamableMethod<ApplicationGatewayPrivateEndpointConnectionsList200Response | ApplicationGatewayPrivateEndpointConnectionsListDefaultResponse>;
}

// @public
export interface ApplicationGatewayPrivateEndpointConnectionsList200Response extends HttpResponse {
    // (undocumented)
    body: ApplicationGatewayPrivateEndpointConnectionListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ApplicationGatewayPrivateEndpointConnectionsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ApplicationGatewayPrivateEndpointConnectionsListParameters = ApplicationGatewayPrivateEndpointConnectionsListQueryParam & RequestParameters;

// @public (undocumented)
export interface ApplicationGatewayPrivateEndpointConnectionsListQueryParam {
    // (undocumented)
    queryParameters: ApplicationGatewayPrivateEndpointConnectionsListQueryParamProperties;
}

// @public (undocumented)
export interface ApplicationGatewayPrivateEndpointConnectionsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ApplicationGatewayPrivateEndpointConnectionsUpdate200Response extends HttpResponse {
    // (undocumented)
    body: ApplicationGatewayPrivateEndpointConnectionOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ApplicationGatewayPrivateEndpointConnectionsUpdate202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface ApplicationGatewayPrivateEndpointConnectionsUpdateBodyParam {
    body: ApplicationGatewayPrivateEndpointConnection;
}

// @public
export interface ApplicationGatewayPrivateEndpointConnectionsUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ApplicationGatewayPrivateEndpointConnectionsUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ApplicationGatewayPrivateEndpointConnectionsUpdateParameters = ApplicationGatewayPrivateEndpointConnectionsUpdateQueryParam & ApplicationGatewayPrivateEndpointConnectionsUpdateMediaTypesParam & ApplicationGatewayPrivateEndpointConnectionsUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface ApplicationGatewayPrivateEndpointConnectionsUpdateQueryParam {
    // (undocumented)
    queryParameters: ApplicationGatewayPrivateEndpointConnectionsUpdateQueryParamProperties;
}

// @public (undocumented)
export interface ApplicationGatewayPrivateEndpointConnectionsUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ApplicationGatewayPrivateLinkConfiguration extends SubResource {
    name?: string;
    properties?: ApplicationGatewayPrivateLinkConfigurationProperties;
}

// @public
export interface ApplicationGatewayPrivateLinkConfigurationOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ApplicationGatewayPrivateLinkConfigurationPropertiesOutput;
    readonly type?: string;
}

// @public
export interface ApplicationGatewayPrivateLinkConfigurationProperties {
    ipConfigurations?: Array<ApplicationGatewayPrivateLinkIpConfiguration>;
}

// @public
export interface ApplicationGatewayPrivateLinkConfigurationPropertiesOutput {
    ipConfigurations?: Array<ApplicationGatewayPrivateLinkIpConfigurationOutput>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public
export interface ApplicationGatewayPrivateLinkIpConfiguration extends SubResource {
    name?: string;
    properties?: ApplicationGatewayPrivateLinkIpConfigurationProperties;
}

// @public
export interface ApplicationGatewayPrivateLinkIpConfigurationOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ApplicationGatewayPrivateLinkIpConfigurationPropertiesOutput;
    readonly type?: string;
}

// @public
export interface ApplicationGatewayPrivateLinkIpConfigurationProperties {
    primary?: boolean;
    privateIPAddress?: string;
    privateIPAllocationMethod?: "Static" | "Dynamic";
    subnet?: SubResource;
}

// @public
export interface ApplicationGatewayPrivateLinkIpConfigurationPropertiesOutput {
    primary?: boolean;
    privateIPAddress?: string;
    privateIPAllocationMethod?: "Static" | "Dynamic";
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    subnet?: SubResourceOutput;
}

// @public
export interface ApplicationGatewayPrivateLinkResource extends SubResource {
    name?: string;
    properties?: ApplicationGatewayPrivateLinkResourceProperties;
}

// @public
export interface ApplicationGatewayPrivateLinkResourceListResultOutput {
    nextLink?: string;
    value?: Array<ApplicationGatewayPrivateLinkResourceOutput>;
}

// @public
export interface ApplicationGatewayPrivateLinkResourceOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ApplicationGatewayPrivateLinkResourcePropertiesOutput;
    readonly type?: string;
}

// @public
export interface ApplicationGatewayPrivateLinkResourceProperties {
    requiredZoneNames?: Array<string>;
}

// @public
export interface ApplicationGatewayPrivateLinkResourcePropertiesOutput {
    readonly groupId?: string;
    readonly requiredMembers?: Array<string>;
    requiredZoneNames?: Array<string>;
}

// @public (undocumented)
export interface ApplicationGatewayPrivateLinkResourcesList {
    get(options: ApplicationGatewayPrivateLinkResourcesListParameters): StreamableMethod<ApplicationGatewayPrivateLinkResourcesList200Response | ApplicationGatewayPrivateLinkResourcesListDefaultResponse>;
}

// @public
export interface ApplicationGatewayPrivateLinkResourcesList200Response extends HttpResponse {
    // (undocumented)
    body: ApplicationGatewayPrivateLinkResourceListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ApplicationGatewayPrivateLinkResourcesListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ApplicationGatewayPrivateLinkResourcesListParameters = ApplicationGatewayPrivateLinkResourcesListQueryParam & RequestParameters;

// @public (undocumented)
export interface ApplicationGatewayPrivateLinkResourcesListQueryParam {
    // (undocumented)
    queryParameters: ApplicationGatewayPrivateLinkResourcesListQueryParamProperties;
}

// @public (undocumented)
export interface ApplicationGatewayPrivateLinkResourcesListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ApplicationGatewayProbe extends SubResource {
    name?: string;
    properties?: ApplicationGatewayProbePropertiesFormat;
}

// @public
export interface ApplicationGatewayProbeHealthResponseMatch {
    body?: string;
    statusCodes?: Array<string>;
}

// @public
export interface ApplicationGatewayProbeHealthResponseMatchOutput {
    body?: string;
    statusCodes?: Array<string>;
}

// @public
export interface ApplicationGatewayProbeOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ApplicationGatewayProbePropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface ApplicationGatewayProbePropertiesFormat {
    host?: string;
    interval?: number;
    match?: ApplicationGatewayProbeHealthResponseMatch;
    minServers?: number;
    path?: string;
    pickHostNameFromBackendHttpSettings?: boolean;
    pickHostNameFromBackendSettings?: boolean;
    port?: number;
    protocol?: "Http" | "Https" | "Tcp" | "Tls";
    timeout?: number;
    unhealthyThreshold?: number;
}

// @public
export interface ApplicationGatewayProbePropertiesFormatOutput {
    host?: string;
    interval?: number;
    match?: ApplicationGatewayProbeHealthResponseMatchOutput;
    minServers?: number;
    path?: string;
    pickHostNameFromBackendHttpSettings?: boolean;
    pickHostNameFromBackendSettings?: boolean;
    port?: number;
    protocol?: "Http" | "Https" | "Tcp" | "Tls";
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    timeout?: number;
    unhealthyThreshold?: number;
}

// @public
export interface ApplicationGatewayPropertiesFormat {
    authenticationCertificates?: Array<ApplicationGatewayAuthenticationCertificate>;
    autoscaleConfiguration?: ApplicationGatewayAutoscaleConfiguration;
    backendAddressPools?: Array<ApplicationGatewayBackendAddressPool>;
    backendHttpSettingsCollection?: Array<ApplicationGatewayBackendHttpSettings>;
    backendSettingsCollection?: Array<ApplicationGatewayBackendSettings>;
    customErrorConfigurations?: Array<ApplicationGatewayCustomError>;
    enableFips?: boolean;
    enableHttp2?: boolean;
    firewallPolicy?: SubResource;
    forceFirewallPolicyAssociation?: boolean;
    frontendIPConfigurations?: Array<ApplicationGatewayFrontendIPConfiguration>;
    frontendPorts?: Array<ApplicationGatewayFrontendPort>;
    gatewayIPConfigurations?: Array<ApplicationGatewayIPConfiguration>;
    globalConfiguration?: ApplicationGatewayGlobalConfiguration;
    httpListeners?: Array<ApplicationGatewayHttpListener>;
    listeners?: Array<ApplicationGatewayListener>;
    loadDistributionPolicies?: Array<ApplicationGatewayLoadDistributionPolicy>;
    privateLinkConfigurations?: Array<ApplicationGatewayPrivateLinkConfiguration>;
    probes?: Array<ApplicationGatewayProbe>;
    redirectConfigurations?: Array<ApplicationGatewayRedirectConfiguration>;
    requestRoutingRules?: Array<ApplicationGatewayRequestRoutingRule>;
    rewriteRuleSets?: Array<ApplicationGatewayRewriteRuleSet>;
    routingRules?: Array<ApplicationGatewayRoutingRule>;
    sku?: ApplicationGatewaySku;
    sslCertificates?: Array<ApplicationGatewaySslCertificate>;
    sslPolicy?: ApplicationGatewaySslPolicy;
    sslProfiles?: Array<ApplicationGatewaySslProfile>;
    trustedClientCertificates?: Array<ApplicationGatewayTrustedClientCertificate>;
    trustedRootCertificates?: Array<ApplicationGatewayTrustedRootCertificate>;
    urlPathMaps?: Array<ApplicationGatewayUrlPathMap>;
    webApplicationFirewallConfiguration?: ApplicationGatewayWebApplicationFirewallConfiguration;
}

// @public
export interface ApplicationGatewayPropertiesFormatOutput {
    authenticationCertificates?: Array<ApplicationGatewayAuthenticationCertificateOutput>;
    autoscaleConfiguration?: ApplicationGatewayAutoscaleConfigurationOutput;
    backendAddressPools?: Array<ApplicationGatewayBackendAddressPoolOutput>;
    backendHttpSettingsCollection?: Array<ApplicationGatewayBackendHttpSettingsOutput>;
    backendSettingsCollection?: Array<ApplicationGatewayBackendSettingsOutput>;
    customErrorConfigurations?: Array<ApplicationGatewayCustomErrorOutput>;
    enableFips?: boolean;
    enableHttp2?: boolean;
    firewallPolicy?: SubResourceOutput;
    forceFirewallPolicyAssociation?: boolean;
    frontendIPConfigurations?: Array<ApplicationGatewayFrontendIPConfigurationOutput>;
    frontendPorts?: Array<ApplicationGatewayFrontendPortOutput>;
    gatewayIPConfigurations?: Array<ApplicationGatewayIPConfigurationOutput>;
    globalConfiguration?: ApplicationGatewayGlobalConfigurationOutput;
    httpListeners?: Array<ApplicationGatewayHttpListenerOutput>;
    listeners?: Array<ApplicationGatewayListenerOutput>;
    loadDistributionPolicies?: Array<ApplicationGatewayLoadDistributionPolicyOutput>;
    readonly operationalState?: "Stopped" | "Starting" | "Running" | "Stopping";
    readonly privateEndpointConnections?: Array<ApplicationGatewayPrivateEndpointConnectionOutput>;
    privateLinkConfigurations?: Array<ApplicationGatewayPrivateLinkConfigurationOutput>;
    probes?: Array<ApplicationGatewayProbeOutput>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    redirectConfigurations?: Array<ApplicationGatewayRedirectConfigurationOutput>;
    requestRoutingRules?: Array<ApplicationGatewayRequestRoutingRuleOutput>;
    readonly resourceGuid?: string;
    rewriteRuleSets?: Array<ApplicationGatewayRewriteRuleSetOutput>;
    routingRules?: Array<ApplicationGatewayRoutingRuleOutput>;
    sku?: ApplicationGatewaySkuOutput;
    sslCertificates?: Array<ApplicationGatewaySslCertificateOutput>;
    sslPolicy?: ApplicationGatewaySslPolicyOutput;
    sslProfiles?: Array<ApplicationGatewaySslProfileOutput>;
    trustedClientCertificates?: Array<ApplicationGatewayTrustedClientCertificateOutput>;
    trustedRootCertificates?: Array<ApplicationGatewayTrustedRootCertificateOutput>;
    urlPathMaps?: Array<ApplicationGatewayUrlPathMapOutput>;
    webApplicationFirewallConfiguration?: ApplicationGatewayWebApplicationFirewallConfigurationOutput;
}

// @public
export interface ApplicationGatewayRedirectConfiguration extends SubResource {
    name?: string;
    properties?: ApplicationGatewayRedirectConfigurationPropertiesFormat;
}

// @public
export interface ApplicationGatewayRedirectConfigurationOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ApplicationGatewayRedirectConfigurationPropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface ApplicationGatewayRedirectConfigurationPropertiesFormat {
    includePath?: boolean;
    includeQueryString?: boolean;
    pathRules?: Array<SubResource>;
    redirectType?: "Permanent" | "Found" | "SeeOther" | "Temporary";
    requestRoutingRules?: Array<SubResource>;
    targetListener?: SubResource;
    targetUrl?: string;
    urlPathMaps?: Array<SubResource>;
}

// @public
export interface ApplicationGatewayRedirectConfigurationPropertiesFormatOutput {
    includePath?: boolean;
    includeQueryString?: boolean;
    pathRules?: Array<SubResourceOutput>;
    redirectType?: "Permanent" | "Found" | "SeeOther" | "Temporary";
    requestRoutingRules?: Array<SubResourceOutput>;
    targetListener?: SubResourceOutput;
    targetUrl?: string;
    urlPathMaps?: Array<SubResourceOutput>;
}

// @public
export interface ApplicationGatewayRequestRoutingRule extends SubResource {
    name?: string;
    properties?: ApplicationGatewayRequestRoutingRulePropertiesFormat;
}

// @public
export interface ApplicationGatewayRequestRoutingRuleOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ApplicationGatewayRequestRoutingRulePropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface ApplicationGatewayRequestRoutingRulePropertiesFormat {
    backendAddressPool?: SubResource;
    backendHttpSettings?: SubResource;
    httpListener?: SubResource;
    loadDistributionPolicy?: SubResource;
    priority?: number;
    redirectConfiguration?: SubResource;
    rewriteRuleSet?: SubResource;
    ruleType?: "Basic" | "PathBasedRouting";
    urlPathMap?: SubResource;
}

// @public
export interface ApplicationGatewayRequestRoutingRulePropertiesFormatOutput {
    backendAddressPool?: SubResourceOutput;
    backendHttpSettings?: SubResourceOutput;
    httpListener?: SubResourceOutput;
    loadDistributionPolicy?: SubResourceOutput;
    priority?: number;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    redirectConfiguration?: SubResourceOutput;
    rewriteRuleSet?: SubResourceOutput;
    ruleType?: "Basic" | "PathBasedRouting";
    urlPathMap?: SubResourceOutput;
}

// @public
export interface ApplicationGatewayRewriteRule {
    actionSet?: ApplicationGatewayRewriteRuleActionSet;
    conditions?: Array<ApplicationGatewayRewriteRuleCondition>;
    name?: string;
    ruleSequence?: number;
}

// @public
export interface ApplicationGatewayRewriteRuleActionSet {
    requestHeaderConfigurations?: Array<ApplicationGatewayHeaderConfiguration>;
    responseHeaderConfigurations?: Array<ApplicationGatewayHeaderConfiguration>;
    urlConfiguration?: ApplicationGatewayUrlConfiguration;
}

// @public
export interface ApplicationGatewayRewriteRuleActionSetOutput {
    requestHeaderConfigurations?: Array<ApplicationGatewayHeaderConfigurationOutput>;
    responseHeaderConfigurations?: Array<ApplicationGatewayHeaderConfigurationOutput>;
    urlConfiguration?: ApplicationGatewayUrlConfigurationOutput;
}

// @public
export interface ApplicationGatewayRewriteRuleCondition {
    ignoreCase?: boolean;
    negate?: boolean;
    pattern?: string;
    variable?: string;
}

// @public
export interface ApplicationGatewayRewriteRuleConditionOutput {
    ignoreCase?: boolean;
    negate?: boolean;
    pattern?: string;
    variable?: string;
}

// @public
export interface ApplicationGatewayRewriteRuleOutput {
    actionSet?: ApplicationGatewayRewriteRuleActionSetOutput;
    conditions?: Array<ApplicationGatewayRewriteRuleConditionOutput>;
    name?: string;
    ruleSequence?: number;
}

// @public
export interface ApplicationGatewayRewriteRuleSet extends SubResource {
    name?: string;
    properties?: ApplicationGatewayRewriteRuleSetPropertiesFormat;
}

// @public
export interface ApplicationGatewayRewriteRuleSetOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ApplicationGatewayRewriteRuleSetPropertiesFormatOutput;
}

// @public
export interface ApplicationGatewayRewriteRuleSetPropertiesFormat {
    rewriteRules?: Array<ApplicationGatewayRewriteRule>;
}

// @public
export interface ApplicationGatewayRewriteRuleSetPropertiesFormatOutput {
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    rewriteRules?: Array<ApplicationGatewayRewriteRuleOutput>;
}

// @public
export interface ApplicationGatewayRoutingRule extends SubResource {
    name?: string;
    properties?: ApplicationGatewayRoutingRulePropertiesFormat;
}

// @public
export interface ApplicationGatewayRoutingRuleOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ApplicationGatewayRoutingRulePropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface ApplicationGatewayRoutingRulePropertiesFormat {
    backendAddressPool?: SubResource;
    backendSettings?: SubResource;
    listener?: SubResource;
    priority: number;
    ruleType?: "Basic" | "PathBasedRouting";
}

// @public
export interface ApplicationGatewayRoutingRulePropertiesFormatOutput {
    backendAddressPool?: SubResourceOutput;
    backendSettings?: SubResourceOutput;
    listener?: SubResourceOutput;
    priority: number;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    ruleType?: "Basic" | "PathBasedRouting";
}

// @public (undocumented)
export interface ApplicationGatewaysBackendHealth {
    post(options: ApplicationGatewaysBackendHealthParameters): StreamableMethod<ApplicationGatewaysBackendHealth200Response | ApplicationGatewaysBackendHealth202Response | ApplicationGatewaysBackendHealthDefaultResponse>;
}

// @public
export interface ApplicationGatewaysBackendHealth200Response extends HttpResponse {
    // (undocumented)
    body: ApplicationGatewayBackendHealthOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ApplicationGatewaysBackendHealth202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface ApplicationGatewaysBackendHealthDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ApplicationGatewaysBackendHealthOnDemand {
    post(options: ApplicationGatewaysBackendHealthOnDemandParameters): StreamableMethod<ApplicationGatewaysBackendHealthOnDemand200Response | ApplicationGatewaysBackendHealthOnDemand202Response | ApplicationGatewaysBackendHealthOnDemandDefaultResponse>;
}

// @public
export interface ApplicationGatewaysBackendHealthOnDemand200Response extends HttpResponse {
    // (undocumented)
    body: ApplicationGatewayBackendHealthOnDemandOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ApplicationGatewaysBackendHealthOnDemand202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface ApplicationGatewaysBackendHealthOnDemandBodyParam {
    body: ApplicationGatewayOnDemandProbe;
}

// @public
export interface ApplicationGatewaysBackendHealthOnDemandDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ApplicationGatewaysBackendHealthOnDemandMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ApplicationGatewaysBackendHealthOnDemandParameters = ApplicationGatewaysBackendHealthOnDemandQueryParam & ApplicationGatewaysBackendHealthOnDemandMediaTypesParam & ApplicationGatewaysBackendHealthOnDemandBodyParam & RequestParameters;

// @public (undocumented)
export interface ApplicationGatewaysBackendHealthOnDemandQueryParam {
    // (undocumented)
    queryParameters: ApplicationGatewaysBackendHealthOnDemandQueryParamProperties;
}

// @public (undocumented)
export interface ApplicationGatewaysBackendHealthOnDemandQueryParamProperties {
    "api-version": "2022-05-01";
    $expand?: string;
}

// @public (undocumented)
export type ApplicationGatewaysBackendHealthParameters = ApplicationGatewaysBackendHealthQueryParam & RequestParameters;

// @public (undocumented)
export interface ApplicationGatewaysBackendHealthQueryParam {
    // (undocumented)
    queryParameters: ApplicationGatewaysBackendHealthQueryParamProperties;
}

// @public (undocumented)
export interface ApplicationGatewaysBackendHealthQueryParamProperties {
    "api-version": "2022-05-01";
    $expand?: string;
}

// @public
export interface ApplicationGatewaysCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: ApplicationGatewayOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ApplicationGatewaysCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: ApplicationGatewayOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface ApplicationGatewaysCreateOrUpdateBodyParam {
    body: ApplicationGateway;
}

// @public
export interface ApplicationGatewaysCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ApplicationGatewaysCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ApplicationGatewaysCreateOrUpdateParameters = ApplicationGatewaysCreateOrUpdateQueryParam & ApplicationGatewaysCreateOrUpdateMediaTypesParam & ApplicationGatewaysCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface ApplicationGatewaysCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: ApplicationGatewaysCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface ApplicationGatewaysCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ApplicationGatewaysDelete {
    delete(options: ApplicationGatewaysDeleteParameters): StreamableMethod<ApplicationGatewaysDelete200Response | ApplicationGatewaysDelete202Response | ApplicationGatewaysDelete204Response | ApplicationGatewaysDeleteDefaultResponse>;
    get(options: ApplicationGatewaysGetParameters): StreamableMethod<ApplicationGatewaysGet200Response | ApplicationGatewaysGetDefaultResponse>;
    patch(options: ApplicationGatewaysUpdateTagsParameters): StreamableMethod<ApplicationGatewaysUpdateTags200Response | ApplicationGatewaysUpdateTagsDefaultResponse>;
    put(options: ApplicationGatewaysCreateOrUpdateParameters): StreamableMethod<ApplicationGatewaysCreateOrUpdate200Response | ApplicationGatewaysCreateOrUpdate201Response | ApplicationGatewaysCreateOrUpdateDefaultResponse>;
}

// @public
export interface ApplicationGatewaysDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface ApplicationGatewaysDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface ApplicationGatewaysDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface ApplicationGatewaysDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ApplicationGatewaysDeleteParameters = ApplicationGatewaysDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface ApplicationGatewaysDeleteQueryParam {
    // (undocumented)
    queryParameters: ApplicationGatewaysDeleteQueryParamProperties;
}

// @public (undocumented)
export interface ApplicationGatewaysDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ApplicationGatewaysGet200Response extends HttpResponse {
    // (undocumented)
    body: ApplicationGatewayOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ApplicationGatewaysGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ApplicationGatewaysGetParameters = ApplicationGatewaysGetQueryParam & RequestParameters;

// @public (undocumented)
export interface ApplicationGatewaysGetQueryParam {
    // (undocumented)
    queryParameters: ApplicationGatewaysGetQueryParamProperties;
}

// @public (undocumented)
export interface ApplicationGatewaysGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ApplicationGatewaysGetSslPredefinedPolicy {
    get(options: ApplicationGatewaysGetSslPredefinedPolicyParameters): StreamableMethod<ApplicationGatewaysGetSslPredefinedPolicy200Response | ApplicationGatewaysGetSslPredefinedPolicyDefaultResponse>;
}

// @public
export interface ApplicationGatewaysGetSslPredefinedPolicy200Response extends HttpResponse {
    // (undocumented)
    body: ApplicationGatewaySslPredefinedPolicyOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ApplicationGatewaysGetSslPredefinedPolicyDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ApplicationGatewaysGetSslPredefinedPolicyParameters = ApplicationGatewaysGetSslPredefinedPolicyQueryParam & RequestParameters;

// @public (undocumented)
export interface ApplicationGatewaysGetSslPredefinedPolicyQueryParam {
    // (undocumented)
    queryParameters: ApplicationGatewaysGetSslPredefinedPolicyQueryParamProperties;
}

// @public (undocumented)
export interface ApplicationGatewaysGetSslPredefinedPolicyQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ApplicationGatewaySku {
    capacity?: number;
    name?: "Standard_Small" | "Standard_Medium" | "Standard_Large" | "WAF_Medium" | "WAF_Large" | "Standard_v2" | "WAF_v2";
    tier?: "Standard" | "WAF" | "Standard_v2" | "WAF_v2";
}

// @public
export interface ApplicationGatewaySkuOutput {
    capacity?: number;
    name?: "Standard_Small" | "Standard_Medium" | "Standard_Large" | "WAF_Medium" | "WAF_Large" | "Standard_v2" | "WAF_v2";
    tier?: "Standard" | "WAF" | "Standard_v2" | "WAF_v2";
}

// @public (undocumented)
export interface ApplicationGatewaysList {
    get(options: ApplicationGatewaysListParameters): StreamableMethod<ApplicationGatewaysList200Response | ApplicationGatewaysListDefaultResponse>;
}

// @public
export interface ApplicationGatewaysList200Response extends HttpResponse {
    // (undocumented)
    body: ApplicationGatewayListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface ApplicationGatewaysListAll {
    get(options: ApplicationGatewaysListAllParameters): StreamableMethod<ApplicationGatewaysListAll200Response | ApplicationGatewaysListAllDefaultResponse>;
}

// @public
export interface ApplicationGatewaysListAll200Response extends HttpResponse {
    // (undocumented)
    body: ApplicationGatewayListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ApplicationGatewaysListAllDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ApplicationGatewaysListAllParameters = ApplicationGatewaysListAllQueryParam & RequestParameters;

// @public (undocumented)
export interface ApplicationGatewaysListAllQueryParam {
    // (undocumented)
    queryParameters: ApplicationGatewaysListAllQueryParamProperties;
}

// @public (undocumented)
export interface ApplicationGatewaysListAllQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ApplicationGatewaysListAvailableRequestHeaders {
    get(options: ApplicationGatewaysListAvailableRequestHeadersParameters): StreamableMethod<ApplicationGatewaysListAvailableRequestHeaders200Response | ApplicationGatewaysListAvailableRequestHeadersDefaultResponse>;
}

// @public
export interface ApplicationGatewaysListAvailableRequestHeaders200Response extends HttpResponse {
    // (undocumented)
    body: Array<string>;
    // (undocumented)
    status: "200";
}

// @public
export interface ApplicationGatewaysListAvailableRequestHeadersDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ApplicationGatewaysListAvailableRequestHeadersParameters = ApplicationGatewaysListAvailableRequestHeadersQueryParam & RequestParameters;

// @public (undocumented)
export interface ApplicationGatewaysListAvailableRequestHeadersQueryParam {
    // (undocumented)
    queryParameters: ApplicationGatewaysListAvailableRequestHeadersQueryParamProperties;
}

// @public (undocumented)
export interface ApplicationGatewaysListAvailableRequestHeadersQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ApplicationGatewaysListAvailableResponseHeaders {
    get(options: ApplicationGatewaysListAvailableResponseHeadersParameters): StreamableMethod<ApplicationGatewaysListAvailableResponseHeaders200Response | ApplicationGatewaysListAvailableResponseHeadersDefaultResponse>;
}

// @public
export interface ApplicationGatewaysListAvailableResponseHeaders200Response extends HttpResponse {
    // (undocumented)
    body: Array<string>;
    // (undocumented)
    status: "200";
}

// @public
export interface ApplicationGatewaysListAvailableResponseHeadersDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ApplicationGatewaysListAvailableResponseHeadersParameters = ApplicationGatewaysListAvailableResponseHeadersQueryParam & RequestParameters;

// @public (undocumented)
export interface ApplicationGatewaysListAvailableResponseHeadersQueryParam {
    // (undocumented)
    queryParameters: ApplicationGatewaysListAvailableResponseHeadersQueryParamProperties;
}

// @public (undocumented)
export interface ApplicationGatewaysListAvailableResponseHeadersQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ApplicationGatewaysListAvailableServerVariables {
    get(options: ApplicationGatewaysListAvailableServerVariablesParameters): StreamableMethod<ApplicationGatewaysListAvailableServerVariables200Response | ApplicationGatewaysListAvailableServerVariablesDefaultResponse>;
}

// @public
export interface ApplicationGatewaysListAvailableServerVariables200Response extends HttpResponse {
    // (undocumented)
    body: Array<string>;
    // (undocumented)
    status: "200";
}

// @public
export interface ApplicationGatewaysListAvailableServerVariablesDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ApplicationGatewaysListAvailableServerVariablesParameters = ApplicationGatewaysListAvailableServerVariablesQueryParam & RequestParameters;

// @public (undocumented)
export interface ApplicationGatewaysListAvailableServerVariablesQueryParam {
    // (undocumented)
    queryParameters: ApplicationGatewaysListAvailableServerVariablesQueryParamProperties;
}

// @public (undocumented)
export interface ApplicationGatewaysListAvailableServerVariablesQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ApplicationGatewaysListAvailableSslOptions {
    get(options: ApplicationGatewaysListAvailableSslOptionsParameters): StreamableMethod<ApplicationGatewaysListAvailableSslOptions200Response | ApplicationGatewaysListAvailableSslOptionsDefaultResponse>;
}

// @public
export interface ApplicationGatewaysListAvailableSslOptions200Response extends HttpResponse {
    // (undocumented)
    body: ApplicationGatewayAvailableSslOptionsOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ApplicationGatewaysListAvailableSslOptionsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ApplicationGatewaysListAvailableSslOptionsParameters = ApplicationGatewaysListAvailableSslOptionsQueryParam & RequestParameters;

// @public (undocumented)
export interface ApplicationGatewaysListAvailableSslOptionsQueryParam {
    // (undocumented)
    queryParameters: ApplicationGatewaysListAvailableSslOptionsQueryParamProperties;
}

// @public (undocumented)
export interface ApplicationGatewaysListAvailableSslOptionsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ApplicationGatewaysListAvailableSslPredefinedPolicies {
    get(options: ApplicationGatewaysListAvailableSslPredefinedPoliciesParameters): StreamableMethod<ApplicationGatewaysListAvailableSslPredefinedPolicies200Response | ApplicationGatewaysListAvailableSslPredefinedPoliciesDefaultResponse>;
}

// @public
export interface ApplicationGatewaysListAvailableSslPredefinedPolicies200Response extends HttpResponse {
    // (undocumented)
    body: ApplicationGatewayAvailableSslPredefinedPoliciesOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ApplicationGatewaysListAvailableSslPredefinedPoliciesDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ApplicationGatewaysListAvailableSslPredefinedPoliciesParameters = ApplicationGatewaysListAvailableSslPredefinedPoliciesQueryParam & RequestParameters;

// @public (undocumented)
export interface ApplicationGatewaysListAvailableSslPredefinedPoliciesQueryParam {
    // (undocumented)
    queryParameters: ApplicationGatewaysListAvailableSslPredefinedPoliciesQueryParamProperties;
}

// @public (undocumented)
export interface ApplicationGatewaysListAvailableSslPredefinedPoliciesQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ApplicationGatewaysListAvailableWafRuleSets {
    get(options: ApplicationGatewaysListAvailableWafRuleSetsParameters): StreamableMethod<ApplicationGatewaysListAvailableWafRuleSets200Response | ApplicationGatewaysListAvailableWafRuleSetsDefaultResponse>;
}

// @public
export interface ApplicationGatewaysListAvailableWafRuleSets200Response extends HttpResponse {
    // (undocumented)
    body: ApplicationGatewayAvailableWafRuleSetsResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ApplicationGatewaysListAvailableWafRuleSetsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ApplicationGatewaysListAvailableWafRuleSetsParameters = ApplicationGatewaysListAvailableWafRuleSetsQueryParam & RequestParameters;

// @public (undocumented)
export interface ApplicationGatewaysListAvailableWafRuleSetsQueryParam {
    // (undocumented)
    queryParameters: ApplicationGatewaysListAvailableWafRuleSetsQueryParamProperties;
}

// @public (undocumented)
export interface ApplicationGatewaysListAvailableWafRuleSetsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ApplicationGatewaysListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ApplicationGatewaysListParameters = ApplicationGatewaysListQueryParam & RequestParameters;

// @public (undocumented)
export interface ApplicationGatewaysListQueryParam {
    // (undocumented)
    queryParameters: ApplicationGatewaysListQueryParamProperties;
}

// @public (undocumented)
export interface ApplicationGatewaysListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ApplicationGatewaySslCertificate extends SubResource {
    name?: string;
    properties?: ApplicationGatewaySslCertificatePropertiesFormat;
}

// @public
export interface ApplicationGatewaySslCertificateOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ApplicationGatewaySslCertificatePropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface ApplicationGatewaySslCertificatePropertiesFormat {
    data?: string;
    keyVaultSecretId?: string;
    password?: string;
}

// @public
export interface ApplicationGatewaySslCertificatePropertiesFormatOutput {
    data?: string;
    keyVaultSecretId?: string;
    password?: string;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    readonly publicCertData?: string;
}

// @public
export interface ApplicationGatewaySslPolicy {
    cipherSuites?: Array<"TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384" | "TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256" | "TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA" | "TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA" | "TLS_DHE_RSA_WITH_AES_256_GCM_SHA384" | "TLS_DHE_RSA_WITH_AES_128_GCM_SHA256" | "TLS_DHE_RSA_WITH_AES_256_CBC_SHA" | "TLS_DHE_RSA_WITH_AES_128_CBC_SHA" | "TLS_RSA_WITH_AES_256_GCM_SHA384" | "TLS_RSA_WITH_AES_128_GCM_SHA256" | "TLS_RSA_WITH_AES_256_CBC_SHA256" | "TLS_RSA_WITH_AES_128_CBC_SHA256" | "TLS_RSA_WITH_AES_256_CBC_SHA" | "TLS_RSA_WITH_AES_128_CBC_SHA" | "TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384" | "TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256" | "TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384" | "TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256" | "TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA" | "TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA" | "TLS_DHE_DSS_WITH_AES_256_CBC_SHA256" | "TLS_DHE_DSS_WITH_AES_128_CBC_SHA256" | "TLS_DHE_DSS_WITH_AES_256_CBC_SHA" | "TLS_DHE_DSS_WITH_AES_128_CBC_SHA" | "TLS_RSA_WITH_3DES_EDE_CBC_SHA" | "TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA" | "TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256" | "TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384">;
    disabledSslProtocols?: Array<"TLSv1_0" | "TLSv1_1" | "TLSv1_2" | "TLSv1_3">;
    minProtocolVersion?: "TLSv1_0" | "TLSv1_1" | "TLSv1_2" | "TLSv1_3";
    policyName?: "AppGwSslPolicy20150501" | "AppGwSslPolicy20170401" | "AppGwSslPolicy20170401S" | "AppGwSslPolicy20220101" | "AppGwSslPolicy20220101S";
    policyType?: "Predefined" | "Custom" | "CustomV2";
}

// @public
export interface ApplicationGatewaySslPolicyOutput {
    cipherSuites?: Array<"TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384" | "TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256" | "TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA" | "TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA" | "TLS_DHE_RSA_WITH_AES_256_GCM_SHA384" | "TLS_DHE_RSA_WITH_AES_128_GCM_SHA256" | "TLS_DHE_RSA_WITH_AES_256_CBC_SHA" | "TLS_DHE_RSA_WITH_AES_128_CBC_SHA" | "TLS_RSA_WITH_AES_256_GCM_SHA384" | "TLS_RSA_WITH_AES_128_GCM_SHA256" | "TLS_RSA_WITH_AES_256_CBC_SHA256" | "TLS_RSA_WITH_AES_128_CBC_SHA256" | "TLS_RSA_WITH_AES_256_CBC_SHA" | "TLS_RSA_WITH_AES_128_CBC_SHA" | "TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384" | "TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256" | "TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384" | "TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256" | "TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA" | "TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA" | "TLS_DHE_DSS_WITH_AES_256_CBC_SHA256" | "TLS_DHE_DSS_WITH_AES_128_CBC_SHA256" | "TLS_DHE_DSS_WITH_AES_256_CBC_SHA" | "TLS_DHE_DSS_WITH_AES_128_CBC_SHA" | "TLS_RSA_WITH_3DES_EDE_CBC_SHA" | "TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA" | "TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256" | "TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384">;
    disabledSslProtocols?: Array<"TLSv1_0" | "TLSv1_1" | "TLSv1_2" | "TLSv1_3">;
    minProtocolVersion?: "TLSv1_0" | "TLSv1_1" | "TLSv1_2" | "TLSv1_3";
    policyName?: "AppGwSslPolicy20150501" | "AppGwSslPolicy20170401" | "AppGwSslPolicy20170401S" | "AppGwSslPolicy20220101" | "AppGwSslPolicy20220101S";
    policyType?: "Predefined" | "Custom" | "CustomV2";
}

// @public
export interface ApplicationGatewaySslPredefinedPolicy extends SubResource {
    name?: string;
    properties?: ApplicationGatewaySslPredefinedPolicyPropertiesFormat;
}

// @public
export interface ApplicationGatewaySslPredefinedPolicyOutput extends SubResourceOutput {
    name?: string;
    properties?: ApplicationGatewaySslPredefinedPolicyPropertiesFormatOutput;
}

// @public
export interface ApplicationGatewaySslPredefinedPolicyPropertiesFormat {
    cipherSuites?: Array<"TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384" | "TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256" | "TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA" | "TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA" | "TLS_DHE_RSA_WITH_AES_256_GCM_SHA384" | "TLS_DHE_RSA_WITH_AES_128_GCM_SHA256" | "TLS_DHE_RSA_WITH_AES_256_CBC_SHA" | "TLS_DHE_RSA_WITH_AES_128_CBC_SHA" | "TLS_RSA_WITH_AES_256_GCM_SHA384" | "TLS_RSA_WITH_AES_128_GCM_SHA256" | "TLS_RSA_WITH_AES_256_CBC_SHA256" | "TLS_RSA_WITH_AES_128_CBC_SHA256" | "TLS_RSA_WITH_AES_256_CBC_SHA" | "TLS_RSA_WITH_AES_128_CBC_SHA" | "TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384" | "TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256" | "TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384" | "TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256" | "TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA" | "TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA" | "TLS_DHE_DSS_WITH_AES_256_CBC_SHA256" | "TLS_DHE_DSS_WITH_AES_128_CBC_SHA256" | "TLS_DHE_DSS_WITH_AES_256_CBC_SHA" | "TLS_DHE_DSS_WITH_AES_128_CBC_SHA" | "TLS_RSA_WITH_3DES_EDE_CBC_SHA" | "TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA" | "TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256" | "TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384">;
    minProtocolVersion?: "TLSv1_0" | "TLSv1_1" | "TLSv1_2" | "TLSv1_3";
}

// @public
export interface ApplicationGatewaySslPredefinedPolicyPropertiesFormatOutput {
    cipherSuites?: Array<"TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384" | "TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256" | "TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA" | "TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA" | "TLS_DHE_RSA_WITH_AES_256_GCM_SHA384" | "TLS_DHE_RSA_WITH_AES_128_GCM_SHA256" | "TLS_DHE_RSA_WITH_AES_256_CBC_SHA" | "TLS_DHE_RSA_WITH_AES_128_CBC_SHA" | "TLS_RSA_WITH_AES_256_GCM_SHA384" | "TLS_RSA_WITH_AES_128_GCM_SHA256" | "TLS_RSA_WITH_AES_256_CBC_SHA256" | "TLS_RSA_WITH_AES_128_CBC_SHA256" | "TLS_RSA_WITH_AES_256_CBC_SHA" | "TLS_RSA_WITH_AES_128_CBC_SHA" | "TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384" | "TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256" | "TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384" | "TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256" | "TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA" | "TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA" | "TLS_DHE_DSS_WITH_AES_256_CBC_SHA256" | "TLS_DHE_DSS_WITH_AES_128_CBC_SHA256" | "TLS_DHE_DSS_WITH_AES_256_CBC_SHA" | "TLS_DHE_DSS_WITH_AES_128_CBC_SHA" | "TLS_RSA_WITH_3DES_EDE_CBC_SHA" | "TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA" | "TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256" | "TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384">;
    minProtocolVersion?: "TLSv1_0" | "TLSv1_1" | "TLSv1_2" | "TLSv1_3";
}

// @public
export interface ApplicationGatewaySslProfile extends SubResource {
    name?: string;
    properties?: ApplicationGatewaySslProfilePropertiesFormat;
}

// @public
export interface ApplicationGatewaySslProfileOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ApplicationGatewaySslProfilePropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface ApplicationGatewaySslProfilePropertiesFormat {
    clientAuthConfiguration?: ApplicationGatewayClientAuthConfiguration;
    sslPolicy?: ApplicationGatewaySslPolicy;
    trustedClientCertificates?: Array<SubResource>;
}

// @public
export interface ApplicationGatewaySslProfilePropertiesFormatOutput {
    clientAuthConfiguration?: ApplicationGatewayClientAuthConfigurationOutput;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    sslPolicy?: ApplicationGatewaySslPolicyOutput;
    trustedClientCertificates?: Array<SubResourceOutput>;
}

// @public (undocumented)
export interface ApplicationGatewaysStart {
    post(options: ApplicationGatewaysStartParameters): StreamableMethod<ApplicationGatewaysStart200Response | ApplicationGatewaysStart202Response | ApplicationGatewaysStartDefaultResponse>;
}

// @public
export interface ApplicationGatewaysStart200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface ApplicationGatewaysStart202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface ApplicationGatewaysStartDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ApplicationGatewaysStartParameters = ApplicationGatewaysStartQueryParam & RequestParameters;

// @public (undocumented)
export interface ApplicationGatewaysStartQueryParam {
    // (undocumented)
    queryParameters: ApplicationGatewaysStartQueryParamProperties;
}

// @public (undocumented)
export interface ApplicationGatewaysStartQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ApplicationGatewaysStop {
    post(options: ApplicationGatewaysStopParameters): StreamableMethod<ApplicationGatewaysStop200Response | ApplicationGatewaysStop202Response | ApplicationGatewaysStopDefaultResponse>;
}

// @public
export interface ApplicationGatewaysStop200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface ApplicationGatewaysStop202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface ApplicationGatewaysStopDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ApplicationGatewaysStopParameters = ApplicationGatewaysStopQueryParam & RequestParameters;

// @public (undocumented)
export interface ApplicationGatewaysStopQueryParam {
    // (undocumented)
    queryParameters: ApplicationGatewaysStopQueryParamProperties;
}

// @public (undocumented)
export interface ApplicationGatewaysStopQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ApplicationGatewaysUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: ApplicationGatewayOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface ApplicationGatewaysUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface ApplicationGatewaysUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ApplicationGatewaysUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ApplicationGatewaysUpdateTagsParameters = ApplicationGatewaysUpdateTagsQueryParam & ApplicationGatewaysUpdateTagsMediaTypesParam & ApplicationGatewaysUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface ApplicationGatewaysUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: ApplicationGatewaysUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface ApplicationGatewaysUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ApplicationGatewayTrustedClientCertificate extends SubResource {
    name?: string;
    properties?: ApplicationGatewayTrustedClientCertificatePropertiesFormat;
}

// @public
export interface ApplicationGatewayTrustedClientCertificateOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ApplicationGatewayTrustedClientCertificatePropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface ApplicationGatewayTrustedClientCertificatePropertiesFormat {
    data?: string;
}

// @public
export interface ApplicationGatewayTrustedClientCertificatePropertiesFormatOutput {
    readonly clientCertIssuerDN?: string;
    data?: string;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    readonly validatedCertData?: string;
}

// @public
export interface ApplicationGatewayTrustedRootCertificate extends SubResource {
    name?: string;
    properties?: ApplicationGatewayTrustedRootCertificatePropertiesFormat;
}

// @public
export interface ApplicationGatewayTrustedRootCertificateOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ApplicationGatewayTrustedRootCertificatePropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface ApplicationGatewayTrustedRootCertificatePropertiesFormat {
    data?: string;
    keyVaultSecretId?: string;
}

// @public
export interface ApplicationGatewayTrustedRootCertificatePropertiesFormatOutput {
    data?: string;
    keyVaultSecretId?: string;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public
export interface ApplicationGatewayUrlConfiguration {
    modifiedPath?: string;
    modifiedQueryString?: string;
    reroute?: boolean;
}

// @public
export interface ApplicationGatewayUrlConfigurationOutput {
    modifiedPath?: string;
    modifiedQueryString?: string;
    reroute?: boolean;
}

// @public
export interface ApplicationGatewayUrlPathMap extends SubResource {
    name?: string;
    properties?: ApplicationGatewayUrlPathMapPropertiesFormat;
}

// @public
export interface ApplicationGatewayUrlPathMapOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ApplicationGatewayUrlPathMapPropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface ApplicationGatewayUrlPathMapPropertiesFormat {
    defaultBackendAddressPool?: SubResource;
    defaultBackendHttpSettings?: SubResource;
    defaultLoadDistributionPolicy?: SubResource;
    defaultRedirectConfiguration?: SubResource;
    defaultRewriteRuleSet?: SubResource;
    pathRules?: Array<ApplicationGatewayPathRule>;
}

// @public
export interface ApplicationGatewayUrlPathMapPropertiesFormatOutput {
    defaultBackendAddressPool?: SubResourceOutput;
    defaultBackendHttpSettings?: SubResourceOutput;
    defaultLoadDistributionPolicy?: SubResourceOutput;
    defaultRedirectConfiguration?: SubResourceOutput;
    defaultRewriteRuleSet?: SubResourceOutput;
    pathRules?: Array<ApplicationGatewayPathRuleOutput>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public
export interface ApplicationGatewayWafDynamicManifestPropertiesResultOutput {
    availableRuleSets?: Array<ApplicationGatewayFirewallManifestRuleSetOutput>;
    defaultRuleSet?: DefaultRuleSetPropertyFormatOutput;
}

// @public
export interface ApplicationGatewayWafDynamicManifestResultListOutput {
    nextLink?: string;
    value?: Array<ApplicationGatewayWafDynamicManifestResultOutput>;
}

// @public
export interface ApplicationGatewayWafDynamicManifestResultOutput {
    id?: string;
    readonly name?: string;
    properties?: ApplicationGatewayWafDynamicManifestPropertiesResultOutput;
    readonly type?: string;
}

// @public (undocumented)
export interface ApplicationGatewayWafDynamicManifestsDefaultGet {
    get(options: ApplicationGatewayWafDynamicManifestsDefaultGetParameters): StreamableMethod<ApplicationGatewayWafDynamicManifestsDefaultGet200Response | ApplicationGatewayWafDynamicManifestsDefaultGetDefaultResponse>;
}

// @public
export interface ApplicationGatewayWafDynamicManifestsDefaultGet200Response extends HttpResponse {
    // (undocumented)
    body: ApplicationGatewayWafDynamicManifestResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ApplicationGatewayWafDynamicManifestsDefaultGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ApplicationGatewayWafDynamicManifestsDefaultGetParameters = ApplicationGatewayWafDynamicManifestsDefaultGetQueryParam & RequestParameters;

// @public (undocumented)
export interface ApplicationGatewayWafDynamicManifestsDefaultGetQueryParam {
    // (undocumented)
    queryParameters: ApplicationGatewayWafDynamicManifestsDefaultGetQueryParamProperties;
}

// @public (undocumented)
export interface ApplicationGatewayWafDynamicManifestsDefaultGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ApplicationGatewayWafDynamicManifestsGet {
    get(options: ApplicationGatewayWafDynamicManifestsGetParameters): StreamableMethod<ApplicationGatewayWafDynamicManifestsGet200Response | ApplicationGatewayWafDynamicManifestsGetDefaultResponse>;
}

// @public
export interface ApplicationGatewayWafDynamicManifestsGet200Response extends HttpResponse {
    // (undocumented)
    body: ApplicationGatewayWafDynamicManifestResultListOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ApplicationGatewayWafDynamicManifestsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ApplicationGatewayWafDynamicManifestsGetParameters = ApplicationGatewayWafDynamicManifestsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface ApplicationGatewayWafDynamicManifestsGetQueryParam {
    // (undocumented)
    queryParameters: ApplicationGatewayWafDynamicManifestsGetQueryParamProperties;
}

// @public (undocumented)
export interface ApplicationGatewayWafDynamicManifestsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ApplicationGatewayWebApplicationFirewallConfiguration {
    disabledRuleGroups?: Array<ApplicationGatewayFirewallDisabledRuleGroup>;
    enabled: boolean;
    exclusions?: Array<ApplicationGatewayFirewallExclusion>;
    fileUploadLimitInMb?: number;
    firewallMode: "Detection" | "Prevention";
    maxRequestBodySize?: number;
    maxRequestBodySizeInKb?: number;
    requestBodyCheck?: boolean;
    ruleSetType: string;
    ruleSetVersion: string;
}

// @public
export interface ApplicationGatewayWebApplicationFirewallConfigurationOutput {
    disabledRuleGroups?: Array<ApplicationGatewayFirewallDisabledRuleGroupOutput>;
    enabled: boolean;
    exclusions?: Array<ApplicationGatewayFirewallExclusionOutput>;
    fileUploadLimitInMb?: number;
    firewallMode: "Detection" | "Prevention";
    maxRequestBodySize?: number;
    maxRequestBodySizeInKb?: number;
    requestBodyCheck?: boolean;
    ruleSetType: string;
    ruleSetVersion: string;
}

// @public
export interface ApplicationRule extends FirewallPolicyRuleParent {
    destinationAddresses?: Array<string>;
    fqdnTags?: Array<string>;
    protocols?: Array<FirewallPolicyRuleApplicationProtocol>;
    // (undocumented)
    ruleType: "ApplicationRule";
    sourceAddresses?: Array<string>;
    sourceIpGroups?: Array<string>;
    targetFqdns?: Array<string>;
    targetUrls?: Array<string>;
    terminateTLS?: boolean;
    webCategories?: Array<string>;
}

// @public
export interface ApplicationRuleOutput extends FirewallPolicyRuleOutputParent {
    destinationAddresses?: Array<string>;
    fqdnTags?: Array<string>;
    protocols?: Array<FirewallPolicyRuleApplicationProtocolOutput>;
    // (undocumented)
    ruleType: "ApplicationRule";
    sourceAddresses?: Array<string>;
    sourceIpGroups?: Array<string>;
    targetFqdns?: Array<string>;
    targetUrls?: Array<string>;
    terminateTLS?: boolean;
    webCategories?: Array<string>;
}

// @public
export interface ApplicationSecurityGroup extends Resource {
    properties?: ApplicationSecurityGroupPropertiesFormat;
}

// @public
export interface ApplicationSecurityGroupListResultOutput {
    readonly nextLink?: string;
    value?: Array<ApplicationSecurityGroupOutput>;
}

// @public
export interface ApplicationSecurityGroupOutput extends ResourceOutput {
    readonly etag?: string;
    properties?: ApplicationSecurityGroupPropertiesFormatOutput;
}

// @public
export interface ApplicationSecurityGroupPropertiesFormat {
}

// @public
export interface ApplicationSecurityGroupPropertiesFormatOutput {
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    readonly resourceGuid?: string;
}

// @public
export interface ApplicationSecurityGroupsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: ApplicationSecurityGroupOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ApplicationSecurityGroupsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: ApplicationSecurityGroupOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface ApplicationSecurityGroupsCreateOrUpdateBodyParam {
    body: ApplicationSecurityGroup;
}

// @public
export interface ApplicationSecurityGroupsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ApplicationSecurityGroupsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ApplicationSecurityGroupsCreateOrUpdateParameters = ApplicationSecurityGroupsCreateOrUpdateQueryParam & ApplicationSecurityGroupsCreateOrUpdateMediaTypesParam & ApplicationSecurityGroupsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface ApplicationSecurityGroupsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: ApplicationSecurityGroupsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface ApplicationSecurityGroupsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ApplicationSecurityGroupsDelete {
    delete(options: ApplicationSecurityGroupsDeleteParameters): StreamableMethod<ApplicationSecurityGroupsDelete200Response | ApplicationSecurityGroupsDelete202Response | ApplicationSecurityGroupsDelete204Response | ApplicationSecurityGroupsDeleteDefaultResponse>;
    get(options: ApplicationSecurityGroupsGetParameters): StreamableMethod<ApplicationSecurityGroupsGet200Response | ApplicationSecurityGroupsGetDefaultResponse>;
    patch(options: ApplicationSecurityGroupsUpdateTagsParameters): StreamableMethod<ApplicationSecurityGroupsUpdateTags200Response | ApplicationSecurityGroupsUpdateTagsDefaultResponse>;
    put(options: ApplicationSecurityGroupsCreateOrUpdateParameters): StreamableMethod<ApplicationSecurityGroupsCreateOrUpdate200Response | ApplicationSecurityGroupsCreateOrUpdate201Response | ApplicationSecurityGroupsCreateOrUpdateDefaultResponse>;
}

// @public
export interface ApplicationSecurityGroupsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface ApplicationSecurityGroupsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface ApplicationSecurityGroupsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface ApplicationSecurityGroupsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ApplicationSecurityGroupsDeleteParameters = ApplicationSecurityGroupsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface ApplicationSecurityGroupsDeleteQueryParam {
    // (undocumented)
    queryParameters: ApplicationSecurityGroupsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface ApplicationSecurityGroupsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ApplicationSecurityGroupsGet200Response extends HttpResponse {
    // (undocumented)
    body: ApplicationSecurityGroupOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ApplicationSecurityGroupsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ApplicationSecurityGroupsGetParameters = ApplicationSecurityGroupsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface ApplicationSecurityGroupsGetQueryParam {
    // (undocumented)
    queryParameters: ApplicationSecurityGroupsGetQueryParamProperties;
}

// @public (undocumented)
export interface ApplicationSecurityGroupsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ApplicationSecurityGroupsList {
    get(options: ApplicationSecurityGroupsListParameters): StreamableMethod<ApplicationSecurityGroupsList200Response | ApplicationSecurityGroupsListDefaultResponse>;
}

// @public
export interface ApplicationSecurityGroupsList200Response extends HttpResponse {
    // (undocumented)
    body: ApplicationSecurityGroupListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface ApplicationSecurityGroupsListAll {
    get(options: ApplicationSecurityGroupsListAllParameters): StreamableMethod<ApplicationSecurityGroupsListAll200Response | ApplicationSecurityGroupsListAllDefaultResponse>;
}

// @public
export interface ApplicationSecurityGroupsListAll200Response extends HttpResponse {
    // (undocumented)
    body: ApplicationSecurityGroupListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ApplicationSecurityGroupsListAllDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ApplicationSecurityGroupsListAllParameters = ApplicationSecurityGroupsListAllQueryParam & RequestParameters;

// @public (undocumented)
export interface ApplicationSecurityGroupsListAllQueryParam {
    // (undocumented)
    queryParameters: ApplicationSecurityGroupsListAllQueryParamProperties;
}

// @public (undocumented)
export interface ApplicationSecurityGroupsListAllQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ApplicationSecurityGroupsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ApplicationSecurityGroupsListParameters = ApplicationSecurityGroupsListQueryParam & RequestParameters;

// @public (undocumented)
export interface ApplicationSecurityGroupsListQueryParam {
    // (undocumented)
    queryParameters: ApplicationSecurityGroupsListQueryParamProperties;
}

// @public (undocumented)
export interface ApplicationSecurityGroupsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ApplicationSecurityGroupsUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: ApplicationSecurityGroupOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface ApplicationSecurityGroupsUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface ApplicationSecurityGroupsUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ApplicationSecurityGroupsUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ApplicationSecurityGroupsUpdateTagsParameters = ApplicationSecurityGroupsUpdateTagsQueryParam & ApplicationSecurityGroupsUpdateTagsMediaTypesParam & ApplicationSecurityGroupsUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface ApplicationSecurityGroupsUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: ApplicationSecurityGroupsUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface ApplicationSecurityGroupsUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface AuthorizationListResultOutput {
    nextLink?: string;
    value?: Array<ExpressRouteCircuitAuthorizationOutput>;
}

// @public
export interface AuthorizationPropertiesFormat {
    authorizationKey?: string;
    authorizationUseStatus?: "Available" | "InUse";
}

// @public
export interface AuthorizationPropertiesFormatOutput {
    authorizationKey?: string;
    authorizationUseStatus?: "Available" | "InUse";
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public
export interface AutoApprovedPrivateLinkServiceOutput {
    privateLinkService?: string;
}

// @public
export interface AutoApprovedPrivateLinkServicesResultOutput {
    readonly nextLink?: string;
    value?: Array<AutoApprovedPrivateLinkServiceOutput>;
}

// @public
export interface AvailabilityOutput {
    blobDuration?: string;
    retention?: string;
    timeGrain?: string;
}

// @public
export interface AvailableDelegationOutput {
    actions?: Array<string>;
    id?: string;
    name?: string;
    serviceName?: string;
    type?: string;
}

// @public (undocumented)
export interface AvailableDelegationsList {
    get(options: AvailableDelegationsListParameters): StreamableMethod<AvailableDelegationsList200Response | AvailableDelegationsListDefaultResponse>;
}

// @public
export interface AvailableDelegationsList200Response extends HttpResponse {
    // (undocumented)
    body: AvailableDelegationsResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface AvailableDelegationsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type AvailableDelegationsListParameters = AvailableDelegationsListQueryParam & RequestParameters;

// @public (undocumented)
export interface AvailableDelegationsListQueryParam {
    // (undocumented)
    queryParameters: AvailableDelegationsListQueryParamProperties;
}

// @public (undocumented)
export interface AvailableDelegationsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface AvailableDelegationsResultOutput {
    readonly nextLink?: string;
    value?: Array<AvailableDelegationOutput>;
}

// @public (undocumented)
export interface AvailableEndpointServicesList {
    get(options: AvailableEndpointServicesListParameters): StreamableMethod<AvailableEndpointServicesList200Response | AvailableEndpointServicesListDefaultResponse>;
}

// @public
export interface AvailableEndpointServicesList200Response extends HttpResponse {
    // (undocumented)
    body: EndpointServicesListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface AvailableEndpointServicesListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type AvailableEndpointServicesListParameters = AvailableEndpointServicesListQueryParam & RequestParameters;

// @public (undocumented)
export interface AvailableEndpointServicesListQueryParam {
    // (undocumented)
    queryParameters: AvailableEndpointServicesListQueryParamProperties;
}

// @public (undocumented)
export interface AvailableEndpointServicesListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface AvailablePrivateEndpointTypeOutput {
    displayName?: string;
    id?: string;
    name?: string;
    resourceName?: string;
    type?: string;
}

// @public (undocumented)
export interface AvailablePrivateEndpointTypesList {
    get(options: AvailablePrivateEndpointTypesListParameters): StreamableMethod<AvailablePrivateEndpointTypesList200Response | AvailablePrivateEndpointTypesListDefaultResponse>;
}

// @public
export interface AvailablePrivateEndpointTypesList200Response extends HttpResponse {
    // (undocumented)
    body: AvailablePrivateEndpointTypesResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface AvailablePrivateEndpointTypesListByResourceGroup {
    get(options: AvailablePrivateEndpointTypesListByResourceGroupParameters): StreamableMethod<AvailablePrivateEndpointTypesListByResourceGroup200Response | AvailablePrivateEndpointTypesListByResourceGroupDefaultResponse>;
}

// @public
export interface AvailablePrivateEndpointTypesListByResourceGroup200Response extends HttpResponse {
    // (undocumented)
    body: AvailablePrivateEndpointTypesResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface AvailablePrivateEndpointTypesListByResourceGroupDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type AvailablePrivateEndpointTypesListByResourceGroupParameters = AvailablePrivateEndpointTypesListByResourceGroupQueryParam & RequestParameters;

// @public (undocumented)
export interface AvailablePrivateEndpointTypesListByResourceGroupQueryParam {
    // (undocumented)
    queryParameters: AvailablePrivateEndpointTypesListByResourceGroupQueryParamProperties;
}

// @public (undocumented)
export interface AvailablePrivateEndpointTypesListByResourceGroupQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface AvailablePrivateEndpointTypesListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type AvailablePrivateEndpointTypesListParameters = AvailablePrivateEndpointTypesListQueryParam & RequestParameters;

// @public (undocumented)
export interface AvailablePrivateEndpointTypesListQueryParam {
    // (undocumented)
    queryParameters: AvailablePrivateEndpointTypesListQueryParamProperties;
}

// @public (undocumented)
export interface AvailablePrivateEndpointTypesListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface AvailablePrivateEndpointTypesResultOutput {
    readonly nextLink?: string;
    value?: Array<AvailablePrivateEndpointTypeOutput>;
}

// @public
export interface AvailableProvidersListCityOutput {
    cityName?: string;
    providers?: Array<string>;
}

// @public
export interface AvailableProvidersListCountryOutput {
    countryName?: string;
    providers?: Array<string>;
    states?: Array<AvailableProvidersListStateOutput>;
}

// @public
export interface AvailableProvidersListOutput {
    countries: Array<AvailableProvidersListCountryOutput>;
}

// @public
export interface AvailableProvidersListParameters {
    azureLocations?: Array<string>;
    city?: string;
    country?: string;
    state?: string;
}

// @public
export interface AvailableProvidersListStateOutput {
    cities?: Array<AvailableProvidersListCityOutput>;
    providers?: Array<string>;
    stateName?: string;
}

// @public (undocumented)
export interface AvailableResourceGroupDelegationsList {
    get(options: AvailableResourceGroupDelegationsListParameters): StreamableMethod<AvailableResourceGroupDelegationsList200Response | AvailableResourceGroupDelegationsListDefaultResponse>;
}

// @public
export interface AvailableResourceGroupDelegationsList200Response extends HttpResponse {
    // (undocumented)
    body: AvailableDelegationsResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface AvailableResourceGroupDelegationsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type AvailableResourceGroupDelegationsListParameters = AvailableResourceGroupDelegationsListQueryParam & RequestParameters;

// @public (undocumented)
export interface AvailableResourceGroupDelegationsListQueryParam {
    // (undocumented)
    queryParameters: AvailableResourceGroupDelegationsListQueryParamProperties;
}

// @public (undocumented)
export interface AvailableResourceGroupDelegationsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface AvailableServiceAliasesList {
    get(options: AvailableServiceAliasesListParameters): StreamableMethod<AvailableServiceAliasesList200Response | AvailableServiceAliasesListDefaultResponse>;
}

// @public
export interface AvailableServiceAliasesList200Response extends HttpResponse {
    // (undocumented)
    body: AvailableServiceAliasesResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface AvailableServiceAliasesListByResourceGroup {
    get(options: AvailableServiceAliasesListByResourceGroupParameters): StreamableMethod<AvailableServiceAliasesListByResourceGroup200Response | AvailableServiceAliasesListByResourceGroupDefaultResponse>;
}

// @public
export interface AvailableServiceAliasesListByResourceGroup200Response extends HttpResponse {
    // (undocumented)
    body: AvailableServiceAliasesResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface AvailableServiceAliasesListByResourceGroupDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type AvailableServiceAliasesListByResourceGroupParameters = AvailableServiceAliasesListByResourceGroupQueryParam & RequestParameters;

// @public (undocumented)
export interface AvailableServiceAliasesListByResourceGroupQueryParam {
    // (undocumented)
    queryParameters: AvailableServiceAliasesListByResourceGroupQueryParamProperties;
}

// @public (undocumented)
export interface AvailableServiceAliasesListByResourceGroupQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface AvailableServiceAliasesListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type AvailableServiceAliasesListParameters = AvailableServiceAliasesListQueryParam & RequestParameters;

// @public (undocumented)
export interface AvailableServiceAliasesListQueryParam {
    // (undocumented)
    queryParameters: AvailableServiceAliasesListQueryParamProperties;
}

// @public (undocumented)
export interface AvailableServiceAliasesListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface AvailableServiceAliasesResultOutput {
    readonly nextLink?: string;
    value?: Array<AvailableServiceAliasOutput>;
}

// @public
export interface AvailableServiceAliasOutput {
    id?: string;
    name?: string;
    resourceName?: string;
    type?: string;
}

// @public
export interface AzureFirewall extends Resource {
    properties?: AzureFirewallPropertiesFormat;
    zones?: Array<string>;
}

// @public
export interface AzureFirewallApplicationRule {
    description?: string;
    fqdnTags?: Array<string>;
    name?: string;
    protocols?: Array<AzureFirewallApplicationRuleProtocol>;
    sourceAddresses?: Array<string>;
    sourceIpGroups?: Array<string>;
    targetFqdns?: Array<string>;
}

// @public
export interface AzureFirewallApplicationRuleCollection extends SubResource {
    name?: string;
    properties?: AzureFirewallApplicationRuleCollectionPropertiesFormat;
}

// @public
export interface AzureFirewallApplicationRuleCollectionOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: AzureFirewallApplicationRuleCollectionPropertiesFormatOutput;
}

// @public
export interface AzureFirewallApplicationRuleCollectionPropertiesFormat {
    action?: AzureFirewallRCAction;
    priority?: number;
    rules?: Array<AzureFirewallApplicationRule>;
}

// @public
export interface AzureFirewallApplicationRuleCollectionPropertiesFormatOutput {
    action?: AzureFirewallRCActionOutput;
    priority?: number;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    rules?: Array<AzureFirewallApplicationRuleOutput>;
}

// @public
export interface AzureFirewallApplicationRuleOutput {
    description?: string;
    fqdnTags?: Array<string>;
    name?: string;
    protocols?: Array<AzureFirewallApplicationRuleProtocolOutput>;
    sourceAddresses?: Array<string>;
    sourceIpGroups?: Array<string>;
    targetFqdns?: Array<string>;
}

// @public
export interface AzureFirewallApplicationRuleProtocol {
    port?: number;
    protocolType?: "Http" | "Https" | "Mssql";
}

// @public
export interface AzureFirewallApplicationRuleProtocolOutput {
    port?: number;
    protocolType?: "Http" | "Https" | "Mssql";
}

// @public
export interface AzureFirewallFqdnTag extends Resource {
    properties?: AzureFirewallFqdnTagPropertiesFormat;
}

// @public
export interface AzureFirewallFqdnTagListResultOutput {
    nextLink?: string;
    value?: Array<AzureFirewallFqdnTagOutput>;
}

// @public
export interface AzureFirewallFqdnTagOutput extends ResourceOutput {
    readonly etag?: string;
    properties?: AzureFirewallFqdnTagPropertiesFormatOutput;
}

// @public
export interface AzureFirewallFqdnTagPropertiesFormat {
}

// @public
export interface AzureFirewallFqdnTagPropertiesFormatOutput {
    readonly fqdnTagName?: string;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public (undocumented)
export interface AzureFirewallFqdnTagsListAll {
    get(options: AzureFirewallFqdnTagsListAllParameters): StreamableMethod<AzureFirewallFqdnTagsListAll200Response | AzureFirewallFqdnTagsListAllDefaultResponse>;
}

// @public
export interface AzureFirewallFqdnTagsListAll200Response extends HttpResponse {
    // (undocumented)
    body: AzureFirewallFqdnTagListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface AzureFirewallFqdnTagsListAllDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type AzureFirewallFqdnTagsListAllParameters = AzureFirewallFqdnTagsListAllQueryParam & RequestParameters;

// @public (undocumented)
export interface AzureFirewallFqdnTagsListAllQueryParam {
    // (undocumented)
    queryParameters: AzureFirewallFqdnTagsListAllQueryParamProperties;
}

// @public (undocumented)
export interface AzureFirewallFqdnTagsListAllQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface AzureFirewallIPConfiguration extends SubResource {
    name?: string;
    properties?: AzureFirewallIPConfigurationPropertiesFormat;
}

// @public
export interface AzureFirewallIPConfigurationOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: AzureFirewallIPConfigurationPropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface AzureFirewallIPConfigurationPropertiesFormat {
    publicIPAddress?: SubResource;
    subnet?: SubResource;
}

// @public
export interface AzureFirewallIPConfigurationPropertiesFormatOutput {
    readonly privateIPAddress?: string;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    publicIPAddress?: SubResourceOutput;
    subnet?: SubResourceOutput;
}

// @public
export interface AzureFirewallIpGroups {
}

// @public
export interface AzureFirewallIpGroupsOutput {
    readonly changeNumber?: string;
    readonly id?: string;
}

// @public
export interface AzureFirewallListResultOutput {
    nextLink?: string;
    value?: Array<AzureFirewallOutput>;
}

// @public
export interface AzureFirewallNatRCAction {
    type?: "Snat" | "Dnat";
}

// @public
export interface AzureFirewallNatRCActionOutput {
    type?: "Snat" | "Dnat";
}

// @public
export interface AzureFirewallNatRule {
    description?: string;
    destinationAddresses?: Array<string>;
    destinationPorts?: Array<string>;
    name?: string;
    protocols?: Array<"TCP" | "UDP" | "Any" | "ICMP">;
    sourceAddresses?: Array<string>;
    sourceIpGroups?: Array<string>;
    translatedAddress?: string;
    translatedFqdn?: string;
    translatedPort?: string;
}

// @public
export interface AzureFirewallNatRuleCollection extends SubResource {
    name?: string;
    properties?: AzureFirewallNatRuleCollectionProperties;
}

// @public
export interface AzureFirewallNatRuleCollectionOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: AzureFirewallNatRuleCollectionPropertiesOutput;
}

// @public
export interface AzureFirewallNatRuleCollectionProperties {
    action?: AzureFirewallNatRCAction;
    priority?: number;
    rules?: Array<AzureFirewallNatRule>;
}

// @public
export interface AzureFirewallNatRuleCollectionPropertiesOutput {
    action?: AzureFirewallNatRCActionOutput;
    priority?: number;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    rules?: Array<AzureFirewallNatRuleOutput>;
}

// @public
export interface AzureFirewallNatRuleOutput {
    description?: string;
    destinationAddresses?: Array<string>;
    destinationPorts?: Array<string>;
    name?: string;
    protocols?: Array<"TCP" | "UDP" | "Any" | "ICMP">;
    sourceAddresses?: Array<string>;
    sourceIpGroups?: Array<string>;
    translatedAddress?: string;
    translatedFqdn?: string;
    translatedPort?: string;
}

// @public
export interface AzureFirewallNetworkRule {
    description?: string;
    destinationAddresses?: Array<string>;
    destinationFqdns?: Array<string>;
    destinationIpGroups?: Array<string>;
    destinationPorts?: Array<string>;
    name?: string;
    protocols?: Array<"TCP" | "UDP" | "Any" | "ICMP">;
    sourceAddresses?: Array<string>;
    sourceIpGroups?: Array<string>;
}

// @public
export interface AzureFirewallNetworkRuleCollection extends SubResource {
    name?: string;
    properties?: AzureFirewallNetworkRuleCollectionPropertiesFormat;
}

// @public
export interface AzureFirewallNetworkRuleCollectionOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: AzureFirewallNetworkRuleCollectionPropertiesFormatOutput;
}

// @public
export interface AzureFirewallNetworkRuleCollectionPropertiesFormat {
    action?: AzureFirewallRCAction;
    priority?: number;
    rules?: Array<AzureFirewallNetworkRule>;
}

// @public
export interface AzureFirewallNetworkRuleCollectionPropertiesFormatOutput {
    action?: AzureFirewallRCActionOutput;
    priority?: number;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    rules?: Array<AzureFirewallNetworkRuleOutput>;
}

// @public
export interface AzureFirewallNetworkRuleOutput {
    description?: string;
    destinationAddresses?: Array<string>;
    destinationFqdns?: Array<string>;
    destinationIpGroups?: Array<string>;
    destinationPorts?: Array<string>;
    name?: string;
    protocols?: Array<"TCP" | "UDP" | "Any" | "ICMP">;
    sourceAddresses?: Array<string>;
    sourceIpGroups?: Array<string>;
}

// @public
export interface AzureFirewallOutput extends ResourceOutput {
    readonly etag?: string;
    properties?: AzureFirewallPropertiesFormatOutput;
    zones?: Array<string>;
}

// @public
export interface AzureFirewallPropertiesFormat {
    additionalProperties?: Record<string, string>;
    applicationRuleCollections?: Array<AzureFirewallApplicationRuleCollection>;
    firewallPolicy?: SubResource;
    hubIPAddresses?: HubIPAddresses;
    ipConfigurations?: Array<AzureFirewallIPConfiguration>;
    managementIpConfiguration?: AzureFirewallIPConfiguration;
    natRuleCollections?: Array<AzureFirewallNatRuleCollection>;
    networkRuleCollections?: Array<AzureFirewallNetworkRuleCollection>;
    sku?: AzureFirewallSku;
    threatIntelMode?: "Alert" | "Deny" | "Off";
    virtualHub?: SubResource;
}

// @public
export interface AzureFirewallPropertiesFormatOutput {
    additionalProperties?: Record<string, string>;
    applicationRuleCollections?: Array<AzureFirewallApplicationRuleCollectionOutput>;
    firewallPolicy?: SubResourceOutput;
    hubIPAddresses?: HubIPAddressesOutput;
    ipConfigurations?: Array<AzureFirewallIPConfigurationOutput>;
    readonly ipGroups?: Array<AzureFirewallIpGroupsOutput>;
    managementIpConfiguration?: AzureFirewallIPConfigurationOutput;
    natRuleCollections?: Array<AzureFirewallNatRuleCollectionOutput>;
    networkRuleCollections?: Array<AzureFirewallNetworkRuleCollectionOutput>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    sku?: AzureFirewallSkuOutput;
    threatIntelMode?: "Alert" | "Deny" | "Off";
    virtualHub?: SubResourceOutput;
}

// @public
export interface AzureFirewallPublicIPAddress {
    address?: string;
}

// @public
export interface AzureFirewallPublicIPAddressOutput {
    address?: string;
}

// @public
export interface AzureFirewallRCAction {
    type?: "Allow" | "Deny";
}

// @public
export interface AzureFirewallRCActionOutput {
    type?: "Allow" | "Deny";
}

// @public
export interface AzureFirewallsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: AzureFirewallOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface AzureFirewallsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: AzureFirewallOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface AzureFirewallsCreateOrUpdateBodyParam {
    body: AzureFirewall;
}

// @public
export interface AzureFirewallsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface AzureFirewallsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type AzureFirewallsCreateOrUpdateParameters = AzureFirewallsCreateOrUpdateQueryParam & AzureFirewallsCreateOrUpdateMediaTypesParam & AzureFirewallsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface AzureFirewallsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: AzureFirewallsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface AzureFirewallsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface AzureFirewallsDelete {
    delete(options: AzureFirewallsDeleteParameters): StreamableMethod<AzureFirewallsDelete200Response | AzureFirewallsDelete202Response | AzureFirewallsDelete204Response | AzureFirewallsDeleteDefaultResponse>;
    get(options: AzureFirewallsGetParameters): StreamableMethod<AzureFirewallsGet200Response | AzureFirewallsGetDefaultResponse>;
    patch(options: AzureFirewallsUpdateTagsParameters): StreamableMethod<AzureFirewallsUpdateTags200Response | AzureFirewallsUpdateTags202Response | AzureFirewallsUpdateTagsDefaultResponse>;
    put(options: AzureFirewallsCreateOrUpdateParameters): StreamableMethod<AzureFirewallsCreateOrUpdate200Response | AzureFirewallsCreateOrUpdate201Response | AzureFirewallsCreateOrUpdateDefaultResponse>;
}

// @public
export interface AzureFirewallsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface AzureFirewallsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface AzureFirewallsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface AzureFirewallsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type AzureFirewallsDeleteParameters = AzureFirewallsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface AzureFirewallsDeleteQueryParam {
    // (undocumented)
    queryParameters: AzureFirewallsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface AzureFirewallsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface AzureFirewallsGet200Response extends HttpResponse {
    // (undocumented)
    body: AzureFirewallOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface AzureFirewallsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type AzureFirewallsGetParameters = AzureFirewallsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface AzureFirewallsGetQueryParam {
    // (undocumented)
    queryParameters: AzureFirewallsGetQueryParamProperties;
}

// @public (undocumented)
export interface AzureFirewallsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface AzureFirewallSku {
    name?: "AZFW_VNet" | "AZFW_Hub";
    tier?: "Standard" | "Premium" | "Basic";
}

// @public
export interface AzureFirewallSkuOutput {
    name?: "AZFW_VNet" | "AZFW_Hub";
    tier?: "Standard" | "Premium" | "Basic";
}

// @public (undocumented)
export interface AzureFirewallsList {
    get(options: AzureFirewallsListParameters): StreamableMethod<AzureFirewallsList200Response | AzureFirewallsListDefaultResponse>;
}

// @public
export interface AzureFirewallsList200Response extends HttpResponse {
    // (undocumented)
    body: AzureFirewallListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface AzureFirewallsListAll {
    get(options: AzureFirewallsListAllParameters): StreamableMethod<AzureFirewallsListAll200Response | AzureFirewallsListAllDefaultResponse>;
}

// @public
export interface AzureFirewallsListAll200Response extends HttpResponse {
    // (undocumented)
    body: AzureFirewallListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface AzureFirewallsListAllDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type AzureFirewallsListAllParameters = AzureFirewallsListAllQueryParam & RequestParameters;

// @public (undocumented)
export interface AzureFirewallsListAllQueryParam {
    // (undocumented)
    queryParameters: AzureFirewallsListAllQueryParamProperties;
}

// @public (undocumented)
export interface AzureFirewallsListAllQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface AzureFirewallsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface AzureFirewallsListLearnedPrefixes {
    post(options: AzureFirewallsListLearnedPrefixesParameters): StreamableMethod<AzureFirewallsListLearnedPrefixes200Response | AzureFirewallsListLearnedPrefixes202Response | AzureFirewallsListLearnedPrefixesDefaultResponse>;
}

// @public
export interface AzureFirewallsListLearnedPrefixes200Response extends HttpResponse {
    // (undocumented)
    body: IPPrefixesListOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface AzureFirewallsListLearnedPrefixes202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface AzureFirewallsListLearnedPrefixesDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type AzureFirewallsListLearnedPrefixesParameters = AzureFirewallsListLearnedPrefixesQueryParam & RequestParameters;

// @public (undocumented)
export interface AzureFirewallsListLearnedPrefixesQueryParam {
    // (undocumented)
    queryParameters: AzureFirewallsListLearnedPrefixesQueryParamProperties;
}

// @public (undocumented)
export interface AzureFirewallsListLearnedPrefixesQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export type AzureFirewallsListParameters = AzureFirewallsListQueryParam & RequestParameters;

// @public (undocumented)
export interface AzureFirewallsListQueryParam {
    // (undocumented)
    queryParameters: AzureFirewallsListQueryParamProperties;
}

// @public (undocumented)
export interface AzureFirewallsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface AzureFirewallsUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: AzureFirewallOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface AzureFirewallsUpdateTags202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface AzureFirewallsUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface AzureFirewallsUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface AzureFirewallsUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type AzureFirewallsUpdateTagsParameters = AzureFirewallsUpdateTagsQueryParam & AzureFirewallsUpdateTagsMediaTypesParam & AzureFirewallsUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface AzureFirewallsUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: AzureFirewallsUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface AzureFirewallsUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface AzureReachabilityReportItemOutput {
    azureLocation?: string;
    latencies?: Array<AzureReachabilityReportLatencyInfoOutput>;
    provider?: string;
}

// @public
export interface AzureReachabilityReportLatencyInfoOutput {
    score?: number;
    timeStamp?: string;
}

// @public
export interface AzureReachabilityReportLocation {
    city?: string;
    country: string;
    state?: string;
}

// @public
export interface AzureReachabilityReportLocationOutput {
    city?: string;
    country: string;
    state?: string;
}

// @public
export interface AzureReachabilityReportOutput {
    aggregationLevel: string;
    providerLocation: AzureReachabilityReportLocationOutput;
    reachabilityReport: Array<AzureReachabilityReportItemOutput>;
}

// @public
export interface AzureReachabilityReportParameters {
    azureLocations?: Array<string>;
    endTime: Date | string;
    providerLocation: AzureReachabilityReportLocation;
    providers?: Array<string>;
    startTime: Date | string;
}

// @public
export interface AzureWebCategoryListResultOutput {
    nextLink?: string;
    value?: Array<AzureWebCategoryOutput>;
}

// @public
export interface AzureWebCategoryOutput {
    readonly etag?: string;
    id?: string;
    readonly name?: string;
    properties?: AzureWebCategoryPropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface AzureWebCategoryPropertiesFormatOutput {
    readonly group?: string;
}

// @public
export interface BackendAddressInboundNatRulePortMappingsOutput {
    inboundNatRulePortMappings?: Array<InboundNatRulePortMappingOutput>;
}

// @public
export interface BackendAddressPool extends SubResource {
    name?: string;
    properties?: BackendAddressPoolPropertiesFormat;
}

// @public
export interface BackendAddressPoolOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: BackendAddressPoolPropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface BackendAddressPoolPropertiesFormat {
    drainPeriodInSeconds?: number;
    loadBalancerBackendAddresses?: Array<LoadBalancerBackendAddress>;
    location?: string;
    tunnelInterfaces?: Array<GatewayLoadBalancerTunnelInterface>;
}

// @public
export interface BackendAddressPoolPropertiesFormatOutput {
    readonly backendIPConfigurations?: Array<NetworkInterfaceIPConfigurationOutput>;
    drainPeriodInSeconds?: number;
    readonly inboundNatRules?: Array<SubResourceOutput>;
    loadBalancerBackendAddresses?: Array<LoadBalancerBackendAddressOutput>;
    readonly loadBalancingRules?: Array<SubResourceOutput>;
    location?: string;
    readonly outboundRule?: SubResourceOutput;
    readonly outboundRules?: Array<SubResourceOutput>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    tunnelInterfaces?: Array<GatewayLoadBalancerTunnelInterfaceOutput>;
}

// @public
export type BaseAdminRule = AdminRule | DefaultAdminRule;

// @public
export type BaseAdminRuleOutput = AdminRuleOutput | DefaultAdminRuleOutput;

// @public
export interface BaseAdminRuleOutputParent extends ChildResourceOutput {
    // (undocumented)
    kind: "BaseAdminRule" | "Custom" | "Default";
    readonly systemData?: SystemDataOutput;
}

// @public
export interface BaseAdminRuleParent extends ChildResource {
    // (undocumented)
    kind: "BaseAdminRule" | "Custom" | "Default";
}

// @public
export interface BastionActiveSessionListResultOutput {
    nextLink?: string;
    value?: Array<BastionActiveSessionOutput>;
}

// @public
export interface BastionActiveSessionOutput {
    readonly protocol?: "SSH" | "RDP";
    readonly resourceType?: string;
    readonly sessionDurationInMins?: number;
    readonly sessionId?: string;
    readonly startTime?: Record<string, unknown>;
    readonly targetHostName?: string;
    readonly targetIpAddress?: string;
    readonly targetResourceGroup?: string;
    readonly targetResourceId?: string;
    readonly targetSubscriptionId?: string;
    readonly userName?: string;
}

// @public
export interface BastionHost extends Resource {
    properties?: BastionHostPropertiesFormat;
    sku?: Sku;
}

// @public
export interface BastionHostIPConfiguration extends SubResource {
    name?: string;
    properties?: BastionHostIPConfigurationPropertiesFormat;
}

// @public
export interface BastionHostIPConfigurationOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: BastionHostIPConfigurationPropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface BastionHostIPConfigurationPropertiesFormat {
    privateIPAllocationMethod?: "Static" | "Dynamic";
    publicIPAddress: SubResource;
    subnet: SubResource;
}

// @public
export interface BastionHostIPConfigurationPropertiesFormatOutput {
    privateIPAllocationMethod?: "Static" | "Dynamic";
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    publicIPAddress: SubResourceOutput;
    subnet: SubResourceOutput;
}

// @public
export interface BastionHostListResultOutput {
    nextLink?: string;
    value?: Array<BastionHostOutput>;
}

// @public
export interface BastionHostOutput extends ResourceOutput {
    readonly etag?: string;
    properties?: BastionHostPropertiesFormatOutput;
    sku?: SkuOutput;
}

// @public
export interface BastionHostPropertiesFormat {
    disableCopyPaste?: boolean;
    dnsName?: string;
    enableFileCopy?: boolean;
    enableIpConnect?: boolean;
    enableShareableLink?: boolean;
    enableTunneling?: boolean;
    ipConfigurations?: Array<BastionHostIPConfiguration>;
    scaleUnits?: number;
}

// @public
export interface BastionHostPropertiesFormatOutput {
    disableCopyPaste?: boolean;
    dnsName?: string;
    enableFileCopy?: boolean;
    enableIpConnect?: boolean;
    enableShareableLink?: boolean;
    enableTunneling?: boolean;
    ipConfigurations?: Array<BastionHostIPConfigurationOutput>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    scaleUnits?: number;
}

// @public
export interface BastionHostsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: BastionHostOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface BastionHostsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: BastionHostOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface BastionHostsCreateOrUpdateBodyParam {
    body: BastionHost;
}

// @public
export interface BastionHostsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface BastionHostsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type BastionHostsCreateOrUpdateParameters = BastionHostsCreateOrUpdateQueryParam & BastionHostsCreateOrUpdateMediaTypesParam & BastionHostsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface BastionHostsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: BastionHostsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface BastionHostsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface BastionHostsDelete {
    delete(options: BastionHostsDeleteParameters): StreamableMethod<BastionHostsDelete200Response | BastionHostsDelete202Response | BastionHostsDelete204Response | BastionHostsDeleteDefaultResponse>;
    get(options: BastionHostsGetParameters): StreamableMethod<BastionHostsGet200Response | BastionHostsGetDefaultResponse>;
    patch(options: BastionHostsUpdateTagsParameters): StreamableMethod<BastionHostsUpdateTags200Response | BastionHostsUpdateTags202Response | BastionHostsUpdateTagsDefaultResponse>;
    put(options: BastionHostsCreateOrUpdateParameters): StreamableMethod<BastionHostsCreateOrUpdate200Response | BastionHostsCreateOrUpdate201Response | BastionHostsCreateOrUpdateDefaultResponse>;
}

// @public
export interface BastionHostsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface BastionHostsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface BastionHostsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface BastionHostsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type BastionHostsDeleteParameters = BastionHostsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface BastionHostsDeleteQueryParam {
    // (undocumented)
    queryParameters: BastionHostsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface BastionHostsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface BastionHostsGet200Response extends HttpResponse {
    // (undocumented)
    body: BastionHostOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface BastionHostsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type BastionHostsGetParameters = BastionHostsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface BastionHostsGetQueryParam {
    // (undocumented)
    queryParameters: BastionHostsGetQueryParamProperties;
}

// @public (undocumented)
export interface BastionHostsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface BastionHostsList {
    get(options: BastionHostsListParameters): StreamableMethod<BastionHostsList200Response | BastionHostsListDefaultResponse>;
}

// @public
export interface BastionHostsList200Response extends HttpResponse {
    // (undocumented)
    body: BastionHostListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface BastionHostsListByResourceGroup {
    get(options: BastionHostsListByResourceGroupParameters): StreamableMethod<BastionHostsListByResourceGroup200Response | BastionHostsListByResourceGroupDefaultResponse>;
}

// @public
export interface BastionHostsListByResourceGroup200Response extends HttpResponse {
    // (undocumented)
    body: BastionHostListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface BastionHostsListByResourceGroupDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type BastionHostsListByResourceGroupParameters = BastionHostsListByResourceGroupQueryParam & RequestParameters;

// @public (undocumented)
export interface BastionHostsListByResourceGroupQueryParam {
    // (undocumented)
    queryParameters: BastionHostsListByResourceGroupQueryParamProperties;
}

// @public (undocumented)
export interface BastionHostsListByResourceGroupQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface BastionHostsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type BastionHostsListParameters = BastionHostsListQueryParam & RequestParameters;

// @public (undocumented)
export interface BastionHostsListQueryParam {
    // (undocumented)
    queryParameters: BastionHostsListQueryParamProperties;
}

// @public (undocumented)
export interface BastionHostsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface BastionHostsUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: BastionHostOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface BastionHostsUpdateTags202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface BastionHostsUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface BastionHostsUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface BastionHostsUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type BastionHostsUpdateTagsParameters = BastionHostsUpdateTagsQueryParam & BastionHostsUpdateTagsMediaTypesParam & BastionHostsUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface BastionHostsUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: BastionHostsUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface BastionHostsUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface BastionSessionDeleteResultOutput {
    nextLink?: string;
    value?: Array<BastionSessionStateOutput>;
}

// @public
export interface BastionSessionStateOutput {
    readonly message?: string;
    readonly sessionId?: string;
    readonly state?: string;
}

// @public
export interface BastionShareableLink {
    vm: Vm;
}

// @public
export interface BastionShareableLinkListRequest {
    vms?: Array<BastionShareableLink>;
}

// @public
export interface BastionShareableLinkListResultOutput {
    nextLink?: string;
    value?: Array<BastionShareableLinkOutput>;
}

// @public
export interface BastionShareableLinkOutput {
    readonly bsl?: string;
    readonly createdAt?: string;
    readonly message?: string;
    vm: VmOutput;
}

// @public
export interface BGPCommunity {
    communityName?: string;
    communityPrefixes?: Array<string>;
    communityValue?: string;
    isAuthorizedToUse?: boolean;
    serviceGroup?: string;
    serviceSupportedRegion?: string;
}

// @public
export interface BGPCommunityOutput {
    communityName?: string;
    communityPrefixes?: Array<string>;
    communityValue?: string;
    isAuthorizedToUse?: boolean;
    serviceGroup?: string;
    serviceSupportedRegion?: string;
}

// @public
export interface BgpConnection extends SubResource {
    name?: string;
    properties?: BgpConnectionProperties;
}

// @public
export interface BgpConnectionOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: BgpConnectionPropertiesOutput;
    readonly type?: string;
}

// @public
export interface BgpConnectionProperties {
    hubVirtualNetworkConnection?: SubResource;
    peerAsn?: number;
    peerIp?: string;
}

// @public
export interface BgpConnectionPropertiesOutput {
    readonly connectionState?: "Unknown" | "Connecting" | "Connected" | "NotConnected";
    hubVirtualNetworkConnection?: SubResourceOutput;
    peerAsn?: number;
    peerIp?: string;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public
export interface BgpPeerStatusListResultOutput {
    value?: Array<BgpPeerStatusOutput>;
}

// @public
export interface BgpPeerStatusOutput {
    readonly asn?: number;
    readonly connectedDuration?: string;
    readonly localAddress?: string;
    readonly messagesReceived?: number;
    readonly messagesSent?: number;
    readonly neighbor?: string;
    readonly routesReceived?: number;
    readonly state?: "Unknown" | "Stopped" | "Idle" | "Connecting" | "Connected";
}

// @public (undocumented)
export interface BgpServiceCommunitiesList {
    get(options: BgpServiceCommunitiesListParameters): StreamableMethod<BgpServiceCommunitiesList200Response | BgpServiceCommunitiesListDefaultResponse>;
}

// @public
export interface BgpServiceCommunitiesList200Response extends HttpResponse {
    // (undocumented)
    body: BgpServiceCommunityListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface BgpServiceCommunitiesListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type BgpServiceCommunitiesListParameters = BgpServiceCommunitiesListQueryParam & RequestParameters;

// @public (undocumented)
export interface BgpServiceCommunitiesListQueryParam {
    // (undocumented)
    queryParameters: BgpServiceCommunitiesListQueryParamProperties;
}

// @public (undocumented)
export interface BgpServiceCommunitiesListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface BgpServiceCommunity extends Resource {
    properties?: BgpServiceCommunityPropertiesFormat;
}

// @public
export interface BgpServiceCommunityListResultOutput {
    nextLink?: string;
    value?: Array<BgpServiceCommunityOutput>;
}

// @public
export interface BgpServiceCommunityOutput extends ResourceOutput {
    properties?: BgpServiceCommunityPropertiesFormatOutput;
}

// @public
export interface BgpServiceCommunityPropertiesFormat {
    bgpCommunities?: Array<BGPCommunity>;
    serviceName?: string;
}

// @public
export interface BgpServiceCommunityPropertiesFormatOutput {
    bgpCommunities?: Array<BGPCommunityOutput>;
    serviceName?: string;
}

// @public
export interface BgpSettings {
    asn?: number;
    bgpPeeringAddress?: string;
    bgpPeeringAddresses?: Array<IPConfigurationBgpPeeringAddress>;
    peerWeight?: number;
}

// @public
export interface BgpSettingsOutput {
    asn?: number;
    bgpPeeringAddress?: string;
    bgpPeeringAddresses?: Array<IPConfigurationBgpPeeringAddressOutput>;
    peerWeight?: number;
}

// @public
export interface BreakOutCategoryPolicies {
    allow?: boolean;
    default?: boolean;
    optimize?: boolean;
}

// @public
export interface BreakOutCategoryPoliciesOutput {
    allow?: boolean;
    default?: boolean;
    optimize?: boolean;
}

// @public (undocumented)
export interface CheckDnsNameAvailability {
    get(options: CheckDnsNameAvailabilityParameters): StreamableMethod<CheckDnsNameAvailability200Response | CheckDnsNameAvailabilityDefaultResponse>;
}

// @public
export interface CheckDnsNameAvailability200Response extends HttpResponse {
    // (undocumented)
    body: DnsNameAvailabilityResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface CheckDnsNameAvailabilityDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type CheckDnsNameAvailabilityParameters = CheckDnsNameAvailabilityQueryParam & RequestParameters;

// @public (undocumented)
export interface CheckDnsNameAvailabilityQueryParam {
    // (undocumented)
    queryParameters: CheckDnsNameAvailabilityQueryParamProperties;
}

// @public (undocumented)
export interface CheckDnsNameAvailabilityQueryParamProperties {
    "api-version": "2022-05-01";
    domainNameLabel: string;
}

// @public
export interface CheckPrivateLinkServiceVisibilityRequest {
    privateLinkServiceAlias?: string;
}

// @public
export interface ChildResource {
}

// @public
export interface ChildResourceOutput {
    readonly etag?: string;
    readonly id?: string;
    readonly name?: string;
    readonly type?: string;
}

// @public
export interface CloudErrorBodyOutput {
    code?: string;
    details?: Array<CloudErrorBodyOutput>;
    message?: string;
    target?: string;
}

// @public
export interface CloudErrorOutput {
    error?: CloudErrorBodyOutput;
}

// @public (undocumented)
export interface Components1Jq1T4ISchemasManagedserviceidentityPropertiesUserassignedidentitiesAdditionalproperties {
}

// @public (undocumented)
export interface Components1Jq1T4ISchemasManagedserviceidentityPropertiesUserassignedidentitiesAdditionalpropertiesOutput {
    readonly clientId?: string;
    readonly principalId?: string;
}

// @public
export interface ConfigurationGroupOutput {
    id?: string;
    properties?: NetworkGroupPropertiesOutput;
}

// @public (undocumented)
export interface ConfigurationPolicyGroupsCreateOrUpdate {
    delete(options: ConfigurationPolicyGroupsDeleteParameters): StreamableMethod<ConfigurationPolicyGroupsDelete200Response | ConfigurationPolicyGroupsDelete202Response | ConfigurationPolicyGroupsDelete204Response | ConfigurationPolicyGroupsDeleteDefaultResponse>;
    get(options: ConfigurationPolicyGroupsGetParameters): StreamableMethod<ConfigurationPolicyGroupsGet200Response | ConfigurationPolicyGroupsGetDefaultResponse>;
    put(options: ConfigurationPolicyGroupsCreateOrUpdateParameters): StreamableMethod<ConfigurationPolicyGroupsCreateOrUpdate200Response | ConfigurationPolicyGroupsCreateOrUpdate201Response | ConfigurationPolicyGroupsCreateOrUpdateDefaultResponse>;
}

// @public
export interface ConfigurationPolicyGroupsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: VpnServerConfigurationPolicyGroupOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ConfigurationPolicyGroupsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: VpnServerConfigurationPolicyGroupOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface ConfigurationPolicyGroupsCreateOrUpdateBodyParam {
    body: VpnServerConfigurationPolicyGroup;
}

// @public
export interface ConfigurationPolicyGroupsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ConfigurationPolicyGroupsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ConfigurationPolicyGroupsCreateOrUpdateParameters = ConfigurationPolicyGroupsCreateOrUpdateQueryParam & ConfigurationPolicyGroupsCreateOrUpdateMediaTypesParam & ConfigurationPolicyGroupsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface ConfigurationPolicyGroupsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: ConfigurationPolicyGroupsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface ConfigurationPolicyGroupsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ConfigurationPolicyGroupsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface ConfigurationPolicyGroupsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface ConfigurationPolicyGroupsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface ConfigurationPolicyGroupsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ConfigurationPolicyGroupsDeleteParameters = ConfigurationPolicyGroupsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface ConfigurationPolicyGroupsDeleteQueryParam {
    // (undocumented)
    queryParameters: ConfigurationPolicyGroupsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface ConfigurationPolicyGroupsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ConfigurationPolicyGroupsGet200Response extends HttpResponse {
    // (undocumented)
    body: VpnServerConfigurationPolicyGroupOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ConfigurationPolicyGroupsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ConfigurationPolicyGroupsGetParameters = ConfigurationPolicyGroupsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface ConfigurationPolicyGroupsGetQueryParam {
    // (undocumented)
    queryParameters: ConfigurationPolicyGroupsGetQueryParamProperties;
}

// @public (undocumented)
export interface ConfigurationPolicyGroupsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ConfigurationPolicyGroupsListByVpnServerConfiguration {
    get(options: ConfigurationPolicyGroupsListByVpnServerConfigurationParameters): StreamableMethod<ConfigurationPolicyGroupsListByVpnServerConfiguration200Response | ConfigurationPolicyGroupsListByVpnServerConfigurationDefaultResponse>;
}

// @public
export interface ConfigurationPolicyGroupsListByVpnServerConfiguration200Response extends HttpResponse {
    // (undocumented)
    body: ListVpnServerConfigurationPolicyGroupsResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ConfigurationPolicyGroupsListByVpnServerConfigurationDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ConfigurationPolicyGroupsListByVpnServerConfigurationParameters = ConfigurationPolicyGroupsListByVpnServerConfigurationQueryParam & RequestParameters;

// @public (undocumented)
export interface ConfigurationPolicyGroupsListByVpnServerConfigurationQueryParam {
    // (undocumented)
    queryParameters: ConfigurationPolicyGroupsListByVpnServerConfigurationQueryParamProperties;
}

// @public (undocumented)
export interface ConfigurationPolicyGroupsListByVpnServerConfigurationQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ConnectionMonitor {
    location?: string;
    properties: ConnectionMonitorParameters;
    tags?: Record<string, string>;
}

// @public
export interface ConnectionMonitorDestination {
    address?: string;
    port?: number;
    resourceId?: string;
}

// @public
export interface ConnectionMonitorDestinationOutput {
    address?: string;
    port?: number;
    resourceId?: string;
}

// @public
export interface ConnectionMonitorEndpoint {
    address?: string;
    coverageLevel?: "Default" | "Low" | "BelowAverage" | "Average" | "AboveAverage" | "Full";
    filter?: ConnectionMonitorEndpointFilter;
    name: string;
    resourceId?: string;
    scope?: ConnectionMonitorEndpointScope;
    type?: "AzureVM" | "AzureVNet" | "AzureSubnet" | "ExternalAddress" | "MMAWorkspaceMachine" | "MMAWorkspaceNetwork" | "AzureArcVM" | "AzureVMSS";
}

// @public
export interface ConnectionMonitorEndpointFilter {
    items?: Array<ConnectionMonitorEndpointFilterItem>;
    type?: "Include";
}

// @public
export interface ConnectionMonitorEndpointFilterItem {
    address?: string;
    type?: "AgentAddress";
}

// @public
export interface ConnectionMonitorEndpointFilterItemOutput {
    address?: string;
    type?: "AgentAddress";
}

// @public
export interface ConnectionMonitorEndpointFilterOutput {
    items?: Array<ConnectionMonitorEndpointFilterItemOutput>;
    type?: "Include";
}

// @public
export interface ConnectionMonitorEndpointOutput {
    address?: string;
    coverageLevel?: "Default" | "Low" | "BelowAverage" | "Average" | "AboveAverage" | "Full";
    filter?: ConnectionMonitorEndpointFilterOutput;
    name: string;
    resourceId?: string;
    scope?: ConnectionMonitorEndpointScopeOutput;
    type?: "AzureVM" | "AzureVNet" | "AzureSubnet" | "ExternalAddress" | "MMAWorkspaceMachine" | "MMAWorkspaceNetwork" | "AzureArcVM" | "AzureVMSS";
}

// @public
export interface ConnectionMonitorEndpointScope {
    exclude?: Array<ConnectionMonitorEndpointScopeItem>;
    include?: Array<ConnectionMonitorEndpointScopeItem>;
}

// @public
export interface ConnectionMonitorEndpointScopeItem {
    address?: string;
}

// @public
export interface ConnectionMonitorEndpointScopeItemOutput {
    address?: string;
}

// @public
export interface ConnectionMonitorEndpointScopeOutput {
    exclude?: Array<ConnectionMonitorEndpointScopeItemOutput>;
    include?: Array<ConnectionMonitorEndpointScopeItemOutput>;
}

// @public
export interface ConnectionMonitorHttpConfiguration {
    method?: "Get" | "Post";
    path?: string;
    port?: number;
    preferHTTPS?: boolean;
    requestHeaders?: Array<HttpHeader>;
    validStatusCodeRanges?: Array<string>;
}

// @public
export interface ConnectionMonitorHttpConfigurationOutput {
    method?: "Get" | "Post";
    path?: string;
    port?: number;
    preferHTTPS?: boolean;
    requestHeaders?: Array<HttpHeaderOutput>;
    validStatusCodeRanges?: Array<string>;
}

// @public
export interface ConnectionMonitorIcmpConfiguration {
    disableTraceRoute?: boolean;
}

// @public
export interface ConnectionMonitorIcmpConfigurationOutput {
    disableTraceRoute?: boolean;
}

// @public
export interface ConnectionMonitorListResultOutput {
    value?: Array<ConnectionMonitorResultOutput>;
}

// @public
export interface ConnectionMonitorOutput {
    type?: "Workspace";
    workspaceSettings?: ConnectionMonitorWorkspaceSettings;
}

// @public
export interface ConnectionMonitorOutputOutput {
    type?: "Workspace";
    workspaceSettings?: ConnectionMonitorWorkspaceSettingsOutput;
}

// @public
export interface ConnectionMonitorParameters {
    autoStart?: boolean;
    destination?: ConnectionMonitorDestination;
    endpoints?: Array<ConnectionMonitorEndpoint>;
    monitoringIntervalInSeconds?: number;
    notes?: string;
    outputs?: Array<ConnectionMonitorOutput>;
    source?: ConnectionMonitorSource;
    testConfigurations?: Array<ConnectionMonitorTestConfiguration>;
    testGroups?: Array<ConnectionMonitorTestGroup>;
}

// @public
export interface ConnectionMonitorParametersOutput {
    autoStart?: boolean;
    destination?: ConnectionMonitorDestinationOutput;
    endpoints?: Array<ConnectionMonitorEndpointOutput>;
    monitoringIntervalInSeconds?: number;
    notes?: string;
    outputs?: Array<ConnectionMonitorOutputOutput>;
    source?: ConnectionMonitorSourceOutput;
    testConfigurations?: Array<ConnectionMonitorTestConfigurationOutput>;
    testGroups?: Array<ConnectionMonitorTestGroupOutput>;
}

// @public
export interface ConnectionMonitorQueryResultOutput {
    sourceStatus?: "Unknown" | "Active" | "Inactive";
    states?: Array<ConnectionStateSnapshotOutput>;
}

// @public
export interface ConnectionMonitorResultOutput {
    readonly etag?: string;
    readonly id?: string;
    location?: string;
    readonly name?: string;
    properties?: ConnectionMonitorResultPropertiesOutput;
    tags?: Record<string, string>;
    readonly type?: string;
}

// @public
export interface ConnectionMonitorResultProperties extends ConnectionMonitorParameters {
}

// @public
export interface ConnectionMonitorResultPropertiesOutput extends ConnectionMonitorParametersOutput {
    readonly connectionMonitorType?: "MultiEndpoint" | "SingleSourceDestination";
    readonly monitoringStatus?: string;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    readonly startTime?: string;
}

// @public (undocumented)
export interface ConnectionMonitorsCreateOrUpdate {
    delete(options: ConnectionMonitorsDeleteParameters): StreamableMethod<ConnectionMonitorsDelete202Response | ConnectionMonitorsDelete204Response | ConnectionMonitorsDeleteDefaultResponse>;
    get(options: ConnectionMonitorsGetParameters): StreamableMethod<ConnectionMonitorsGet200Response | ConnectionMonitorsGetDefaultResponse>;
    patch(options: ConnectionMonitorsUpdateTagsParameters): StreamableMethod<ConnectionMonitorsUpdateTags200Response | ConnectionMonitorsUpdateTagsDefaultResponse>;
    put(options: ConnectionMonitorsCreateOrUpdateParameters): StreamableMethod<ConnectionMonitorsCreateOrUpdate200Response | ConnectionMonitorsCreateOrUpdate201Response | ConnectionMonitorsCreateOrUpdateDefaultResponse>;
}

// @public
export interface ConnectionMonitorsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: ConnectionMonitorResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ConnectionMonitorsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: ConnectionMonitorResultOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface ConnectionMonitorsCreateOrUpdateBodyParam {
    body: ConnectionMonitor;
}

// @public
export interface ConnectionMonitorsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ConnectionMonitorsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ConnectionMonitorsCreateOrUpdateParameters = ConnectionMonitorsCreateOrUpdateQueryParam & ConnectionMonitorsCreateOrUpdateMediaTypesParam & ConnectionMonitorsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface ConnectionMonitorsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: ConnectionMonitorsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface ConnectionMonitorsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
    migrate?: string;
}

// @public
export interface ConnectionMonitorsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface ConnectionMonitorsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface ConnectionMonitorsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ConnectionMonitorsDeleteParameters = ConnectionMonitorsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface ConnectionMonitorsDeleteQueryParam {
    // (undocumented)
    queryParameters: ConnectionMonitorsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface ConnectionMonitorsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ConnectionMonitorsGet200Response extends HttpResponse {
    // (undocumented)
    body: ConnectionMonitorResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ConnectionMonitorsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ConnectionMonitorsGetParameters = ConnectionMonitorsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface ConnectionMonitorsGetQueryParam {
    // (undocumented)
    queryParameters: ConnectionMonitorsGetQueryParamProperties;
}

// @public (undocumented)
export interface ConnectionMonitorsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ConnectionMonitorsList {
    get(options: ConnectionMonitorsListParameters): StreamableMethod<ConnectionMonitorsList200Response | ConnectionMonitorsListDefaultResponse>;
}

// @public
export interface ConnectionMonitorsList200Response extends HttpResponse {
    // (undocumented)
    body: ConnectionMonitorListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ConnectionMonitorsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ConnectionMonitorsListParameters = ConnectionMonitorsListQueryParam & RequestParameters;

// @public (undocumented)
export interface ConnectionMonitorsListQueryParam {
    // (undocumented)
    queryParameters: ConnectionMonitorsListQueryParamProperties;
}

// @public (undocumented)
export interface ConnectionMonitorsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ConnectionMonitorSource {
    port?: number;
    resourceId: string;
}

// @public
export interface ConnectionMonitorSourceOutput {
    port?: number;
    resourceId: string;
}

// @public (undocumented)
export interface ConnectionMonitorsQuery {
    post(options: ConnectionMonitorsQueryParameters): StreamableMethod<ConnectionMonitorsQuery200Response | ConnectionMonitorsQuery202Response | ConnectionMonitorsQueryDefaultResponse>;
}

// @public
export interface ConnectionMonitorsQuery200Response extends HttpResponse {
    // (undocumented)
    body: ConnectionMonitorQueryResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ConnectionMonitorsQuery202Response extends HttpResponse {
    // (undocumented)
    body: ConnectionMonitorQueryResultOutput;
    // (undocumented)
    status: "202";
}

// @public
export interface ConnectionMonitorsQueryDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ConnectionMonitorsQueryParameters = ConnectionMonitorsQueryQueryParam & RequestParameters;

// @public (undocumented)
export interface ConnectionMonitorsQueryQueryParam {
    // (undocumented)
    queryParameters: ConnectionMonitorsQueryQueryParamProperties;
}

// @public (undocumented)
export interface ConnectionMonitorsQueryQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ConnectionMonitorsStart {
    post(options: ConnectionMonitorsStartParameters): StreamableMethod<ConnectionMonitorsStart200Response | ConnectionMonitorsStart202Response | ConnectionMonitorsStartDefaultResponse>;
}

// @public
export interface ConnectionMonitorsStart200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface ConnectionMonitorsStart202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface ConnectionMonitorsStartDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ConnectionMonitorsStartParameters = ConnectionMonitorsStartQueryParam & RequestParameters;

// @public (undocumented)
export interface ConnectionMonitorsStartQueryParam {
    // (undocumented)
    queryParameters: ConnectionMonitorsStartQueryParamProperties;
}

// @public (undocumented)
export interface ConnectionMonitorsStartQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ConnectionMonitorsStop {
    post(options: ConnectionMonitorsStopParameters): StreamableMethod<ConnectionMonitorsStop200Response | ConnectionMonitorsStop202Response | ConnectionMonitorsStopDefaultResponse>;
}

// @public
export interface ConnectionMonitorsStop200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface ConnectionMonitorsStop202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface ConnectionMonitorsStopDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ConnectionMonitorsStopParameters = ConnectionMonitorsStopQueryParam & RequestParameters;

// @public (undocumented)
export interface ConnectionMonitorsStopQueryParam {
    // (undocumented)
    queryParameters: ConnectionMonitorsStopQueryParamProperties;
}

// @public (undocumented)
export interface ConnectionMonitorsStopQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ConnectionMonitorSuccessThreshold {
    checksFailedPercent?: number;
    roundTripTimeMs?: number;
}

// @public
export interface ConnectionMonitorSuccessThresholdOutput {
    checksFailedPercent?: number;
    roundTripTimeMs?: number;
}

// @public
export interface ConnectionMonitorsUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: ConnectionMonitorResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface ConnectionMonitorsUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface ConnectionMonitorsUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ConnectionMonitorsUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ConnectionMonitorsUpdateTagsParameters = ConnectionMonitorsUpdateTagsQueryParam & ConnectionMonitorsUpdateTagsMediaTypesParam & ConnectionMonitorsUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface ConnectionMonitorsUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: ConnectionMonitorsUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface ConnectionMonitorsUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ConnectionMonitorTcpConfiguration {
    destinationPortBehavior?: "None" | "ListenIfAvailable";
    disableTraceRoute?: boolean;
    port?: number;
}

// @public
export interface ConnectionMonitorTcpConfigurationOutput {
    destinationPortBehavior?: "None" | "ListenIfAvailable";
    disableTraceRoute?: boolean;
    port?: number;
}

// @public
export interface ConnectionMonitorTestConfiguration {
    httpConfiguration?: ConnectionMonitorHttpConfiguration;
    icmpConfiguration?: ConnectionMonitorIcmpConfiguration;
    name: string;
    preferredIPVersion?: "IPv4" | "IPv6";
    protocol: "Tcp" | "Http" | "Icmp";
    successThreshold?: ConnectionMonitorSuccessThreshold;
    tcpConfiguration?: ConnectionMonitorTcpConfiguration;
    testFrequencySec?: number;
}

// @public
export interface ConnectionMonitorTestConfigurationOutput {
    httpConfiguration?: ConnectionMonitorHttpConfigurationOutput;
    icmpConfiguration?: ConnectionMonitorIcmpConfigurationOutput;
    name: string;
    preferredIPVersion?: "IPv4" | "IPv6";
    protocol: "Tcp" | "Http" | "Icmp";
    successThreshold?: ConnectionMonitorSuccessThresholdOutput;
    tcpConfiguration?: ConnectionMonitorTcpConfigurationOutput;
    testFrequencySec?: number;
}

// @public
export interface ConnectionMonitorTestGroup {
    destinations: Array<string>;
    disable?: boolean;
    name: string;
    sources: Array<string>;
    testConfigurations: Array<string>;
}

// @public
export interface ConnectionMonitorTestGroupOutput {
    destinations: Array<string>;
    disable?: boolean;
    name: string;
    sources: Array<string>;
    testConfigurations: Array<string>;
}

// @public
export interface ConnectionMonitorWorkspaceSettings {
    workspaceResourceId?: string;
}

// @public
export interface ConnectionMonitorWorkspaceSettingsOutput {
    workspaceResourceId?: string;
}

// @public
export interface ConnectionResetSharedKey {
    keyLength: number;
}

// @public
export interface ConnectionResetSharedKeyOutput {
    keyLength: number;
}

// @public
export interface ConnectionSharedKey extends SubResource {
    value: string;
}

// @public
export interface ConnectionSharedKeyOutput extends SubResourceOutput {
    value: string;
}

// @public
export interface ConnectionStateSnapshotOutput {
    avgLatencyInMs?: number;
    connectionState?: "Reachable" | "Unreachable" | "Unknown";
    endTime?: string;
    evaluationState?: "NotStarted" | "InProgress" | "Completed";
    readonly hops?: Array<ConnectivityHopOutput>;
    maxLatencyInMs?: number;
    minLatencyInMs?: number;
    probesFailed?: number;
    probesSent?: number;
    startTime?: string;
}

// @public
export interface ConnectivityConfiguration extends ChildResource {
    properties?: ConnectivityConfigurationProperties;
}

// @public
export interface ConnectivityConfigurationListResultOutput {
    nextLink?: string;
    value?: Array<ConnectivityConfigurationOutput>;
}

// @public
export interface ConnectivityConfigurationOutput extends ChildResourceOutput {
    properties?: ConnectivityConfigurationPropertiesOutput;
    readonly systemData?: SystemDataOutput;
}

// @public
export interface ConnectivityConfigurationProperties {
    appliesToGroups: Array<ConnectivityGroupItem>;
    connectivityTopology: "HubAndSpoke" | "Mesh";
    deleteExistingPeering?: "False" | "True";
    description?: string;
    hubs?: Array<Hub>;
    isGlobal?: "False" | "True";
}

// @public
export interface ConnectivityConfigurationPropertiesOutput {
    appliesToGroups: Array<ConnectivityGroupItemOutput>;
    connectivityTopology: "HubAndSpoke" | "Mesh";
    deleteExistingPeering?: "False" | "True";
    description?: string;
    hubs?: Array<HubOutput>;
    isGlobal?: "False" | "True";
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public
export interface ConnectivityConfigurationsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: ConnectivityConfigurationOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ConnectivityConfigurationsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: ConnectivityConfigurationOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface ConnectivityConfigurationsCreateOrUpdateBodyParam {
    body: ConnectivityConfiguration;
}

// @public
export interface ConnectivityConfigurationsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ConnectivityConfigurationsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ConnectivityConfigurationsCreateOrUpdateParameters = ConnectivityConfigurationsCreateOrUpdateQueryParam & ConnectivityConfigurationsCreateOrUpdateMediaTypesParam & ConnectivityConfigurationsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface ConnectivityConfigurationsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: ConnectivityConfigurationsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface ConnectivityConfigurationsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ConnectivityConfigurationsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface ConnectivityConfigurationsDelete202Headers {
    location?: string;
}

// @public
export interface ConnectivityConfigurationsDelete202Response extends HttpResponse {
    // (undocumented)
    headers: RawHttpHeaders & ConnectivityConfigurationsDelete202Headers;
    // (undocumented)
    status: "202";
}

// @public
export interface ConnectivityConfigurationsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface ConnectivityConfigurationsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ConnectivityConfigurationsDeleteParameters = ConnectivityConfigurationsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface ConnectivityConfigurationsDeleteQueryParam {
    // (undocumented)
    queryParameters: ConnectivityConfigurationsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface ConnectivityConfigurationsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
    force?: boolean;
}

// @public (undocumented)
export interface ConnectivityConfigurationsGet {
    delete(options: ConnectivityConfigurationsDeleteParameters): StreamableMethod<ConnectivityConfigurationsDelete200Response | ConnectivityConfigurationsDelete202Response | ConnectivityConfigurationsDelete204Response | ConnectivityConfigurationsDeleteDefaultResponse>;
    get(options: ConnectivityConfigurationsGetParameters): StreamableMethod<ConnectivityConfigurationsGet200Response | ConnectivityConfigurationsGetDefaultResponse>;
    put(options: ConnectivityConfigurationsCreateOrUpdateParameters): StreamableMethod<ConnectivityConfigurationsCreateOrUpdate200Response | ConnectivityConfigurationsCreateOrUpdate201Response | ConnectivityConfigurationsCreateOrUpdateDefaultResponse>;
}

// @public
export interface ConnectivityConfigurationsGet200Response extends HttpResponse {
    // (undocumented)
    body: ConnectivityConfigurationOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ConnectivityConfigurationsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ConnectivityConfigurationsGetParameters = ConnectivityConfigurationsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface ConnectivityConfigurationsGetQueryParam {
    // (undocumented)
    queryParameters: ConnectivityConfigurationsGetQueryParamProperties;
}

// @public (undocumented)
export interface ConnectivityConfigurationsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ConnectivityConfigurationsList {
    get(options: ConnectivityConfigurationsListParameters): StreamableMethod<ConnectivityConfigurationsList200Response | ConnectivityConfigurationsListDefaultResponse>;
}

// @public
export interface ConnectivityConfigurationsList200Response extends HttpResponse {
    // (undocumented)
    body: ConnectivityConfigurationListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ConnectivityConfigurationsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ConnectivityConfigurationsListParameters = ConnectivityConfigurationsListQueryParam & RequestParameters;

// @public (undocumented)
export interface ConnectivityConfigurationsListQueryParam {
    // (undocumented)
    queryParameters: ConnectivityConfigurationsListQueryParamProperties;
}

// @public (undocumented)
export interface ConnectivityConfigurationsListQueryParamProperties {
    "api-version": "2022-05-01";
    $skipToken?: string;
    $top?: number;
}

// @public
export interface ConnectivityDestination {
    address?: string;
    port?: number;
    resourceId?: string;
}

// @public
export interface ConnectivityGroupItem {
    groupConnectivity: "None" | "DirectlyConnected";
    isGlobal?: "False" | "True";
    networkGroupId: string;
    useHubGateway?: "False" | "True";
}

// @public
export interface ConnectivityGroupItemOutput {
    groupConnectivity: "None" | "DirectlyConnected";
    isGlobal?: "False" | "True";
    networkGroupId: string;
    useHubGateway?: "False" | "True";
}

// @public
export interface ConnectivityHopOutput {
    readonly address?: string;
    readonly id?: string;
    readonly issues?: Array<ConnectivityIssueOutput>;
    readonly links?: Array<HopLinkOutput>;
    readonly nextHopIds?: Array<string>;
    readonly previousHopIds?: Array<string>;
    readonly previousLinks?: Array<HopLinkOutput>;
    readonly resourceId?: string;
    readonly type?: string;
}

// @public
export interface ConnectivityInformationOutput {
    readonly avgLatencyInMs?: number;
    readonly connectionStatus?: "Unknown" | "Connected" | "Disconnected" | "Degraded";
    readonly hops?: Array<ConnectivityHopOutput>;
    readonly maxLatencyInMs?: number;
    readonly minLatencyInMs?: number;
    readonly probesFailed?: number;
    readonly probesSent?: number;
}

// @public
export interface ConnectivityIssueOutput {
    readonly context?: Array<Record<string, string>>;
    readonly origin?: "Local" | "Inbound" | "Outbound";
    readonly severity?: "Error" | "Warning";
    readonly type?: "Unknown" | "AgentStopped" | "GuestFirewall" | "DnsResolution" | "SocketBind" | "NetworkSecurityRule" | "UserDefinedRoute" | "PortThrottled" | "Platform";
}

// @public
export interface ConnectivityParameters {
    destination: ConnectivityDestination;
    preferredIPVersion?: "IPv4" | "IPv6";
    protocol?: "Tcp" | "Http" | "Https" | "Icmp";
    protocolConfiguration?: ProtocolConfiguration;
    source: ConnectivitySource;
}

// @public
export interface ConnectivitySource {
    port?: number;
    resourceId: string;
}

// @public
export interface Container extends SubResource {
}

// @public
export interface ContainerNetworkInterface extends SubResource {
    name?: string;
    properties?: ContainerNetworkInterfacePropertiesFormat;
}

// @public
export interface ContainerNetworkInterfaceConfiguration extends SubResource {
    name?: string;
    properties?: ContainerNetworkInterfaceConfigurationPropertiesFormat;
}

// @public
export interface ContainerNetworkInterfaceConfigurationOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ContainerNetworkInterfaceConfigurationPropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface ContainerNetworkInterfaceConfigurationPropertiesFormat {
    containerNetworkInterfaces?: Array<SubResource>;
    ipConfigurations?: Array<IPConfigurationProfile>;
}

// @public
export interface ContainerNetworkInterfaceConfigurationPropertiesFormatOutput {
    containerNetworkInterfaces?: Array<SubResourceOutput>;
    ipConfigurations?: Array<IPConfigurationProfileOutput>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public
export interface ContainerNetworkInterfaceIpConfiguration {
    name?: string;
    properties?: ContainerNetworkInterfaceIpConfigurationPropertiesFormat;
}

// @public
export interface ContainerNetworkInterfaceIpConfigurationOutput {
    readonly etag?: string;
    name?: string;
    properties?: ContainerNetworkInterfaceIpConfigurationPropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface ContainerNetworkInterfaceIpConfigurationPropertiesFormat {
}

// @public
export interface ContainerNetworkInterfaceIpConfigurationPropertiesFormatOutput {
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public
export interface ContainerNetworkInterfaceOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ContainerNetworkInterfacePropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface ContainerNetworkInterfacePropertiesFormat {
    container?: Container;
}

// @public
export interface ContainerNetworkInterfacePropertiesFormatOutput {
    container?: ContainerOutput;
    readonly containerNetworkInterfaceConfiguration?: ContainerNetworkInterfaceConfigurationOutput;
    readonly ipConfigurations?: Array<ContainerNetworkInterfaceIpConfigurationOutput>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public
export interface ContainerOutput extends SubResourceOutput {
}

// @public
function createClient(credentials: TokenCredential, options?: NetworkManagementClientOptions): NetworkManagementClient;
export default createClient;

// @public
export interface Criterion {
    asPath?: Array<string>;
    community?: Array<string>;
    matchCondition?: "Unknown" | "Contains" | "Equals" | "NotContains" | "NotEquals";
    routePrefix?: Array<string>;
}

// @public
export interface CriterionOutput {
    asPath?: Array<string>;
    community?: Array<string>;
    matchCondition?: "Unknown" | "Contains" | "Equals" | "NotContains" | "NotEquals";
    routePrefix?: Array<string>;
}

// @public
export interface CrossTenantScopes {
}

// @public
export interface CrossTenantScopesOutput {
    readonly managementGroups?: Array<string>;
    readonly subscriptions?: Array<string>;
    readonly tenantId?: string;
}

// @public
export interface CustomDnsConfigPropertiesFormat {
    fqdn?: string;
    ipAddresses?: Array<string>;
}

// @public
export interface CustomDnsConfigPropertiesFormatOutput {
    fqdn?: string;
    ipAddresses?: Array<string>;
}

// @public
export interface CustomIpPrefix extends Resource {
    extendedLocation?: ExtendedLocation;
    properties?: CustomIpPrefixPropertiesFormat;
    zones?: Array<string>;
}

// @public
export interface CustomIPPrefixesCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: CustomIpPrefixOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface CustomIPPrefixesCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: CustomIpPrefixOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface CustomIPPrefixesCreateOrUpdateBodyParam {
    body: CustomIpPrefix;
}

// @public
export interface CustomIPPrefixesCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface CustomIPPrefixesCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type CustomIPPrefixesCreateOrUpdateParameters = CustomIPPrefixesCreateOrUpdateQueryParam & CustomIPPrefixesCreateOrUpdateMediaTypesParam & CustomIPPrefixesCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface CustomIPPrefixesCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: CustomIPPrefixesCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface CustomIPPrefixesCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface CustomIPPrefixesDelete {
    delete(options: CustomIPPrefixesDeleteParameters): StreamableMethod<CustomIPPrefixesDelete200Response | CustomIPPrefixesDelete202Response | CustomIPPrefixesDelete204Response | CustomIPPrefixesDeleteDefaultResponse>;
    get(options: CustomIPPrefixesGetParameters): StreamableMethod<CustomIPPrefixesGet200Response | CustomIPPrefixesGetDefaultResponse>;
    patch(options: CustomIPPrefixesUpdateTagsParameters): StreamableMethod<CustomIPPrefixesUpdateTags200Response | CustomIPPrefixesUpdateTagsDefaultResponse>;
    put(options: CustomIPPrefixesCreateOrUpdateParameters): StreamableMethod<CustomIPPrefixesCreateOrUpdate200Response | CustomIPPrefixesCreateOrUpdate201Response | CustomIPPrefixesCreateOrUpdateDefaultResponse>;
}

// @public
export interface CustomIPPrefixesDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface CustomIPPrefixesDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface CustomIPPrefixesDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface CustomIPPrefixesDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type CustomIPPrefixesDeleteParameters = CustomIPPrefixesDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface CustomIPPrefixesDeleteQueryParam {
    // (undocumented)
    queryParameters: CustomIPPrefixesDeleteQueryParamProperties;
}

// @public (undocumented)
export interface CustomIPPrefixesDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface CustomIPPrefixesGet200Response extends HttpResponse {
    // (undocumented)
    body: CustomIpPrefixOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface CustomIPPrefixesGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type CustomIPPrefixesGetParameters = CustomIPPrefixesGetQueryParam & RequestParameters;

// @public (undocumented)
export interface CustomIPPrefixesGetQueryParam {
    // (undocumented)
    queryParameters: CustomIPPrefixesGetQueryParamProperties;
}

// @public (undocumented)
export interface CustomIPPrefixesGetQueryParamProperties {
    "api-version": "2022-05-01";
    $expand?: string;
}

// @public (undocumented)
export interface CustomIPPrefixesList {
    get(options: CustomIPPrefixesListParameters): StreamableMethod<CustomIPPrefixesList200Response | CustomIPPrefixesListDefaultResponse>;
}

// @public
export interface CustomIPPrefixesList200Response extends HttpResponse {
    // (undocumented)
    body: CustomIpPrefixListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface CustomIPPrefixesListAll {
    get(options: CustomIPPrefixesListAllParameters): StreamableMethod<CustomIPPrefixesListAll200Response | CustomIPPrefixesListAllDefaultResponse>;
}

// @public
export interface CustomIPPrefixesListAll200Response extends HttpResponse {
    // (undocumented)
    body: CustomIpPrefixListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface CustomIPPrefixesListAllDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type CustomIPPrefixesListAllParameters = CustomIPPrefixesListAllQueryParam & RequestParameters;

// @public (undocumented)
export interface CustomIPPrefixesListAllQueryParam {
    // (undocumented)
    queryParameters: CustomIPPrefixesListAllQueryParamProperties;
}

// @public (undocumented)
export interface CustomIPPrefixesListAllQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface CustomIPPrefixesListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type CustomIPPrefixesListParameters = CustomIPPrefixesListQueryParam & RequestParameters;

// @public (undocumented)
export interface CustomIPPrefixesListQueryParam {
    // (undocumented)
    queryParameters: CustomIPPrefixesListQueryParamProperties;
}

// @public (undocumented)
export interface CustomIPPrefixesListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface CustomIPPrefixesUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: CustomIpPrefixOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface CustomIPPrefixesUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface CustomIPPrefixesUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface CustomIPPrefixesUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type CustomIPPrefixesUpdateTagsParameters = CustomIPPrefixesUpdateTagsQueryParam & CustomIPPrefixesUpdateTagsMediaTypesParam & CustomIPPrefixesUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface CustomIPPrefixesUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: CustomIPPrefixesUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface CustomIPPrefixesUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface CustomIpPrefixListResultOutput {
    nextLink?: string;
    value?: Array<CustomIpPrefixOutput>;
}

// @public
export interface CustomIpPrefixOutput extends ResourceOutput {
    readonly etag?: string;
    extendedLocation?: ExtendedLocationOutput;
    properties?: CustomIpPrefixPropertiesFormatOutput;
    zones?: Array<string>;
}

// @public
export interface CustomIpPrefixPropertiesFormat {
    asn?: string;
    authorizationMessage?: string;
    cidr?: string;
    commissionedState?: "Provisioning" | "Provisioned" | "Commissioning" | "CommissionedNoInternetAdvertise" | "Commissioned" | "Decommissioning" | "Deprovisioning" | "Deprovisioned";
    customIpPrefixParent?: SubResource;
    expressRouteAdvertise?: boolean;
    geo?: "GLOBAL" | "AFRI" | "APAC" | "EURO" | "LATAM" | "NAM" | "ME" | "OCEANIA" | "AQ";
    noInternetAdvertise?: boolean;
    prefixType?: "Singular" | "Parent" | "Child";
    signedMessage?: string;
}

// @public
export interface CustomIpPrefixPropertiesFormatOutput {
    asn?: string;
    authorizationMessage?: string;
    readonly childCustomIpPrefixes?: Array<SubResourceOutput>;
    cidr?: string;
    commissionedState?: "Provisioning" | "Provisioned" | "Commissioning" | "CommissionedNoInternetAdvertise" | "Commissioned" | "Decommissioning" | "Deprovisioning" | "Deprovisioned";
    customIpPrefixParent?: SubResourceOutput;
    expressRouteAdvertise?: boolean;
    readonly failedReason?: string;
    geo?: "GLOBAL" | "AFRI" | "APAC" | "EURO" | "LATAM" | "NAM" | "ME" | "OCEANIA" | "AQ";
    noInternetAdvertise?: boolean;
    prefixType?: "Singular" | "Parent" | "Child";
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    readonly publicIpPrefixes?: Array<SubResourceOutput>;
    readonly resourceGuid?: string;
    signedMessage?: string;
}

// @public
export interface DdosCustomPoliciesCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: DdosCustomPolicyOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface DdosCustomPoliciesCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: DdosCustomPolicyOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface DdosCustomPoliciesCreateOrUpdateBodyParam {
    body: DdosCustomPolicy;
}

// @public
export interface DdosCustomPoliciesCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface DdosCustomPoliciesCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type DdosCustomPoliciesCreateOrUpdateParameters = DdosCustomPoliciesCreateOrUpdateQueryParam & DdosCustomPoliciesCreateOrUpdateMediaTypesParam & DdosCustomPoliciesCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface DdosCustomPoliciesCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: DdosCustomPoliciesCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface DdosCustomPoliciesCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface DdosCustomPoliciesDelete {
    delete(options: DdosCustomPoliciesDeleteParameters): StreamableMethod<DdosCustomPoliciesDelete200Response | DdosCustomPoliciesDelete202Response | DdosCustomPoliciesDelete204Response | DdosCustomPoliciesDeleteDefaultResponse>;
    get(options: DdosCustomPoliciesGetParameters): StreamableMethod<DdosCustomPoliciesGet200Response | DdosCustomPoliciesGetDefaultResponse>;
    patch(options: DdosCustomPoliciesUpdateTagsParameters): StreamableMethod<DdosCustomPoliciesUpdateTags200Response | DdosCustomPoliciesUpdateTagsDefaultResponse>;
    put(options: DdosCustomPoliciesCreateOrUpdateParameters): StreamableMethod<DdosCustomPoliciesCreateOrUpdate200Response | DdosCustomPoliciesCreateOrUpdate201Response | DdosCustomPoliciesCreateOrUpdateDefaultResponse>;
}

// @public
export interface DdosCustomPoliciesDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface DdosCustomPoliciesDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface DdosCustomPoliciesDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface DdosCustomPoliciesDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type DdosCustomPoliciesDeleteParameters = DdosCustomPoliciesDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface DdosCustomPoliciesDeleteQueryParam {
    // (undocumented)
    queryParameters: DdosCustomPoliciesDeleteQueryParamProperties;
}

// @public (undocumented)
export interface DdosCustomPoliciesDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface DdosCustomPoliciesGet200Response extends HttpResponse {
    // (undocumented)
    body: DdosCustomPolicyOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface DdosCustomPoliciesGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type DdosCustomPoliciesGetParameters = DdosCustomPoliciesGetQueryParam & RequestParameters;

// @public (undocumented)
export interface DdosCustomPoliciesGetQueryParam {
    // (undocumented)
    queryParameters: DdosCustomPoliciesGetQueryParamProperties;
}

// @public (undocumented)
export interface DdosCustomPoliciesGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface DdosCustomPoliciesUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: DdosCustomPolicyOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface DdosCustomPoliciesUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface DdosCustomPoliciesUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface DdosCustomPoliciesUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type DdosCustomPoliciesUpdateTagsParameters = DdosCustomPoliciesUpdateTagsQueryParam & DdosCustomPoliciesUpdateTagsMediaTypesParam & DdosCustomPoliciesUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface DdosCustomPoliciesUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: DdosCustomPoliciesUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface DdosCustomPoliciesUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface DdosCustomPolicy extends Resource {
    properties?: DdosCustomPolicyPropertiesFormat;
}

// @public
export interface DdosCustomPolicyOutput extends ResourceOutput {
    readonly etag?: string;
    properties?: DdosCustomPolicyPropertiesFormatOutput;
}

// @public
export interface DdosCustomPolicyPropertiesFormat {
}

// @public
export interface DdosCustomPolicyPropertiesFormatOutput {
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    readonly resourceGuid?: string;
}

// @public
export interface DdosProtectionPlan {
    location?: string;
    properties?: DdosProtectionPlanPropertiesFormat;
    tags?: Record<string, string>;
}

// @public
export interface DdosProtectionPlanListResultOutput {
    readonly nextLink?: string;
    value?: Array<DdosProtectionPlanOutput>;
}

// @public
export interface DdosProtectionPlanOutput {
    readonly etag?: string;
    readonly id?: string;
    location?: string;
    readonly name?: string;
    properties?: DdosProtectionPlanPropertiesFormatOutput;
    tags?: Record<string, string>;
    readonly type?: string;
}

// @public
export interface DdosProtectionPlanPropertiesFormat {
}

// @public
export interface DdosProtectionPlanPropertiesFormatOutput {
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    readonly publicIpAddresses?: Array<SubResourceOutput>;
    readonly resourceGuid?: string;
    readonly virtualNetworks?: Array<SubResourceOutput>;
}

// @public
export interface DdosProtectionPlansCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: DdosProtectionPlanOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface DdosProtectionPlansCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: DdosProtectionPlanOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface DdosProtectionPlansCreateOrUpdateBodyParam {
    body: DdosProtectionPlan;
}

// @public
export interface DdosProtectionPlansCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface DdosProtectionPlansCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type DdosProtectionPlansCreateOrUpdateParameters = DdosProtectionPlansCreateOrUpdateQueryParam & DdosProtectionPlansCreateOrUpdateMediaTypesParam & DdosProtectionPlansCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface DdosProtectionPlansCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: DdosProtectionPlansCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface DdosProtectionPlansCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface DdosProtectionPlansDelete {
    delete(options: DdosProtectionPlansDeleteParameters): StreamableMethod<DdosProtectionPlansDelete200Response | DdosProtectionPlansDelete202Response | DdosProtectionPlansDelete204Response | DdosProtectionPlansDeleteDefaultResponse>;
    get(options: DdosProtectionPlansGetParameters): StreamableMethod<DdosProtectionPlansGet200Response | DdosProtectionPlansGetDefaultResponse>;
    patch(options: DdosProtectionPlansUpdateTagsParameters): StreamableMethod<DdosProtectionPlansUpdateTags200Response | DdosProtectionPlansUpdateTagsDefaultResponse>;
    put(options: DdosProtectionPlansCreateOrUpdateParameters): StreamableMethod<DdosProtectionPlansCreateOrUpdate200Response | DdosProtectionPlansCreateOrUpdate201Response | DdosProtectionPlansCreateOrUpdateDefaultResponse>;
}

// @public
export interface DdosProtectionPlansDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface DdosProtectionPlansDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface DdosProtectionPlansDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface DdosProtectionPlansDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type DdosProtectionPlansDeleteParameters = DdosProtectionPlansDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface DdosProtectionPlansDeleteQueryParam {
    // (undocumented)
    queryParameters: DdosProtectionPlansDeleteQueryParamProperties;
}

// @public (undocumented)
export interface DdosProtectionPlansDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface DdosProtectionPlansGet200Response extends HttpResponse {
    // (undocumented)
    body: DdosProtectionPlanOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface DdosProtectionPlansGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type DdosProtectionPlansGetParameters = DdosProtectionPlansGetQueryParam & RequestParameters;

// @public (undocumented)
export interface DdosProtectionPlansGetQueryParam {
    // (undocumented)
    queryParameters: DdosProtectionPlansGetQueryParamProperties;
}

// @public (undocumented)
export interface DdosProtectionPlansGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface DdosProtectionPlansList {
    get(options: DdosProtectionPlansListParameters): StreamableMethod<DdosProtectionPlansList200Response | DdosProtectionPlansListDefaultResponse>;
}

// @public
export interface DdosProtectionPlansList200Response extends HttpResponse {
    // (undocumented)
    body: DdosProtectionPlanListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface DdosProtectionPlansListByResourceGroup {
    get(options: DdosProtectionPlansListByResourceGroupParameters): StreamableMethod<DdosProtectionPlansListByResourceGroup200Response | DdosProtectionPlansListByResourceGroupDefaultResponse>;
}

// @public
export interface DdosProtectionPlansListByResourceGroup200Response extends HttpResponse {
    // (undocumented)
    body: DdosProtectionPlanListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface DdosProtectionPlansListByResourceGroupDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type DdosProtectionPlansListByResourceGroupParameters = DdosProtectionPlansListByResourceGroupQueryParam & RequestParameters;

// @public (undocumented)
export interface DdosProtectionPlansListByResourceGroupQueryParam {
    // (undocumented)
    queryParameters: DdosProtectionPlansListByResourceGroupQueryParamProperties;
}

// @public (undocumented)
export interface DdosProtectionPlansListByResourceGroupQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface DdosProtectionPlansListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type DdosProtectionPlansListParameters = DdosProtectionPlansListQueryParam & RequestParameters;

// @public (undocumented)
export interface DdosProtectionPlansListQueryParam {
    // (undocumented)
    queryParameters: DdosProtectionPlansListQueryParamProperties;
}

// @public (undocumented)
export interface DdosProtectionPlansListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface DdosProtectionPlansUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: DdosProtectionPlanOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface DdosProtectionPlansUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface DdosProtectionPlansUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface DdosProtectionPlansUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type DdosProtectionPlansUpdateTagsParameters = DdosProtectionPlansUpdateTagsQueryParam & DdosProtectionPlansUpdateTagsMediaTypesParam & DdosProtectionPlansUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface DdosProtectionPlansUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: DdosProtectionPlansUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface DdosProtectionPlansUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface DdosSettings {
    ddosProtectionPlan?: SubResource;
    protectionMode?: "VirtualNetworkInherited" | "Enabled" | "Disabled";
}

// @public
export interface DdosSettingsOutput {
    ddosProtectionPlan?: SubResourceOutput;
    protectionMode?: "VirtualNetworkInherited" | "Enabled" | "Disabled";
}

// @public
export interface DefaultAdminPropertiesFormat {
    flag?: string;
}

// @public
export interface DefaultAdminPropertiesFormatOutput {
    readonly access?: "Allow" | "Deny" | "AlwaysAllow";
    readonly description?: string;
    readonly destinationPortRanges?: Array<string>;
    readonly destinations?: Array<AddressPrefixItemOutput>;
    readonly direction?: "Inbound" | "Outbound";
    flag?: string;
    readonly priority?: number;
    readonly protocol?: "Tcp" | "Udp" | "Icmp" | "Esp" | "Any" | "Ah";
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    readonly sourcePortRanges?: Array<string>;
    readonly sources?: Array<AddressPrefixItemOutput>;
}

// @public
export interface DefaultAdminRule extends BaseAdminRuleParent {
    // (undocumented)
    kind: "Default";
    properties?: DefaultAdminPropertiesFormat;
}

// @public
export interface DefaultAdminRuleOutput extends BaseAdminRuleOutputParent {
    // (undocumented)
    kind: "Default";
    properties?: DefaultAdminPropertiesFormatOutput;
}

// @public
export interface DefaultRuleSetPropertyFormatOutput {
    ruleSetType?: string;
    ruleSetVersion?: string;
}

// @public (undocumented)
export interface DefaultSecurityRulesGet {
    get(options: DefaultSecurityRulesGetParameters): StreamableMethod<DefaultSecurityRulesGet200Response | DefaultSecurityRulesGetDefaultResponse>;
}

// @public
export interface DefaultSecurityRulesGet200Response extends HttpResponse {
    // (undocumented)
    body: SecurityRuleOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface DefaultSecurityRulesGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type DefaultSecurityRulesGetParameters = DefaultSecurityRulesGetQueryParam & RequestParameters;

// @public (undocumented)
export interface DefaultSecurityRulesGetQueryParam {
    // (undocumented)
    queryParameters: DefaultSecurityRulesGetQueryParamProperties;
}

// @public (undocumented)
export interface DefaultSecurityRulesGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface DefaultSecurityRulesList {
    get(options: DefaultSecurityRulesListParameters): StreamableMethod<DefaultSecurityRulesList200Response | DefaultSecurityRulesListDefaultResponse>;
}

// @public
export interface DefaultSecurityRulesList200Response extends HttpResponse {
    // (undocumented)
    body: SecurityRuleListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface DefaultSecurityRulesListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type DefaultSecurityRulesListParameters = DefaultSecurityRulesListQueryParam & RequestParameters;

// @public (undocumented)
export interface DefaultSecurityRulesListQueryParam {
    // (undocumented)
    queryParameters: DefaultSecurityRulesListQueryParamProperties;
}

// @public (undocumented)
export interface DefaultSecurityRulesListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface Delegation extends SubResource {
    name?: string;
    properties?: ServiceDelegationPropertiesFormat;
    type?: string;
}

// @public
export interface DelegationOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ServiceDelegationPropertiesFormatOutput;
    type?: string;
}

// @public (undocumented)
export interface DeleteBastionShareableLink {
    post(options: DeleteBastionShareableLinkParameters): StreamableMethod<DeleteBastionShareableLink200Response | DeleteBastionShareableLink202Response | DeleteBastionShareableLinkDefaultResponse>;
}

// @public
export interface DeleteBastionShareableLink200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface DeleteBastionShareableLink202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface DeleteBastionShareableLinkBodyParam {
    body: BastionShareableLinkListRequest;
}

// @public
export interface DeleteBastionShareableLinkDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface DeleteBastionShareableLinkMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type DeleteBastionShareableLinkParameters = DeleteBastionShareableLinkQueryParam & DeleteBastionShareableLinkMediaTypesParam & DeleteBastionShareableLinkBodyParam & RequestParameters;

// @public (undocumented)
export interface DeleteBastionShareableLinkQueryParam {
    // (undocumented)
    queryParameters: DeleteBastionShareableLinkQueryParamProperties;
}

// @public (undocumented)
export interface DeleteBastionShareableLinkQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface DeviceProperties {
    deviceModel?: string;
    deviceVendor?: string;
    linkSpeedInMbps?: number;
}

// @public
export interface DevicePropertiesOutput {
    deviceModel?: string;
    deviceVendor?: string;
    linkSpeedInMbps?: number;
}

// @public
export interface DhcpOptions {
    dnsServers?: Array<string>;
}

// @public
export interface DhcpOptionsOutput {
    dnsServers?: Array<string>;
}

// @public
export interface DimensionOutput {
    displayName?: string;
    internalName?: string;
    name?: string;
}

// @public (undocumented)
export interface DisconnectActiveSessions {
    post(options: DisconnectActiveSessionsParameters): StreamableMethod<DisconnectActiveSessions200Response | DisconnectActiveSessionsDefaultResponse>;
}

// @public
export interface DisconnectActiveSessions200Response extends HttpResponse {
    // (undocumented)
    body: BastionSessionDeleteResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface DisconnectActiveSessionsBodyParam {
    body: SessionIds;
}

// @public
export interface DisconnectActiveSessionsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface DisconnectActiveSessionsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type DisconnectActiveSessionsParameters = DisconnectActiveSessionsQueryParam & DisconnectActiveSessionsMediaTypesParam & DisconnectActiveSessionsBodyParam & RequestParameters;

// @public (undocumented)
export interface DisconnectActiveSessionsQueryParam {
    // (undocumented)
    queryParameters: DisconnectActiveSessionsQueryParamProperties;
}

// @public (undocumented)
export interface DisconnectActiveSessionsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface DnsNameAvailabilityResultOutput {
    available?: boolean;
}

// @public
export interface DnsSettings {
    enableProxy?: boolean;
    requireProxyForNetworkRules?: boolean;
    servers?: Array<string>;
}

// @public
export interface DnsSettingsOutput {
    enableProxy?: boolean;
    requireProxyForNetworkRules?: boolean;
    servers?: Array<string>;
}

// @public
export interface DscpConfiguration extends Resource {
    properties?: DscpConfigurationPropertiesFormat;
}

// @public (undocumented)
export interface DscpConfigurationCreateOrUpdate {
    delete(options: DscpConfigurationDeleteParameters): StreamableMethod<DscpConfigurationDelete200Response | DscpConfigurationDelete202Response | DscpConfigurationDelete204Response | DscpConfigurationDeleteDefaultResponse>;
    get(options: DscpConfigurationGetParameters): StreamableMethod<DscpConfigurationGet200Response | DscpConfigurationGetDefaultResponse>;
    put(options: DscpConfigurationCreateOrUpdateParameters): StreamableMethod<DscpConfigurationCreateOrUpdate200Response | DscpConfigurationCreateOrUpdate201Response | DscpConfigurationCreateOrUpdateDefaultResponse>;
}

// @public
export interface DscpConfigurationCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: DscpConfigurationOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface DscpConfigurationCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: DscpConfigurationOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface DscpConfigurationCreateOrUpdateBodyParam {
    body: DscpConfiguration;
}

// @public
export interface DscpConfigurationCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface DscpConfigurationCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type DscpConfigurationCreateOrUpdateParameters = DscpConfigurationCreateOrUpdateQueryParam & DscpConfigurationCreateOrUpdateMediaTypesParam & DscpConfigurationCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface DscpConfigurationCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: DscpConfigurationCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface DscpConfigurationCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface DscpConfigurationDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface DscpConfigurationDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface DscpConfigurationDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface DscpConfigurationDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type DscpConfigurationDeleteParameters = DscpConfigurationDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface DscpConfigurationDeleteQueryParam {
    // (undocumented)
    queryParameters: DscpConfigurationDeleteQueryParamProperties;
}

// @public (undocumented)
export interface DscpConfigurationDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface DscpConfigurationGet200Response extends HttpResponse {
    // (undocumented)
    body: DscpConfigurationOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface DscpConfigurationGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type DscpConfigurationGetParameters = DscpConfigurationGetQueryParam & RequestParameters;

// @public (undocumented)
export interface DscpConfigurationGetQueryParam {
    // (undocumented)
    queryParameters: DscpConfigurationGetQueryParamProperties;
}

// @public (undocumented)
export interface DscpConfigurationGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface DscpConfigurationList {
    get(options: DscpConfigurationListParameters): StreamableMethod<DscpConfigurationList200Response | DscpConfigurationListDefaultResponse>;
}

// @public
export interface DscpConfigurationList200Response extends HttpResponse {
    // (undocumented)
    body: DscpConfigurationListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface DscpConfigurationListAll {
    get(options: DscpConfigurationListAllParameters): StreamableMethod<DscpConfigurationListAll200Response | DscpConfigurationListAllDefaultResponse>;
}

// @public
export interface DscpConfigurationListAll200Response extends HttpResponse {
    // (undocumented)
    body: DscpConfigurationListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface DscpConfigurationListAllDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type DscpConfigurationListAllParameters = DscpConfigurationListAllQueryParam & RequestParameters;

// @public (undocumented)
export interface DscpConfigurationListAllQueryParam {
    // (undocumented)
    queryParameters: DscpConfigurationListAllQueryParamProperties;
}

// @public (undocumented)
export interface DscpConfigurationListAllQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface DscpConfigurationListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type DscpConfigurationListParameters = DscpConfigurationListQueryParam & RequestParameters;

// @public (undocumented)
export interface DscpConfigurationListQueryParam {
    // (undocumented)
    queryParameters: DscpConfigurationListQueryParamProperties;
}

// @public (undocumented)
export interface DscpConfigurationListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface DscpConfigurationListResultOutput {
    readonly nextLink?: string;
    value?: Array<DscpConfigurationOutput>;
}

// @public
export interface DscpConfigurationOutput extends ResourceOutput {
    readonly etag?: string;
    properties?: DscpConfigurationPropertiesFormatOutput;
}

// @public
export interface DscpConfigurationPropertiesFormat {
    destinationIpRanges?: Array<QosIpRange>;
    destinationPortRanges?: Array<QosPortRange>;
    markings?: Array<number>;
    protocol?: "DoNotUse" | "Icmp" | "Tcp" | "Udp" | "Gre" | "Esp" | "Ah" | "Vxlan" | "All";
    qosDefinitionCollection?: Array<QosDefinition>;
    sourceIpRanges?: Array<QosIpRange>;
    sourcePortRanges?: Array<QosPortRange>;
}

// @public
export interface DscpConfigurationPropertiesFormatOutput {
    readonly associatedNetworkInterfaces?: Array<NetworkInterfaceOutput>;
    destinationIpRanges?: Array<QosIpRangeOutput>;
    destinationPortRanges?: Array<QosPortRangeOutput>;
    markings?: Array<number>;
    protocol?: "DoNotUse" | "Icmp" | "Tcp" | "Udp" | "Gre" | "Esp" | "Ah" | "Vxlan" | "All";
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    readonly qosCollectionId?: string;
    qosDefinitionCollection?: Array<QosDefinitionOutput>;
    readonly resourceGuid?: string;
    sourceIpRanges?: Array<QosIpRangeOutput>;
    sourcePortRanges?: Array<QosPortRangeOutput>;
}

// @public
export type EffectiveBaseSecurityAdminRuleOutput = EffectiveSecurityAdminRuleOutput | EffectiveDefaultSecurityAdminRuleOutput;

// @public
export interface EffectiveBaseSecurityAdminRuleOutputParent {
    configurationDescription?: string;
    id?: string;
    // (undocumented)
    kind: "EffectiveBaseSecurityAdminRule" | "Custom" | "Default";
    ruleCollectionAppliesToGroups?: Array<NetworkManagerSecurityGroupItemOutput>;
    ruleCollectionDescription?: string;
    ruleGroups?: Array<ConfigurationGroupOutput>;
}

// @public
export interface EffectiveConnectivityConfigurationOutput {
    configurationGroups?: Array<ConfigurationGroupOutput>;
    id?: string;
    properties?: ConnectivityConfigurationPropertiesOutput;
}

// @public
export interface EffectiveDefaultSecurityAdminRuleOutput extends EffectiveBaseSecurityAdminRuleOutputParent {
    // (undocumented)
    kind: "Default";
    properties?: DefaultAdminPropertiesFormatOutput;
}

// @public
export interface EffectiveNetworkSecurityGroupAssociationOutput {
    networkInterface?: SubResourceOutput;
    networkManager?: SubResourceOutput;
    subnet?: SubResourceOutput;
}

// @public
export interface EffectiveNetworkSecurityGroupListResultOutput {
    readonly nextLink?: string;
    value?: Array<EffectiveNetworkSecurityGroupOutput>;
}

// @public
export interface EffectiveNetworkSecurityGroupOutput {
    association?: EffectiveNetworkSecurityGroupAssociationOutput;
    effectiveSecurityRules?: Array<EffectiveNetworkSecurityRuleOutput>;
    networkSecurityGroup?: SubResourceOutput;
    tagMap?: string;
}

// @public
export interface EffectiveNetworkSecurityRuleOutput {
    access?: "Allow" | "Deny";
    destinationAddressPrefix?: string;
    destinationAddressPrefixes?: Array<string>;
    destinationPortRange?: string;
    destinationPortRanges?: Array<string>;
    direction?: "Inbound" | "Outbound";
    expandedDestinationAddressPrefix?: Array<string>;
    expandedSourceAddressPrefix?: Array<string>;
    name?: string;
    priority?: number;
    protocol?: "Tcp" | "Udp" | "All";
    sourceAddressPrefix?: string;
    sourceAddressPrefixes?: Array<string>;
    sourcePortRange?: string;
    sourcePortRanges?: Array<string>;
}

// @public
export interface EffectiveRouteListResultOutput {
    readonly nextLink?: string;
    value?: Array<EffectiveRouteOutput>;
}

// @public
export interface EffectiveRouteOutput {
    addressPrefix?: Array<string>;
    disableBgpRoutePropagation?: boolean;
    name?: string;
    nextHopIpAddress?: Array<string>;
    nextHopType?: "VirtualNetworkGateway" | "VnetLocal" | "Internet" | "VirtualAppliance" | "None";
    source?: "Unknown" | "User" | "VirtualNetworkGateway" | "Default";
    state?: "Active" | "Invalid";
}

// @public
export interface EffectiveRoutesParameters {
    resourceId?: string;
    virtualWanResourceType?: string;
}

// @public
export interface EffectiveSecurityAdminRuleOutput extends EffectiveBaseSecurityAdminRuleOutputParent {
    // (undocumented)
    kind: "Custom";
    properties?: AdminPropertiesFormatOutput;
}

// @public
export interface EndpointServiceResult extends SubResource {
}

// @public
export interface EndpointServiceResultOutput extends SubResourceOutput {
    readonly name?: string;
    readonly type?: string;
}

// @public
export interface EndpointServicesListResultOutput {
    nextLink?: string;
    value?: Array<EndpointServiceResultOutput>;
}

// @public
export interface ErrorDetailsOutput {
    code?: string;
    message?: string;
    target?: string;
}

// @public
export interface ErrorModelOutput {
    code?: string;
    details?: Array<ErrorDetailsOutput>;
    innerError?: string;
    message?: string;
    target?: string;
}

// @public
export interface ErrorResponseOutput {
    error?: ErrorDetailsOutput;
}

// @public
export interface EvaluatedNetworkSecurityGroupOutput {
    appliedTo?: string;
    matchedRule?: MatchedRuleOutput;
    networkSecurityGroupId?: string;
    readonly rulesEvaluationResult?: Array<NetworkSecurityRulesEvaluationResultOutput>;
}

// @public
export interface ExclusionManagedRule {
    ruleId: string;
}

// @public
export interface ExclusionManagedRuleGroup {
    ruleGroupName: string;
    rules?: Array<ExclusionManagedRule>;
}

// @public
export interface ExclusionManagedRuleGroupOutput {
    ruleGroupName: string;
    rules?: Array<ExclusionManagedRuleOutput>;
}

// @public
export interface ExclusionManagedRuleOutput {
    ruleId: string;
}

// @public
export interface ExclusionManagedRuleSet {
    ruleGroups?: Array<ExclusionManagedRuleGroup>;
    ruleSetType: string;
    ruleSetVersion: string;
}

// @public
export interface ExclusionManagedRuleSetOutput {
    ruleGroups?: Array<ExclusionManagedRuleGroupOutput>;
    ruleSetType: string;
    ruleSetVersion: string;
}

// @public
export interface ExplicitProxy {
    enableExplicitProxy?: boolean;
    enablePacFile?: boolean;
    httpPort?: number;
    httpsPort?: number;
    pacFile?: string;
    pacFilePort?: number;
}

// @public
export interface ExplicitProxyOutput {
    enableExplicitProxy?: boolean;
    enablePacFile?: boolean;
    httpPort?: number;
    httpsPort?: number;
    pacFile?: string;
    pacFilePort?: number;
}

// @public
export interface ExpressRouteCircuit extends Resource {
    properties?: ExpressRouteCircuitPropertiesFormat;
    sku?: ExpressRouteCircuitSku;
}

// @public
export interface ExpressRouteCircuitArpTableOutput {
    age?: number;
    interface?: string;
    ipAddress?: string;
    macAddress?: string;
}

// @public
export interface ExpressRouteCircuitAuthorization extends SubResource {
    name?: string;
    properties?: AuthorizationPropertiesFormat;
}

// @public
export interface ExpressRouteCircuitAuthorizationOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: AuthorizationPropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface ExpressRouteCircuitAuthorizationsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCircuitAuthorizationOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteCircuitAuthorizationsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCircuitAuthorizationOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface ExpressRouteCircuitAuthorizationsCreateOrUpdateBodyParam {
    body: ExpressRouteCircuitAuthorization;
}

// @public
export interface ExpressRouteCircuitAuthorizationsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ExpressRouteCircuitAuthorizationsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ExpressRouteCircuitAuthorizationsCreateOrUpdateParameters = ExpressRouteCircuitAuthorizationsCreateOrUpdateQueryParam & ExpressRouteCircuitAuthorizationsCreateOrUpdateMediaTypesParam & ExpressRouteCircuitAuthorizationsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCircuitAuthorizationsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCircuitAuthorizationsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCircuitAuthorizationsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ExpressRouteCircuitAuthorizationsDelete {
    delete(options: ExpressRouteCircuitAuthorizationsDeleteParameters): StreamableMethod<ExpressRouteCircuitAuthorizationsDelete200Response | ExpressRouteCircuitAuthorizationsDelete202Response | ExpressRouteCircuitAuthorizationsDelete204Response | ExpressRouteCircuitAuthorizationsDeleteDefaultResponse>;
    get(options: ExpressRouteCircuitAuthorizationsGetParameters): StreamableMethod<ExpressRouteCircuitAuthorizationsGet200Response | ExpressRouteCircuitAuthorizationsGetDefaultResponse>;
    put(options: ExpressRouteCircuitAuthorizationsCreateOrUpdateParameters): StreamableMethod<ExpressRouteCircuitAuthorizationsCreateOrUpdate200Response | ExpressRouteCircuitAuthorizationsCreateOrUpdate201Response | ExpressRouteCircuitAuthorizationsCreateOrUpdateDefaultResponse>;
}

// @public
export interface ExpressRouteCircuitAuthorizationsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteCircuitAuthorizationsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface ExpressRouteCircuitAuthorizationsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface ExpressRouteCircuitAuthorizationsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteCircuitAuthorizationsDeleteParameters = ExpressRouteCircuitAuthorizationsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCircuitAuthorizationsDeleteQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCircuitAuthorizationsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCircuitAuthorizationsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ExpressRouteCircuitAuthorizationsGet200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCircuitAuthorizationOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteCircuitAuthorizationsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteCircuitAuthorizationsGetParameters = ExpressRouteCircuitAuthorizationsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCircuitAuthorizationsGetQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCircuitAuthorizationsGetQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCircuitAuthorizationsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ExpressRouteCircuitAuthorizationsList {
    get(options: ExpressRouteCircuitAuthorizationsListParameters): StreamableMethod<ExpressRouteCircuitAuthorizationsList200Response | ExpressRouteCircuitAuthorizationsListDefaultResponse>;
}

// @public
export interface ExpressRouteCircuitAuthorizationsList200Response extends HttpResponse {
    // (undocumented)
    body: AuthorizationListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteCircuitAuthorizationsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteCircuitAuthorizationsListParameters = ExpressRouteCircuitAuthorizationsListQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCircuitAuthorizationsListQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCircuitAuthorizationsListQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCircuitAuthorizationsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ExpressRouteCircuitConnection extends SubResource {
    name?: string;
    properties?: ExpressRouteCircuitConnectionPropertiesFormat;
}

// @public
export interface ExpressRouteCircuitConnectionListResultOutput {
    nextLink?: string;
    value?: Array<ExpressRouteCircuitConnectionOutput>;
}

// @public
export interface ExpressRouteCircuitConnectionOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ExpressRouteCircuitConnectionPropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface ExpressRouteCircuitConnectionPropertiesFormat {
    addressPrefix?: string;
    authorizationKey?: string;
    expressRouteCircuitPeering?: SubResource;
    ipv6CircuitConnectionConfig?: Ipv6CircuitConnectionConfig;
    peerExpressRouteCircuitPeering?: SubResource;
}

// @public
export interface ExpressRouteCircuitConnectionPropertiesFormatOutput {
    addressPrefix?: string;
    authorizationKey?: string;
    readonly circuitConnectionStatus?: "Connected" | "Connecting" | "Disconnected";
    expressRouteCircuitPeering?: SubResourceOutput;
    ipv6CircuitConnectionConfig?: Ipv6CircuitConnectionConfigOutput;
    peerExpressRouteCircuitPeering?: SubResourceOutput;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public
export interface ExpressRouteCircuitConnectionsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCircuitConnectionOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteCircuitConnectionsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCircuitConnectionOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface ExpressRouteCircuitConnectionsCreateOrUpdateBodyParam {
    body: ExpressRouteCircuitConnection;
}

// @public
export interface ExpressRouteCircuitConnectionsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ExpressRouteCircuitConnectionsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ExpressRouteCircuitConnectionsCreateOrUpdateParameters = ExpressRouteCircuitConnectionsCreateOrUpdateQueryParam & ExpressRouteCircuitConnectionsCreateOrUpdateMediaTypesParam & ExpressRouteCircuitConnectionsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCircuitConnectionsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCircuitConnectionsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCircuitConnectionsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ExpressRouteCircuitConnectionsDelete {
    delete(options: ExpressRouteCircuitConnectionsDeleteParameters): StreamableMethod<ExpressRouteCircuitConnectionsDelete200Response | ExpressRouteCircuitConnectionsDelete202Response | ExpressRouteCircuitConnectionsDelete204Response | ExpressRouteCircuitConnectionsDeleteDefaultResponse>;
    get(options: ExpressRouteCircuitConnectionsGetParameters): StreamableMethod<ExpressRouteCircuitConnectionsGet200Response | ExpressRouteCircuitConnectionsGetDefaultResponse>;
    put(options: ExpressRouteCircuitConnectionsCreateOrUpdateParameters): StreamableMethod<ExpressRouteCircuitConnectionsCreateOrUpdate200Response | ExpressRouteCircuitConnectionsCreateOrUpdate201Response | ExpressRouteCircuitConnectionsCreateOrUpdateDefaultResponse>;
}

// @public
export interface ExpressRouteCircuitConnectionsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteCircuitConnectionsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface ExpressRouteCircuitConnectionsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface ExpressRouteCircuitConnectionsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteCircuitConnectionsDeleteParameters = ExpressRouteCircuitConnectionsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCircuitConnectionsDeleteQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCircuitConnectionsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCircuitConnectionsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ExpressRouteCircuitConnectionsGet200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCircuitConnectionOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteCircuitConnectionsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteCircuitConnectionsGetParameters = ExpressRouteCircuitConnectionsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCircuitConnectionsGetQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCircuitConnectionsGetQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCircuitConnectionsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ExpressRouteCircuitConnectionsList {
    get(options: ExpressRouteCircuitConnectionsListParameters): StreamableMethod<ExpressRouteCircuitConnectionsList200Response | ExpressRouteCircuitConnectionsListDefaultResponse>;
}

// @public
export interface ExpressRouteCircuitConnectionsList200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCircuitConnectionListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteCircuitConnectionsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteCircuitConnectionsListParameters = ExpressRouteCircuitConnectionsListQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCircuitConnectionsListQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCircuitConnectionsListQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCircuitConnectionsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ExpressRouteCircuitListResultOutput {
    nextLink?: string;
    value?: Array<ExpressRouteCircuitOutput>;
}

// @public
export interface ExpressRouteCircuitOutput extends ResourceOutput {
    readonly etag?: string;
    properties?: ExpressRouteCircuitPropertiesFormatOutput;
    sku?: ExpressRouteCircuitSkuOutput;
}

// @public
export interface ExpressRouteCircuitPeering extends SubResource {
    name?: string;
    properties?: ExpressRouteCircuitPeeringPropertiesFormat;
}

// @public
export interface ExpressRouteCircuitPeeringConfig {
    advertisedCommunities?: Array<string>;
    advertisedPublicPrefixes?: Array<string>;
    customerASN?: number;
    legacyMode?: number;
    routingRegistryName?: string;
}

// @public
export interface ExpressRouteCircuitPeeringConfigOutput {
    advertisedCommunities?: Array<string>;
    advertisedPublicPrefixes?: Array<string>;
    readonly advertisedPublicPrefixesState?: "NotConfigured" | "Configuring" | "Configured" | "ValidationNeeded";
    customerASN?: number;
    legacyMode?: number;
    routingRegistryName?: string;
}

// @public
export interface ExpressRouteCircuitPeeringId {
    id?: string;
}

// @public
export interface ExpressRouteCircuitPeeringIdOutput {
    id?: string;
}

// @public
export interface ExpressRouteCircuitPeeringListResultOutput {
    nextLink?: string;
    value?: Array<ExpressRouteCircuitPeeringOutput>;
}

// @public
export interface ExpressRouteCircuitPeeringOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ExpressRouteCircuitPeeringPropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface ExpressRouteCircuitPeeringPropertiesFormat {
    azureASN?: number;
    connections?: Array<ExpressRouteCircuitConnection>;
    expressRouteConnection?: ExpressRouteConnectionId;
    gatewayManagerEtag?: string;
    ipv6PeeringConfig?: Ipv6ExpressRouteCircuitPeeringConfig;
    microsoftPeeringConfig?: ExpressRouteCircuitPeeringConfig;
    peerASN?: number;
    peeringType?: "AzurePublicPeering" | "AzurePrivatePeering" | "MicrosoftPeering";
    primaryAzurePort?: string;
    primaryPeerAddressPrefix?: string;
    routeFilter?: SubResource;
    secondaryAzurePort?: string;
    secondaryPeerAddressPrefix?: string;
    sharedKey?: string;
    state?: "Disabled" | "Enabled";
    stats?: ExpressRouteCircuitStats;
    vlanId?: number;
}

// @public
export interface ExpressRouteCircuitPeeringPropertiesFormatOutput {
    azureASN?: number;
    connections?: Array<ExpressRouteCircuitConnectionOutput>;
    expressRouteConnection?: ExpressRouteConnectionIdOutput;
    gatewayManagerEtag?: string;
    ipv6PeeringConfig?: Ipv6ExpressRouteCircuitPeeringConfigOutput;
    readonly lastModifiedBy?: string;
    microsoftPeeringConfig?: ExpressRouteCircuitPeeringConfigOutput;
    peerASN?: number;
    readonly peeredConnections?: Array<PeerExpressRouteCircuitConnectionOutput>;
    peeringType?: "AzurePublicPeering" | "AzurePrivatePeering" | "MicrosoftPeering";
    primaryAzurePort?: string;
    primaryPeerAddressPrefix?: string;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    routeFilter?: SubResourceOutput;
    secondaryAzurePort?: string;
    secondaryPeerAddressPrefix?: string;
    sharedKey?: string;
    state?: "Disabled" | "Enabled";
    stats?: ExpressRouteCircuitStatsOutput;
    vlanId?: number;
}

// @public
export interface ExpressRouteCircuitPeeringsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCircuitPeeringOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteCircuitPeeringsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCircuitPeeringOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface ExpressRouteCircuitPeeringsCreateOrUpdateBodyParam {
    body: ExpressRouteCircuitPeering;
}

// @public
export interface ExpressRouteCircuitPeeringsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ExpressRouteCircuitPeeringsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ExpressRouteCircuitPeeringsCreateOrUpdateParameters = ExpressRouteCircuitPeeringsCreateOrUpdateQueryParam & ExpressRouteCircuitPeeringsCreateOrUpdateMediaTypesParam & ExpressRouteCircuitPeeringsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCircuitPeeringsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCircuitPeeringsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCircuitPeeringsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ExpressRouteCircuitPeeringsDelete {
    delete(options: ExpressRouteCircuitPeeringsDeleteParameters): StreamableMethod<ExpressRouteCircuitPeeringsDelete200Response | ExpressRouteCircuitPeeringsDelete202Response | ExpressRouteCircuitPeeringsDelete204Response | ExpressRouteCircuitPeeringsDeleteDefaultResponse>;
    get(options: ExpressRouteCircuitPeeringsGetParameters): StreamableMethod<ExpressRouteCircuitPeeringsGet200Response | ExpressRouteCircuitPeeringsGetDefaultResponse>;
    put(options: ExpressRouteCircuitPeeringsCreateOrUpdateParameters): StreamableMethod<ExpressRouteCircuitPeeringsCreateOrUpdate200Response | ExpressRouteCircuitPeeringsCreateOrUpdate201Response | ExpressRouteCircuitPeeringsCreateOrUpdateDefaultResponse>;
}

// @public
export interface ExpressRouteCircuitPeeringsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteCircuitPeeringsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface ExpressRouteCircuitPeeringsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface ExpressRouteCircuitPeeringsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteCircuitPeeringsDeleteParameters = ExpressRouteCircuitPeeringsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCircuitPeeringsDeleteQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCircuitPeeringsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCircuitPeeringsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ExpressRouteCircuitPeeringsGet200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCircuitPeeringOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteCircuitPeeringsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteCircuitPeeringsGetParameters = ExpressRouteCircuitPeeringsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCircuitPeeringsGetQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCircuitPeeringsGetQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCircuitPeeringsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ExpressRouteCircuitPeeringsList {
    get(options: ExpressRouteCircuitPeeringsListParameters): StreamableMethod<ExpressRouteCircuitPeeringsList200Response | ExpressRouteCircuitPeeringsListDefaultResponse>;
}

// @public
export interface ExpressRouteCircuitPeeringsList200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCircuitPeeringListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteCircuitPeeringsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteCircuitPeeringsListParameters = ExpressRouteCircuitPeeringsListQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCircuitPeeringsListQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCircuitPeeringsListQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCircuitPeeringsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ExpressRouteCircuitPropertiesFormat {
    allowClassicOperations?: boolean;
    authorizationKey?: string;
    authorizations?: Array<ExpressRouteCircuitAuthorization>;
    bandwidthInGbps?: number;
    circuitProvisioningState?: string;
    expressRoutePort?: SubResource;
    gatewayManagerEtag?: string;
    globalReachEnabled?: boolean;
    peerings?: Array<ExpressRouteCircuitPeering>;
    serviceKey?: string;
    serviceProviderNotes?: string;
    serviceProviderProperties?: ExpressRouteCircuitServiceProviderProperties;
    serviceProviderProvisioningState?: "NotProvisioned" | "Provisioning" | "Provisioned" | "Deprovisioning";
}

// @public
export interface ExpressRouteCircuitPropertiesFormatOutput {
    allowClassicOperations?: boolean;
    authorizationKey?: string;
    authorizations?: Array<ExpressRouteCircuitAuthorizationOutput>;
    bandwidthInGbps?: number;
    circuitProvisioningState?: string;
    expressRoutePort?: SubResourceOutput;
    gatewayManagerEtag?: string;
    globalReachEnabled?: boolean;
    peerings?: Array<ExpressRouteCircuitPeeringOutput>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    serviceKey?: string;
    serviceProviderNotes?: string;
    serviceProviderProperties?: ExpressRouteCircuitServiceProviderPropertiesOutput;
    serviceProviderProvisioningState?: "NotProvisioned" | "Provisioning" | "Provisioned" | "Deprovisioning";
    readonly stag?: number;
}

// @public
export interface ExpressRouteCircuitReference {
    id?: string;
}

// @public
export interface ExpressRouteCircuitReferenceOutput {
    id?: string;
}

// @public
export interface ExpressRouteCircuitRoutesTableOutput {
    locPrf?: string;
    network?: string;
    nextHop?: string;
    path?: string;
    weight?: number;
}

// @public
export interface ExpressRouteCircuitRoutesTableSummaryOutput {
    as?: number;
    neighbor?: string;
    statePfxRcd?: string;
    upDown?: string;
    v?: number;
}

// @public
export interface ExpressRouteCircuitsArpTableListResultOutput {
    nextLink?: string;
    value?: Array<ExpressRouteCircuitArpTableOutput>;
}

// @public
export interface ExpressRouteCircuitsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCircuitOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteCircuitsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCircuitOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface ExpressRouteCircuitsCreateOrUpdateBodyParam {
    body: ExpressRouteCircuit;
}

// @public
export interface ExpressRouteCircuitsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ExpressRouteCircuitsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ExpressRouteCircuitsCreateOrUpdateParameters = ExpressRouteCircuitsCreateOrUpdateQueryParam & ExpressRouteCircuitsCreateOrUpdateMediaTypesParam & ExpressRouteCircuitsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCircuitsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCircuitsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCircuitsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ExpressRouteCircuitsDelete {
    delete(options: ExpressRouteCircuitsDeleteParameters): StreamableMethod<ExpressRouteCircuitsDelete200Response | ExpressRouteCircuitsDelete202Response | ExpressRouteCircuitsDelete204Response | ExpressRouteCircuitsDeleteDefaultResponse>;
    get(options: ExpressRouteCircuitsGetParameters): StreamableMethod<ExpressRouteCircuitsGet200Response | ExpressRouteCircuitsGetDefaultResponse>;
    patch(options: ExpressRouteCircuitsUpdateTagsParameters): StreamableMethod<ExpressRouteCircuitsUpdateTags200Response | ExpressRouteCircuitsUpdateTagsDefaultResponse>;
    put(options: ExpressRouteCircuitsCreateOrUpdateParameters): StreamableMethod<ExpressRouteCircuitsCreateOrUpdate200Response | ExpressRouteCircuitsCreateOrUpdate201Response | ExpressRouteCircuitsCreateOrUpdateDefaultResponse>;
}

// @public
export interface ExpressRouteCircuitsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteCircuitsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface ExpressRouteCircuitsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface ExpressRouteCircuitsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteCircuitsDeleteParameters = ExpressRouteCircuitsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCircuitsDeleteQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCircuitsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCircuitsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ExpressRouteCircuitServiceProviderProperties {
    bandwidthInMbps?: number;
    peeringLocation?: string;
    serviceProviderName?: string;
}

// @public
export interface ExpressRouteCircuitServiceProviderPropertiesOutput {
    bandwidthInMbps?: number;
    peeringLocation?: string;
    serviceProviderName?: string;
}

// @public
export interface ExpressRouteCircuitsGet200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCircuitOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteCircuitsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteCircuitsGetParameters = ExpressRouteCircuitsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCircuitsGetPeeringStats {
    get(options: ExpressRouteCircuitsGetPeeringStatsParameters): StreamableMethod<ExpressRouteCircuitsGetPeeringStats200Response | ExpressRouteCircuitsGetPeeringStatsDefaultResponse>;
}

// @public
export interface ExpressRouteCircuitsGetPeeringStats200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCircuitStatsOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteCircuitsGetPeeringStatsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteCircuitsGetPeeringStatsParameters = ExpressRouteCircuitsGetPeeringStatsQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCircuitsGetPeeringStatsQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCircuitsGetPeeringStatsQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCircuitsGetPeeringStatsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ExpressRouteCircuitsGetQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCircuitsGetQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCircuitsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ExpressRouteCircuitsGetStats {
    get(options: ExpressRouteCircuitsGetStatsParameters): StreamableMethod<ExpressRouteCircuitsGetStats200Response | ExpressRouteCircuitsGetStatsDefaultResponse>;
}

// @public
export interface ExpressRouteCircuitsGetStats200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCircuitStatsOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteCircuitsGetStatsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteCircuitsGetStatsParameters = ExpressRouteCircuitsGetStatsQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCircuitsGetStatsQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCircuitsGetStatsQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCircuitsGetStatsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ExpressRouteCircuitSku {
    family?: "UnlimitedData" | "MeteredData";
    name?: string;
    tier?: "Standard" | "Premium" | "Basic" | "Local";
}

// @public
export interface ExpressRouteCircuitSkuOutput {
    family?: "UnlimitedData" | "MeteredData";
    name?: string;
    tier?: "Standard" | "Premium" | "Basic" | "Local";
}

// @public (undocumented)
export interface ExpressRouteCircuitsList {
    get(options: ExpressRouteCircuitsListParameters): StreamableMethod<ExpressRouteCircuitsList200Response | ExpressRouteCircuitsListDefaultResponse>;
}

// @public
export interface ExpressRouteCircuitsList200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCircuitListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface ExpressRouteCircuitsListAll {
    get(options: ExpressRouteCircuitsListAllParameters): StreamableMethod<ExpressRouteCircuitsListAll200Response | ExpressRouteCircuitsListAllDefaultResponse>;
}

// @public
export interface ExpressRouteCircuitsListAll200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCircuitListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteCircuitsListAllDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteCircuitsListAllParameters = ExpressRouteCircuitsListAllQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCircuitsListAllQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCircuitsListAllQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCircuitsListAllQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ExpressRouteCircuitsListArpTable {
    post(options: ExpressRouteCircuitsListArpTableParameters): StreamableMethod<ExpressRouteCircuitsListArpTable200Response | ExpressRouteCircuitsListArpTable202Response | ExpressRouteCircuitsListArpTableDefaultResponse>;
}

// @public
export interface ExpressRouteCircuitsListArpTable200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCircuitsArpTableListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteCircuitsListArpTable202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface ExpressRouteCircuitsListArpTableDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteCircuitsListArpTableParameters = ExpressRouteCircuitsListArpTableQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCircuitsListArpTableQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCircuitsListArpTableQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCircuitsListArpTableQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ExpressRouteCircuitsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteCircuitsListParameters = ExpressRouteCircuitsListQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCircuitsListQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCircuitsListQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCircuitsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ExpressRouteCircuitsListRoutesTable {
    post(options: ExpressRouteCircuitsListRoutesTableParameters): StreamableMethod<ExpressRouteCircuitsListRoutesTable200Response | ExpressRouteCircuitsListRoutesTable202Response | ExpressRouteCircuitsListRoutesTableDefaultResponse>;
}

// @public
export interface ExpressRouteCircuitsListRoutesTable200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCircuitsRoutesTableListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteCircuitsListRoutesTable202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface ExpressRouteCircuitsListRoutesTableDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteCircuitsListRoutesTableParameters = ExpressRouteCircuitsListRoutesTableQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCircuitsListRoutesTableQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCircuitsListRoutesTableQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCircuitsListRoutesTableQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ExpressRouteCircuitsListRoutesTableSummary {
    post(options: ExpressRouteCircuitsListRoutesTableSummaryParameters): StreamableMethod<ExpressRouteCircuitsListRoutesTableSummary200Response | ExpressRouteCircuitsListRoutesTableSummary202Response | ExpressRouteCircuitsListRoutesTableSummaryDefaultResponse>;
}

// @public
export interface ExpressRouteCircuitsListRoutesTableSummary200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCircuitsRoutesTableSummaryListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteCircuitsListRoutesTableSummary202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface ExpressRouteCircuitsListRoutesTableSummaryDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteCircuitsListRoutesTableSummaryParameters = ExpressRouteCircuitsListRoutesTableSummaryQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCircuitsListRoutesTableSummaryQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCircuitsListRoutesTableSummaryQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCircuitsListRoutesTableSummaryQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ExpressRouteCircuitsRoutesTableListResultOutput {
    nextLink?: string;
    value?: Array<ExpressRouteCircuitRoutesTableOutput>;
}

// @public
export interface ExpressRouteCircuitsRoutesTableSummaryListResultOutput {
    nextLink?: string;
    value?: Array<ExpressRouteCircuitRoutesTableSummaryOutput>;
}

// @public
export interface ExpressRouteCircuitStats {
    primarybytesIn?: number;
    primarybytesOut?: number;
    secondarybytesIn?: number;
    secondarybytesOut?: number;
}

// @public
export interface ExpressRouteCircuitStatsOutput {
    primarybytesIn?: number;
    primarybytesOut?: number;
    secondarybytesIn?: number;
    secondarybytesOut?: number;
}

// @public
export interface ExpressRouteCircuitsUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCircuitOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface ExpressRouteCircuitsUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface ExpressRouteCircuitsUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ExpressRouteCircuitsUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ExpressRouteCircuitsUpdateTagsParameters = ExpressRouteCircuitsUpdateTagsQueryParam & ExpressRouteCircuitsUpdateTagsMediaTypesParam & ExpressRouteCircuitsUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCircuitsUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCircuitsUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCircuitsUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ExpressRouteConnection extends SubResource {
    name: string;
    properties?: ExpressRouteConnectionProperties;
}

// @public
export interface ExpressRouteConnectionId {
}

// @public
export interface ExpressRouteConnectionIdOutput {
    readonly id?: string;
}

// @public
export interface ExpressRouteConnectionListOutput {
    value?: Array<ExpressRouteConnectionOutput>;
}

// @public
export interface ExpressRouteConnectionOutput extends SubResourceOutput {
    name: string;
    properties?: ExpressRouteConnectionPropertiesOutput;
}

// @public
export interface ExpressRouteConnectionProperties {
    authorizationKey?: string;
    enableInternetSecurity?: boolean;
    enablePrivateLinkFastPath?: boolean;
    expressRouteCircuitPeering: ExpressRouteCircuitPeeringId;
    expressRouteGatewayBypass?: boolean;
    routingConfiguration?: RoutingConfiguration;
    routingWeight?: number;
}

// @public
export interface ExpressRouteConnectionPropertiesOutput {
    authorizationKey?: string;
    enableInternetSecurity?: boolean;
    enablePrivateLinkFastPath?: boolean;
    expressRouteCircuitPeering: ExpressRouteCircuitPeeringIdOutput;
    expressRouteGatewayBypass?: boolean;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    routingConfiguration?: RoutingConfigurationOutput;
    routingWeight?: number;
}

// @public (undocumented)
export interface ExpressRouteConnectionsCreateOrUpdate {
    delete(options: ExpressRouteConnectionsDeleteParameters): StreamableMethod<ExpressRouteConnectionsDelete200Response | ExpressRouteConnectionsDelete202Response | ExpressRouteConnectionsDelete204Response | ExpressRouteConnectionsDeleteDefaultResponse>;
    get(options: ExpressRouteConnectionsGetParameters): StreamableMethod<ExpressRouteConnectionsGet200Response | ExpressRouteConnectionsGetDefaultResponse>;
    put(options: ExpressRouteConnectionsCreateOrUpdateParameters): StreamableMethod<ExpressRouteConnectionsCreateOrUpdate200Response | ExpressRouteConnectionsCreateOrUpdate201Response | ExpressRouteConnectionsCreateOrUpdateDefaultResponse>;
}

// @public
export interface ExpressRouteConnectionsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteConnectionOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteConnectionsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteConnectionOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface ExpressRouteConnectionsCreateOrUpdateBodyParam {
    body: ExpressRouteConnection;
}

// @public
export interface ExpressRouteConnectionsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ExpressRouteConnectionsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ExpressRouteConnectionsCreateOrUpdateParameters = ExpressRouteConnectionsCreateOrUpdateQueryParam & ExpressRouteConnectionsCreateOrUpdateMediaTypesParam & ExpressRouteConnectionsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteConnectionsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteConnectionsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteConnectionsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ExpressRouteConnectionsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteConnectionsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface ExpressRouteConnectionsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface ExpressRouteConnectionsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteConnectionsDeleteParameters = ExpressRouteConnectionsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteConnectionsDeleteQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteConnectionsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteConnectionsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ExpressRouteConnectionsGet200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteConnectionOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteConnectionsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteConnectionsGetParameters = ExpressRouteConnectionsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteConnectionsGetQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteConnectionsGetQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteConnectionsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ExpressRouteConnectionsList {
    get(options: ExpressRouteConnectionsListParameters): StreamableMethod<ExpressRouteConnectionsList200Response | ExpressRouteConnectionsListDefaultResponse>;
}

// @public
export interface ExpressRouteConnectionsList200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteConnectionListOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteConnectionsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteConnectionsListParameters = ExpressRouteConnectionsListQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteConnectionsListQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteConnectionsListQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteConnectionsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ExpressRouteCrossConnection extends Resource {
    properties?: ExpressRouteCrossConnectionProperties;
}

// @public
export interface ExpressRouteCrossConnectionListResultOutput {
    readonly nextLink?: string;
    value?: Array<ExpressRouteCrossConnectionOutput>;
}

// @public
export interface ExpressRouteCrossConnectionOutput extends ResourceOutput {
    readonly etag?: string;
    properties?: ExpressRouteCrossConnectionPropertiesOutput;
}

// @public
export interface ExpressRouteCrossConnectionPeering extends SubResource {
    name?: string;
    properties?: ExpressRouteCrossConnectionPeeringProperties;
}

// @public
export interface ExpressRouteCrossConnectionPeeringListOutput {
    readonly nextLink?: string;
    value?: Array<ExpressRouteCrossConnectionPeeringOutput>;
}

// @public
export interface ExpressRouteCrossConnectionPeeringOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ExpressRouteCrossConnectionPeeringPropertiesOutput;
}

// @public
export interface ExpressRouteCrossConnectionPeeringProperties {
    gatewayManagerEtag?: string;
    ipv6PeeringConfig?: Ipv6ExpressRouteCircuitPeeringConfig;
    microsoftPeeringConfig?: ExpressRouteCircuitPeeringConfig;
    peerASN?: number;
    peeringType?: "AzurePublicPeering" | "AzurePrivatePeering" | "MicrosoftPeering";
    primaryPeerAddressPrefix?: string;
    secondaryPeerAddressPrefix?: string;
    sharedKey?: string;
    state?: "Disabled" | "Enabled";
    vlanId?: number;
}

// @public
export interface ExpressRouteCrossConnectionPeeringPropertiesOutput {
    readonly azureASN?: number;
    gatewayManagerEtag?: string;
    ipv6PeeringConfig?: Ipv6ExpressRouteCircuitPeeringConfigOutput;
    readonly lastModifiedBy?: string;
    microsoftPeeringConfig?: ExpressRouteCircuitPeeringConfigOutput;
    peerASN?: number;
    peeringType?: "AzurePublicPeering" | "AzurePrivatePeering" | "MicrosoftPeering";
    readonly primaryAzurePort?: string;
    primaryPeerAddressPrefix?: string;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    readonly secondaryAzurePort?: string;
    secondaryPeerAddressPrefix?: string;
    sharedKey?: string;
    state?: "Disabled" | "Enabled";
    vlanId?: number;
}

// @public
export interface ExpressRouteCrossConnectionPeeringsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCrossConnectionPeeringOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteCrossConnectionPeeringsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCrossConnectionPeeringOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface ExpressRouteCrossConnectionPeeringsCreateOrUpdateBodyParam {
    body: ExpressRouteCrossConnectionPeering;
}

// @public
export interface ExpressRouteCrossConnectionPeeringsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ExpressRouteCrossConnectionPeeringsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ExpressRouteCrossConnectionPeeringsCreateOrUpdateParameters = ExpressRouteCrossConnectionPeeringsCreateOrUpdateQueryParam & ExpressRouteCrossConnectionPeeringsCreateOrUpdateMediaTypesParam & ExpressRouteCrossConnectionPeeringsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCrossConnectionPeeringsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCrossConnectionPeeringsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCrossConnectionPeeringsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ExpressRouteCrossConnectionPeeringsDelete {
    delete(options: ExpressRouteCrossConnectionPeeringsDeleteParameters): StreamableMethod<ExpressRouteCrossConnectionPeeringsDelete200Response | ExpressRouteCrossConnectionPeeringsDelete202Response | ExpressRouteCrossConnectionPeeringsDelete204Response | ExpressRouteCrossConnectionPeeringsDeleteDefaultResponse>;
    get(options: ExpressRouteCrossConnectionPeeringsGetParameters): StreamableMethod<ExpressRouteCrossConnectionPeeringsGet200Response | ExpressRouteCrossConnectionPeeringsGetDefaultResponse>;
    put(options: ExpressRouteCrossConnectionPeeringsCreateOrUpdateParameters): StreamableMethod<ExpressRouteCrossConnectionPeeringsCreateOrUpdate200Response | ExpressRouteCrossConnectionPeeringsCreateOrUpdate201Response | ExpressRouteCrossConnectionPeeringsCreateOrUpdateDefaultResponse>;
}

// @public
export interface ExpressRouteCrossConnectionPeeringsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteCrossConnectionPeeringsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface ExpressRouteCrossConnectionPeeringsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface ExpressRouteCrossConnectionPeeringsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteCrossConnectionPeeringsDeleteParameters = ExpressRouteCrossConnectionPeeringsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCrossConnectionPeeringsDeleteQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCrossConnectionPeeringsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCrossConnectionPeeringsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ExpressRouteCrossConnectionPeeringsGet200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCrossConnectionPeeringOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteCrossConnectionPeeringsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteCrossConnectionPeeringsGetParameters = ExpressRouteCrossConnectionPeeringsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCrossConnectionPeeringsGetQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCrossConnectionPeeringsGetQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCrossConnectionPeeringsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ExpressRouteCrossConnectionPeeringsList {
    get(options: ExpressRouteCrossConnectionPeeringsListParameters): StreamableMethod<ExpressRouteCrossConnectionPeeringsList200Response | ExpressRouteCrossConnectionPeeringsListDefaultResponse>;
}

// @public
export interface ExpressRouteCrossConnectionPeeringsList200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCrossConnectionPeeringListOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteCrossConnectionPeeringsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteCrossConnectionPeeringsListParameters = ExpressRouteCrossConnectionPeeringsListQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCrossConnectionPeeringsListQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCrossConnectionPeeringsListQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCrossConnectionPeeringsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ExpressRouteCrossConnectionProperties {
    expressRouteCircuit?: ExpressRouteCircuitReference;
    peerings?: Array<ExpressRouteCrossConnectionPeering>;
    serviceProviderNotes?: string;
    serviceProviderProvisioningState?: "NotProvisioned" | "Provisioning" | "Provisioned" | "Deprovisioning";
}

// @public
export interface ExpressRouteCrossConnectionPropertiesOutput {
    readonly bandwidthInMbps?: number;
    expressRouteCircuit?: ExpressRouteCircuitReferenceOutput;
    readonly peeringLocation?: string;
    peerings?: Array<ExpressRouteCrossConnectionPeeringOutput>;
    readonly primaryAzurePort?: string;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    readonly secondaryAzurePort?: string;
    serviceProviderNotes?: string;
    serviceProviderProvisioningState?: "NotProvisioned" | "Provisioning" | "Provisioned" | "Deprovisioning";
    readonly sTag?: number;
}

// @public
export interface ExpressRouteCrossConnectionRoutesTableSummaryOutput {
    asn?: number;
    neighbor?: string;
    stateOrPrefixesReceived?: string;
    upDown?: string;
}

// @public
export interface ExpressRouteCrossConnectionsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCrossConnectionOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface ExpressRouteCrossConnectionsCreateOrUpdateBodyParam {
    body: ExpressRouteCrossConnection;
}

// @public
export interface ExpressRouteCrossConnectionsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ExpressRouteCrossConnectionsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ExpressRouteCrossConnectionsCreateOrUpdateParameters = ExpressRouteCrossConnectionsCreateOrUpdateQueryParam & ExpressRouteCrossConnectionsCreateOrUpdateMediaTypesParam & ExpressRouteCrossConnectionsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCrossConnectionsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCrossConnectionsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCrossConnectionsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ExpressRouteCrossConnectionsGet {
    get(options: ExpressRouteCrossConnectionsGetParameters): StreamableMethod<ExpressRouteCrossConnectionsGet200Response | ExpressRouteCrossConnectionsGetDefaultResponse>;
    patch(options: ExpressRouteCrossConnectionsUpdateTagsParameters): StreamableMethod<ExpressRouteCrossConnectionsUpdateTags200Response | ExpressRouteCrossConnectionsUpdateTagsDefaultResponse>;
    put(options: ExpressRouteCrossConnectionsCreateOrUpdateParameters): StreamableMethod<ExpressRouteCrossConnectionsCreateOrUpdate200Response | ExpressRouteCrossConnectionsCreateOrUpdateDefaultResponse>;
}

// @public
export interface ExpressRouteCrossConnectionsGet200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCrossConnectionOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteCrossConnectionsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteCrossConnectionsGetParameters = ExpressRouteCrossConnectionsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCrossConnectionsGetQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCrossConnectionsGetQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCrossConnectionsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ExpressRouteCrossConnectionsList {
    get(options: ExpressRouteCrossConnectionsListParameters): StreamableMethod<ExpressRouteCrossConnectionsList200Response | ExpressRouteCrossConnectionsListDefaultResponse>;
}

// @public
export interface ExpressRouteCrossConnectionsList200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCrossConnectionListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface ExpressRouteCrossConnectionsListArpTable {
    post(options: ExpressRouteCrossConnectionsListArpTableParameters): StreamableMethod<ExpressRouteCrossConnectionsListArpTable200Response | ExpressRouteCrossConnectionsListArpTable202Response | ExpressRouteCrossConnectionsListArpTableDefaultResponse>;
}

// @public
export interface ExpressRouteCrossConnectionsListArpTable200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCircuitsArpTableListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteCrossConnectionsListArpTable202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface ExpressRouteCrossConnectionsListArpTableDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteCrossConnectionsListArpTableParameters = ExpressRouteCrossConnectionsListArpTableQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCrossConnectionsListArpTableQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCrossConnectionsListArpTableQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCrossConnectionsListArpTableQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ExpressRouteCrossConnectionsListByResourceGroup {
    get(options: ExpressRouteCrossConnectionsListByResourceGroupParameters): StreamableMethod<ExpressRouteCrossConnectionsListByResourceGroup200Response | ExpressRouteCrossConnectionsListByResourceGroupDefaultResponse>;
}

// @public
export interface ExpressRouteCrossConnectionsListByResourceGroup200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCrossConnectionListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteCrossConnectionsListByResourceGroupDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteCrossConnectionsListByResourceGroupParameters = ExpressRouteCrossConnectionsListByResourceGroupQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCrossConnectionsListByResourceGroupQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCrossConnectionsListByResourceGroupQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCrossConnectionsListByResourceGroupQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ExpressRouteCrossConnectionsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteCrossConnectionsListParameters = ExpressRouteCrossConnectionsListQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCrossConnectionsListQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCrossConnectionsListQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCrossConnectionsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ExpressRouteCrossConnectionsListRoutesTable {
    post(options: ExpressRouteCrossConnectionsListRoutesTableParameters): StreamableMethod<ExpressRouteCrossConnectionsListRoutesTable200Response | ExpressRouteCrossConnectionsListRoutesTable202Response | ExpressRouteCrossConnectionsListRoutesTableDefaultResponse>;
}

// @public
export interface ExpressRouteCrossConnectionsListRoutesTable200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCircuitsRoutesTableListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteCrossConnectionsListRoutesTable202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface ExpressRouteCrossConnectionsListRoutesTableDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteCrossConnectionsListRoutesTableParameters = ExpressRouteCrossConnectionsListRoutesTableQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCrossConnectionsListRoutesTableQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCrossConnectionsListRoutesTableQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCrossConnectionsListRoutesTableQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ExpressRouteCrossConnectionsListRoutesTableSummary {
    post(options: ExpressRouteCrossConnectionsListRoutesTableSummaryParameters): StreamableMethod<ExpressRouteCrossConnectionsListRoutesTableSummary200Response | ExpressRouteCrossConnectionsListRoutesTableSummary202Response | ExpressRouteCrossConnectionsListRoutesTableSummaryDefaultResponse>;
}

// @public
export interface ExpressRouteCrossConnectionsListRoutesTableSummary200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCrossConnectionsRoutesTableSummaryListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteCrossConnectionsListRoutesTableSummary202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface ExpressRouteCrossConnectionsListRoutesTableSummaryDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteCrossConnectionsListRoutesTableSummaryParameters = ExpressRouteCrossConnectionsListRoutesTableSummaryQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCrossConnectionsListRoutesTableSummaryQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCrossConnectionsListRoutesTableSummaryQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCrossConnectionsListRoutesTableSummaryQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ExpressRouteCrossConnectionsRoutesTableSummaryListResultOutput {
    readonly nextLink?: string;
    value?: Array<ExpressRouteCrossConnectionRoutesTableSummaryOutput>;
}

// @public
export interface ExpressRouteCrossConnectionsUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteCrossConnectionOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface ExpressRouteCrossConnectionsUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface ExpressRouteCrossConnectionsUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ExpressRouteCrossConnectionsUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ExpressRouteCrossConnectionsUpdateTagsParameters = ExpressRouteCrossConnectionsUpdateTagsQueryParam & ExpressRouteCrossConnectionsUpdateTagsMediaTypesParam & ExpressRouteCrossConnectionsUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteCrossConnectionsUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteCrossConnectionsUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteCrossConnectionsUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ExpressRouteGateway extends Resource {
    properties?: ExpressRouteGatewayProperties;
}

// @public
export interface ExpressRouteGatewayListOutput {
    value?: Array<ExpressRouteGatewayOutput>;
}

// @public
export interface ExpressRouteGatewayOutput extends ResourceOutput {
    readonly etag?: string;
    properties?: ExpressRouteGatewayPropertiesOutput;
}

// @public
export interface ExpressRouteGatewayProperties {
    autoScaleConfiguration?: ExpressRouteGatewayPropertiesAutoScaleConfiguration;
    expressRouteConnections?: Array<ExpressRouteConnection>;
    virtualHub: VirtualHubId;
}

// @public
export interface ExpressRouteGatewayPropertiesAutoScaleConfiguration {
    bounds?: ExpressRouteGatewayPropertiesAutoScaleConfigurationBounds;
}

// @public
export interface ExpressRouteGatewayPropertiesAutoScaleConfigurationBounds {
    max?: number;
    min?: number;
}

// @public
export interface ExpressRouteGatewayPropertiesAutoScaleConfigurationBoundsOutput {
    max?: number;
    min?: number;
}

// @public
export interface ExpressRouteGatewayPropertiesAutoScaleConfigurationOutput {
    bounds?: ExpressRouteGatewayPropertiesAutoScaleConfigurationBoundsOutput;
}

// @public
export interface ExpressRouteGatewayPropertiesOutput {
    autoScaleConfiguration?: ExpressRouteGatewayPropertiesAutoScaleConfigurationOutput;
    expressRouteConnections?: Array<ExpressRouteConnectionOutput>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    virtualHub: VirtualHubIdOutput;
}

// @public (undocumented)
export interface ExpressRouteGatewaysCreateOrUpdate {
    delete(options: ExpressRouteGatewaysDeleteParameters): StreamableMethod<ExpressRouteGatewaysDelete200Response | ExpressRouteGatewaysDelete202Response | ExpressRouteGatewaysDelete204Response | ExpressRouteGatewaysDeleteDefaultResponse>;
    get(options: ExpressRouteGatewaysGetParameters): StreamableMethod<ExpressRouteGatewaysGet200Response | ExpressRouteGatewaysGetDefaultResponse>;
    patch(options: ExpressRouteGatewaysUpdateTagsParameters): StreamableMethod<ExpressRouteGatewaysUpdateTags200Response | ExpressRouteGatewaysUpdateTags202Response | ExpressRouteGatewaysUpdateTagsDefaultResponse>;
    put(options: ExpressRouteGatewaysCreateOrUpdateParameters): StreamableMethod<ExpressRouteGatewaysCreateOrUpdate200Response | ExpressRouteGatewaysCreateOrUpdate201Response | ExpressRouteGatewaysCreateOrUpdateDefaultResponse>;
}

// @public
export interface ExpressRouteGatewaysCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteGatewayOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteGatewaysCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteGatewayOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface ExpressRouteGatewaysCreateOrUpdateBodyParam {
    body: ExpressRouteGateway;
}

// @public
export interface ExpressRouteGatewaysCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ExpressRouteGatewaysCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ExpressRouteGatewaysCreateOrUpdateParameters = ExpressRouteGatewaysCreateOrUpdateQueryParam & ExpressRouteGatewaysCreateOrUpdateMediaTypesParam & ExpressRouteGatewaysCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteGatewaysCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteGatewaysCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteGatewaysCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ExpressRouteGatewaysDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteGatewaysDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface ExpressRouteGatewaysDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface ExpressRouteGatewaysDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteGatewaysDeleteParameters = ExpressRouteGatewaysDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteGatewaysDeleteQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteGatewaysDeleteQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteGatewaysDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ExpressRouteGatewaysGet200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteGatewayOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteGatewaysGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteGatewaysGetParameters = ExpressRouteGatewaysGetQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteGatewaysGetQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteGatewaysGetQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteGatewaysGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ExpressRouteGatewaysListByResourceGroup {
    get(options: ExpressRouteGatewaysListByResourceGroupParameters): StreamableMethod<ExpressRouteGatewaysListByResourceGroup200Response | ExpressRouteGatewaysListByResourceGroupDefaultResponse>;
}

// @public
export interface ExpressRouteGatewaysListByResourceGroup200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteGatewayListOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteGatewaysListByResourceGroupDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteGatewaysListByResourceGroupParameters = ExpressRouteGatewaysListByResourceGroupQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteGatewaysListByResourceGroupQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteGatewaysListByResourceGroupQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteGatewaysListByResourceGroupQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ExpressRouteGatewaysListBySubscription {
    get(options: ExpressRouteGatewaysListBySubscriptionParameters): StreamableMethod<ExpressRouteGatewaysListBySubscription200Response | ExpressRouteGatewaysListBySubscriptionDefaultResponse>;
}

// @public
export interface ExpressRouteGatewaysListBySubscription200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteGatewayListOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteGatewaysListBySubscriptionDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteGatewaysListBySubscriptionParameters = ExpressRouteGatewaysListBySubscriptionQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteGatewaysListBySubscriptionQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteGatewaysListBySubscriptionQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteGatewaysListBySubscriptionQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ExpressRouteGatewaysUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteGatewayOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteGatewaysUpdateTags202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface ExpressRouteGatewaysUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface ExpressRouteGatewaysUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ExpressRouteGatewaysUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ExpressRouteGatewaysUpdateTagsParameters = ExpressRouteGatewaysUpdateTagsQueryParam & ExpressRouteGatewaysUpdateTagsMediaTypesParam & ExpressRouteGatewaysUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteGatewaysUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteGatewaysUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteGatewaysUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ExpressRouteLink extends SubResource {
    name?: string;
    properties?: ExpressRouteLinkPropertiesFormat;
}

// @public
export interface ExpressRouteLinkListResultOutput {
    nextLink?: string;
    value?: Array<ExpressRouteLinkOutput>;
}

// @public
export interface ExpressRouteLinkMacSecConfig {
    cakSecretIdentifier?: string;
    cipher?: "GcmAes256" | "GcmAes128" | "GcmAesXpn128" | "GcmAesXpn256";
    cknSecretIdentifier?: string;
    sciState?: "Disabled" | "Enabled";
}

// @public
export interface ExpressRouteLinkMacSecConfigOutput {
    cakSecretIdentifier?: string;
    cipher?: "GcmAes256" | "GcmAes128" | "GcmAesXpn128" | "GcmAesXpn256";
    cknSecretIdentifier?: string;
    sciState?: "Disabled" | "Enabled";
}

// @public
export interface ExpressRouteLinkOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ExpressRouteLinkPropertiesFormatOutput;
}

// @public
export interface ExpressRouteLinkPropertiesFormat {
    adminState?: "Enabled" | "Disabled";
    macSecConfig?: ExpressRouteLinkMacSecConfig;
}

// @public
export interface ExpressRouteLinkPropertiesFormatOutput {
    adminState?: "Enabled" | "Disabled";
    readonly coloLocation?: string;
    readonly connectorType?: "LC" | "SC";
    readonly interfaceName?: string;
    macSecConfig?: ExpressRouteLinkMacSecConfigOutput;
    readonly patchPanelId?: string;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    readonly rackId?: string;
    readonly routerName?: string;
}

// @public (undocumented)
export interface ExpressRouteLinksGet {
    get(options: ExpressRouteLinksGetParameters): StreamableMethod<ExpressRouteLinksGet200Response | ExpressRouteLinksGetDefaultResponse>;
}

// @public
export interface ExpressRouteLinksGet200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteLinkOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteLinksGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteLinksGetParameters = ExpressRouteLinksGetQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteLinksGetQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteLinksGetQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteLinksGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ExpressRouteLinksList {
    get(options: ExpressRouteLinksListParameters): StreamableMethod<ExpressRouteLinksList200Response | ExpressRouteLinksListDefaultResponse>;
}

// @public
export interface ExpressRouteLinksList200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteLinkListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteLinksListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteLinksListParameters = ExpressRouteLinksListQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteLinksListQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteLinksListQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteLinksListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ExpressRoutePort extends Resource {
    identity?: ManagedServiceIdentity;
    properties?: ExpressRoutePortPropertiesFormat;
}

// @public
export interface ExpressRoutePortAuthorization extends SubResource {
    name?: string;
    properties?: ExpressRoutePortAuthorizationPropertiesFormat;
}

// @public
export interface ExpressRoutePortAuthorizationListResultOutput {
    nextLink?: string;
    value?: Array<ExpressRoutePortAuthorizationOutput>;
}

// @public
export interface ExpressRoutePortAuthorizationOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ExpressRoutePortAuthorizationPropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface ExpressRoutePortAuthorizationPropertiesFormat {
}

// @public
export interface ExpressRoutePortAuthorizationPropertiesFormatOutput {
    readonly authorizationKey?: string;
    readonly authorizationUseStatus?: "Available" | "InUse";
    readonly circuitResourceUri?: string;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public
export interface ExpressRoutePortAuthorizationsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRoutePortAuthorizationOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRoutePortAuthorizationsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: ExpressRoutePortAuthorizationOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface ExpressRoutePortAuthorizationsCreateOrUpdateBodyParam {
    body: ExpressRoutePortAuthorization;
}

// @public
export interface ExpressRoutePortAuthorizationsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ExpressRoutePortAuthorizationsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ExpressRoutePortAuthorizationsCreateOrUpdateParameters = ExpressRoutePortAuthorizationsCreateOrUpdateQueryParam & ExpressRoutePortAuthorizationsCreateOrUpdateMediaTypesParam & ExpressRoutePortAuthorizationsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface ExpressRoutePortAuthorizationsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: ExpressRoutePortAuthorizationsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRoutePortAuthorizationsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ExpressRoutePortAuthorizationsDelete {
    delete(options: ExpressRoutePortAuthorizationsDeleteParameters): StreamableMethod<ExpressRoutePortAuthorizationsDelete200Response | ExpressRoutePortAuthorizationsDelete202Response | ExpressRoutePortAuthorizationsDelete204Response | ExpressRoutePortAuthorizationsDeleteDefaultResponse>;
    get(options: ExpressRoutePortAuthorizationsGetParameters): StreamableMethod<ExpressRoutePortAuthorizationsGet200Response | ExpressRoutePortAuthorizationsGetDefaultResponse>;
    put(options: ExpressRoutePortAuthorizationsCreateOrUpdateParameters): StreamableMethod<ExpressRoutePortAuthorizationsCreateOrUpdate200Response | ExpressRoutePortAuthorizationsCreateOrUpdate201Response | ExpressRoutePortAuthorizationsCreateOrUpdateDefaultResponse>;
}

// @public
export interface ExpressRoutePortAuthorizationsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRoutePortAuthorizationsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface ExpressRoutePortAuthorizationsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface ExpressRoutePortAuthorizationsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRoutePortAuthorizationsDeleteParameters = ExpressRoutePortAuthorizationsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRoutePortAuthorizationsDeleteQueryParam {
    // (undocumented)
    queryParameters: ExpressRoutePortAuthorizationsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRoutePortAuthorizationsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ExpressRoutePortAuthorizationsGet200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRoutePortAuthorizationOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRoutePortAuthorizationsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRoutePortAuthorizationsGetParameters = ExpressRoutePortAuthorizationsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRoutePortAuthorizationsGetQueryParam {
    // (undocumented)
    queryParameters: ExpressRoutePortAuthorizationsGetQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRoutePortAuthorizationsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ExpressRoutePortAuthorizationsList {
    get(options: ExpressRoutePortAuthorizationsListParameters): StreamableMethod<ExpressRoutePortAuthorizationsList200Response | ExpressRoutePortAuthorizationsListDefaultResponse>;
}

// @public
export interface ExpressRoutePortAuthorizationsList200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRoutePortAuthorizationListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRoutePortAuthorizationsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRoutePortAuthorizationsListParameters = ExpressRoutePortAuthorizationsListQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRoutePortAuthorizationsListQueryParam {
    // (undocumented)
    queryParameters: ExpressRoutePortAuthorizationsListQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRoutePortAuthorizationsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ExpressRoutePortListResultOutput {
    nextLink?: string;
    value?: Array<ExpressRoutePortOutput>;
}

// @public
export interface ExpressRoutePortOutput extends ResourceOutput {
    readonly etag?: string;
    identity?: ManagedServiceIdentityOutput;
    properties?: ExpressRoutePortPropertiesFormatOutput;
}

// @public
export interface ExpressRoutePortPropertiesFormat {
    bandwidthInGbps?: number;
    billingType?: "MeteredData" | "UnlimitedData";
    encapsulation?: "Dot1Q" | "QinQ";
    links?: Array<ExpressRouteLink>;
    peeringLocation?: string;
}

// @public
export interface ExpressRoutePortPropertiesFormatOutput {
    readonly allocationDate?: string;
    bandwidthInGbps?: number;
    billingType?: "MeteredData" | "UnlimitedData";
    readonly circuits?: Array<SubResourceOutput>;
    encapsulation?: "Dot1Q" | "QinQ";
    readonly etherType?: string;
    links?: Array<ExpressRouteLinkOutput>;
    readonly mtu?: string;
    peeringLocation?: string;
    readonly provisionedBandwidthInGbps?: number;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    readonly resourceGuid?: string;
}

// @public
export interface ExpressRoutePortsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRoutePortOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRoutePortsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: ExpressRoutePortOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface ExpressRoutePortsCreateOrUpdateBodyParam {
    body: ExpressRoutePort;
}

// @public
export interface ExpressRoutePortsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ExpressRoutePortsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ExpressRoutePortsCreateOrUpdateParameters = ExpressRoutePortsCreateOrUpdateQueryParam & ExpressRoutePortsCreateOrUpdateMediaTypesParam & ExpressRoutePortsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface ExpressRoutePortsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: ExpressRoutePortsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRoutePortsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ExpressRoutePortsDelete {
    delete(options: ExpressRoutePortsDeleteParameters): StreamableMethod<ExpressRoutePortsDelete200Response | ExpressRoutePortsDelete202Response | ExpressRoutePortsDelete204Response | ExpressRoutePortsDeleteDefaultResponse>;
    get(options: ExpressRoutePortsGetParameters): StreamableMethod<ExpressRoutePortsGet200Response | ExpressRoutePortsGetDefaultResponse>;
    patch(options: ExpressRoutePortsUpdateTagsParameters): StreamableMethod<ExpressRoutePortsUpdateTags200Response | ExpressRoutePortsUpdateTagsDefaultResponse>;
    put(options: ExpressRoutePortsCreateOrUpdateParameters): StreamableMethod<ExpressRoutePortsCreateOrUpdate200Response | ExpressRoutePortsCreateOrUpdate201Response | ExpressRoutePortsCreateOrUpdateDefaultResponse>;
}

// @public
export interface ExpressRoutePortsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRoutePortsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface ExpressRoutePortsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface ExpressRoutePortsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRoutePortsDeleteParameters = ExpressRoutePortsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRoutePortsDeleteQueryParam {
    // (undocumented)
    queryParameters: ExpressRoutePortsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRoutePortsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ExpressRoutePortsGenerateLOA {
    post(options: ExpressRoutePortsGenerateLOAParameters): StreamableMethod<ExpressRoutePortsGenerateLOA200Response | ExpressRoutePortsGenerateLOADefaultResponse>;
}

// @public
export interface ExpressRoutePortsGenerateLOA200Response extends HttpResponse {
    // (undocumented)
    body: GenerateExpressRoutePortsLOAResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface ExpressRoutePortsGenerateLOABodyParam {
    body: GenerateExpressRoutePortsLOARequest;
}

// @public
export interface ExpressRoutePortsGenerateLOADefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ExpressRoutePortsGenerateLOAMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ExpressRoutePortsGenerateLOAParameters = ExpressRoutePortsGenerateLOAQueryParam & ExpressRoutePortsGenerateLOAMediaTypesParam & ExpressRoutePortsGenerateLOABodyParam & RequestParameters;

// @public (undocumented)
export interface ExpressRoutePortsGenerateLOAQueryParam {
    // (undocumented)
    queryParameters: ExpressRoutePortsGenerateLOAQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRoutePortsGenerateLOAQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ExpressRoutePortsGet200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRoutePortOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRoutePortsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRoutePortsGetParameters = ExpressRoutePortsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRoutePortsGetQueryParam {
    // (undocumented)
    queryParameters: ExpressRoutePortsGetQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRoutePortsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ExpressRoutePortsList {
    get(options: ExpressRoutePortsListParameters): StreamableMethod<ExpressRoutePortsList200Response | ExpressRoutePortsListDefaultResponse>;
}

// @public
export interface ExpressRoutePortsList200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRoutePortListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface ExpressRoutePortsListByResourceGroup {
    get(options: ExpressRoutePortsListByResourceGroupParameters): StreamableMethod<ExpressRoutePortsListByResourceGroup200Response | ExpressRoutePortsListByResourceGroupDefaultResponse>;
}

// @public
export interface ExpressRoutePortsListByResourceGroup200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRoutePortListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRoutePortsListByResourceGroupDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRoutePortsListByResourceGroupParameters = ExpressRoutePortsListByResourceGroupQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRoutePortsListByResourceGroupQueryParam {
    // (undocumented)
    queryParameters: ExpressRoutePortsListByResourceGroupQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRoutePortsListByResourceGroupQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ExpressRoutePortsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRoutePortsListParameters = ExpressRoutePortsListQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRoutePortsListQueryParam {
    // (undocumented)
    queryParameters: ExpressRoutePortsListQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRoutePortsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ExpressRoutePortsLocation extends Resource {
    properties?: ExpressRoutePortsLocationPropertiesFormat;
}

// @public
export interface ExpressRoutePortsLocationBandwidths {
}

// @public
export interface ExpressRoutePortsLocationBandwidthsOutput {
    readonly offerName?: string;
    readonly valueInGbps?: number;
}

// @public
export interface ExpressRoutePortsLocationListResultOutput {
    nextLink?: string;
    value?: Array<ExpressRoutePortsLocationOutput>;
}

// @public
export interface ExpressRoutePortsLocationOutput extends ResourceOutput {
    properties?: ExpressRoutePortsLocationPropertiesFormatOutput;
}

// @public
export interface ExpressRoutePortsLocationPropertiesFormat {
    availableBandwidths?: Array<ExpressRoutePortsLocationBandwidths>;
}

// @public
export interface ExpressRoutePortsLocationPropertiesFormatOutput {
    readonly address?: string;
    availableBandwidths?: Array<ExpressRoutePortsLocationBandwidthsOutput>;
    readonly contact?: string;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public (undocumented)
export interface ExpressRoutePortsLocationsGet {
    get(options: ExpressRoutePortsLocationsGetParameters): StreamableMethod<ExpressRoutePortsLocationsGet200Response | ExpressRoutePortsLocationsGetDefaultResponse>;
}

// @public
export interface ExpressRoutePortsLocationsGet200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRoutePortsLocationOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRoutePortsLocationsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRoutePortsLocationsGetParameters = ExpressRoutePortsLocationsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRoutePortsLocationsGetQueryParam {
    // (undocumented)
    queryParameters: ExpressRoutePortsLocationsGetQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRoutePortsLocationsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ExpressRoutePortsLocationsList {
    get(options: ExpressRoutePortsLocationsListParameters): StreamableMethod<ExpressRoutePortsLocationsList200Response | ExpressRoutePortsLocationsListDefaultResponse>;
}

// @public
export interface ExpressRoutePortsLocationsList200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRoutePortsLocationListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRoutePortsLocationsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRoutePortsLocationsListParameters = ExpressRoutePortsLocationsListQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRoutePortsLocationsListQueryParam {
    // (undocumented)
    queryParameters: ExpressRoutePortsLocationsListQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRoutePortsLocationsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ExpressRoutePortsUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRoutePortOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface ExpressRoutePortsUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface ExpressRoutePortsUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ExpressRoutePortsUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ExpressRoutePortsUpdateTagsParameters = ExpressRoutePortsUpdateTagsQueryParam & ExpressRoutePortsUpdateTagsMediaTypesParam & ExpressRoutePortsUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface ExpressRoutePortsUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: ExpressRoutePortsUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRoutePortsUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ExpressRouteProviderPort {
    get(options: ExpressRouteProviderPortParameters): StreamableMethod<ExpressRouteProviderPort200Response | ExpressRouteProviderPortDefaultResponse>;
}

// @public
export interface ExpressRouteProviderPort200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteProviderPortOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteProviderPortDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public
export interface ExpressRouteProviderPortListResultOutput {
    readonly nextLink?: string;
    value?: Array<ExpressRouteProviderPortOutput>;
}

// @public
export interface ExpressRouteProviderPortOutput extends ResourceOutput {
    readonly etag?: string;
    properties?: ExpressRouteProviderPortPropertiesOutput;
}

// @public (undocumented)
export type ExpressRouteProviderPortParameters = ExpressRouteProviderPortQueryParam & RequestParameters;

// @public
export interface ExpressRouteProviderPortProperties {
    overprovisionFactor?: number;
    peeringLocation?: string;
    portBandwidthInMbps?: number;
    remainingBandwidthInMbps?: number;
    usedBandwidthInMbps?: number;
}

// @public
export interface ExpressRouteProviderPortPropertiesOutput {
    overprovisionFactor?: number;
    peeringLocation?: string;
    portBandwidthInMbps?: number;
    readonly portPairDescriptor?: string;
    readonly primaryAzurePort?: string;
    remainingBandwidthInMbps?: number;
    readonly secondaryAzurePort?: string;
    usedBandwidthInMbps?: number;
}

// @public (undocumented)
export interface ExpressRouteProviderPortQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteProviderPortQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteProviderPortQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ExpressRouteProviderPortsLocationList {
    get(options: ExpressRouteProviderPortsLocationListParameters): StreamableMethod<ExpressRouteProviderPortsLocationList200Response | ExpressRouteProviderPortsLocationListDefaultResponse>;
}

// @public
export interface ExpressRouteProviderPortsLocationList200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteProviderPortListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteProviderPortsLocationListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteProviderPortsLocationListParameters = ExpressRouteProviderPortsLocationListQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteProviderPortsLocationListQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteProviderPortsLocationListQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteProviderPortsLocationListQueryParamProperties {
    "api-version": "2022-05-01";
    $filter?: string;
}

// @public
export interface ExpressRouteServiceProvider extends Resource {
    properties?: ExpressRouteServiceProviderPropertiesFormat;
}

// @public
export interface ExpressRouteServiceProviderBandwidthsOffered {
    offerName?: string;
    valueInMbps?: number;
}

// @public
export interface ExpressRouteServiceProviderBandwidthsOfferedOutput {
    offerName?: string;
    valueInMbps?: number;
}

// @public
export interface ExpressRouteServiceProviderListResultOutput {
    nextLink?: string;
    value?: Array<ExpressRouteServiceProviderOutput>;
}

// @public
export interface ExpressRouteServiceProviderOutput extends ResourceOutput {
    properties?: ExpressRouteServiceProviderPropertiesFormatOutput;
}

// @public
export interface ExpressRouteServiceProviderPropertiesFormat {
    bandwidthsOffered?: Array<ExpressRouteServiceProviderBandwidthsOffered>;
    peeringLocations?: Array<string>;
}

// @public
export interface ExpressRouteServiceProviderPropertiesFormatOutput {
    bandwidthsOffered?: Array<ExpressRouteServiceProviderBandwidthsOfferedOutput>;
    peeringLocations?: Array<string>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public (undocumented)
export interface ExpressRouteServiceProvidersList {
    get(options: ExpressRouteServiceProvidersListParameters): StreamableMethod<ExpressRouteServiceProvidersList200Response | ExpressRouteServiceProvidersListDefaultResponse>;
}

// @public
export interface ExpressRouteServiceProvidersList200Response extends HttpResponse {
    // (undocumented)
    body: ExpressRouteServiceProviderListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ExpressRouteServiceProvidersListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ExpressRouteServiceProvidersListParameters = ExpressRouteServiceProvidersListQueryParam & RequestParameters;

// @public (undocumented)
export interface ExpressRouteServiceProvidersListQueryParam {
    // (undocumented)
    queryParameters: ExpressRouteServiceProvidersListQueryParamProperties;
}

// @public (undocumented)
export interface ExpressRouteServiceProvidersListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ExtendedLocation {
    name?: string;
    type?: "EdgeZone";
}

// @public
export interface ExtendedLocationOutput {
    name?: string;
    type?: "EdgeZone";
}

// @public
export interface FilterItems {
    field?: string;
    values?: Array<string>;
}

// @public
export interface FirewallPoliciesCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: FirewallPolicyOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface FirewallPoliciesCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: FirewallPolicyOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface FirewallPoliciesCreateOrUpdateBodyParam {
    body: FirewallPolicy;
}

// @public
export interface FirewallPoliciesCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface FirewallPoliciesCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type FirewallPoliciesCreateOrUpdateParameters = FirewallPoliciesCreateOrUpdateQueryParam & FirewallPoliciesCreateOrUpdateMediaTypesParam & FirewallPoliciesCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface FirewallPoliciesCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: FirewallPoliciesCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface FirewallPoliciesCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface FirewallPoliciesDelete {
    delete(options: FirewallPoliciesDeleteParameters): StreamableMethod<FirewallPoliciesDelete200Response | FirewallPoliciesDelete202Response | FirewallPoliciesDelete204Response | FirewallPoliciesDeleteDefaultResponse>;
    get(options: FirewallPoliciesGetParameters): StreamableMethod<FirewallPoliciesGet200Response | FirewallPoliciesGetDefaultResponse>;
    patch(options: FirewallPoliciesUpdateTagsParameters): StreamableMethod<FirewallPoliciesUpdateTags200Response | FirewallPoliciesUpdateTagsDefaultResponse>;
    put(options: FirewallPoliciesCreateOrUpdateParameters): StreamableMethod<FirewallPoliciesCreateOrUpdate200Response | FirewallPoliciesCreateOrUpdate201Response | FirewallPoliciesCreateOrUpdateDefaultResponse>;
}

// @public
export interface FirewallPoliciesDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface FirewallPoliciesDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface FirewallPoliciesDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface FirewallPoliciesDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type FirewallPoliciesDeleteParameters = FirewallPoliciesDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface FirewallPoliciesDeleteQueryParam {
    // (undocumented)
    queryParameters: FirewallPoliciesDeleteQueryParamProperties;
}

// @public (undocumented)
export interface FirewallPoliciesDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface FirewallPoliciesGet200Response extends HttpResponse {
    // (undocumented)
    body: FirewallPolicyOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface FirewallPoliciesGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type FirewallPoliciesGetParameters = FirewallPoliciesGetQueryParam & RequestParameters;

// @public (undocumented)
export interface FirewallPoliciesGetQueryParam {
    // (undocumented)
    queryParameters: FirewallPoliciesGetQueryParamProperties;
}

// @public (undocumented)
export interface FirewallPoliciesGetQueryParamProperties {
    "api-version": "2022-05-01";
    $expand?: string;
}

// @public (undocumented)
export interface FirewallPoliciesList {
    get(options: FirewallPoliciesListParameters): StreamableMethod<FirewallPoliciesList200Response | FirewallPoliciesListDefaultResponse>;
}

// @public
export interface FirewallPoliciesList200Response extends HttpResponse {
    // (undocumented)
    body: FirewallPolicyListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface FirewallPoliciesListAll {
    get(options: FirewallPoliciesListAllParameters): StreamableMethod<FirewallPoliciesListAll200Response | FirewallPoliciesListAllDefaultResponse>;
}

// @public
export interface FirewallPoliciesListAll200Response extends HttpResponse {
    // (undocumented)
    body: FirewallPolicyListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface FirewallPoliciesListAllDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type FirewallPoliciesListAllParameters = FirewallPoliciesListAllQueryParam & RequestParameters;

// @public (undocumented)
export interface FirewallPoliciesListAllQueryParam {
    // (undocumented)
    queryParameters: FirewallPoliciesListAllQueryParamProperties;
}

// @public (undocumented)
export interface FirewallPoliciesListAllQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface FirewallPoliciesListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type FirewallPoliciesListParameters = FirewallPoliciesListQueryParam & RequestParameters;

// @public (undocumented)
export interface FirewallPoliciesListQueryParam {
    // (undocumented)
    queryParameters: FirewallPoliciesListQueryParamProperties;
}

// @public (undocumented)
export interface FirewallPoliciesListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface FirewallPoliciesUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: FirewallPolicyOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface FirewallPoliciesUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface FirewallPoliciesUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface FirewallPoliciesUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type FirewallPoliciesUpdateTagsParameters = FirewallPoliciesUpdateTagsQueryParam & FirewallPoliciesUpdateTagsMediaTypesParam & FirewallPoliciesUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface FirewallPoliciesUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: FirewallPoliciesUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface FirewallPoliciesUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface FirewallPolicy extends Resource {
    identity?: ManagedServiceIdentity;
    properties?: FirewallPolicyPropertiesFormat;
}

// @public
export interface FirewallPolicyCertificateAuthority {
    keyVaultSecretId?: string;
    name?: string;
}

// @public
export interface FirewallPolicyCertificateAuthorityOutput {
    keyVaultSecretId?: string;
    name?: string;
}

// @public
export interface FirewallPolicyFilterRuleCollection extends FirewallPolicyRuleCollectionParent {
    action?: FirewallPolicyFilterRuleCollectionAction;
    // (undocumented)
    ruleCollectionType: "FirewallPolicyFilterRuleCollection";
    rules?: Array<FirewallPolicyRule>;
}

// @public
export interface FirewallPolicyFilterRuleCollectionAction {
    type?: "Allow" | "Deny";
}

// @public
export interface FirewallPolicyFilterRuleCollectionActionOutput {
    type?: "Allow" | "Deny";
}

// @public
export interface FirewallPolicyFilterRuleCollectionOutput extends FirewallPolicyRuleCollectionOutputParent {
    action?: FirewallPolicyFilterRuleCollectionActionOutput;
    // (undocumented)
    ruleCollectionType: "FirewallPolicyFilterRuleCollection";
    rules?: Array<FirewallPolicyRuleOutput>;
}

// @public (undocumented)
export interface FirewallPolicyIdpsSignaturesFilterValuesList {
    post(options: FirewallPolicyIdpsSignaturesFilterValuesListParameters): StreamableMethod<FirewallPolicyIdpsSignaturesFilterValuesList200Response | FirewallPolicyIdpsSignaturesFilterValuesListDefaultResponse>;
}

// @public
export interface FirewallPolicyIdpsSignaturesFilterValuesList200Response extends HttpResponse {
    // (undocumented)
    body: SignatureOverridesFilterValuesResponseOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface FirewallPolicyIdpsSignaturesFilterValuesListBodyParam {
    // (undocumented)
    body: SignatureOverridesFilterValuesQuery;
}

// @public
export interface FirewallPolicyIdpsSignaturesFilterValuesListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface FirewallPolicyIdpsSignaturesFilterValuesListMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type FirewallPolicyIdpsSignaturesFilterValuesListParameters = FirewallPolicyIdpsSignaturesFilterValuesListQueryParam & FirewallPolicyIdpsSignaturesFilterValuesListMediaTypesParam & FirewallPolicyIdpsSignaturesFilterValuesListBodyParam & RequestParameters;

// @public (undocumented)
export interface FirewallPolicyIdpsSignaturesFilterValuesListQueryParam {
    // (undocumented)
    queryParameters: FirewallPolicyIdpsSignaturesFilterValuesListQueryParamProperties;
}

// @public (undocumented)
export interface FirewallPolicyIdpsSignaturesFilterValuesListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface FirewallPolicyIdpsSignaturesList {
    post(options: FirewallPolicyIdpsSignaturesListParameters): StreamableMethod<FirewallPolicyIdpsSignaturesList200Response | FirewallPolicyIdpsSignaturesListDefaultResponse>;
}

// @public
export interface FirewallPolicyIdpsSignaturesList200Response extends HttpResponse {
    // (undocumented)
    body: QueryResultsOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface FirewallPolicyIdpsSignaturesListBodyParam {
    // (undocumented)
    body: IdpsQueryObject;
}

// @public
export interface FirewallPolicyIdpsSignaturesListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface FirewallPolicyIdpsSignaturesListMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type FirewallPolicyIdpsSignaturesListParameters = FirewallPolicyIdpsSignaturesListQueryParam & FirewallPolicyIdpsSignaturesListMediaTypesParam & FirewallPolicyIdpsSignaturesListBodyParam & RequestParameters;

// @public (undocumented)
export interface FirewallPolicyIdpsSignaturesListQueryParam {
    // (undocumented)
    queryParameters: FirewallPolicyIdpsSignaturesListQueryParamProperties;
}

// @public (undocumented)
export interface FirewallPolicyIdpsSignaturesListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface FirewallPolicyIdpsSignaturesOverridesGet200Response extends HttpResponse {
    // (undocumented)
    body: SignaturesOverridesOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface FirewallPolicyIdpsSignaturesOverridesGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type FirewallPolicyIdpsSignaturesOverridesGetParameters = FirewallPolicyIdpsSignaturesOverridesGetQueryParam & RequestParameters;

// @public (undocumented)
export interface FirewallPolicyIdpsSignaturesOverridesGetQueryParam {
    // (undocumented)
    queryParameters: FirewallPolicyIdpsSignaturesOverridesGetQueryParamProperties;
}

// @public (undocumented)
export interface FirewallPolicyIdpsSignaturesOverridesGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface FirewallPolicyIdpsSignaturesOverridesList {
    get(options: FirewallPolicyIdpsSignaturesOverridesListParameters): StreamableMethod<FirewallPolicyIdpsSignaturesOverridesList200Response | FirewallPolicyIdpsSignaturesOverridesListDefaultResponse>;
}

// @public
export interface FirewallPolicyIdpsSignaturesOverridesList200Response extends HttpResponse {
    // (undocumented)
    body: SignaturesOverridesListOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface FirewallPolicyIdpsSignaturesOverridesListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type FirewallPolicyIdpsSignaturesOverridesListParameters = FirewallPolicyIdpsSignaturesOverridesListQueryParam & RequestParameters;

// @public (undocumented)
export interface FirewallPolicyIdpsSignaturesOverridesListQueryParam {
    // (undocumented)
    queryParameters: FirewallPolicyIdpsSignaturesOverridesListQueryParamProperties;
}

// @public (undocumented)
export interface FirewallPolicyIdpsSignaturesOverridesListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface FirewallPolicyIdpsSignaturesOverridesPatch {
    get(options: FirewallPolicyIdpsSignaturesOverridesGetParameters): StreamableMethod<FirewallPolicyIdpsSignaturesOverridesGet200Response | FirewallPolicyIdpsSignaturesOverridesGetDefaultResponse>;
    patch(options: FirewallPolicyIdpsSignaturesOverridesPatchParameters): StreamableMethod<FirewallPolicyIdpsSignaturesOverridesPatch200Response | FirewallPolicyIdpsSignaturesOverridesPatchDefaultResponse>;
    put(options: FirewallPolicyIdpsSignaturesOverridesPutParameters): StreamableMethod<FirewallPolicyIdpsSignaturesOverridesPut200Response | FirewallPolicyIdpsSignaturesOverridesPutDefaultResponse>;
}

// @public
export interface FirewallPolicyIdpsSignaturesOverridesPatch200Response extends HttpResponse {
    // (undocumented)
    body: SignaturesOverridesOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface FirewallPolicyIdpsSignaturesOverridesPatchBodyParam {
    body: SignaturesOverrides;
}

// @public
export interface FirewallPolicyIdpsSignaturesOverridesPatchDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface FirewallPolicyIdpsSignaturesOverridesPatchMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type FirewallPolicyIdpsSignaturesOverridesPatchParameters = FirewallPolicyIdpsSignaturesOverridesPatchQueryParam & FirewallPolicyIdpsSignaturesOverridesPatchMediaTypesParam & FirewallPolicyIdpsSignaturesOverridesPatchBodyParam & RequestParameters;

// @public (undocumented)
export interface FirewallPolicyIdpsSignaturesOverridesPatchQueryParam {
    // (undocumented)
    queryParameters: FirewallPolicyIdpsSignaturesOverridesPatchQueryParamProperties;
}

// @public (undocumented)
export interface FirewallPolicyIdpsSignaturesOverridesPatchQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface FirewallPolicyIdpsSignaturesOverridesPut200Response extends HttpResponse {
    // (undocumented)
    body: SignaturesOverridesOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface FirewallPolicyIdpsSignaturesOverridesPutBodyParam {
    body: SignaturesOverrides;
}

// @public
export interface FirewallPolicyIdpsSignaturesOverridesPutDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface FirewallPolicyIdpsSignaturesOverridesPutMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type FirewallPolicyIdpsSignaturesOverridesPutParameters = FirewallPolicyIdpsSignaturesOverridesPutQueryParam & FirewallPolicyIdpsSignaturesOverridesPutMediaTypesParam & FirewallPolicyIdpsSignaturesOverridesPutBodyParam & RequestParameters;

// @public (undocumented)
export interface FirewallPolicyIdpsSignaturesOverridesPutQueryParam {
    // (undocumented)
    queryParameters: FirewallPolicyIdpsSignaturesOverridesPutQueryParamProperties;
}

// @public (undocumented)
export interface FirewallPolicyIdpsSignaturesOverridesPutQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface FirewallPolicyInsights {
    isEnabled?: boolean;
    logAnalyticsResources?: FirewallPolicyLogAnalyticsResources;
    retentionDays?: number;
}

// @public
export interface FirewallPolicyInsightsOutput {
    isEnabled?: boolean;
    logAnalyticsResources?: FirewallPolicyLogAnalyticsResourcesOutput;
    retentionDays?: number;
}

// @public
export interface FirewallPolicyIntrusionDetection {
    configuration?: FirewallPolicyIntrusionDetectionConfiguration;
    mode?: "Off" | "Alert" | "Deny";
}

// @public
export interface FirewallPolicyIntrusionDetectionBypassTrafficSpecifications {
    description?: string;
    destinationAddresses?: Array<string>;
    destinationIpGroups?: Array<string>;
    destinationPorts?: Array<string>;
    name?: string;
    protocol?: "TCP" | "UDP" | "ICMP" | "ANY";
    sourceAddresses?: Array<string>;
    sourceIpGroups?: Array<string>;
}

// @public
export interface FirewallPolicyIntrusionDetectionBypassTrafficSpecificationsOutput {
    description?: string;
    destinationAddresses?: Array<string>;
    destinationIpGroups?: Array<string>;
    destinationPorts?: Array<string>;
    name?: string;
    protocol?: "TCP" | "UDP" | "ICMP" | "ANY";
    sourceAddresses?: Array<string>;
    sourceIpGroups?: Array<string>;
}

// @public
export interface FirewallPolicyIntrusionDetectionConfiguration {
    bypassTrafficSettings?: Array<FirewallPolicyIntrusionDetectionBypassTrafficSpecifications>;
    privateRanges?: Array<string>;
    signatureOverrides?: Array<FirewallPolicyIntrusionDetectionSignatureSpecification>;
}

// @public
export interface FirewallPolicyIntrusionDetectionConfigurationOutput {
    bypassTrafficSettings?: Array<FirewallPolicyIntrusionDetectionBypassTrafficSpecificationsOutput>;
    privateRanges?: Array<string>;
    signatureOverrides?: Array<FirewallPolicyIntrusionDetectionSignatureSpecificationOutput>;
}

// @public
export interface FirewallPolicyIntrusionDetectionOutput {
    configuration?: FirewallPolicyIntrusionDetectionConfigurationOutput;
    mode?: "Off" | "Alert" | "Deny";
}

// @public
export interface FirewallPolicyIntrusionDetectionSignatureSpecification {
    id?: string;
    mode?: "Off" | "Alert" | "Deny";
}

// @public
export interface FirewallPolicyIntrusionDetectionSignatureSpecificationOutput {
    id?: string;
    mode?: "Off" | "Alert" | "Deny";
}

// @public
export interface FirewallPolicyListResultOutput {
    nextLink?: string;
    value?: Array<FirewallPolicyOutput>;
}

// @public
export interface FirewallPolicyLogAnalyticsResources {
    defaultWorkspaceId?: SubResource;
    workspaces?: Array<FirewallPolicyLogAnalyticsWorkspace>;
}

// @public
export interface FirewallPolicyLogAnalyticsResourcesOutput {
    defaultWorkspaceId?: SubResourceOutput;
    workspaces?: Array<FirewallPolicyLogAnalyticsWorkspaceOutput>;
}

// @public
export interface FirewallPolicyLogAnalyticsWorkspace {
    region?: string;
    workspaceId?: SubResource;
}

// @public
export interface FirewallPolicyLogAnalyticsWorkspaceOutput {
    region?: string;
    workspaceId?: SubResourceOutput;
}

// @public
export interface FirewallPolicyNatRuleCollection extends FirewallPolicyRuleCollectionParent {
    action?: FirewallPolicyNatRuleCollectionAction;
    // (undocumented)
    ruleCollectionType: "FirewallPolicyNatRuleCollection";
    rules?: Array<FirewallPolicyRule>;
}

// @public
export interface FirewallPolicyNatRuleCollectionAction {
    type?: "DNAT";
}

// @public
export interface FirewallPolicyNatRuleCollectionActionOutput {
    type?: "DNAT";
}

// @public
export interface FirewallPolicyNatRuleCollectionOutput extends FirewallPolicyRuleCollectionOutputParent {
    action?: FirewallPolicyNatRuleCollectionActionOutput;
    // (undocumented)
    ruleCollectionType: "FirewallPolicyNatRuleCollection";
    rules?: Array<FirewallPolicyRuleOutput>;
}

// @public
export interface FirewallPolicyOutput extends ResourceOutput {
    readonly etag?: string;
    identity?: ManagedServiceIdentityOutput;
    properties?: FirewallPolicyPropertiesFormatOutput;
}

// @public
export interface FirewallPolicyPropertiesFormat {
    basePolicy?: SubResource;
    dnsSettings?: DnsSettings;
    explicitProxy?: ExplicitProxy;
    insights?: FirewallPolicyInsights;
    intrusionDetection?: FirewallPolicyIntrusionDetection;
    sku?: FirewallPolicySku;
    snat?: FirewallPolicySnat;
    sql?: FirewallPolicySQL;
    threatIntelMode?: "Alert" | "Deny" | "Off";
    threatIntelWhitelist?: FirewallPolicyThreatIntelWhitelist;
    transportSecurity?: FirewallPolicyTransportSecurity;
}

// @public
export interface FirewallPolicyPropertiesFormatOutput {
    basePolicy?: SubResourceOutput;
    readonly childPolicies?: Array<SubResourceOutput>;
    dnsSettings?: DnsSettingsOutput;
    explicitProxy?: ExplicitProxyOutput;
    readonly firewalls?: Array<SubResourceOutput>;
    insights?: FirewallPolicyInsightsOutput;
    intrusionDetection?: FirewallPolicyIntrusionDetectionOutput;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    readonly ruleCollectionGroups?: Array<SubResourceOutput>;
    sku?: FirewallPolicySkuOutput;
    snat?: FirewallPolicySnatOutput;
    sql?: FirewallPolicySQLOutput;
    threatIntelMode?: "Alert" | "Deny" | "Off";
    threatIntelWhitelist?: FirewallPolicyThreatIntelWhitelistOutput;
    transportSecurity?: FirewallPolicyTransportSecurityOutput;
}

// @public
export type FirewallPolicyRule = ApplicationRule | NatRule | NetworkRule;

// @public
export interface FirewallPolicyRuleApplicationProtocol {
    port?: number;
    protocolType?: "Http" | "Https";
}

// @public
export interface FirewallPolicyRuleApplicationProtocolOutput {
    port?: number;
    protocolType?: "Http" | "Https";
}

// @public
export type FirewallPolicyRuleCollection = FirewallPolicyNatRuleCollection | FirewallPolicyFilterRuleCollection;

// @public
export interface FirewallPolicyRuleCollectionGroup extends SubResource {
    name?: string;
    properties?: FirewallPolicyRuleCollectionGroupProperties;
}

// @public
export interface FirewallPolicyRuleCollectionGroupListResultOutput {
    nextLink?: string;
    value?: Array<FirewallPolicyRuleCollectionGroupOutput>;
}

// @public
export interface FirewallPolicyRuleCollectionGroupOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: FirewallPolicyRuleCollectionGroupPropertiesOutput;
    readonly type?: string;
}

// @public
export interface FirewallPolicyRuleCollectionGroupProperties {
    priority?: number;
    ruleCollections?: Array<FirewallPolicyRuleCollection>;
}

// @public
export interface FirewallPolicyRuleCollectionGroupPropertiesOutput {
    priority?: number;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    ruleCollections?: Array<FirewallPolicyRuleCollectionOutput>;
}

// @public
export interface FirewallPolicyRuleCollectionGroupsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: FirewallPolicyRuleCollectionGroupOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface FirewallPolicyRuleCollectionGroupsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: FirewallPolicyRuleCollectionGroupOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface FirewallPolicyRuleCollectionGroupsCreateOrUpdateBodyParam {
    body: FirewallPolicyRuleCollectionGroup;
}

// @public
export interface FirewallPolicyRuleCollectionGroupsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface FirewallPolicyRuleCollectionGroupsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type FirewallPolicyRuleCollectionGroupsCreateOrUpdateParameters = FirewallPolicyRuleCollectionGroupsCreateOrUpdateQueryParam & FirewallPolicyRuleCollectionGroupsCreateOrUpdateMediaTypesParam & FirewallPolicyRuleCollectionGroupsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface FirewallPolicyRuleCollectionGroupsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: FirewallPolicyRuleCollectionGroupsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface FirewallPolicyRuleCollectionGroupsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface FirewallPolicyRuleCollectionGroupsDelete {
    delete(options: FirewallPolicyRuleCollectionGroupsDeleteParameters): StreamableMethod<FirewallPolicyRuleCollectionGroupsDelete200Response | FirewallPolicyRuleCollectionGroupsDelete202Response | FirewallPolicyRuleCollectionGroupsDelete204Response | FirewallPolicyRuleCollectionGroupsDeleteDefaultResponse>;
    get(options: FirewallPolicyRuleCollectionGroupsGetParameters): StreamableMethod<FirewallPolicyRuleCollectionGroupsGet200Response | FirewallPolicyRuleCollectionGroupsGetDefaultResponse>;
    put(options: FirewallPolicyRuleCollectionGroupsCreateOrUpdateParameters): StreamableMethod<FirewallPolicyRuleCollectionGroupsCreateOrUpdate200Response | FirewallPolicyRuleCollectionGroupsCreateOrUpdate201Response | FirewallPolicyRuleCollectionGroupsCreateOrUpdateDefaultResponse>;
}

// @public
export interface FirewallPolicyRuleCollectionGroupsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface FirewallPolicyRuleCollectionGroupsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface FirewallPolicyRuleCollectionGroupsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface FirewallPolicyRuleCollectionGroupsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type FirewallPolicyRuleCollectionGroupsDeleteParameters = FirewallPolicyRuleCollectionGroupsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface FirewallPolicyRuleCollectionGroupsDeleteQueryParam {
    // (undocumented)
    queryParameters: FirewallPolicyRuleCollectionGroupsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface FirewallPolicyRuleCollectionGroupsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface FirewallPolicyRuleCollectionGroupsGet200Response extends HttpResponse {
    // (undocumented)
    body: FirewallPolicyRuleCollectionGroupOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface FirewallPolicyRuleCollectionGroupsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type FirewallPolicyRuleCollectionGroupsGetParameters = FirewallPolicyRuleCollectionGroupsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface FirewallPolicyRuleCollectionGroupsGetQueryParam {
    // (undocumented)
    queryParameters: FirewallPolicyRuleCollectionGroupsGetQueryParamProperties;
}

// @public (undocumented)
export interface FirewallPolicyRuleCollectionGroupsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface FirewallPolicyRuleCollectionGroupsList {
    get(options: FirewallPolicyRuleCollectionGroupsListParameters): StreamableMethod<FirewallPolicyRuleCollectionGroupsList200Response | FirewallPolicyRuleCollectionGroupsListDefaultResponse>;
}

// @public
export interface FirewallPolicyRuleCollectionGroupsList200Response extends HttpResponse {
    // (undocumented)
    body: FirewallPolicyRuleCollectionGroupListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface FirewallPolicyRuleCollectionGroupsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type FirewallPolicyRuleCollectionGroupsListParameters = FirewallPolicyRuleCollectionGroupsListQueryParam & RequestParameters;

// @public (undocumented)
export interface FirewallPolicyRuleCollectionGroupsListQueryParam {
    // (undocumented)
    queryParameters: FirewallPolicyRuleCollectionGroupsListQueryParamProperties;
}

// @public (undocumented)
export interface FirewallPolicyRuleCollectionGroupsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export type FirewallPolicyRuleCollectionOutput = FirewallPolicyNatRuleCollectionOutput | FirewallPolicyFilterRuleCollectionOutput;

// @public
export interface FirewallPolicyRuleCollectionOutputParent {
    name?: string;
    priority?: number;
    // (undocumented)
    ruleCollectionType: "FirewallPolicyRuleCollection" | "FirewallPolicyNatRuleCollection" | "FirewallPolicyFilterRuleCollection";
}

// @public
export interface FirewallPolicyRuleCollectionParent {
    name?: string;
    priority?: number;
    // (undocumented)
    ruleCollectionType: "FirewallPolicyRuleCollection" | "FirewallPolicyNatRuleCollection" | "FirewallPolicyFilterRuleCollection";
}

// @public
export type FirewallPolicyRuleOutput = ApplicationRuleOutput | NatRuleOutput | NetworkRuleOutput;

// @public
export interface FirewallPolicyRuleOutputParent {
    description?: string;
    name?: string;
    // (undocumented)
    ruleType: "FirewallPolicyRule" | "ApplicationRule" | "NatRule" | "NetworkRule";
}

// @public
export interface FirewallPolicyRuleParent {
    description?: string;
    name?: string;
    // (undocumented)
    ruleType: "FirewallPolicyRule" | "ApplicationRule" | "NatRule" | "NetworkRule";
}

// @public
export interface FirewallPolicySku {
    tier?: "Standard" | "Premium" | "Basic";
}

// @public
export interface FirewallPolicySkuOutput {
    tier?: "Standard" | "Premium" | "Basic";
}

// @public
export interface FirewallPolicySnat {
    autoLearnPrivateRanges?: "Enabled" | "Disabled";
    privateRanges?: Array<string>;
}

// @public
export interface FirewallPolicySnatOutput {
    autoLearnPrivateRanges?: "Enabled" | "Disabled";
    privateRanges?: Array<string>;
}

// @public
export interface FirewallPolicySQL {
    allowSqlRedirect?: boolean;
}

// @public
export interface FirewallPolicySQLOutput {
    allowSqlRedirect?: boolean;
}

// @public
export interface FirewallPolicyThreatIntelWhitelist {
    fqdns?: Array<string>;
    ipAddresses?: Array<string>;
}

// @public
export interface FirewallPolicyThreatIntelWhitelistOutput {
    fqdns?: Array<string>;
    ipAddresses?: Array<string>;
}

// @public
export interface FirewallPolicyTransportSecurity {
    certificateAuthority?: FirewallPolicyCertificateAuthority;
}

// @public
export interface FirewallPolicyTransportSecurityOutput {
    certificateAuthority?: FirewallPolicyCertificateAuthorityOutput;
}

// @public
export interface FlowLog extends Resource {
    properties?: FlowLogPropertiesFormat;
}

// @public
export interface FlowLogFormatParameters {
    type?: "JSON";
    version?: number;
}

// @public
export interface FlowLogFormatParametersOutput {
    type?: "JSON";
    version?: number;
}

// @public
export interface FlowLogInformation {
    flowAnalyticsConfiguration?: TrafficAnalyticsProperties;
    properties: FlowLogProperties;
    targetResourceId: string;
}

// @public
export interface FlowLogInformationOutput {
    flowAnalyticsConfiguration?: TrafficAnalyticsPropertiesOutput;
    properties: FlowLogPropertiesOutput;
    targetResourceId: string;
}

// @public
export interface FlowLogListResultOutput {
    readonly nextLink?: string;
    value?: Array<FlowLogOutput>;
}

// @public
export interface FlowLogOutput extends ResourceOutput {
    readonly etag?: string;
    properties?: FlowLogPropertiesFormatOutput;
}

// @public
export interface FlowLogProperties {
    enabled: boolean;
    format?: FlowLogFormatParameters;
    retentionPolicy?: RetentionPolicyParameters;
    storageId: string;
}

// @public
export interface FlowLogPropertiesFormat {
    enabled?: boolean;
    flowAnalyticsConfiguration?: TrafficAnalyticsProperties;
    format?: FlowLogFormatParameters;
    retentionPolicy?: RetentionPolicyParameters;
    storageId: string;
    targetResourceId: string;
}

// @public
export interface FlowLogPropertiesFormatOutput {
    enabled?: boolean;
    flowAnalyticsConfiguration?: TrafficAnalyticsPropertiesOutput;
    format?: FlowLogFormatParametersOutput;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    retentionPolicy?: RetentionPolicyParametersOutput;
    storageId: string;
    readonly targetResourceGuid?: string;
    targetResourceId: string;
}

// @public
export interface FlowLogPropertiesOutput {
    enabled: boolean;
    format?: FlowLogFormatParametersOutput;
    retentionPolicy?: RetentionPolicyParametersOutput;
    storageId: string;
}

// @public (undocumented)
export interface FlowLogsCreateOrUpdate {
    delete(options: FlowLogsDeleteParameters): StreamableMethod<FlowLogsDelete202Response | FlowLogsDelete204Response | FlowLogsDeleteDefaultResponse>;
    get(options: FlowLogsGetParameters): StreamableMethod<FlowLogsGet200Response | FlowLogsGetDefaultResponse>;
    patch(options: FlowLogsUpdateTagsParameters): StreamableMethod<FlowLogsUpdateTags200Response | FlowLogsUpdateTagsDefaultResponse>;
    put(options: FlowLogsCreateOrUpdateParameters): StreamableMethod<FlowLogsCreateOrUpdate200Response | FlowLogsCreateOrUpdate201Response | FlowLogsCreateOrUpdateDefaultResponse>;
}

// @public
export interface FlowLogsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: FlowLogOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface FlowLogsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: FlowLogOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface FlowLogsCreateOrUpdateBodyParam {
    body: FlowLog;
}

// @public
export interface FlowLogsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface FlowLogsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type FlowLogsCreateOrUpdateParameters = FlowLogsCreateOrUpdateQueryParam & FlowLogsCreateOrUpdateMediaTypesParam & FlowLogsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface FlowLogsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: FlowLogsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface FlowLogsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface FlowLogsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface FlowLogsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface FlowLogsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type FlowLogsDeleteParameters = FlowLogsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface FlowLogsDeleteQueryParam {
    // (undocumented)
    queryParameters: FlowLogsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface FlowLogsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface FlowLogsGet200Response extends HttpResponse {
    // (undocumented)
    body: FlowLogOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface FlowLogsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type FlowLogsGetParameters = FlowLogsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface FlowLogsGetQueryParam {
    // (undocumented)
    queryParameters: FlowLogsGetQueryParamProperties;
}

// @public (undocumented)
export interface FlowLogsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface FlowLogsList {
    get(options: FlowLogsListParameters): StreamableMethod<FlowLogsList200Response | FlowLogsListDefaultResponse>;
}

// @public
export interface FlowLogsList200Response extends HttpResponse {
    // (undocumented)
    body: FlowLogListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface FlowLogsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type FlowLogsListParameters = FlowLogsListQueryParam & RequestParameters;

// @public (undocumented)
export interface FlowLogsListQueryParam {
    // (undocumented)
    queryParameters: FlowLogsListQueryParamProperties;
}

// @public (undocumented)
export interface FlowLogsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface FlowLogStatusParameters {
    targetResourceId: string;
}

// @public
export interface FlowLogsUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: FlowLogOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface FlowLogsUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface FlowLogsUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface FlowLogsUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type FlowLogsUpdateTagsParameters = FlowLogsUpdateTagsQueryParam & FlowLogsUpdateTagsMediaTypesParam & FlowLogsUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface FlowLogsUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: FlowLogsUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface FlowLogsUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface FrontendIPConfiguration extends SubResource {
    name?: string;
    properties?: FrontendIPConfigurationPropertiesFormat;
    zones?: Array<string>;
}

// @public
export interface FrontendIPConfigurationOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: FrontendIPConfigurationPropertiesFormatOutput;
    readonly type?: string;
    zones?: Array<string>;
}

// @public
export interface FrontendIPConfigurationPropertiesFormat {
    gatewayLoadBalancer?: SubResource;
    privateIPAddress?: string;
    privateIPAddressVersion?: "IPv4" | "IPv6";
    privateIPAllocationMethod?: "Static" | "Dynamic";
    publicIPAddress?: PublicIPAddress;
    publicIPPrefix?: SubResource;
    subnet?: Subnet;
}

// @public
export interface FrontendIPConfigurationPropertiesFormatOutput {
    gatewayLoadBalancer?: SubResourceOutput;
    readonly inboundNatPools?: Array<SubResourceOutput>;
    readonly inboundNatRules?: Array<SubResourceOutput>;
    readonly loadBalancingRules?: Array<SubResourceOutput>;
    readonly outboundRules?: Array<SubResourceOutput>;
    privateIPAddress?: string;
    privateIPAddressVersion?: "IPv4" | "IPv6";
    privateIPAllocationMethod?: "Static" | "Dynamic";
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    publicIPAddress?: PublicIPAddressOutput;
    publicIPPrefix?: SubResourceOutput;
    subnet?: SubnetOutput;
}

// @public
export interface GatewayCustomBgpIpAddressIpConfiguration {
    customBgpIpAddress: string;
    ipConfigurationId: string;
}

// @public
export interface GatewayCustomBgpIpAddressIpConfigurationOutput {
    customBgpIpAddress: string;
    ipConfigurationId: string;
}

// @public
export interface GatewayLoadBalancerTunnelInterface {
    identifier?: number;
    port?: number;
    protocol?: "None" | "Native" | "VXLAN";
    type?: "None" | "Internal" | "External";
}

// @public
export interface GatewayLoadBalancerTunnelInterfaceOutput {
    identifier?: number;
    port?: number;
    protocol?: "None" | "Native" | "VXLAN";
    type?: "None" | "Internal" | "External";
}

// @public
export interface GatewayRouteListResultOutput {
    value?: Array<GatewayRouteOutput>;
}

// @public
export interface GatewayRouteOutput {
    readonly asPath?: string;
    readonly localAddress?: string;
    readonly network?: string;
    readonly nextHop?: string;
    readonly origin?: string;
    readonly sourcePeer?: string;
    readonly weight?: number;
}

// @public
export interface GenerateExpressRoutePortsLOARequest {
    customerName: string;
}

// @public
export interface GenerateExpressRoutePortsLOAResultOutput {
    encodedContent?: string;
}

// @public (undocumented)
export interface Generatevirtualwanvpnserverconfigurationvpnprofile {
    post(options: GeneratevirtualwanvpnserverconfigurationvpnprofileParameters): StreamableMethod<Generatevirtualwanvpnserverconfigurationvpnprofile200Response | Generatevirtualwanvpnserverconfigurationvpnprofile202Response | GeneratevirtualwanvpnserverconfigurationvpnprofileDefaultResponse>;
}

// @public
export interface Generatevirtualwanvpnserverconfigurationvpnprofile200Response extends HttpResponse {
    // (undocumented)
    body: VpnProfileResponseOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface Generatevirtualwanvpnserverconfigurationvpnprofile202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface GeneratevirtualwanvpnserverconfigurationvpnprofileBodyParam {
    body: VirtualWanVpnProfileParameters;
}

// @public
export interface GeneratevirtualwanvpnserverconfigurationvpnprofileDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface GeneratevirtualwanvpnserverconfigurationvpnprofileMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type GeneratevirtualwanvpnserverconfigurationvpnprofileParameters = GeneratevirtualwanvpnserverconfigurationvpnprofileQueryParam & GeneratevirtualwanvpnserverconfigurationvpnprofileMediaTypesParam & GeneratevirtualwanvpnserverconfigurationvpnprofileBodyParam & RequestParameters;

// @public (undocumented)
export interface GeneratevirtualwanvpnserverconfigurationvpnprofileQueryParam {
    // (undocumented)
    queryParameters: GeneratevirtualwanvpnserverconfigurationvpnprofileQueryParamProperties;
}

// @public (undocumented)
export interface GeneratevirtualwanvpnserverconfigurationvpnprofileQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface GetActiveSessions {
    post(options: GetActiveSessionsParameters): StreamableMethod<GetActiveSessions200Response | GetActiveSessions202Response | GetActiveSessionsDefaultResponse>;
}

// @public
export interface GetActiveSessions200Response extends HttpResponse {
    // (undocumented)
    body: BastionActiveSessionListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface GetActiveSessions202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface GetActiveSessionsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type GetActiveSessionsParameters = GetActiveSessionsQueryParam & RequestParameters;

// @public (undocumented)
export interface GetActiveSessionsQueryParam {
    // (undocumented)
    queryParameters: GetActiveSessionsQueryParamProperties;
}

// @public (undocumented)
export interface GetActiveSessionsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export type GetArrayType<T> = T extends Array<infer TData> ? TData : never;

// @public (undocumented)
export interface GetBastionShareableLink {
    post(options: GetBastionShareableLinkParameters): StreamableMethod<GetBastionShareableLink200Response | GetBastionShareableLinkDefaultResponse>;
}

// @public
export interface GetBastionShareableLink200Response extends HttpResponse {
    // (undocumented)
    body: BastionShareableLinkListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface GetBastionShareableLinkBodyParam {
    body: BastionShareableLinkListRequest;
}

// @public
export interface GetBastionShareableLinkDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface GetBastionShareableLinkMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type GetBastionShareableLinkParameters = GetBastionShareableLinkQueryParam & GetBastionShareableLinkMediaTypesParam & GetBastionShareableLinkBodyParam & RequestParameters;

// @public (undocumented)
export interface GetBastionShareableLinkQueryParam {
    // (undocumented)
    queryParameters: GetBastionShareableLinkQueryParamProperties;
}

// @public (undocumented)
export interface GetBastionShareableLinkQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface GetInboundRoutesParameters {
    connectionType?: string;
    resourceUri?: string;
}

// @public
export function getLongRunningPoller<TResult extends HttpResponse>(client: Client, initialResponse: TResult, options?: CreateHttpPollerOptions<TResult, OperationState<TResult>>): Promise<SimplePollerLike<OperationState<TResult>, TResult>>;

// @public
export interface GetOutboundRoutesParameters {
    connectionType?: string;
    resourceUri?: string;
}

// @public
export type GetPage<TPage> = (pageLink: string) => Promise<{
    page: TPage;
    nextPageLink?: string;
}>;

// @public
export interface GetVpnSitesConfigurationRequest {
    outputBlobSasUrl: string;
    vpnSites?: Array<string>;
}

// @public
export interface HopLinkOutput {
    readonly context?: Record<string, string>;
    readonly issues?: Array<ConnectivityIssueOutput>;
    readonly linkType?: string;
    readonly nextHopId?: string;
    properties?: HopLinkPropertiesOutput;
    readonly resourceId?: string;
}

// @public
export interface HopLinkPropertiesOutput {
    readonly roundTripTimeAvg?: number;
    readonly roundTripTimeMax?: number;
    readonly roundTripTimeMin?: number;
}

// @public
export interface HttpConfiguration {
    headers?: Array<HttpHeader>;
    method?: "Get";
    validStatusCodes?: Array<number>;
}

// @public
export interface HttpHeader {
    name?: string;
    value?: string;
}

// @public
export interface HttpHeaderOutput {
    name?: string;
    value?: string;
}

// @public
export interface Hub {
    resourceId?: string;
    resourceType?: string;
}

// @public
export interface HubIPAddresses {
    privateIPAddress?: string;
    publicIPs?: HubPublicIPAddresses;
}

// @public
export interface HubIPAddressesOutput {
    privateIPAddress?: string;
    publicIPs?: HubPublicIPAddressesOutput;
}

// @public
export interface HubIpConfiguration extends SubResource {
    name?: string;
    properties?: HubIPConfigurationPropertiesFormat;
}

// @public
export interface HubIpConfigurationOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: HubIPConfigurationPropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface HubIPConfigurationPropertiesFormat {
    privateIPAddress?: string;
    privateIPAllocationMethod?: "Static" | "Dynamic";
    publicIPAddress?: PublicIPAddress;
    subnet?: Subnet;
}

// @public
export interface HubIPConfigurationPropertiesFormatOutput {
    privateIPAddress?: string;
    privateIPAllocationMethod?: "Static" | "Dynamic";
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    publicIPAddress?: PublicIPAddressOutput;
    subnet?: SubnetOutput;
}

// @public
export interface HubOutput {
    resourceId?: string;
    resourceType?: string;
}

// @public
export interface HubPublicIPAddresses {
    addresses?: Array<AzureFirewallPublicIPAddress>;
    count?: number;
}

// @public
export interface HubPublicIPAddressesOutput {
    addresses?: Array<AzureFirewallPublicIPAddressOutput>;
    count?: number;
}

// @public
export interface HubRoute {
    destinations: Array<string>;
    destinationType: string;
    name: string;
    nextHop: string;
    nextHopType: string;
}

// @public
export interface HubRouteOutput {
    destinations: Array<string>;
    destinationType: string;
    name: string;
    nextHop: string;
    nextHopType: string;
}

// @public
export interface HubRouteTable extends SubResource {
    name?: string;
    properties?: HubRouteTableProperties;
}

// @public
export interface HubRouteTableOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: HubRouteTablePropertiesOutput;
    readonly type?: string;
}

// @public
export interface HubRouteTableProperties {
    labels?: Array<string>;
    routes?: Array<HubRoute>;
}

// @public
export interface HubRouteTablePropertiesOutput {
    readonly associatedConnections?: Array<string>;
    labels?: Array<string>;
    readonly propagatingConnections?: Array<string>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    routes?: Array<HubRouteOutput>;
}

// @public (undocumented)
export interface HubRouteTablesCreateOrUpdate {
    delete(options: HubRouteTablesDeleteParameters): StreamableMethod<HubRouteTablesDelete200Response | HubRouteTablesDelete202Response | HubRouteTablesDelete204Response | HubRouteTablesDeleteDefaultResponse>;
    get(options: HubRouteTablesGetParameters): StreamableMethod<HubRouteTablesGet200Response | HubRouteTablesGetDefaultResponse>;
    put(options: HubRouteTablesCreateOrUpdateParameters): StreamableMethod<HubRouteTablesCreateOrUpdate200Response | HubRouteTablesCreateOrUpdate201Response | HubRouteTablesCreateOrUpdateDefaultResponse>;
}

// @public
export interface HubRouteTablesCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: HubRouteTableOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface HubRouteTablesCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: HubRouteTableOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface HubRouteTablesCreateOrUpdateBodyParam {
    body: HubRouteTable;
}

// @public
export interface HubRouteTablesCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface HubRouteTablesCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type HubRouteTablesCreateOrUpdateParameters = HubRouteTablesCreateOrUpdateQueryParam & HubRouteTablesCreateOrUpdateMediaTypesParam & HubRouteTablesCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface HubRouteTablesCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: HubRouteTablesCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface HubRouteTablesCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface HubRouteTablesDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface HubRouteTablesDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface HubRouteTablesDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface HubRouteTablesDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type HubRouteTablesDeleteParameters = HubRouteTablesDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface HubRouteTablesDeleteQueryParam {
    // (undocumented)
    queryParameters: HubRouteTablesDeleteQueryParamProperties;
}

// @public (undocumented)
export interface HubRouteTablesDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface HubRouteTablesGet200Response extends HttpResponse {
    // (undocumented)
    body: HubRouteTableOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface HubRouteTablesGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type HubRouteTablesGetParameters = HubRouteTablesGetQueryParam & RequestParameters;

// @public (undocumented)
export interface HubRouteTablesGetQueryParam {
    // (undocumented)
    queryParameters: HubRouteTablesGetQueryParamProperties;
}

// @public (undocumented)
export interface HubRouteTablesGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface HubRouteTablesList {
    get(options: HubRouteTablesListParameters): StreamableMethod<HubRouteTablesList200Response | HubRouteTablesListDefaultResponse>;
}

// @public
export interface HubRouteTablesList200Response extends HttpResponse {
    // (undocumented)
    body: ListHubRouteTablesResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface HubRouteTablesListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type HubRouteTablesListParameters = HubRouteTablesListQueryParam & RequestParameters;

// @public (undocumented)
export interface HubRouteTablesListQueryParam {
    // (undocumented)
    queryParameters: HubRouteTablesListQueryParamProperties;
}

// @public (undocumented)
export interface HubRouteTablesListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface HubVirtualNetworkConnection extends SubResource {
    name?: string;
    properties?: HubVirtualNetworkConnectionProperties;
}

// @public
export interface HubVirtualNetworkConnectionOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: HubVirtualNetworkConnectionPropertiesOutput;
}

// @public
export interface HubVirtualNetworkConnectionProperties {
    allowHubToRemoteVnetTransit?: boolean;
    allowRemoteVnetToUseHubVnetGateways?: boolean;
    enableInternetSecurity?: boolean;
    remoteVirtualNetwork?: SubResource;
    routingConfiguration?: RoutingConfiguration;
}

// @public
export interface HubVirtualNetworkConnectionPropertiesOutput {
    allowHubToRemoteVnetTransit?: boolean;
    allowRemoteVnetToUseHubVnetGateways?: boolean;
    enableInternetSecurity?: boolean;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    remoteVirtualNetwork?: SubResourceOutput;
    routingConfiguration?: RoutingConfigurationOutput;
}

// @public (undocumented)
export interface HubVirtualNetworkConnectionsCreateOrUpdate {
    delete(options: HubVirtualNetworkConnectionsDeleteParameters): StreamableMethod<HubVirtualNetworkConnectionsDelete200Response | HubVirtualNetworkConnectionsDelete202Response | HubVirtualNetworkConnectionsDelete204Response | HubVirtualNetworkConnectionsDeleteDefaultResponse>;
    get(options: HubVirtualNetworkConnectionsGetParameters): StreamableMethod<HubVirtualNetworkConnectionsGet200Response | HubVirtualNetworkConnectionsGetDefaultResponse>;
    put(options: HubVirtualNetworkConnectionsCreateOrUpdateParameters): StreamableMethod<HubVirtualNetworkConnectionsCreateOrUpdate200Response | HubVirtualNetworkConnectionsCreateOrUpdate201Response | HubVirtualNetworkConnectionsCreateOrUpdateDefaultResponse>;
}

// @public
export interface HubVirtualNetworkConnectionsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: HubVirtualNetworkConnectionOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface HubVirtualNetworkConnectionsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: HubVirtualNetworkConnectionOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface HubVirtualNetworkConnectionsCreateOrUpdateBodyParam {
    body: HubVirtualNetworkConnection;
}

// @public
export interface HubVirtualNetworkConnectionsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface HubVirtualNetworkConnectionsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type HubVirtualNetworkConnectionsCreateOrUpdateParameters = HubVirtualNetworkConnectionsCreateOrUpdateQueryParam & HubVirtualNetworkConnectionsCreateOrUpdateMediaTypesParam & HubVirtualNetworkConnectionsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface HubVirtualNetworkConnectionsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: HubVirtualNetworkConnectionsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface HubVirtualNetworkConnectionsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface HubVirtualNetworkConnectionsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface HubVirtualNetworkConnectionsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface HubVirtualNetworkConnectionsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface HubVirtualNetworkConnectionsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type HubVirtualNetworkConnectionsDeleteParameters = HubVirtualNetworkConnectionsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface HubVirtualNetworkConnectionsDeleteQueryParam {
    // (undocumented)
    queryParameters: HubVirtualNetworkConnectionsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface HubVirtualNetworkConnectionsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface HubVirtualNetworkConnectionsGet200Response extends HttpResponse {
    // (undocumented)
    body: HubVirtualNetworkConnectionOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface HubVirtualNetworkConnectionsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type HubVirtualNetworkConnectionsGetParameters = HubVirtualNetworkConnectionsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface HubVirtualNetworkConnectionsGetQueryParam {
    // (undocumented)
    queryParameters: HubVirtualNetworkConnectionsGetQueryParamProperties;
}

// @public (undocumented)
export interface HubVirtualNetworkConnectionsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface HubVirtualNetworkConnectionsList {
    get(options: HubVirtualNetworkConnectionsListParameters): StreamableMethod<HubVirtualNetworkConnectionsList200Response | HubVirtualNetworkConnectionsListDefaultResponse>;
}

// @public
export interface HubVirtualNetworkConnectionsList200Response extends HttpResponse {
    // (undocumented)
    body: ListHubVirtualNetworkConnectionsResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface HubVirtualNetworkConnectionsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type HubVirtualNetworkConnectionsListParameters = HubVirtualNetworkConnectionsListQueryParam & RequestParameters;

// @public (undocumented)
export interface HubVirtualNetworkConnectionsListQueryParam {
    // (undocumented)
    queryParameters: HubVirtualNetworkConnectionsListQueryParamProperties;
}

// @public (undocumented)
export interface HubVirtualNetworkConnectionsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface IdpsQueryObject {
    filters?: Array<FilterItems>;
    orderBy?: OrderBy;
    resultsPerPage?: number;
    search?: string;
    skip?: number;
}

// @public
export interface InboundNatPool extends SubResource {
    name?: string;
    properties?: InboundNatPoolPropertiesFormat;
}

// @public
export interface InboundNatPoolOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: InboundNatPoolPropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface InboundNatPoolPropertiesFormat {
    backendPort: number;
    enableFloatingIP?: boolean;
    enableTcpReset?: boolean;
    frontendIPConfiguration?: SubResource;
    frontendPortRangeEnd: number;
    frontendPortRangeStart: number;
    idleTimeoutInMinutes?: number;
    protocol: "Udp" | "Tcp" | "All";
}

// @public
export interface InboundNatPoolPropertiesFormatOutput {
    backendPort: number;
    enableFloatingIP?: boolean;
    enableTcpReset?: boolean;
    frontendIPConfiguration?: SubResourceOutput;
    frontendPortRangeEnd: number;
    frontendPortRangeStart: number;
    idleTimeoutInMinutes?: number;
    protocol: "Udp" | "Tcp" | "All";
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public
export interface InboundNatRule extends SubResource {
    name?: string;
    properties?: InboundNatRulePropertiesFormat;
}

// @public
export interface InboundNatRuleListResultOutput {
    readonly nextLink?: string;
    value?: Array<InboundNatRuleOutput>;
}

// @public
export interface InboundNatRuleOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: InboundNatRulePropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface InboundNatRulePortMappingOutput {
    readonly backendPort?: number;
    readonly frontendPort?: number;
    readonly inboundNatRuleName?: string;
    readonly protocol?: "Udp" | "Tcp" | "All";
}

// @public
export interface InboundNatRulePropertiesFormat {
    backendAddressPool?: SubResource;
    backendPort?: number;
    enableFloatingIP?: boolean;
    enableTcpReset?: boolean;
    frontendIPConfiguration?: SubResource;
    frontendPort?: number;
    frontendPortRangeEnd?: number;
    frontendPortRangeStart?: number;
    idleTimeoutInMinutes?: number;
    protocol?: "Udp" | "Tcp" | "All";
}

// @public
export interface InboundNatRulePropertiesFormatOutput {
    backendAddressPool?: SubResourceOutput;
    readonly backendIPConfiguration?: NetworkInterfaceIPConfigurationOutput;
    backendPort?: number;
    enableFloatingIP?: boolean;
    enableTcpReset?: boolean;
    frontendIPConfiguration?: SubResourceOutput;
    frontendPort?: number;
    frontendPortRangeEnd?: number;
    frontendPortRangeStart?: number;
    idleTimeoutInMinutes?: number;
    protocol?: "Udp" | "Tcp" | "All";
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public
export interface InboundNatRulesCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: InboundNatRuleOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface InboundNatRulesCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: InboundNatRuleOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface InboundNatRulesCreateOrUpdateBodyParam {
    body: InboundNatRule;
}

// @public
export interface InboundNatRulesCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface InboundNatRulesCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type InboundNatRulesCreateOrUpdateParameters = InboundNatRulesCreateOrUpdateQueryParam & InboundNatRulesCreateOrUpdateMediaTypesParam & InboundNatRulesCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface InboundNatRulesCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: InboundNatRulesCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface InboundNatRulesCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface InboundNatRulesDelete {
    delete(options: InboundNatRulesDeleteParameters): StreamableMethod<InboundNatRulesDelete200Response | InboundNatRulesDelete202Response | InboundNatRulesDelete204Response | InboundNatRulesDeleteDefaultResponse>;
    get(options: InboundNatRulesGetParameters): StreamableMethod<InboundNatRulesGet200Response | InboundNatRulesGetDefaultResponse>;
    put(options: InboundNatRulesCreateOrUpdateParameters): StreamableMethod<InboundNatRulesCreateOrUpdate200Response | InboundNatRulesCreateOrUpdate201Response | InboundNatRulesCreateOrUpdateDefaultResponse>;
}

// @public
export interface InboundNatRulesDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface InboundNatRulesDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface InboundNatRulesDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface InboundNatRulesDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type InboundNatRulesDeleteParameters = InboundNatRulesDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface InboundNatRulesDeleteQueryParam {
    // (undocumented)
    queryParameters: InboundNatRulesDeleteQueryParamProperties;
}

// @public (undocumented)
export interface InboundNatRulesDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface InboundNatRulesGet200Response extends HttpResponse {
    // (undocumented)
    body: InboundNatRuleOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface InboundNatRulesGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type InboundNatRulesGetParameters = InboundNatRulesGetQueryParam & RequestParameters;

// @public (undocumented)
export interface InboundNatRulesGetQueryParam {
    // (undocumented)
    queryParameters: InboundNatRulesGetQueryParamProperties;
}

// @public (undocumented)
export interface InboundNatRulesGetQueryParamProperties {
    "api-version": "2022-05-01";
    $expand?: string;
}

// @public (undocumented)
export interface InboundNatRulesList {
    get(options: InboundNatRulesListParameters): StreamableMethod<InboundNatRulesList200Response | InboundNatRulesListDefaultResponse>;
}

// @public
export interface InboundNatRulesList200Response extends HttpResponse {
    // (undocumented)
    body: InboundNatRuleListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface InboundNatRulesListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type InboundNatRulesListParameters = InboundNatRulesListQueryParam & RequestParameters;

// @public (undocumented)
export interface InboundNatRulesListQueryParam {
    // (undocumented)
    queryParameters: InboundNatRulesListQueryParamProperties;
}

// @public (undocumented)
export interface InboundNatRulesListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface InboundSecurityRule extends SubResource {
    name?: string;
    properties?: InboundSecurityRuleProperties;
}

// @public (undocumented)
export interface InboundSecurityRuleCreateOrUpdate {
    put(options: InboundSecurityRuleCreateOrUpdateParameters): StreamableMethod<InboundSecurityRuleCreateOrUpdate200Response | InboundSecurityRuleCreateOrUpdate201Response | InboundSecurityRuleCreateOrUpdateDefaultResponse>;
}

// @public
export interface InboundSecurityRuleCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: InboundSecurityRuleOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface InboundSecurityRuleCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: InboundSecurityRuleOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface InboundSecurityRuleCreateOrUpdateBodyParam {
    body: InboundSecurityRule;
}

// @public
export interface InboundSecurityRuleCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface InboundSecurityRuleCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type InboundSecurityRuleCreateOrUpdateParameters = InboundSecurityRuleCreateOrUpdateQueryParam & InboundSecurityRuleCreateOrUpdateMediaTypesParam & InboundSecurityRuleCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface InboundSecurityRuleCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: InboundSecurityRuleCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface InboundSecurityRuleCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface InboundSecurityRuleOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: InboundSecurityRulePropertiesOutput;
    readonly type?: string;
}

// @public
export interface InboundSecurityRuleProperties {
    rules?: Array<InboundSecurityRules>;
}

// @public
export interface InboundSecurityRulePropertiesOutput {
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    rules?: Array<InboundSecurityRulesOutput>;
}

// @public
export interface InboundSecurityRules {
    destinationPortRange?: number;
    protocol?: "TCP" | "UDP";
    sourceAddressPrefix?: string;
}

// @public
export interface InboundSecurityRulesOutput {
    destinationPortRange?: number;
    protocol?: "TCP" | "UDP";
    sourceAddressPrefix?: string;
}

// @public
export interface IPAddressAvailabilityResultOutput {
    available?: boolean;
    availableIPAddresses?: Array<string>;
    isPlatformReserved?: boolean;
}

// @public
export interface IpAllocation extends Resource {
    properties?: IpAllocationPropertiesFormat;
}

// @public
export interface IpAllocationListResultOutput {
    nextLink?: string;
    value?: Array<IpAllocationOutput>;
}

// @public
export interface IpAllocationOutput extends ResourceOutput {
    readonly etag?: string;
    properties?: IpAllocationPropertiesFormatOutput;
}

// @public
export interface IpAllocationPropertiesFormat {
    allocationTags?: Record<string, string>;
    ipamAllocationId?: string;
    prefix?: string;
    prefixLength?: number;
    prefixType?: "IPv4" | "IPv6";
    type?: "Undefined" | "Hypernet";
}

// @public
export interface IpAllocationPropertiesFormatOutput {
    allocationTags?: Record<string, string>;
    ipamAllocationId?: string;
    prefix?: string;
    prefixLength?: number;
    prefixType?: "IPv4" | "IPv6";
    readonly subnet?: SubResourceOutput;
    type?: "Undefined" | "Hypernet";
    readonly virtualNetwork?: SubResourceOutput;
}

// @public
export interface IpAllocationsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: IpAllocationOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface IpAllocationsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: IpAllocationOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface IpAllocationsCreateOrUpdateBodyParam {
    body: IpAllocation;
}

// @public
export interface IpAllocationsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface IpAllocationsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type IpAllocationsCreateOrUpdateParameters = IpAllocationsCreateOrUpdateQueryParam & IpAllocationsCreateOrUpdateMediaTypesParam & IpAllocationsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface IpAllocationsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: IpAllocationsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface IpAllocationsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface IpAllocationsDelete {
    delete(options: IpAllocationsDeleteParameters): StreamableMethod<IpAllocationsDelete200Response | IpAllocationsDelete202Response | IpAllocationsDelete204Response | IpAllocationsDeleteDefaultResponse>;
    get(options: IpAllocationsGetParameters): StreamableMethod<IpAllocationsGet200Response | IpAllocationsGetDefaultResponse>;
    patch(options: IpAllocationsUpdateTagsParameters): StreamableMethod<IpAllocationsUpdateTags200Response | IpAllocationsUpdateTagsDefaultResponse>;
    put(options: IpAllocationsCreateOrUpdateParameters): StreamableMethod<IpAllocationsCreateOrUpdate200Response | IpAllocationsCreateOrUpdate201Response | IpAllocationsCreateOrUpdateDefaultResponse>;
}

// @public
export interface IpAllocationsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface IpAllocationsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface IpAllocationsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface IpAllocationsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type IpAllocationsDeleteParameters = IpAllocationsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface IpAllocationsDeleteQueryParam {
    // (undocumented)
    queryParameters: IpAllocationsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface IpAllocationsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface IpAllocationsGet200Response extends HttpResponse {
    // (undocumented)
    body: IpAllocationOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface IpAllocationsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type IpAllocationsGetParameters = IpAllocationsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface IpAllocationsGetQueryParam {
    // (undocumented)
    queryParameters: IpAllocationsGetQueryParamProperties;
}

// @public (undocumented)
export interface IpAllocationsGetQueryParamProperties {
    "api-version": "2022-05-01";
    $expand?: string;
}

// @public (undocumented)
export interface IpAllocationsList {
    get(options: IpAllocationsListParameters): StreamableMethod<IpAllocationsList200Response | IpAllocationsListDefaultResponse>;
}

// @public
export interface IpAllocationsList200Response extends HttpResponse {
    // (undocumented)
    body: IpAllocationListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface IpAllocationsListByResourceGroup {
    get(options: IpAllocationsListByResourceGroupParameters): StreamableMethod<IpAllocationsListByResourceGroup200Response | IpAllocationsListByResourceGroupDefaultResponse>;
}

// @public
export interface IpAllocationsListByResourceGroup200Response extends HttpResponse {
    // (undocumented)
    body: IpAllocationListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface IpAllocationsListByResourceGroupDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type IpAllocationsListByResourceGroupParameters = IpAllocationsListByResourceGroupQueryParam & RequestParameters;

// @public (undocumented)
export interface IpAllocationsListByResourceGroupQueryParam {
    // (undocumented)
    queryParameters: IpAllocationsListByResourceGroupQueryParamProperties;
}

// @public (undocumented)
export interface IpAllocationsListByResourceGroupQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface IpAllocationsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type IpAllocationsListParameters = IpAllocationsListQueryParam & RequestParameters;

// @public (undocumented)
export interface IpAllocationsListQueryParam {
    // (undocumented)
    queryParameters: IpAllocationsListQueryParamProperties;
}

// @public (undocumented)
export interface IpAllocationsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface IpAllocationsUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: IpAllocationOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface IpAllocationsUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface IpAllocationsUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface IpAllocationsUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type IpAllocationsUpdateTagsParameters = IpAllocationsUpdateTagsQueryParam & IpAllocationsUpdateTagsMediaTypesParam & IpAllocationsUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface IpAllocationsUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: IpAllocationsUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface IpAllocationsUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface IPConfiguration extends SubResource {
    name?: string;
    properties?: IPConfigurationPropertiesFormat;
}

// @public
export interface IPConfigurationBgpPeeringAddress {
    customBgpIpAddresses?: Array<string>;
    ipconfigurationId?: string;
}

// @public
export interface IPConfigurationBgpPeeringAddressOutput {
    customBgpIpAddresses?: Array<string>;
    readonly defaultBgpIpAddresses?: Array<string>;
    ipconfigurationId?: string;
    readonly tunnelIpAddresses?: Array<string>;
}

// @public
export interface IPConfigurationOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: IPConfigurationPropertiesFormatOutput;
}

// @public
export interface IPConfigurationProfile extends SubResource {
    name?: string;
    properties?: IPConfigurationProfilePropertiesFormat;
}

// @public
export interface IPConfigurationProfileOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: IPConfigurationProfilePropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface IPConfigurationProfilePropertiesFormat {
    subnet?: Subnet;
}

// @public
export interface IPConfigurationProfilePropertiesFormatOutput {
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    subnet?: SubnetOutput;
}

// @public
export interface IPConfigurationPropertiesFormat {
    privateIPAddress?: string;
    privateIPAllocationMethod?: "Static" | "Dynamic";
    publicIPAddress?: PublicIPAddress;
    subnet?: Subnet;
}

// @public
export interface IPConfigurationPropertiesFormatOutput {
    privateIPAddress?: string;
    privateIPAllocationMethod?: "Static" | "Dynamic";
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    publicIPAddress?: PublicIPAddressOutput;
    subnet?: SubnetOutput;
}

// @public
export interface IpGroup extends Resource {
    properties?: IpGroupPropertiesFormat;
}

// @public
export interface IpGroupListResultOutput {
    nextLink?: string;
    value?: Array<IpGroupOutput>;
}

// @public
export interface IpGroupOutput extends ResourceOutput {
    readonly etag?: string;
    properties?: IpGroupPropertiesFormatOutput;
}

// @public
export interface IpGroupPropertiesFormat {
    ipAddresses?: Array<string>;
}

// @public
export interface IpGroupPropertiesFormatOutput {
    readonly firewallPolicies?: Array<SubResourceOutput>;
    readonly firewalls?: Array<SubResourceOutput>;
    ipAddresses?: Array<string>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public
export interface IpGroupsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: IpGroupOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface IpGroupsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: IpGroupOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface IpGroupsCreateOrUpdateBodyParam {
    body: IpGroup;
}

// @public
export interface IpGroupsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface IpGroupsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type IpGroupsCreateOrUpdateParameters = IpGroupsCreateOrUpdateQueryParam & IpGroupsCreateOrUpdateMediaTypesParam & IpGroupsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface IpGroupsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: IpGroupsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface IpGroupsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface IpGroupsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface IpGroupsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface IpGroupsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface IpGroupsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type IpGroupsDeleteParameters = IpGroupsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface IpGroupsDeleteQueryParam {
    // (undocumented)
    queryParameters: IpGroupsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface IpGroupsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface IpGroupsGet {
    delete(options: IpGroupsDeleteParameters): StreamableMethod<IpGroupsDelete200Response | IpGroupsDelete202Response | IpGroupsDelete204Response | IpGroupsDeleteDefaultResponse>;
    get(options: IpGroupsGetParameters): StreamableMethod<IpGroupsGet200Response | IpGroupsGetDefaultResponse>;
    patch(options: IpGroupsUpdateGroupsParameters): StreamableMethod<IpGroupsUpdateGroups200Response | IpGroupsUpdateGroupsDefaultResponse>;
    put(options: IpGroupsCreateOrUpdateParameters): StreamableMethod<IpGroupsCreateOrUpdate200Response | IpGroupsCreateOrUpdate201Response | IpGroupsCreateOrUpdateDefaultResponse>;
}

// @public
export interface IpGroupsGet200Response extends HttpResponse {
    // (undocumented)
    body: IpGroupOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface IpGroupsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type IpGroupsGetParameters = IpGroupsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface IpGroupsGetQueryParam {
    // (undocumented)
    queryParameters: IpGroupsGetQueryParamProperties;
}

// @public (undocumented)
export interface IpGroupsGetQueryParamProperties {
    "api-version": "2022-05-01";
    $expand?: string;
}

// @public (undocumented)
export interface IpGroupsList {
    get(options: IpGroupsListParameters): StreamableMethod<IpGroupsList200Response | IpGroupsListDefaultResponse>;
}

// @public
export interface IpGroupsList200Response extends HttpResponse {
    // (undocumented)
    body: IpGroupListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface IpGroupsListByResourceGroup {
    get(options: IpGroupsListByResourceGroupParameters): StreamableMethod<IpGroupsListByResourceGroup200Response | IpGroupsListByResourceGroupDefaultResponse>;
}

// @public
export interface IpGroupsListByResourceGroup200Response extends HttpResponse {
    // (undocumented)
    body: IpGroupListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface IpGroupsListByResourceGroupDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type IpGroupsListByResourceGroupParameters = IpGroupsListByResourceGroupQueryParam & RequestParameters;

// @public (undocumented)
export interface IpGroupsListByResourceGroupQueryParam {
    // (undocumented)
    queryParameters: IpGroupsListByResourceGroupQueryParamProperties;
}

// @public (undocumented)
export interface IpGroupsListByResourceGroupQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface IpGroupsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type IpGroupsListParameters = IpGroupsListQueryParam & RequestParameters;

// @public (undocumented)
export interface IpGroupsListQueryParam {
    // (undocumented)
    queryParameters: IpGroupsListQueryParamProperties;
}

// @public (undocumented)
export interface IpGroupsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface IpGroupsUpdateGroups200Response extends HttpResponse {
    // (undocumented)
    body: IpGroupOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface IpGroupsUpdateGroupsBodyParam {
    body: TagsObject;
}

// @public
export interface IpGroupsUpdateGroupsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface IpGroupsUpdateGroupsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type IpGroupsUpdateGroupsParameters = IpGroupsUpdateGroupsQueryParam & IpGroupsUpdateGroupsMediaTypesParam & IpGroupsUpdateGroupsBodyParam & RequestParameters;

// @public (undocumented)
export interface IpGroupsUpdateGroupsQueryParam {
    // (undocumented)
    queryParameters: IpGroupsUpdateGroupsQueryParamProperties;
}

// @public (undocumented)
export interface IpGroupsUpdateGroupsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface IPPrefixesListOutput {
    ipPrefixes?: Array<string>;
}

// @public
export interface IpsecPolicy {
    dhGroup: "None" | "DHGroup1" | "DHGroup2" | "DHGroup14" | "DHGroup2048" | "ECP256" | "ECP384" | "DHGroup24";
    ikeEncryption: "DES" | "DES3" | "AES128" | "AES192" | "AES256" | "GCMAES256" | "GCMAES128";
    ikeIntegrity: "MD5" | "SHA1" | "SHA256" | "SHA384" | "GCMAES256" | "GCMAES128";
    ipsecEncryption: "None" | "DES" | "DES3" | "AES128" | "AES192" | "AES256" | "GCMAES128" | "GCMAES192" | "GCMAES256";
    ipsecIntegrity: "MD5" | "SHA1" | "SHA256" | "GCMAES128" | "GCMAES192" | "GCMAES256";
    pfsGroup: "None" | "PFS1" | "PFS2" | "PFS2048" | "ECP256" | "ECP384" | "PFS24" | "PFS14" | "PFSMM";
    saDataSizeKilobytes: number;
    saLifeTimeSeconds: number;
}

// @public
export interface IpsecPolicyOutput {
    dhGroup: "None" | "DHGroup1" | "DHGroup2" | "DHGroup14" | "DHGroup2048" | "ECP256" | "ECP384" | "DHGroup24";
    ikeEncryption: "DES" | "DES3" | "AES128" | "AES192" | "AES256" | "GCMAES256" | "GCMAES128";
    ikeIntegrity: "MD5" | "SHA1" | "SHA256" | "SHA384" | "GCMAES256" | "GCMAES128";
    ipsecEncryption: "None" | "DES" | "DES3" | "AES128" | "AES192" | "AES256" | "GCMAES128" | "GCMAES192" | "GCMAES256";
    ipsecIntegrity: "MD5" | "SHA1" | "SHA256" | "GCMAES128" | "GCMAES192" | "GCMAES256";
    pfsGroup: "None" | "PFS1" | "PFS2" | "PFS2048" | "ECP256" | "ECP384" | "PFS24" | "PFS14" | "PFSMM";
    saDataSizeKilobytes: number;
    saLifeTimeSeconds: number;
}

// @public
export interface IpTag {
    ipTagType?: string;
    tag?: string;
}

// @public
export interface IpTagOutput {
    ipTagType?: string;
    tag?: string;
}

// @public
export interface Ipv6CircuitConnectionConfig {
    addressPrefix?: string;
}

// @public
export interface Ipv6CircuitConnectionConfigOutput {
    addressPrefix?: string;
    readonly circuitConnectionStatus?: "Connected" | "Connecting" | "Disconnected";
}

// @public
export interface Ipv6ExpressRouteCircuitPeeringConfig {
    microsoftPeeringConfig?: ExpressRouteCircuitPeeringConfig;
    primaryPeerAddressPrefix?: string;
    routeFilter?: SubResource;
    secondaryPeerAddressPrefix?: string;
    state?: "Disabled" | "Enabled";
}

// @public
export interface Ipv6ExpressRouteCircuitPeeringConfigOutput {
    microsoftPeeringConfig?: ExpressRouteCircuitPeeringConfigOutput;
    primaryPeerAddressPrefix?: string;
    routeFilter?: SubResourceOutput;
    secondaryPeerAddressPrefix?: string;
    state?: "Disabled" | "Enabled";
}

// @public (undocumented)
export function isUnexpected(response: ApplicationGatewaysDelete200Response | ApplicationGatewaysDelete202Response | ApplicationGatewaysDelete204Response | ApplicationGatewaysDeleteDefaultResponse): response is ApplicationGatewaysDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ApplicationGatewaysGet200Response | ApplicationGatewaysGetDefaultResponse): response is ApplicationGatewaysGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ApplicationGatewaysCreateOrUpdate200Response | ApplicationGatewaysCreateOrUpdate201Response | ApplicationGatewaysCreateOrUpdateDefaultResponse): response is ApplicationGatewaysCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ApplicationGatewaysUpdateTags200Response | ApplicationGatewaysUpdateTagsDefaultResponse): response is ApplicationGatewaysUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ApplicationGatewaysList200Response | ApplicationGatewaysListDefaultResponse): response is ApplicationGatewaysListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ApplicationGatewaysListAll200Response | ApplicationGatewaysListAllDefaultResponse): response is ApplicationGatewaysListAllDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ApplicationGatewaysStart200Response | ApplicationGatewaysStart202Response | ApplicationGatewaysStartDefaultResponse): response is ApplicationGatewaysStartDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ApplicationGatewaysStop200Response | ApplicationGatewaysStop202Response | ApplicationGatewaysStopDefaultResponse): response is ApplicationGatewaysStopDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ApplicationGatewaysBackendHealth200Response | ApplicationGatewaysBackendHealth202Response | ApplicationGatewaysBackendHealthDefaultResponse): response is ApplicationGatewaysBackendHealthDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ApplicationGatewaysBackendHealthOnDemand200Response | ApplicationGatewaysBackendHealthOnDemand202Response | ApplicationGatewaysBackendHealthOnDemandDefaultResponse): response is ApplicationGatewaysBackendHealthOnDemandDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ApplicationGatewaysListAvailableServerVariables200Response | ApplicationGatewaysListAvailableServerVariablesDefaultResponse): response is ApplicationGatewaysListAvailableServerVariablesDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ApplicationGatewaysListAvailableRequestHeaders200Response | ApplicationGatewaysListAvailableRequestHeadersDefaultResponse): response is ApplicationGatewaysListAvailableRequestHeadersDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ApplicationGatewaysListAvailableResponseHeaders200Response | ApplicationGatewaysListAvailableResponseHeadersDefaultResponse): response is ApplicationGatewaysListAvailableResponseHeadersDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ApplicationGatewaysListAvailableWafRuleSets200Response | ApplicationGatewaysListAvailableWafRuleSetsDefaultResponse): response is ApplicationGatewaysListAvailableWafRuleSetsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ApplicationGatewaysListAvailableSslOptions200Response | ApplicationGatewaysListAvailableSslOptionsDefaultResponse): response is ApplicationGatewaysListAvailableSslOptionsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ApplicationGatewaysListAvailableSslPredefinedPolicies200Response | ApplicationGatewaysListAvailableSslPredefinedPoliciesDefaultResponse): response is ApplicationGatewaysListAvailableSslPredefinedPoliciesDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ApplicationGatewaysGetSslPredefinedPolicy200Response | ApplicationGatewaysGetSslPredefinedPolicyDefaultResponse): response is ApplicationGatewaysGetSslPredefinedPolicyDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ApplicationGatewayPrivateLinkResourcesList200Response | ApplicationGatewayPrivateLinkResourcesListDefaultResponse): response is ApplicationGatewayPrivateLinkResourcesListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ApplicationGatewayPrivateEndpointConnectionsDelete200Response | ApplicationGatewayPrivateEndpointConnectionsDelete202Response | ApplicationGatewayPrivateEndpointConnectionsDelete204Response | ApplicationGatewayPrivateEndpointConnectionsDeleteDefaultResponse): response is ApplicationGatewayPrivateEndpointConnectionsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ApplicationGatewayPrivateEndpointConnectionsUpdate200Response | ApplicationGatewayPrivateEndpointConnectionsUpdate202Response | ApplicationGatewayPrivateEndpointConnectionsUpdateDefaultResponse): response is ApplicationGatewayPrivateEndpointConnectionsUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ApplicationGatewayPrivateEndpointConnectionsGet200Response | ApplicationGatewayPrivateEndpointConnectionsGetDefaultResponse): response is ApplicationGatewayPrivateEndpointConnectionsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ApplicationGatewayPrivateEndpointConnectionsList200Response | ApplicationGatewayPrivateEndpointConnectionsListDefaultResponse): response is ApplicationGatewayPrivateEndpointConnectionsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ApplicationGatewayWafDynamicManifestsDefaultGet200Response | ApplicationGatewayWafDynamicManifestsDefaultGetDefaultResponse): response is ApplicationGatewayWafDynamicManifestsDefaultGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ApplicationGatewayWafDynamicManifestsGet200Response | ApplicationGatewayWafDynamicManifestsGetDefaultResponse): response is ApplicationGatewayWafDynamicManifestsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ApplicationSecurityGroupsDelete200Response | ApplicationSecurityGroupsDelete202Response | ApplicationSecurityGroupsDelete204Response | ApplicationSecurityGroupsDeleteDefaultResponse): response is ApplicationSecurityGroupsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ApplicationSecurityGroupsGet200Response | ApplicationSecurityGroupsGetDefaultResponse): response is ApplicationSecurityGroupsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ApplicationSecurityGroupsCreateOrUpdate200Response | ApplicationSecurityGroupsCreateOrUpdate201Response | ApplicationSecurityGroupsCreateOrUpdateDefaultResponse): response is ApplicationSecurityGroupsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ApplicationSecurityGroupsUpdateTags200Response | ApplicationSecurityGroupsUpdateTagsDefaultResponse): response is ApplicationSecurityGroupsUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ApplicationSecurityGroupsListAll200Response | ApplicationSecurityGroupsListAllDefaultResponse): response is ApplicationSecurityGroupsListAllDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ApplicationSecurityGroupsList200Response | ApplicationSecurityGroupsListDefaultResponse): response is ApplicationSecurityGroupsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: AvailableDelegationsList200Response | AvailableDelegationsListDefaultResponse): response is AvailableDelegationsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: AvailableResourceGroupDelegationsList200Response | AvailableResourceGroupDelegationsListDefaultResponse): response is AvailableResourceGroupDelegationsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: AvailableServiceAliasesList200Response | AvailableServiceAliasesListDefaultResponse): response is AvailableServiceAliasesListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: AvailableServiceAliasesListByResourceGroup200Response | AvailableServiceAliasesListByResourceGroupDefaultResponse): response is AvailableServiceAliasesListByResourceGroupDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: AzureFirewallsDelete200Response | AzureFirewallsDelete202Response | AzureFirewallsDelete204Response | AzureFirewallsDeleteDefaultResponse): response is AzureFirewallsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: AzureFirewallsGet200Response | AzureFirewallsGetDefaultResponse): response is AzureFirewallsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: AzureFirewallsCreateOrUpdate200Response | AzureFirewallsCreateOrUpdate201Response | AzureFirewallsCreateOrUpdateDefaultResponse): response is AzureFirewallsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: AzureFirewallsUpdateTags200Response | AzureFirewallsUpdateTags202Response | AzureFirewallsUpdateTagsDefaultResponse): response is AzureFirewallsUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: AzureFirewallsList200Response | AzureFirewallsListDefaultResponse): response is AzureFirewallsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: AzureFirewallsListAll200Response | AzureFirewallsListAllDefaultResponse): response is AzureFirewallsListAllDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: AzureFirewallsListLearnedPrefixes200Response | AzureFirewallsListLearnedPrefixes202Response | AzureFirewallsListLearnedPrefixesDefaultResponse): response is AzureFirewallsListLearnedPrefixesDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: AzureFirewallFqdnTagsListAll200Response | AzureFirewallFqdnTagsListAllDefaultResponse): response is AzureFirewallFqdnTagsListAllDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: WebCategoriesGet200Response | WebCategoriesGetDefaultResponse): response is WebCategoriesGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: WebCategoriesListBySubscription200Response | WebCategoriesListBySubscriptionDefaultResponse): response is WebCategoriesListBySubscriptionDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: BastionHostsDelete200Response | BastionHostsDelete202Response | BastionHostsDelete204Response | BastionHostsDeleteDefaultResponse): response is BastionHostsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: BastionHostsGet200Response | BastionHostsGetDefaultResponse): response is BastionHostsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: BastionHostsCreateOrUpdate200Response | BastionHostsCreateOrUpdate201Response | BastionHostsCreateOrUpdateDefaultResponse): response is BastionHostsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: BastionHostsUpdateTags200Response | BastionHostsUpdateTags202Response | BastionHostsUpdateTagsDefaultResponse): response is BastionHostsUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: BastionHostsList200Response | BastionHostsListDefaultResponse): response is BastionHostsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: BastionHostsListByResourceGroup200Response | BastionHostsListByResourceGroupDefaultResponse): response is BastionHostsListByResourceGroupDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PutBastionShareableLink200Response | PutBastionShareableLink202Response | PutBastionShareableLinkDefaultResponse): response is PutBastionShareableLinkDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: DeleteBastionShareableLink200Response | DeleteBastionShareableLink202Response | DeleteBastionShareableLinkDefaultResponse): response is DeleteBastionShareableLinkDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: GetBastionShareableLink200Response | GetBastionShareableLinkDefaultResponse): response is GetBastionShareableLinkDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: GetActiveSessions200Response | GetActiveSessions202Response | GetActiveSessionsDefaultResponse): response is GetActiveSessionsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: DisconnectActiveSessions200Response | DisconnectActiveSessionsDefaultResponse): response is DisconnectActiveSessionsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: CheckDnsNameAvailability200Response | CheckDnsNameAvailabilityDefaultResponse): response is CheckDnsNameAvailabilityDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteProviderPort200Response | ExpressRouteProviderPortDefaultResponse): response is ExpressRouteProviderPortDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ListActiveConnectivityConfigurations200Response | ListActiveConnectivityConfigurationsDefaultResponse): response is ListActiveConnectivityConfigurationsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ListActiveSecurityAdminRules200Response | ListActiveSecurityAdminRulesDefaultResponse): response is ListActiveSecurityAdminRulesDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ListNetworkManagerEffectiveConnectivityConfigurations200Response | ListNetworkManagerEffectiveConnectivityConfigurationsDefaultResponse): response is ListNetworkManagerEffectiveConnectivityConfigurationsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ListNetworkManagerEffectiveSecurityAdminRules200Response | ListNetworkManagerEffectiveSecurityAdminRulesDefaultResponse): response is ListNetworkManagerEffectiveSecurityAdminRulesDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: SupportedSecurityProviders200Response | SupportedSecurityProvidersDefaultResponse): response is SupportedSecurityProvidersDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: Generatevirtualwanvpnserverconfigurationvpnprofile200Response | Generatevirtualwanvpnserverconfigurationvpnprofile202Response | GeneratevirtualwanvpnserverconfigurationvpnprofileDefaultResponse): response is GeneratevirtualwanvpnserverconfigurationvpnprofileDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkInterfacesListCloudServiceRoleInstanceNetworkInterfaces200Response | NetworkInterfacesListCloudServiceRoleInstanceNetworkInterfacesDefaultResponse): response is NetworkInterfacesListCloudServiceRoleInstanceNetworkInterfacesDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkInterfacesListCloudServiceNetworkInterfaces200Response | NetworkInterfacesListCloudServiceNetworkInterfacesDefaultResponse): response is NetworkInterfacesListCloudServiceNetworkInterfacesDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkInterfacesGetCloudServiceNetworkInterface200Response | NetworkInterfacesGetCloudServiceNetworkInterfaceDefaultResponse): response is NetworkInterfacesGetCloudServiceNetworkInterfaceDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkInterfacesDelete200Response | NetworkInterfacesDelete202Response | NetworkInterfacesDelete204Response | NetworkInterfacesDeleteDefaultResponse): response is NetworkInterfacesDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkInterfacesGet200Response | NetworkInterfacesGetDefaultResponse): response is NetworkInterfacesGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkInterfacesCreateOrUpdate200Response | NetworkInterfacesCreateOrUpdate201Response | NetworkInterfacesCreateOrUpdateDefaultResponse): response is NetworkInterfacesCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkInterfacesUpdateTags200Response | NetworkInterfacesUpdateTagsDefaultResponse): response is NetworkInterfacesUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkInterfacesListAll200Response | NetworkInterfacesListAllDefaultResponse): response is NetworkInterfacesListAllDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkInterfacesList200Response | NetworkInterfacesListDefaultResponse): response is NetworkInterfacesListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkInterfacesGetEffectiveRouteTable200Response | NetworkInterfacesGetEffectiveRouteTable202Response | NetworkInterfacesGetEffectiveRouteTableDefaultResponse): response is NetworkInterfacesGetEffectiveRouteTableDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkInterfacesListEffectiveNetworkSecurityGroups200Response | NetworkInterfacesListEffectiveNetworkSecurityGroups202Response | NetworkInterfacesListEffectiveNetworkSecurityGroupsDefaultResponse): response is NetworkInterfacesListEffectiveNetworkSecurityGroupsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkInterfacesListVirtualMachineScaleSetVMNetworkInterfaces200Response | NetworkInterfacesListVirtualMachineScaleSetVMNetworkInterfacesDefaultResponse): response is NetworkInterfacesListVirtualMachineScaleSetVMNetworkInterfacesDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkInterfacesListVirtualMachineScaleSetNetworkInterfaces200Response | NetworkInterfacesListVirtualMachineScaleSetNetworkInterfacesDefaultResponse): response is NetworkInterfacesListVirtualMachineScaleSetNetworkInterfacesDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkInterfacesGetVirtualMachineScaleSetNetworkInterface200Response | NetworkInterfacesGetVirtualMachineScaleSetNetworkInterfaceDefaultResponse): response is NetworkInterfacesGetVirtualMachineScaleSetNetworkInterfaceDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkInterfacesListVirtualMachineScaleSetIpConfigurations200Response | NetworkInterfacesListVirtualMachineScaleSetIpConfigurationsDefaultResponse): response is NetworkInterfacesListVirtualMachineScaleSetIpConfigurationsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkInterfacesGetVirtualMachineScaleSetIpConfiguration200Response | NetworkInterfacesGetVirtualMachineScaleSetIpConfigurationDefaultResponse): response is NetworkInterfacesGetVirtualMachineScaleSetIpConfigurationDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PublicIPAddressesListCloudServicePublicIPAddresses200Response | PublicIPAddressesListCloudServicePublicIPAddressesDefaultResponse): response is PublicIPAddressesListCloudServicePublicIPAddressesDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PublicIPAddressesListCloudServiceRoleInstancePublicIPAddresses200Response | PublicIPAddressesListCloudServiceRoleInstancePublicIPAddressesDefaultResponse): response is PublicIPAddressesListCloudServiceRoleInstancePublicIPAddressesDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PublicIPAddressesGetCloudServicePublicIPAddress200Response | PublicIPAddressesGetCloudServicePublicIPAddressDefaultResponse): response is PublicIPAddressesGetCloudServicePublicIPAddressDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PublicIPAddressesDelete200Response | PublicIPAddressesDelete202Response | PublicIPAddressesDelete204Response | PublicIPAddressesDeleteDefaultResponse): response is PublicIPAddressesDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PublicIPAddressesGet200Response | PublicIPAddressesGetDefaultResponse): response is PublicIPAddressesGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PublicIPAddressesCreateOrUpdate200Response | PublicIPAddressesCreateOrUpdate201Response | PublicIPAddressesCreateOrUpdateDefaultResponse): response is PublicIPAddressesCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PublicIPAddressesUpdateTags200Response | PublicIPAddressesUpdateTagsDefaultResponse): response is PublicIPAddressesUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PublicIPAddressesListAll200Response | PublicIPAddressesListAllDefaultResponse): response is PublicIPAddressesListAllDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PublicIPAddressesList200Response | PublicIPAddressesListDefaultResponse): response is PublicIPAddressesListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PublicIPAddressesDdosProtectionStatus200Response | PublicIPAddressesDdosProtectionStatus202Response | PublicIPAddressesDdosProtectionStatusDefaultResponse): response is PublicIPAddressesDdosProtectionStatusDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PublicIPAddressesListVirtualMachineScaleSetPublicIPAddresses200Response | PublicIPAddressesListVirtualMachineScaleSetPublicIPAddressesDefaultResponse): response is PublicIPAddressesListVirtualMachineScaleSetPublicIPAddressesDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PublicIPAddressesListVirtualMachineScaleSetVMPublicIPAddresses200Response | PublicIPAddressesListVirtualMachineScaleSetVMPublicIPAddressesDefaultResponse): response is PublicIPAddressesListVirtualMachineScaleSetVMPublicIPAddressesDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PublicIPAddressesGetVirtualMachineScaleSetPublicIPAddress200Response | PublicIPAddressesGetVirtualMachineScaleSetPublicIPAddressDefaultResponse): response is PublicIPAddressesGetVirtualMachineScaleSetPublicIPAddressDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: CustomIPPrefixesDelete200Response | CustomIPPrefixesDelete202Response | CustomIPPrefixesDelete204Response | CustomIPPrefixesDeleteDefaultResponse): response is CustomIPPrefixesDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: CustomIPPrefixesGet200Response | CustomIPPrefixesGetDefaultResponse): response is CustomIPPrefixesGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: CustomIPPrefixesCreateOrUpdate200Response | CustomIPPrefixesCreateOrUpdate201Response | CustomIPPrefixesCreateOrUpdateDefaultResponse): response is CustomIPPrefixesCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: CustomIPPrefixesUpdateTags200Response | CustomIPPrefixesUpdateTagsDefaultResponse): response is CustomIPPrefixesUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: CustomIPPrefixesListAll200Response | CustomIPPrefixesListAllDefaultResponse): response is CustomIPPrefixesListAllDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: CustomIPPrefixesList200Response | CustomIPPrefixesListDefaultResponse): response is CustomIPPrefixesListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: DdosCustomPoliciesDelete200Response | DdosCustomPoliciesDelete202Response | DdosCustomPoliciesDelete204Response | DdosCustomPoliciesDeleteDefaultResponse): response is DdosCustomPoliciesDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: DdosCustomPoliciesGet200Response | DdosCustomPoliciesGetDefaultResponse): response is DdosCustomPoliciesGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: DdosCustomPoliciesCreateOrUpdate200Response | DdosCustomPoliciesCreateOrUpdate201Response | DdosCustomPoliciesCreateOrUpdateDefaultResponse): response is DdosCustomPoliciesCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: DdosCustomPoliciesUpdateTags200Response | DdosCustomPoliciesUpdateTagsDefaultResponse): response is DdosCustomPoliciesUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: DdosProtectionPlansDelete200Response | DdosProtectionPlansDelete202Response | DdosProtectionPlansDelete204Response | DdosProtectionPlansDeleteDefaultResponse): response is DdosProtectionPlansDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: DdosProtectionPlansGet200Response | DdosProtectionPlansGetDefaultResponse): response is DdosProtectionPlansGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: DdosProtectionPlansCreateOrUpdate200Response | DdosProtectionPlansCreateOrUpdate201Response | DdosProtectionPlansCreateOrUpdateDefaultResponse): response is DdosProtectionPlansCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: DdosProtectionPlansUpdateTags200Response | DdosProtectionPlansUpdateTagsDefaultResponse): response is DdosProtectionPlansUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: DdosProtectionPlansList200Response | DdosProtectionPlansListDefaultResponse): response is DdosProtectionPlansListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: DdosProtectionPlansListByResourceGroup200Response | DdosProtectionPlansListByResourceGroupDefaultResponse): response is DdosProtectionPlansListByResourceGroupDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: DscpConfigurationCreateOrUpdate200Response | DscpConfigurationCreateOrUpdate201Response | DscpConfigurationCreateOrUpdateDefaultResponse): response is DscpConfigurationCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: DscpConfigurationDelete200Response | DscpConfigurationDelete202Response | DscpConfigurationDelete204Response | DscpConfigurationDeleteDefaultResponse): response is DscpConfigurationDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: DscpConfigurationGet200Response | DscpConfigurationGetDefaultResponse): response is DscpConfigurationGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: DscpConfigurationList200Response | DscpConfigurationListDefaultResponse): response is DscpConfigurationListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: DscpConfigurationListAll200Response | DscpConfigurationListAllDefaultResponse): response is DscpConfigurationListAllDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: AvailableEndpointServicesList200Response | AvailableEndpointServicesListDefaultResponse): response is AvailableEndpointServicesListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCircuitAuthorizationsDelete200Response | ExpressRouteCircuitAuthorizationsDelete202Response | ExpressRouteCircuitAuthorizationsDelete204Response | ExpressRouteCircuitAuthorizationsDeleteDefaultResponse): response is ExpressRouteCircuitAuthorizationsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCircuitAuthorizationsGet200Response | ExpressRouteCircuitAuthorizationsGetDefaultResponse): response is ExpressRouteCircuitAuthorizationsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCircuitAuthorizationsCreateOrUpdate200Response | ExpressRouteCircuitAuthorizationsCreateOrUpdate201Response | ExpressRouteCircuitAuthorizationsCreateOrUpdateDefaultResponse): response is ExpressRouteCircuitAuthorizationsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCircuitAuthorizationsList200Response | ExpressRouteCircuitAuthorizationsListDefaultResponse): response is ExpressRouteCircuitAuthorizationsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCircuitPeeringsDelete200Response | ExpressRouteCircuitPeeringsDelete202Response | ExpressRouteCircuitPeeringsDelete204Response | ExpressRouteCircuitPeeringsDeleteDefaultResponse): response is ExpressRouteCircuitPeeringsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCircuitPeeringsGet200Response | ExpressRouteCircuitPeeringsGetDefaultResponse): response is ExpressRouteCircuitPeeringsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCircuitPeeringsCreateOrUpdate200Response | ExpressRouteCircuitPeeringsCreateOrUpdate201Response | ExpressRouteCircuitPeeringsCreateOrUpdateDefaultResponse): response is ExpressRouteCircuitPeeringsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCircuitPeeringsList200Response | ExpressRouteCircuitPeeringsListDefaultResponse): response is ExpressRouteCircuitPeeringsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCircuitConnectionsDelete200Response | ExpressRouteCircuitConnectionsDelete202Response | ExpressRouteCircuitConnectionsDelete204Response | ExpressRouteCircuitConnectionsDeleteDefaultResponse): response is ExpressRouteCircuitConnectionsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCircuitConnectionsGet200Response | ExpressRouteCircuitConnectionsGetDefaultResponse): response is ExpressRouteCircuitConnectionsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCircuitConnectionsCreateOrUpdate200Response | ExpressRouteCircuitConnectionsCreateOrUpdate201Response | ExpressRouteCircuitConnectionsCreateOrUpdateDefaultResponse): response is ExpressRouteCircuitConnectionsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCircuitConnectionsList200Response | ExpressRouteCircuitConnectionsListDefaultResponse): response is ExpressRouteCircuitConnectionsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PeerExpressRouteCircuitConnectionsGet200Response | PeerExpressRouteCircuitConnectionsGetDefaultResponse): response is PeerExpressRouteCircuitConnectionsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PeerExpressRouteCircuitConnectionsList200Response | PeerExpressRouteCircuitConnectionsListDefaultResponse): response is PeerExpressRouteCircuitConnectionsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCircuitsDelete200Response | ExpressRouteCircuitsDelete202Response | ExpressRouteCircuitsDelete204Response | ExpressRouteCircuitsDeleteDefaultResponse): response is ExpressRouteCircuitsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCircuitsGet200Response | ExpressRouteCircuitsGetDefaultResponse): response is ExpressRouteCircuitsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCircuitsCreateOrUpdate200Response | ExpressRouteCircuitsCreateOrUpdate201Response | ExpressRouteCircuitsCreateOrUpdateDefaultResponse): response is ExpressRouteCircuitsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCircuitsUpdateTags200Response | ExpressRouteCircuitsUpdateTagsDefaultResponse): response is ExpressRouteCircuitsUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCircuitsListArpTable200Response | ExpressRouteCircuitsListArpTable202Response | ExpressRouteCircuitsListArpTableDefaultResponse): response is ExpressRouteCircuitsListArpTableDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCircuitsListRoutesTable200Response | ExpressRouteCircuitsListRoutesTable202Response | ExpressRouteCircuitsListRoutesTableDefaultResponse): response is ExpressRouteCircuitsListRoutesTableDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCircuitsListRoutesTableSummary200Response | ExpressRouteCircuitsListRoutesTableSummary202Response | ExpressRouteCircuitsListRoutesTableSummaryDefaultResponse): response is ExpressRouteCircuitsListRoutesTableSummaryDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCircuitsGetStats200Response | ExpressRouteCircuitsGetStatsDefaultResponse): response is ExpressRouteCircuitsGetStatsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCircuitsGetPeeringStats200Response | ExpressRouteCircuitsGetPeeringStatsDefaultResponse): response is ExpressRouteCircuitsGetPeeringStatsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCircuitsList200Response | ExpressRouteCircuitsListDefaultResponse): response is ExpressRouteCircuitsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCircuitsListAll200Response | ExpressRouteCircuitsListAllDefaultResponse): response is ExpressRouteCircuitsListAllDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteServiceProvidersList200Response | ExpressRouteServiceProvidersListDefaultResponse): response is ExpressRouteServiceProvidersListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCrossConnectionsList200Response | ExpressRouteCrossConnectionsListDefaultResponse): response is ExpressRouteCrossConnectionsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCrossConnectionsListByResourceGroup200Response | ExpressRouteCrossConnectionsListByResourceGroupDefaultResponse): response is ExpressRouteCrossConnectionsListByResourceGroupDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCrossConnectionsGet200Response | ExpressRouteCrossConnectionsGetDefaultResponse): response is ExpressRouteCrossConnectionsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCrossConnectionsCreateOrUpdate200Response | ExpressRouteCrossConnectionsCreateOrUpdateDefaultResponse): response is ExpressRouteCrossConnectionsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCrossConnectionsUpdateTags200Response | ExpressRouteCrossConnectionsUpdateTagsDefaultResponse): response is ExpressRouteCrossConnectionsUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCrossConnectionsListArpTable200Response | ExpressRouteCrossConnectionsListArpTable202Response | ExpressRouteCrossConnectionsListArpTableDefaultResponse): response is ExpressRouteCrossConnectionsListArpTableDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCrossConnectionsListRoutesTableSummary200Response | ExpressRouteCrossConnectionsListRoutesTableSummary202Response | ExpressRouteCrossConnectionsListRoutesTableSummaryDefaultResponse): response is ExpressRouteCrossConnectionsListRoutesTableSummaryDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCrossConnectionsListRoutesTable200Response | ExpressRouteCrossConnectionsListRoutesTable202Response | ExpressRouteCrossConnectionsListRoutesTableDefaultResponse): response is ExpressRouteCrossConnectionsListRoutesTableDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCrossConnectionPeeringsList200Response | ExpressRouteCrossConnectionPeeringsListDefaultResponse): response is ExpressRouteCrossConnectionPeeringsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCrossConnectionPeeringsDelete200Response | ExpressRouteCrossConnectionPeeringsDelete202Response | ExpressRouteCrossConnectionPeeringsDelete204Response | ExpressRouteCrossConnectionPeeringsDeleteDefaultResponse): response is ExpressRouteCrossConnectionPeeringsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCrossConnectionPeeringsGet200Response | ExpressRouteCrossConnectionPeeringsGetDefaultResponse): response is ExpressRouteCrossConnectionPeeringsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteCrossConnectionPeeringsCreateOrUpdate200Response | ExpressRouteCrossConnectionPeeringsCreateOrUpdate201Response | ExpressRouteCrossConnectionPeeringsCreateOrUpdateDefaultResponse): response is ExpressRouteCrossConnectionPeeringsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRoutePortsLocationsList200Response | ExpressRoutePortsLocationsListDefaultResponse): response is ExpressRoutePortsLocationsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRoutePortsLocationsGet200Response | ExpressRoutePortsLocationsGetDefaultResponse): response is ExpressRoutePortsLocationsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRoutePortsDelete200Response | ExpressRoutePortsDelete202Response | ExpressRoutePortsDelete204Response | ExpressRoutePortsDeleteDefaultResponse): response is ExpressRoutePortsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRoutePortsGet200Response | ExpressRoutePortsGetDefaultResponse): response is ExpressRoutePortsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRoutePortsCreateOrUpdate200Response | ExpressRoutePortsCreateOrUpdate201Response | ExpressRoutePortsCreateOrUpdateDefaultResponse): response is ExpressRoutePortsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRoutePortsUpdateTags200Response | ExpressRoutePortsUpdateTagsDefaultResponse): response is ExpressRoutePortsUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRoutePortsListByResourceGroup200Response | ExpressRoutePortsListByResourceGroupDefaultResponse): response is ExpressRoutePortsListByResourceGroupDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRoutePortsList200Response | ExpressRoutePortsListDefaultResponse): response is ExpressRoutePortsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRoutePortsGenerateLOA200Response | ExpressRoutePortsGenerateLOADefaultResponse): response is ExpressRoutePortsGenerateLOADefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteLinksGet200Response | ExpressRouteLinksGetDefaultResponse): response is ExpressRouteLinksGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteLinksList200Response | ExpressRouteLinksListDefaultResponse): response is ExpressRouteLinksListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRoutePortAuthorizationsDelete200Response | ExpressRoutePortAuthorizationsDelete202Response | ExpressRoutePortAuthorizationsDelete204Response | ExpressRoutePortAuthorizationsDeleteDefaultResponse): response is ExpressRoutePortAuthorizationsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRoutePortAuthorizationsGet200Response | ExpressRoutePortAuthorizationsGetDefaultResponse): response is ExpressRoutePortAuthorizationsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRoutePortAuthorizationsCreateOrUpdate200Response | ExpressRoutePortAuthorizationsCreateOrUpdate201Response | ExpressRoutePortAuthorizationsCreateOrUpdateDefaultResponse): response is ExpressRoutePortAuthorizationsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRoutePortAuthorizationsList200Response | ExpressRoutePortAuthorizationsListDefaultResponse): response is ExpressRoutePortAuthorizationsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteProviderPortsLocationList200Response | ExpressRouteProviderPortsLocationListDefaultResponse): response is ExpressRouteProviderPortsLocationListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: FirewallPoliciesDelete200Response | FirewallPoliciesDelete202Response | FirewallPoliciesDelete204Response | FirewallPoliciesDeleteDefaultResponse): response is FirewallPoliciesDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: FirewallPoliciesGet200Response | FirewallPoliciesGetDefaultResponse): response is FirewallPoliciesGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: FirewallPoliciesCreateOrUpdate200Response | FirewallPoliciesCreateOrUpdate201Response | FirewallPoliciesCreateOrUpdateDefaultResponse): response is FirewallPoliciesCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: FirewallPoliciesUpdateTags200Response | FirewallPoliciesUpdateTagsDefaultResponse): response is FirewallPoliciesUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: FirewallPoliciesList200Response | FirewallPoliciesListDefaultResponse): response is FirewallPoliciesListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: FirewallPoliciesListAll200Response | FirewallPoliciesListAllDefaultResponse): response is FirewallPoliciesListAllDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: FirewallPolicyRuleCollectionGroupsDelete200Response | FirewallPolicyRuleCollectionGroupsDelete202Response | FirewallPolicyRuleCollectionGroupsDelete204Response | FirewallPolicyRuleCollectionGroupsDeleteDefaultResponse): response is FirewallPolicyRuleCollectionGroupsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: FirewallPolicyRuleCollectionGroupsGet200Response | FirewallPolicyRuleCollectionGroupsGetDefaultResponse): response is FirewallPolicyRuleCollectionGroupsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: FirewallPolicyRuleCollectionGroupsCreateOrUpdate200Response | FirewallPolicyRuleCollectionGroupsCreateOrUpdate201Response | FirewallPolicyRuleCollectionGroupsCreateOrUpdateDefaultResponse): response is FirewallPolicyRuleCollectionGroupsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: FirewallPolicyRuleCollectionGroupsList200Response | FirewallPolicyRuleCollectionGroupsListDefaultResponse): response is FirewallPolicyRuleCollectionGroupsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: FirewallPolicyIdpsSignaturesList200Response | FirewallPolicyIdpsSignaturesListDefaultResponse): response is FirewallPolicyIdpsSignaturesListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: FirewallPolicyIdpsSignaturesOverridesPatch200Response | FirewallPolicyIdpsSignaturesOverridesPatchDefaultResponse): response is FirewallPolicyIdpsSignaturesOverridesPatchDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: FirewallPolicyIdpsSignaturesOverridesPut200Response | FirewallPolicyIdpsSignaturesOverridesPutDefaultResponse): response is FirewallPolicyIdpsSignaturesOverridesPutDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: FirewallPolicyIdpsSignaturesOverridesGet200Response | FirewallPolicyIdpsSignaturesOverridesGetDefaultResponse): response is FirewallPolicyIdpsSignaturesOverridesGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: FirewallPolicyIdpsSignaturesOverridesList200Response | FirewallPolicyIdpsSignaturesOverridesListDefaultResponse): response is FirewallPolicyIdpsSignaturesOverridesListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: FirewallPolicyIdpsSignaturesFilterValuesList200Response | FirewallPolicyIdpsSignaturesFilterValuesListDefaultResponse): response is FirewallPolicyIdpsSignaturesFilterValuesListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: IpAllocationsDelete200Response | IpAllocationsDelete202Response | IpAllocationsDelete204Response | IpAllocationsDeleteDefaultResponse): response is IpAllocationsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: IpAllocationsGet200Response | IpAllocationsGetDefaultResponse): response is IpAllocationsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: IpAllocationsCreateOrUpdate200Response | IpAllocationsCreateOrUpdate201Response | IpAllocationsCreateOrUpdateDefaultResponse): response is IpAllocationsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: IpAllocationsUpdateTags200Response | IpAllocationsUpdateTagsDefaultResponse): response is IpAllocationsUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: IpAllocationsList200Response | IpAllocationsListDefaultResponse): response is IpAllocationsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: IpAllocationsListByResourceGroup200Response | IpAllocationsListByResourceGroupDefaultResponse): response is IpAllocationsListByResourceGroupDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: IpGroupsGet200Response | IpGroupsGetDefaultResponse): response is IpGroupsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: IpGroupsCreateOrUpdate200Response | IpGroupsCreateOrUpdate201Response | IpGroupsCreateOrUpdateDefaultResponse): response is IpGroupsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: IpGroupsUpdateGroups200Response | IpGroupsUpdateGroupsDefaultResponse): response is IpGroupsUpdateGroupsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: IpGroupsDelete200Response | IpGroupsDelete202Response | IpGroupsDelete204Response | IpGroupsDeleteDefaultResponse): response is IpGroupsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: IpGroupsListByResourceGroup200Response | IpGroupsListByResourceGroupDefaultResponse): response is IpGroupsListByResourceGroupDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: IpGroupsList200Response | IpGroupsListDefaultResponse): response is IpGroupsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: LoadBalancersDelete200Response | LoadBalancersDelete202Response | LoadBalancersDelete204Response | LoadBalancersDeleteDefaultResponse): response is LoadBalancersDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: LoadBalancersGet200Response | LoadBalancersGetDefaultResponse): response is LoadBalancersGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: LoadBalancersCreateOrUpdate200Response | LoadBalancersCreateOrUpdate201Response | LoadBalancersCreateOrUpdateDefaultResponse): response is LoadBalancersCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: LoadBalancersUpdateTags200Response | LoadBalancersUpdateTagsDefaultResponse): response is LoadBalancersUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: LoadBalancersListAll200Response | LoadBalancersListAllDefaultResponse): response is LoadBalancersListAllDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: LoadBalancersList200Response | LoadBalancersListDefaultResponse): response is LoadBalancersListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: LoadBalancersSwapPublicIpAddresses200Response | LoadBalancersSwapPublicIpAddresses202Response | LoadBalancersSwapPublicIpAddressesDefaultResponse): response is LoadBalancersSwapPublicIpAddressesDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: LoadBalancersListInboundNatRulePortMappings200Response | LoadBalancersListInboundNatRulePortMappings202Response | LoadBalancersListInboundNatRulePortMappingsDefaultResponse): response is LoadBalancersListInboundNatRulePortMappingsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: LoadBalancerBackendAddressPoolsList200Response | LoadBalancerBackendAddressPoolsListDefaultResponse): response is LoadBalancerBackendAddressPoolsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: LoadBalancerBackendAddressPoolsGet200Response | LoadBalancerBackendAddressPoolsGetDefaultResponse): response is LoadBalancerBackendAddressPoolsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: LoadBalancerBackendAddressPoolsCreateOrUpdate200Response | LoadBalancerBackendAddressPoolsCreateOrUpdate201Response | LoadBalancerBackendAddressPoolsCreateOrUpdateDefaultResponse): response is LoadBalancerBackendAddressPoolsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: LoadBalancerBackendAddressPoolsDelete200Response | LoadBalancerBackendAddressPoolsDelete202Response | LoadBalancerBackendAddressPoolsDelete204Response | LoadBalancerBackendAddressPoolsDeleteDefaultResponse): response is LoadBalancerBackendAddressPoolsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: LoadBalancerFrontendIPConfigurationsList200Response | LoadBalancerFrontendIPConfigurationsListDefaultResponse): response is LoadBalancerFrontendIPConfigurationsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: LoadBalancerFrontendIPConfigurationsGet200Response | LoadBalancerFrontendIPConfigurationsGetDefaultResponse): response is LoadBalancerFrontendIPConfigurationsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: InboundNatRulesList200Response | InboundNatRulesListDefaultResponse): response is InboundNatRulesListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: InboundNatRulesDelete200Response | InboundNatRulesDelete202Response | InboundNatRulesDelete204Response | InboundNatRulesDeleteDefaultResponse): response is InboundNatRulesDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: InboundNatRulesGet200Response | InboundNatRulesGetDefaultResponse): response is InboundNatRulesGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: InboundNatRulesCreateOrUpdate200Response | InboundNatRulesCreateOrUpdate201Response | InboundNatRulesCreateOrUpdateDefaultResponse): response is InboundNatRulesCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: LoadBalancerLoadBalancingRulesList200Response | LoadBalancerLoadBalancingRulesListDefaultResponse): response is LoadBalancerLoadBalancingRulesListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: LoadBalancerLoadBalancingRulesGet200Response | LoadBalancerLoadBalancingRulesGetDefaultResponse): response is LoadBalancerLoadBalancingRulesGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: LoadBalancerOutboundRulesList200Response | LoadBalancerOutboundRulesListDefaultResponse): response is LoadBalancerOutboundRulesListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: LoadBalancerOutboundRulesGet200Response | LoadBalancerOutboundRulesGetDefaultResponse): response is LoadBalancerOutboundRulesGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: LoadBalancerNetworkInterfacesList200Response | LoadBalancerNetworkInterfacesListDefaultResponse): response is LoadBalancerNetworkInterfacesListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: LoadBalancerProbesList200Response | LoadBalancerProbesListDefaultResponse): response is LoadBalancerProbesListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: LoadBalancerProbesGet200Response | LoadBalancerProbesGetDefaultResponse): response is LoadBalancerProbesGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NatGatewaysDelete200Response | NatGatewaysDelete202Response | NatGatewaysDelete204Response | NatGatewaysDeleteDefaultResponse): response is NatGatewaysDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NatGatewaysGet200Response | NatGatewaysGetDefaultResponse): response is NatGatewaysGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NatGatewaysCreateOrUpdate200Response | NatGatewaysCreateOrUpdate201Response | NatGatewaysCreateOrUpdate202Response | NatGatewaysCreateOrUpdateDefaultResponse): response is NatGatewaysCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NatGatewaysUpdateTags200Response | NatGatewaysUpdateTagsDefaultResponse): response is NatGatewaysUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NatGatewaysListAll200Response | NatGatewaysListAllDefaultResponse): response is NatGatewaysListAllDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NatGatewaysList200Response | NatGatewaysListDefaultResponse): response is NatGatewaysListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkInterfaceIPConfigurationsList200Response | NetworkInterfaceIPConfigurationsListDefaultResponse): response is NetworkInterfaceIPConfigurationsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkInterfaceIPConfigurationsGet200Response | NetworkInterfaceIPConfigurationsGetDefaultResponse): response is NetworkInterfaceIPConfigurationsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkInterfaceLoadBalancersList200Response | NetworkInterfaceLoadBalancersListDefaultResponse): response is NetworkInterfaceLoadBalancersListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkInterfaceTapConfigurationsDelete200Response | NetworkInterfaceTapConfigurationsDelete202Response | NetworkInterfaceTapConfigurationsDelete204Response | NetworkInterfaceTapConfigurationsDeleteDefaultResponse): response is NetworkInterfaceTapConfigurationsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkInterfaceTapConfigurationsGet200Response | NetworkInterfaceTapConfigurationsGetDefaultResponse): response is NetworkInterfaceTapConfigurationsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkInterfaceTapConfigurationsCreateOrUpdate200Response | NetworkInterfaceTapConfigurationsCreateOrUpdate201Response | NetworkInterfaceTapConfigurationsCreateOrUpdateDefaultResponse): response is NetworkInterfaceTapConfigurationsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkInterfaceTapConfigurationsList200Response | NetworkInterfaceTapConfigurationsListDefaultResponse): response is NetworkInterfaceTapConfigurationsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkManagersGet200Response | NetworkManagersGetDefaultResponse): response is NetworkManagersGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkManagersCreateOrUpdate200Response | NetworkManagersCreateOrUpdate201Response | NetworkManagersCreateOrUpdateDefaultResponse): response is NetworkManagersCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkManagersDelete200Response | NetworkManagersDelete202Response | NetworkManagersDelete204Response | NetworkManagersDeleteDefaultResponse): response is NetworkManagersDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkManagersPatch200Response | NetworkManagersPatchDefaultResponse): response is NetworkManagersPatchDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkManagersListBySubscription200Response | NetworkManagersListBySubscriptionDefaultResponse): response is NetworkManagersListBySubscriptionDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkManagersList200Response | NetworkManagersListDefaultResponse): response is NetworkManagersListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkManagerCommitsPost200Response | NetworkManagerCommitsPost202Response | NetworkManagerCommitsPostDefaultResponse): response is NetworkManagerCommitsPostDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkManagerDeploymentStatusList200Response | NetworkManagerDeploymentStatusListDefaultResponse): response is NetworkManagerDeploymentStatusListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: SubscriptionNetworkManagerConnectionsCreateOrUpdate200Response | SubscriptionNetworkManagerConnectionsCreateOrUpdate201Response | SubscriptionNetworkManagerConnectionsCreateOrUpdateDefaultResponse): response is SubscriptionNetworkManagerConnectionsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: SubscriptionNetworkManagerConnectionsGet200Response | SubscriptionNetworkManagerConnectionsGetDefaultResponse): response is SubscriptionNetworkManagerConnectionsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: SubscriptionNetworkManagerConnectionsDelete200Response | SubscriptionNetworkManagerConnectionsDelete204Response | SubscriptionNetworkManagerConnectionsDeleteDefaultResponse): response is SubscriptionNetworkManagerConnectionsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: SubscriptionNetworkManagerConnectionsList200Response | SubscriptionNetworkManagerConnectionsListDefaultResponse): response is SubscriptionNetworkManagerConnectionsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ManagementGroupNetworkManagerConnectionsCreateOrUpdate200Response | ManagementGroupNetworkManagerConnectionsCreateOrUpdate201Response | ManagementGroupNetworkManagerConnectionsCreateOrUpdateDefaultResponse): response is ManagementGroupNetworkManagerConnectionsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ManagementGroupNetworkManagerConnectionsGet200Response | ManagementGroupNetworkManagerConnectionsGetDefaultResponse): response is ManagementGroupNetworkManagerConnectionsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ManagementGroupNetworkManagerConnectionsDelete200Response | ManagementGroupNetworkManagerConnectionsDelete204Response | ManagementGroupNetworkManagerConnectionsDeleteDefaultResponse): response is ManagementGroupNetworkManagerConnectionsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ManagementGroupNetworkManagerConnectionsList200Response | ManagementGroupNetworkManagerConnectionsListDefaultResponse): response is ManagementGroupNetworkManagerConnectionsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ConnectivityConfigurationsGet200Response | ConnectivityConfigurationsGetDefaultResponse): response is ConnectivityConfigurationsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ConnectivityConfigurationsCreateOrUpdate200Response | ConnectivityConfigurationsCreateOrUpdate201Response | ConnectivityConfigurationsCreateOrUpdateDefaultResponse): response is ConnectivityConfigurationsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ConnectivityConfigurationsDelete200Response | ConnectivityConfigurationsDelete202Response | ConnectivityConfigurationsDelete204Response | ConnectivityConfigurationsDeleteDefaultResponse): response is ConnectivityConfigurationsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ConnectivityConfigurationsList200Response | ConnectivityConfigurationsListDefaultResponse): response is ConnectivityConfigurationsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkGroupsGet200Response | NetworkGroupsGetDefaultResponse): response is NetworkGroupsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkGroupsCreateOrUpdate200Response | NetworkGroupsCreateOrUpdate201Response | NetworkGroupsCreateOrUpdateDefaultResponse): response is NetworkGroupsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkGroupsDelete200Response | NetworkGroupsDelete202Response | NetworkGroupsDelete204Response | NetworkGroupsDeleteDefaultResponse): response is NetworkGroupsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkGroupsList200Response | NetworkGroupsListDefaultResponse): response is NetworkGroupsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: StaticMembersGet200Response | StaticMembersGetDefaultResponse): response is StaticMembersGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: StaticMembersCreateOrUpdate200Response | StaticMembersCreateOrUpdate201Response | StaticMembersCreateOrUpdateDefaultResponse): response is StaticMembersCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: StaticMembersDelete200Response | StaticMembersDelete204Response | StaticMembersDeleteDefaultResponse): response is StaticMembersDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: StaticMembersList200Response | StaticMembersListDefaultResponse): response is StaticMembersListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ScopeConnectionsCreateOrUpdate200Response | ScopeConnectionsCreateOrUpdate201Response | ScopeConnectionsCreateOrUpdateDefaultResponse): response is ScopeConnectionsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ScopeConnectionsGet200Response | ScopeConnectionsGetDefaultResponse): response is ScopeConnectionsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ScopeConnectionsDelete200Response | ScopeConnectionsDelete204Response | ScopeConnectionsDeleteDefaultResponse): response is ScopeConnectionsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ScopeConnectionsList200Response | ScopeConnectionsListDefaultResponse): response is ScopeConnectionsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: SecurityAdminConfigurationsList200Response | SecurityAdminConfigurationsListDefaultResponse): response is SecurityAdminConfigurationsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: SecurityAdminConfigurationsGet200Response | SecurityAdminConfigurationsGetDefaultResponse): response is SecurityAdminConfigurationsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: SecurityAdminConfigurationsCreateOrUpdate200Response | SecurityAdminConfigurationsCreateOrUpdate201Response | SecurityAdminConfigurationsCreateOrUpdateDefaultResponse): response is SecurityAdminConfigurationsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: SecurityAdminConfigurationsDelete200Response | SecurityAdminConfigurationsDelete202Response | SecurityAdminConfigurationsDelete204Response | SecurityAdminConfigurationsDeleteDefaultResponse): response is SecurityAdminConfigurationsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: AdminRuleCollectionsList200Response | AdminRuleCollectionsListDefaultResponse): response is AdminRuleCollectionsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: AdminRuleCollectionsGet200Response | AdminRuleCollectionsGetDefaultResponse): response is AdminRuleCollectionsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: AdminRuleCollectionsCreateOrUpdate200Response | AdminRuleCollectionsCreateOrUpdate201Response | AdminRuleCollectionsCreateOrUpdateDefaultResponse): response is AdminRuleCollectionsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: AdminRuleCollectionsDelete200Response | AdminRuleCollectionsDelete202Response | AdminRuleCollectionsDelete204Response | AdminRuleCollectionsDeleteDefaultResponse): response is AdminRuleCollectionsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: AdminRulesList200Response | AdminRulesListDefaultResponse): response is AdminRulesListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: AdminRulesGet200Response | AdminRulesGetDefaultResponse): response is AdminRulesGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: AdminRulesCreateOrUpdate200Response | AdminRulesCreateOrUpdate201Response | AdminRulesCreateOrUpdateDefaultResponse): response is AdminRulesCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: AdminRulesDelete200Response | AdminRulesDelete202Response | AdminRulesDelete204Response | AdminRulesDeleteDefaultResponse): response is AdminRulesDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkProfilesDelete200Response | NetworkProfilesDelete202Response | NetworkProfilesDelete204Response | NetworkProfilesDeleteDefaultResponse): response is NetworkProfilesDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkProfilesGet200Response | NetworkProfilesGetDefaultResponse): response is NetworkProfilesGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkProfilesCreateOrUpdate200Response | NetworkProfilesCreateOrUpdate201Response | NetworkProfilesCreateOrUpdateDefaultResponse): response is NetworkProfilesCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkProfilesUpdateTags200Response | NetworkProfilesUpdateTagsDefaultResponse): response is NetworkProfilesUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkProfilesListAll200Response | NetworkProfilesListAllDefaultResponse): response is NetworkProfilesListAllDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkProfilesList200Response | NetworkProfilesListDefaultResponse): response is NetworkProfilesListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkSecurityGroupsDelete200Response | NetworkSecurityGroupsDelete202Response | NetworkSecurityGroupsDelete204Response | NetworkSecurityGroupsDeleteDefaultResponse): response is NetworkSecurityGroupsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkSecurityGroupsGet200Response | NetworkSecurityGroupsGetDefaultResponse): response is NetworkSecurityGroupsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkSecurityGroupsCreateOrUpdate200Response | NetworkSecurityGroupsCreateOrUpdate201Response | NetworkSecurityGroupsCreateOrUpdateDefaultResponse): response is NetworkSecurityGroupsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkSecurityGroupsUpdateTags200Response | NetworkSecurityGroupsUpdateTagsDefaultResponse): response is NetworkSecurityGroupsUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkSecurityGroupsListAll200Response | NetworkSecurityGroupsListAllDefaultResponse): response is NetworkSecurityGroupsListAllDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkSecurityGroupsList200Response | NetworkSecurityGroupsListDefaultResponse): response is NetworkSecurityGroupsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: SecurityRulesDelete200Response | SecurityRulesDelete202Response | SecurityRulesDelete204Response | SecurityRulesDeleteDefaultResponse): response is SecurityRulesDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: SecurityRulesGet200Response | SecurityRulesGetDefaultResponse): response is SecurityRulesGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: SecurityRulesCreateOrUpdate200Response | SecurityRulesCreateOrUpdate201Response | SecurityRulesCreateOrUpdateDefaultResponse): response is SecurityRulesCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: SecurityRulesList200Response | SecurityRulesListDefaultResponse): response is SecurityRulesListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: DefaultSecurityRulesList200Response | DefaultSecurityRulesListDefaultResponse): response is DefaultSecurityRulesListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: DefaultSecurityRulesGet200Response | DefaultSecurityRulesGetDefaultResponse): response is DefaultSecurityRulesGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkVirtualAppliancesDelete200Response | NetworkVirtualAppliancesDelete202Response | NetworkVirtualAppliancesDelete204Response | NetworkVirtualAppliancesDeleteDefaultResponse): response is NetworkVirtualAppliancesDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkVirtualAppliancesGet200Response | NetworkVirtualAppliancesGetDefaultResponse): response is NetworkVirtualAppliancesGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkVirtualAppliancesUpdateTags200Response | NetworkVirtualAppliancesUpdateTagsDefaultResponse): response is NetworkVirtualAppliancesUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkVirtualAppliancesCreateOrUpdate200Response | NetworkVirtualAppliancesCreateOrUpdate201Response | NetworkVirtualAppliancesCreateOrUpdateDefaultResponse): response is NetworkVirtualAppliancesCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkVirtualAppliancesListByResourceGroup200Response | NetworkVirtualAppliancesListByResourceGroupDefaultResponse): response is NetworkVirtualAppliancesListByResourceGroupDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkVirtualAppliancesList200Response | NetworkVirtualAppliancesListDefaultResponse): response is NetworkVirtualAppliancesListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualApplianceSitesDelete200Response | VirtualApplianceSitesDelete202Response | VirtualApplianceSitesDelete204Response | VirtualApplianceSitesDeleteDefaultResponse): response is VirtualApplianceSitesDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualApplianceSitesGet200Response | VirtualApplianceSitesGetDefaultResponse): response is VirtualApplianceSitesGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualApplianceSitesCreateOrUpdate200Response | VirtualApplianceSitesCreateOrUpdate201Response | VirtualApplianceSitesCreateOrUpdateDefaultResponse): response is VirtualApplianceSitesCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualApplianceSitesList200Response | VirtualApplianceSitesListDefaultResponse): response is VirtualApplianceSitesListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualApplianceSkusList200Response | VirtualApplianceSkusListDefaultResponse): response is VirtualApplianceSkusListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualApplianceSkusGet200Response | VirtualApplianceSkusGetDefaultResponse): response is VirtualApplianceSkusGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: InboundSecurityRuleCreateOrUpdate200Response | InboundSecurityRuleCreateOrUpdate201Response | InboundSecurityRuleCreateOrUpdateDefaultResponse): response is InboundSecurityRuleCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkWatchersCreateOrUpdate200Response | NetworkWatchersCreateOrUpdate201Response | NetworkWatchersCreateOrUpdateDefaultResponse): response is NetworkWatchersCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkWatchersGet200Response | NetworkWatchersGetDefaultResponse): response is NetworkWatchersGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkWatchersDelete202Response | NetworkWatchersDelete204Response | NetworkWatchersDeleteDefaultResponse): response is NetworkWatchersDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkWatchersUpdateTags200Response | NetworkWatchersUpdateTagsDefaultResponse): response is NetworkWatchersUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkWatchersList200Response | NetworkWatchersListDefaultResponse): response is NetworkWatchersListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkWatchersListAll200Response | NetworkWatchersListAllDefaultResponse): response is NetworkWatchersListAllDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkWatchersGetTopology200Response | NetworkWatchersGetTopologyDefaultResponse): response is NetworkWatchersGetTopologyDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkWatchersVerifyIPFlow200Response | NetworkWatchersVerifyIPFlow202Response | NetworkWatchersVerifyIPFlowDefaultResponse): response is NetworkWatchersVerifyIPFlowDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkWatchersGetNextHop200Response | NetworkWatchersGetNextHop202Response | NetworkWatchersGetNextHopDefaultResponse): response is NetworkWatchersGetNextHopDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkWatchersGetVMSecurityRules200Response | NetworkWatchersGetVMSecurityRules202Response | NetworkWatchersGetVMSecurityRulesDefaultResponse): response is NetworkWatchersGetVMSecurityRulesDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkWatchersGetTroubleshooting200Response | NetworkWatchersGetTroubleshooting202Response | NetworkWatchersGetTroubleshootingDefaultResponse): response is NetworkWatchersGetTroubleshootingDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkWatchersGetTroubleshootingResult200Response | NetworkWatchersGetTroubleshootingResult202Response | NetworkWatchersGetTroubleshootingResultDefaultResponse): response is NetworkWatchersGetTroubleshootingResultDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkWatchersSetFlowLogConfiguration200Response | NetworkWatchersSetFlowLogConfiguration202Response | NetworkWatchersSetFlowLogConfigurationDefaultResponse): response is NetworkWatchersSetFlowLogConfigurationDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkWatchersGetFlowLogStatus200Response | NetworkWatchersGetFlowLogStatus202Response | NetworkWatchersGetFlowLogStatusDefaultResponse): response is NetworkWatchersGetFlowLogStatusDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkWatchersCheckConnectivity200Response | NetworkWatchersCheckConnectivity202Response | NetworkWatchersCheckConnectivityDefaultResponse): response is NetworkWatchersCheckConnectivityDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkWatchersGetAzureReachabilityReport200Response | NetworkWatchersGetAzureReachabilityReport202Response | NetworkWatchersGetAzureReachabilityReportDefaultResponse): response is NetworkWatchersGetAzureReachabilityReportDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkWatchersListAvailableProviders200Response | NetworkWatchersListAvailableProviders202Response | NetworkWatchersListAvailableProvidersDefaultResponse): response is NetworkWatchersListAvailableProvidersDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NetworkWatchersGetNetworkConfigurationDiagnostic200Response | NetworkWatchersGetNetworkConfigurationDiagnostic202Response | NetworkWatchersGetNetworkConfigurationDiagnosticDefaultResponse): response is NetworkWatchersGetNetworkConfigurationDiagnosticDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PacketCapturesCreate201Response | PacketCapturesCreateDefaultResponse): response is PacketCapturesCreateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PacketCapturesGet200Response | PacketCapturesGetDefaultResponse): response is PacketCapturesGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PacketCapturesDelete202Response | PacketCapturesDelete204Response | PacketCapturesDeleteDefaultResponse): response is PacketCapturesDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PacketCapturesStop200Response | PacketCapturesStop202Response | PacketCapturesStopDefaultResponse): response is PacketCapturesStopDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PacketCapturesGetStatus200Response | PacketCapturesGetStatus202Response | PacketCapturesGetStatusDefaultResponse): response is PacketCapturesGetStatusDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PacketCapturesList200Response | PacketCapturesListDefaultResponse): response is PacketCapturesListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ConnectionMonitorsCreateOrUpdate200Response | ConnectionMonitorsCreateOrUpdate201Response | ConnectionMonitorsCreateOrUpdateDefaultResponse): response is ConnectionMonitorsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ConnectionMonitorsGet200Response | ConnectionMonitorsGetDefaultResponse): response is ConnectionMonitorsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ConnectionMonitorsDelete202Response | ConnectionMonitorsDelete204Response | ConnectionMonitorsDeleteDefaultResponse): response is ConnectionMonitorsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ConnectionMonitorsUpdateTags200Response | ConnectionMonitorsUpdateTagsDefaultResponse): response is ConnectionMonitorsUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ConnectionMonitorsStop200Response | ConnectionMonitorsStop202Response | ConnectionMonitorsStopDefaultResponse): response is ConnectionMonitorsStopDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ConnectionMonitorsStart200Response | ConnectionMonitorsStart202Response | ConnectionMonitorsStartDefaultResponse): response is ConnectionMonitorsStartDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ConnectionMonitorsQuery200Response | ConnectionMonitorsQuery202Response | ConnectionMonitorsQueryDefaultResponse): response is ConnectionMonitorsQueryDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ConnectionMonitorsList200Response | ConnectionMonitorsListDefaultResponse): response is ConnectionMonitorsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: FlowLogsCreateOrUpdate200Response | FlowLogsCreateOrUpdate201Response | FlowLogsCreateOrUpdateDefaultResponse): response is FlowLogsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: FlowLogsUpdateTags200Response | FlowLogsUpdateTagsDefaultResponse): response is FlowLogsUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: FlowLogsGet200Response | FlowLogsGetDefaultResponse): response is FlowLogsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: FlowLogsDelete202Response | FlowLogsDelete204Response | FlowLogsDeleteDefaultResponse): response is FlowLogsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: FlowLogsList200Response | FlowLogsListDefaultResponse): response is FlowLogsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: OperationsList200Response | OperationsListDefaultResponse): response is OperationsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PrivateEndpointsDelete200Response | PrivateEndpointsDelete202Response | PrivateEndpointsDelete204Response | PrivateEndpointsDeleteDefaultResponse): response is PrivateEndpointsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PrivateEndpointsGet200Response | PrivateEndpointsGetDefaultResponse): response is PrivateEndpointsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PrivateEndpointsCreateOrUpdate200Response | PrivateEndpointsCreateOrUpdate201Response | PrivateEndpointsCreateOrUpdateDefaultResponse): response is PrivateEndpointsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PrivateEndpointsList200Response | PrivateEndpointsListDefaultResponse): response is PrivateEndpointsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PrivateEndpointsListBySubscription200Response | PrivateEndpointsListBySubscriptionDefaultResponse): response is PrivateEndpointsListBySubscriptionDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: AvailablePrivateEndpointTypesList200Response | AvailablePrivateEndpointTypesListDefaultResponse): response is AvailablePrivateEndpointTypesListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: AvailablePrivateEndpointTypesListByResourceGroup200Response | AvailablePrivateEndpointTypesListByResourceGroupDefaultResponse): response is AvailablePrivateEndpointTypesListByResourceGroupDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PrivateDnsZoneGroupsDelete200Response | PrivateDnsZoneGroupsDelete202Response | PrivateDnsZoneGroupsDelete204Response | PrivateDnsZoneGroupsDeleteDefaultResponse): response is PrivateDnsZoneGroupsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PrivateDnsZoneGroupsGet200Response | PrivateDnsZoneGroupsGetDefaultResponse): response is PrivateDnsZoneGroupsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PrivateDnsZoneGroupsCreateOrUpdate200Response | PrivateDnsZoneGroupsCreateOrUpdate201Response | PrivateDnsZoneGroupsCreateOrUpdateDefaultResponse): response is PrivateDnsZoneGroupsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PrivateDnsZoneGroupsList200Response | PrivateDnsZoneGroupsListDefaultResponse): response is PrivateDnsZoneGroupsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PrivateLinkServicesDelete200Response | PrivateLinkServicesDelete202Response | PrivateLinkServicesDelete204Response | PrivateLinkServicesDeleteDefaultResponse): response is PrivateLinkServicesDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PrivateLinkServicesGet200Response | PrivateLinkServicesGetDefaultResponse): response is PrivateLinkServicesGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PrivateLinkServicesCreateOrUpdate200Response | PrivateLinkServicesCreateOrUpdate201Response | PrivateLinkServicesCreateOrUpdateDefaultResponse): response is PrivateLinkServicesCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PrivateLinkServicesList200Response | PrivateLinkServicesListDefaultResponse): response is PrivateLinkServicesListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PrivateLinkServicesListBySubscription200Response | PrivateLinkServicesListBySubscriptionDefaultResponse): response is PrivateLinkServicesListBySubscriptionDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PrivateLinkServicesGetPrivateEndpointConnection200Response | PrivateLinkServicesGetPrivateEndpointConnectionDefaultResponse): response is PrivateLinkServicesGetPrivateEndpointConnectionDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PrivateLinkServicesUpdatePrivateEndpointConnection200Response | PrivateLinkServicesUpdatePrivateEndpointConnectionDefaultResponse): response is PrivateLinkServicesUpdatePrivateEndpointConnectionDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PrivateLinkServicesDeletePrivateEndpointConnection200Response | PrivateLinkServicesDeletePrivateEndpointConnection202Response | PrivateLinkServicesDeletePrivateEndpointConnection204Response | PrivateLinkServicesDeletePrivateEndpointConnectionDefaultResponse): response is PrivateLinkServicesDeletePrivateEndpointConnectionDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PrivateLinkServicesListPrivateEndpointConnections200Response | PrivateLinkServicesListPrivateEndpointConnectionsDefaultResponse): response is PrivateLinkServicesListPrivateEndpointConnectionsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PrivateLinkServicesCheckPrivateLinkServiceVisibility200Response | PrivateLinkServicesCheckPrivateLinkServiceVisibility202Response | PrivateLinkServicesCheckPrivateLinkServiceVisibilityDefaultResponse): response is PrivateLinkServicesCheckPrivateLinkServiceVisibilityDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PrivateLinkServicesCheckPrivateLinkServiceVisibilityByResourceGroup200Response | PrivateLinkServicesCheckPrivateLinkServiceVisibilityByResourceGroup202Response | PrivateLinkServicesCheckPrivateLinkServiceVisibilityByResourceGroupDefaultResponse): response is PrivateLinkServicesCheckPrivateLinkServiceVisibilityByResourceGroupDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PrivateLinkServicesListAutoApprovedPrivateLinkServices200Response | PrivateLinkServicesListAutoApprovedPrivateLinkServicesDefaultResponse): response is PrivateLinkServicesListAutoApprovedPrivateLinkServicesDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PrivateLinkServicesListAutoApprovedPrivateLinkServicesByResourceGroup200Response | PrivateLinkServicesListAutoApprovedPrivateLinkServicesByResourceGroupDefaultResponse): response is PrivateLinkServicesListAutoApprovedPrivateLinkServicesByResourceGroupDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PublicIPPrefixesDelete200Response | PublicIPPrefixesDelete202Response | PublicIPPrefixesDelete204Response | PublicIPPrefixesDeleteDefaultResponse): response is PublicIPPrefixesDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PublicIPPrefixesGet200Response | PublicIPPrefixesGetDefaultResponse): response is PublicIPPrefixesGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PublicIPPrefixesCreateOrUpdate200Response | PublicIPPrefixesCreateOrUpdate201Response | PublicIPPrefixesCreateOrUpdateDefaultResponse): response is PublicIPPrefixesCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PublicIPPrefixesUpdateTags200Response | PublicIPPrefixesUpdateTagsDefaultResponse): response is PublicIPPrefixesUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PublicIPPrefixesListAll200Response | PublicIPPrefixesListAllDefaultResponse): response is PublicIPPrefixesListAllDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: PublicIPPrefixesList200Response | PublicIPPrefixesListDefaultResponse): response is PublicIPPrefixesListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: RouteFiltersDelete200Response | RouteFiltersDelete202Response | RouteFiltersDelete204Response | RouteFiltersDeleteDefaultResponse): response is RouteFiltersDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: RouteFiltersGet200Response | RouteFiltersGetDefaultResponse): response is RouteFiltersGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: RouteFiltersCreateOrUpdate200Response | RouteFiltersCreateOrUpdate201Response | RouteFiltersCreateOrUpdateDefaultResponse): response is RouteFiltersCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: RouteFiltersUpdateTags200Response | RouteFiltersUpdateTagsDefaultResponse): response is RouteFiltersUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: RouteFiltersListByResourceGroup200Response | RouteFiltersListByResourceGroupDefaultResponse): response is RouteFiltersListByResourceGroupDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: RouteFiltersList200Response | RouteFiltersListDefaultResponse): response is RouteFiltersListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: RouteFilterRulesDelete200Response | RouteFilterRulesDelete202Response | RouteFilterRulesDelete204Response | RouteFilterRulesDeleteDefaultResponse): response is RouteFilterRulesDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: RouteFilterRulesGet200Response | RouteFilterRulesGetDefaultResponse): response is RouteFilterRulesGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: RouteFilterRulesCreateOrUpdate200Response | RouteFilterRulesCreateOrUpdate201Response | RouteFilterRulesCreateOrUpdateDefaultResponse): response is RouteFilterRulesCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: RouteFilterRulesListByRouteFilter200Response | RouteFilterRulesListByRouteFilterDefaultResponse): response is RouteFilterRulesListByRouteFilterDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: RouteTablesDelete200Response | RouteTablesDelete202Response | RouteTablesDelete204Response | RouteTablesDeleteDefaultResponse): response is RouteTablesDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: RouteTablesGet200Response | RouteTablesGetDefaultResponse): response is RouteTablesGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: RouteTablesCreateOrUpdate200Response | RouteTablesCreateOrUpdate201Response | RouteTablesCreateOrUpdateDefaultResponse): response is RouteTablesCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: RouteTablesUpdateTags200Response | RouteTablesUpdateTagsDefaultResponse): response is RouteTablesUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: RouteTablesList200Response | RouteTablesListDefaultResponse): response is RouteTablesListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: RouteTablesListAll200Response | RouteTablesListAllDefaultResponse): response is RouteTablesListAllDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: RoutesDelete200Response | RoutesDelete202Response | RoutesDelete204Response | RoutesDeleteDefaultResponse): response is RoutesDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: RoutesGet200Response | RoutesGetDefaultResponse): response is RoutesGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: RoutesCreateOrUpdate200Response | RoutesCreateOrUpdate201Response | RoutesCreateOrUpdateDefaultResponse): response is RoutesCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: RoutesList200Response | RoutesListDefaultResponse): response is RoutesListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: SecurityPartnerProvidersDelete200Response | SecurityPartnerProvidersDelete202Response | SecurityPartnerProvidersDelete204Response | SecurityPartnerProvidersDeleteDefaultResponse): response is SecurityPartnerProvidersDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: SecurityPartnerProvidersGet200Response | SecurityPartnerProvidersGetDefaultResponse): response is SecurityPartnerProvidersGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: SecurityPartnerProvidersCreateOrUpdate200Response | SecurityPartnerProvidersCreateOrUpdate201Response | SecurityPartnerProvidersCreateOrUpdateDefaultResponse): response is SecurityPartnerProvidersCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: SecurityPartnerProvidersUpdateTags200Response | SecurityPartnerProvidersUpdateTagsDefaultResponse): response is SecurityPartnerProvidersUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: SecurityPartnerProvidersListByResourceGroup200Response | SecurityPartnerProvidersListByResourceGroupDefaultResponse): response is SecurityPartnerProvidersListByResourceGroupDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: SecurityPartnerProvidersList200Response | SecurityPartnerProvidersListDefaultResponse): response is SecurityPartnerProvidersListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: BgpServiceCommunitiesList200Response | BgpServiceCommunitiesListDefaultResponse): response is BgpServiceCommunitiesListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ServiceEndpointPoliciesDelete200Response | ServiceEndpointPoliciesDelete202Response | ServiceEndpointPoliciesDelete204Response | ServiceEndpointPoliciesDeleteDefaultResponse): response is ServiceEndpointPoliciesDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ServiceEndpointPoliciesGet200Response | ServiceEndpointPoliciesGetDefaultResponse): response is ServiceEndpointPoliciesGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ServiceEndpointPoliciesCreateOrUpdate200Response | ServiceEndpointPoliciesCreateOrUpdate201Response | ServiceEndpointPoliciesCreateOrUpdateDefaultResponse): response is ServiceEndpointPoliciesCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ServiceEndpointPoliciesUpdateTags200Response | ServiceEndpointPoliciesUpdateTagsDefaultResponse): response is ServiceEndpointPoliciesUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ServiceEndpointPoliciesList200Response | ServiceEndpointPoliciesListDefaultResponse): response is ServiceEndpointPoliciesListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ServiceEndpointPoliciesListByResourceGroup200Response | ServiceEndpointPoliciesListByResourceGroupDefaultResponse): response is ServiceEndpointPoliciesListByResourceGroupDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ServiceEndpointPolicyDefinitionsDelete200Response | ServiceEndpointPolicyDefinitionsDelete202Response | ServiceEndpointPolicyDefinitionsDelete204Response | ServiceEndpointPolicyDefinitionsDeleteDefaultResponse): response is ServiceEndpointPolicyDefinitionsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ServiceEndpointPolicyDefinitionsGet200Response | ServiceEndpointPolicyDefinitionsGetDefaultResponse): response is ServiceEndpointPolicyDefinitionsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ServiceEndpointPolicyDefinitionsCreateOrUpdate200Response | ServiceEndpointPolicyDefinitionsCreateOrUpdate201Response | ServiceEndpointPolicyDefinitionsCreateOrUpdateDefaultResponse): response is ServiceEndpointPolicyDefinitionsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ServiceEndpointPolicyDefinitionsListByResourceGroup200Response | ServiceEndpointPolicyDefinitionsListByResourceGroupDefaultResponse): response is ServiceEndpointPolicyDefinitionsListByResourceGroupDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ServiceTagsList200Response | ServiceTagsListDefaultResponse): response is ServiceTagsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ServiceTagInformationList200Response | ServiceTagInformationListDefaultResponse): response is ServiceTagInformationListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: UsagesList200Response | UsagesListDefaultResponse): response is UsagesListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworksDelete200Response | VirtualNetworksDelete202Response | VirtualNetworksDelete204Response | VirtualNetworksDeleteDefaultResponse): response is VirtualNetworksDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworksGet200Response | VirtualNetworksGetDefaultResponse): response is VirtualNetworksGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworksCreateOrUpdate200Response | VirtualNetworksCreateOrUpdate201Response | VirtualNetworksCreateOrUpdateDefaultResponse): response is VirtualNetworksCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworksUpdateTags200Response | VirtualNetworksUpdateTagsDefaultResponse): response is VirtualNetworksUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworksListAll200Response | VirtualNetworksListAllDefaultResponse): response is VirtualNetworksListAllDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworksList200Response | VirtualNetworksListDefaultResponse): response is VirtualNetworksListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworksCheckIPAddressAvailability200Response | VirtualNetworksCheckIPAddressAvailabilityDefaultResponse): response is VirtualNetworksCheckIPAddressAvailabilityDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworksListUsage200Response | VirtualNetworksListUsageDefaultResponse): response is VirtualNetworksListUsageDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworksListDdosProtectionStatus200Response | VirtualNetworksListDdosProtectionStatus202Response | VirtualNetworksListDdosProtectionStatusDefaultResponse): response is VirtualNetworksListDdosProtectionStatusDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: SubnetsDelete200Response | SubnetsDelete202Response | SubnetsDelete204Response | SubnetsDeleteDefaultResponse): response is SubnetsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: SubnetsGet200Response | SubnetsGetDefaultResponse): response is SubnetsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: SubnetsCreateOrUpdate200Response | SubnetsCreateOrUpdate201Response | SubnetsCreateOrUpdateDefaultResponse): response is SubnetsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: SubnetsPrepareNetworkPolicies200Response | SubnetsPrepareNetworkPolicies202Response | SubnetsPrepareNetworkPoliciesDefaultResponse): response is SubnetsPrepareNetworkPoliciesDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: SubnetsUnprepareNetworkPolicies200Response | SubnetsUnprepareNetworkPolicies202Response | SubnetsUnprepareNetworkPoliciesDefaultResponse): response is SubnetsUnprepareNetworkPoliciesDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: SubnetsList200Response | SubnetsListDefaultResponse): response is SubnetsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ResourceNavigationLinksList200Response | ResourceNavigationLinksListDefaultResponse): response is ResourceNavigationLinksListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ServiceAssociationLinksList200Response | ServiceAssociationLinksListDefaultResponse): response is ServiceAssociationLinksListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkPeeringsDelete200Response | VirtualNetworkPeeringsDelete202Response | VirtualNetworkPeeringsDelete204Response | VirtualNetworkPeeringsDeleteDefaultResponse): response is VirtualNetworkPeeringsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkPeeringsGet200Response | VirtualNetworkPeeringsGetDefaultResponse): response is VirtualNetworkPeeringsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkPeeringsCreateOrUpdate200Response | VirtualNetworkPeeringsCreateOrUpdate201Response | VirtualNetworkPeeringsCreateOrUpdateDefaultResponse): response is VirtualNetworkPeeringsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkPeeringsList200Response | VirtualNetworkPeeringsListDefaultResponse): response is VirtualNetworkPeeringsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewaysCreateOrUpdate200Response | VirtualNetworkGatewaysCreateOrUpdate201Response | VirtualNetworkGatewaysCreateOrUpdateDefaultResponse): response is VirtualNetworkGatewaysCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewaysGet200Response | VirtualNetworkGatewaysGetDefaultResponse): response is VirtualNetworkGatewaysGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewaysDelete200Response | VirtualNetworkGatewaysDelete202Response | VirtualNetworkGatewaysDelete204Response | VirtualNetworkGatewaysDeleteDefaultResponse): response is VirtualNetworkGatewaysDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewaysUpdateTags200Response | VirtualNetworkGatewaysUpdateTags202Response | VirtualNetworkGatewaysUpdateTagsDefaultResponse): response is VirtualNetworkGatewaysUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewaysList200Response | VirtualNetworkGatewaysListDefaultResponse): response is VirtualNetworkGatewaysListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewaysListConnections200Response | VirtualNetworkGatewaysListConnectionsDefaultResponse): response is VirtualNetworkGatewaysListConnectionsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewaysReset200Response | VirtualNetworkGatewaysReset202Response | VirtualNetworkGatewaysResetDefaultResponse): response is VirtualNetworkGatewaysResetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewaysResetVpnClientSharedKey200Response | VirtualNetworkGatewaysResetVpnClientSharedKey202Response | VirtualNetworkGatewaysResetVpnClientSharedKeyDefaultResponse): response is VirtualNetworkGatewaysResetVpnClientSharedKeyDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewaysGeneratevpnclientpackage200Response | VirtualNetworkGatewaysGeneratevpnclientpackage202Response | VirtualNetworkGatewaysGeneratevpnclientpackageDefaultResponse): response is VirtualNetworkGatewaysGeneratevpnclientpackageDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewaysGenerateVpnProfile200Response | VirtualNetworkGatewaysGenerateVpnProfile202Response | VirtualNetworkGatewaysGenerateVpnProfileDefaultResponse): response is VirtualNetworkGatewaysGenerateVpnProfileDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewaysGetVpnProfilePackageUrl200Response | VirtualNetworkGatewaysGetVpnProfilePackageUrl202Response | VirtualNetworkGatewaysGetVpnProfilePackageUrlDefaultResponse): response is VirtualNetworkGatewaysGetVpnProfilePackageUrlDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewaysGetBgpPeerStatus200Response | VirtualNetworkGatewaysGetBgpPeerStatus202Response | VirtualNetworkGatewaysGetBgpPeerStatusDefaultResponse): response is VirtualNetworkGatewaysGetBgpPeerStatusDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewaysSupportedVpnDevices200Response | VirtualNetworkGatewaysSupportedVpnDevicesDefaultResponse): response is VirtualNetworkGatewaysSupportedVpnDevicesDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewaysGetLearnedRoutes200Response | VirtualNetworkGatewaysGetLearnedRoutes202Response | VirtualNetworkGatewaysGetLearnedRoutesDefaultResponse): response is VirtualNetworkGatewaysGetLearnedRoutesDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewaysGetAdvertisedRoutes200Response | VirtualNetworkGatewaysGetAdvertisedRoutes202Response | VirtualNetworkGatewaysGetAdvertisedRoutesDefaultResponse): response is VirtualNetworkGatewaysGetAdvertisedRoutesDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewaysSetVpnclientIpsecParameters200Response | VirtualNetworkGatewaysSetVpnclientIpsecParameters202Response | VirtualNetworkGatewaysSetVpnclientIpsecParametersDefaultResponse): response is VirtualNetworkGatewaysSetVpnclientIpsecParametersDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewaysGetVpnclientIpsecParameters200Response | VirtualNetworkGatewaysGetVpnclientIpsecParametersDefaultResponse): response is VirtualNetworkGatewaysGetVpnclientIpsecParametersDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewaysVpnDeviceConfigurationScript200Response | VirtualNetworkGatewaysVpnDeviceConfigurationScriptDefaultResponse): response is VirtualNetworkGatewaysVpnDeviceConfigurationScriptDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewaysStartPacketCapture200Response | VirtualNetworkGatewaysStartPacketCapture202Response | VirtualNetworkGatewaysStartPacketCaptureDefaultResponse): response is VirtualNetworkGatewaysStartPacketCaptureDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewaysStopPacketCapture200Response | VirtualNetworkGatewaysStopPacketCapture202Response | VirtualNetworkGatewaysStopPacketCaptureDefaultResponse): response is VirtualNetworkGatewaysStopPacketCaptureDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewaysGetVpnclientConnectionHealth200Response | VirtualNetworkGatewaysGetVpnclientConnectionHealth202Response | VirtualNetworkGatewaysGetVpnclientConnectionHealthDefaultResponse): response is VirtualNetworkGatewaysGetVpnclientConnectionHealthDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewaysDisconnectVirtualNetworkGatewayVpnConnections200Response | VirtualNetworkGatewaysDisconnectVirtualNetworkGatewayVpnConnections202Response | VirtualNetworkGatewaysDisconnectVirtualNetworkGatewayVpnConnectionsDefaultResponse): response is VirtualNetworkGatewaysDisconnectVirtualNetworkGatewayVpnConnectionsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewayConnectionsCreateOrUpdate200Response | VirtualNetworkGatewayConnectionsCreateOrUpdate201Response | VirtualNetworkGatewayConnectionsCreateOrUpdateDefaultResponse): response is VirtualNetworkGatewayConnectionsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewayConnectionsGet200Response | VirtualNetworkGatewayConnectionsGetDefaultResponse): response is VirtualNetworkGatewayConnectionsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewayConnectionsDelete200Response | VirtualNetworkGatewayConnectionsDelete202Response | VirtualNetworkGatewayConnectionsDelete204Response | VirtualNetworkGatewayConnectionsDeleteDefaultResponse): response is VirtualNetworkGatewayConnectionsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewayConnectionsUpdateTags200Response | VirtualNetworkGatewayConnectionsUpdateTags202Response | VirtualNetworkGatewayConnectionsUpdateTagsDefaultResponse): response is VirtualNetworkGatewayConnectionsUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewayConnectionsSetSharedKey200Response | VirtualNetworkGatewayConnectionsSetSharedKey201Response | VirtualNetworkGatewayConnectionsSetSharedKeyDefaultResponse): response is VirtualNetworkGatewayConnectionsSetSharedKeyDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewayConnectionsGetSharedKey200Response | VirtualNetworkGatewayConnectionsGetSharedKeyDefaultResponse): response is VirtualNetworkGatewayConnectionsGetSharedKeyDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewayConnectionsList200Response | VirtualNetworkGatewayConnectionsListDefaultResponse): response is VirtualNetworkGatewayConnectionsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewayConnectionsResetSharedKey200Response | VirtualNetworkGatewayConnectionsResetSharedKey202Response | VirtualNetworkGatewayConnectionsResetSharedKeyDefaultResponse): response is VirtualNetworkGatewayConnectionsResetSharedKeyDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewayConnectionsStartPacketCapture200Response | VirtualNetworkGatewayConnectionsStartPacketCapture202Response | VirtualNetworkGatewayConnectionsStartPacketCaptureDefaultResponse): response is VirtualNetworkGatewayConnectionsStartPacketCaptureDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewayConnectionsStopPacketCapture200Response | VirtualNetworkGatewayConnectionsStopPacketCapture202Response | VirtualNetworkGatewayConnectionsStopPacketCaptureDefaultResponse): response is VirtualNetworkGatewayConnectionsStopPacketCaptureDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewayConnectionsGetIkeSas200Response | VirtualNetworkGatewayConnectionsGetIkeSas202Response | VirtualNetworkGatewayConnectionsGetIkeSasDefaultResponse): response is VirtualNetworkGatewayConnectionsGetIkeSasDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewayConnectionsResetConnection202Response | VirtualNetworkGatewayConnectionsResetConnectionDefaultResponse): response is VirtualNetworkGatewayConnectionsResetConnectionDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: LocalNetworkGatewaysCreateOrUpdate200Response | LocalNetworkGatewaysCreateOrUpdate201Response | LocalNetworkGatewaysCreateOrUpdateDefaultResponse): response is LocalNetworkGatewaysCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: LocalNetworkGatewaysGet200Response | LocalNetworkGatewaysGetDefaultResponse): response is LocalNetworkGatewaysGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: LocalNetworkGatewaysDelete200Response | LocalNetworkGatewaysDelete202Response | LocalNetworkGatewaysDelete204Response | LocalNetworkGatewaysDeleteDefaultResponse): response is LocalNetworkGatewaysDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: LocalNetworkGatewaysUpdateTags200Response | LocalNetworkGatewaysUpdateTagsDefaultResponse): response is LocalNetworkGatewaysUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: LocalNetworkGatewaysList200Response | LocalNetworkGatewaysListDefaultResponse): response is LocalNetworkGatewaysListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewayNatRulesGet200Response | VirtualNetworkGatewayNatRulesGetDefaultResponse): response is VirtualNetworkGatewayNatRulesGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewayNatRulesCreateOrUpdate200Response | VirtualNetworkGatewayNatRulesCreateOrUpdate201Response | VirtualNetworkGatewayNatRulesCreateOrUpdateDefaultResponse): response is VirtualNetworkGatewayNatRulesCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewayNatRulesDelete200Response | VirtualNetworkGatewayNatRulesDelete202Response | VirtualNetworkGatewayNatRulesDelete204Response | VirtualNetworkGatewayNatRulesDeleteDefaultResponse): response is VirtualNetworkGatewayNatRulesDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkGatewayNatRulesListByVirtualNetworkGateway200Response | VirtualNetworkGatewayNatRulesListByVirtualNetworkGatewayDefaultResponse): response is VirtualNetworkGatewayNatRulesListByVirtualNetworkGatewayDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkTapsDelete200Response | VirtualNetworkTapsDelete202Response | VirtualNetworkTapsDelete204Response | VirtualNetworkTapsDeleteDefaultResponse): response is VirtualNetworkTapsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkTapsGet200Response | VirtualNetworkTapsGetDefaultResponse): response is VirtualNetworkTapsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkTapsCreateOrUpdate200Response | VirtualNetworkTapsCreateOrUpdate201Response | VirtualNetworkTapsCreateOrUpdateDefaultResponse): response is VirtualNetworkTapsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkTapsUpdateTags200Response | VirtualNetworkTapsUpdateTagsDefaultResponse): response is VirtualNetworkTapsUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkTapsListAll200Response | VirtualNetworkTapsListAllDefaultResponse): response is VirtualNetworkTapsListAllDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualNetworkTapsListByResourceGroup200Response | VirtualNetworkTapsListByResourceGroupDefaultResponse): response is VirtualNetworkTapsListByResourceGroupDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualRoutersDelete200Response | VirtualRoutersDelete202Response | VirtualRoutersDelete204Response | VirtualRoutersDeleteDefaultResponse): response is VirtualRoutersDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualRoutersGet200Response | VirtualRoutersGetDefaultResponse): response is VirtualRoutersGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualRoutersCreateOrUpdate200Response | VirtualRoutersCreateOrUpdate201Response | VirtualRoutersCreateOrUpdateDefaultResponse): response is VirtualRoutersCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualRoutersListByResourceGroup200Response | VirtualRoutersListByResourceGroupDefaultResponse): response is VirtualRoutersListByResourceGroupDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualRoutersList200Response | VirtualRoutersListDefaultResponse): response is VirtualRoutersListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualRouterPeeringsDelete200Response | VirtualRouterPeeringsDelete202Response | VirtualRouterPeeringsDelete204Response | VirtualRouterPeeringsDeleteDefaultResponse): response is VirtualRouterPeeringsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualRouterPeeringsGet200Response | VirtualRouterPeeringsGetDefaultResponse): response is VirtualRouterPeeringsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualRouterPeeringsCreateOrUpdate200Response | VirtualRouterPeeringsCreateOrUpdate201Response | VirtualRouterPeeringsCreateOrUpdateDefaultResponse): response is VirtualRouterPeeringsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualRouterPeeringsList200Response | VirtualRouterPeeringsListDefaultResponse): response is VirtualRouterPeeringsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualWansGet200Response | VirtualWansGetDefaultResponse): response is VirtualWansGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualWansCreateOrUpdate200Response | VirtualWansCreateOrUpdate201Response | VirtualWansCreateOrUpdateDefaultResponse): response is VirtualWansCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualWansUpdateTags200Response | VirtualWansUpdateTagsDefaultResponse): response is VirtualWansUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualWansDelete200Response | VirtualWansDelete202Response | VirtualWansDelete204Response | VirtualWansDeleteDefaultResponse): response is VirtualWansDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualWansListByResourceGroup200Response | VirtualWansListByResourceGroupDefaultResponse): response is VirtualWansListByResourceGroupDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualWansList200Response | VirtualWansListDefaultResponse): response is VirtualWansListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnSitesGet200Response | VpnSitesGetDefaultResponse): response is VpnSitesGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnSitesCreateOrUpdate200Response | VpnSitesCreateOrUpdate201Response | VpnSitesCreateOrUpdateDefaultResponse): response is VpnSitesCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnSitesUpdateTags200Response | VpnSitesUpdateTagsDefaultResponse): response is VpnSitesUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnSitesDelete200Response | VpnSitesDelete202Response | VpnSitesDelete204Response | VpnSitesDeleteDefaultResponse): response is VpnSitesDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnSitesListByResourceGroup200Response | VpnSitesListByResourceGroupDefaultResponse): response is VpnSitesListByResourceGroupDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnSitesList200Response | VpnSitesListDefaultResponse): response is VpnSitesListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnSiteLinksGet200Response | VpnSiteLinksGetDefaultResponse): response is VpnSiteLinksGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnSiteLinksListByVpnSite200Response | VpnSiteLinksListByVpnSiteDefaultResponse): response is VpnSiteLinksListByVpnSiteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnSitesConfigurationDownload200Response | VpnSitesConfigurationDownload202Response | VpnSitesConfigurationDownloadDefaultResponse): response is VpnSitesConfigurationDownloadDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnServerConfigurationsGet200Response | VpnServerConfigurationsGetDefaultResponse): response is VpnServerConfigurationsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnServerConfigurationsCreateOrUpdate200Response | VpnServerConfigurationsCreateOrUpdate201Response | VpnServerConfigurationsCreateOrUpdateDefaultResponse): response is VpnServerConfigurationsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnServerConfigurationsUpdateTags200Response | VpnServerConfigurationsUpdateTagsDefaultResponse): response is VpnServerConfigurationsUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnServerConfigurationsDelete200Response | VpnServerConfigurationsDelete202Response | VpnServerConfigurationsDelete204Response | VpnServerConfigurationsDeleteDefaultResponse): response is VpnServerConfigurationsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnServerConfigurationsListByResourceGroup200Response | VpnServerConfigurationsListByResourceGroupDefaultResponse): response is VpnServerConfigurationsListByResourceGroupDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnServerConfigurationsList200Response | VpnServerConfigurationsListDefaultResponse): response is VpnServerConfigurationsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ConfigurationPolicyGroupsCreateOrUpdate200Response | ConfigurationPolicyGroupsCreateOrUpdate201Response | ConfigurationPolicyGroupsCreateOrUpdateDefaultResponse): response is ConfigurationPolicyGroupsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ConfigurationPolicyGroupsDelete200Response | ConfigurationPolicyGroupsDelete202Response | ConfigurationPolicyGroupsDelete204Response | ConfigurationPolicyGroupsDeleteDefaultResponse): response is ConfigurationPolicyGroupsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ConfigurationPolicyGroupsGet200Response | ConfigurationPolicyGroupsGetDefaultResponse): response is ConfigurationPolicyGroupsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ConfigurationPolicyGroupsListByVpnServerConfiguration200Response | ConfigurationPolicyGroupsListByVpnServerConfigurationDefaultResponse): response is ConfigurationPolicyGroupsListByVpnServerConfigurationDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualHubsGet200Response | VirtualHubsGetDefaultResponse): response is VirtualHubsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualHubsCreateOrUpdate200Response | VirtualHubsCreateOrUpdate201Response | VirtualHubsCreateOrUpdateDefaultResponse): response is VirtualHubsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualHubsUpdateTags200Response | VirtualHubsUpdateTagsDefaultResponse): response is VirtualHubsUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualHubsDelete200Response | VirtualHubsDelete202Response | VirtualHubsDelete204Response | VirtualHubsDeleteDefaultResponse): response is VirtualHubsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualHubsListByResourceGroup200Response | VirtualHubsListByResourceGroupDefaultResponse): response is VirtualHubsListByResourceGroupDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualHubsList200Response | VirtualHubsListDefaultResponse): response is VirtualHubsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualHubsGetEffectiveVirtualHubRoutes200Response | VirtualHubsGetEffectiveVirtualHubRoutes202Response | VirtualHubsGetEffectiveVirtualHubRoutesDefaultResponse): response is VirtualHubsGetEffectiveVirtualHubRoutesDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualHubsGetInboundRoutes200Response | VirtualHubsGetInboundRoutes202Response | VirtualHubsGetInboundRoutesDefaultResponse): response is VirtualHubsGetInboundRoutesDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualHubsGetOutboundRoutes200Response | VirtualHubsGetOutboundRoutes202Response | VirtualHubsGetOutboundRoutesDefaultResponse): response is VirtualHubsGetOutboundRoutesDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: RouteMapsGet200Response | RouteMapsGetDefaultResponse): response is RouteMapsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: RouteMapsCreateOrUpdate200Response | RouteMapsCreateOrUpdate201Response | RouteMapsCreateOrUpdateDefaultResponse): response is RouteMapsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: RouteMapsDelete200Response | RouteMapsDelete202Response | RouteMapsDelete204Response | RouteMapsDeleteDefaultResponse): response is RouteMapsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: RouteMapsList200Response | RouteMapsListDefaultResponse): response is RouteMapsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: HubVirtualNetworkConnectionsCreateOrUpdate200Response | HubVirtualNetworkConnectionsCreateOrUpdate201Response | HubVirtualNetworkConnectionsCreateOrUpdateDefaultResponse): response is HubVirtualNetworkConnectionsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: HubVirtualNetworkConnectionsDelete200Response | HubVirtualNetworkConnectionsDelete202Response | HubVirtualNetworkConnectionsDelete204Response | HubVirtualNetworkConnectionsDeleteDefaultResponse): response is HubVirtualNetworkConnectionsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: HubVirtualNetworkConnectionsGet200Response | HubVirtualNetworkConnectionsGetDefaultResponse): response is HubVirtualNetworkConnectionsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: HubVirtualNetworkConnectionsList200Response | HubVirtualNetworkConnectionsListDefaultResponse): response is HubVirtualNetworkConnectionsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnGatewaysGet200Response | VpnGatewaysGetDefaultResponse): response is VpnGatewaysGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnGatewaysCreateOrUpdate200Response | VpnGatewaysCreateOrUpdate201Response | VpnGatewaysCreateOrUpdateDefaultResponse): response is VpnGatewaysCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnGatewaysUpdateTags200Response | VpnGatewaysUpdateTags202Response | VpnGatewaysUpdateTagsDefaultResponse): response is VpnGatewaysUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnGatewaysDelete200Response | VpnGatewaysDelete202Response | VpnGatewaysDelete204Response | VpnGatewaysDeleteDefaultResponse): response is VpnGatewaysDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnGatewaysReset200Response | VpnGatewaysReset202Response | VpnGatewaysResetDefaultResponse): response is VpnGatewaysResetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnGatewaysStartPacketCapture200Response | VpnGatewaysStartPacketCapture202Response | VpnGatewaysStartPacketCaptureDefaultResponse): response is VpnGatewaysStartPacketCaptureDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnGatewaysStopPacketCapture200Response | VpnGatewaysStopPacketCapture202Response | VpnGatewaysStopPacketCaptureDefaultResponse): response is VpnGatewaysStopPacketCaptureDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnGatewaysListByResourceGroup200Response | VpnGatewaysListByResourceGroupDefaultResponse): response is VpnGatewaysListByResourceGroupDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnGatewaysList200Response | VpnGatewaysListDefaultResponse): response is VpnGatewaysListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnLinkConnectionsResetConnection202Response | VpnLinkConnectionsResetConnectionDefaultResponse): response is VpnLinkConnectionsResetConnectionDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnLinkConnectionsGetIkeSas200Response | VpnLinkConnectionsGetIkeSas202Response | VpnLinkConnectionsGetIkeSasDefaultResponse): response is VpnLinkConnectionsGetIkeSasDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnLinkConnectionsListByVpnConnection200Response | VpnLinkConnectionsListByVpnConnectionDefaultResponse): response is VpnLinkConnectionsListByVpnConnectionDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnConnectionsGet200Response | VpnConnectionsGetDefaultResponse): response is VpnConnectionsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnConnectionsCreateOrUpdate200Response | VpnConnectionsCreateOrUpdate201Response | VpnConnectionsCreateOrUpdateDefaultResponse): response is VpnConnectionsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnConnectionsDelete200Response | VpnConnectionsDelete202Response | VpnConnectionsDelete204Response | VpnConnectionsDeleteDefaultResponse): response is VpnConnectionsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnConnectionsStartPacketCapture200Response | VpnConnectionsStartPacketCapture202Response | VpnConnectionsStartPacketCaptureDefaultResponse): response is VpnConnectionsStartPacketCaptureDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnConnectionsStopPacketCapture200Response | VpnConnectionsStopPacketCapture202Response | VpnConnectionsStopPacketCaptureDefaultResponse): response is VpnConnectionsStopPacketCaptureDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnConnectionsListByVpnGateway200Response | VpnConnectionsListByVpnGatewayDefaultResponse): response is VpnConnectionsListByVpnGatewayDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnSiteLinkConnectionsGet200Response | VpnSiteLinkConnectionsGetDefaultResponse): response is VpnSiteLinkConnectionsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NatRulesGet200Response | NatRulesGetDefaultResponse): response is NatRulesGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NatRulesCreateOrUpdate200Response | NatRulesCreateOrUpdate201Response | NatRulesCreateOrUpdateDefaultResponse): response is NatRulesCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NatRulesDelete200Response | NatRulesDelete202Response | NatRulesDelete204Response | NatRulesDeleteDefaultResponse): response is NatRulesDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: NatRulesListByVpnGateway200Response | NatRulesListByVpnGatewayDefaultResponse): response is NatRulesListByVpnGatewayDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: P2SVpnGatewaysGet200Response | P2SVpnGatewaysGetDefaultResponse): response is P2SVpnGatewaysGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: P2SVpnGatewaysCreateOrUpdate200Response | P2SVpnGatewaysCreateOrUpdate201Response | P2SVpnGatewaysCreateOrUpdateDefaultResponse): response is P2SVpnGatewaysCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: P2SVpnGatewaysUpdateTags200Response | P2SVpnGatewaysUpdateTags202Response | P2SVpnGatewaysUpdateTagsDefaultResponse): response is P2SVpnGatewaysUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: P2SVpnGatewaysDelete200Response | P2SVpnGatewaysDelete202Response | P2SVpnGatewaysDelete204Response | P2SVpnGatewaysDeleteDefaultResponse): response is P2SVpnGatewaysDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: P2SVpnGatewaysListByResourceGroup200Response | P2SVpnGatewaysListByResourceGroupDefaultResponse): response is P2SVpnGatewaysListByResourceGroupDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: P2SVpnGatewaysList200Response | P2SVpnGatewaysListDefaultResponse): response is P2SVpnGatewaysListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: P2SVpnGatewaysReset200Response | P2SVpnGatewaysReset202Response | P2SVpnGatewaysResetDefaultResponse): response is P2SVpnGatewaysResetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: P2SVpnGatewaysGenerateVpnProfile200Response | P2SVpnGatewaysGenerateVpnProfile202Response | P2SVpnGatewaysGenerateVpnProfileDefaultResponse): response is P2SVpnGatewaysGenerateVpnProfileDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: P2SVpnGatewaysGetP2SVpnConnectionHealth200Response | P2SVpnGatewaysGetP2SVpnConnectionHealth202Response | P2SVpnGatewaysGetP2SVpnConnectionHealthDefaultResponse): response is P2SVpnGatewaysGetP2SVpnConnectionHealthDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: P2SVpnGatewaysGetP2SVpnConnectionHealthDetailed200Response | P2SVpnGatewaysGetP2SVpnConnectionHealthDetailed202Response | P2SVpnGatewaysGetP2SVpnConnectionHealthDetailedDefaultResponse): response is P2SVpnGatewaysGetP2SVpnConnectionHealthDetailedDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: P2SVpnGatewaysDisconnectP2SVpnConnections200Response | P2SVpnGatewaysDisconnectP2SVpnConnections202Response | P2SVpnGatewaysDisconnectP2SVpnConnectionsDefaultResponse): response is P2SVpnGatewaysDisconnectP2SVpnConnectionsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VpnServerConfigurationsAssociatedWithVirtualWanList200Response | VpnServerConfigurationsAssociatedWithVirtualWanList202Response | VpnServerConfigurationsAssociatedWithVirtualWanListDefaultResponse): response is VpnServerConfigurationsAssociatedWithVirtualWanListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualHubRouteTableV2SGet200Response | VirtualHubRouteTableV2SGetDefaultResponse): response is VirtualHubRouteTableV2SGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualHubRouteTableV2SCreateOrUpdate200Response | VirtualHubRouteTableV2SCreateOrUpdate201Response | VirtualHubRouteTableV2SCreateOrUpdateDefaultResponse): response is VirtualHubRouteTableV2SCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualHubRouteTableV2SDelete200Response | VirtualHubRouteTableV2SDelete202Response | VirtualHubRouteTableV2SDelete204Response | VirtualHubRouteTableV2SDeleteDefaultResponse): response is VirtualHubRouteTableV2SDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualHubRouteTableV2SList200Response | VirtualHubRouteTableV2SListDefaultResponse): response is VirtualHubRouteTableV2SListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteGatewaysListBySubscription200Response | ExpressRouteGatewaysListBySubscriptionDefaultResponse): response is ExpressRouteGatewaysListBySubscriptionDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteGatewaysListByResourceGroup200Response | ExpressRouteGatewaysListByResourceGroupDefaultResponse): response is ExpressRouteGatewaysListByResourceGroupDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteGatewaysCreateOrUpdate200Response | ExpressRouteGatewaysCreateOrUpdate201Response | ExpressRouteGatewaysCreateOrUpdateDefaultResponse): response is ExpressRouteGatewaysCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteGatewaysUpdateTags200Response | ExpressRouteGatewaysUpdateTags202Response | ExpressRouteGatewaysUpdateTagsDefaultResponse): response is ExpressRouteGatewaysUpdateTagsDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteGatewaysGet200Response | ExpressRouteGatewaysGetDefaultResponse): response is ExpressRouteGatewaysGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteGatewaysDelete200Response | ExpressRouteGatewaysDelete202Response | ExpressRouteGatewaysDelete204Response | ExpressRouteGatewaysDeleteDefaultResponse): response is ExpressRouteGatewaysDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteConnectionsCreateOrUpdate200Response | ExpressRouteConnectionsCreateOrUpdate201Response | ExpressRouteConnectionsCreateOrUpdateDefaultResponse): response is ExpressRouteConnectionsCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteConnectionsGet200Response | ExpressRouteConnectionsGetDefaultResponse): response is ExpressRouteConnectionsGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteConnectionsDelete200Response | ExpressRouteConnectionsDelete202Response | ExpressRouteConnectionsDelete204Response | ExpressRouteConnectionsDeleteDefaultResponse): response is ExpressRouteConnectionsDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: ExpressRouteConnectionsList200Response | ExpressRouteConnectionsListDefaultResponse): response is ExpressRouteConnectionsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualHubBgpConnectionGet200Response | VirtualHubBgpConnectionGetDefaultResponse): response is VirtualHubBgpConnectionGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualHubBgpConnectionCreateOrUpdate200Response | VirtualHubBgpConnectionCreateOrUpdate201Response | VirtualHubBgpConnectionCreateOrUpdateDefaultResponse): response is VirtualHubBgpConnectionCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualHubBgpConnectionDelete200Response | VirtualHubBgpConnectionDelete202Response | VirtualHubBgpConnectionDelete204Response | VirtualHubBgpConnectionDeleteDefaultResponse): response is VirtualHubBgpConnectionDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualHubBgpConnectionsList200Response | VirtualHubBgpConnectionsListDefaultResponse): response is VirtualHubBgpConnectionsListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualHubBgpConnectionsListLearnedRoutes200Response | VirtualHubBgpConnectionsListLearnedRoutes202Response | VirtualHubBgpConnectionsListLearnedRoutesDefaultResponse): response is VirtualHubBgpConnectionsListLearnedRoutesDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualHubBgpConnectionsListAdvertisedRoutes200Response | VirtualHubBgpConnectionsListAdvertisedRoutes202Response | VirtualHubBgpConnectionsListAdvertisedRoutesDefaultResponse): response is VirtualHubBgpConnectionsListAdvertisedRoutesDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualHubIpConfigurationGet200Response | VirtualHubIpConfigurationGetDefaultResponse): response is VirtualHubIpConfigurationGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualHubIpConfigurationCreateOrUpdate200Response | VirtualHubIpConfigurationCreateOrUpdate201Response | VirtualHubIpConfigurationCreateOrUpdateDefaultResponse): response is VirtualHubIpConfigurationCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualHubIpConfigurationDelete200Response | VirtualHubIpConfigurationDelete202Response | VirtualHubIpConfigurationDelete204Response | VirtualHubIpConfigurationDeleteDefaultResponse): response is VirtualHubIpConfigurationDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VirtualHubIpConfigurationList200Response | VirtualHubIpConfigurationListDefaultResponse): response is VirtualHubIpConfigurationListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: HubRouteTablesCreateOrUpdate200Response | HubRouteTablesCreateOrUpdate201Response | HubRouteTablesCreateOrUpdateDefaultResponse): response is HubRouteTablesCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: HubRouteTablesGet200Response | HubRouteTablesGetDefaultResponse): response is HubRouteTablesGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: HubRouteTablesDelete200Response | HubRouteTablesDelete202Response | HubRouteTablesDelete204Response | HubRouteTablesDeleteDefaultResponse): response is HubRouteTablesDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: HubRouteTablesList200Response | HubRouteTablesListDefaultResponse): response is HubRouteTablesListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: RoutingIntentCreateOrUpdate200Response | RoutingIntentCreateOrUpdate201Response | RoutingIntentCreateOrUpdateDefaultResponse): response is RoutingIntentCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: RoutingIntentGet200Response | RoutingIntentGetDefaultResponse): response is RoutingIntentGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: RoutingIntentDelete200Response | RoutingIntentDelete202Response | RoutingIntentDelete204Response | RoutingIntentDeleteDefaultResponse): response is RoutingIntentDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: RoutingIntentList200Response | RoutingIntentListDefaultResponse): response is RoutingIntentListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: WebApplicationFirewallPoliciesList200Response | WebApplicationFirewallPoliciesListDefaultResponse): response is WebApplicationFirewallPoliciesListDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: WebApplicationFirewallPoliciesListAll200Response | WebApplicationFirewallPoliciesListAllDefaultResponse): response is WebApplicationFirewallPoliciesListAllDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: WebApplicationFirewallPoliciesGet200Response | WebApplicationFirewallPoliciesGetDefaultResponse): response is WebApplicationFirewallPoliciesGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: WebApplicationFirewallPoliciesCreateOrUpdate200Response | WebApplicationFirewallPoliciesCreateOrUpdate201Response | WebApplicationFirewallPoliciesCreateOrUpdateDefaultResponse): response is WebApplicationFirewallPoliciesCreateOrUpdateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: WebApplicationFirewallPoliciesDelete200Response | WebApplicationFirewallPoliciesDelete202Response | WebApplicationFirewallPoliciesDelete204Response | WebApplicationFirewallPoliciesDeleteDefaultResponse): response is WebApplicationFirewallPoliciesDeleteDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VipSwapGet200Response | VipSwapGetDefaultResponse): response is VipSwapGetDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VipSwapCreate200Response | VipSwapCreate202Response | VipSwapCreateDefaultResponse): response is VipSwapCreateDefaultResponse;

// @public (undocumented)
export function isUnexpected(response: VipSwapList200Response | VipSwapListDefaultResponse): response is VipSwapListDefaultResponse;

// @public (undocumented)
export interface ListActiveConnectivityConfigurations {
    post(options: ListActiveConnectivityConfigurationsParameters): StreamableMethod<ListActiveConnectivityConfigurations200Response | ListActiveConnectivityConfigurationsDefaultResponse>;
}

// @public
export interface ListActiveConnectivityConfigurations200Response extends HttpResponse {
    // (undocumented)
    body: ActiveConnectivityConfigurationsListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface ListActiveConnectivityConfigurationsBodyParam {
    body: ActiveConfigurationParameter;
}

// @public
export interface ListActiveConnectivityConfigurationsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ListActiveConnectivityConfigurationsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ListActiveConnectivityConfigurationsParameters = ListActiveConnectivityConfigurationsQueryParam & ListActiveConnectivityConfigurationsMediaTypesParam & ListActiveConnectivityConfigurationsBodyParam & RequestParameters;

// @public (undocumented)
export interface ListActiveConnectivityConfigurationsQueryParam {
    // (undocumented)
    queryParameters: ListActiveConnectivityConfigurationsQueryParamProperties;
}

// @public (undocumented)
export interface ListActiveConnectivityConfigurationsQueryParamProperties {
    "api-version": "2022-05-01";
    $top?: number;
}

// @public (undocumented)
export interface ListActiveSecurityAdminRules {
    post(options: ListActiveSecurityAdminRulesParameters): StreamableMethod<ListActiveSecurityAdminRules200Response | ListActiveSecurityAdminRulesDefaultResponse>;
}

// @public
export interface ListActiveSecurityAdminRules200Response extends HttpResponse {
    // (undocumented)
    body: ActiveSecurityAdminRulesListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface ListActiveSecurityAdminRulesBodyParam {
    body: ActiveConfigurationParameter;
}

// @public
export interface ListActiveSecurityAdminRulesDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ListActiveSecurityAdminRulesMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ListActiveSecurityAdminRulesParameters = ListActiveSecurityAdminRulesQueryParam & ListActiveSecurityAdminRulesMediaTypesParam & ListActiveSecurityAdminRulesBodyParam & RequestParameters;

// @public (undocumented)
export interface ListActiveSecurityAdminRulesQueryParam {
    // (undocumented)
    queryParameters: ListActiveSecurityAdminRulesQueryParamProperties;
}

// @public (undocumented)
export interface ListActiveSecurityAdminRulesQueryParamProperties {
    "api-version": "2022-05-01";
    $top?: number;
}

// @public
export interface ListHubRouteTablesResultOutput {
    nextLink?: string;
    value?: Array<HubRouteTableOutput>;
}

// @public
export interface ListHubVirtualNetworkConnectionsResultOutput {
    nextLink?: string;
    value?: Array<HubVirtualNetworkConnectionOutput>;
}

// @public (undocumented)
export interface ListNetworkManagerEffectiveConnectivityConfigurations {
    post(options: ListNetworkManagerEffectiveConnectivityConfigurationsParameters): StreamableMethod<ListNetworkManagerEffectiveConnectivityConfigurations200Response | ListNetworkManagerEffectiveConnectivityConfigurationsDefaultResponse>;
}

// @public
export interface ListNetworkManagerEffectiveConnectivityConfigurations200Response extends HttpResponse {
    // (undocumented)
    body: NetworkManagerEffectiveConnectivityConfigurationListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface ListNetworkManagerEffectiveConnectivityConfigurationsBodyParam {
    body: QueryRequestOptions;
}

// @public
export interface ListNetworkManagerEffectiveConnectivityConfigurationsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ListNetworkManagerEffectiveConnectivityConfigurationsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ListNetworkManagerEffectiveConnectivityConfigurationsParameters = ListNetworkManagerEffectiveConnectivityConfigurationsQueryParam & ListNetworkManagerEffectiveConnectivityConfigurationsMediaTypesParam & ListNetworkManagerEffectiveConnectivityConfigurationsBodyParam & RequestParameters;

// @public (undocumented)
export interface ListNetworkManagerEffectiveConnectivityConfigurationsQueryParam {
    // (undocumented)
    queryParameters: ListNetworkManagerEffectiveConnectivityConfigurationsQueryParamProperties;
}

// @public (undocumented)
export interface ListNetworkManagerEffectiveConnectivityConfigurationsQueryParamProperties {
    "api-version": "2022-05-01";
    $top?: number;
}

// @public (undocumented)
export interface ListNetworkManagerEffectiveSecurityAdminRules {
    post(options: ListNetworkManagerEffectiveSecurityAdminRulesParameters): StreamableMethod<ListNetworkManagerEffectiveSecurityAdminRules200Response | ListNetworkManagerEffectiveSecurityAdminRulesDefaultResponse>;
}

// @public
export interface ListNetworkManagerEffectiveSecurityAdminRules200Response extends HttpResponse {
    // (undocumented)
    body: NetworkManagerEffectiveSecurityAdminRulesListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface ListNetworkManagerEffectiveSecurityAdminRulesBodyParam {
    body: QueryRequestOptions;
}

// @public
export interface ListNetworkManagerEffectiveSecurityAdminRulesDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ListNetworkManagerEffectiveSecurityAdminRulesMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ListNetworkManagerEffectiveSecurityAdminRulesParameters = ListNetworkManagerEffectiveSecurityAdminRulesQueryParam & ListNetworkManagerEffectiveSecurityAdminRulesMediaTypesParam & ListNetworkManagerEffectiveSecurityAdminRulesBodyParam & RequestParameters;

// @public (undocumented)
export interface ListNetworkManagerEffectiveSecurityAdminRulesQueryParam {
    // (undocumented)
    queryParameters: ListNetworkManagerEffectiveSecurityAdminRulesQueryParamProperties;
}

// @public (undocumented)
export interface ListNetworkManagerEffectiveSecurityAdminRulesQueryParamProperties {
    "api-version": "2022-05-01";
    $top?: number;
}

// @public
export interface ListP2SVpnGatewaysResultOutput {
    nextLink?: string;
    value?: Array<P2SVpnGatewayOutput>;
}

// @public
export interface ListRouteMapsResultOutput {
    nextLink?: string;
    value?: Array<RouteMapOutput>;
}

// @public
export interface ListRoutingIntentResultOutput {
    nextLink?: string;
    value?: Array<RoutingIntentOutput>;
}

// @public
export interface ListVirtualHubBgpConnectionResultsOutput {
    nextLink?: string;
    value?: Array<BgpConnectionOutput>;
}

// @public
export interface ListVirtualHubIpConfigurationResultsOutput {
    nextLink?: string;
    value?: Array<HubIpConfigurationOutput>;
}

// @public
export interface ListVirtualHubRouteTableV2SResultOutput {
    nextLink?: string;
    value?: Array<VirtualHubRouteTableV2Output>;
}

// @public
export interface ListVirtualHubsResultOutput {
    nextLink?: string;
    value?: Array<VirtualHubOutput>;
}

// @public
export interface ListVirtualNetworkGatewayNatRulesResultOutput {
    nextLink?: string;
    value?: Array<VirtualNetworkGatewayNatRuleOutput>;
}

// @public
export interface ListVirtualWANsResultOutput {
    nextLink?: string;
    value?: Array<VirtualWANOutput>;
}

// @public
export interface ListVpnConnectionsResultOutput {
    nextLink?: string;
    value?: Array<VpnConnectionOutput>;
}

// @public
export interface ListVpnGatewayNatRulesResultOutput {
    nextLink?: string;
    value?: Array<VpnGatewayNatRuleOutput>;
}

// @public
export interface ListVpnGatewaysResultOutput {
    nextLink?: string;
    value?: Array<VpnGatewayOutput>;
}

// @public
export interface ListVpnServerConfigurationPolicyGroupsResultOutput {
    nextLink?: string;
    value?: Array<VpnServerConfigurationPolicyGroupOutput>;
}

// @public
export interface ListVpnServerConfigurationsResultOutput {
    nextLink?: string;
    value?: Array<VpnServerConfigurationOutput>;
}

// @public
export interface ListVpnSiteLinkConnectionsResultOutput {
    nextLink?: string;
    value?: Array<VpnSiteLinkConnectionOutput>;
}

// @public
export interface ListVpnSiteLinksResultOutput {
    nextLink?: string;
    value?: Array<VpnSiteLinkOutput>;
}

// @public
export interface ListVpnSitesResultOutput {
    nextLink?: string;
    value?: Array<VpnSiteOutput>;
}

// @public
export interface LoadBalancer extends Resource {
    extendedLocation?: ExtendedLocation;
    properties?: LoadBalancerPropertiesFormat;
    sku?: LoadBalancerSku;
}

// @public
export interface LoadBalancerBackendAddress {
    name?: string;
    properties?: LoadBalancerBackendAddressPropertiesFormat;
}

// @public
export interface LoadBalancerBackendAddressOutput {
    name?: string;
    properties?: LoadBalancerBackendAddressPropertiesFormatOutput;
}

// @public
export interface LoadBalancerBackendAddressPoolListResultOutput {
    readonly nextLink?: string;
    value?: Array<BackendAddressPoolOutput>;
}

// @public
export interface LoadBalancerBackendAddressPoolsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: BackendAddressPoolOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface LoadBalancerBackendAddressPoolsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: BackendAddressPoolOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface LoadBalancerBackendAddressPoolsCreateOrUpdateBodyParam {
    body: BackendAddressPool;
}

// @public
export interface LoadBalancerBackendAddressPoolsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface LoadBalancerBackendAddressPoolsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type LoadBalancerBackendAddressPoolsCreateOrUpdateParameters = LoadBalancerBackendAddressPoolsCreateOrUpdateQueryParam & LoadBalancerBackendAddressPoolsCreateOrUpdateMediaTypesParam & LoadBalancerBackendAddressPoolsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface LoadBalancerBackendAddressPoolsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: LoadBalancerBackendAddressPoolsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface LoadBalancerBackendAddressPoolsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface LoadBalancerBackendAddressPoolsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface LoadBalancerBackendAddressPoolsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface LoadBalancerBackendAddressPoolsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface LoadBalancerBackendAddressPoolsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type LoadBalancerBackendAddressPoolsDeleteParameters = LoadBalancerBackendAddressPoolsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface LoadBalancerBackendAddressPoolsDeleteQueryParam {
    // (undocumented)
    queryParameters: LoadBalancerBackendAddressPoolsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface LoadBalancerBackendAddressPoolsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface LoadBalancerBackendAddressPoolsGet {
    delete(options: LoadBalancerBackendAddressPoolsDeleteParameters): StreamableMethod<LoadBalancerBackendAddressPoolsDelete200Response | LoadBalancerBackendAddressPoolsDelete202Response | LoadBalancerBackendAddressPoolsDelete204Response | LoadBalancerBackendAddressPoolsDeleteDefaultResponse>;
    get(options: LoadBalancerBackendAddressPoolsGetParameters): StreamableMethod<LoadBalancerBackendAddressPoolsGet200Response | LoadBalancerBackendAddressPoolsGetDefaultResponse>;
    put(options: LoadBalancerBackendAddressPoolsCreateOrUpdateParameters): StreamableMethod<LoadBalancerBackendAddressPoolsCreateOrUpdate200Response | LoadBalancerBackendAddressPoolsCreateOrUpdate201Response | LoadBalancerBackendAddressPoolsCreateOrUpdateDefaultResponse>;
}

// @public
export interface LoadBalancerBackendAddressPoolsGet200Response extends HttpResponse {
    // (undocumented)
    body: BackendAddressPoolOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface LoadBalancerBackendAddressPoolsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type LoadBalancerBackendAddressPoolsGetParameters = LoadBalancerBackendAddressPoolsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface LoadBalancerBackendAddressPoolsGetQueryParam {
    // (undocumented)
    queryParameters: LoadBalancerBackendAddressPoolsGetQueryParamProperties;
}

// @public (undocumented)
export interface LoadBalancerBackendAddressPoolsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface LoadBalancerBackendAddressPoolsList {
    get(options: LoadBalancerBackendAddressPoolsListParameters): StreamableMethod<LoadBalancerBackendAddressPoolsList200Response | LoadBalancerBackendAddressPoolsListDefaultResponse>;
}

// @public
export interface LoadBalancerBackendAddressPoolsList200Response extends HttpResponse {
    // (undocumented)
    body: LoadBalancerBackendAddressPoolListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface LoadBalancerBackendAddressPoolsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type LoadBalancerBackendAddressPoolsListParameters = LoadBalancerBackendAddressPoolsListQueryParam & RequestParameters;

// @public (undocumented)
export interface LoadBalancerBackendAddressPoolsListQueryParam {
    // (undocumented)
    queryParameters: LoadBalancerBackendAddressPoolsListQueryParamProperties;
}

// @public (undocumented)
export interface LoadBalancerBackendAddressPoolsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface LoadBalancerBackendAddressPropertiesFormat {
    adminState?: "None" | "Up" | "Down" | "Drain";
    ipAddress?: string;
    loadBalancerFrontendIPConfiguration?: SubResource;
    subnet?: SubResource;
    virtualNetwork?: SubResource;
}

// @public
export interface LoadBalancerBackendAddressPropertiesFormatOutput {
    adminState?: "None" | "Up" | "Down" | "Drain";
    readonly inboundNatRulesPortMapping?: Array<NatRulePortMappingOutput>;
    ipAddress?: string;
    loadBalancerFrontendIPConfiguration?: SubResourceOutput;
    readonly networkInterfaceIPConfiguration?: SubResourceOutput;
    subnet?: SubResourceOutput;
    virtualNetwork?: SubResourceOutput;
}

// @public
export interface LoadBalancerFrontendIPConfigurationListResultOutput {
    readonly nextLink?: string;
    value?: Array<FrontendIPConfigurationOutput>;
}

// @public (undocumented)
export interface LoadBalancerFrontendIPConfigurationsGet {
    get(options: LoadBalancerFrontendIPConfigurationsGetParameters): StreamableMethod<LoadBalancerFrontendIPConfigurationsGet200Response | LoadBalancerFrontendIPConfigurationsGetDefaultResponse>;
}

// @public
export interface LoadBalancerFrontendIPConfigurationsGet200Response extends HttpResponse {
    // (undocumented)
    body: FrontendIPConfigurationOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface LoadBalancerFrontendIPConfigurationsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type LoadBalancerFrontendIPConfigurationsGetParameters = LoadBalancerFrontendIPConfigurationsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface LoadBalancerFrontendIPConfigurationsGetQueryParam {
    // (undocumented)
    queryParameters: LoadBalancerFrontendIPConfigurationsGetQueryParamProperties;
}

// @public (undocumented)
export interface LoadBalancerFrontendIPConfigurationsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface LoadBalancerFrontendIPConfigurationsList {
    get(options: LoadBalancerFrontendIPConfigurationsListParameters): StreamableMethod<LoadBalancerFrontendIPConfigurationsList200Response | LoadBalancerFrontendIPConfigurationsListDefaultResponse>;
}

// @public
export interface LoadBalancerFrontendIPConfigurationsList200Response extends HttpResponse {
    // (undocumented)
    body: LoadBalancerFrontendIPConfigurationListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface LoadBalancerFrontendIPConfigurationsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type LoadBalancerFrontendIPConfigurationsListParameters = LoadBalancerFrontendIPConfigurationsListQueryParam & RequestParameters;

// @public (undocumented)
export interface LoadBalancerFrontendIPConfigurationsListQueryParam {
    // (undocumented)
    queryParameters: LoadBalancerFrontendIPConfigurationsListQueryParamProperties;
}

// @public (undocumented)
export interface LoadBalancerFrontendIPConfigurationsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface LoadBalancerListResultOutput {
    readonly nextLink?: string;
    value?: Array<LoadBalancerOutput>;
}

// @public
export interface LoadBalancerLoadBalancingRuleListResultOutput {
    readonly nextLink?: string;
    value?: Array<LoadBalancingRuleOutput>;
}

// @public (undocumented)
export interface LoadBalancerLoadBalancingRulesGet {
    get(options: LoadBalancerLoadBalancingRulesGetParameters): StreamableMethod<LoadBalancerLoadBalancingRulesGet200Response | LoadBalancerLoadBalancingRulesGetDefaultResponse>;
}

// @public
export interface LoadBalancerLoadBalancingRulesGet200Response extends HttpResponse {
    // (undocumented)
    body: LoadBalancingRuleOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface LoadBalancerLoadBalancingRulesGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type LoadBalancerLoadBalancingRulesGetParameters = LoadBalancerLoadBalancingRulesGetQueryParam & RequestParameters;

// @public (undocumented)
export interface LoadBalancerLoadBalancingRulesGetQueryParam {
    // (undocumented)
    queryParameters: LoadBalancerLoadBalancingRulesGetQueryParamProperties;
}

// @public (undocumented)
export interface LoadBalancerLoadBalancingRulesGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface LoadBalancerLoadBalancingRulesList {
    get(options: LoadBalancerLoadBalancingRulesListParameters): StreamableMethod<LoadBalancerLoadBalancingRulesList200Response | LoadBalancerLoadBalancingRulesListDefaultResponse>;
}

// @public
export interface LoadBalancerLoadBalancingRulesList200Response extends HttpResponse {
    // (undocumented)
    body: LoadBalancerLoadBalancingRuleListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface LoadBalancerLoadBalancingRulesListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type LoadBalancerLoadBalancingRulesListParameters = LoadBalancerLoadBalancingRulesListQueryParam & RequestParameters;

// @public (undocumented)
export interface LoadBalancerLoadBalancingRulesListQueryParam {
    // (undocumented)
    queryParameters: LoadBalancerLoadBalancingRulesListQueryParamProperties;
}

// @public (undocumented)
export interface LoadBalancerLoadBalancingRulesListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface LoadBalancerNetworkInterfacesList {
    get(options: LoadBalancerNetworkInterfacesListParameters): StreamableMethod<LoadBalancerNetworkInterfacesList200Response | LoadBalancerNetworkInterfacesListDefaultResponse>;
}

// @public
export interface LoadBalancerNetworkInterfacesList200Response extends HttpResponse {
    // (undocumented)
    body: NetworkInterfaceListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface LoadBalancerNetworkInterfacesListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type LoadBalancerNetworkInterfacesListParameters = LoadBalancerNetworkInterfacesListQueryParam & RequestParameters;

// @public (undocumented)
export interface LoadBalancerNetworkInterfacesListQueryParam {
    // (undocumented)
    queryParameters: LoadBalancerNetworkInterfacesListQueryParamProperties;
}

// @public (undocumented)
export interface LoadBalancerNetworkInterfacesListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface LoadBalancerOutboundRuleListResultOutput {
    readonly nextLink?: string;
    value?: Array<OutboundRuleOutput>;
}

// @public (undocumented)
export interface LoadBalancerOutboundRulesGet {
    get(options: LoadBalancerOutboundRulesGetParameters): StreamableMethod<LoadBalancerOutboundRulesGet200Response | LoadBalancerOutboundRulesGetDefaultResponse>;
}

// @public
export interface LoadBalancerOutboundRulesGet200Response extends HttpResponse {
    // (undocumented)
    body: OutboundRuleOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface LoadBalancerOutboundRulesGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type LoadBalancerOutboundRulesGetParameters = LoadBalancerOutboundRulesGetQueryParam & RequestParameters;

// @public (undocumented)
export interface LoadBalancerOutboundRulesGetQueryParam {
    // (undocumented)
    queryParameters: LoadBalancerOutboundRulesGetQueryParamProperties;
}

// @public (undocumented)
export interface LoadBalancerOutboundRulesGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface LoadBalancerOutboundRulesList {
    get(options: LoadBalancerOutboundRulesListParameters): StreamableMethod<LoadBalancerOutboundRulesList200Response | LoadBalancerOutboundRulesListDefaultResponse>;
}

// @public
export interface LoadBalancerOutboundRulesList200Response extends HttpResponse {
    // (undocumented)
    body: LoadBalancerOutboundRuleListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface LoadBalancerOutboundRulesListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type LoadBalancerOutboundRulesListParameters = LoadBalancerOutboundRulesListQueryParam & RequestParameters;

// @public (undocumented)
export interface LoadBalancerOutboundRulesListQueryParam {
    // (undocumented)
    queryParameters: LoadBalancerOutboundRulesListQueryParamProperties;
}

// @public (undocumented)
export interface LoadBalancerOutboundRulesListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface LoadBalancerOutput extends ResourceOutput {
    readonly etag?: string;
    extendedLocation?: ExtendedLocationOutput;
    properties?: LoadBalancerPropertiesFormatOutput;
    sku?: LoadBalancerSkuOutput;
}

// @public
export interface LoadBalancerProbeListResultOutput {
    readonly nextLink?: string;
    value?: Array<ProbeOutput>;
}

// @public (undocumented)
export interface LoadBalancerProbesGet {
    get(options: LoadBalancerProbesGetParameters): StreamableMethod<LoadBalancerProbesGet200Response | LoadBalancerProbesGetDefaultResponse>;
}

// @public
export interface LoadBalancerProbesGet200Response extends HttpResponse {
    // (undocumented)
    body: ProbeOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface LoadBalancerProbesGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type LoadBalancerProbesGetParameters = LoadBalancerProbesGetQueryParam & RequestParameters;

// @public (undocumented)
export interface LoadBalancerProbesGetQueryParam {
    // (undocumented)
    queryParameters: LoadBalancerProbesGetQueryParamProperties;
}

// @public (undocumented)
export interface LoadBalancerProbesGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface LoadBalancerProbesList {
    get(options: LoadBalancerProbesListParameters): StreamableMethod<LoadBalancerProbesList200Response | LoadBalancerProbesListDefaultResponse>;
}

// @public
export interface LoadBalancerProbesList200Response extends HttpResponse {
    // (undocumented)
    body: LoadBalancerProbeListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface LoadBalancerProbesListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type LoadBalancerProbesListParameters = LoadBalancerProbesListQueryParam & RequestParameters;

// @public (undocumented)
export interface LoadBalancerProbesListQueryParam {
    // (undocumented)
    queryParameters: LoadBalancerProbesListQueryParamProperties;
}

// @public (undocumented)
export interface LoadBalancerProbesListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface LoadBalancerPropertiesFormat {
    backendAddressPools?: Array<BackendAddressPool>;
    frontendIPConfigurations?: Array<FrontendIPConfiguration>;
    inboundNatPools?: Array<InboundNatPool>;
    inboundNatRules?: Array<InboundNatRule>;
    loadBalancingRules?: Array<LoadBalancingRule>;
    outboundRules?: Array<OutboundRule>;
    probes?: Array<Probe>;
}

// @public
export interface LoadBalancerPropertiesFormatOutput {
    backendAddressPools?: Array<BackendAddressPoolOutput>;
    frontendIPConfigurations?: Array<FrontendIPConfigurationOutput>;
    inboundNatPools?: Array<InboundNatPoolOutput>;
    inboundNatRules?: Array<InboundNatRuleOutput>;
    loadBalancingRules?: Array<LoadBalancingRuleOutput>;
    outboundRules?: Array<OutboundRuleOutput>;
    probes?: Array<ProbeOutput>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    readonly resourceGuid?: string;
}

// @public
export interface LoadBalancersCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: LoadBalancerOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface LoadBalancersCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: LoadBalancerOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface LoadBalancersCreateOrUpdateBodyParam {
    body: LoadBalancer;
}

// @public
export interface LoadBalancersCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface LoadBalancersCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type LoadBalancersCreateOrUpdateParameters = LoadBalancersCreateOrUpdateQueryParam & LoadBalancersCreateOrUpdateMediaTypesParam & LoadBalancersCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface LoadBalancersCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: LoadBalancersCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface LoadBalancersCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface LoadBalancersDelete {
    delete(options: LoadBalancersDeleteParameters): StreamableMethod<LoadBalancersDelete200Response | LoadBalancersDelete202Response | LoadBalancersDelete204Response | LoadBalancersDeleteDefaultResponse>;
    get(options: LoadBalancersGetParameters): StreamableMethod<LoadBalancersGet200Response | LoadBalancersGetDefaultResponse>;
    patch(options: LoadBalancersUpdateTagsParameters): StreamableMethod<LoadBalancersUpdateTags200Response | LoadBalancersUpdateTagsDefaultResponse>;
    put(options: LoadBalancersCreateOrUpdateParameters): StreamableMethod<LoadBalancersCreateOrUpdate200Response | LoadBalancersCreateOrUpdate201Response | LoadBalancersCreateOrUpdateDefaultResponse>;
}

// @public
export interface LoadBalancersDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface LoadBalancersDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface LoadBalancersDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface LoadBalancersDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type LoadBalancersDeleteParameters = LoadBalancersDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface LoadBalancersDeleteQueryParam {
    // (undocumented)
    queryParameters: LoadBalancersDeleteQueryParamProperties;
}

// @public (undocumented)
export interface LoadBalancersDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface LoadBalancersGet200Response extends HttpResponse {
    // (undocumented)
    body: LoadBalancerOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface LoadBalancersGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type LoadBalancersGetParameters = LoadBalancersGetQueryParam & RequestParameters;

// @public (undocumented)
export interface LoadBalancersGetQueryParam {
    // (undocumented)
    queryParameters: LoadBalancersGetQueryParamProperties;
}

// @public (undocumented)
export interface LoadBalancersGetQueryParamProperties {
    "api-version": "2022-05-01";
    $expand?: string;
}

// @public
export interface LoadBalancerSku {
    name?: "Basic" | "Standard" | "Gateway";
    tier?: "Regional" | "Global";
}

// @public
export interface LoadBalancerSkuOutput {
    name?: "Basic" | "Standard" | "Gateway";
    tier?: "Regional" | "Global";
}

// @public (undocumented)
export interface LoadBalancersList {
    get(options: LoadBalancersListParameters): StreamableMethod<LoadBalancersList200Response | LoadBalancersListDefaultResponse>;
}

// @public
export interface LoadBalancersList200Response extends HttpResponse {
    // (undocumented)
    body: LoadBalancerListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface LoadBalancersListAll {
    get(options: LoadBalancersListAllParameters): StreamableMethod<LoadBalancersListAll200Response | LoadBalancersListAllDefaultResponse>;
}

// @public
export interface LoadBalancersListAll200Response extends HttpResponse {
    // (undocumented)
    body: LoadBalancerListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface LoadBalancersListAllDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type LoadBalancersListAllParameters = LoadBalancersListAllQueryParam & RequestParameters;

// @public (undocumented)
export interface LoadBalancersListAllQueryParam {
    // (undocumented)
    queryParameters: LoadBalancersListAllQueryParamProperties;
}

// @public (undocumented)
export interface LoadBalancersListAllQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface LoadBalancersListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface LoadBalancersListInboundNatRulePortMappings {
    post(options: LoadBalancersListInboundNatRulePortMappingsParameters): StreamableMethod<LoadBalancersListInboundNatRulePortMappings200Response | LoadBalancersListInboundNatRulePortMappings202Response | LoadBalancersListInboundNatRulePortMappingsDefaultResponse>;
}

// @public
export interface LoadBalancersListInboundNatRulePortMappings200Response extends HttpResponse {
    // (undocumented)
    body: BackendAddressInboundNatRulePortMappingsOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface LoadBalancersListInboundNatRulePortMappings202Response extends HttpResponse {
    // (undocumented)
    body: BackendAddressInboundNatRulePortMappingsOutput;
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface LoadBalancersListInboundNatRulePortMappingsBodyParam {
    body: QueryInboundNatRulePortMappingRequest;
}

// @public
export interface LoadBalancersListInboundNatRulePortMappingsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface LoadBalancersListInboundNatRulePortMappingsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type LoadBalancersListInboundNatRulePortMappingsParameters = LoadBalancersListInboundNatRulePortMappingsQueryParam & LoadBalancersListInboundNatRulePortMappingsMediaTypesParam & LoadBalancersListInboundNatRulePortMappingsBodyParam & RequestParameters;

// @public (undocumented)
export interface LoadBalancersListInboundNatRulePortMappingsQueryParam {
    // (undocumented)
    queryParameters: LoadBalancersListInboundNatRulePortMappingsQueryParamProperties;
}

// @public (undocumented)
export interface LoadBalancersListInboundNatRulePortMappingsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export type LoadBalancersListParameters = LoadBalancersListQueryParam & RequestParameters;

// @public (undocumented)
export interface LoadBalancersListQueryParam {
    // (undocumented)
    queryParameters: LoadBalancersListQueryParamProperties;
}

// @public (undocumented)
export interface LoadBalancersListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface LoadBalancersSwapPublicIpAddresses {
    post(options: LoadBalancersSwapPublicIpAddressesParameters): StreamableMethod<LoadBalancersSwapPublicIpAddresses200Response | LoadBalancersSwapPublicIpAddresses202Response | LoadBalancersSwapPublicIpAddressesDefaultResponse>;
}

// @public
export interface LoadBalancersSwapPublicIpAddresses200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface LoadBalancersSwapPublicIpAddresses202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface LoadBalancersSwapPublicIpAddressesBodyParam {
    body: LoadBalancerVipSwapRequest;
}

// @public
export interface LoadBalancersSwapPublicIpAddressesDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface LoadBalancersSwapPublicIpAddressesMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type LoadBalancersSwapPublicIpAddressesParameters = LoadBalancersSwapPublicIpAddressesQueryParam & LoadBalancersSwapPublicIpAddressesMediaTypesParam & LoadBalancersSwapPublicIpAddressesBodyParam & RequestParameters;

// @public (undocumented)
export interface LoadBalancersSwapPublicIpAddressesQueryParam {
    // (undocumented)
    queryParameters: LoadBalancersSwapPublicIpAddressesQueryParamProperties;
}

// @public (undocumented)
export interface LoadBalancersSwapPublicIpAddressesQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface LoadBalancersUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: LoadBalancerOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface LoadBalancersUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface LoadBalancersUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface LoadBalancersUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type LoadBalancersUpdateTagsParameters = LoadBalancersUpdateTagsQueryParam & LoadBalancersUpdateTagsMediaTypesParam & LoadBalancersUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface LoadBalancersUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: LoadBalancersUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface LoadBalancersUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface LoadBalancerVipSwapRequest {
    frontendIPConfigurations?: Array<LoadBalancerVipSwapRequestFrontendIPConfiguration>;
}

// @public
export interface LoadBalancerVipSwapRequestFrontendIPConfiguration {
    id?: string;
    properties?: LoadBalancerVipSwapRequestFrontendIPConfigurationProperties;
}

// @public
export interface LoadBalancerVipSwapRequestFrontendIPConfigurationProperties {
    publicIPAddress?: SubResource;
}

// @public
export interface LoadBalancingRule extends SubResource {
    name?: string;
    properties?: LoadBalancingRulePropertiesFormat;
}

// @public
export interface LoadBalancingRuleOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: LoadBalancingRulePropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface LoadBalancingRulePropertiesFormat {
    backendAddressPool?: SubResource;
    backendAddressPools?: Array<SubResource>;
    backendPort?: number;
    disableOutboundSnat?: boolean;
    enableFloatingIP?: boolean;
    enableTcpReset?: boolean;
    frontendIPConfiguration?: SubResource;
    frontendPort: number;
    idleTimeoutInMinutes?: number;
    loadDistribution?: "Default" | "SourceIP" | "SourceIPProtocol";
    probe?: SubResource;
    protocol: "Udp" | "Tcp" | "All";
}

// @public
export interface LoadBalancingRulePropertiesFormatOutput {
    backendAddressPool?: SubResourceOutput;
    backendAddressPools?: Array<SubResourceOutput>;
    backendPort?: number;
    disableOutboundSnat?: boolean;
    enableFloatingIP?: boolean;
    enableTcpReset?: boolean;
    frontendIPConfiguration?: SubResourceOutput;
    frontendPort: number;
    idleTimeoutInMinutes?: number;
    loadDistribution?: "Default" | "SourceIP" | "SourceIPProtocol";
    probe?: SubResourceOutput;
    protocol: "Udp" | "Tcp" | "All";
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public
export interface LocalNetworkGateway extends Resource {
    properties: LocalNetworkGatewayPropertiesFormat;
}

// @public
export interface LocalNetworkGatewayListResultOutput {
    readonly nextLink?: string;
    value?: Array<LocalNetworkGatewayOutput>;
}

// @public
export interface LocalNetworkGatewayOutput extends ResourceOutput {
    readonly etag?: string;
    properties: LocalNetworkGatewayPropertiesFormatOutput;
}

// @public
export interface LocalNetworkGatewayPropertiesFormat {
    bgpSettings?: BgpSettings;
    fqdn?: string;
    gatewayIpAddress?: string;
    localNetworkAddressSpace?: AddressSpace;
}

// @public
export interface LocalNetworkGatewayPropertiesFormatOutput {
    bgpSettings?: BgpSettingsOutput;
    fqdn?: string;
    gatewayIpAddress?: string;
    localNetworkAddressSpace?: AddressSpaceOutput;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    readonly resourceGuid?: string;
}

// @public (undocumented)
export interface LocalNetworkGatewaysCreateOrUpdate {
    delete(options: LocalNetworkGatewaysDeleteParameters): StreamableMethod<LocalNetworkGatewaysDelete200Response | LocalNetworkGatewaysDelete202Response | LocalNetworkGatewaysDelete204Response | LocalNetworkGatewaysDeleteDefaultResponse>;
    get(options: LocalNetworkGatewaysGetParameters): StreamableMethod<LocalNetworkGatewaysGet200Response | LocalNetworkGatewaysGetDefaultResponse>;
    patch(options: LocalNetworkGatewaysUpdateTagsParameters): StreamableMethod<LocalNetworkGatewaysUpdateTags200Response | LocalNetworkGatewaysUpdateTagsDefaultResponse>;
    put(options: LocalNetworkGatewaysCreateOrUpdateParameters): StreamableMethod<LocalNetworkGatewaysCreateOrUpdate200Response | LocalNetworkGatewaysCreateOrUpdate201Response | LocalNetworkGatewaysCreateOrUpdateDefaultResponse>;
}

// @public
export interface LocalNetworkGatewaysCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: LocalNetworkGatewayOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface LocalNetworkGatewaysCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: LocalNetworkGatewayOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface LocalNetworkGatewaysCreateOrUpdateBodyParam {
    body: LocalNetworkGateway;
}

// @public
export interface LocalNetworkGatewaysCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface LocalNetworkGatewaysCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type LocalNetworkGatewaysCreateOrUpdateParameters = LocalNetworkGatewaysCreateOrUpdateQueryParam & LocalNetworkGatewaysCreateOrUpdateMediaTypesParam & LocalNetworkGatewaysCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface LocalNetworkGatewaysCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: LocalNetworkGatewaysCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface LocalNetworkGatewaysCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface LocalNetworkGatewaysDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface LocalNetworkGatewaysDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface LocalNetworkGatewaysDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface LocalNetworkGatewaysDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type LocalNetworkGatewaysDeleteParameters = LocalNetworkGatewaysDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface LocalNetworkGatewaysDeleteQueryParam {
    // (undocumented)
    queryParameters: LocalNetworkGatewaysDeleteQueryParamProperties;
}

// @public (undocumented)
export interface LocalNetworkGatewaysDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface LocalNetworkGatewaysGet200Response extends HttpResponse {
    // (undocumented)
    body: LocalNetworkGatewayOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface LocalNetworkGatewaysGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type LocalNetworkGatewaysGetParameters = LocalNetworkGatewaysGetQueryParam & RequestParameters;

// @public (undocumented)
export interface LocalNetworkGatewaysGetQueryParam {
    // (undocumented)
    queryParameters: LocalNetworkGatewaysGetQueryParamProperties;
}

// @public (undocumented)
export interface LocalNetworkGatewaysGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface LocalNetworkGatewaysList {
    get(options: LocalNetworkGatewaysListParameters): StreamableMethod<LocalNetworkGatewaysList200Response | LocalNetworkGatewaysListDefaultResponse>;
}

// @public
export interface LocalNetworkGatewaysList200Response extends HttpResponse {
    // (undocumented)
    body: LocalNetworkGatewayListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface LocalNetworkGatewaysListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type LocalNetworkGatewaysListParameters = LocalNetworkGatewaysListQueryParam & RequestParameters;

// @public (undocumented)
export interface LocalNetworkGatewaysListQueryParam {
    // (undocumented)
    queryParameters: LocalNetworkGatewaysListQueryParamProperties;
}

// @public (undocumented)
export interface LocalNetworkGatewaysListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface LocalNetworkGatewaysUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: LocalNetworkGatewayOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface LocalNetworkGatewaysUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface LocalNetworkGatewaysUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface LocalNetworkGatewaysUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type LocalNetworkGatewaysUpdateTagsParameters = LocalNetworkGatewaysUpdateTagsQueryParam & LocalNetworkGatewaysUpdateTagsMediaTypesParam & LocalNetworkGatewaysUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface LocalNetworkGatewaysUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: LocalNetworkGatewaysUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface LocalNetworkGatewaysUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface LogSpecificationOutput {
    blobDuration?: string;
    displayName?: string;
    name?: string;
}

// @public
export interface ManagedRuleGroupOverride {
    ruleGroupName: string;
    rules?: Array<ManagedRuleOverride>;
}

// @public
export interface ManagedRuleGroupOverrideOutput {
    ruleGroupName: string;
    rules?: Array<ManagedRuleOverrideOutput>;
}

// @public
export interface ManagedRuleOverride {
    action?: "AnomalyScoring" | "Allow" | "Block" | "Log";
    ruleId: string;
    state?: "Disabled" | "Enabled";
}

// @public
export interface ManagedRuleOverrideOutput {
    action?: "AnomalyScoring" | "Allow" | "Block" | "Log";
    ruleId: string;
    state?: "Disabled" | "Enabled";
}

// @public
export interface ManagedRulesDefinition {
    exclusions?: Array<OwaspCrsExclusionEntry>;
    managedRuleSets: Array<ManagedRuleSet>;
}

// @public
export interface ManagedRulesDefinitionOutput {
    exclusions?: Array<OwaspCrsExclusionEntryOutput>;
    managedRuleSets: Array<ManagedRuleSetOutput>;
}

// @public
export interface ManagedRuleSet {
    ruleGroupOverrides?: Array<ManagedRuleGroupOverride>;
    ruleSetType: string;
    ruleSetVersion: string;
}

// @public
export interface ManagedRuleSetOutput {
    ruleGroupOverrides?: Array<ManagedRuleGroupOverrideOutput>;
    ruleSetType: string;
    ruleSetVersion: string;
}

// @public
export interface ManagedServiceIdentity {
    type?: "SystemAssigned" | "UserAssigned" | "SystemAssigned, UserAssigned" | "None";
    userAssignedIdentities?: Record<string, Components1Jq1T4ISchemasManagedserviceidentityPropertiesUserassignedidentitiesAdditionalproperties>;
}

// @public
export interface ManagedServiceIdentityOutput {
    readonly principalId?: string;
    readonly tenantId?: string;
    type?: "SystemAssigned" | "UserAssigned" | "SystemAssigned, UserAssigned" | "None";
    userAssignedIdentities?: Record<string, Components1Jq1T4ISchemasManagedserviceidentityPropertiesUserassignedidentitiesAdditionalpropertiesOutput>;
}

// @public (undocumented)
export interface ManagementGroupNetworkManagerConnectionsCreateOrUpdate {
    delete(options: ManagementGroupNetworkManagerConnectionsDeleteParameters): StreamableMethod<ManagementGroupNetworkManagerConnectionsDelete200Response | ManagementGroupNetworkManagerConnectionsDelete204Response | ManagementGroupNetworkManagerConnectionsDeleteDefaultResponse>;
    get(options: ManagementGroupNetworkManagerConnectionsGetParameters): StreamableMethod<ManagementGroupNetworkManagerConnectionsGet200Response | ManagementGroupNetworkManagerConnectionsGetDefaultResponse>;
    put(options: ManagementGroupNetworkManagerConnectionsCreateOrUpdateParameters): StreamableMethod<ManagementGroupNetworkManagerConnectionsCreateOrUpdate200Response | ManagementGroupNetworkManagerConnectionsCreateOrUpdate201Response | ManagementGroupNetworkManagerConnectionsCreateOrUpdateDefaultResponse>;
}

// @public
export interface ManagementGroupNetworkManagerConnectionsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: NetworkManagerConnectionOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ManagementGroupNetworkManagerConnectionsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: NetworkManagerConnectionOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface ManagementGroupNetworkManagerConnectionsCreateOrUpdateBodyParam {
    body: NetworkManagerConnection;
}

// @public
export interface ManagementGroupNetworkManagerConnectionsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ManagementGroupNetworkManagerConnectionsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ManagementGroupNetworkManagerConnectionsCreateOrUpdateParameters = ManagementGroupNetworkManagerConnectionsCreateOrUpdateQueryParam & ManagementGroupNetworkManagerConnectionsCreateOrUpdateMediaTypesParam & ManagementGroupNetworkManagerConnectionsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface ManagementGroupNetworkManagerConnectionsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: ManagementGroupNetworkManagerConnectionsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface ManagementGroupNetworkManagerConnectionsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ManagementGroupNetworkManagerConnectionsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface ManagementGroupNetworkManagerConnectionsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface ManagementGroupNetworkManagerConnectionsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ManagementGroupNetworkManagerConnectionsDeleteParameters = ManagementGroupNetworkManagerConnectionsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface ManagementGroupNetworkManagerConnectionsDeleteQueryParam {
    // (undocumented)
    queryParameters: ManagementGroupNetworkManagerConnectionsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface ManagementGroupNetworkManagerConnectionsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ManagementGroupNetworkManagerConnectionsGet200Response extends HttpResponse {
    // (undocumented)
    body: NetworkManagerConnectionOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ManagementGroupNetworkManagerConnectionsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ManagementGroupNetworkManagerConnectionsGetParameters = ManagementGroupNetworkManagerConnectionsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface ManagementGroupNetworkManagerConnectionsGetQueryParam {
    // (undocumented)
    queryParameters: ManagementGroupNetworkManagerConnectionsGetQueryParamProperties;
}

// @public (undocumented)
export interface ManagementGroupNetworkManagerConnectionsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ManagementGroupNetworkManagerConnectionsList {
    get(options: ManagementGroupNetworkManagerConnectionsListParameters): StreamableMethod<ManagementGroupNetworkManagerConnectionsList200Response | ManagementGroupNetworkManagerConnectionsListDefaultResponse>;
}

// @public
export interface ManagementGroupNetworkManagerConnectionsList200Response extends HttpResponse {
    // (undocumented)
    body: NetworkManagerConnectionListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ManagementGroupNetworkManagerConnectionsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ManagementGroupNetworkManagerConnectionsListParameters = ManagementGroupNetworkManagerConnectionsListQueryParam & RequestParameters;

// @public (undocumented)
export interface ManagementGroupNetworkManagerConnectionsListQueryParam {
    // (undocumented)
    queryParameters: ManagementGroupNetworkManagerConnectionsListQueryParamProperties;
}

// @public (undocumented)
export interface ManagementGroupNetworkManagerConnectionsListQueryParamProperties {
    "api-version": "2022-05-01";
    $skipToken?: string;
    $top?: number;
}

// @public
export interface MatchCondition {
    matchValues: Array<string>;
    matchVariables: Array<MatchVariable>;
    negationConditon?: boolean;
    operator: "IPMatch" | "Equal" | "Contains" | "LessThan" | "GreaterThan" | "LessThanOrEqual" | "GreaterThanOrEqual" | "BeginsWith" | "EndsWith" | "Regex" | "GeoMatch" | "Any";
    transforms?: Array<"Uppercase" | "Lowercase" | "Trim" | "UrlDecode" | "UrlEncode" | "RemoveNulls" | "HtmlEntityDecode">;
}

// @public
export interface MatchConditionOutput {
    matchValues: Array<string>;
    matchVariables: Array<MatchVariableOutput>;
    negationConditon?: boolean;
    operator: "IPMatch" | "Equal" | "Contains" | "LessThan" | "GreaterThan" | "LessThanOrEqual" | "GreaterThanOrEqual" | "BeginsWith" | "EndsWith" | "Regex" | "GeoMatch" | "Any";
    transforms?: Array<"Uppercase" | "Lowercase" | "Trim" | "UrlDecode" | "UrlEncode" | "RemoveNulls" | "HtmlEntityDecode">;
}

// @public
export interface MatchedRuleOutput {
    action?: string;
    ruleName?: string;
}

// @public
export interface MatchVariable {
    selector?: string;
    variableName: "RemoteAddr" | "RequestMethod" | "QueryString" | "PostArgs" | "RequestUri" | "RequestHeaders" | "RequestBody" | "RequestCookies";
}

// @public
export interface MatchVariableOutput {
    selector?: string;
    variableName: "RemoteAddr" | "RequestMethod" | "QueryString" | "PostArgs" | "RequestUri" | "RequestHeaders" | "RequestBody" | "RequestCookies";
}

// @public
export interface MetricSpecificationOutput {
    aggregationType?: string;
    availabilities?: Array<AvailabilityOutput>;
    dimensions?: Array<DimensionOutput>;
    displayDescription?: string;
    displayName?: string;
    enableRegionalMdmAccount?: boolean;
    fillGapWithZero?: boolean;
    isInternal?: boolean;
    metricFilterPattern?: string;
    name?: string;
    resourceIdDimensionNameOverride?: string;
    sourceMdmAccount?: string;
    sourceMdmNamespace?: string;
    unit?: string;
}

// @public
export interface NatGateway extends Resource {
    properties?: NatGatewayPropertiesFormat;
    sku?: NatGatewaySku;
    zones?: Array<string>;
}

// @public
export interface NatGatewayListResultOutput {
    nextLink?: string;
    value?: Array<NatGatewayOutput>;
}

// @public
export interface NatGatewayOutput extends ResourceOutput {
    readonly etag?: string;
    properties?: NatGatewayPropertiesFormatOutput;
    sku?: NatGatewaySkuOutput;
    zones?: Array<string>;
}

// @public
export interface NatGatewayPropertiesFormat {
    idleTimeoutInMinutes?: number;
    publicIpAddresses?: Array<SubResource>;
    publicIpPrefixes?: Array<SubResource>;
}

// @public
export interface NatGatewayPropertiesFormatOutput {
    idleTimeoutInMinutes?: number;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    publicIpAddresses?: Array<SubResourceOutput>;
    publicIpPrefixes?: Array<SubResourceOutput>;
    readonly resourceGuid?: string;
    readonly subnets?: Array<SubResourceOutput>;
}

// @public
export interface NatGatewaysCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: NatGatewayOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NatGatewaysCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: NatGatewayOutput;
    // (undocumented)
    status: "201";
}

// @public
export interface NatGatewaysCreateOrUpdate202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface NatGatewaysCreateOrUpdateBodyParam {
    body: NatGateway;
}

// @public
export interface NatGatewaysCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NatGatewaysCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type NatGatewaysCreateOrUpdateParameters = NatGatewaysCreateOrUpdateQueryParam & NatGatewaysCreateOrUpdateMediaTypesParam & NatGatewaysCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface NatGatewaysCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: NatGatewaysCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface NatGatewaysCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface NatGatewaysDelete {
    delete(options: NatGatewaysDeleteParameters): StreamableMethod<NatGatewaysDelete200Response | NatGatewaysDelete202Response | NatGatewaysDelete204Response | NatGatewaysDeleteDefaultResponse>;
    get(options: NatGatewaysGetParameters): StreamableMethod<NatGatewaysGet200Response | NatGatewaysGetDefaultResponse>;
    patch(options: NatGatewaysUpdateTagsParameters): StreamableMethod<NatGatewaysUpdateTags200Response | NatGatewaysUpdateTagsDefaultResponse>;
    put(options: NatGatewaysCreateOrUpdateParameters): StreamableMethod<NatGatewaysCreateOrUpdate200Response | NatGatewaysCreateOrUpdate201Response | NatGatewaysCreateOrUpdate202Response | NatGatewaysCreateOrUpdateDefaultResponse>;
}

// @public
export interface NatGatewaysDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface NatGatewaysDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface NatGatewaysDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface NatGatewaysDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NatGatewaysDeleteParameters = NatGatewaysDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface NatGatewaysDeleteQueryParam {
    // (undocumented)
    queryParameters: NatGatewaysDeleteQueryParamProperties;
}

// @public (undocumented)
export interface NatGatewaysDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NatGatewaysGet200Response extends HttpResponse {
    // (undocumented)
    body: NatGatewayOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NatGatewaysGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NatGatewaysGetParameters = NatGatewaysGetQueryParam & RequestParameters;

// @public (undocumented)
export interface NatGatewaysGetQueryParam {
    // (undocumented)
    queryParameters: NatGatewaysGetQueryParamProperties;
}

// @public (undocumented)
export interface NatGatewaysGetQueryParamProperties {
    "api-version": "2022-05-01";
    $expand?: string;
}

// @public
export interface NatGatewaySku {
    name?: "Standard";
}

// @public
export interface NatGatewaySkuOutput {
    name?: "Standard";
}

// @public (undocumented)
export interface NatGatewaysList {
    get(options: NatGatewaysListParameters): StreamableMethod<NatGatewaysList200Response | NatGatewaysListDefaultResponse>;
}

// @public
export interface NatGatewaysList200Response extends HttpResponse {
    // (undocumented)
    body: NatGatewayListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface NatGatewaysListAll {
    get(options: NatGatewaysListAllParameters): StreamableMethod<NatGatewaysListAll200Response | NatGatewaysListAllDefaultResponse>;
}

// @public
export interface NatGatewaysListAll200Response extends HttpResponse {
    // (undocumented)
    body: NatGatewayListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NatGatewaysListAllDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NatGatewaysListAllParameters = NatGatewaysListAllQueryParam & RequestParameters;

// @public (undocumented)
export interface NatGatewaysListAllQueryParam {
    // (undocumented)
    queryParameters: NatGatewaysListAllQueryParamProperties;
}

// @public (undocumented)
export interface NatGatewaysListAllQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NatGatewaysListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NatGatewaysListParameters = NatGatewaysListQueryParam & RequestParameters;

// @public (undocumented)
export interface NatGatewaysListQueryParam {
    // (undocumented)
    queryParameters: NatGatewaysListQueryParamProperties;
}

// @public (undocumented)
export interface NatGatewaysListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NatGatewaysUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: NatGatewayOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface NatGatewaysUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface NatGatewaysUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NatGatewaysUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type NatGatewaysUpdateTagsParameters = NatGatewaysUpdateTagsQueryParam & NatGatewaysUpdateTagsMediaTypesParam & NatGatewaysUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface NatGatewaysUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: NatGatewaysUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface NatGatewaysUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NatRule extends FirewallPolicyRuleParent {
    destinationAddresses?: Array<string>;
    destinationPorts?: Array<string>;
    ipProtocols?: Array<"TCP" | "UDP" | "Any" | "ICMP">;
    // (undocumented)
    ruleType: "NatRule";
    sourceAddresses?: Array<string>;
    sourceIpGroups?: Array<string>;
    translatedAddress?: string;
    translatedFqdn?: string;
    translatedPort?: string;
}

// @public
export interface NatRuleOutput extends FirewallPolicyRuleOutputParent {
    destinationAddresses?: Array<string>;
    destinationPorts?: Array<string>;
    ipProtocols?: Array<"TCP" | "UDP" | "Any" | "ICMP">;
    // (undocumented)
    ruleType: "NatRule";
    sourceAddresses?: Array<string>;
    sourceIpGroups?: Array<string>;
    translatedAddress?: string;
    translatedFqdn?: string;
    translatedPort?: string;
}

// @public
export interface NatRulePortMapping {
    backendPort?: number;
    frontendPort?: number;
    inboundNatRuleName?: string;
}

// @public
export interface NatRulePortMappingOutput {
    backendPort?: number;
    frontendPort?: number;
    inboundNatRuleName?: string;
}

// @public
export interface NatRulesCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: VpnGatewayNatRuleOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NatRulesCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: VpnGatewayNatRuleOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface NatRulesCreateOrUpdateBodyParam {
    body: VpnGatewayNatRule;
}

// @public
export interface NatRulesCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NatRulesCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type NatRulesCreateOrUpdateParameters = NatRulesCreateOrUpdateQueryParam & NatRulesCreateOrUpdateMediaTypesParam & NatRulesCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface NatRulesCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: NatRulesCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface NatRulesCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NatRulesDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface NatRulesDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface NatRulesDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface NatRulesDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NatRulesDeleteParameters = NatRulesDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface NatRulesDeleteQueryParam {
    // (undocumented)
    queryParameters: NatRulesDeleteQueryParamProperties;
}

// @public (undocumented)
export interface NatRulesDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface NatRulesGet {
    delete(options: NatRulesDeleteParameters): StreamableMethod<NatRulesDelete200Response | NatRulesDelete202Response | NatRulesDelete204Response | NatRulesDeleteDefaultResponse>;
    get(options: NatRulesGetParameters): StreamableMethod<NatRulesGet200Response | NatRulesGetDefaultResponse>;
    put(options: NatRulesCreateOrUpdateParameters): StreamableMethod<NatRulesCreateOrUpdate200Response | NatRulesCreateOrUpdate201Response | NatRulesCreateOrUpdateDefaultResponse>;
}

// @public
export interface NatRulesGet200Response extends HttpResponse {
    // (undocumented)
    body: VpnGatewayNatRuleOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NatRulesGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NatRulesGetParameters = NatRulesGetQueryParam & RequestParameters;

// @public (undocumented)
export interface NatRulesGetQueryParam {
    // (undocumented)
    queryParameters: NatRulesGetQueryParamProperties;
}

// @public (undocumented)
export interface NatRulesGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface NatRulesListByVpnGateway {
    get(options: NatRulesListByVpnGatewayParameters): StreamableMethod<NatRulesListByVpnGateway200Response | NatRulesListByVpnGatewayDefaultResponse>;
}

// @public
export interface NatRulesListByVpnGateway200Response extends HttpResponse {
    // (undocumented)
    body: ListVpnGatewayNatRulesResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NatRulesListByVpnGatewayDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NatRulesListByVpnGatewayParameters = NatRulesListByVpnGatewayQueryParam & RequestParameters;

// @public (undocumented)
export interface NatRulesListByVpnGatewayQueryParam {
    // (undocumented)
    queryParameters: NatRulesListByVpnGatewayQueryParamProperties;
}

// @public (undocumented)
export interface NatRulesListByVpnGatewayQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NetworkConfigurationDiagnosticParameters {
    profiles: Array<NetworkConfigurationDiagnosticProfile>;
    targetResourceId: string;
    verbosityLevel?: "Normal" | "Minimum" | "Full";
}

// @public
export interface NetworkConfigurationDiagnosticProfile {
    destination: string;
    destinationPort: string;
    direction: "Inbound" | "Outbound";
    protocol: string;
    source: string;
}

// @public
export interface NetworkConfigurationDiagnosticProfileOutput {
    destination: string;
    destinationPort: string;
    direction: "Inbound" | "Outbound";
    protocol: string;
    source: string;
}

// @public
export interface NetworkConfigurationDiagnosticResponseOutput {
    readonly results?: Array<NetworkConfigurationDiagnosticResultOutput>;
}

// @public
export interface NetworkConfigurationDiagnosticResultOutput {
    networkSecurityGroupResult?: NetworkSecurityGroupResultOutput;
    profile?: NetworkConfigurationDiagnosticProfileOutput;
}

// @public
export interface NetworkGroup extends ChildResource {
    properties?: NetworkGroupProperties;
}

// @public
export interface NetworkGroupListResultOutput {
    nextLink?: string;
    value?: Array<NetworkGroupOutput>;
}

// @public
export interface NetworkGroupOutput extends ChildResourceOutput {
    properties?: NetworkGroupPropertiesOutput;
    readonly systemData?: SystemDataOutput;
}

// @public
export interface NetworkGroupProperties {
    description?: string;
}

// @public
export interface NetworkGroupPropertiesOutput {
    description?: string;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public (undocumented)
export interface NetworkGroupsCreateOrUpdate200Headers {
    etag?: string;
}

// @public
export interface NetworkGroupsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: NetworkGroupOutput;
    // (undocumented)
    headers: RawHttpHeaders & NetworkGroupsCreateOrUpdate200Headers;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface NetworkGroupsCreateOrUpdate201Headers {
    etag?: string;
}

// @public
export interface NetworkGroupsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: NetworkGroupOutput;
    // (undocumented)
    headers: RawHttpHeaders & NetworkGroupsCreateOrUpdate201Headers;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface NetworkGroupsCreateOrUpdateBodyParam {
    body: NetworkGroup;
}

// @public
export interface NetworkGroupsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NetworkGroupsCreateOrUpdateHeaderParam {
    // (undocumented)
    headers?: RawHttpHeadersInput & NetworkGroupsCreateOrUpdateHeaders;
}

// @public (undocumented)
export interface NetworkGroupsCreateOrUpdateHeaders {
    "If-Match"?: string;
}

// @public (undocumented)
export interface NetworkGroupsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type NetworkGroupsCreateOrUpdateParameters = NetworkGroupsCreateOrUpdateQueryParam & NetworkGroupsCreateOrUpdateHeaderParam & NetworkGroupsCreateOrUpdateMediaTypesParam & NetworkGroupsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface NetworkGroupsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: NetworkGroupsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface NetworkGroupsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NetworkGroupsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface NetworkGroupsDelete202Headers {
    location?: string;
}

// @public
export interface NetworkGroupsDelete202Response extends HttpResponse {
    // (undocumented)
    headers: RawHttpHeaders & NetworkGroupsDelete202Headers;
    // (undocumented)
    status: "202";
}

// @public
export interface NetworkGroupsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface NetworkGroupsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkGroupsDeleteParameters = NetworkGroupsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkGroupsDeleteQueryParam {
    // (undocumented)
    queryParameters: NetworkGroupsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface NetworkGroupsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
    force?: boolean;
}

// @public (undocumented)
export interface NetworkGroupsGet {
    delete(options: NetworkGroupsDeleteParameters): StreamableMethod<NetworkGroupsDelete200Response | NetworkGroupsDelete202Response | NetworkGroupsDelete204Response | NetworkGroupsDeleteDefaultResponse>;
    get(options: NetworkGroupsGetParameters): StreamableMethod<NetworkGroupsGet200Response | NetworkGroupsGetDefaultResponse>;
    put(options: NetworkGroupsCreateOrUpdateParameters): StreamableMethod<NetworkGroupsCreateOrUpdate200Response | NetworkGroupsCreateOrUpdate201Response | NetworkGroupsCreateOrUpdateDefaultResponse>;
}

// @public
export interface NetworkGroupsGet200Response extends HttpResponse {
    // (undocumented)
    body: NetworkGroupOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkGroupsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkGroupsGetParameters = NetworkGroupsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkGroupsGetQueryParam {
    // (undocumented)
    queryParameters: NetworkGroupsGetQueryParamProperties;
}

// @public (undocumented)
export interface NetworkGroupsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface NetworkGroupsList {
    get(options: NetworkGroupsListParameters): StreamableMethod<NetworkGroupsList200Response | NetworkGroupsListDefaultResponse>;
}

// @public
export interface NetworkGroupsList200Response extends HttpResponse {
    // (undocumented)
    body: NetworkGroupListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkGroupsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkGroupsListParameters = NetworkGroupsListQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkGroupsListQueryParam {
    // (undocumented)
    queryParameters: NetworkGroupsListQueryParamProperties;
}

// @public (undocumented)
export interface NetworkGroupsListQueryParamProperties {
    "api-version": "2022-05-01";
    $skipToken?: string;
    $top?: number;
}

// @public
export interface NetworkIntentPolicy extends Resource {
}

// @public
export interface NetworkIntentPolicyConfiguration {
    networkIntentPolicyName?: string;
    sourceNetworkIntentPolicy?: NetworkIntentPolicy;
}

// @public
export interface NetworkIntentPolicyOutput extends ResourceOutput {
    readonly etag?: string;
}

// @public
export interface NetworkInterface extends Resource {
    extendedLocation?: ExtendedLocation;
    properties?: NetworkInterfacePropertiesFormat;
}

// @public
export interface NetworkInterfaceAssociationOutput {
    readonly id?: string;
    securityRules?: Array<SecurityRuleOutput>;
}

// @public
export interface NetworkInterfaceDnsSettings {
    dnsServers?: Array<string>;
    internalDnsNameLabel?: string;
}

// @public
export interface NetworkInterfaceDnsSettingsOutput {
    readonly appliedDnsServers?: Array<string>;
    dnsServers?: Array<string>;
    internalDnsNameLabel?: string;
    readonly internalDomainNameSuffix?: string;
    readonly internalFqdn?: string;
}

// @public
export interface NetworkInterfaceIPConfiguration extends SubResource {
    name?: string;
    properties?: NetworkInterfaceIPConfigurationPropertiesFormat;
    type?: string;
}

// @public
export interface NetworkInterfaceIPConfigurationListResultOutput {
    readonly nextLink?: string;
    value?: Array<NetworkInterfaceIPConfigurationOutput>;
}

// @public
export interface NetworkInterfaceIPConfigurationOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: NetworkInterfaceIPConfigurationPropertiesFormatOutput;
    type?: string;
}

// @public
export interface NetworkInterfaceIPConfigurationPrivateLinkConnectionProperties {
}

// @public
export interface NetworkInterfaceIPConfigurationPrivateLinkConnectionPropertiesOutput {
    readonly fqdns?: Array<string>;
    readonly groupId?: string;
    readonly requiredMemberName?: string;
}

// @public
export interface NetworkInterfaceIPConfigurationPropertiesFormat {
    applicationGatewayBackendAddressPools?: Array<ApplicationGatewayBackendAddressPool>;
    applicationSecurityGroups?: Array<ApplicationSecurityGroup>;
    gatewayLoadBalancer?: SubResource;
    loadBalancerBackendAddressPools?: Array<BackendAddressPool>;
    loadBalancerInboundNatRules?: Array<InboundNatRule>;
    primary?: boolean;
    privateIPAddress?: string;
    privateIPAddressVersion?: "IPv4" | "IPv6";
    privateIPAllocationMethod?: "Static" | "Dynamic";
    publicIPAddress?: PublicIPAddress;
    subnet?: Subnet;
    virtualNetworkTaps?: Array<VirtualNetworkTap>;
}

// @public
export interface NetworkInterfaceIPConfigurationPropertiesFormatOutput {
    applicationGatewayBackendAddressPools?: Array<ApplicationGatewayBackendAddressPoolOutput>;
    applicationSecurityGroups?: Array<ApplicationSecurityGroupOutput>;
    gatewayLoadBalancer?: SubResourceOutput;
    loadBalancerBackendAddressPools?: Array<BackendAddressPoolOutput>;
    loadBalancerInboundNatRules?: Array<InboundNatRuleOutput>;
    primary?: boolean;
    privateIPAddress?: string;
    privateIPAddressVersion?: "IPv4" | "IPv6";
    privateIPAllocationMethod?: "Static" | "Dynamic";
    readonly privateLinkConnectionProperties?: NetworkInterfaceIPConfigurationPrivateLinkConnectionPropertiesOutput;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    publicIPAddress?: PublicIPAddressOutput;
    subnet?: SubnetOutput;
    virtualNetworkTaps?: Array<VirtualNetworkTapOutput>;
}

// @public (undocumented)
export interface NetworkInterfaceIPConfigurationsGet {
    get(options: NetworkInterfaceIPConfigurationsGetParameters): StreamableMethod<NetworkInterfaceIPConfigurationsGet200Response | NetworkInterfaceIPConfigurationsGetDefaultResponse>;
}

// @public
export interface NetworkInterfaceIPConfigurationsGet200Response extends HttpResponse {
    // (undocumented)
    body: NetworkInterfaceIPConfigurationOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkInterfaceIPConfigurationsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkInterfaceIPConfigurationsGetParameters = NetworkInterfaceIPConfigurationsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkInterfaceIPConfigurationsGetQueryParam {
    // (undocumented)
    queryParameters: NetworkInterfaceIPConfigurationsGetQueryParamProperties;
}

// @public (undocumented)
export interface NetworkInterfaceIPConfigurationsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface NetworkInterfaceIPConfigurationsList {
    get(options: NetworkInterfaceIPConfigurationsListParameters): StreamableMethod<NetworkInterfaceIPConfigurationsList200Response | NetworkInterfaceIPConfigurationsListDefaultResponse>;
}

// @public
export interface NetworkInterfaceIPConfigurationsList200Response extends HttpResponse {
    // (undocumented)
    body: NetworkInterfaceIPConfigurationListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkInterfaceIPConfigurationsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkInterfaceIPConfigurationsListParameters = NetworkInterfaceIPConfigurationsListQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkInterfaceIPConfigurationsListQueryParam {
    // (undocumented)
    queryParameters: NetworkInterfaceIPConfigurationsListQueryParamProperties;
}

// @public (undocumented)
export interface NetworkInterfaceIPConfigurationsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NetworkInterfaceListResultOutput {
    readonly nextLink?: string;
    value?: Array<NetworkInterfaceOutput>;
}

// @public
export interface NetworkInterfaceLoadBalancerListResultOutput {
    readonly nextLink?: string;
    value?: Array<LoadBalancerOutput>;
}

// @public (undocumented)
export interface NetworkInterfaceLoadBalancersList {
    get(options: NetworkInterfaceLoadBalancersListParameters): StreamableMethod<NetworkInterfaceLoadBalancersList200Response | NetworkInterfaceLoadBalancersListDefaultResponse>;
}

// @public
export interface NetworkInterfaceLoadBalancersList200Response extends HttpResponse {
    // (undocumented)
    body: NetworkInterfaceLoadBalancerListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkInterfaceLoadBalancersListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkInterfaceLoadBalancersListParameters = NetworkInterfaceLoadBalancersListQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkInterfaceLoadBalancersListQueryParam {
    // (undocumented)
    queryParameters: NetworkInterfaceLoadBalancersListQueryParamProperties;
}

// @public (undocumented)
export interface NetworkInterfaceLoadBalancersListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NetworkInterfaceOutput extends ResourceOutput {
    readonly etag?: string;
    extendedLocation?: ExtendedLocationOutput;
    properties?: NetworkInterfacePropertiesFormatOutput;
}

// @public
export interface NetworkInterfacePropertiesFormat {
    auxiliaryMode?: "None" | "MaxConnections" | "Floating";
    disableTcpStateTracking?: boolean;
    dnsSettings?: NetworkInterfaceDnsSettings;
    enableAcceleratedNetworking?: boolean;
    enableIPForwarding?: boolean;
    ipConfigurations?: Array<NetworkInterfaceIPConfiguration>;
    migrationPhase?: "None" | "Prepare" | "Commit" | "Abort" | "Committed";
    networkSecurityGroup?: NetworkSecurityGroup;
    nicType?: "Standard" | "Elastic";
    privateLinkService?: PrivateLinkService;
    workloadType?: string;
}

// @public
export interface NetworkInterfacePropertiesFormatOutput {
    auxiliaryMode?: "None" | "MaxConnections" | "Floating";
    disableTcpStateTracking?: boolean;
    dnsSettings?: NetworkInterfaceDnsSettingsOutput;
    readonly dscpConfiguration?: SubResourceOutput;
    enableAcceleratedNetworking?: boolean;
    enableIPForwarding?: boolean;
    readonly hostedWorkloads?: Array<string>;
    ipConfigurations?: Array<NetworkInterfaceIPConfigurationOutput>;
    readonly macAddress?: string;
    migrationPhase?: "None" | "Prepare" | "Commit" | "Abort" | "Committed";
    networkSecurityGroup?: NetworkSecurityGroupOutput;
    nicType?: "Standard" | "Elastic";
    readonly primary?: boolean;
    readonly privateEndpoint?: PrivateEndpointOutput;
    privateLinkService?: PrivateLinkServiceOutput;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    readonly resourceGuid?: string;
    readonly tapConfigurations?: Array<NetworkInterfaceTapConfigurationOutput>;
    readonly virtualMachine?: SubResourceOutput;
    readonly vnetEncryptionSupported?: boolean;
    workloadType?: string;
}

// @public
export interface NetworkInterfacesCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: NetworkInterfaceOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkInterfacesCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: NetworkInterfaceOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface NetworkInterfacesCreateOrUpdateBodyParam {
    body: NetworkInterface;
}

// @public
export interface NetworkInterfacesCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NetworkInterfacesCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type NetworkInterfacesCreateOrUpdateParameters = NetworkInterfacesCreateOrUpdateQueryParam & NetworkInterfacesCreateOrUpdateMediaTypesParam & NetworkInterfacesCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface NetworkInterfacesCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: NetworkInterfacesCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface NetworkInterfacesCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface NetworkInterfacesDelete {
    delete(options: NetworkInterfacesDeleteParameters): StreamableMethod<NetworkInterfacesDelete200Response | NetworkInterfacesDelete202Response | NetworkInterfacesDelete204Response | NetworkInterfacesDeleteDefaultResponse>;
    get(options: NetworkInterfacesGetParameters): StreamableMethod<NetworkInterfacesGet200Response | NetworkInterfacesGetDefaultResponse>;
    patch(options: NetworkInterfacesUpdateTagsParameters): StreamableMethod<NetworkInterfacesUpdateTags200Response | NetworkInterfacesUpdateTagsDefaultResponse>;
    put(options: NetworkInterfacesCreateOrUpdateParameters): StreamableMethod<NetworkInterfacesCreateOrUpdate200Response | NetworkInterfacesCreateOrUpdate201Response | NetworkInterfacesCreateOrUpdateDefaultResponse>;
}

// @public
export interface NetworkInterfacesDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkInterfacesDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface NetworkInterfacesDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface NetworkInterfacesDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkInterfacesDeleteParameters = NetworkInterfacesDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkInterfacesDeleteQueryParam {
    // (undocumented)
    queryParameters: NetworkInterfacesDeleteQueryParamProperties;
}

// @public (undocumented)
export interface NetworkInterfacesDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NetworkInterfacesGet200Response extends HttpResponse {
    // (undocumented)
    body: NetworkInterfaceOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface NetworkInterfacesGetCloudServiceNetworkInterface {
    get(options: NetworkInterfacesGetCloudServiceNetworkInterfaceParameters): StreamableMethod<NetworkInterfacesGetCloudServiceNetworkInterface200Response | NetworkInterfacesGetCloudServiceNetworkInterfaceDefaultResponse>;
}

// @public
export interface NetworkInterfacesGetCloudServiceNetworkInterface200Response extends HttpResponse {
    // (undocumented)
    body: NetworkInterfaceOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkInterfacesGetCloudServiceNetworkInterfaceDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkInterfacesGetCloudServiceNetworkInterfaceParameters = NetworkInterfacesGetCloudServiceNetworkInterfaceQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkInterfacesGetCloudServiceNetworkInterfaceQueryParam {
    // (undocumented)
    queryParameters: NetworkInterfacesGetCloudServiceNetworkInterfaceQueryParamProperties;
}

// @public (undocumented)
export interface NetworkInterfacesGetCloudServiceNetworkInterfaceQueryParamProperties {
    "api-version": "2022-05-01";
    $expand?: string;
}

// @public
export interface NetworkInterfacesGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NetworkInterfacesGetEffectiveRouteTable {
    post(options: NetworkInterfacesGetEffectiveRouteTableParameters): StreamableMethod<NetworkInterfacesGetEffectiveRouteTable200Response | NetworkInterfacesGetEffectiveRouteTable202Response | NetworkInterfacesGetEffectiveRouteTableDefaultResponse>;
}

// @public
export interface NetworkInterfacesGetEffectiveRouteTable200Response extends HttpResponse {
    // (undocumented)
    body: EffectiveRouteListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkInterfacesGetEffectiveRouteTable202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface NetworkInterfacesGetEffectiveRouteTableDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkInterfacesGetEffectiveRouteTableParameters = NetworkInterfacesGetEffectiveRouteTableQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkInterfacesGetEffectiveRouteTableQueryParam {
    // (undocumented)
    queryParameters: NetworkInterfacesGetEffectiveRouteTableQueryParamProperties;
}

// @public (undocumented)
export interface NetworkInterfacesGetEffectiveRouteTableQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export type NetworkInterfacesGetParameters = NetworkInterfacesGetQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkInterfacesGetQueryParam {
    // (undocumented)
    queryParameters: NetworkInterfacesGetQueryParamProperties;
}

// @public (undocumented)
export interface NetworkInterfacesGetQueryParamProperties {
    "api-version": "2022-05-01";
    $expand?: string;
}

// @public (undocumented)
export interface NetworkInterfacesGetVirtualMachineScaleSetIpConfiguration {
    get(options: NetworkInterfacesGetVirtualMachineScaleSetIpConfigurationParameters): StreamableMethod<NetworkInterfacesGetVirtualMachineScaleSetIpConfiguration200Response | NetworkInterfacesGetVirtualMachineScaleSetIpConfigurationDefaultResponse>;
}

// @public
export interface NetworkInterfacesGetVirtualMachineScaleSetIpConfiguration200Response extends HttpResponse {
    // (undocumented)
    body: NetworkInterfaceIPConfigurationOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkInterfacesGetVirtualMachineScaleSetIpConfigurationDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkInterfacesGetVirtualMachineScaleSetIpConfigurationParameters = NetworkInterfacesGetVirtualMachineScaleSetIpConfigurationQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkInterfacesGetVirtualMachineScaleSetIpConfigurationQueryParam {
    // (undocumented)
    queryParameters: NetworkInterfacesGetVirtualMachineScaleSetIpConfigurationQueryParamProperties;
}

// @public (undocumented)
export interface NetworkInterfacesGetVirtualMachineScaleSetIpConfigurationQueryParamProperties {
    "api-version": "2018-10-01";
    $expand?: string;
}

// @public (undocumented)
export interface NetworkInterfacesGetVirtualMachineScaleSetNetworkInterface {
    get(options: NetworkInterfacesGetVirtualMachineScaleSetNetworkInterfaceParameters): StreamableMethod<NetworkInterfacesGetVirtualMachineScaleSetNetworkInterface200Response | NetworkInterfacesGetVirtualMachineScaleSetNetworkInterfaceDefaultResponse>;
}

// @public
export interface NetworkInterfacesGetVirtualMachineScaleSetNetworkInterface200Response extends HttpResponse {
    // (undocumented)
    body: NetworkInterfaceOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkInterfacesGetVirtualMachineScaleSetNetworkInterfaceDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkInterfacesGetVirtualMachineScaleSetNetworkInterfaceParameters = NetworkInterfacesGetVirtualMachineScaleSetNetworkInterfaceQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkInterfacesGetVirtualMachineScaleSetNetworkInterfaceQueryParam {
    // (undocumented)
    queryParameters: NetworkInterfacesGetVirtualMachineScaleSetNetworkInterfaceQueryParamProperties;
}

// @public (undocumented)
export interface NetworkInterfacesGetVirtualMachineScaleSetNetworkInterfaceQueryParamProperties {
    "api-version": "2018-10-01";
    $expand?: string;
}

// @public (undocumented)
export interface NetworkInterfacesList {
    get(options: NetworkInterfacesListParameters): StreamableMethod<NetworkInterfacesList200Response | NetworkInterfacesListDefaultResponse>;
}

// @public
export interface NetworkInterfacesList200Response extends HttpResponse {
    // (undocumented)
    body: NetworkInterfaceListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface NetworkInterfacesListAll {
    get(options: NetworkInterfacesListAllParameters): StreamableMethod<NetworkInterfacesListAll200Response | NetworkInterfacesListAllDefaultResponse>;
}

// @public
export interface NetworkInterfacesListAll200Response extends HttpResponse {
    // (undocumented)
    body: NetworkInterfaceListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkInterfacesListAllDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkInterfacesListAllParameters = NetworkInterfacesListAllQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkInterfacesListAllQueryParam {
    // (undocumented)
    queryParameters: NetworkInterfacesListAllQueryParamProperties;
}

// @public (undocumented)
export interface NetworkInterfacesListAllQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface NetworkInterfacesListCloudServiceNetworkInterfaces {
    get(options: NetworkInterfacesListCloudServiceNetworkInterfacesParameters): StreamableMethod<NetworkInterfacesListCloudServiceNetworkInterfaces200Response | NetworkInterfacesListCloudServiceNetworkInterfacesDefaultResponse>;
}

// @public
export interface NetworkInterfacesListCloudServiceNetworkInterfaces200Response extends HttpResponse {
    // (undocumented)
    body: NetworkInterfaceListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkInterfacesListCloudServiceNetworkInterfacesDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkInterfacesListCloudServiceNetworkInterfacesParameters = NetworkInterfacesListCloudServiceNetworkInterfacesQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkInterfacesListCloudServiceNetworkInterfacesQueryParam {
    // (undocumented)
    queryParameters: NetworkInterfacesListCloudServiceNetworkInterfacesQueryParamProperties;
}

// @public (undocumented)
export interface NetworkInterfacesListCloudServiceNetworkInterfacesQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface NetworkInterfacesListCloudServiceRoleInstanceNetworkInterfaces {
    get(options: NetworkInterfacesListCloudServiceRoleInstanceNetworkInterfacesParameters): StreamableMethod<NetworkInterfacesListCloudServiceRoleInstanceNetworkInterfaces200Response | NetworkInterfacesListCloudServiceRoleInstanceNetworkInterfacesDefaultResponse>;
}

// @public
export interface NetworkInterfacesListCloudServiceRoleInstanceNetworkInterfaces200Response extends HttpResponse {
    // (undocumented)
    body: NetworkInterfaceListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkInterfacesListCloudServiceRoleInstanceNetworkInterfacesDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkInterfacesListCloudServiceRoleInstanceNetworkInterfacesParameters = NetworkInterfacesListCloudServiceRoleInstanceNetworkInterfacesQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkInterfacesListCloudServiceRoleInstanceNetworkInterfacesQueryParam {
    // (undocumented)
    queryParameters: NetworkInterfacesListCloudServiceRoleInstanceNetworkInterfacesQueryParamProperties;
}

// @public (undocumented)
export interface NetworkInterfacesListCloudServiceRoleInstanceNetworkInterfacesQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NetworkInterfacesListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NetworkInterfacesListEffectiveNetworkSecurityGroups {
    post(options: NetworkInterfacesListEffectiveNetworkSecurityGroupsParameters): StreamableMethod<NetworkInterfacesListEffectiveNetworkSecurityGroups200Response | NetworkInterfacesListEffectiveNetworkSecurityGroups202Response | NetworkInterfacesListEffectiveNetworkSecurityGroupsDefaultResponse>;
}

// @public
export interface NetworkInterfacesListEffectiveNetworkSecurityGroups200Response extends HttpResponse {
    // (undocumented)
    body: EffectiveNetworkSecurityGroupListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkInterfacesListEffectiveNetworkSecurityGroups202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface NetworkInterfacesListEffectiveNetworkSecurityGroupsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkInterfacesListEffectiveNetworkSecurityGroupsParameters = NetworkInterfacesListEffectiveNetworkSecurityGroupsQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkInterfacesListEffectiveNetworkSecurityGroupsQueryParam {
    // (undocumented)
    queryParameters: NetworkInterfacesListEffectiveNetworkSecurityGroupsQueryParamProperties;
}

// @public (undocumented)
export interface NetworkInterfacesListEffectiveNetworkSecurityGroupsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export type NetworkInterfacesListParameters = NetworkInterfacesListQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkInterfacesListQueryParam {
    // (undocumented)
    queryParameters: NetworkInterfacesListQueryParamProperties;
}

// @public (undocumented)
export interface NetworkInterfacesListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface NetworkInterfacesListVirtualMachineScaleSetIpConfigurations {
    get(options: NetworkInterfacesListVirtualMachineScaleSetIpConfigurationsParameters): StreamableMethod<NetworkInterfacesListVirtualMachineScaleSetIpConfigurations200Response | NetworkInterfacesListVirtualMachineScaleSetIpConfigurationsDefaultResponse>;
}

// @public
export interface NetworkInterfacesListVirtualMachineScaleSetIpConfigurations200Response extends HttpResponse {
    // (undocumented)
    body: NetworkInterfaceIPConfigurationListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkInterfacesListVirtualMachineScaleSetIpConfigurationsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkInterfacesListVirtualMachineScaleSetIpConfigurationsParameters = NetworkInterfacesListVirtualMachineScaleSetIpConfigurationsQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkInterfacesListVirtualMachineScaleSetIpConfigurationsQueryParam {
    // (undocumented)
    queryParameters: NetworkInterfacesListVirtualMachineScaleSetIpConfigurationsQueryParamProperties;
}

// @public (undocumented)
export interface NetworkInterfacesListVirtualMachineScaleSetIpConfigurationsQueryParamProperties {
    "api-version": "2018-10-01";
    $expand?: string;
}

// @public (undocumented)
export interface NetworkInterfacesListVirtualMachineScaleSetNetworkInterfaces {
    get(options: NetworkInterfacesListVirtualMachineScaleSetNetworkInterfacesParameters): StreamableMethod<NetworkInterfacesListVirtualMachineScaleSetNetworkInterfaces200Response | NetworkInterfacesListVirtualMachineScaleSetNetworkInterfacesDefaultResponse>;
}

// @public
export interface NetworkInterfacesListVirtualMachineScaleSetNetworkInterfaces200Response extends HttpResponse {
    // (undocumented)
    body: NetworkInterfaceListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkInterfacesListVirtualMachineScaleSetNetworkInterfacesDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkInterfacesListVirtualMachineScaleSetNetworkInterfacesParameters = NetworkInterfacesListVirtualMachineScaleSetNetworkInterfacesQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkInterfacesListVirtualMachineScaleSetNetworkInterfacesQueryParam {
    // (undocumented)
    queryParameters: NetworkInterfacesListVirtualMachineScaleSetNetworkInterfacesQueryParamProperties;
}

// @public (undocumented)
export interface NetworkInterfacesListVirtualMachineScaleSetNetworkInterfacesQueryParamProperties {
    "api-version": "2018-10-01";
}

// @public (undocumented)
export interface NetworkInterfacesListVirtualMachineScaleSetVMNetworkInterfaces {
    get(options: NetworkInterfacesListVirtualMachineScaleSetVMNetworkInterfacesParameters): StreamableMethod<NetworkInterfacesListVirtualMachineScaleSetVMNetworkInterfaces200Response | NetworkInterfacesListVirtualMachineScaleSetVMNetworkInterfacesDefaultResponse>;
}

// @public
export interface NetworkInterfacesListVirtualMachineScaleSetVMNetworkInterfaces200Response extends HttpResponse {
    // (undocumented)
    body: NetworkInterfaceListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkInterfacesListVirtualMachineScaleSetVMNetworkInterfacesDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkInterfacesListVirtualMachineScaleSetVMNetworkInterfacesParameters = NetworkInterfacesListVirtualMachineScaleSetVMNetworkInterfacesQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkInterfacesListVirtualMachineScaleSetVMNetworkInterfacesQueryParam {
    // (undocumented)
    queryParameters: NetworkInterfacesListVirtualMachineScaleSetVMNetworkInterfacesQueryParamProperties;
}

// @public (undocumented)
export interface NetworkInterfacesListVirtualMachineScaleSetVMNetworkInterfacesQueryParamProperties {
    "api-version": "2018-10-01";
}

// @public
export interface NetworkInterfacesUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: NetworkInterfaceOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface NetworkInterfacesUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface NetworkInterfacesUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NetworkInterfacesUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type NetworkInterfacesUpdateTagsParameters = NetworkInterfacesUpdateTagsQueryParam & NetworkInterfacesUpdateTagsMediaTypesParam & NetworkInterfacesUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface NetworkInterfacesUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: NetworkInterfacesUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface NetworkInterfacesUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NetworkInterfaceTapConfiguration extends SubResource {
    name?: string;
    properties?: NetworkInterfaceTapConfigurationPropertiesFormat;
}

// @public
export interface NetworkInterfaceTapConfigurationListResultOutput {
    readonly nextLink?: string;
    value?: Array<NetworkInterfaceTapConfigurationOutput>;
}

// @public
export interface NetworkInterfaceTapConfigurationOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: NetworkInterfaceTapConfigurationPropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface NetworkInterfaceTapConfigurationPropertiesFormat {
    virtualNetworkTap?: VirtualNetworkTap;
}

// @public
export interface NetworkInterfaceTapConfigurationPropertiesFormatOutput {
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    virtualNetworkTap?: VirtualNetworkTapOutput;
}

// @public
export interface NetworkInterfaceTapConfigurationsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: NetworkInterfaceTapConfigurationOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkInterfaceTapConfigurationsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: NetworkInterfaceTapConfigurationOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface NetworkInterfaceTapConfigurationsCreateOrUpdateBodyParam {
    body: NetworkInterfaceTapConfiguration;
}

// @public
export interface NetworkInterfaceTapConfigurationsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NetworkInterfaceTapConfigurationsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type NetworkInterfaceTapConfigurationsCreateOrUpdateParameters = NetworkInterfaceTapConfigurationsCreateOrUpdateQueryParam & NetworkInterfaceTapConfigurationsCreateOrUpdateMediaTypesParam & NetworkInterfaceTapConfigurationsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface NetworkInterfaceTapConfigurationsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: NetworkInterfaceTapConfigurationsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface NetworkInterfaceTapConfigurationsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface NetworkInterfaceTapConfigurationsDelete {
    delete(options: NetworkInterfaceTapConfigurationsDeleteParameters): StreamableMethod<NetworkInterfaceTapConfigurationsDelete200Response | NetworkInterfaceTapConfigurationsDelete202Response | NetworkInterfaceTapConfigurationsDelete204Response | NetworkInterfaceTapConfigurationsDeleteDefaultResponse>;
    get(options: NetworkInterfaceTapConfigurationsGetParameters): StreamableMethod<NetworkInterfaceTapConfigurationsGet200Response | NetworkInterfaceTapConfigurationsGetDefaultResponse>;
    put(options: NetworkInterfaceTapConfigurationsCreateOrUpdateParameters): StreamableMethod<NetworkInterfaceTapConfigurationsCreateOrUpdate200Response | NetworkInterfaceTapConfigurationsCreateOrUpdate201Response | NetworkInterfaceTapConfigurationsCreateOrUpdateDefaultResponse>;
}

// @public
export interface NetworkInterfaceTapConfigurationsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkInterfaceTapConfigurationsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface NetworkInterfaceTapConfigurationsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface NetworkInterfaceTapConfigurationsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkInterfaceTapConfigurationsDeleteParameters = NetworkInterfaceTapConfigurationsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkInterfaceTapConfigurationsDeleteQueryParam {
    // (undocumented)
    queryParameters: NetworkInterfaceTapConfigurationsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface NetworkInterfaceTapConfigurationsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NetworkInterfaceTapConfigurationsGet200Response extends HttpResponse {
    // (undocumented)
    body: NetworkInterfaceTapConfigurationOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkInterfaceTapConfigurationsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkInterfaceTapConfigurationsGetParameters = NetworkInterfaceTapConfigurationsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkInterfaceTapConfigurationsGetQueryParam {
    // (undocumented)
    queryParameters: NetworkInterfaceTapConfigurationsGetQueryParamProperties;
}

// @public (undocumented)
export interface NetworkInterfaceTapConfigurationsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface NetworkInterfaceTapConfigurationsList {
    get(options: NetworkInterfaceTapConfigurationsListParameters): StreamableMethod<NetworkInterfaceTapConfigurationsList200Response | NetworkInterfaceTapConfigurationsListDefaultResponse>;
}

// @public
export interface NetworkInterfaceTapConfigurationsList200Response extends HttpResponse {
    // (undocumented)
    body: NetworkInterfaceTapConfigurationListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkInterfaceTapConfigurationsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkInterfaceTapConfigurationsListParameters = NetworkInterfaceTapConfigurationsListQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkInterfaceTapConfigurationsListQueryParam {
    // (undocumented)
    queryParameters: NetworkInterfaceTapConfigurationsListQueryParamProperties;
}

// @public (undocumented)
export interface NetworkInterfaceTapConfigurationsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export type NetworkManagementClient = Client & {
    path: Routes;
};

// @public
export interface NetworkManagementClientOptions extends ClientOptions {
}

// @public
export interface NetworkManager extends Resource {
    properties?: NetworkManagerProperties;
}

// @public
export interface NetworkManagerCommit {
    commitType: "SecurityAdmin" | "Connectivity";
    configurationIds?: Array<string>;
    targetLocations: Array<string>;
}

// @public
export interface NetworkManagerCommitOutput {
    readonly commitId?: string;
    commitType: "SecurityAdmin" | "Connectivity";
    configurationIds?: Array<string>;
    targetLocations: Array<string>;
}

// @public (undocumented)
export interface NetworkManagerCommitsPost {
    post(options: NetworkManagerCommitsPostParameters): StreamableMethod<NetworkManagerCommitsPost200Response | NetworkManagerCommitsPost202Response | NetworkManagerCommitsPostDefaultResponse>;
}

// @public
export interface NetworkManagerCommitsPost200Response extends HttpResponse {
    // (undocumented)
    body: NetworkManagerCommitOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface NetworkManagerCommitsPost202Headers {
    location?: string;
}

// @public
export interface NetworkManagerCommitsPost202Response extends HttpResponse {
    // (undocumented)
    body: NetworkManagerCommitOutput;
    // (undocumented)
    headers: RawHttpHeaders & NetworkManagerCommitsPost202Headers;
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface NetworkManagerCommitsPostBodyParam {
    body: NetworkManagerCommit;
}

// @public
export interface NetworkManagerCommitsPostDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NetworkManagerCommitsPostMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type NetworkManagerCommitsPostParameters = NetworkManagerCommitsPostQueryParam & NetworkManagerCommitsPostMediaTypesParam & NetworkManagerCommitsPostBodyParam & RequestParameters;

// @public (undocumented)
export interface NetworkManagerCommitsPostQueryParam {
    // (undocumented)
    queryParameters: NetworkManagerCommitsPostQueryParamProperties;
}

// @public (undocumented)
export interface NetworkManagerCommitsPostQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NetworkManagerConnection extends ChildResource {
    properties?: NetworkManagerConnectionProperties;
}

// @public
export interface NetworkManagerConnectionListResultOutput {
    nextLink?: string;
    value?: Array<NetworkManagerConnectionOutput>;
}

// @public
export interface NetworkManagerConnectionOutput extends ChildResourceOutput {
    properties?: NetworkManagerConnectionPropertiesOutput;
    readonly systemData?: SystemDataOutput;
}

// @public
export interface NetworkManagerConnectionProperties {
    description?: string;
    networkManagerId?: string;
}

// @public
export interface NetworkManagerConnectionPropertiesOutput {
    readonly connectionState?: "Connected" | "Pending" | "Conflict" | "Revoked" | "Rejected";
    description?: string;
    networkManagerId?: string;
}

// @public (undocumented)
export interface NetworkManagerDeploymentStatusList {
    post(options: NetworkManagerDeploymentStatusListParameters): StreamableMethod<NetworkManagerDeploymentStatusList200Response | NetworkManagerDeploymentStatusListDefaultResponse>;
}

// @public
export interface NetworkManagerDeploymentStatusList200Response extends HttpResponse {
    // (undocumented)
    body: NetworkManagerDeploymentStatusListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface NetworkManagerDeploymentStatusListBodyParam {
    body: NetworkManagerDeploymentStatusParameter;
}

// @public
export interface NetworkManagerDeploymentStatusListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NetworkManagerDeploymentStatusListMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type NetworkManagerDeploymentStatusListParameters = NetworkManagerDeploymentStatusListQueryParam & NetworkManagerDeploymentStatusListMediaTypesParam & NetworkManagerDeploymentStatusListBodyParam & RequestParameters;

// @public (undocumented)
export interface NetworkManagerDeploymentStatusListQueryParam {
    // (undocumented)
    queryParameters: NetworkManagerDeploymentStatusListQueryParamProperties;
}

// @public (undocumented)
export interface NetworkManagerDeploymentStatusListQueryParamProperties {
    "api-version": "2022-05-01";
    $top?: number;
}

// @public
export interface NetworkManagerDeploymentStatusListResultOutput {
    skipToken?: string;
    value?: Array<NetworkManagerDeploymentStatusOutput>;
}

// @public
export interface NetworkManagerDeploymentStatusOutput {
    commitTime?: string;
    configurationIds?: Array<string>;
    deploymentStatus?: "NotStarted" | "Deploying" | "Deployed" | "Failed";
    deploymentType?: "SecurityAdmin" | "Connectivity";
    errorMessage?: string;
    region?: string;
}

// @public
export interface NetworkManagerDeploymentStatusParameter {
    deploymentTypes?: Array<"SecurityAdmin" | "Connectivity">;
    regions?: Array<string>;
    skipToken?: string;
}

// @public
export interface NetworkManagerEffectiveConnectivityConfigurationListResultOutput {
    skipToken?: string;
    value?: Array<EffectiveConnectivityConfigurationOutput>;
}

// @public
export interface NetworkManagerEffectiveSecurityAdminRulesListResultOutput {
    skipToken?: string;
    value?: Array<EffectiveBaseSecurityAdminRuleOutput>;
}

// @public
export interface NetworkManagerListResultOutput {
    nextLink?: string;
    value?: Array<NetworkManagerOutput>;
}

// @public
export interface NetworkManagerOutput extends ResourceOutput {
    readonly etag?: string;
    properties?: NetworkManagerPropertiesOutput;
    readonly systemData?: SystemDataOutput;
}

// @public
export interface NetworkManagerProperties {
    description?: string;
    networkManagerScopeAccesses: Array<"SecurityAdmin" | "Connectivity">;
    networkManagerScopes: NetworkManagerPropertiesNetworkManagerScopes;
}

// @public
export interface NetworkManagerPropertiesNetworkManagerScopes {
    managementGroups?: Array<string>;
    subscriptions?: Array<string>;
}

// @public
export interface NetworkManagerPropertiesNetworkManagerScopesOutput {
    readonly crossTenantScopes?: Array<CrossTenantScopesOutput>;
    managementGroups?: Array<string>;
    subscriptions?: Array<string>;
}

// @public
export interface NetworkManagerPropertiesOutput {
    description?: string;
    networkManagerScopeAccesses: Array<"SecurityAdmin" | "Connectivity">;
    networkManagerScopes: NetworkManagerPropertiesNetworkManagerScopesOutput;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public
export interface NetworkManagersCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: NetworkManagerOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkManagersCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: NetworkManagerOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface NetworkManagersCreateOrUpdateBodyParam {
    body: NetworkManager;
}

// @public
export interface NetworkManagersCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NetworkManagersCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type NetworkManagersCreateOrUpdateParameters = NetworkManagersCreateOrUpdateQueryParam & NetworkManagersCreateOrUpdateMediaTypesParam & NetworkManagersCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface NetworkManagersCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: NetworkManagersCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface NetworkManagersCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NetworkManagersDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface NetworkManagersDelete202Headers {
    location?: string;
}

// @public
export interface NetworkManagersDelete202Response extends HttpResponse {
    // (undocumented)
    headers: RawHttpHeaders & NetworkManagersDelete202Headers;
    // (undocumented)
    status: "202";
}

// @public
export interface NetworkManagersDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface NetworkManagersDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkManagersDeleteParameters = NetworkManagersDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkManagersDeleteQueryParam {
    // (undocumented)
    queryParameters: NetworkManagersDeleteQueryParamProperties;
}

// @public (undocumented)
export interface NetworkManagersDeleteQueryParamProperties {
    "api-version": "2022-05-01";
    force?: boolean;
}

// @public
export interface NetworkManagerSecurityGroupItem {
    networkGroupId: string;
}

// @public
export interface NetworkManagerSecurityGroupItemOutput {
    networkGroupId: string;
}

// @public (undocumented)
export interface NetworkManagersGet {
    delete(options: NetworkManagersDeleteParameters): StreamableMethod<NetworkManagersDelete200Response | NetworkManagersDelete202Response | NetworkManagersDelete204Response | NetworkManagersDeleteDefaultResponse>;
    get(options: NetworkManagersGetParameters): StreamableMethod<NetworkManagersGet200Response | NetworkManagersGetDefaultResponse>;
    patch(options: NetworkManagersPatchParameters): StreamableMethod<NetworkManagersPatch200Response | NetworkManagersPatchDefaultResponse>;
    put(options: NetworkManagersCreateOrUpdateParameters): StreamableMethod<NetworkManagersCreateOrUpdate200Response | NetworkManagersCreateOrUpdate201Response | NetworkManagersCreateOrUpdateDefaultResponse>;
}

// @public
export interface NetworkManagersGet200Response extends HttpResponse {
    // (undocumented)
    body: NetworkManagerOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkManagersGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkManagersGetParameters = NetworkManagersGetQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkManagersGetQueryParam {
    // (undocumented)
    queryParameters: NetworkManagersGetQueryParamProperties;
}

// @public (undocumented)
export interface NetworkManagersGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface NetworkManagersList {
    get(options: NetworkManagersListParameters): StreamableMethod<NetworkManagersList200Response | NetworkManagersListDefaultResponse>;
}

// @public
export interface NetworkManagersList200Response extends HttpResponse {
    // (undocumented)
    body: NetworkManagerListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface NetworkManagersListBySubscription {
    get(options: NetworkManagersListBySubscriptionParameters): StreamableMethod<NetworkManagersListBySubscription200Response | NetworkManagersListBySubscriptionDefaultResponse>;
}

// @public
export interface NetworkManagersListBySubscription200Response extends HttpResponse {
    // (undocumented)
    body: NetworkManagerListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkManagersListBySubscriptionDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkManagersListBySubscriptionParameters = NetworkManagersListBySubscriptionQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkManagersListBySubscriptionQueryParam {
    // (undocumented)
    queryParameters: NetworkManagersListBySubscriptionQueryParamProperties;
}

// @public (undocumented)
export interface NetworkManagersListBySubscriptionQueryParamProperties {
    "api-version": "2022-05-01";
    $skipToken?: string;
    $top?: number;
}

// @public
export interface NetworkManagersListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkManagersListParameters = NetworkManagersListQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkManagersListQueryParam {
    // (undocumented)
    queryParameters: NetworkManagersListQueryParamProperties;
}

// @public (undocumented)
export interface NetworkManagersListQueryParamProperties {
    "api-version": "2022-05-01";
    $skipToken?: string;
    $top?: number;
}

// @public
export interface NetworkManagersPatch200Response extends HttpResponse {
    // (undocumented)
    body: NetworkManagerOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface NetworkManagersPatchBodyParam {
    body: PatchObject;
}

// @public
export interface NetworkManagersPatchDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NetworkManagersPatchMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type NetworkManagersPatchParameters = NetworkManagersPatchQueryParam & NetworkManagersPatchMediaTypesParam & NetworkManagersPatchBodyParam & RequestParameters;

// @public (undocumented)
export interface NetworkManagersPatchQueryParam {
    // (undocumented)
    queryParameters: NetworkManagersPatchQueryParamProperties;
}

// @public (undocumented)
export interface NetworkManagersPatchQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NetworkProfile extends Resource {
    properties?: NetworkProfilePropertiesFormat;
}

// @public
export interface NetworkProfileListResultOutput {
    nextLink?: string;
    value?: Array<NetworkProfileOutput>;
}

// @public
export interface NetworkProfileOutput extends ResourceOutput {
    readonly etag?: string;
    properties?: NetworkProfilePropertiesFormatOutput;
}

// @public
export interface NetworkProfilePropertiesFormat {
    containerNetworkInterfaceConfigurations?: Array<ContainerNetworkInterfaceConfiguration>;
}

// @public
export interface NetworkProfilePropertiesFormatOutput {
    containerNetworkInterfaceConfigurations?: Array<ContainerNetworkInterfaceConfigurationOutput>;
    readonly containerNetworkInterfaces?: Array<ContainerNetworkInterfaceOutput>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    readonly resourceGuid?: string;
}

// @public
export interface NetworkProfilesCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: NetworkProfileOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkProfilesCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: NetworkProfileOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface NetworkProfilesCreateOrUpdateBodyParam {
    body: NetworkProfile;
}

// @public
export interface NetworkProfilesCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NetworkProfilesCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type NetworkProfilesCreateOrUpdateParameters = NetworkProfilesCreateOrUpdateQueryParam & NetworkProfilesCreateOrUpdateMediaTypesParam & NetworkProfilesCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface NetworkProfilesCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: NetworkProfilesCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface NetworkProfilesCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface NetworkProfilesDelete {
    delete(options: NetworkProfilesDeleteParameters): StreamableMethod<NetworkProfilesDelete200Response | NetworkProfilesDelete202Response | NetworkProfilesDelete204Response | NetworkProfilesDeleteDefaultResponse>;
    get(options: NetworkProfilesGetParameters): StreamableMethod<NetworkProfilesGet200Response | NetworkProfilesGetDefaultResponse>;
    patch(options: NetworkProfilesUpdateTagsParameters): StreamableMethod<NetworkProfilesUpdateTags200Response | NetworkProfilesUpdateTagsDefaultResponse>;
    put(options: NetworkProfilesCreateOrUpdateParameters): StreamableMethod<NetworkProfilesCreateOrUpdate200Response | NetworkProfilesCreateOrUpdate201Response | NetworkProfilesCreateOrUpdateDefaultResponse>;
}

// @public
export interface NetworkProfilesDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkProfilesDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface NetworkProfilesDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface NetworkProfilesDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkProfilesDeleteParameters = NetworkProfilesDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkProfilesDeleteQueryParam {
    // (undocumented)
    queryParameters: NetworkProfilesDeleteQueryParamProperties;
}

// @public (undocumented)
export interface NetworkProfilesDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NetworkProfilesGet200Response extends HttpResponse {
    // (undocumented)
    body: NetworkProfileOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkProfilesGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkProfilesGetParameters = NetworkProfilesGetQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkProfilesGetQueryParam {
    // (undocumented)
    queryParameters: NetworkProfilesGetQueryParamProperties;
}

// @public (undocumented)
export interface NetworkProfilesGetQueryParamProperties {
    "api-version": "2022-05-01";
    $expand?: string;
}

// @public (undocumented)
export interface NetworkProfilesList {
    get(options: NetworkProfilesListParameters): StreamableMethod<NetworkProfilesList200Response | NetworkProfilesListDefaultResponse>;
}

// @public
export interface NetworkProfilesList200Response extends HttpResponse {
    // (undocumented)
    body: NetworkProfileListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface NetworkProfilesListAll {
    get(options: NetworkProfilesListAllParameters): StreamableMethod<NetworkProfilesListAll200Response | NetworkProfilesListAllDefaultResponse>;
}

// @public
export interface NetworkProfilesListAll200Response extends HttpResponse {
    // (undocumented)
    body: NetworkProfileListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkProfilesListAllDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkProfilesListAllParameters = NetworkProfilesListAllQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkProfilesListAllQueryParam {
    // (undocumented)
    queryParameters: NetworkProfilesListAllQueryParamProperties;
}

// @public (undocumented)
export interface NetworkProfilesListAllQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NetworkProfilesListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkProfilesListParameters = NetworkProfilesListQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkProfilesListQueryParam {
    // (undocumented)
    queryParameters: NetworkProfilesListQueryParamProperties;
}

// @public (undocumented)
export interface NetworkProfilesListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NetworkProfilesUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: NetworkProfileOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface NetworkProfilesUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface NetworkProfilesUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NetworkProfilesUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type NetworkProfilesUpdateTagsParameters = NetworkProfilesUpdateTagsQueryParam & NetworkProfilesUpdateTagsMediaTypesParam & NetworkProfilesUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface NetworkProfilesUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: NetworkProfilesUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface NetworkProfilesUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NetworkRule extends FirewallPolicyRuleParent {
    destinationAddresses?: Array<string>;
    destinationFqdns?: Array<string>;
    destinationIpGroups?: Array<string>;
    destinationPorts?: Array<string>;
    ipProtocols?: Array<"TCP" | "UDP" | "Any" | "ICMP">;
    // (undocumented)
    ruleType: "NetworkRule";
    sourceAddresses?: Array<string>;
    sourceIpGroups?: Array<string>;
}

// @public
export interface NetworkRuleOutput extends FirewallPolicyRuleOutputParent {
    destinationAddresses?: Array<string>;
    destinationFqdns?: Array<string>;
    destinationIpGroups?: Array<string>;
    destinationPorts?: Array<string>;
    ipProtocols?: Array<"TCP" | "UDP" | "Any" | "ICMP">;
    // (undocumented)
    ruleType: "NetworkRule";
    sourceAddresses?: Array<string>;
    sourceIpGroups?: Array<string>;
}

// @public
export interface NetworkSecurityGroup extends Resource {
    properties?: NetworkSecurityGroupPropertiesFormat;
}

// @public
export interface NetworkSecurityGroupListResultOutput {
    nextLink?: string;
    value?: Array<NetworkSecurityGroupOutput>;
}

// @public
export interface NetworkSecurityGroupOutput extends ResourceOutput {
    readonly etag?: string;
    properties?: NetworkSecurityGroupPropertiesFormatOutput;
}

// @public
export interface NetworkSecurityGroupPropertiesFormat {
    flushConnection?: boolean;
    securityRules?: Array<SecurityRule>;
}

// @public
export interface NetworkSecurityGroupPropertiesFormatOutput {
    readonly defaultSecurityRules?: Array<SecurityRuleOutput>;
    readonly flowLogs?: Array<FlowLogOutput>;
    flushConnection?: boolean;
    readonly networkInterfaces?: Array<NetworkInterfaceOutput>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    readonly resourceGuid?: string;
    securityRules?: Array<SecurityRuleOutput>;
    readonly subnets?: Array<SubnetOutput>;
}

// @public
export interface NetworkSecurityGroupResultOutput {
    readonly evaluatedNetworkSecurityGroups?: Array<EvaluatedNetworkSecurityGroupOutput>;
    securityRuleAccessResult?: "Allow" | "Deny";
}

// @public
export interface NetworkSecurityGroupsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: NetworkSecurityGroupOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkSecurityGroupsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: NetworkSecurityGroupOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface NetworkSecurityGroupsCreateOrUpdateBodyParam {
    body: NetworkSecurityGroup;
}

// @public
export interface NetworkSecurityGroupsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NetworkSecurityGroupsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type NetworkSecurityGroupsCreateOrUpdateParameters = NetworkSecurityGroupsCreateOrUpdateQueryParam & NetworkSecurityGroupsCreateOrUpdateMediaTypesParam & NetworkSecurityGroupsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface NetworkSecurityGroupsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: NetworkSecurityGroupsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface NetworkSecurityGroupsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface NetworkSecurityGroupsDelete {
    delete(options: NetworkSecurityGroupsDeleteParameters): StreamableMethod<NetworkSecurityGroupsDelete200Response | NetworkSecurityGroupsDelete202Response | NetworkSecurityGroupsDelete204Response | NetworkSecurityGroupsDeleteDefaultResponse>;
    get(options: NetworkSecurityGroupsGetParameters): StreamableMethod<NetworkSecurityGroupsGet200Response | NetworkSecurityGroupsGetDefaultResponse>;
    patch(options: NetworkSecurityGroupsUpdateTagsParameters): StreamableMethod<NetworkSecurityGroupsUpdateTags200Response | NetworkSecurityGroupsUpdateTagsDefaultResponse>;
    put(options: NetworkSecurityGroupsCreateOrUpdateParameters): StreamableMethod<NetworkSecurityGroupsCreateOrUpdate200Response | NetworkSecurityGroupsCreateOrUpdate201Response | NetworkSecurityGroupsCreateOrUpdateDefaultResponse>;
}

// @public
export interface NetworkSecurityGroupsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkSecurityGroupsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface NetworkSecurityGroupsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface NetworkSecurityGroupsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkSecurityGroupsDeleteParameters = NetworkSecurityGroupsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkSecurityGroupsDeleteQueryParam {
    // (undocumented)
    queryParameters: NetworkSecurityGroupsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface NetworkSecurityGroupsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NetworkSecurityGroupsGet200Response extends HttpResponse {
    // (undocumented)
    body: NetworkSecurityGroupOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkSecurityGroupsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkSecurityGroupsGetParameters = NetworkSecurityGroupsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkSecurityGroupsGetQueryParam {
    // (undocumented)
    queryParameters: NetworkSecurityGroupsGetQueryParamProperties;
}

// @public (undocumented)
export interface NetworkSecurityGroupsGetQueryParamProperties {
    "api-version": "2022-05-01";
    $expand?: string;
}

// @public (undocumented)
export interface NetworkSecurityGroupsList {
    get(options: NetworkSecurityGroupsListParameters): StreamableMethod<NetworkSecurityGroupsList200Response | NetworkSecurityGroupsListDefaultResponse>;
}

// @public
export interface NetworkSecurityGroupsList200Response extends HttpResponse {
    // (undocumented)
    body: NetworkSecurityGroupListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface NetworkSecurityGroupsListAll {
    get(options: NetworkSecurityGroupsListAllParameters): StreamableMethod<NetworkSecurityGroupsListAll200Response | NetworkSecurityGroupsListAllDefaultResponse>;
}

// @public
export interface NetworkSecurityGroupsListAll200Response extends HttpResponse {
    // (undocumented)
    body: NetworkSecurityGroupListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkSecurityGroupsListAllDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkSecurityGroupsListAllParameters = NetworkSecurityGroupsListAllQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkSecurityGroupsListAllQueryParam {
    // (undocumented)
    queryParameters: NetworkSecurityGroupsListAllQueryParamProperties;
}

// @public (undocumented)
export interface NetworkSecurityGroupsListAllQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NetworkSecurityGroupsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkSecurityGroupsListParameters = NetworkSecurityGroupsListQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkSecurityGroupsListQueryParam {
    // (undocumented)
    queryParameters: NetworkSecurityGroupsListQueryParamProperties;
}

// @public (undocumented)
export interface NetworkSecurityGroupsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NetworkSecurityGroupsUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: NetworkSecurityGroupOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface NetworkSecurityGroupsUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface NetworkSecurityGroupsUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NetworkSecurityGroupsUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type NetworkSecurityGroupsUpdateTagsParameters = NetworkSecurityGroupsUpdateTagsQueryParam & NetworkSecurityGroupsUpdateTagsMediaTypesParam & NetworkSecurityGroupsUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface NetworkSecurityGroupsUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: NetworkSecurityGroupsUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface NetworkSecurityGroupsUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NetworkSecurityRulesEvaluationResultOutput {
    destinationMatched?: boolean;
    destinationPortMatched?: boolean;
    name?: string;
    protocolMatched?: boolean;
    sourceMatched?: boolean;
    sourcePortMatched?: boolean;
}

// @public
export interface NetworkVirtualAppliance extends Resource {
    identity?: ManagedServiceIdentity;
    properties?: NetworkVirtualAppliancePropertiesFormat;
}

// @public
export interface NetworkVirtualApplianceListResultOutput {
    nextLink?: string;
    value?: Array<NetworkVirtualApplianceOutput>;
}

// @public
export interface NetworkVirtualApplianceOutput extends ResourceOutput {
    readonly etag?: string;
    identity?: ManagedServiceIdentityOutput;
    properties?: NetworkVirtualAppliancePropertiesFormatOutput;
}

// @public
export interface NetworkVirtualAppliancePropertiesFormat {
    bootStrapConfigurationBlobs?: Array<string>;
    cloudInitConfiguration?: string;
    cloudInitConfigurationBlobs?: Array<string>;
    nvaSku?: VirtualApplianceSkuProperties;
    sshPublicKey?: string;
    virtualApplianceAsn?: number;
    virtualHub?: SubResource;
}

// @public
export interface NetworkVirtualAppliancePropertiesFormatOutput {
    readonly addressPrefix?: string;
    bootStrapConfigurationBlobs?: Array<string>;
    cloudInitConfiguration?: string;
    cloudInitConfigurationBlobs?: Array<string>;
    readonly inboundSecurityRules?: Array<SubResourceOutput>;
    nvaSku?: VirtualApplianceSkuPropertiesOutput;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    sshPublicKey?: string;
    virtualApplianceAsn?: number;
    readonly virtualApplianceNics?: Array<VirtualApplianceNicPropertiesOutput>;
    readonly virtualApplianceSites?: Array<SubResourceOutput>;
    virtualHub?: SubResourceOutput;
}

// @public
export interface NetworkVirtualAppliancesCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: NetworkVirtualApplianceOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkVirtualAppliancesCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: NetworkVirtualApplianceOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface NetworkVirtualAppliancesCreateOrUpdateBodyParam {
    body: NetworkVirtualAppliance;
}

// @public
export interface NetworkVirtualAppliancesCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NetworkVirtualAppliancesCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type NetworkVirtualAppliancesCreateOrUpdateParameters = NetworkVirtualAppliancesCreateOrUpdateQueryParam & NetworkVirtualAppliancesCreateOrUpdateMediaTypesParam & NetworkVirtualAppliancesCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface NetworkVirtualAppliancesCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: NetworkVirtualAppliancesCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface NetworkVirtualAppliancesCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface NetworkVirtualAppliancesDelete {
    delete(options: NetworkVirtualAppliancesDeleteParameters): StreamableMethod<NetworkVirtualAppliancesDelete200Response | NetworkVirtualAppliancesDelete202Response | NetworkVirtualAppliancesDelete204Response | NetworkVirtualAppliancesDeleteDefaultResponse>;
    get(options: NetworkVirtualAppliancesGetParameters): StreamableMethod<NetworkVirtualAppliancesGet200Response | NetworkVirtualAppliancesGetDefaultResponse>;
    patch(options: NetworkVirtualAppliancesUpdateTagsParameters): StreamableMethod<NetworkVirtualAppliancesUpdateTags200Response | NetworkVirtualAppliancesUpdateTagsDefaultResponse>;
    put(options: NetworkVirtualAppliancesCreateOrUpdateParameters): StreamableMethod<NetworkVirtualAppliancesCreateOrUpdate200Response | NetworkVirtualAppliancesCreateOrUpdate201Response | NetworkVirtualAppliancesCreateOrUpdateDefaultResponse>;
}

// @public
export interface NetworkVirtualAppliancesDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkVirtualAppliancesDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface NetworkVirtualAppliancesDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface NetworkVirtualAppliancesDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkVirtualAppliancesDeleteParameters = NetworkVirtualAppliancesDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkVirtualAppliancesDeleteQueryParam {
    // (undocumented)
    queryParameters: NetworkVirtualAppliancesDeleteQueryParamProperties;
}

// @public (undocumented)
export interface NetworkVirtualAppliancesDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NetworkVirtualAppliancesGet200Response extends HttpResponse {
    // (undocumented)
    body: NetworkVirtualApplianceOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkVirtualAppliancesGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkVirtualAppliancesGetParameters = NetworkVirtualAppliancesGetQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkVirtualAppliancesGetQueryParam {
    // (undocumented)
    queryParameters: NetworkVirtualAppliancesGetQueryParamProperties;
}

// @public (undocumented)
export interface NetworkVirtualAppliancesGetQueryParamProperties {
    "api-version": "2022-05-01";
    $expand?: string;
}

// @public
export interface NetworkVirtualApplianceSiteListResultOutput {
    nextLink?: string;
    value?: Array<VirtualApplianceSiteOutput>;
}

// @public
export interface NetworkVirtualApplianceSku extends Resource {
    properties?: NetworkVirtualApplianceSkuPropertiesFormat;
}

// @public
export interface NetworkVirtualApplianceSkuInstances {
}

// @public
export interface NetworkVirtualApplianceSkuInstancesOutput {
    readonly instanceCount?: number;
    readonly scaleUnit?: string;
}

// @public
export interface NetworkVirtualApplianceSkuListResultOutput {
    nextLink?: string;
    value?: Array<NetworkVirtualApplianceSkuOutput>;
}

// @public
export interface NetworkVirtualApplianceSkuOutput extends ResourceOutput {
    readonly etag?: string;
    properties?: NetworkVirtualApplianceSkuPropertiesFormatOutput;
}

// @public
export interface NetworkVirtualApplianceSkuPropertiesFormat {
    availableScaleUnits?: Array<NetworkVirtualApplianceSkuInstances>;
}

// @public
export interface NetworkVirtualApplianceSkuPropertiesFormatOutput {
    availableScaleUnits?: Array<NetworkVirtualApplianceSkuInstancesOutput>;
    readonly availableVersions?: Array<string>;
    readonly vendor?: string;
}

// @public (undocumented)
export interface NetworkVirtualAppliancesList {
    get(options: NetworkVirtualAppliancesListParameters): StreamableMethod<NetworkVirtualAppliancesList200Response | NetworkVirtualAppliancesListDefaultResponse>;
}

// @public
export interface NetworkVirtualAppliancesList200Response extends HttpResponse {
    // (undocumented)
    body: NetworkVirtualApplianceListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface NetworkVirtualAppliancesListByResourceGroup {
    get(options: NetworkVirtualAppliancesListByResourceGroupParameters): StreamableMethod<NetworkVirtualAppliancesListByResourceGroup200Response | NetworkVirtualAppliancesListByResourceGroupDefaultResponse>;
}

// @public
export interface NetworkVirtualAppliancesListByResourceGroup200Response extends HttpResponse {
    // (undocumented)
    body: NetworkVirtualApplianceListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkVirtualAppliancesListByResourceGroupDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkVirtualAppliancesListByResourceGroupParameters = NetworkVirtualAppliancesListByResourceGroupQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkVirtualAppliancesListByResourceGroupQueryParam {
    // (undocumented)
    queryParameters: NetworkVirtualAppliancesListByResourceGroupQueryParamProperties;
}

// @public (undocumented)
export interface NetworkVirtualAppliancesListByResourceGroupQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NetworkVirtualAppliancesListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkVirtualAppliancesListParameters = NetworkVirtualAppliancesListQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkVirtualAppliancesListQueryParam {
    // (undocumented)
    queryParameters: NetworkVirtualAppliancesListQueryParamProperties;
}

// @public (undocumented)
export interface NetworkVirtualAppliancesListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NetworkVirtualAppliancesUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: NetworkVirtualApplianceOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface NetworkVirtualAppliancesUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface NetworkVirtualAppliancesUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NetworkVirtualAppliancesUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type NetworkVirtualAppliancesUpdateTagsParameters = NetworkVirtualAppliancesUpdateTagsQueryParam & NetworkVirtualAppliancesUpdateTagsMediaTypesParam & NetworkVirtualAppliancesUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface NetworkVirtualAppliancesUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: NetworkVirtualAppliancesUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface NetworkVirtualAppliancesUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NetworkWatcher extends Resource {
    properties?: NetworkWatcherPropertiesFormat;
}

// @public
export interface NetworkWatcherListResultOutput {
    value?: Array<NetworkWatcherOutput>;
}

// @public
export interface NetworkWatcherOutput extends ResourceOutput {
    readonly etag?: string;
    properties?: NetworkWatcherPropertiesFormatOutput;
}

// @public
export interface NetworkWatcherPropertiesFormat {
}

// @public
export interface NetworkWatcherPropertiesFormatOutput {
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public (undocumented)
export interface NetworkWatchersCheckConnectivity {
    post(options: NetworkWatchersCheckConnectivityParameters): StreamableMethod<NetworkWatchersCheckConnectivity200Response | NetworkWatchersCheckConnectivity202Response | NetworkWatchersCheckConnectivityDefaultResponse>;
}

// @public
export interface NetworkWatchersCheckConnectivity200Response extends HttpResponse {
    // (undocumented)
    body: ConnectivityInformationOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkWatchersCheckConnectivity202Response extends HttpResponse {
    // (undocumented)
    body: ConnectivityInformationOutput;
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface NetworkWatchersCheckConnectivityBodyParam {
    body: ConnectivityParameters;
}

// @public
export interface NetworkWatchersCheckConnectivityDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NetworkWatchersCheckConnectivityMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type NetworkWatchersCheckConnectivityParameters = NetworkWatchersCheckConnectivityQueryParam & NetworkWatchersCheckConnectivityMediaTypesParam & NetworkWatchersCheckConnectivityBodyParam & RequestParameters;

// @public (undocumented)
export interface NetworkWatchersCheckConnectivityQueryParam {
    // (undocumented)
    queryParameters: NetworkWatchersCheckConnectivityQueryParamProperties;
}

// @public (undocumented)
export interface NetworkWatchersCheckConnectivityQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface NetworkWatchersCreateOrUpdate {
    delete(options: NetworkWatchersDeleteParameters): StreamableMethod<NetworkWatchersDelete202Response | NetworkWatchersDelete204Response | NetworkWatchersDeleteDefaultResponse>;
    get(options: NetworkWatchersGetParameters): StreamableMethod<NetworkWatchersGet200Response | NetworkWatchersGetDefaultResponse>;
    patch(options: NetworkWatchersUpdateTagsParameters): StreamableMethod<NetworkWatchersUpdateTags200Response | NetworkWatchersUpdateTagsDefaultResponse>;
    put(options: NetworkWatchersCreateOrUpdateParameters): StreamableMethod<NetworkWatchersCreateOrUpdate200Response | NetworkWatchersCreateOrUpdate201Response | NetworkWatchersCreateOrUpdateDefaultResponse>;
}

// @public
export interface NetworkWatchersCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: NetworkWatcherOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkWatchersCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: NetworkWatcherOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface NetworkWatchersCreateOrUpdateBodyParam {
    body: NetworkWatcher;
}

// @public
export interface NetworkWatchersCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NetworkWatchersCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type NetworkWatchersCreateOrUpdateParameters = NetworkWatchersCreateOrUpdateQueryParam & NetworkWatchersCreateOrUpdateMediaTypesParam & NetworkWatchersCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface NetworkWatchersCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: NetworkWatchersCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface NetworkWatchersCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NetworkWatchersDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface NetworkWatchersDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface NetworkWatchersDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkWatchersDeleteParameters = NetworkWatchersDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkWatchersDeleteQueryParam {
    // (undocumented)
    queryParameters: NetworkWatchersDeleteQueryParamProperties;
}

// @public (undocumented)
export interface NetworkWatchersDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NetworkWatchersGet200Response extends HttpResponse {
    // (undocumented)
    body: NetworkWatcherOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface NetworkWatchersGetAzureReachabilityReport {
    post(options: NetworkWatchersGetAzureReachabilityReportParameters): StreamableMethod<NetworkWatchersGetAzureReachabilityReport200Response | NetworkWatchersGetAzureReachabilityReport202Response | NetworkWatchersGetAzureReachabilityReportDefaultResponse>;
}

// @public
export interface NetworkWatchersGetAzureReachabilityReport200Response extends HttpResponse {
    // (undocumented)
    body: AzureReachabilityReportOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkWatchersGetAzureReachabilityReport202Response extends HttpResponse {
    // (undocumented)
    body: AzureReachabilityReportOutput;
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface NetworkWatchersGetAzureReachabilityReportBodyParam {
    body: AzureReachabilityReportParameters;
}

// @public
export interface NetworkWatchersGetAzureReachabilityReportDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NetworkWatchersGetAzureReachabilityReportMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type NetworkWatchersGetAzureReachabilityReportParameters = NetworkWatchersGetAzureReachabilityReportQueryParam & NetworkWatchersGetAzureReachabilityReportMediaTypesParam & NetworkWatchersGetAzureReachabilityReportBodyParam & RequestParameters;

// @public (undocumented)
export interface NetworkWatchersGetAzureReachabilityReportQueryParam {
    // (undocumented)
    queryParameters: NetworkWatchersGetAzureReachabilityReportQueryParamProperties;
}

// @public (undocumented)
export interface NetworkWatchersGetAzureReachabilityReportQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NetworkWatchersGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NetworkWatchersGetFlowLogStatus {
    post(options: NetworkWatchersGetFlowLogStatusParameters): StreamableMethod<NetworkWatchersGetFlowLogStatus200Response | NetworkWatchersGetFlowLogStatus202Response | NetworkWatchersGetFlowLogStatusDefaultResponse>;
}

// @public
export interface NetworkWatchersGetFlowLogStatus200Response extends HttpResponse {
    // (undocumented)
    body: FlowLogInformationOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkWatchersGetFlowLogStatus202Response extends HttpResponse {
    // (undocumented)
    body: FlowLogInformationOutput;
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface NetworkWatchersGetFlowLogStatusBodyParam {
    body: FlowLogStatusParameters;
}

// @public
export interface NetworkWatchersGetFlowLogStatusDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NetworkWatchersGetFlowLogStatusMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type NetworkWatchersGetFlowLogStatusParameters = NetworkWatchersGetFlowLogStatusQueryParam & NetworkWatchersGetFlowLogStatusMediaTypesParam & NetworkWatchersGetFlowLogStatusBodyParam & RequestParameters;

// @public (undocumented)
export interface NetworkWatchersGetFlowLogStatusQueryParam {
    // (undocumented)
    queryParameters: NetworkWatchersGetFlowLogStatusQueryParamProperties;
}

// @public (undocumented)
export interface NetworkWatchersGetFlowLogStatusQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface NetworkWatchersGetNetworkConfigurationDiagnostic {
    post(options: NetworkWatchersGetNetworkConfigurationDiagnosticParameters): StreamableMethod<NetworkWatchersGetNetworkConfigurationDiagnostic200Response | NetworkWatchersGetNetworkConfigurationDiagnostic202Response | NetworkWatchersGetNetworkConfigurationDiagnosticDefaultResponse>;
}

// @public
export interface NetworkWatchersGetNetworkConfigurationDiagnostic200Response extends HttpResponse {
    // (undocumented)
    body: NetworkConfigurationDiagnosticResponseOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkWatchersGetNetworkConfigurationDiagnostic202Response extends HttpResponse {
    // (undocumented)
    body: NetworkConfigurationDiagnosticResponseOutput;
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface NetworkWatchersGetNetworkConfigurationDiagnosticBodyParam {
    body: NetworkConfigurationDiagnosticParameters;
}

// @public
export interface NetworkWatchersGetNetworkConfigurationDiagnosticDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NetworkWatchersGetNetworkConfigurationDiagnosticMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type NetworkWatchersGetNetworkConfigurationDiagnosticParameters = NetworkWatchersGetNetworkConfigurationDiagnosticQueryParam & NetworkWatchersGetNetworkConfigurationDiagnosticMediaTypesParam & NetworkWatchersGetNetworkConfigurationDiagnosticBodyParam & RequestParameters;

// @public (undocumented)
export interface NetworkWatchersGetNetworkConfigurationDiagnosticQueryParam {
    // (undocumented)
    queryParameters: NetworkWatchersGetNetworkConfigurationDiagnosticQueryParamProperties;
}

// @public (undocumented)
export interface NetworkWatchersGetNetworkConfigurationDiagnosticQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface NetworkWatchersGetNextHop {
    post(options: NetworkWatchersGetNextHopParameters): StreamableMethod<NetworkWatchersGetNextHop200Response | NetworkWatchersGetNextHop202Response | NetworkWatchersGetNextHopDefaultResponse>;
}

// @public
export interface NetworkWatchersGetNextHop200Response extends HttpResponse {
    // (undocumented)
    body: NextHopResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkWatchersGetNextHop202Response extends HttpResponse {
    // (undocumented)
    body: NextHopResultOutput;
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface NetworkWatchersGetNextHopBodyParam {
    body: NextHopParameters;
}

// @public
export interface NetworkWatchersGetNextHopDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NetworkWatchersGetNextHopMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type NetworkWatchersGetNextHopParameters = NetworkWatchersGetNextHopQueryParam & NetworkWatchersGetNextHopMediaTypesParam & NetworkWatchersGetNextHopBodyParam & RequestParameters;

// @public (undocumented)
export interface NetworkWatchersGetNextHopQueryParam {
    // (undocumented)
    queryParameters: NetworkWatchersGetNextHopQueryParamProperties;
}

// @public (undocumented)
export interface NetworkWatchersGetNextHopQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export type NetworkWatchersGetParameters = NetworkWatchersGetQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkWatchersGetQueryParam {
    // (undocumented)
    queryParameters: NetworkWatchersGetQueryParamProperties;
}

// @public (undocumented)
export interface NetworkWatchersGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface NetworkWatchersGetTopology {
    post(options: NetworkWatchersGetTopologyParameters): StreamableMethod<NetworkWatchersGetTopology200Response | NetworkWatchersGetTopologyDefaultResponse>;
}

// @public
export interface NetworkWatchersGetTopology200Response extends HttpResponse {
    // (undocumented)
    body: TopologyOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface NetworkWatchersGetTopologyBodyParam {
    body: TopologyParameters;
}

// @public
export interface NetworkWatchersGetTopologyDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NetworkWatchersGetTopologyMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type NetworkWatchersGetTopologyParameters = NetworkWatchersGetTopologyQueryParam & NetworkWatchersGetTopologyMediaTypesParam & NetworkWatchersGetTopologyBodyParam & RequestParameters;

// @public (undocumented)
export interface NetworkWatchersGetTopologyQueryParam {
    // (undocumented)
    queryParameters: NetworkWatchersGetTopologyQueryParamProperties;
}

// @public (undocumented)
export interface NetworkWatchersGetTopologyQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface NetworkWatchersGetTroubleshooting {
    post(options: NetworkWatchersGetTroubleshootingParameters): StreamableMethod<NetworkWatchersGetTroubleshooting200Response | NetworkWatchersGetTroubleshooting202Response | NetworkWatchersGetTroubleshootingDefaultResponse>;
}

// @public
export interface NetworkWatchersGetTroubleshooting200Response extends HttpResponse {
    // (undocumented)
    body: TroubleshootingResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkWatchersGetTroubleshooting202Response extends HttpResponse {
    // (undocumented)
    body: TroubleshootingResultOutput;
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface NetworkWatchersGetTroubleshootingBodyParam {
    body: TroubleshootingParameters;
}

// @public
export interface NetworkWatchersGetTroubleshootingDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NetworkWatchersGetTroubleshootingMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type NetworkWatchersGetTroubleshootingParameters = NetworkWatchersGetTroubleshootingQueryParam & NetworkWatchersGetTroubleshootingMediaTypesParam & NetworkWatchersGetTroubleshootingBodyParam & RequestParameters;

// @public (undocumented)
export interface NetworkWatchersGetTroubleshootingQueryParam {
    // (undocumented)
    queryParameters: NetworkWatchersGetTroubleshootingQueryParamProperties;
}

// @public (undocumented)
export interface NetworkWatchersGetTroubleshootingQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface NetworkWatchersGetTroubleshootingResult {
    post(options: NetworkWatchersGetTroubleshootingResultParameters): StreamableMethod<NetworkWatchersGetTroubleshootingResult200Response | NetworkWatchersGetTroubleshootingResult202Response | NetworkWatchersGetTroubleshootingResultDefaultResponse>;
}

// @public
export interface NetworkWatchersGetTroubleshootingResult200Response extends HttpResponse {
    // (undocumented)
    body: TroubleshootingResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkWatchersGetTroubleshootingResult202Response extends HttpResponse {
    // (undocumented)
    body: TroubleshootingResultOutput;
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface NetworkWatchersGetTroubleshootingResultBodyParam {
    body: QueryTroubleshootingParameters;
}

// @public
export interface NetworkWatchersGetTroubleshootingResultDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NetworkWatchersGetTroubleshootingResultMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type NetworkWatchersGetTroubleshootingResultParameters = NetworkWatchersGetTroubleshootingResultQueryParam & NetworkWatchersGetTroubleshootingResultMediaTypesParam & NetworkWatchersGetTroubleshootingResultBodyParam & RequestParameters;

// @public (undocumented)
export interface NetworkWatchersGetTroubleshootingResultQueryParam {
    // (undocumented)
    queryParameters: NetworkWatchersGetTroubleshootingResultQueryParamProperties;
}

// @public (undocumented)
export interface NetworkWatchersGetTroubleshootingResultQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface NetworkWatchersGetVMSecurityRules {
    post(options: NetworkWatchersGetVMSecurityRulesParameters): StreamableMethod<NetworkWatchersGetVMSecurityRules200Response | NetworkWatchersGetVMSecurityRules202Response | NetworkWatchersGetVMSecurityRulesDefaultResponse>;
}

// @public
export interface NetworkWatchersGetVMSecurityRules200Response extends HttpResponse {
    // (undocumented)
    body: SecurityGroupViewResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkWatchersGetVMSecurityRules202Response extends HttpResponse {
    // (undocumented)
    body: SecurityGroupViewResultOutput;
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface NetworkWatchersGetVMSecurityRulesBodyParam {
    body: SecurityGroupViewParameters;
}

// @public
export interface NetworkWatchersGetVMSecurityRulesDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NetworkWatchersGetVMSecurityRulesMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type NetworkWatchersGetVMSecurityRulesParameters = NetworkWatchersGetVMSecurityRulesQueryParam & NetworkWatchersGetVMSecurityRulesMediaTypesParam & NetworkWatchersGetVMSecurityRulesBodyParam & RequestParameters;

// @public (undocumented)
export interface NetworkWatchersGetVMSecurityRulesQueryParam {
    // (undocumented)
    queryParameters: NetworkWatchersGetVMSecurityRulesQueryParamProperties;
}

// @public (undocumented)
export interface NetworkWatchersGetVMSecurityRulesQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface NetworkWatchersList {
    get(options: NetworkWatchersListParameters): StreamableMethod<NetworkWatchersList200Response | NetworkWatchersListDefaultResponse>;
}

// @public
export interface NetworkWatchersList200Response extends HttpResponse {
    // (undocumented)
    body: NetworkWatcherListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface NetworkWatchersListAll {
    get(options: NetworkWatchersListAllParameters): StreamableMethod<NetworkWatchersListAll200Response | NetworkWatchersListAllDefaultResponse>;
}

// @public
export interface NetworkWatchersListAll200Response extends HttpResponse {
    // (undocumented)
    body: NetworkWatcherListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkWatchersListAllDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkWatchersListAllParameters = NetworkWatchersListAllQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkWatchersListAllQueryParam {
    // (undocumented)
    queryParameters: NetworkWatchersListAllQueryParamProperties;
}

// @public (undocumented)
export interface NetworkWatchersListAllQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface NetworkWatchersListAvailableProviders {
    post(options: NetworkWatchersListAvailableProvidersParameters): StreamableMethod<NetworkWatchersListAvailableProviders200Response | NetworkWatchersListAvailableProviders202Response | NetworkWatchersListAvailableProvidersDefaultResponse>;
}

// @public
export interface NetworkWatchersListAvailableProviders200Response extends HttpResponse {
    // (undocumented)
    body: AvailableProvidersListOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkWatchersListAvailableProviders202Response extends HttpResponse {
    // (undocumented)
    body: AvailableProvidersListOutput;
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface NetworkWatchersListAvailableProvidersBodyParam {
    body: AvailableProvidersListParameters;
}

// @public
export interface NetworkWatchersListAvailableProvidersDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NetworkWatchersListAvailableProvidersMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type NetworkWatchersListAvailableProvidersParameters = NetworkWatchersListAvailableProvidersQueryParam & NetworkWatchersListAvailableProvidersMediaTypesParam & NetworkWatchersListAvailableProvidersBodyParam & RequestParameters;

// @public (undocumented)
export interface NetworkWatchersListAvailableProvidersQueryParam {
    // (undocumented)
    queryParameters: NetworkWatchersListAvailableProvidersQueryParamProperties;
}

// @public (undocumented)
export interface NetworkWatchersListAvailableProvidersQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NetworkWatchersListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type NetworkWatchersListParameters = NetworkWatchersListQueryParam & RequestParameters;

// @public (undocumented)
export interface NetworkWatchersListQueryParam {
    // (undocumented)
    queryParameters: NetworkWatchersListQueryParamProperties;
}

// @public (undocumented)
export interface NetworkWatchersListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface NetworkWatchersSetFlowLogConfiguration {
    post(options: NetworkWatchersSetFlowLogConfigurationParameters): StreamableMethod<NetworkWatchersSetFlowLogConfiguration200Response | NetworkWatchersSetFlowLogConfiguration202Response | NetworkWatchersSetFlowLogConfigurationDefaultResponse>;
}

// @public
export interface NetworkWatchersSetFlowLogConfiguration200Response extends HttpResponse {
    // (undocumented)
    body: FlowLogInformationOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkWatchersSetFlowLogConfiguration202Response extends HttpResponse {
    // (undocumented)
    body: FlowLogInformationOutput;
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface NetworkWatchersSetFlowLogConfigurationBodyParam {
    body: FlowLogInformation;
}

// @public
export interface NetworkWatchersSetFlowLogConfigurationDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NetworkWatchersSetFlowLogConfigurationMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type NetworkWatchersSetFlowLogConfigurationParameters = NetworkWatchersSetFlowLogConfigurationQueryParam & NetworkWatchersSetFlowLogConfigurationMediaTypesParam & NetworkWatchersSetFlowLogConfigurationBodyParam & RequestParameters;

// @public (undocumented)
export interface NetworkWatchersSetFlowLogConfigurationQueryParam {
    // (undocumented)
    queryParameters: NetworkWatchersSetFlowLogConfigurationQueryParamProperties;
}

// @public (undocumented)
export interface NetworkWatchersSetFlowLogConfigurationQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NetworkWatchersUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: NetworkWatcherOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface NetworkWatchersUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface NetworkWatchersUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NetworkWatchersUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type NetworkWatchersUpdateTagsParameters = NetworkWatchersUpdateTagsQueryParam & NetworkWatchersUpdateTagsMediaTypesParam & NetworkWatchersUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface NetworkWatchersUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: NetworkWatchersUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface NetworkWatchersUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface NetworkWatchersVerifyIPFlow {
    post(options: NetworkWatchersVerifyIPFlowParameters): StreamableMethod<NetworkWatchersVerifyIPFlow200Response | NetworkWatchersVerifyIPFlow202Response | NetworkWatchersVerifyIPFlowDefaultResponse>;
}

// @public
export interface NetworkWatchersVerifyIPFlow200Response extends HttpResponse {
    // (undocumented)
    body: VerificationIPFlowResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface NetworkWatchersVerifyIPFlow202Response extends HttpResponse {
    // (undocumented)
    body: VerificationIPFlowResultOutput;
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface NetworkWatchersVerifyIPFlowBodyParam {
    body: VerificationIPFlowParameters;
}

// @public
export interface NetworkWatchersVerifyIPFlowDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface NetworkWatchersVerifyIPFlowMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type NetworkWatchersVerifyIPFlowParameters = NetworkWatchersVerifyIPFlowQueryParam & NetworkWatchersVerifyIPFlowMediaTypesParam & NetworkWatchersVerifyIPFlowBodyParam & RequestParameters;

// @public (undocumented)
export interface NetworkWatchersVerifyIPFlowQueryParam {
    // (undocumented)
    queryParameters: NetworkWatchersVerifyIPFlowQueryParamProperties;
}

// @public (undocumented)
export interface NetworkWatchersVerifyIPFlowQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface NextHopParameters {
    destinationIPAddress: string;
    sourceIPAddress: string;
    targetNicResourceId?: string;
    targetResourceId: string;
}

// @public
export interface NextHopResultOutput {
    nextHopIpAddress?: string;
    nextHopType?: "Internet" | "VirtualAppliance" | "VirtualNetworkGateway" | "VnetLocal" | "HyperNetGateway" | "None";
    routeTableId?: string;
}

// @public
export interface O365BreakOutCategoryPolicies {
    allow?: boolean;
    default?: boolean;
    optimize?: boolean;
}

// @public
export interface O365BreakOutCategoryPoliciesOutput {
    allow?: boolean;
    default?: boolean;
    optimize?: boolean;
}

// @public
export interface O365PolicyProperties {
    breakOutCategories?: O365BreakOutCategoryPolicies;
}

// @public
export interface O365PolicyPropertiesOutput {
    breakOutCategories?: O365BreakOutCategoryPoliciesOutput;
}

// @public
export interface Office365PolicyProperties {
    breakOutCategories?: BreakOutCategoryPolicies;
}

// @public
export interface Office365PolicyPropertiesOutput {
    breakOutCategories?: BreakOutCategoryPoliciesOutput;
}

// @public
export interface OperationDisplayOutput {
    description?: string;
    operation?: string;
    provider?: string;
    resource?: string;
}

// @public
export interface OperationListResultOutput {
    nextLink?: string;
    value?: Array<OperationOutput>;
}

// @public
export interface OperationOutput {
    display?: OperationDisplayOutput;
    name?: string;
    origin?: string;
    properties?: OperationPropertiesFormatOutput;
}

// @public
export interface OperationPropertiesFormatOutput {
    serviceSpecification?: OperationPropertiesFormatServiceSpecificationOutput;
}

// @public
export interface OperationPropertiesFormatServiceSpecificationOutput {
    logSpecifications?: Array<LogSpecificationOutput>;
    metricSpecifications?: Array<MetricSpecificationOutput>;
}

// @public (undocumented)
export interface OperationsList {
    get(options: OperationsListParameters): StreamableMethod<OperationsList200Response | OperationsListDefaultResponse>;
}

// @public
export interface OperationsList200Response extends HttpResponse {
    // (undocumented)
    body: OperationListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface OperationsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type OperationsListParameters = OperationsListQueryParam & RequestParameters;

// @public (undocumented)
export interface OperationsListQueryParam {
    // (undocumented)
    queryParameters: OperationsListQueryParamProperties;
}

// @public (undocumented)
export interface OperationsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface OrderBy {
    field?: string;
    order?: "Ascending" | "Descending";
}

// @public
export interface OutboundRule extends SubResource {
    name?: string;
    properties?: OutboundRulePropertiesFormat;
}

// @public
export interface OutboundRuleOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: OutboundRulePropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface OutboundRulePropertiesFormat {
    allocatedOutboundPorts?: number;
    backendAddressPool: SubResource;
    enableTcpReset?: boolean;
    frontendIPConfigurations: Array<SubResource>;
    idleTimeoutInMinutes?: number;
    protocol: "Tcp" | "Udp" | "All";
}

// @public
export interface OutboundRulePropertiesFormatOutput {
    allocatedOutboundPorts?: number;
    backendAddressPool: SubResourceOutput;
    enableTcpReset?: boolean;
    frontendIPConfigurations: Array<SubResourceOutput>;
    idleTimeoutInMinutes?: number;
    protocol: "Tcp" | "Udp" | "All";
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public
export interface OwaspCrsExclusionEntry {
    exclusionManagedRuleSets?: Array<ExclusionManagedRuleSet>;
    matchVariable: "RequestHeaderNames" | "RequestCookieNames" | "RequestArgNames" | "RequestHeaderKeys" | "RequestHeaderValues" | "RequestCookieKeys" | "RequestCookieValues" | "RequestArgKeys" | "RequestArgValues";
    selector: string;
    selectorMatchOperator: "Equals" | "Contains" | "StartsWith" | "EndsWith" | "EqualsAny";
}

// @public
export interface OwaspCrsExclusionEntryOutput {
    exclusionManagedRuleSets?: Array<ExclusionManagedRuleSetOutput>;
    matchVariable: "RequestHeaderNames" | "RequestCookieNames" | "RequestArgNames" | "RequestHeaderKeys" | "RequestHeaderValues" | "RequestCookieKeys" | "RequestCookieValues" | "RequestArgKeys" | "RequestArgValues";
    selector: string;
    selectorMatchOperator: "Equals" | "Contains" | "StartsWith" | "EndsWith" | "EqualsAny";
}

// @public
export interface P2SConnectionConfiguration extends SubResource {
    name?: string;
    properties?: P2SConnectionConfigurationProperties;
}

// @public
export interface P2SConnectionConfigurationOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: P2SConnectionConfigurationPropertiesOutput;
}

// @public
export interface P2SConnectionConfigurationProperties {
    enableInternetSecurity?: boolean;
    routingConfiguration?: RoutingConfiguration;
    vpnClientAddressPool?: AddressSpace;
}

// @public
export interface P2SConnectionConfigurationPropertiesOutput {
    readonly configurationPolicyGroupAssociations?: Array<SubResourceOutput>;
    enableInternetSecurity?: boolean;
    readonly previousConfigurationPolicyGroupAssociations?: Array<VpnServerConfigurationPolicyGroupOutput>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    routingConfiguration?: RoutingConfigurationOutput;
    vpnClientAddressPool?: AddressSpaceOutput;
}

// @public
export interface P2SVpnConnectionHealthOutput {
    sasUrl?: string;
}

// @public
export interface P2SVpnConnectionHealthRequest {
    outputBlobSasUrl?: string;
    vpnUserNamesFilter?: Array<string>;
}

// @public
export interface P2SVpnConnectionRequest {
    vpnConnectionIds?: Array<string>;
}

// @public
export interface P2SVpnGateway extends Resource {
    properties?: P2SVpnGatewayProperties;
}

// @public
export interface P2SVpnGatewayOutput extends ResourceOutput {
    readonly etag?: string;
    properties?: P2SVpnGatewayPropertiesOutput;
}

// @public
export interface P2SVpnGatewayProperties {
    customDnsServers?: Array<string>;
    isRoutingPreferenceInternet?: boolean;
    p2SConnectionConfigurations?: Array<P2SConnectionConfiguration>;
    virtualHub?: SubResource;
    vpnGatewayScaleUnit?: number;
    vpnServerConfiguration?: SubResource;
}

// @public
export interface P2SVpnGatewayPropertiesOutput {
    customDnsServers?: Array<string>;
    isRoutingPreferenceInternet?: boolean;
    p2SConnectionConfigurations?: Array<P2SConnectionConfigurationOutput>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    virtualHub?: SubResourceOutput;
    readonly vpnClientConnectionHealth?: VpnClientConnectionHealthOutput;
    vpnGatewayScaleUnit?: number;
    vpnServerConfiguration?: SubResourceOutput;
}

// @public
export interface P2SVpnGatewaysCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: P2SVpnGatewayOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface P2SVpnGatewaysCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: P2SVpnGatewayOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface P2SVpnGatewaysCreateOrUpdateBodyParam {
    body: P2SVpnGateway;
}

// @public
export interface P2SVpnGatewaysCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface P2SVpnGatewaysCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type P2SVpnGatewaysCreateOrUpdateParameters = P2SVpnGatewaysCreateOrUpdateQueryParam & P2SVpnGatewaysCreateOrUpdateMediaTypesParam & P2SVpnGatewaysCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface P2SVpnGatewaysCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: P2SVpnGatewaysCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface P2SVpnGatewaysCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface P2SVpnGatewaysDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface P2SVpnGatewaysDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface P2SVpnGatewaysDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface P2SVpnGatewaysDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type P2SVpnGatewaysDeleteParameters = P2SVpnGatewaysDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface P2SVpnGatewaysDeleteQueryParam {
    // (undocumented)
    queryParameters: P2SVpnGatewaysDeleteQueryParamProperties;
}

// @public (undocumented)
export interface P2SVpnGatewaysDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface P2SVpnGatewaysDisconnectP2SVpnConnections {
    post(options: P2SVpnGatewaysDisconnectP2SVpnConnectionsParameters): StreamableMethod<P2SVpnGatewaysDisconnectP2SVpnConnections200Response | P2SVpnGatewaysDisconnectP2SVpnConnections202Response | P2SVpnGatewaysDisconnectP2SVpnConnectionsDefaultResponse>;
}

// @public
export interface P2SVpnGatewaysDisconnectP2SVpnConnections200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface P2SVpnGatewaysDisconnectP2SVpnConnections202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface P2SVpnGatewaysDisconnectP2SVpnConnectionsBodyParam {
    body: P2SVpnConnectionRequest;
}

// @public
export interface P2SVpnGatewaysDisconnectP2SVpnConnectionsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface P2SVpnGatewaysDisconnectP2SVpnConnectionsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type P2SVpnGatewaysDisconnectP2SVpnConnectionsParameters = P2SVpnGatewaysDisconnectP2SVpnConnectionsQueryParam & P2SVpnGatewaysDisconnectP2SVpnConnectionsMediaTypesParam & P2SVpnGatewaysDisconnectP2SVpnConnectionsBodyParam & RequestParameters;

// @public (undocumented)
export interface P2SVpnGatewaysDisconnectP2SVpnConnectionsQueryParam {
    // (undocumented)
    queryParameters: P2SVpnGatewaysDisconnectP2SVpnConnectionsQueryParamProperties;
}

// @public (undocumented)
export interface P2SVpnGatewaysDisconnectP2SVpnConnectionsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface P2SVpnGatewaysGenerateVpnProfile {
    post(options: P2SVpnGatewaysGenerateVpnProfileParameters): StreamableMethod<P2SVpnGatewaysGenerateVpnProfile200Response | P2SVpnGatewaysGenerateVpnProfile202Response | P2SVpnGatewaysGenerateVpnProfileDefaultResponse>;
}

// @public
export interface P2SVpnGatewaysGenerateVpnProfile200Response extends HttpResponse {
    // (undocumented)
    body: VpnProfileResponseOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface P2SVpnGatewaysGenerateVpnProfile202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface P2SVpnGatewaysGenerateVpnProfileBodyParam {
    body: P2SVpnProfileParameters;
}

// @public
export interface P2SVpnGatewaysGenerateVpnProfileDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface P2SVpnGatewaysGenerateVpnProfileMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type P2SVpnGatewaysGenerateVpnProfileParameters = P2SVpnGatewaysGenerateVpnProfileQueryParam & P2SVpnGatewaysGenerateVpnProfileMediaTypesParam & P2SVpnGatewaysGenerateVpnProfileBodyParam & RequestParameters;

// @public (undocumented)
export interface P2SVpnGatewaysGenerateVpnProfileQueryParam {
    // (undocumented)
    queryParameters: P2SVpnGatewaysGenerateVpnProfileQueryParamProperties;
}

// @public (undocumented)
export interface P2SVpnGatewaysGenerateVpnProfileQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface P2SVpnGatewaysGet {
    delete(options: P2SVpnGatewaysDeleteParameters): StreamableMethod<P2SVpnGatewaysDelete200Response | P2SVpnGatewaysDelete202Response | P2SVpnGatewaysDelete204Response | P2SVpnGatewaysDeleteDefaultResponse>;
    get(options: P2SVpnGatewaysGetParameters): StreamableMethod<P2SVpnGatewaysGet200Response | P2SVpnGatewaysGetDefaultResponse>;
    patch(options: P2SVpnGatewaysUpdateTagsParameters): StreamableMethod<P2SVpnGatewaysUpdateTags200Response | P2SVpnGatewaysUpdateTags202Response | P2SVpnGatewaysUpdateTagsDefaultResponse>;
    put(options: P2SVpnGatewaysCreateOrUpdateParameters): StreamableMethod<P2SVpnGatewaysCreateOrUpdate200Response | P2SVpnGatewaysCreateOrUpdate201Response | P2SVpnGatewaysCreateOrUpdateDefaultResponse>;
}

// @public
export interface P2SVpnGatewaysGet200Response extends HttpResponse {
    // (undocumented)
    body: P2SVpnGatewayOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface P2SVpnGatewaysGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface P2SVpnGatewaysGetP2SVpnConnectionHealth {
    post(options: P2SVpnGatewaysGetP2SVpnConnectionHealthParameters): StreamableMethod<P2SVpnGatewaysGetP2SVpnConnectionHealth200Response | P2SVpnGatewaysGetP2SVpnConnectionHealth202Response | P2SVpnGatewaysGetP2SVpnConnectionHealthDefaultResponse>;
}

// @public
export interface P2SVpnGatewaysGetP2SVpnConnectionHealth200Response extends HttpResponse {
    // (undocumented)
    body: P2SVpnGatewayOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface P2SVpnGatewaysGetP2SVpnConnectionHealth202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface P2SVpnGatewaysGetP2SVpnConnectionHealthDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface P2SVpnGatewaysGetP2SVpnConnectionHealthDetailed {
    post(options: P2SVpnGatewaysGetP2SVpnConnectionHealthDetailedParameters): StreamableMethod<P2SVpnGatewaysGetP2SVpnConnectionHealthDetailed200Response | P2SVpnGatewaysGetP2SVpnConnectionHealthDetailed202Response | P2SVpnGatewaysGetP2SVpnConnectionHealthDetailedDefaultResponse>;
}

// @public
export interface P2SVpnGatewaysGetP2SVpnConnectionHealthDetailed200Response extends HttpResponse {
    // (undocumented)
    body: P2SVpnConnectionHealthOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface P2SVpnGatewaysGetP2SVpnConnectionHealthDetailed202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface P2SVpnGatewaysGetP2SVpnConnectionHealthDetailedBodyParam {
    body: P2SVpnConnectionHealthRequest;
}

// @public
export interface P2SVpnGatewaysGetP2SVpnConnectionHealthDetailedDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface P2SVpnGatewaysGetP2SVpnConnectionHealthDetailedMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type P2SVpnGatewaysGetP2SVpnConnectionHealthDetailedParameters = P2SVpnGatewaysGetP2SVpnConnectionHealthDetailedQueryParam & P2SVpnGatewaysGetP2SVpnConnectionHealthDetailedMediaTypesParam & P2SVpnGatewaysGetP2SVpnConnectionHealthDetailedBodyParam & RequestParameters;

// @public (undocumented)
export interface P2SVpnGatewaysGetP2SVpnConnectionHealthDetailedQueryParam {
    // (undocumented)
    queryParameters: P2SVpnGatewaysGetP2SVpnConnectionHealthDetailedQueryParamProperties;
}

// @public (undocumented)
export interface P2SVpnGatewaysGetP2SVpnConnectionHealthDetailedQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export type P2SVpnGatewaysGetP2SVpnConnectionHealthParameters = P2SVpnGatewaysGetP2SVpnConnectionHealthQueryParam & RequestParameters;

// @public (undocumented)
export interface P2SVpnGatewaysGetP2SVpnConnectionHealthQueryParam {
    // (undocumented)
    queryParameters: P2SVpnGatewaysGetP2SVpnConnectionHealthQueryParamProperties;
}

// @public (undocumented)
export interface P2SVpnGatewaysGetP2SVpnConnectionHealthQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export type P2SVpnGatewaysGetParameters = P2SVpnGatewaysGetQueryParam & RequestParameters;

// @public (undocumented)
export interface P2SVpnGatewaysGetQueryParam {
    // (undocumented)
    queryParameters: P2SVpnGatewaysGetQueryParamProperties;
}

// @public (undocumented)
export interface P2SVpnGatewaysGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface P2SVpnGatewaysList {
    get(options: P2SVpnGatewaysListParameters): StreamableMethod<P2SVpnGatewaysList200Response | P2SVpnGatewaysListDefaultResponse>;
}

// @public
export interface P2SVpnGatewaysList200Response extends HttpResponse {
    // (undocumented)
    body: ListP2SVpnGatewaysResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface P2SVpnGatewaysListByResourceGroup {
    get(options: P2SVpnGatewaysListByResourceGroupParameters): StreamableMethod<P2SVpnGatewaysListByResourceGroup200Response | P2SVpnGatewaysListByResourceGroupDefaultResponse>;
}

// @public
export interface P2SVpnGatewaysListByResourceGroup200Response extends HttpResponse {
    // (undocumented)
    body: ListP2SVpnGatewaysResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface P2SVpnGatewaysListByResourceGroupDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type P2SVpnGatewaysListByResourceGroupParameters = P2SVpnGatewaysListByResourceGroupQueryParam & RequestParameters;

// @public (undocumented)
export interface P2SVpnGatewaysListByResourceGroupQueryParam {
    // (undocumented)
    queryParameters: P2SVpnGatewaysListByResourceGroupQueryParamProperties;
}

// @public (undocumented)
export interface P2SVpnGatewaysListByResourceGroupQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface P2SVpnGatewaysListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type P2SVpnGatewaysListParameters = P2SVpnGatewaysListQueryParam & RequestParameters;

// @public (undocumented)
export interface P2SVpnGatewaysListQueryParam {
    // (undocumented)
    queryParameters: P2SVpnGatewaysListQueryParamProperties;
}

// @public (undocumented)
export interface P2SVpnGatewaysListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface P2SVpnGatewaysReset {
    post(options: P2SVpnGatewaysResetParameters): StreamableMethod<P2SVpnGatewaysReset200Response | P2SVpnGatewaysReset202Response | P2SVpnGatewaysResetDefaultResponse>;
}

// @public
export interface P2SVpnGatewaysReset200Response extends HttpResponse {
    // (undocumented)
    body: P2SVpnGatewayOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface P2SVpnGatewaysReset202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface P2SVpnGatewaysResetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type P2SVpnGatewaysResetParameters = P2SVpnGatewaysResetQueryParam & RequestParameters;

// @public (undocumented)
export interface P2SVpnGatewaysResetQueryParam {
    // (undocumented)
    queryParameters: P2SVpnGatewaysResetQueryParamProperties;
}

// @public (undocumented)
export interface P2SVpnGatewaysResetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface P2SVpnGatewaysUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: P2SVpnGatewayOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface P2SVpnGatewaysUpdateTags202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface P2SVpnGatewaysUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface P2SVpnGatewaysUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface P2SVpnGatewaysUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type P2SVpnGatewaysUpdateTagsParameters = P2SVpnGatewaysUpdateTagsQueryParam & P2SVpnGatewaysUpdateTagsMediaTypesParam & P2SVpnGatewaysUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface P2SVpnGatewaysUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: P2SVpnGatewaysUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface P2SVpnGatewaysUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface P2SVpnProfileParameters {
    authenticationMethod?: "EAPTLS" | "EAPMSCHAPv2";
}

// @public
export interface PacketCapture {
    properties: PacketCaptureParameters;
}

// @public
export interface PacketCaptureFilter {
    localIPAddress?: string;
    localPort?: string;
    protocol?: "TCP" | "UDP" | "Any";
    remoteIPAddress?: string;
    remotePort?: string;
}

// @public
export interface PacketCaptureFilterOutput {
    localIPAddress?: string;
    localPort?: string;
    protocol?: "TCP" | "UDP" | "Any";
    remoteIPAddress?: string;
    remotePort?: string;
}

// @public
export interface PacketCaptureListResultOutput {
    value?: Array<PacketCaptureResultOutput>;
}

// @public
export interface PacketCaptureMachineScope {
    exclude?: Array<string>;
    include?: Array<string>;
}

// @public
export interface PacketCaptureMachineScopeOutput {
    exclude?: Array<string>;
    include?: Array<string>;
}

// @public
export interface PacketCaptureParameters {
    bytesToCapturePerPacket?: number;
    filters?: Array<PacketCaptureFilter>;
    scope?: PacketCaptureMachineScope;
    storageLocation: PacketCaptureStorageLocation;
    target: string;
    targetType?: "AzureVM" | "AzureVMSS";
    timeLimitInSeconds?: number;
    totalBytesPerSession?: number;
}

// @public
export interface PacketCaptureParametersOutput {
    bytesToCapturePerPacket?: number;
    filters?: Array<PacketCaptureFilterOutput>;
    scope?: PacketCaptureMachineScopeOutput;
    storageLocation: PacketCaptureStorageLocationOutput;
    target: string;
    targetType?: "AzureVM" | "AzureVMSS";
    timeLimitInSeconds?: number;
    totalBytesPerSession?: number;
}

// @public
export interface PacketCaptureQueryStatusResultOutput {
    captureStartTime?: string;
    id?: string;
    name?: string;
    packetCaptureError?: Array<"InternalError" | "AgentStopped" | "CaptureFailed" | "LocalFileFailed" | "StorageFailed">;
    packetCaptureStatus?: "NotStarted" | "Running" | "Stopped" | "Error" | "Unknown";
    stopReason?: string;
}

// @public
export interface PacketCaptureResultOutput {
    readonly etag?: string;
    readonly id?: string;
    readonly name?: string;
    properties?: PacketCaptureResultPropertiesOutput;
}

// @public
export interface PacketCaptureResultProperties extends PacketCaptureParameters {
}

// @public
export interface PacketCaptureResultPropertiesOutput extends PacketCaptureParametersOutput {
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public (undocumented)
export interface PacketCapturesCreate {
    delete(options: PacketCapturesDeleteParameters): StreamableMethod<PacketCapturesDelete202Response | PacketCapturesDelete204Response | PacketCapturesDeleteDefaultResponse>;
    get(options: PacketCapturesGetParameters): StreamableMethod<PacketCapturesGet200Response | PacketCapturesGetDefaultResponse>;
    put(options: PacketCapturesCreateParameters): StreamableMethod<PacketCapturesCreate201Response | PacketCapturesCreateDefaultResponse>;
}

// @public
export interface PacketCapturesCreate201Response extends HttpResponse {
    // (undocumented)
    body: PacketCaptureResultOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface PacketCapturesCreateBodyParam {
    body: PacketCapture;
}

// @public
export interface PacketCapturesCreateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface PacketCapturesCreateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type PacketCapturesCreateParameters = PacketCapturesCreateQueryParam & PacketCapturesCreateMediaTypesParam & PacketCapturesCreateBodyParam & RequestParameters;

// @public (undocumented)
export interface PacketCapturesCreateQueryParam {
    // (undocumented)
    queryParameters: PacketCapturesCreateQueryParamProperties;
}

// @public (undocumented)
export interface PacketCapturesCreateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface PacketCapturesDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface PacketCapturesDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface PacketCapturesDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PacketCapturesDeleteParameters = PacketCapturesDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface PacketCapturesDeleteQueryParam {
    // (undocumented)
    queryParameters: PacketCapturesDeleteQueryParamProperties;
}

// @public (undocumented)
export interface PacketCapturesDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface PacketCapturesGet200Response extends HttpResponse {
    // (undocumented)
    body: PacketCaptureResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface PacketCapturesGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PacketCapturesGetParameters = PacketCapturesGetQueryParam & RequestParameters;

// @public (undocumented)
export interface PacketCapturesGetQueryParam {
    // (undocumented)
    queryParameters: PacketCapturesGetQueryParamProperties;
}

// @public (undocumented)
export interface PacketCapturesGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface PacketCapturesGetStatus {
    post(options: PacketCapturesGetStatusParameters): StreamableMethod<PacketCapturesGetStatus200Response | PacketCapturesGetStatus202Response | PacketCapturesGetStatusDefaultResponse>;
}

// @public
export interface PacketCapturesGetStatus200Response extends HttpResponse {
    // (undocumented)
    body: PacketCaptureQueryStatusResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface PacketCapturesGetStatus202Response extends HttpResponse {
    // (undocumented)
    body: PacketCaptureQueryStatusResultOutput;
    // (undocumented)
    status: "202";
}

// @public
export interface PacketCapturesGetStatusDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PacketCapturesGetStatusParameters = PacketCapturesGetStatusQueryParam & RequestParameters;

// @public (undocumented)
export interface PacketCapturesGetStatusQueryParam {
    // (undocumented)
    queryParameters: PacketCapturesGetStatusQueryParamProperties;
}

// @public (undocumented)
export interface PacketCapturesGetStatusQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface PacketCapturesList {
    get(options: PacketCapturesListParameters): StreamableMethod<PacketCapturesList200Response | PacketCapturesListDefaultResponse>;
}

// @public
export interface PacketCapturesList200Response extends HttpResponse {
    // (undocumented)
    body: PacketCaptureListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface PacketCapturesListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PacketCapturesListParameters = PacketCapturesListQueryParam & RequestParameters;

// @public (undocumented)
export interface PacketCapturesListQueryParam {
    // (undocumented)
    queryParameters: PacketCapturesListQueryParamProperties;
}

// @public (undocumented)
export interface PacketCapturesListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface PacketCapturesStop {
    post(options: PacketCapturesStopParameters): StreamableMethod<PacketCapturesStop200Response | PacketCapturesStop202Response | PacketCapturesStopDefaultResponse>;
}

// @public
export interface PacketCapturesStop200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface PacketCapturesStop202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface PacketCapturesStopDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PacketCapturesStopParameters = PacketCapturesStopQueryParam & RequestParameters;

// @public (undocumented)
export interface PacketCapturesStopQueryParam {
    // (undocumented)
    queryParameters: PacketCapturesStopQueryParamProperties;
}

// @public (undocumented)
export interface PacketCapturesStopQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface PacketCaptureStorageLocation {
    filePath?: string;
    storageId?: string;
    storagePath?: string;
}

// @public
export interface PacketCaptureStorageLocationOutput {
    filePath?: string;
    storageId?: string;
    storagePath?: string;
}

// @public
export interface PagedAsyncIterableIterator<TElement, TPage = TElement[], TPageSettings = PageSettings> {
    [Symbol.asyncIterator](): PagedAsyncIterableIterator<TElement, TPage, TPageSettings>;
    byPage: (settings?: TPageSettings) => AsyncIterableIterator<TPage>;
    next(): Promise<IteratorResult<TElement>>;
}

// @public
export interface PageSettings {
    continuationToken?: string;
}

// @public
export function paginate<TResponse extends PathUncheckedResponse>(client: Client, initialResponse: TResponse, options?: PagingOptions<TResponse>): PagedAsyncIterableIterator<PaginateReturn<TResponse>>;

// @public
export type PaginateReturn<TResult> = TResult extends {
    body: {
        value?: infer TPage;
    };
} ? GetArrayType<TPage> : Array<unknown>;

// @public
export interface PagingOptions<TResponse> {
    customGetPage?: GetPage<PaginateReturn<TResponse>[]>;
}

// @public
export interface Parameter {
    asPath?: Array<string>;
    community?: Array<string>;
    routePrefix?: Array<string>;
}

// @public
export interface ParameterOutput {
    asPath?: Array<string>;
    community?: Array<string>;
    routePrefix?: Array<string>;
}

// @public
export interface PatchObject {
    tags?: Record<string, string>;
}

// @public
export interface PatchRouteFilter extends SubResource {
    properties?: RouteFilterPropertiesFormat;
    tags?: Record<string, string>;
}

// @public
export interface PatchRouteFilterOutput extends SubResourceOutput {
    readonly etag?: string;
    readonly name?: string;
    properties?: RouteFilterPropertiesFormatOutput;
    tags?: Record<string, string>;
    readonly type?: string;
}

// @public
export interface PatchRouteFilterRule extends SubResource {
    properties?: RouteFilterRulePropertiesFormat;
}

// @public
export interface PatchRouteFilterRuleOutput extends SubResourceOutput {
    readonly etag?: string;
    readonly name?: string;
    properties?: RouteFilterRulePropertiesFormatOutput;
}

// @public
export interface PeerExpressRouteCircuitConnection extends SubResource {
    name?: string;
    properties?: PeerExpressRouteCircuitConnectionPropertiesFormat;
}

// @public
export interface PeerExpressRouteCircuitConnectionListResultOutput {
    nextLink?: string;
    value?: Array<PeerExpressRouteCircuitConnectionOutput>;
}

// @public
export interface PeerExpressRouteCircuitConnectionOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: PeerExpressRouteCircuitConnectionPropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface PeerExpressRouteCircuitConnectionPropertiesFormat {
    addressPrefix?: string;
    authResourceGuid?: string;
    connectionName?: string;
    expressRouteCircuitPeering?: SubResource;
    peerExpressRouteCircuitPeering?: SubResource;
}

// @public
export interface PeerExpressRouteCircuitConnectionPropertiesFormatOutput {
    addressPrefix?: string;
    authResourceGuid?: string;
    readonly circuitConnectionStatus?: "Connected" | "Connecting" | "Disconnected";
    connectionName?: string;
    expressRouteCircuitPeering?: SubResourceOutput;
    peerExpressRouteCircuitPeering?: SubResourceOutput;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public (undocumented)
export interface PeerExpressRouteCircuitConnectionsGet {
    get(options: PeerExpressRouteCircuitConnectionsGetParameters): StreamableMethod<PeerExpressRouteCircuitConnectionsGet200Response | PeerExpressRouteCircuitConnectionsGetDefaultResponse>;
}

// @public
export interface PeerExpressRouteCircuitConnectionsGet200Response extends HttpResponse {
    // (undocumented)
    body: PeerExpressRouteCircuitConnectionOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface PeerExpressRouteCircuitConnectionsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PeerExpressRouteCircuitConnectionsGetParameters = PeerExpressRouteCircuitConnectionsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface PeerExpressRouteCircuitConnectionsGetQueryParam {
    // (undocumented)
    queryParameters: PeerExpressRouteCircuitConnectionsGetQueryParamProperties;
}

// @public (undocumented)
export interface PeerExpressRouteCircuitConnectionsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface PeerExpressRouteCircuitConnectionsList {
    get(options: PeerExpressRouteCircuitConnectionsListParameters): StreamableMethod<PeerExpressRouteCircuitConnectionsList200Response | PeerExpressRouteCircuitConnectionsListDefaultResponse>;
}

// @public
export interface PeerExpressRouteCircuitConnectionsList200Response extends HttpResponse {
    // (undocumented)
    body: PeerExpressRouteCircuitConnectionListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface PeerExpressRouteCircuitConnectionsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PeerExpressRouteCircuitConnectionsListParameters = PeerExpressRouteCircuitConnectionsListQueryParam & RequestParameters;

// @public (undocumented)
export interface PeerExpressRouteCircuitConnectionsListQueryParam {
    // (undocumented)
    queryParameters: PeerExpressRouteCircuitConnectionsListQueryParamProperties;
}

// @public (undocumented)
export interface PeerExpressRouteCircuitConnectionsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface PeerRouteListOutput {
    value?: Array<PeerRouteOutput>;
}

// @public
export interface PeerRouteOutput {
    readonly asPath?: string;
    readonly localAddress?: string;
    readonly network?: string;
    readonly nextHop?: string;
    readonly origin?: string;
    readonly sourcePeer?: string;
    readonly weight?: number;
}

// @public
export interface PolicySettings {
    fileUploadLimitInMb?: number;
    maxRequestBodySizeInKb?: number;
    mode?: "Prevention" | "Detection";
    requestBodyCheck?: boolean;
    state?: "Disabled" | "Enabled";
}

// @public
export interface PolicySettingsOutput {
    fileUploadLimitInMb?: number;
    maxRequestBodySizeInKb?: number;
    mode?: "Prevention" | "Detection";
    requestBodyCheck?: boolean;
    state?: "Disabled" | "Enabled";
}

// @public
export interface PrepareNetworkPoliciesRequest {
    networkIntentPolicyConfigurations?: Array<NetworkIntentPolicyConfiguration>;
    serviceName?: string;
}

// @public
export interface PrivateDnsZoneConfig {
    name?: string;
    properties?: PrivateDnsZonePropertiesFormat;
}

// @public
export interface PrivateDnsZoneConfigOutput {
    name?: string;
    properties?: PrivateDnsZonePropertiesFormatOutput;
}

// @public
export interface PrivateDnsZoneGroup extends SubResource {
    name?: string;
    properties?: PrivateDnsZoneGroupPropertiesFormat;
}

// @public
export interface PrivateDnsZoneGroupListResultOutput {
    readonly nextLink?: string;
    value?: Array<PrivateDnsZoneGroupOutput>;
}

// @public
export interface PrivateDnsZoneGroupOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: PrivateDnsZoneGroupPropertiesFormatOutput;
}

// @public
export interface PrivateDnsZoneGroupPropertiesFormat {
    privateDnsZoneConfigs?: Array<PrivateDnsZoneConfig>;
}

// @public
export interface PrivateDnsZoneGroupPropertiesFormatOutput {
    privateDnsZoneConfigs?: Array<PrivateDnsZoneConfigOutput>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public
export interface PrivateDnsZoneGroupsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: PrivateDnsZoneGroupOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface PrivateDnsZoneGroupsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: PrivateDnsZoneGroupOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface PrivateDnsZoneGroupsCreateOrUpdateBodyParam {
    body: PrivateDnsZoneGroup;
}

// @public
export interface PrivateDnsZoneGroupsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface PrivateDnsZoneGroupsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type PrivateDnsZoneGroupsCreateOrUpdateParameters = PrivateDnsZoneGroupsCreateOrUpdateQueryParam & PrivateDnsZoneGroupsCreateOrUpdateMediaTypesParam & PrivateDnsZoneGroupsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface PrivateDnsZoneGroupsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: PrivateDnsZoneGroupsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface PrivateDnsZoneGroupsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface PrivateDnsZoneGroupsDelete {
    delete(options: PrivateDnsZoneGroupsDeleteParameters): StreamableMethod<PrivateDnsZoneGroupsDelete200Response | PrivateDnsZoneGroupsDelete202Response | PrivateDnsZoneGroupsDelete204Response | PrivateDnsZoneGroupsDeleteDefaultResponse>;
    get(options: PrivateDnsZoneGroupsGetParameters): StreamableMethod<PrivateDnsZoneGroupsGet200Response | PrivateDnsZoneGroupsGetDefaultResponse>;
    put(options: PrivateDnsZoneGroupsCreateOrUpdateParameters): StreamableMethod<PrivateDnsZoneGroupsCreateOrUpdate200Response | PrivateDnsZoneGroupsCreateOrUpdate201Response | PrivateDnsZoneGroupsCreateOrUpdateDefaultResponse>;
}

// @public
export interface PrivateDnsZoneGroupsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface PrivateDnsZoneGroupsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface PrivateDnsZoneGroupsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface PrivateDnsZoneGroupsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PrivateDnsZoneGroupsDeleteParameters = PrivateDnsZoneGroupsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface PrivateDnsZoneGroupsDeleteQueryParam {
    // (undocumented)
    queryParameters: PrivateDnsZoneGroupsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface PrivateDnsZoneGroupsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface PrivateDnsZoneGroupsGet200Response extends HttpResponse {
    // (undocumented)
    body: PrivateDnsZoneGroupOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface PrivateDnsZoneGroupsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PrivateDnsZoneGroupsGetParameters = PrivateDnsZoneGroupsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface PrivateDnsZoneGroupsGetQueryParam {
    // (undocumented)
    queryParameters: PrivateDnsZoneGroupsGetQueryParamProperties;
}

// @public (undocumented)
export interface PrivateDnsZoneGroupsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface PrivateDnsZoneGroupsList {
    get(options: PrivateDnsZoneGroupsListParameters): StreamableMethod<PrivateDnsZoneGroupsList200Response | PrivateDnsZoneGroupsListDefaultResponse>;
}

// @public
export interface PrivateDnsZoneGroupsList200Response extends HttpResponse {
    // (undocumented)
    body: PrivateDnsZoneGroupListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface PrivateDnsZoneGroupsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PrivateDnsZoneGroupsListParameters = PrivateDnsZoneGroupsListQueryParam & RequestParameters;

// @public (undocumented)
export interface PrivateDnsZoneGroupsListQueryParam {
    // (undocumented)
    queryParameters: PrivateDnsZoneGroupsListQueryParamProperties;
}

// @public (undocumented)
export interface PrivateDnsZoneGroupsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface PrivateDnsZonePropertiesFormat {
    privateDnsZoneId?: string;
}

// @public
export interface PrivateDnsZonePropertiesFormatOutput {
    privateDnsZoneId?: string;
    readonly recordSets?: Array<RecordSetOutput>;
}

// @public
export interface PrivateEndpoint extends Resource {
    extendedLocation?: ExtendedLocation;
    properties?: PrivateEndpointProperties;
}

// @public
export interface PrivateEndpointConnection extends SubResource {
    name?: string;
    properties?: PrivateEndpointConnectionProperties;
}

// @public
export interface PrivateEndpointConnectionListResultOutput {
    readonly nextLink?: string;
    value?: Array<PrivateEndpointConnectionOutput>;
}

// @public
export interface PrivateEndpointConnectionOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: PrivateEndpointConnectionPropertiesOutput;
    readonly type?: string;
}

// @public
export interface PrivateEndpointConnectionProperties {
    privateLinkServiceConnectionState?: PrivateLinkServiceConnectionState;
}

// @public
export interface PrivateEndpointConnectionPropertiesOutput {
    readonly linkIdentifier?: string;
    readonly privateEndpoint?: PrivateEndpointOutput;
    privateLinkServiceConnectionState?: PrivateLinkServiceConnectionStateOutput;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public
export interface PrivateEndpointIPConfiguration {
    name?: string;
    properties?: PrivateEndpointIPConfigurationProperties;
}

// @public
export interface PrivateEndpointIPConfigurationOutput {
    readonly etag?: string;
    name?: string;
    properties?: PrivateEndpointIPConfigurationPropertiesOutput;
    readonly type?: string;
}

// @public
export interface PrivateEndpointIPConfigurationProperties {
    groupId?: string;
    memberName?: string;
    privateIPAddress?: string;
}

// @public
export interface PrivateEndpointIPConfigurationPropertiesOutput {
    groupId?: string;
    memberName?: string;
    privateIPAddress?: string;
}

// @public
export interface PrivateEndpointListResultOutput {
    readonly nextLink?: string;
    value?: Array<PrivateEndpointOutput>;
}

// @public
export interface PrivateEndpointOutput extends ResourceOutput {
    readonly etag?: string;
    extendedLocation?: ExtendedLocationOutput;
    properties?: PrivateEndpointPropertiesOutput;
}

// @public
export interface PrivateEndpointProperties {
    applicationSecurityGroups?: Array<ApplicationSecurityGroup>;
    customDnsConfigs?: Array<CustomDnsConfigPropertiesFormat>;
    customNetworkInterfaceName?: string;
    ipConfigurations?: Array<PrivateEndpointIPConfiguration>;
    manualPrivateLinkServiceConnections?: Array<PrivateLinkServiceConnection>;
    privateLinkServiceConnections?: Array<PrivateLinkServiceConnection>;
    subnet?: Subnet;
}

// @public
export interface PrivateEndpointPropertiesOutput {
    applicationSecurityGroups?: Array<ApplicationSecurityGroupOutput>;
    customDnsConfigs?: Array<CustomDnsConfigPropertiesFormatOutput>;
    customNetworkInterfaceName?: string;
    ipConfigurations?: Array<PrivateEndpointIPConfigurationOutput>;
    manualPrivateLinkServiceConnections?: Array<PrivateLinkServiceConnectionOutput>;
    readonly networkInterfaces?: Array<NetworkInterfaceOutput>;
    privateLinkServiceConnections?: Array<PrivateLinkServiceConnectionOutput>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    subnet?: SubnetOutput;
}

// @public
export interface PrivateEndpointsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: PrivateEndpointOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface PrivateEndpointsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: PrivateEndpointOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface PrivateEndpointsCreateOrUpdateBodyParam {
    body: PrivateEndpoint;
}

// @public
export interface PrivateEndpointsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface PrivateEndpointsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type PrivateEndpointsCreateOrUpdateParameters = PrivateEndpointsCreateOrUpdateQueryParam & PrivateEndpointsCreateOrUpdateMediaTypesParam & PrivateEndpointsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface PrivateEndpointsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: PrivateEndpointsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface PrivateEndpointsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface PrivateEndpointsDelete {
    delete(options: PrivateEndpointsDeleteParameters): StreamableMethod<PrivateEndpointsDelete200Response | PrivateEndpointsDelete202Response | PrivateEndpointsDelete204Response | PrivateEndpointsDeleteDefaultResponse>;
    get(options: PrivateEndpointsGetParameters): StreamableMethod<PrivateEndpointsGet200Response | PrivateEndpointsGetDefaultResponse>;
    put(options: PrivateEndpointsCreateOrUpdateParameters): StreamableMethod<PrivateEndpointsCreateOrUpdate200Response | PrivateEndpointsCreateOrUpdate201Response | PrivateEndpointsCreateOrUpdateDefaultResponse>;
}

// @public
export interface PrivateEndpointsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface PrivateEndpointsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface PrivateEndpointsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface PrivateEndpointsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PrivateEndpointsDeleteParameters = PrivateEndpointsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface PrivateEndpointsDeleteQueryParam {
    // (undocumented)
    queryParameters: PrivateEndpointsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface PrivateEndpointsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface PrivateEndpointsGet200Response extends HttpResponse {
    // (undocumented)
    body: PrivateEndpointOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface PrivateEndpointsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PrivateEndpointsGetParameters = PrivateEndpointsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface PrivateEndpointsGetQueryParam {
    // (undocumented)
    queryParameters: PrivateEndpointsGetQueryParamProperties;
}

// @public (undocumented)
export interface PrivateEndpointsGetQueryParamProperties {
    "api-version": "2022-05-01";
    $expand?: string;
}

// @public (undocumented)
export interface PrivateEndpointsList {
    get(options: PrivateEndpointsListParameters): StreamableMethod<PrivateEndpointsList200Response | PrivateEndpointsListDefaultResponse>;
}

// @public
export interface PrivateEndpointsList200Response extends HttpResponse {
    // (undocumented)
    body: PrivateEndpointListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface PrivateEndpointsListBySubscription {
    get(options: PrivateEndpointsListBySubscriptionParameters): StreamableMethod<PrivateEndpointsListBySubscription200Response | PrivateEndpointsListBySubscriptionDefaultResponse>;
}

// @public
export interface PrivateEndpointsListBySubscription200Response extends HttpResponse {
    // (undocumented)
    body: PrivateEndpointListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface PrivateEndpointsListBySubscriptionDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PrivateEndpointsListBySubscriptionParameters = PrivateEndpointsListBySubscriptionQueryParam & RequestParameters;

// @public (undocumented)
export interface PrivateEndpointsListBySubscriptionQueryParam {
    // (undocumented)
    queryParameters: PrivateEndpointsListBySubscriptionQueryParamProperties;
}

// @public (undocumented)
export interface PrivateEndpointsListBySubscriptionQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface PrivateEndpointsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PrivateEndpointsListParameters = PrivateEndpointsListQueryParam & RequestParameters;

// @public (undocumented)
export interface PrivateEndpointsListQueryParam {
    // (undocumented)
    queryParameters: PrivateEndpointsListQueryParamProperties;
}

// @public (undocumented)
export interface PrivateEndpointsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface PrivateLinkService extends Resource {
    extendedLocation?: ExtendedLocation;
    properties?: PrivateLinkServiceProperties;
}

// @public
export interface PrivateLinkServiceConnection extends SubResource {
    name?: string;
    properties?: PrivateLinkServiceConnectionProperties;
}

// @public
export interface PrivateLinkServiceConnectionOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: PrivateLinkServiceConnectionPropertiesOutput;
    readonly type?: string;
}

// @public
export interface PrivateLinkServiceConnectionProperties {
    groupIds?: Array<string>;
    privateLinkServiceConnectionState?: PrivateLinkServiceConnectionState;
    privateLinkServiceId?: string;
    requestMessage?: string;
}

// @public
export interface PrivateLinkServiceConnectionPropertiesOutput {
    groupIds?: Array<string>;
    privateLinkServiceConnectionState?: PrivateLinkServiceConnectionStateOutput;
    privateLinkServiceId?: string;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    requestMessage?: string;
}

// @public
export interface PrivateLinkServiceConnectionState {
    actionsRequired?: string;
    description?: string;
    status?: string;
}

// @public
export interface PrivateLinkServiceConnectionStateOutput {
    actionsRequired?: string;
    description?: string;
    status?: string;
}

// @public
export interface PrivateLinkServiceIpConfiguration extends SubResource {
    name?: string;
    properties?: PrivateLinkServiceIpConfigurationProperties;
}

// @public
export interface PrivateLinkServiceIpConfigurationOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: PrivateLinkServiceIpConfigurationPropertiesOutput;
    readonly type?: string;
}

// @public
export interface PrivateLinkServiceIpConfigurationProperties {
    primary?: boolean;
    privateIPAddress?: string;
    privateIPAddressVersion?: "IPv4" | "IPv6";
    privateIPAllocationMethod?: "Static" | "Dynamic";
    subnet?: Subnet;
}

// @public
export interface PrivateLinkServiceIpConfigurationPropertiesOutput {
    primary?: boolean;
    privateIPAddress?: string;
    privateIPAddressVersion?: "IPv4" | "IPv6";
    privateIPAllocationMethod?: "Static" | "Dynamic";
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    subnet?: SubnetOutput;
}

// @public
export interface PrivateLinkServiceListResultOutput {
    readonly nextLink?: string;
    value?: Array<PrivateLinkServiceOutput>;
}

// @public
export interface PrivateLinkServiceOutput extends ResourceOutput {
    readonly etag?: string;
    extendedLocation?: ExtendedLocationOutput;
    properties?: PrivateLinkServicePropertiesOutput;
}

// @public
export interface PrivateLinkServiceProperties {
    autoApproval?: PrivateLinkServicePropertiesAutoApproval;
    enableProxyProtocol?: boolean;
    fqdns?: Array<string>;
    ipConfigurations?: Array<PrivateLinkServiceIpConfiguration>;
    loadBalancerFrontendIpConfigurations?: Array<FrontendIPConfiguration>;
    visibility?: PrivateLinkServicePropertiesVisibility;
}

// @public
export interface PrivateLinkServicePropertiesAutoApproval extends ResourceSet {
}

// @public
export interface PrivateLinkServicePropertiesAutoApprovalOutput extends ResourceSetOutput {
}

// @public
export interface PrivateLinkServicePropertiesOutput {
    readonly alias?: string;
    autoApproval?: PrivateLinkServicePropertiesAutoApprovalOutput;
    enableProxyProtocol?: boolean;
    fqdns?: Array<string>;
    ipConfigurations?: Array<PrivateLinkServiceIpConfigurationOutput>;
    loadBalancerFrontendIpConfigurations?: Array<FrontendIPConfigurationOutput>;
    readonly networkInterfaces?: Array<NetworkInterfaceOutput>;
    readonly privateEndpointConnections?: Array<PrivateEndpointConnectionOutput>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    visibility?: PrivateLinkServicePropertiesVisibilityOutput;
}

// @public
export interface PrivateLinkServicePropertiesVisibility extends ResourceSet {
}

// @public
export interface PrivateLinkServicePropertiesVisibilityOutput extends ResourceSetOutput {
}

// @public (undocumented)
export interface PrivateLinkServicesCheckPrivateLinkServiceVisibility {
    post(options: PrivateLinkServicesCheckPrivateLinkServiceVisibilityParameters): StreamableMethod<PrivateLinkServicesCheckPrivateLinkServiceVisibility200Response | PrivateLinkServicesCheckPrivateLinkServiceVisibility202Response | PrivateLinkServicesCheckPrivateLinkServiceVisibilityDefaultResponse>;
}

// @public
export interface PrivateLinkServicesCheckPrivateLinkServiceVisibility200Response extends HttpResponse {
    // (undocumented)
    body: PrivateLinkServiceVisibilityOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface PrivateLinkServicesCheckPrivateLinkServiceVisibility202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface PrivateLinkServicesCheckPrivateLinkServiceVisibilityBodyParam {
    body: CheckPrivateLinkServiceVisibilityRequest;
}

// @public (undocumented)
export interface PrivateLinkServicesCheckPrivateLinkServiceVisibilityByResourceGroup {
    post(options: PrivateLinkServicesCheckPrivateLinkServiceVisibilityByResourceGroupParameters): StreamableMethod<PrivateLinkServicesCheckPrivateLinkServiceVisibilityByResourceGroup200Response | PrivateLinkServicesCheckPrivateLinkServiceVisibilityByResourceGroup202Response | PrivateLinkServicesCheckPrivateLinkServiceVisibilityByResourceGroupDefaultResponse>;
}

// @public
export interface PrivateLinkServicesCheckPrivateLinkServiceVisibilityByResourceGroup200Response extends HttpResponse {
    // (undocumented)
    body: PrivateLinkServiceVisibilityOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface PrivateLinkServicesCheckPrivateLinkServiceVisibilityByResourceGroup202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface PrivateLinkServicesCheckPrivateLinkServiceVisibilityByResourceGroupBodyParam {
    body: CheckPrivateLinkServiceVisibilityRequest;
}

// @public
export interface PrivateLinkServicesCheckPrivateLinkServiceVisibilityByResourceGroupDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface PrivateLinkServicesCheckPrivateLinkServiceVisibilityByResourceGroupMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type PrivateLinkServicesCheckPrivateLinkServiceVisibilityByResourceGroupParameters = PrivateLinkServicesCheckPrivateLinkServiceVisibilityByResourceGroupQueryParam & PrivateLinkServicesCheckPrivateLinkServiceVisibilityByResourceGroupMediaTypesParam & PrivateLinkServicesCheckPrivateLinkServiceVisibilityByResourceGroupBodyParam & RequestParameters;

// @public (undocumented)
export interface PrivateLinkServicesCheckPrivateLinkServiceVisibilityByResourceGroupQueryParam {
    // (undocumented)
    queryParameters: PrivateLinkServicesCheckPrivateLinkServiceVisibilityByResourceGroupQueryParamProperties;
}

// @public (undocumented)
export interface PrivateLinkServicesCheckPrivateLinkServiceVisibilityByResourceGroupQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface PrivateLinkServicesCheckPrivateLinkServiceVisibilityDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface PrivateLinkServicesCheckPrivateLinkServiceVisibilityMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type PrivateLinkServicesCheckPrivateLinkServiceVisibilityParameters = PrivateLinkServicesCheckPrivateLinkServiceVisibilityQueryParam & PrivateLinkServicesCheckPrivateLinkServiceVisibilityMediaTypesParam & PrivateLinkServicesCheckPrivateLinkServiceVisibilityBodyParam & RequestParameters;

// @public (undocumented)
export interface PrivateLinkServicesCheckPrivateLinkServiceVisibilityQueryParam {
    // (undocumented)
    queryParameters: PrivateLinkServicesCheckPrivateLinkServiceVisibilityQueryParamProperties;
}

// @public (undocumented)
export interface PrivateLinkServicesCheckPrivateLinkServiceVisibilityQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface PrivateLinkServicesCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: PrivateLinkServiceOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface PrivateLinkServicesCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: PrivateLinkServiceOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface PrivateLinkServicesCreateOrUpdateBodyParam {
    body: PrivateLinkService;
}

// @public
export interface PrivateLinkServicesCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface PrivateLinkServicesCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type PrivateLinkServicesCreateOrUpdateParameters = PrivateLinkServicesCreateOrUpdateQueryParam & PrivateLinkServicesCreateOrUpdateMediaTypesParam & PrivateLinkServicesCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface PrivateLinkServicesCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: PrivateLinkServicesCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface PrivateLinkServicesCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface PrivateLinkServicesDelete {
    delete(options: PrivateLinkServicesDeleteParameters): StreamableMethod<PrivateLinkServicesDelete200Response | PrivateLinkServicesDelete202Response | PrivateLinkServicesDelete204Response | PrivateLinkServicesDeleteDefaultResponse>;
    get(options: PrivateLinkServicesGetParameters): StreamableMethod<PrivateLinkServicesGet200Response | PrivateLinkServicesGetDefaultResponse>;
    put(options: PrivateLinkServicesCreateOrUpdateParameters): StreamableMethod<PrivateLinkServicesCreateOrUpdate200Response | PrivateLinkServicesCreateOrUpdate201Response | PrivateLinkServicesCreateOrUpdateDefaultResponse>;
}

// @public
export interface PrivateLinkServicesDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface PrivateLinkServicesDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface PrivateLinkServicesDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface PrivateLinkServicesDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PrivateLinkServicesDeleteParameters = PrivateLinkServicesDeleteQueryParam & RequestParameters;

// @public
export interface PrivateLinkServicesDeletePrivateEndpointConnection200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface PrivateLinkServicesDeletePrivateEndpointConnection202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface PrivateLinkServicesDeletePrivateEndpointConnection204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface PrivateLinkServicesDeletePrivateEndpointConnectionDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PrivateLinkServicesDeletePrivateEndpointConnectionParameters = PrivateLinkServicesDeletePrivateEndpointConnectionQueryParam & RequestParameters;

// @public (undocumented)
export interface PrivateLinkServicesDeletePrivateEndpointConnectionQueryParam {
    // (undocumented)
    queryParameters: PrivateLinkServicesDeletePrivateEndpointConnectionQueryParamProperties;
}

// @public (undocumented)
export interface PrivateLinkServicesDeletePrivateEndpointConnectionQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface PrivateLinkServicesDeleteQueryParam {
    // (undocumented)
    queryParameters: PrivateLinkServicesDeleteQueryParamProperties;
}

// @public (undocumented)
export interface PrivateLinkServicesDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface PrivateLinkServicesGet200Response extends HttpResponse {
    // (undocumented)
    body: PrivateLinkServiceOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface PrivateLinkServicesGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PrivateLinkServicesGetParameters = PrivateLinkServicesGetQueryParam & RequestParameters;

// @public (undocumented)
export interface PrivateLinkServicesGetPrivateEndpointConnection {
    delete(options: PrivateLinkServicesDeletePrivateEndpointConnectionParameters): StreamableMethod<PrivateLinkServicesDeletePrivateEndpointConnection200Response | PrivateLinkServicesDeletePrivateEndpointConnection202Response | PrivateLinkServicesDeletePrivateEndpointConnection204Response | PrivateLinkServicesDeletePrivateEndpointConnectionDefaultResponse>;
    get(options: PrivateLinkServicesGetPrivateEndpointConnectionParameters): StreamableMethod<PrivateLinkServicesGetPrivateEndpointConnection200Response | PrivateLinkServicesGetPrivateEndpointConnectionDefaultResponse>;
    put(options: PrivateLinkServicesUpdatePrivateEndpointConnectionParameters): StreamableMethod<PrivateLinkServicesUpdatePrivateEndpointConnection200Response | PrivateLinkServicesUpdatePrivateEndpointConnectionDefaultResponse>;
}

// @public
export interface PrivateLinkServicesGetPrivateEndpointConnection200Response extends HttpResponse {
    // (undocumented)
    body: PrivateEndpointConnectionOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface PrivateLinkServicesGetPrivateEndpointConnectionDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PrivateLinkServicesGetPrivateEndpointConnectionParameters = PrivateLinkServicesGetPrivateEndpointConnectionQueryParam & RequestParameters;

// @public (undocumented)
export interface PrivateLinkServicesGetPrivateEndpointConnectionQueryParam {
    // (undocumented)
    queryParameters: PrivateLinkServicesGetPrivateEndpointConnectionQueryParamProperties;
}

// @public (undocumented)
export interface PrivateLinkServicesGetPrivateEndpointConnectionQueryParamProperties {
    "api-version": "2022-05-01";
    $expand?: string;
}

// @public (undocumented)
export interface PrivateLinkServicesGetQueryParam {
    // (undocumented)
    queryParameters: PrivateLinkServicesGetQueryParamProperties;
}

// @public (undocumented)
export interface PrivateLinkServicesGetQueryParamProperties {
    "api-version": "2022-05-01";
    $expand?: string;
}

// @public (undocumented)
export interface PrivateLinkServicesList {
    get(options: PrivateLinkServicesListParameters): StreamableMethod<PrivateLinkServicesList200Response | PrivateLinkServicesListDefaultResponse>;
}

// @public
export interface PrivateLinkServicesList200Response extends HttpResponse {
    // (undocumented)
    body: PrivateLinkServiceListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface PrivateLinkServicesListAutoApprovedPrivateLinkServices {
    get(options: PrivateLinkServicesListAutoApprovedPrivateLinkServicesParameters): StreamableMethod<PrivateLinkServicesListAutoApprovedPrivateLinkServices200Response | PrivateLinkServicesListAutoApprovedPrivateLinkServicesDefaultResponse>;
}

// @public
export interface PrivateLinkServicesListAutoApprovedPrivateLinkServices200Response extends HttpResponse {
    // (undocumented)
    body: AutoApprovedPrivateLinkServicesResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface PrivateLinkServicesListAutoApprovedPrivateLinkServicesByResourceGroup {
    get(options: PrivateLinkServicesListAutoApprovedPrivateLinkServicesByResourceGroupParameters): StreamableMethod<PrivateLinkServicesListAutoApprovedPrivateLinkServicesByResourceGroup200Response | PrivateLinkServicesListAutoApprovedPrivateLinkServicesByResourceGroupDefaultResponse>;
}

// @public
export interface PrivateLinkServicesListAutoApprovedPrivateLinkServicesByResourceGroup200Response extends HttpResponse {
    // (undocumented)
    body: AutoApprovedPrivateLinkServicesResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface PrivateLinkServicesListAutoApprovedPrivateLinkServicesByResourceGroupDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PrivateLinkServicesListAutoApprovedPrivateLinkServicesByResourceGroupParameters = PrivateLinkServicesListAutoApprovedPrivateLinkServicesByResourceGroupQueryParam & RequestParameters;

// @public (undocumented)
export interface PrivateLinkServicesListAutoApprovedPrivateLinkServicesByResourceGroupQueryParam {
    // (undocumented)
    queryParameters: PrivateLinkServicesListAutoApprovedPrivateLinkServicesByResourceGroupQueryParamProperties;
}

// @public (undocumented)
export interface PrivateLinkServicesListAutoApprovedPrivateLinkServicesByResourceGroupQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface PrivateLinkServicesListAutoApprovedPrivateLinkServicesDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PrivateLinkServicesListAutoApprovedPrivateLinkServicesParameters = PrivateLinkServicesListAutoApprovedPrivateLinkServicesQueryParam & RequestParameters;

// @public (undocumented)
export interface PrivateLinkServicesListAutoApprovedPrivateLinkServicesQueryParam {
    // (undocumented)
    queryParameters: PrivateLinkServicesListAutoApprovedPrivateLinkServicesQueryParamProperties;
}

// @public (undocumented)
export interface PrivateLinkServicesListAutoApprovedPrivateLinkServicesQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface PrivateLinkServicesListBySubscription {
    get(options: PrivateLinkServicesListBySubscriptionParameters): StreamableMethod<PrivateLinkServicesListBySubscription200Response | PrivateLinkServicesListBySubscriptionDefaultResponse>;
}

// @public
export interface PrivateLinkServicesListBySubscription200Response extends HttpResponse {
    // (undocumented)
    body: PrivateLinkServiceListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface PrivateLinkServicesListBySubscriptionDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PrivateLinkServicesListBySubscriptionParameters = PrivateLinkServicesListBySubscriptionQueryParam & RequestParameters;

// @public (undocumented)
export interface PrivateLinkServicesListBySubscriptionQueryParam {
    // (undocumented)
    queryParameters: PrivateLinkServicesListBySubscriptionQueryParamProperties;
}

// @public (undocumented)
export interface PrivateLinkServicesListBySubscriptionQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface PrivateLinkServicesListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PrivateLinkServicesListParameters = PrivateLinkServicesListQueryParam & RequestParameters;

// @public (undocumented)
export interface PrivateLinkServicesListPrivateEndpointConnections {
    get(options: PrivateLinkServicesListPrivateEndpointConnectionsParameters): StreamableMethod<PrivateLinkServicesListPrivateEndpointConnections200Response | PrivateLinkServicesListPrivateEndpointConnectionsDefaultResponse>;
}

// @public
export interface PrivateLinkServicesListPrivateEndpointConnections200Response extends HttpResponse {
    // (undocumented)
    body: PrivateEndpointConnectionListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface PrivateLinkServicesListPrivateEndpointConnectionsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PrivateLinkServicesListPrivateEndpointConnectionsParameters = PrivateLinkServicesListPrivateEndpointConnectionsQueryParam & RequestParameters;

// @public (undocumented)
export interface PrivateLinkServicesListPrivateEndpointConnectionsQueryParam {
    // (undocumented)
    queryParameters: PrivateLinkServicesListPrivateEndpointConnectionsQueryParamProperties;
}

// @public (undocumented)
export interface PrivateLinkServicesListPrivateEndpointConnectionsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface PrivateLinkServicesListQueryParam {
    // (undocumented)
    queryParameters: PrivateLinkServicesListQueryParamProperties;
}

// @public (undocumented)
export interface PrivateLinkServicesListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface PrivateLinkServicesUpdatePrivateEndpointConnection200Response extends HttpResponse {
    // (undocumented)
    body: PrivateEndpointConnectionOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface PrivateLinkServicesUpdatePrivateEndpointConnectionBodyParam {
    body: PrivateEndpointConnection;
}

// @public
export interface PrivateLinkServicesUpdatePrivateEndpointConnectionDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface PrivateLinkServicesUpdatePrivateEndpointConnectionMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type PrivateLinkServicesUpdatePrivateEndpointConnectionParameters = PrivateLinkServicesUpdatePrivateEndpointConnectionQueryParam & PrivateLinkServicesUpdatePrivateEndpointConnectionMediaTypesParam & PrivateLinkServicesUpdatePrivateEndpointConnectionBodyParam & RequestParameters;

// @public (undocumented)
export interface PrivateLinkServicesUpdatePrivateEndpointConnectionQueryParam {
    // (undocumented)
    queryParameters: PrivateLinkServicesUpdatePrivateEndpointConnectionQueryParamProperties;
}

// @public (undocumented)
export interface PrivateLinkServicesUpdatePrivateEndpointConnectionQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface PrivateLinkServiceVisibilityOutput {
    visible?: boolean;
}

// @public
export interface Probe extends SubResource {
    name?: string;
    properties?: ProbePropertiesFormat;
}

// @public
export interface ProbeOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ProbePropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface ProbePropertiesFormat {
    intervalInSeconds?: number;
    numberOfProbes?: number;
    port: number;
    probeThreshold?: number;
    protocol: "Http" | "Tcp" | "Https";
    requestPath?: string;
}

// @public
export interface ProbePropertiesFormatOutput {
    intervalInSeconds?: number;
    readonly loadBalancingRules?: Array<SubResourceOutput>;
    numberOfProbes?: number;
    port: number;
    probeThreshold?: number;
    protocol: "Http" | "Tcp" | "Https";
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    requestPath?: string;
}

// @public
export interface PropagatedRouteTable {
    ids?: Array<SubResource>;
    labels?: Array<string>;
}

// @public
export interface PropagatedRouteTableOutput {
    ids?: Array<SubResourceOutput>;
    labels?: Array<string>;
}

// @public
export interface ProtocolConfiguration {
    HTTPConfiguration?: HttpConfiguration;
}

// @public
export interface PublicIPAddress extends Resource {
    extendedLocation?: ExtendedLocation;
    properties?: PublicIPAddressPropertiesFormat;
    sku?: PublicIPAddressSku;
    zones?: Array<string>;
}

// @public
export interface PublicIPAddressDnsSettings {
    domainNameLabel?: string;
    fqdn?: string;
    reverseFqdn?: string;
}

// @public
export interface PublicIPAddressDnsSettingsOutput {
    domainNameLabel?: string;
    fqdn?: string;
    reverseFqdn?: string;
}

// @public
export interface PublicIPAddressesCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: PublicIPAddressOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface PublicIPAddressesCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: PublicIPAddressOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface PublicIPAddressesCreateOrUpdateBodyParam {
    body: PublicIPAddress;
}

// @public
export interface PublicIPAddressesCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface PublicIPAddressesCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type PublicIPAddressesCreateOrUpdateParameters = PublicIPAddressesCreateOrUpdateQueryParam & PublicIPAddressesCreateOrUpdateMediaTypesParam & PublicIPAddressesCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface PublicIPAddressesCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: PublicIPAddressesCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface PublicIPAddressesCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface PublicIPAddressesDdosProtectionStatus {
    post(options: PublicIPAddressesDdosProtectionStatusParameters): StreamableMethod<PublicIPAddressesDdosProtectionStatus200Response | PublicIPAddressesDdosProtectionStatus202Response | PublicIPAddressesDdosProtectionStatusDefaultResponse>;
}

// @public
export interface PublicIPAddressesDdosProtectionStatus200Response extends HttpResponse {
    // (undocumented)
    body: PublicIpDdosProtectionStatusResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface PublicIPAddressesDdosProtectionStatus202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface PublicIPAddressesDdosProtectionStatusDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PublicIPAddressesDdosProtectionStatusParameters = PublicIPAddressesDdosProtectionStatusQueryParam & RequestParameters;

// @public (undocumented)
export interface PublicIPAddressesDdosProtectionStatusQueryParam {
    // (undocumented)
    queryParameters: PublicIPAddressesDdosProtectionStatusQueryParamProperties;
}

// @public (undocumented)
export interface PublicIPAddressesDdosProtectionStatusQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface PublicIPAddressesDelete {
    delete(options: PublicIPAddressesDeleteParameters): StreamableMethod<PublicIPAddressesDelete200Response | PublicIPAddressesDelete202Response | PublicIPAddressesDelete204Response | PublicIPAddressesDeleteDefaultResponse>;
    get(options: PublicIPAddressesGetParameters): StreamableMethod<PublicIPAddressesGet200Response | PublicIPAddressesGetDefaultResponse>;
    patch(options: PublicIPAddressesUpdateTagsParameters): StreamableMethod<PublicIPAddressesUpdateTags200Response | PublicIPAddressesUpdateTagsDefaultResponse>;
    put(options: PublicIPAddressesCreateOrUpdateParameters): StreamableMethod<PublicIPAddressesCreateOrUpdate200Response | PublicIPAddressesCreateOrUpdate201Response | PublicIPAddressesCreateOrUpdateDefaultResponse>;
}

// @public
export interface PublicIPAddressesDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface PublicIPAddressesDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface PublicIPAddressesDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface PublicIPAddressesDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PublicIPAddressesDeleteParameters = PublicIPAddressesDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface PublicIPAddressesDeleteQueryParam {
    // (undocumented)
    queryParameters: PublicIPAddressesDeleteQueryParamProperties;
}

// @public (undocumented)
export interface PublicIPAddressesDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface PublicIPAddressesGet200Response extends HttpResponse {
    // (undocumented)
    body: PublicIPAddressOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface PublicIPAddressesGetCloudServicePublicIPAddress {
    get(options: PublicIPAddressesGetCloudServicePublicIPAddressParameters): StreamableMethod<PublicIPAddressesGetCloudServicePublicIPAddress200Response | PublicIPAddressesGetCloudServicePublicIPAddressDefaultResponse>;
}

// @public
export interface PublicIPAddressesGetCloudServicePublicIPAddress200Response extends HttpResponse {
    // (undocumented)
    body: PublicIPAddressOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface PublicIPAddressesGetCloudServicePublicIPAddressDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PublicIPAddressesGetCloudServicePublicIPAddressParameters = PublicIPAddressesGetCloudServicePublicIPAddressQueryParam & RequestParameters;

// @public (undocumented)
export interface PublicIPAddressesGetCloudServicePublicIPAddressQueryParam {
    // (undocumented)
    queryParameters: PublicIPAddressesGetCloudServicePublicIPAddressQueryParamProperties;
}

// @public (undocumented)
export interface PublicIPAddressesGetCloudServicePublicIPAddressQueryParamProperties {
    "api-version": "2022-05-01";
    $expand?: string;
}

// @public
export interface PublicIPAddressesGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PublicIPAddressesGetParameters = PublicIPAddressesGetQueryParam & RequestParameters;

// @public (undocumented)
export interface PublicIPAddressesGetQueryParam {
    // (undocumented)
    queryParameters: PublicIPAddressesGetQueryParamProperties;
}

// @public (undocumented)
export interface PublicIPAddressesGetQueryParamProperties {
    "api-version": "2022-05-01";
    $expand?: string;
}

// @public (undocumented)
export interface PublicIPAddressesGetVirtualMachineScaleSetPublicIPAddress {
    get(options: PublicIPAddressesGetVirtualMachineScaleSetPublicIPAddressParameters): StreamableMethod<PublicIPAddressesGetVirtualMachineScaleSetPublicIPAddress200Response | PublicIPAddressesGetVirtualMachineScaleSetPublicIPAddressDefaultResponse>;
}

// @public
export interface PublicIPAddressesGetVirtualMachineScaleSetPublicIPAddress200Response extends HttpResponse {
    // (undocumented)
    body: PublicIPAddressOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface PublicIPAddressesGetVirtualMachineScaleSetPublicIPAddressDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PublicIPAddressesGetVirtualMachineScaleSetPublicIPAddressParameters = PublicIPAddressesGetVirtualMachineScaleSetPublicIPAddressQueryParam & RequestParameters;

// @public (undocumented)
export interface PublicIPAddressesGetVirtualMachineScaleSetPublicIPAddressQueryParam {
    // (undocumented)
    queryParameters: PublicIPAddressesGetVirtualMachineScaleSetPublicIPAddressQueryParamProperties;
}

// @public (undocumented)
export interface PublicIPAddressesGetVirtualMachineScaleSetPublicIPAddressQueryParamProperties {
    "api-version": "2018-10-01";
    $expand?: string;
}

// @public (undocumented)
export interface PublicIPAddressesList {
    get(options: PublicIPAddressesListParameters): StreamableMethod<PublicIPAddressesList200Response | PublicIPAddressesListDefaultResponse>;
}

// @public
export interface PublicIPAddressesList200Response extends HttpResponse {
    // (undocumented)
    body: PublicIPAddressListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface PublicIPAddressesListAll {
    get(options: PublicIPAddressesListAllParameters): StreamableMethod<PublicIPAddressesListAll200Response | PublicIPAddressesListAllDefaultResponse>;
}

// @public
export interface PublicIPAddressesListAll200Response extends HttpResponse {
    // (undocumented)
    body: PublicIPAddressListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface PublicIPAddressesListAllDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PublicIPAddressesListAllParameters = PublicIPAddressesListAllQueryParam & RequestParameters;

// @public (undocumented)
export interface PublicIPAddressesListAllQueryParam {
    // (undocumented)
    queryParameters: PublicIPAddressesListAllQueryParamProperties;
}

// @public (undocumented)
export interface PublicIPAddressesListAllQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface PublicIPAddressesListCloudServicePublicIPAddresses {
    get(options: PublicIPAddressesListCloudServicePublicIPAddressesParameters): StreamableMethod<PublicIPAddressesListCloudServicePublicIPAddresses200Response | PublicIPAddressesListCloudServicePublicIPAddressesDefaultResponse>;
}

// @public
export interface PublicIPAddressesListCloudServicePublicIPAddresses200Response extends HttpResponse {
    // (undocumented)
    body: PublicIPAddressListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface PublicIPAddressesListCloudServicePublicIPAddressesDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PublicIPAddressesListCloudServicePublicIPAddressesParameters = PublicIPAddressesListCloudServicePublicIPAddressesQueryParam & RequestParameters;

// @public (undocumented)
export interface PublicIPAddressesListCloudServicePublicIPAddressesQueryParam {
    // (undocumented)
    queryParameters: PublicIPAddressesListCloudServicePublicIPAddressesQueryParamProperties;
}

// @public (undocumented)
export interface PublicIPAddressesListCloudServicePublicIPAddressesQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface PublicIPAddressesListCloudServiceRoleInstancePublicIPAddresses {
    get(options: PublicIPAddressesListCloudServiceRoleInstancePublicIPAddressesParameters): StreamableMethod<PublicIPAddressesListCloudServiceRoleInstancePublicIPAddresses200Response | PublicIPAddressesListCloudServiceRoleInstancePublicIPAddressesDefaultResponse>;
}

// @public
export interface PublicIPAddressesListCloudServiceRoleInstancePublicIPAddresses200Response extends HttpResponse {
    // (undocumented)
    body: PublicIPAddressListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface PublicIPAddressesListCloudServiceRoleInstancePublicIPAddressesDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PublicIPAddressesListCloudServiceRoleInstancePublicIPAddressesParameters = PublicIPAddressesListCloudServiceRoleInstancePublicIPAddressesQueryParam & RequestParameters;

// @public (undocumented)
export interface PublicIPAddressesListCloudServiceRoleInstancePublicIPAddressesQueryParam {
    // (undocumented)
    queryParameters: PublicIPAddressesListCloudServiceRoleInstancePublicIPAddressesQueryParamProperties;
}

// @public (undocumented)
export interface PublicIPAddressesListCloudServiceRoleInstancePublicIPAddressesQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface PublicIPAddressesListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PublicIPAddressesListParameters = PublicIPAddressesListQueryParam & RequestParameters;

// @public (undocumented)
export interface PublicIPAddressesListQueryParam {
    // (undocumented)
    queryParameters: PublicIPAddressesListQueryParamProperties;
}

// @public (undocumented)
export interface PublicIPAddressesListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface PublicIPAddressesListVirtualMachineScaleSetPublicIPAddresses {
    get(options: PublicIPAddressesListVirtualMachineScaleSetPublicIPAddressesParameters): StreamableMethod<PublicIPAddressesListVirtualMachineScaleSetPublicIPAddresses200Response | PublicIPAddressesListVirtualMachineScaleSetPublicIPAddressesDefaultResponse>;
}

// @public
export interface PublicIPAddressesListVirtualMachineScaleSetPublicIPAddresses200Response extends HttpResponse {
    // (undocumented)
    body: PublicIPAddressListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface PublicIPAddressesListVirtualMachineScaleSetPublicIPAddressesDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PublicIPAddressesListVirtualMachineScaleSetPublicIPAddressesParameters = PublicIPAddressesListVirtualMachineScaleSetPublicIPAddressesQueryParam & RequestParameters;

// @public (undocumented)
export interface PublicIPAddressesListVirtualMachineScaleSetPublicIPAddressesQueryParam {
    // (undocumented)
    queryParameters: PublicIPAddressesListVirtualMachineScaleSetPublicIPAddressesQueryParamProperties;
}

// @public (undocumented)
export interface PublicIPAddressesListVirtualMachineScaleSetPublicIPAddressesQueryParamProperties {
    "api-version": "2018-10-01";
}

// @public (undocumented)
export interface PublicIPAddressesListVirtualMachineScaleSetVMPublicIPAddresses {
    get(options: PublicIPAddressesListVirtualMachineScaleSetVMPublicIPAddressesParameters): StreamableMethod<PublicIPAddressesListVirtualMachineScaleSetVMPublicIPAddresses200Response | PublicIPAddressesListVirtualMachineScaleSetVMPublicIPAddressesDefaultResponse>;
}

// @public
export interface PublicIPAddressesListVirtualMachineScaleSetVMPublicIPAddresses200Response extends HttpResponse {
    // (undocumented)
    body: PublicIPAddressListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface PublicIPAddressesListVirtualMachineScaleSetVMPublicIPAddressesDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PublicIPAddressesListVirtualMachineScaleSetVMPublicIPAddressesParameters = PublicIPAddressesListVirtualMachineScaleSetVMPublicIPAddressesQueryParam & RequestParameters;

// @public (undocumented)
export interface PublicIPAddressesListVirtualMachineScaleSetVMPublicIPAddressesQueryParam {
    // (undocumented)
    queryParameters: PublicIPAddressesListVirtualMachineScaleSetVMPublicIPAddressesQueryParamProperties;
}

// @public (undocumented)
export interface PublicIPAddressesListVirtualMachineScaleSetVMPublicIPAddressesQueryParamProperties {
    "api-version": "2018-10-01";
}

// @public
export interface PublicIPAddressesUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: PublicIPAddressOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface PublicIPAddressesUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface PublicIPAddressesUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface PublicIPAddressesUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type PublicIPAddressesUpdateTagsParameters = PublicIPAddressesUpdateTagsQueryParam & PublicIPAddressesUpdateTagsMediaTypesParam & PublicIPAddressesUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface PublicIPAddressesUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: PublicIPAddressesUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface PublicIPAddressesUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface PublicIPAddressListResultOutput {
    nextLink?: string;
    value?: Array<PublicIPAddressOutput>;
}

// @public
export interface PublicIPAddressOutput extends ResourceOutput {
    readonly etag?: string;
    extendedLocation?: ExtendedLocationOutput;
    properties?: PublicIPAddressPropertiesFormatOutput;
    sku?: PublicIPAddressSkuOutput;
    zones?: Array<string>;
}

// @public
export interface PublicIPAddressPropertiesFormat {
    ddosSettings?: DdosSettings;
    deleteOption?: "Delete" | "Detach";
    dnsSettings?: PublicIPAddressDnsSettings;
    idleTimeoutInMinutes?: number;
    ipAddress?: string;
    ipTags?: Array<IpTag>;
    linkedPublicIPAddress?: PublicIPAddress;
    migrationPhase?: "None" | "Prepare" | "Commit" | "Abort" | "Committed";
    natGateway?: NatGateway;
    publicIPAddressVersion?: "IPv4" | "IPv6";
    publicIPAllocationMethod?: "Static" | "Dynamic";
    publicIPPrefix?: SubResource;
    servicePublicIPAddress?: PublicIPAddress;
}

// @public
export interface PublicIPAddressPropertiesFormatOutput {
    ddosSettings?: DdosSettingsOutput;
    deleteOption?: "Delete" | "Detach";
    dnsSettings?: PublicIPAddressDnsSettingsOutput;
    idleTimeoutInMinutes?: number;
    ipAddress?: string;
    readonly ipConfiguration?: IPConfigurationOutput;
    ipTags?: Array<IpTagOutput>;
    linkedPublicIPAddress?: PublicIPAddressOutput;
    migrationPhase?: "None" | "Prepare" | "Commit" | "Abort" | "Committed";
    natGateway?: NatGatewayOutput;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    publicIPAddressVersion?: "IPv4" | "IPv6";
    publicIPAllocationMethod?: "Static" | "Dynamic";
    publicIPPrefix?: SubResourceOutput;
    readonly resourceGuid?: string;
    servicePublicIPAddress?: PublicIPAddressOutput;
}

// @public
export interface PublicIPAddressSku {
    name?: "Basic" | "Standard";
    tier?: "Regional" | "Global";
}

// @public
export interface PublicIPAddressSkuOutput {
    name?: "Basic" | "Standard";
    tier?: "Regional" | "Global";
}

// @public
export interface PublicIpDdosProtectionStatusResultOutput {
    ddosProtectionPlanId?: string;
    isWorkloadProtected?: "False" | "True";
    publicIpAddress?: string;
    publicIpAddressId?: string;
}

// @public
export interface PublicIPPrefix extends Resource {
    extendedLocation?: ExtendedLocation;
    properties?: PublicIPPrefixPropertiesFormat;
    sku?: PublicIPPrefixSku;
    zones?: Array<string>;
}

// @public
export interface PublicIPPrefixesCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: PublicIPPrefixOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface PublicIPPrefixesCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: PublicIPPrefixOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface PublicIPPrefixesCreateOrUpdateBodyParam {
    body: PublicIPPrefix;
}

// @public
export interface PublicIPPrefixesCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface PublicIPPrefixesCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type PublicIPPrefixesCreateOrUpdateParameters = PublicIPPrefixesCreateOrUpdateQueryParam & PublicIPPrefixesCreateOrUpdateMediaTypesParam & PublicIPPrefixesCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface PublicIPPrefixesCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: PublicIPPrefixesCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface PublicIPPrefixesCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface PublicIPPrefixesDelete {
    delete(options: PublicIPPrefixesDeleteParameters): StreamableMethod<PublicIPPrefixesDelete200Response | PublicIPPrefixesDelete202Response | PublicIPPrefixesDelete204Response | PublicIPPrefixesDeleteDefaultResponse>;
    get(options: PublicIPPrefixesGetParameters): StreamableMethod<PublicIPPrefixesGet200Response | PublicIPPrefixesGetDefaultResponse>;
    patch(options: PublicIPPrefixesUpdateTagsParameters): StreamableMethod<PublicIPPrefixesUpdateTags200Response | PublicIPPrefixesUpdateTagsDefaultResponse>;
    put(options: PublicIPPrefixesCreateOrUpdateParameters): StreamableMethod<PublicIPPrefixesCreateOrUpdate200Response | PublicIPPrefixesCreateOrUpdate201Response | PublicIPPrefixesCreateOrUpdateDefaultResponse>;
}

// @public
export interface PublicIPPrefixesDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface PublicIPPrefixesDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface PublicIPPrefixesDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface PublicIPPrefixesDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PublicIPPrefixesDeleteParameters = PublicIPPrefixesDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface PublicIPPrefixesDeleteQueryParam {
    // (undocumented)
    queryParameters: PublicIPPrefixesDeleteQueryParamProperties;
}

// @public (undocumented)
export interface PublicIPPrefixesDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface PublicIPPrefixesGet200Response extends HttpResponse {
    // (undocumented)
    body: PublicIPPrefixOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface PublicIPPrefixesGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PublicIPPrefixesGetParameters = PublicIPPrefixesGetQueryParam & RequestParameters;

// @public (undocumented)
export interface PublicIPPrefixesGetQueryParam {
    // (undocumented)
    queryParameters: PublicIPPrefixesGetQueryParamProperties;
}

// @public (undocumented)
export interface PublicIPPrefixesGetQueryParamProperties {
    "api-version": "2022-05-01";
    $expand?: string;
}

// @public (undocumented)
export interface PublicIPPrefixesList {
    get(options: PublicIPPrefixesListParameters): StreamableMethod<PublicIPPrefixesList200Response | PublicIPPrefixesListDefaultResponse>;
}

// @public
export interface PublicIPPrefixesList200Response extends HttpResponse {
    // (undocumented)
    body: PublicIPPrefixListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface PublicIPPrefixesListAll {
    get(options: PublicIPPrefixesListAllParameters): StreamableMethod<PublicIPPrefixesListAll200Response | PublicIPPrefixesListAllDefaultResponse>;
}

// @public
export interface PublicIPPrefixesListAll200Response extends HttpResponse {
    // (undocumented)
    body: PublicIPPrefixListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface PublicIPPrefixesListAllDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PublicIPPrefixesListAllParameters = PublicIPPrefixesListAllQueryParam & RequestParameters;

// @public (undocumented)
export interface PublicIPPrefixesListAllQueryParam {
    // (undocumented)
    queryParameters: PublicIPPrefixesListAllQueryParamProperties;
}

// @public (undocumented)
export interface PublicIPPrefixesListAllQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface PublicIPPrefixesListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type PublicIPPrefixesListParameters = PublicIPPrefixesListQueryParam & RequestParameters;

// @public (undocumented)
export interface PublicIPPrefixesListQueryParam {
    // (undocumented)
    queryParameters: PublicIPPrefixesListQueryParamProperties;
}

// @public (undocumented)
export interface PublicIPPrefixesListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface PublicIPPrefixesUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: PublicIPPrefixOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface PublicIPPrefixesUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface PublicIPPrefixesUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface PublicIPPrefixesUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type PublicIPPrefixesUpdateTagsParameters = PublicIPPrefixesUpdateTagsQueryParam & PublicIPPrefixesUpdateTagsMediaTypesParam & PublicIPPrefixesUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface PublicIPPrefixesUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: PublicIPPrefixesUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface PublicIPPrefixesUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface PublicIPPrefixListResultOutput {
    nextLink?: string;
    value?: Array<PublicIPPrefixOutput>;
}

// @public
export interface PublicIPPrefixOutput extends ResourceOutput {
    readonly etag?: string;
    extendedLocation?: ExtendedLocationOutput;
    properties?: PublicIPPrefixPropertiesFormatOutput;
    sku?: PublicIPPrefixSkuOutput;
    zones?: Array<string>;
}

// @public
export interface PublicIPPrefixPropertiesFormat {
    customIPPrefix?: SubResource;
    ipTags?: Array<IpTag>;
    natGateway?: NatGateway;
    prefixLength?: number;
    publicIPAddressVersion?: "IPv4" | "IPv6";
}

// @public
export interface PublicIPPrefixPropertiesFormatOutput {
    customIPPrefix?: SubResourceOutput;
    readonly ipPrefix?: string;
    ipTags?: Array<IpTagOutput>;
    readonly loadBalancerFrontendIpConfiguration?: SubResourceOutput;
    natGateway?: NatGatewayOutput;
    prefixLength?: number;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    readonly publicIPAddresses?: Array<ReferencedPublicIpAddressOutput>;
    publicIPAddressVersion?: "IPv4" | "IPv6";
    readonly resourceGuid?: string;
}

// @public
export interface PublicIPPrefixSku {
    name?: "Standard";
    tier?: "Regional" | "Global";
}

// @public
export interface PublicIPPrefixSkuOutput {
    name?: "Standard";
    tier?: "Regional" | "Global";
}

// @public (undocumented)
export interface PutBastionShareableLink {
    post(options: PutBastionShareableLinkParameters): StreamableMethod<PutBastionShareableLink200Response | PutBastionShareableLink202Response | PutBastionShareableLinkDefaultResponse>;
}

// @public
export interface PutBastionShareableLink200Response extends HttpResponse {
    // (undocumented)
    body: BastionShareableLinkListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface PutBastionShareableLink202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface PutBastionShareableLinkBodyParam {
    body: BastionShareableLinkListRequest;
}

// @public
export interface PutBastionShareableLinkDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface PutBastionShareableLinkMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type PutBastionShareableLinkParameters = PutBastionShareableLinkQueryParam & PutBastionShareableLinkMediaTypesParam & PutBastionShareableLinkBodyParam & RequestParameters;

// @public (undocumented)
export interface PutBastionShareableLinkQueryParam {
    // (undocumented)
    queryParameters: PutBastionShareableLinkQueryParamProperties;
}

// @public (undocumented)
export interface PutBastionShareableLinkQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface QosDefinition {
    destinationIpRanges?: Array<QosIpRange>;
    destinationPortRanges?: Array<QosPortRange>;
    markings?: Array<number>;
    protocol?: "DoNotUse" | "Icmp" | "Tcp" | "Udp" | "Gre" | "Esp" | "Ah" | "Vxlan" | "All";
    sourceIpRanges?: Array<QosIpRange>;
    sourcePortRanges?: Array<QosPortRange>;
}

// @public
export interface QosDefinitionOutput {
    destinationIpRanges?: Array<QosIpRangeOutput>;
    destinationPortRanges?: Array<QosPortRangeOutput>;
    markings?: Array<number>;
    protocol?: "DoNotUse" | "Icmp" | "Tcp" | "Udp" | "Gre" | "Esp" | "Ah" | "Vxlan" | "All";
    sourceIpRanges?: Array<QosIpRangeOutput>;
    sourcePortRanges?: Array<QosPortRangeOutput>;
}

// @public
export interface QosIpRange {
    endIP?: string;
    startIP?: string;
}

// @public
export interface QosIpRangeOutput {
    endIP?: string;
    startIP?: string;
}

// @public
export interface QosPortRange {
    end?: number;
    start?: number;
}

// @public
export interface QosPortRangeOutput {
    end?: number;
    start?: number;
}

// @public
export interface QueryInboundNatRulePortMappingRequest {
    ipAddress?: string;
    ipConfiguration?: SubResource;
}

// @public
export interface QueryRequestOptions {
    skipToken?: string;
}

// @public
export interface QueryResultsOutput {
    matchingRecordsCount?: number;
    signatures?: Array<SingleQueryResultOutput>;
}

// @public
export interface QueryTroubleshootingParameters {
    targetResourceId: string;
}

// @public
export interface RadiusServer {
    radiusServerAddress: string;
    radiusServerScore?: number;
    radiusServerSecret?: string;
}

// @public
export interface RadiusServerOutput {
    radiusServerAddress: string;
    radiusServerScore?: number;
    radiusServerSecret?: string;
}

// @public
export interface RecordSet {
    fqdn?: string;
    ipAddresses?: Array<string>;
    recordSetName?: string;
    recordType?: string;
    ttl?: number;
}

// @public
export interface RecordSetOutput {
    fqdn?: string;
    ipAddresses?: Array<string>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    recordSetName?: string;
    recordType?: string;
    ttl?: number;
}

// @public
export interface ReferencedPublicIpAddress {
    id?: string;
}

// @public
export interface ReferencedPublicIpAddressOutput {
    id?: string;
}

// @public
export interface Resource {
    id?: string;
    location?: string;
    tags?: Record<string, string>;
}

// @public
export interface ResourceNavigationLink extends SubResource {
    name?: string;
    properties?: ResourceNavigationLinkFormat;
}

// @public
export interface ResourceNavigationLinkFormat {
    link?: string;
    linkedResourceType?: string;
}

// @public
export interface ResourceNavigationLinkFormatOutput {
    link?: string;
    linkedResourceType?: string;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public
export interface ResourceNavigationLinkOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ResourceNavigationLinkFormatOutput;
    readonly type?: string;
}

// @public (undocumented)
export interface ResourceNavigationLinksList {
    get(options: ResourceNavigationLinksListParameters): StreamableMethod<ResourceNavigationLinksList200Response | ResourceNavigationLinksListDefaultResponse>;
}

// @public
export interface ResourceNavigationLinksList200Response extends HttpResponse {
    // (undocumented)
    body: ResourceNavigationLinksListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ResourceNavigationLinksListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ResourceNavigationLinksListParameters = ResourceNavigationLinksListQueryParam & RequestParameters;

// @public (undocumented)
export interface ResourceNavigationLinksListQueryParam {
    // (undocumented)
    queryParameters: ResourceNavigationLinksListQueryParamProperties;
}

// @public (undocumented)
export interface ResourceNavigationLinksListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ResourceNavigationLinksListResultOutput {
    readonly nextLink?: string;
    value?: Array<ResourceNavigationLinkOutput>;
}

// @public
export interface ResourceOutput {
    id?: string;
    location?: string;
    readonly name?: string;
    tags?: Record<string, string>;
    readonly type?: string;
}

// @public
export interface ResourceSet {
    subscriptions?: Array<string>;
}

// @public
export interface ResourceSetOutput {
    subscriptions?: Array<string>;
}

// @public
export interface RetentionPolicyParameters {
    days?: number;
    enabled?: boolean;
}

// @public
export interface RetentionPolicyParametersOutput {
    days?: number;
    enabled?: boolean;
}

// @public
export interface Route extends SubResource {
    name?: string;
    properties?: RoutePropertiesFormat;
    type?: string;
}

// @public
export interface RouteFilter extends Resource {
    properties?: RouteFilterPropertiesFormat;
}

// @public
export interface RouteFilterListResultOutput {
    nextLink?: string;
    value?: Array<RouteFilterOutput>;
}

// @public
export interface RouteFilterOutput extends ResourceOutput {
    readonly etag?: string;
    properties?: RouteFilterPropertiesFormatOutput;
}

// @public
export interface RouteFilterPropertiesFormat {
    rules?: Array<RouteFilterRule>;
}

// @public
export interface RouteFilterPropertiesFormatOutput {
    readonly ipv6Peerings?: Array<ExpressRouteCircuitPeeringOutput>;
    readonly peerings?: Array<ExpressRouteCircuitPeeringOutput>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    rules?: Array<RouteFilterRuleOutput>;
}

// @public
export interface RouteFilterRule extends SubResource {
    location?: string;
    name?: string;
    properties?: RouteFilterRulePropertiesFormat;
}

// @public
export interface RouteFilterRuleListResultOutput {
    nextLink?: string;
    value?: Array<RouteFilterRuleOutput>;
}

// @public
export interface RouteFilterRuleOutput extends SubResourceOutput {
    readonly etag?: string;
    location?: string;
    name?: string;
    properties?: RouteFilterRulePropertiesFormatOutput;
}

// @public
export interface RouteFilterRulePropertiesFormat {
    access: "Allow" | "Deny";
    communities: Array<string>;
    routeFilterRuleType: "Community";
}

// @public
export interface RouteFilterRulePropertiesFormatOutput {
    access: "Allow" | "Deny";
    communities: Array<string>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    routeFilterRuleType: "Community";
}

// @public
export interface RouteFilterRulesCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: RouteFilterRuleOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface RouteFilterRulesCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: RouteFilterRuleOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface RouteFilterRulesCreateOrUpdateBodyParam {
    body: RouteFilterRule;
}

// @public
export interface RouteFilterRulesCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface RouteFilterRulesCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type RouteFilterRulesCreateOrUpdateParameters = RouteFilterRulesCreateOrUpdateQueryParam & RouteFilterRulesCreateOrUpdateMediaTypesParam & RouteFilterRulesCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface RouteFilterRulesCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: RouteFilterRulesCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface RouteFilterRulesCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface RouteFilterRulesDelete {
    delete(options: RouteFilterRulesDeleteParameters): StreamableMethod<RouteFilterRulesDelete200Response | RouteFilterRulesDelete202Response | RouteFilterRulesDelete204Response | RouteFilterRulesDeleteDefaultResponse>;
    get(options: RouteFilterRulesGetParameters): StreamableMethod<RouteFilterRulesGet200Response | RouteFilterRulesGetDefaultResponse>;
    put(options: RouteFilterRulesCreateOrUpdateParameters): StreamableMethod<RouteFilterRulesCreateOrUpdate200Response | RouteFilterRulesCreateOrUpdate201Response | RouteFilterRulesCreateOrUpdateDefaultResponse>;
}

// @public
export interface RouteFilterRulesDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface RouteFilterRulesDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface RouteFilterRulesDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface RouteFilterRulesDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type RouteFilterRulesDeleteParameters = RouteFilterRulesDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface RouteFilterRulesDeleteQueryParam {
    // (undocumented)
    queryParameters: RouteFilterRulesDeleteQueryParamProperties;
}

// @public (undocumented)
export interface RouteFilterRulesDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface RouteFilterRulesGet200Response extends HttpResponse {
    // (undocumented)
    body: RouteFilterRuleOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface RouteFilterRulesGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type RouteFilterRulesGetParameters = RouteFilterRulesGetQueryParam & RequestParameters;

// @public (undocumented)
export interface RouteFilterRulesGetQueryParam {
    // (undocumented)
    queryParameters: RouteFilterRulesGetQueryParamProperties;
}

// @public (undocumented)
export interface RouteFilterRulesGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface RouteFilterRulesListByRouteFilter {
    get(options: RouteFilterRulesListByRouteFilterParameters): StreamableMethod<RouteFilterRulesListByRouteFilter200Response | RouteFilterRulesListByRouteFilterDefaultResponse>;
}

// @public
export interface RouteFilterRulesListByRouteFilter200Response extends HttpResponse {
    // (undocumented)
    body: RouteFilterRuleListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface RouteFilterRulesListByRouteFilterDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type RouteFilterRulesListByRouteFilterParameters = RouteFilterRulesListByRouteFilterQueryParam & RequestParameters;

// @public (undocumented)
export interface RouteFilterRulesListByRouteFilterQueryParam {
    // (undocumented)
    queryParameters: RouteFilterRulesListByRouteFilterQueryParamProperties;
}

// @public (undocumented)
export interface RouteFilterRulesListByRouteFilterQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface RouteFiltersCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: RouteFilterOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface RouteFiltersCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: RouteFilterOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface RouteFiltersCreateOrUpdateBodyParam {
    body: RouteFilter;
}

// @public
export interface RouteFiltersCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface RouteFiltersCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type RouteFiltersCreateOrUpdateParameters = RouteFiltersCreateOrUpdateQueryParam & RouteFiltersCreateOrUpdateMediaTypesParam & RouteFiltersCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface RouteFiltersCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: RouteFiltersCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface RouteFiltersCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface RouteFiltersDelete {
    delete(options: RouteFiltersDeleteParameters): StreamableMethod<RouteFiltersDelete200Response | RouteFiltersDelete202Response | RouteFiltersDelete204Response | RouteFiltersDeleteDefaultResponse>;
    get(options: RouteFiltersGetParameters): StreamableMethod<RouteFiltersGet200Response | RouteFiltersGetDefaultResponse>;
    patch(options: RouteFiltersUpdateTagsParameters): StreamableMethod<RouteFiltersUpdateTags200Response | RouteFiltersUpdateTagsDefaultResponse>;
    put(options: RouteFiltersCreateOrUpdateParameters): StreamableMethod<RouteFiltersCreateOrUpdate200Response | RouteFiltersCreateOrUpdate201Response | RouteFiltersCreateOrUpdateDefaultResponse>;
}

// @public
export interface RouteFiltersDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface RouteFiltersDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface RouteFiltersDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface RouteFiltersDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type RouteFiltersDeleteParameters = RouteFiltersDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface RouteFiltersDeleteQueryParam {
    // (undocumented)
    queryParameters: RouteFiltersDeleteQueryParamProperties;
}

// @public (undocumented)
export interface RouteFiltersDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface RouteFiltersGet200Response extends HttpResponse {
    // (undocumented)
    body: RouteFilterOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface RouteFiltersGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type RouteFiltersGetParameters = RouteFiltersGetQueryParam & RequestParameters;

// @public (undocumented)
export interface RouteFiltersGetQueryParam {
    // (undocumented)
    queryParameters: RouteFiltersGetQueryParamProperties;
}

// @public (undocumented)
export interface RouteFiltersGetQueryParamProperties {
    "api-version": "2022-05-01";
    $expand?: string;
}

// @public (undocumented)
export interface RouteFiltersList {
    get(options: RouteFiltersListParameters): StreamableMethod<RouteFiltersList200Response | RouteFiltersListDefaultResponse>;
}

// @public
export interface RouteFiltersList200Response extends HttpResponse {
    // (undocumented)
    body: RouteFilterListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface RouteFiltersListByResourceGroup {
    get(options: RouteFiltersListByResourceGroupParameters): StreamableMethod<RouteFiltersListByResourceGroup200Response | RouteFiltersListByResourceGroupDefaultResponse>;
}

// @public
export interface RouteFiltersListByResourceGroup200Response extends HttpResponse {
    // (undocumented)
    body: RouteFilterListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface RouteFiltersListByResourceGroupDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type RouteFiltersListByResourceGroupParameters = RouteFiltersListByResourceGroupQueryParam & RequestParameters;

// @public (undocumented)
export interface RouteFiltersListByResourceGroupQueryParam {
    // (undocumented)
    queryParameters: RouteFiltersListByResourceGroupQueryParamProperties;
}

// @public (undocumented)
export interface RouteFiltersListByResourceGroupQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface RouteFiltersListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type RouteFiltersListParameters = RouteFiltersListQueryParam & RequestParameters;

// @public (undocumented)
export interface RouteFiltersListQueryParam {
    // (undocumented)
    queryParameters: RouteFiltersListQueryParamProperties;
}

// @public (undocumented)
export interface RouteFiltersListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface RouteFiltersUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: RouteFilterOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface RouteFiltersUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface RouteFiltersUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface RouteFiltersUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type RouteFiltersUpdateTagsParameters = RouteFiltersUpdateTagsQueryParam & RouteFiltersUpdateTagsMediaTypesParam & RouteFiltersUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface RouteFiltersUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: RouteFiltersUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface RouteFiltersUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface RouteListResultOutput {
    nextLink?: string;
    value?: Array<RouteOutput>;
}

// @public
export interface RouteMap extends SubResource {
    properties?: RouteMapProperties;
}

// @public
export interface RouteMapOutput extends SubResourceOutput {
    readonly etag?: string;
    readonly name?: string;
    properties?: RouteMapPropertiesOutput;
    readonly type?: string;
}

// @public
export interface RouteMapProperties {
    associatedInboundConnections?: Array<string>;
    associatedOutboundConnections?: Array<string>;
    rules?: Array<RouteMapRule>;
}

// @public
export interface RouteMapPropertiesOutput {
    associatedInboundConnections?: Array<string>;
    associatedOutboundConnections?: Array<string>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    rules?: Array<RouteMapRuleOutput>;
}

// @public
export interface RouteMapRule {
    actions?: Array<Action>;
    matchCriteria?: Array<Criterion>;
    name?: string;
    nextStepIfMatched?: "Unknown" | "Continue" | "Terminate";
}

// @public
export interface RouteMapRuleOutput {
    actions?: Array<ActionOutput>;
    matchCriteria?: Array<CriterionOutput>;
    name?: string;
    nextStepIfMatched?: "Unknown" | "Continue" | "Terminate";
}

// @public
export interface RouteMapsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: RouteMapOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface RouteMapsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: RouteMapOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface RouteMapsCreateOrUpdateBodyParam {
    body: RouteMap;
}

// @public
export interface RouteMapsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface RouteMapsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type RouteMapsCreateOrUpdateParameters = RouteMapsCreateOrUpdateQueryParam & RouteMapsCreateOrUpdateMediaTypesParam & RouteMapsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface RouteMapsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: RouteMapsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface RouteMapsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface RouteMapsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface RouteMapsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface RouteMapsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface RouteMapsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type RouteMapsDeleteParameters = RouteMapsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface RouteMapsDeleteQueryParam {
    // (undocumented)
    queryParameters: RouteMapsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface RouteMapsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface RouteMapsGet {
    delete(options: RouteMapsDeleteParameters): StreamableMethod<RouteMapsDelete200Response | RouteMapsDelete202Response | RouteMapsDelete204Response | RouteMapsDeleteDefaultResponse>;
    get(options: RouteMapsGetParameters): StreamableMethod<RouteMapsGet200Response | RouteMapsGetDefaultResponse>;
    put(options: RouteMapsCreateOrUpdateParameters): StreamableMethod<RouteMapsCreateOrUpdate200Response | RouteMapsCreateOrUpdate201Response | RouteMapsCreateOrUpdateDefaultResponse>;
}

// @public
export interface RouteMapsGet200Response extends HttpResponse {
    // (undocumented)
    body: RouteMapOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface RouteMapsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type RouteMapsGetParameters = RouteMapsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface RouteMapsGetQueryParam {
    // (undocumented)
    queryParameters: RouteMapsGetQueryParamProperties;
}

// @public (undocumented)
export interface RouteMapsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface RouteMapsList {
    get(options: RouteMapsListParameters): StreamableMethod<RouteMapsList200Response | RouteMapsListDefaultResponse>;
}

// @public
export interface RouteMapsList200Response extends HttpResponse {
    // (undocumented)
    body: ListRouteMapsResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface RouteMapsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type RouteMapsListParameters = RouteMapsListQueryParam & RequestParameters;

// @public (undocumented)
export interface RouteMapsListQueryParam {
    // (undocumented)
    queryParameters: RouteMapsListQueryParamProperties;
}

// @public (undocumented)
export interface RouteMapsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface RouteOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: RoutePropertiesFormatOutput;
    type?: string;
}

// @public
export interface RoutePropertiesFormat {
    addressPrefix?: string;
    hasBgpOverride?: boolean;
    nextHopIpAddress?: string;
    nextHopType: "VirtualNetworkGateway" | "VnetLocal" | "Internet" | "VirtualAppliance" | "None";
}

// @public
export interface RoutePropertiesFormatOutput {
    addressPrefix?: string;
    hasBgpOverride?: boolean;
    nextHopIpAddress?: string;
    nextHopType: "VirtualNetworkGateway" | "VnetLocal" | "Internet" | "VirtualAppliance" | "None";
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public (undocumented)
export interface Routes {
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/applicationGateways/{applicationGatewayName}", subscriptionId: string, resourceGroupName: string, applicationGatewayName: string): ApplicationGatewaysDelete;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/applicationGateways", subscriptionId: string, resourceGroupName: string): ApplicationGatewaysList;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/applicationGateways", subscriptionId: string): ApplicationGatewaysListAll;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/applicationGateways/{applicationGatewayName}/start", subscriptionId: string, resourceGroupName: string, applicationGatewayName: string): ApplicationGatewaysStart;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/applicationGateways/{applicationGatewayName}/stop", subscriptionId: string, resourceGroupName: string, applicationGatewayName: string): ApplicationGatewaysStop;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/applicationGateways/{applicationGatewayName}/backendhealth", subscriptionId: string, resourceGroupName: string, applicationGatewayName: string): ApplicationGatewaysBackendHealth;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/applicationGateways/{applicationGatewayName}/getBackendHealthOnDemand", subscriptionId: string, resourceGroupName: string, applicationGatewayName: string): ApplicationGatewaysBackendHealthOnDemand;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/applicationGatewayAvailableServerVariables", subscriptionId: string): ApplicationGatewaysListAvailableServerVariables;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/applicationGatewayAvailableRequestHeaders", subscriptionId: string): ApplicationGatewaysListAvailableRequestHeaders;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/applicationGatewayAvailableResponseHeaders", subscriptionId: string): ApplicationGatewaysListAvailableResponseHeaders;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/applicationGatewayAvailableWafRuleSets", subscriptionId: string): ApplicationGatewaysListAvailableWafRuleSets;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/applicationGatewayAvailableSslOptions/default", subscriptionId: string): ApplicationGatewaysListAvailableSslOptions;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/applicationGatewayAvailableSslOptions/default/predefinedPolicies", subscriptionId: string): ApplicationGatewaysListAvailableSslPredefinedPolicies;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/applicationGatewayAvailableSslOptions/default/predefinedPolicies/{predefinedPolicyName}", subscriptionId: string, predefinedPolicyName: string): ApplicationGatewaysGetSslPredefinedPolicy;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/applicationGateways/{applicationGatewayName}/privateLinkResources", subscriptionId: string, resourceGroupName: string, applicationGatewayName: string): ApplicationGatewayPrivateLinkResourcesList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/applicationGateways/{applicationGatewayName}/privateEndpointConnections/{connectionName}", subscriptionId: string, resourceGroupName: string, applicationGatewayName: string, connectionName: string): ApplicationGatewayPrivateEndpointConnectionsDelete;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/applicationGateways/{applicationGatewayName}/privateEndpointConnections", subscriptionId: string, resourceGroupName: string, applicationGatewayName: string): ApplicationGatewayPrivateEndpointConnectionsList;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/locations/{location}/applicationGatewayWafDynamicManifests/dafault", subscriptionId: string, location: string): ApplicationGatewayWafDynamicManifestsDefaultGet;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/locations/{location}/applicationGatewayWafDynamicManifests", subscriptionId: string, location: string): ApplicationGatewayWafDynamicManifestsGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/applicationSecurityGroups/{applicationSecurityGroupName}", subscriptionId: string, resourceGroupName: string, applicationSecurityGroupName: string): ApplicationSecurityGroupsDelete;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/applicationSecurityGroups", subscriptionId: string): ApplicationSecurityGroupsListAll;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/applicationSecurityGroups", subscriptionId: string, resourceGroupName: string): ApplicationSecurityGroupsList;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/locations/{location}/availableDelegations", subscriptionId: string, location: string): AvailableDelegationsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/locations/{location}/availableDelegations", subscriptionId: string, resourceGroupName: string, location: string): AvailableResourceGroupDelegationsList;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/locations/{location}/availableServiceAliases", subscriptionId: string, location: string): AvailableServiceAliasesList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/locations/{location}/availableServiceAliases", subscriptionId: string, resourceGroupName: string, location: string): AvailableServiceAliasesListByResourceGroup;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/azureFirewalls/{azureFirewallName}", subscriptionId: string, resourceGroupName: string, azureFirewallName: string): AzureFirewallsDelete;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/azureFirewalls", subscriptionId: string, resourceGroupName: string): AzureFirewallsList;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/azureFirewalls", subscriptionId: string): AzureFirewallsListAll;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/azureFirewalls/{azureFirewallName}/learnedIPPrefixes", subscriptionId: string, resourceGroupName: string, azureFirewallName: string): AzureFirewallsListLearnedPrefixes;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/azureFirewallFqdnTags", subscriptionId: string): AzureFirewallFqdnTagsListAll;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/azureWebCategories/{name}", subscriptionId: string, name: string): WebCategoriesGet;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/azureWebCategories", subscriptionId: string): WebCategoriesListBySubscription;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/bastionHosts/{bastionHostName}", subscriptionId: string, resourceGroupName: string, bastionHostName: string): BastionHostsDelete;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/bastionHosts", subscriptionId: string): BastionHostsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/bastionHosts", subscriptionId: string, resourceGroupName: string): BastionHostsListByResourceGroup;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/bastionHosts/{bastionHostName}/createShareableLinks", subscriptionId: string, resourceGroupName: string, bastionHostName: string): PutBastionShareableLink;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/bastionHosts/{bastionHostName}/deleteShareableLinks", subscriptionId: string, resourceGroupName: string, bastionHostName: string): DeleteBastionShareableLink;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/bastionHosts/{bastionHostName}/getShareableLinks", subscriptionId: string, resourceGroupName: string, bastionHostName: string): GetBastionShareableLink;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/bastionHosts/{bastionHostName}/getActiveSessions", subscriptionId: string, resourceGroupName: string, bastionHostName: string): GetActiveSessions;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/bastionHosts/{bastionHostName}/disconnectActiveSessions", subscriptionId: string, resourceGroupName: string, bastionHostName: string): DisconnectActiveSessions;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/locations/{location}/CheckDnsNameAvailability", subscriptionId: string, location: string): CheckDnsNameAvailability;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/expressRouteProviderPorts/{providerport}", subscriptionId: string, providerport: string): ExpressRouteProviderPort;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkManagers/{networkManagerName}/listActiveConnectivityConfigurations", subscriptionId: string, resourceGroupName: string, networkManagerName: string): ListActiveConnectivityConfigurations;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkManagers/{networkManagerName}/listActiveSecurityAdminRules", subscriptionId: string, resourceGroupName: string, networkManagerName: string): ListActiveSecurityAdminRules;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworks/{virtualNetworkName}/listNetworkManagerEffectiveConnectivityConfigurations", subscriptionId: string, resourceGroupName: string, virtualNetworkName: string): ListNetworkManagerEffectiveConnectivityConfigurations;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworks/{virtualNetworkName}/listNetworkManagerEffectiveSecurityAdminRules", subscriptionId: string, resourceGroupName: string, virtualNetworkName: string): ListNetworkManagerEffectiveSecurityAdminRules;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualWans/{virtualWANName}/supportedSecurityProviders", subscriptionId: string, resourceGroupName: string, virtualWANName: string): SupportedSecurityProviders;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualWans/{virtualWANName}/GenerateVpnProfile", subscriptionId: string, resourceGroupName: string, virtualWANName: string): Generatevirtualwanvpnserverconfigurationvpnprofile;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Compute/cloudServices/{cloudServiceName}/roleInstances/{roleInstanceName}/networkInterfaces", subscriptionId: string, resourceGroupName: string, cloudServiceName: string, roleInstanceName: string): NetworkInterfacesListCloudServiceRoleInstanceNetworkInterfaces;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Compute/cloudServices/{cloudServiceName}/networkInterfaces", subscriptionId: string, resourceGroupName: string, cloudServiceName: string): NetworkInterfacesListCloudServiceNetworkInterfaces;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Compute/cloudServices/{cloudServiceName}/roleInstances/{roleInstanceName}/networkInterfaces/{networkInterfaceName}", subscriptionId: string, resourceGroupName: string, cloudServiceName: string, roleInstanceName: string, networkInterfaceName: string): NetworkInterfacesGetCloudServiceNetworkInterface;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkInterfaces/{networkInterfaceName}", subscriptionId: string, resourceGroupName: string, networkInterfaceName: string): NetworkInterfacesDelete;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/networkInterfaces", subscriptionId: string): NetworkInterfacesListAll;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkInterfaces", subscriptionId: string, resourceGroupName: string): NetworkInterfacesList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkInterfaces/{networkInterfaceName}/effectiveRouteTable", subscriptionId: string, resourceGroupName: string, networkInterfaceName: string): NetworkInterfacesGetEffectiveRouteTable;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkInterfaces/{networkInterfaceName}/effectiveNetworkSecurityGroups", subscriptionId: string, resourceGroupName: string, networkInterfaceName: string): NetworkInterfacesListEffectiveNetworkSecurityGroups;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/microsoft.Compute/virtualMachineScaleSets/{virtualMachineScaleSetName}/virtualMachines/{virtualmachineIndex}/networkInterfaces", subscriptionId: string, resourceGroupName: string, virtualMachineScaleSetName: string, virtualmachineIndex: string): NetworkInterfacesListVirtualMachineScaleSetVMNetworkInterfaces;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/microsoft.Compute/virtualMachineScaleSets/{virtualMachineScaleSetName}/networkInterfaces", subscriptionId: string, resourceGroupName: string, virtualMachineScaleSetName: string): NetworkInterfacesListVirtualMachineScaleSetNetworkInterfaces;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/microsoft.Compute/virtualMachineScaleSets/{virtualMachineScaleSetName}/virtualMachines/{virtualmachineIndex}/networkInterfaces/{networkInterfaceName}", subscriptionId: string, resourceGroupName: string, virtualMachineScaleSetName: string, virtualmachineIndex: string, networkInterfaceName: string): NetworkInterfacesGetVirtualMachineScaleSetNetworkInterface;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/microsoft.Compute/virtualMachineScaleSets/{virtualMachineScaleSetName}/virtualMachines/{virtualmachineIndex}/networkInterfaces/{networkInterfaceName}/ipConfigurations", subscriptionId: string, resourceGroupName: string, virtualMachineScaleSetName: string, virtualmachineIndex: string, networkInterfaceName: string): NetworkInterfacesListVirtualMachineScaleSetIpConfigurations;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/microsoft.Compute/virtualMachineScaleSets/{virtualMachineScaleSetName}/virtualMachines/{virtualmachineIndex}/networkInterfaces/{networkInterfaceName}/ipConfigurations/{ipConfigurationName}", subscriptionId: string, resourceGroupName: string, virtualMachineScaleSetName: string, virtualmachineIndex: string, networkInterfaceName: string, ipConfigurationName: string): NetworkInterfacesGetVirtualMachineScaleSetIpConfiguration;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Compute/cloudServices/{cloudServiceName}/publicipaddresses", subscriptionId: string, resourceGroupName: string, cloudServiceName: string): PublicIPAddressesListCloudServicePublicIPAddresses;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Compute/cloudServices/{cloudServiceName}/roleInstances/{roleInstanceName}/networkInterfaces/{networkInterfaceName}/ipconfigurations/{ipConfigurationName}/publicipaddresses", subscriptionId: string, resourceGroupName: string, cloudServiceName: string, roleInstanceName: string, networkInterfaceName: string, ipConfigurationName: string): PublicIPAddressesListCloudServiceRoleInstancePublicIPAddresses;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Compute/cloudServices/{cloudServiceName}/roleInstances/{roleInstanceName}/networkInterfaces/{networkInterfaceName}/ipconfigurations/{ipConfigurationName}/publicipaddresses/{publicIpAddressName}", subscriptionId: string, resourceGroupName: string, cloudServiceName: string, roleInstanceName: string, networkInterfaceName: string, ipConfigurationName: string, publicIpAddressName: string): PublicIPAddressesGetCloudServicePublicIPAddress;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/publicIPAddresses/{publicIpAddressName}", subscriptionId: string, resourceGroupName: string, publicIpAddressName: string): PublicIPAddressesDelete;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/publicIPAddresses", subscriptionId: string): PublicIPAddressesListAll;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/publicIPAddresses", subscriptionId: string, resourceGroupName: string): PublicIPAddressesList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/publicIPAddresses/{publicIpAddressName}/ddosProtectionStatus", subscriptionId: string, resourceGroupName: string, publicIpAddressName: string): PublicIPAddressesDdosProtectionStatus;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Compute/virtualMachineScaleSets/{virtualMachineScaleSetName}/publicipaddresses", subscriptionId: string, resourceGroupName: string, virtualMachineScaleSetName: string): PublicIPAddressesListVirtualMachineScaleSetPublicIPAddresses;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Compute/virtualMachineScaleSets/{virtualMachineScaleSetName}/virtualMachines/{virtualmachineIndex}/networkInterfaces/{networkInterfaceName}/ipconfigurations/{ipConfigurationName}/publicipaddresses", subscriptionId: string, resourceGroupName: string, virtualMachineScaleSetName: string, virtualmachineIndex: string, networkInterfaceName: string, ipConfigurationName: string): PublicIPAddressesListVirtualMachineScaleSetVMPublicIPAddresses;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Compute/virtualMachineScaleSets/{virtualMachineScaleSetName}/virtualMachines/{virtualmachineIndex}/networkInterfaces/{networkInterfaceName}/ipconfigurations/{ipConfigurationName}/publicipaddresses/{publicIpAddressName}", subscriptionId: string, resourceGroupName: string, virtualMachineScaleSetName: string, virtualmachineIndex: string, networkInterfaceName: string, ipConfigurationName: string, publicIpAddressName: string): PublicIPAddressesGetVirtualMachineScaleSetPublicIPAddress;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/customIpPrefixes/{customIpPrefixName}", subscriptionId: string, resourceGroupName: string, customIpPrefixName: string): CustomIPPrefixesDelete;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/customIpPrefixes", subscriptionId: string): CustomIPPrefixesListAll;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/customIpPrefixes", subscriptionId: string, resourceGroupName: string): CustomIPPrefixesList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/ddosCustomPolicies/{ddosCustomPolicyName}", subscriptionId: string, resourceGroupName: string, ddosCustomPolicyName: string): DdosCustomPoliciesDelete;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/ddosProtectionPlans/{ddosProtectionPlanName}", subscriptionId: string, resourceGroupName: string, ddosProtectionPlanName: string): DdosProtectionPlansDelete;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/ddosProtectionPlans", subscriptionId: string): DdosProtectionPlansList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/ddosProtectionPlans", subscriptionId: string, resourceGroupName: string): DdosProtectionPlansListByResourceGroup;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/dscpConfigurations/{dscpConfigurationName}", subscriptionId: string, resourceGroupName: string, dscpConfigurationName: string): DscpConfigurationCreateOrUpdate;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/dscpConfigurations", subscriptionId: string, resourceGroupName: string): DscpConfigurationList;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/dscpConfigurations", subscriptionId: string): DscpConfigurationListAll;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/locations/{location}/virtualNetworkAvailableEndpointServices", subscriptionId: string, location: string): AvailableEndpointServicesList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteCircuits/{circuitName}/authorizations/{authorizationName}", subscriptionId: string, resourceGroupName: string, circuitName: string, authorizationName: string): ExpressRouteCircuitAuthorizationsDelete;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteCircuits/{circuitName}/authorizations", subscriptionId: string, resourceGroupName: string, circuitName: string): ExpressRouteCircuitAuthorizationsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteCircuits/{circuitName}/peerings/{peeringName}", subscriptionId: string, resourceGroupName: string, circuitName: string, peeringName: string): ExpressRouteCircuitPeeringsDelete;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteCircuits/{circuitName}/peerings", subscriptionId: string, resourceGroupName: string, circuitName: string): ExpressRouteCircuitPeeringsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteCircuits/{circuitName}/peerings/{peeringName}/connections/{connectionName}", subscriptionId: string, resourceGroupName: string, circuitName: string, peeringName: string, connectionName: string): ExpressRouteCircuitConnectionsDelete;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteCircuits/{circuitName}/peerings/{peeringName}/connections", subscriptionId: string, resourceGroupName: string, circuitName: string, peeringName: string): ExpressRouteCircuitConnectionsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteCircuits/{circuitName}/peerings/{peeringName}/peerConnections/{connectionName}", subscriptionId: string, resourceGroupName: string, circuitName: string, peeringName: string, connectionName: string): PeerExpressRouteCircuitConnectionsGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteCircuits/{circuitName}/peerings/{peeringName}/peerConnections", subscriptionId: string, resourceGroupName: string, circuitName: string, peeringName: string): PeerExpressRouteCircuitConnectionsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteCircuits/{circuitName}", subscriptionId: string, resourceGroupName: string, circuitName: string): ExpressRouteCircuitsDelete;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteCircuits/{circuitName}/peerings/{peeringName}/arpTables/{devicePath}", subscriptionId: string, resourceGroupName: string, circuitName: string, peeringName: string, devicePath: string): ExpressRouteCircuitsListArpTable;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteCircuits/{circuitName}/peerings/{peeringName}/routeTables/{devicePath}", subscriptionId: string, resourceGroupName: string, circuitName: string, peeringName: string, devicePath: string): ExpressRouteCircuitsListRoutesTable;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteCircuits/{circuitName}/peerings/{peeringName}/routeTablesSummary/{devicePath}", subscriptionId: string, resourceGroupName: string, circuitName: string, peeringName: string, devicePath: string): ExpressRouteCircuitsListRoutesTableSummary;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteCircuits/{circuitName}/stats", subscriptionId: string, resourceGroupName: string, circuitName: string): ExpressRouteCircuitsGetStats;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteCircuits/{circuitName}/peerings/{peeringName}/stats", subscriptionId: string, resourceGroupName: string, circuitName: string, peeringName: string): ExpressRouteCircuitsGetPeeringStats;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteCircuits", subscriptionId: string, resourceGroupName: string): ExpressRouteCircuitsList;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/expressRouteCircuits", subscriptionId: string): ExpressRouteCircuitsListAll;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/expressRouteServiceProviders", subscriptionId: string): ExpressRouteServiceProvidersList;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/expressRouteCrossConnections", subscriptionId: string): ExpressRouteCrossConnectionsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteCrossConnections", subscriptionId: string, resourceGroupName: string): ExpressRouteCrossConnectionsListByResourceGroup;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteCrossConnections/{crossConnectionName}", subscriptionId: string, resourceGroupName: string, crossConnectionName: string): ExpressRouteCrossConnectionsGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteCrossConnections/{crossConnectionName}/peerings/{peeringName}/arpTables/{devicePath}", subscriptionId: string, resourceGroupName: string, crossConnectionName: string, peeringName: string, devicePath: string): ExpressRouteCrossConnectionsListArpTable;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteCrossConnections/{crossConnectionName}/peerings/{peeringName}/routeTablesSummary/{devicePath}", subscriptionId: string, resourceGroupName: string, crossConnectionName: string, peeringName: string, devicePath: string): ExpressRouteCrossConnectionsListRoutesTableSummary;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteCrossConnections/{crossConnectionName}/peerings/{peeringName}/routeTables/{devicePath}", subscriptionId: string, resourceGroupName: string, crossConnectionName: string, peeringName: string, devicePath: string): ExpressRouteCrossConnectionsListRoutesTable;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteCrossConnections/{crossConnectionName}/peerings", subscriptionId: string, resourceGroupName: string, crossConnectionName: string): ExpressRouteCrossConnectionPeeringsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteCrossConnections/{crossConnectionName}/peerings/{peeringName}", subscriptionId: string, resourceGroupName: string, crossConnectionName: string, peeringName: string): ExpressRouteCrossConnectionPeeringsDelete;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/ExpressRoutePortsLocations", subscriptionId: string): ExpressRoutePortsLocationsList;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/ExpressRoutePortsLocations/{locationName}", subscriptionId: string, locationName: string): ExpressRoutePortsLocationsGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/ExpressRoutePorts/{expressRoutePortName}", subscriptionId: string, resourceGroupName: string, expressRoutePortName: string): ExpressRoutePortsDelete;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/ExpressRoutePorts", subscriptionId: string, resourceGroupName: string): ExpressRoutePortsListByResourceGroup;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/ExpressRoutePorts", subscriptionId: string): ExpressRoutePortsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRoutePorts/{expressRoutePortName}/generateLoa", subscriptionId: string, resourceGroupName: string, expressRoutePortName: string): ExpressRoutePortsGenerateLOA;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/ExpressRoutePorts/{expressRoutePortName}/links/{linkName}", subscriptionId: string, resourceGroupName: string, expressRoutePortName: string, linkName: string): ExpressRouteLinksGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/ExpressRoutePorts/{expressRoutePortName}/links", subscriptionId: string, resourceGroupName: string, expressRoutePortName: string): ExpressRouteLinksList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRoutePorts/{expressRoutePortName}/authorizations/{authorizationName}", subscriptionId: string, resourceGroupName: string, expressRoutePortName: string, authorizationName: string): ExpressRoutePortAuthorizationsDelete;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRoutePorts/{expressRoutePortName}/authorizations", subscriptionId: string, resourceGroupName: string, expressRoutePortName: string): ExpressRoutePortAuthorizationsList;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/expressRouteProviderPorts", subscriptionId: string): ExpressRouteProviderPortsLocationList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/firewallPolicies/{firewallPolicyName}", subscriptionId: string, resourceGroupName: string, firewallPolicyName: string): FirewallPoliciesDelete;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/firewallPolicies", subscriptionId: string, resourceGroupName: string): FirewallPoliciesList;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/firewallPolicies", subscriptionId: string): FirewallPoliciesListAll;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/firewallPolicies/{firewallPolicyName}/ruleCollectionGroups/{ruleCollectionGroupName}", subscriptionId: string, resourceGroupName: string, firewallPolicyName: string, ruleCollectionGroupName: string): FirewallPolicyRuleCollectionGroupsDelete;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/firewallPolicies/{firewallPolicyName}/ruleCollectionGroups", subscriptionId: string, resourceGroupName: string, firewallPolicyName: string): FirewallPolicyRuleCollectionGroupsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/firewallPolicies/{firewallPolicyName}/listIdpsSignatures", subscriptionId: string, resourceGroupName: string, firewallPolicyName: string): FirewallPolicyIdpsSignaturesList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/firewallPolicies/{firewallPolicyName}/signatureOverrides/default", subscriptionId: string, resourceGroupName: string, firewallPolicyName: string): FirewallPolicyIdpsSignaturesOverridesPatch;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/firewallPolicies/{firewallPolicyName}/signatureOverrides", subscriptionId: string, resourceGroupName: string, firewallPolicyName: string): FirewallPolicyIdpsSignaturesOverridesList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/firewallPolicies/{firewallPolicyName}/listIdpsFilterOptions", subscriptionId: string, resourceGroupName: string, firewallPolicyName: string): FirewallPolicyIdpsSignaturesFilterValuesList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/IpAllocations/{ipAllocationName}", subscriptionId: string, resourceGroupName: string, ipAllocationName: string): IpAllocationsDelete;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/IpAllocations", subscriptionId: string): IpAllocationsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/IpAllocations", subscriptionId: string, resourceGroupName: string): IpAllocationsListByResourceGroup;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/ipGroups/{ipGroupsName}", subscriptionId: string, resourceGroupName: string, ipGroupsName: string): IpGroupsGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/ipGroups", subscriptionId: string, resourceGroupName: string): IpGroupsListByResourceGroup;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/ipGroups", subscriptionId: string): IpGroupsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/loadBalancers/{loadBalancerName}", subscriptionId: string, resourceGroupName: string, loadBalancerName: string): LoadBalancersDelete;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/loadBalancers", subscriptionId: string): LoadBalancersListAll;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/loadBalancers", subscriptionId: string, resourceGroupName: string): LoadBalancersList;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/locations/{location}/setLoadBalancerFrontendPublicIpAddresses", subscriptionId: string, location: string): LoadBalancersSwapPublicIpAddresses;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{groupName}/providers/Microsoft.Network/loadBalancers/{loadBalancerName}/backendAddressPools/{backendPoolName}/queryInboundNatRulePortMapping", subscriptionId: string, groupName: string, loadBalancerName: string, backendPoolName: string): LoadBalancersListInboundNatRulePortMappings;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/loadBalancers/{loadBalancerName}/backendAddressPools", subscriptionId: string, resourceGroupName: string, loadBalancerName: string): LoadBalancerBackendAddressPoolsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/loadBalancers/{loadBalancerName}/backendAddressPools/{backendAddressPoolName}", subscriptionId: string, resourceGroupName: string, loadBalancerName: string, backendAddressPoolName: string): LoadBalancerBackendAddressPoolsGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/loadBalancers/{loadBalancerName}/frontendIPConfigurations", subscriptionId: string, resourceGroupName: string, loadBalancerName: string): LoadBalancerFrontendIPConfigurationsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/loadBalancers/{loadBalancerName}/frontendIPConfigurations/{frontendIPConfigurationName}", subscriptionId: string, resourceGroupName: string, loadBalancerName: string, frontendIPConfigurationName: string): LoadBalancerFrontendIPConfigurationsGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/loadBalancers/{loadBalancerName}/inboundNatRules", subscriptionId: string, resourceGroupName: string, loadBalancerName: string): InboundNatRulesList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/loadBalancers/{loadBalancerName}/inboundNatRules/{inboundNatRuleName}", subscriptionId: string, resourceGroupName: string, loadBalancerName: string, inboundNatRuleName: string): InboundNatRulesDelete;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/loadBalancers/{loadBalancerName}/loadBalancingRules", subscriptionId: string, resourceGroupName: string, loadBalancerName: string): LoadBalancerLoadBalancingRulesList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/loadBalancers/{loadBalancerName}/loadBalancingRules/{loadBalancingRuleName}", subscriptionId: string, resourceGroupName: string, loadBalancerName: string, loadBalancingRuleName: string): LoadBalancerLoadBalancingRulesGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/loadBalancers/{loadBalancerName}/outboundRules", subscriptionId: string, resourceGroupName: string, loadBalancerName: string): LoadBalancerOutboundRulesList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/loadBalancers/{loadBalancerName}/outboundRules/{outboundRuleName}", subscriptionId: string, resourceGroupName: string, loadBalancerName: string, outboundRuleName: string): LoadBalancerOutboundRulesGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/loadBalancers/{loadBalancerName}/networkInterfaces", subscriptionId: string, resourceGroupName: string, loadBalancerName: string): LoadBalancerNetworkInterfacesList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/loadBalancers/{loadBalancerName}/probes", subscriptionId: string, resourceGroupName: string, loadBalancerName: string): LoadBalancerProbesList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/loadBalancers/{loadBalancerName}/probes/{probeName}", subscriptionId: string, resourceGroupName: string, loadBalancerName: string, probeName: string): LoadBalancerProbesGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/natGateways/{natGatewayName}", subscriptionId: string, resourceGroupName: string, natGatewayName: string): NatGatewaysDelete;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/natGateways", subscriptionId: string): NatGatewaysListAll;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/natGateways", subscriptionId: string, resourceGroupName: string): NatGatewaysList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkInterfaces/{networkInterfaceName}/ipConfigurations", subscriptionId: string, resourceGroupName: string, networkInterfaceName: string): NetworkInterfaceIPConfigurationsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkInterfaces/{networkInterfaceName}/ipConfigurations/{ipConfigurationName}", subscriptionId: string, resourceGroupName: string, networkInterfaceName: string, ipConfigurationName: string): NetworkInterfaceIPConfigurationsGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkInterfaces/{networkInterfaceName}/loadBalancers", subscriptionId: string, resourceGroupName: string, networkInterfaceName: string): NetworkInterfaceLoadBalancersList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkInterfaces/{networkInterfaceName}/tapConfigurations/{tapConfigurationName}", subscriptionId: string, resourceGroupName: string, networkInterfaceName: string, tapConfigurationName: string): NetworkInterfaceTapConfigurationsDelete;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkInterfaces/{networkInterfaceName}/tapConfigurations", subscriptionId: string, resourceGroupName: string, networkInterfaceName: string): NetworkInterfaceTapConfigurationsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkManagers/{networkManagerName}", subscriptionId: string, resourceGroupName: string, networkManagerName: string): NetworkManagersGet;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/networkManagers", subscriptionId: string): NetworkManagersListBySubscription;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkManagers", subscriptionId: string, resourceGroupName: string): NetworkManagersList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkManagers/{networkManagerName}/commit", subscriptionId: string, resourceGroupName: string, networkManagerName: string): NetworkManagerCommitsPost;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkManagers/{networkManagerName}/listDeploymentStatus", subscriptionId: string, resourceGroupName: string, networkManagerName: string): NetworkManagerDeploymentStatusList;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/networkManagerConnections/{networkManagerConnectionName}", subscriptionId: string, networkManagerConnectionName: string): SubscriptionNetworkManagerConnectionsCreateOrUpdate;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/networkManagerConnections", subscriptionId: string): SubscriptionNetworkManagerConnectionsList;
    (path: "/providers/Microsoft.Management/managementGroups/{managementGroupId}/providers/Microsoft.Network/networkManagerConnections/{networkManagerConnectionName}", managementGroupId: string, networkManagerConnectionName: string): ManagementGroupNetworkManagerConnectionsCreateOrUpdate;
    (path: "/providers/Microsoft.Management/managementGroups/{managementGroupId}/providers/Microsoft.Network/networkManagerConnections", managementGroupId: string): ManagementGroupNetworkManagerConnectionsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkManagers/{networkManagerName}/connectivityConfigurations/{configurationName}", subscriptionId: string, resourceGroupName: string, networkManagerName: string, configurationName: string): ConnectivityConfigurationsGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkManagers/{networkManagerName}/connectivityConfigurations", subscriptionId: string, resourceGroupName: string, networkManagerName: string): ConnectivityConfigurationsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkManagers/{networkManagerName}/networkGroups/{networkGroupName}", subscriptionId: string, resourceGroupName: string, networkManagerName: string, networkGroupName: string): NetworkGroupsGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkManagers/{networkManagerName}/networkGroups", subscriptionId: string, resourceGroupName: string, networkManagerName: string): NetworkGroupsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkManagers/{networkManagerName}/networkGroups/{networkGroupName}/staticMembers/{staticMemberName}", subscriptionId: string, resourceGroupName: string, networkManagerName: string, networkGroupName: string, staticMemberName: string): StaticMembersGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkManagers/{networkManagerName}/networkGroups/{networkGroupName}/staticMembers", subscriptionId: string, resourceGroupName: string, networkManagerName: string, networkGroupName: string): StaticMembersList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkManagers/{networkManagerName}/scopeConnections/{scopeConnectionName}", subscriptionId: string, resourceGroupName: string, networkManagerName: string, scopeConnectionName: string): ScopeConnectionsCreateOrUpdate;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkManagers/{networkManagerName}/scopeConnections", subscriptionId: string, resourceGroupName: string, networkManagerName: string): ScopeConnectionsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkManagers/{networkManagerName}/securityAdminConfigurations", subscriptionId: string, resourceGroupName: string, networkManagerName: string): SecurityAdminConfigurationsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkManagers/{networkManagerName}/securityAdminConfigurations/{configurationName}", subscriptionId: string, resourceGroupName: string, networkManagerName: string, configurationName: string): SecurityAdminConfigurationsGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkManagers/{networkManagerName}/securityAdminConfigurations/{configurationName}/ruleCollections", subscriptionId: string, resourceGroupName: string, networkManagerName: string, configurationName: string): AdminRuleCollectionsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkManagers/{networkManagerName}/securityAdminConfigurations/{configurationName}/ruleCollections/{ruleCollectionName}", subscriptionId: string, resourceGroupName: string, networkManagerName: string, configurationName: string, ruleCollectionName: string): AdminRuleCollectionsGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkManagers/{networkManagerName}/securityAdminConfigurations/{configurationName}/ruleCollections/{ruleCollectionName}/rules", subscriptionId: string, resourceGroupName: string, networkManagerName: string, configurationName: string, ruleCollectionName: string): AdminRulesList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkManagers/{networkManagerName}/securityAdminConfigurations/{configurationName}/ruleCollections/{ruleCollectionName}/rules/{ruleName}", subscriptionId: string, resourceGroupName: string, networkManagerName: string, configurationName: string, ruleCollectionName: string, ruleName: string): AdminRulesGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkProfiles/{networkProfileName}", subscriptionId: string, resourceGroupName: string, networkProfileName: string): NetworkProfilesDelete;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/networkProfiles", subscriptionId: string): NetworkProfilesListAll;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkProfiles", subscriptionId: string, resourceGroupName: string): NetworkProfilesList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkSecurityGroups/{networkSecurityGroupName}", subscriptionId: string, resourceGroupName: string, networkSecurityGroupName: string): NetworkSecurityGroupsDelete;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/networkSecurityGroups", subscriptionId: string): NetworkSecurityGroupsListAll;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkSecurityGroups", subscriptionId: string, resourceGroupName: string): NetworkSecurityGroupsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkSecurityGroups/{networkSecurityGroupName}/securityRules/{securityRuleName}", subscriptionId: string, resourceGroupName: string, networkSecurityGroupName: string, securityRuleName: string): SecurityRulesDelete;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkSecurityGroups/{networkSecurityGroupName}/securityRules", subscriptionId: string, resourceGroupName: string, networkSecurityGroupName: string): SecurityRulesList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkSecurityGroups/{networkSecurityGroupName}/defaultSecurityRules", subscriptionId: string, resourceGroupName: string, networkSecurityGroupName: string): DefaultSecurityRulesList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkSecurityGroups/{networkSecurityGroupName}/defaultSecurityRules/{defaultSecurityRuleName}", subscriptionId: string, resourceGroupName: string, networkSecurityGroupName: string, defaultSecurityRuleName: string): DefaultSecurityRulesGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkVirtualAppliances/{networkVirtualApplianceName}", subscriptionId: string, resourceGroupName: string, networkVirtualApplianceName: string): NetworkVirtualAppliancesDelete;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkVirtualAppliances", subscriptionId: string, resourceGroupName: string): NetworkVirtualAppliancesListByResourceGroup;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/networkVirtualAppliances", subscriptionId: string): NetworkVirtualAppliancesList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkVirtualAppliances/{networkVirtualApplianceName}/virtualApplianceSites/{siteName}", subscriptionId: string, resourceGroupName: string, networkVirtualApplianceName: string, siteName: string): VirtualApplianceSitesDelete;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkVirtualAppliances/{networkVirtualApplianceName}/virtualApplianceSites", subscriptionId: string, resourceGroupName: string, networkVirtualApplianceName: string): VirtualApplianceSitesList;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/networkVirtualApplianceSkus", subscriptionId: string): VirtualApplianceSkusList;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/networkVirtualApplianceSkus/{skuName}", subscriptionId: string, skuName: string): VirtualApplianceSkusGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkVirtualAppliances/{networkVirtualApplianceName}/inboundSecurityRules/{ruleCollectionName}", subscriptionId: string, resourceGroupName: string, networkVirtualApplianceName: string, ruleCollectionName: string): InboundSecurityRuleCreateOrUpdate;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkWatchers/{networkWatcherName}", subscriptionId: string, resourceGroupName: string, networkWatcherName: string): NetworkWatchersCreateOrUpdate;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkWatchers", subscriptionId: string, resourceGroupName: string): NetworkWatchersList;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/networkWatchers", subscriptionId: string): NetworkWatchersListAll;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkWatchers/{networkWatcherName}/topology", subscriptionId: string, resourceGroupName: string, networkWatcherName: string): NetworkWatchersGetTopology;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkWatchers/{networkWatcherName}/ipFlowVerify", subscriptionId: string, resourceGroupName: string, networkWatcherName: string): NetworkWatchersVerifyIPFlow;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkWatchers/{networkWatcherName}/nextHop", subscriptionId: string, resourceGroupName: string, networkWatcherName: string): NetworkWatchersGetNextHop;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkWatchers/{networkWatcherName}/securityGroupView", subscriptionId: string, resourceGroupName: string, networkWatcherName: string): NetworkWatchersGetVMSecurityRules;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkWatchers/{networkWatcherName}/troubleshoot", subscriptionId: string, resourceGroupName: string, networkWatcherName: string): NetworkWatchersGetTroubleshooting;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkWatchers/{networkWatcherName}/queryTroubleshootResult", subscriptionId: string, resourceGroupName: string, networkWatcherName: string): NetworkWatchersGetTroubleshootingResult;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkWatchers/{networkWatcherName}/configureFlowLog", subscriptionId: string, resourceGroupName: string, networkWatcherName: string): NetworkWatchersSetFlowLogConfiguration;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkWatchers/{networkWatcherName}/queryFlowLogStatus", subscriptionId: string, resourceGroupName: string, networkWatcherName: string): NetworkWatchersGetFlowLogStatus;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkWatchers/{networkWatcherName}/connectivityCheck", subscriptionId: string, resourceGroupName: string, networkWatcherName: string): NetworkWatchersCheckConnectivity;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkWatchers/{networkWatcherName}/azureReachabilityReport", subscriptionId: string, resourceGroupName: string, networkWatcherName: string): NetworkWatchersGetAzureReachabilityReport;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkWatchers/{networkWatcherName}/availableProvidersList", subscriptionId: string, resourceGroupName: string, networkWatcherName: string): NetworkWatchersListAvailableProviders;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkWatchers/{networkWatcherName}/networkConfigurationDiagnostic", subscriptionId: string, resourceGroupName: string, networkWatcherName: string): NetworkWatchersGetNetworkConfigurationDiagnostic;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkWatchers/{networkWatcherName}/packetCaptures/{packetCaptureName}", subscriptionId: string, resourceGroupName: string, networkWatcherName: string, packetCaptureName: string): PacketCapturesCreate;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkWatchers/{networkWatcherName}/packetCaptures/{packetCaptureName}/stop", subscriptionId: string, resourceGroupName: string, networkWatcherName: string, packetCaptureName: string): PacketCapturesStop;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkWatchers/{networkWatcherName}/packetCaptures/{packetCaptureName}/queryStatus", subscriptionId: string, resourceGroupName: string, networkWatcherName: string, packetCaptureName: string): PacketCapturesGetStatus;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkWatchers/{networkWatcherName}/packetCaptures", subscriptionId: string, resourceGroupName: string, networkWatcherName: string): PacketCapturesList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkWatchers/{networkWatcherName}/connectionMonitors/{connectionMonitorName}", subscriptionId: string, resourceGroupName: string, networkWatcherName: string, connectionMonitorName: string): ConnectionMonitorsCreateOrUpdate;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkWatchers/{networkWatcherName}/connectionMonitors/{connectionMonitorName}/stop", subscriptionId: string, resourceGroupName: string, networkWatcherName: string, connectionMonitorName: string): ConnectionMonitorsStop;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkWatchers/{networkWatcherName}/connectionMonitors/{connectionMonitorName}/start", subscriptionId: string, resourceGroupName: string, networkWatcherName: string, connectionMonitorName: string): ConnectionMonitorsStart;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkWatchers/{networkWatcherName}/connectionMonitors/{connectionMonitorName}/query", subscriptionId: string, resourceGroupName: string, networkWatcherName: string, connectionMonitorName: string): ConnectionMonitorsQuery;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkWatchers/{networkWatcherName}/connectionMonitors", subscriptionId: string, resourceGroupName: string, networkWatcherName: string): ConnectionMonitorsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkWatchers/{networkWatcherName}/flowLogs/{flowLogName}", subscriptionId: string, resourceGroupName: string, networkWatcherName: string, flowLogName: string): FlowLogsCreateOrUpdate;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkWatchers/{networkWatcherName}/flowLogs", subscriptionId: string, resourceGroupName: string, networkWatcherName: string): FlowLogsList;
    (path: "/providers/Microsoft.Network/operations"): OperationsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/privateEndpoints/{privateEndpointName}", subscriptionId: string, resourceGroupName: string, privateEndpointName: string): PrivateEndpointsDelete;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/privateEndpoints", subscriptionId: string, resourceGroupName: string): PrivateEndpointsList;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/privateEndpoints", subscriptionId: string): PrivateEndpointsListBySubscription;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/locations/{location}/availablePrivateEndpointTypes", subscriptionId: string, location: string): AvailablePrivateEndpointTypesList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/locations/{location}/availablePrivateEndpointTypes", subscriptionId: string, resourceGroupName: string, location: string): AvailablePrivateEndpointTypesListByResourceGroup;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/privateEndpoints/{privateEndpointName}/privateDnsZoneGroups/{privateDnsZoneGroupName}", subscriptionId: string, resourceGroupName: string, privateEndpointName: string, privateDnsZoneGroupName: string): PrivateDnsZoneGroupsDelete;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/privateEndpoints/{privateEndpointName}/privateDnsZoneGroups", subscriptionId: string, resourceGroupName: string, privateEndpointName: string): PrivateDnsZoneGroupsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/privateLinkServices/{serviceName}", subscriptionId: string, resourceGroupName: string, serviceName: string): PrivateLinkServicesDelete;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/privateLinkServices", subscriptionId: string, resourceGroupName: string): PrivateLinkServicesList;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/privateLinkServices", subscriptionId: string): PrivateLinkServicesListBySubscription;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/privateLinkServices/{serviceName}/privateEndpointConnections/{peConnectionName}", subscriptionId: string, resourceGroupName: string, serviceName: string, peConnectionName: string): PrivateLinkServicesGetPrivateEndpointConnection;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/privateLinkServices/{serviceName}/privateEndpointConnections", subscriptionId: string, resourceGroupName: string, serviceName: string): PrivateLinkServicesListPrivateEndpointConnections;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/locations/{location}/checkPrivateLinkServiceVisibility", subscriptionId: string, location: string): PrivateLinkServicesCheckPrivateLinkServiceVisibility;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/locations/{location}/checkPrivateLinkServiceVisibility", subscriptionId: string, resourceGroupName: string, location: string): PrivateLinkServicesCheckPrivateLinkServiceVisibilityByResourceGroup;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/locations/{location}/autoApprovedPrivateLinkServices", subscriptionId: string, location: string): PrivateLinkServicesListAutoApprovedPrivateLinkServices;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/locations/{location}/autoApprovedPrivateLinkServices", subscriptionId: string, resourceGroupName: string, location: string): PrivateLinkServicesListAutoApprovedPrivateLinkServicesByResourceGroup;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/publicIPPrefixes/{publicIpPrefixName}", subscriptionId: string, resourceGroupName: string, publicIpPrefixName: string): PublicIPPrefixesDelete;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/publicIPPrefixes", subscriptionId: string): PublicIPPrefixesListAll;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/publicIPPrefixes", subscriptionId: string, resourceGroupName: string): PublicIPPrefixesList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/routeFilters/{routeFilterName}", subscriptionId: string, resourceGroupName: string, routeFilterName: string): RouteFiltersDelete;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/routeFilters", subscriptionId: string, resourceGroupName: string): RouteFiltersListByResourceGroup;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/routeFilters", subscriptionId: string): RouteFiltersList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/routeFilters/{routeFilterName}/routeFilterRules/{ruleName}", subscriptionId: string, resourceGroupName: string, routeFilterName: string, ruleName: string): RouteFilterRulesDelete;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/routeFilters/{routeFilterName}/routeFilterRules", subscriptionId: string, resourceGroupName: string, routeFilterName: string): RouteFilterRulesListByRouteFilter;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/routeTables/{routeTableName}", subscriptionId: string, resourceGroupName: string, routeTableName: string): RouteTablesDelete;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/routeTables", subscriptionId: string, resourceGroupName: string): RouteTablesList;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/routeTables", subscriptionId: string): RouteTablesListAll;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/routeTables/{routeTableName}/routes/{routeName}", subscriptionId: string, resourceGroupName: string, routeTableName: string, routeName: string): RoutesDelete;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/routeTables/{routeTableName}/routes", subscriptionId: string, resourceGroupName: string, routeTableName: string): RoutesList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/securityPartnerProviders/{securityPartnerProviderName}", subscriptionId: string, resourceGroupName: string, securityPartnerProviderName: string): SecurityPartnerProvidersDelete;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/securityPartnerProviders", subscriptionId: string, resourceGroupName: string): SecurityPartnerProvidersListByResourceGroup;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/securityPartnerProviders", subscriptionId: string): SecurityPartnerProvidersList;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/bgpServiceCommunities", subscriptionId: string): BgpServiceCommunitiesList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/serviceEndpointPolicies/{serviceEndpointPolicyName}", subscriptionId: string, resourceGroupName: string, serviceEndpointPolicyName: string): ServiceEndpointPoliciesDelete;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/ServiceEndpointPolicies", subscriptionId: string): ServiceEndpointPoliciesList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/serviceEndpointPolicies", subscriptionId: string, resourceGroupName: string): ServiceEndpointPoliciesListByResourceGroup;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/serviceEndpointPolicies/{serviceEndpointPolicyName}/serviceEndpointPolicyDefinitions/{serviceEndpointPolicyDefinitionName}", subscriptionId: string, resourceGroupName: string, serviceEndpointPolicyName: string, serviceEndpointPolicyDefinitionName: string): ServiceEndpointPolicyDefinitionsDelete;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/serviceEndpointPolicies/{serviceEndpointPolicyName}/serviceEndpointPolicyDefinitions", subscriptionId: string, resourceGroupName: string, serviceEndpointPolicyName: string): ServiceEndpointPolicyDefinitionsListByResourceGroup;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/locations/{location}/serviceTags", subscriptionId: string, location: string): ServiceTagsList;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/locations/{location}/serviceTagDetails", subscriptionId: string, location: string): ServiceTagInformationList;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/locations/{location}/usages", subscriptionId: string, location: string): UsagesList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworks/{virtualNetworkName}", subscriptionId: string, resourceGroupName: string, virtualNetworkName: string): VirtualNetworksDelete;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/virtualNetworks", subscriptionId: string): VirtualNetworksListAll;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworks", subscriptionId: string, resourceGroupName: string): VirtualNetworksList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworks/{virtualNetworkName}/CheckIPAddressAvailability", subscriptionId: string, resourceGroupName: string, virtualNetworkName: string): VirtualNetworksCheckIPAddressAvailability;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworks/{virtualNetworkName}/usages", subscriptionId: string, resourceGroupName: string, virtualNetworkName: string): VirtualNetworksListUsage;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworks/{virtualNetworkName}/ddosProtectionStatus", subscriptionId: string, resourceGroupName: string, virtualNetworkName: string): VirtualNetworksListDdosProtectionStatus;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworks/{virtualNetworkName}/subnets/{subnetName}", subscriptionId: string, resourceGroupName: string, virtualNetworkName: string, subnetName: string): SubnetsDelete;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworks/{virtualNetworkName}/subnets/{subnetName}/PrepareNetworkPolicies", subscriptionId: string, resourceGroupName: string, virtualNetworkName: string, subnetName: string): SubnetsPrepareNetworkPolicies;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworks/{virtualNetworkName}/subnets/{subnetName}/UnprepareNetworkPolicies", subscriptionId: string, resourceGroupName: string, virtualNetworkName: string, subnetName: string): SubnetsUnprepareNetworkPolicies;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworks/{virtualNetworkName}/subnets", subscriptionId: string, resourceGroupName: string, virtualNetworkName: string): SubnetsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworks/{virtualNetworkName}/subnets/{subnetName}/ResourceNavigationLinks", subscriptionId: string, resourceGroupName: string, virtualNetworkName: string, subnetName: string): ResourceNavigationLinksList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworks/{virtualNetworkName}/subnets/{subnetName}/ServiceAssociationLinks", subscriptionId: string, resourceGroupName: string, virtualNetworkName: string, subnetName: string): ServiceAssociationLinksList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworks/{virtualNetworkName}/virtualNetworkPeerings/{virtualNetworkPeeringName}", subscriptionId: string, resourceGroupName: string, virtualNetworkName: string, virtualNetworkPeeringName: string): VirtualNetworkPeeringsDelete;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworks/{virtualNetworkName}/virtualNetworkPeerings", subscriptionId: string, resourceGroupName: string, virtualNetworkName: string): VirtualNetworkPeeringsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworkGateways/{virtualNetworkGatewayName}", subscriptionId: string, resourceGroupName: string, virtualNetworkGatewayName: string): VirtualNetworkGatewaysCreateOrUpdate;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworkGateways", subscriptionId: string, resourceGroupName: string): VirtualNetworkGatewaysList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworkGateways/{virtualNetworkGatewayName}/connections", subscriptionId: string, resourceGroupName: string, virtualNetworkGatewayName: string): VirtualNetworkGatewaysListConnections;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworkGateways/{virtualNetworkGatewayName}/reset", subscriptionId: string, resourceGroupName: string, virtualNetworkGatewayName: string): VirtualNetworkGatewaysReset;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworkGateways/{virtualNetworkGatewayName}/resetvpnclientsharedkey", subscriptionId: string, resourceGroupName: string, virtualNetworkGatewayName: string): VirtualNetworkGatewaysResetVpnClientSharedKey;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworkGateways/{virtualNetworkGatewayName}/generatevpnclientpackage", subscriptionId: string, resourceGroupName: string, virtualNetworkGatewayName: string): VirtualNetworkGatewaysGeneratevpnclientpackage;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworkGateways/{virtualNetworkGatewayName}/generatevpnprofile", subscriptionId: string, resourceGroupName: string, virtualNetworkGatewayName: string): VirtualNetworkGatewaysGenerateVpnProfile;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworkGateways/{virtualNetworkGatewayName}/getvpnprofilepackageurl", subscriptionId: string, resourceGroupName: string, virtualNetworkGatewayName: string): VirtualNetworkGatewaysGetVpnProfilePackageUrl;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworkGateways/{virtualNetworkGatewayName}/getBgpPeerStatus", subscriptionId: string, resourceGroupName: string, virtualNetworkGatewayName: string): VirtualNetworkGatewaysGetBgpPeerStatus;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworkGateways/{virtualNetworkGatewayName}/supportedvpndevices", subscriptionId: string, resourceGroupName: string, virtualNetworkGatewayName: string): VirtualNetworkGatewaysSupportedVpnDevices;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworkGateways/{virtualNetworkGatewayName}/getLearnedRoutes", subscriptionId: string, resourceGroupName: string, virtualNetworkGatewayName: string): VirtualNetworkGatewaysGetLearnedRoutes;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworkGateways/{virtualNetworkGatewayName}/getAdvertisedRoutes", subscriptionId: string, resourceGroupName: string, virtualNetworkGatewayName: string): VirtualNetworkGatewaysGetAdvertisedRoutes;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworkGateways/{virtualNetworkGatewayName}/setvpnclientipsecparameters", subscriptionId: string, resourceGroupName: string, virtualNetworkGatewayName: string): VirtualNetworkGatewaysSetVpnclientIpsecParameters;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworkGateways/{virtualNetworkGatewayName}/getvpnclientipsecparameters", subscriptionId: string, resourceGroupName: string, virtualNetworkGatewayName: string): VirtualNetworkGatewaysGetVpnclientIpsecParameters;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/connections/{virtualNetworkGatewayConnectionName}/vpndeviceconfigurationscript", subscriptionId: string, resourceGroupName: string, virtualNetworkGatewayConnectionName: string): VirtualNetworkGatewaysVpnDeviceConfigurationScript;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworkGateways/{virtualNetworkGatewayName}/startPacketCapture", subscriptionId: string, resourceGroupName: string, virtualNetworkGatewayName: string): VirtualNetworkGatewaysStartPacketCapture;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworkGateways/{virtualNetworkGatewayName}/stopPacketCapture", subscriptionId: string, resourceGroupName: string, virtualNetworkGatewayName: string): VirtualNetworkGatewaysStopPacketCapture;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworkGateways/{virtualNetworkGatewayName}/getVpnClientConnectionHealth", subscriptionId: string, resourceGroupName: string, virtualNetworkGatewayName: string): VirtualNetworkGatewaysGetVpnclientConnectionHealth;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworkGateways/{virtualNetworkGatewayName}/disconnectVirtualNetworkGatewayVpnConnections", subscriptionId: string, resourceGroupName: string, virtualNetworkGatewayName: string): VirtualNetworkGatewaysDisconnectVirtualNetworkGatewayVpnConnections;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/connections/{virtualNetworkGatewayConnectionName}", subscriptionId: string, resourceGroupName: string, virtualNetworkGatewayConnectionName: string): VirtualNetworkGatewayConnectionsCreateOrUpdate;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/connections/{virtualNetworkGatewayConnectionName}/sharedkey", subscriptionId: string, resourceGroupName: string, virtualNetworkGatewayConnectionName: string): VirtualNetworkGatewayConnectionsSetSharedKey;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/connections", subscriptionId: string, resourceGroupName: string): VirtualNetworkGatewayConnectionsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/connections/{virtualNetworkGatewayConnectionName}/sharedkey/reset", subscriptionId: string, resourceGroupName: string, virtualNetworkGatewayConnectionName: string): VirtualNetworkGatewayConnectionsResetSharedKey;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/connections/{virtualNetworkGatewayConnectionName}/startPacketCapture", subscriptionId: string, resourceGroupName: string, virtualNetworkGatewayConnectionName: string): VirtualNetworkGatewayConnectionsStartPacketCapture;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/connections/{virtualNetworkGatewayConnectionName}/stopPacketCapture", subscriptionId: string, resourceGroupName: string, virtualNetworkGatewayConnectionName: string): VirtualNetworkGatewayConnectionsStopPacketCapture;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/connections/{virtualNetworkGatewayConnectionName}/getikesas", subscriptionId: string, resourceGroupName: string, virtualNetworkGatewayConnectionName: string): VirtualNetworkGatewayConnectionsGetIkeSas;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/connections/{virtualNetworkGatewayConnectionName}/resetconnection", subscriptionId: string, resourceGroupName: string, virtualNetworkGatewayConnectionName: string): VirtualNetworkGatewayConnectionsResetConnection;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/localNetworkGateways/{localNetworkGatewayName}", subscriptionId: string, resourceGroupName: string, localNetworkGatewayName: string): LocalNetworkGatewaysCreateOrUpdate;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/localNetworkGateways", subscriptionId: string, resourceGroupName: string): LocalNetworkGatewaysList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworkGateways/{virtualNetworkGatewayName}/natRules/{natRuleName}", subscriptionId: string, resourceGroupName: string, virtualNetworkGatewayName: string, natRuleName: string): VirtualNetworkGatewayNatRulesGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworkGateways/{virtualNetworkGatewayName}/natRules", subscriptionId: string, resourceGroupName: string, virtualNetworkGatewayName: string): VirtualNetworkGatewayNatRulesListByVirtualNetworkGateway;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworkTaps/{tapName}", subscriptionId: string, resourceGroupName: string, tapName: string): VirtualNetworkTapsDelete;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/virtualNetworkTaps", subscriptionId: string): VirtualNetworkTapsListAll;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworkTaps", subscriptionId: string, resourceGroupName: string): VirtualNetworkTapsListByResourceGroup;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualRouters/{virtualRouterName}", subscriptionId: string, resourceGroupName: string, virtualRouterName: string): VirtualRoutersDelete;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualRouters", subscriptionId: string, resourceGroupName: string): VirtualRoutersListByResourceGroup;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/virtualRouters", subscriptionId: string): VirtualRoutersList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualRouters/{virtualRouterName}/peerings/{peeringName}", subscriptionId: string, resourceGroupName: string, virtualRouterName: string, peeringName: string): VirtualRouterPeeringsDelete;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualRouters/{virtualRouterName}/peerings", subscriptionId: string, resourceGroupName: string, virtualRouterName: string): VirtualRouterPeeringsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualWans/{VirtualWANName}", subscriptionId: string, resourceGroupName: string, virtualWANName: string): VirtualWansGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualWans", subscriptionId: string, resourceGroupName: string): VirtualWansListByResourceGroup;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/virtualWans", subscriptionId: string): VirtualWansList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/vpnSites/{vpnSiteName}", subscriptionId: string, resourceGroupName: string, vpnSiteName: string): VpnSitesGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/vpnSites", subscriptionId: string, resourceGroupName: string): VpnSitesListByResourceGroup;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/vpnSites", subscriptionId: string): VpnSitesList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/vpnSites/{vpnSiteName}/vpnSiteLinks/{vpnSiteLinkName}", subscriptionId: string, resourceGroupName: string, vpnSiteName: string, vpnSiteLinkName: string): VpnSiteLinksGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/vpnSites/{vpnSiteName}/vpnSiteLinks", subscriptionId: string, resourceGroupName: string, vpnSiteName: string): VpnSiteLinksListByVpnSite;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualWans/{virtualWANName}/vpnConfiguration", subscriptionId: string, resourceGroupName: string, virtualWANName: string): VpnSitesConfigurationDownload;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/vpnServerConfigurations/{vpnServerConfigurationName}", subscriptionId: string, resourceGroupName: string, vpnServerConfigurationName: string): VpnServerConfigurationsGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/vpnServerConfigurations", subscriptionId: string, resourceGroupName: string): VpnServerConfigurationsListByResourceGroup;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/vpnServerConfigurations", subscriptionId: string): VpnServerConfigurationsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/vpnServerConfigurations/{vpnServerConfigurationName}/configurationPolicyGroups/{configurationPolicyGroupName}", subscriptionId: string, resourceGroupName: string, vpnServerConfigurationName: string, configurationPolicyGroupName: string): ConfigurationPolicyGroupsCreateOrUpdate;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/vpnServerConfigurations/{vpnServerConfigurationName}/configurationPolicyGroups", subscriptionId: string, resourceGroupName: string, vpnServerConfigurationName: string): ConfigurationPolicyGroupsListByVpnServerConfiguration;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualHubs/{virtualHubName}", subscriptionId: string, resourceGroupName: string, virtualHubName: string): VirtualHubsGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualHubs", subscriptionId: string, resourceGroupName: string): VirtualHubsListByResourceGroup;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/virtualHubs", subscriptionId: string): VirtualHubsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualHubs/{virtualHubName}/effectiveRoutes", subscriptionId: string, resourceGroupName: string, virtualHubName: string): VirtualHubsGetEffectiveVirtualHubRoutes;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualHubs/{virtualHubName}/inboundRoutes", subscriptionId: string, resourceGroupName: string, virtualHubName: string): VirtualHubsGetInboundRoutes;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualHubs/{virtualHubName}/outboundRoutes", subscriptionId: string, resourceGroupName: string, virtualHubName: string): VirtualHubsGetOutboundRoutes;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualHubs/{virtualHubName}/routeMaps/{routeMapName}", subscriptionId: string, resourceGroupName: string, virtualHubName: string, routeMapName: string): RouteMapsGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualHubs/{virtualHubName}/routeMaps", subscriptionId: string, resourceGroupName: string, virtualHubName: string): RouteMapsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualHubs/{virtualHubName}/hubVirtualNetworkConnections/{connectionName}", subscriptionId: string, resourceGroupName: string, virtualHubName: string, connectionName: string): HubVirtualNetworkConnectionsCreateOrUpdate;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualHubs/{virtualHubName}/hubVirtualNetworkConnections", subscriptionId: string, resourceGroupName: string, virtualHubName: string): HubVirtualNetworkConnectionsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/vpnGateways/{gatewayName}", subscriptionId: string, resourceGroupName: string, gatewayName: string): VpnGatewaysGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/vpnGateways/{gatewayName}/reset", subscriptionId: string, resourceGroupName: string, gatewayName: string): VpnGatewaysReset;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/vpnGateways/{gatewayName}/startpacketcapture", subscriptionId: string, resourceGroupName: string, gatewayName: string): VpnGatewaysStartPacketCapture;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/vpnGateways/{gatewayName}/stoppacketcapture", subscriptionId: string, resourceGroupName: string, gatewayName: string): VpnGatewaysStopPacketCapture;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/vpnGateways", subscriptionId: string, resourceGroupName: string): VpnGatewaysListByResourceGroup;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/vpnGateways", subscriptionId: string): VpnGatewaysList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/vpnGateways/{gatewayName}/vpnConnections/{connectionName}/vpnLinkConnections/{linkConnectionName}/resetconnection", subscriptionId: string, resourceGroupName: string, gatewayName: string, connectionName: string, linkConnectionName: string): VpnLinkConnectionsResetConnection;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/vpnGateways/{gatewayName}/vpnConnections/{connectionName}/vpnLinkConnections/{linkConnectionName}/getikesas", subscriptionId: string, resourceGroupName: string, gatewayName: string, connectionName: string, linkConnectionName: string): VpnLinkConnectionsGetIkeSas;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/vpnGateways/{gatewayName}/vpnConnections/{connectionName}/vpnLinkConnections", subscriptionId: string, resourceGroupName: string, gatewayName: string, connectionName: string): VpnLinkConnectionsListByVpnConnection;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/vpnGateways/{gatewayName}/vpnConnections/{connectionName}", subscriptionId: string, resourceGroupName: string, gatewayName: string, connectionName: string): VpnConnectionsGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/vpnGateways/{gatewayName}/vpnConnections/{vpnConnectionName}/startpacketcapture", subscriptionId: string, resourceGroupName: string, gatewayName: string, vpnConnectionName: string): VpnConnectionsStartPacketCapture;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/vpnGateways/{gatewayName}/vpnConnections/{vpnConnectionName}/stoppacketcapture", subscriptionId: string, resourceGroupName: string, gatewayName: string, vpnConnectionName: string): VpnConnectionsStopPacketCapture;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/vpnGateways/{gatewayName}/vpnConnections", subscriptionId: string, resourceGroupName: string, gatewayName: string): VpnConnectionsListByVpnGateway;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/vpnGateways/{gatewayName}/vpnConnections/{connectionName}/vpnLinkConnections/{linkConnectionName}", subscriptionId: string, resourceGroupName: string, gatewayName: string, connectionName: string, linkConnectionName: string): VpnSiteLinkConnectionsGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/vpnGateways/{gatewayName}/natRules/{natRuleName}", subscriptionId: string, resourceGroupName: string, gatewayName: string, natRuleName: string): NatRulesGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/vpnGateways/{gatewayName}/natRules", subscriptionId: string, resourceGroupName: string, gatewayName: string): NatRulesListByVpnGateway;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/p2svpnGateways/{gatewayName}", subscriptionId: string, resourceGroupName: string, gatewayName: string): P2SVpnGatewaysGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/p2svpnGateways", subscriptionId: string, resourceGroupName: string): P2SVpnGatewaysListByResourceGroup;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/p2svpnGateways", subscriptionId: string): P2SVpnGatewaysList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/p2svpnGateways/{gatewayName}/reset", subscriptionId: string, resourceGroupName: string, gatewayName: string): P2SVpnGatewaysReset;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/p2svpnGateways/{gatewayName}/generatevpnprofile", subscriptionId: string, resourceGroupName: string, gatewayName: string): P2SVpnGatewaysGenerateVpnProfile;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/p2svpnGateways/{gatewayName}/getP2sVpnConnectionHealth", subscriptionId: string, resourceGroupName: string, gatewayName: string): P2SVpnGatewaysGetP2SVpnConnectionHealth;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/p2svpnGateways/{gatewayName}/getP2sVpnConnectionHealthDetailed", subscriptionId: string, resourceGroupName: string, gatewayName: string): P2SVpnGatewaysGetP2SVpnConnectionHealthDetailed;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/p2svpnGateways/{p2sVpnGatewayName}/disconnectP2sVpnConnections", subscriptionId: string, resourceGroupName: string, p2sVpnGatewayName: string): P2SVpnGatewaysDisconnectP2SVpnConnections;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualWans/{virtualWANName}/vpnServerConfigurations", subscriptionId: string, resourceGroupName: string, virtualWANName: string): VpnServerConfigurationsAssociatedWithVirtualWanList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualHubs/{virtualHubName}/routeTables/{routeTableName}", subscriptionId: string, resourceGroupName: string, virtualHubName: string, routeTableName: string): VirtualHubRouteTableV2SGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualHubs/{virtualHubName}/routeTables", subscriptionId: string, resourceGroupName: string, virtualHubName: string): VirtualHubRouteTableV2SList;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/expressRouteGateways", subscriptionId: string): ExpressRouteGatewaysListBySubscription;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteGateways", subscriptionId: string, resourceGroupName: string): ExpressRouteGatewaysListByResourceGroup;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteGateways/{expressRouteGatewayName}", subscriptionId: string, resourceGroupName: string, expressRouteGatewayName: string): ExpressRouteGatewaysCreateOrUpdate;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteGateways/{expressRouteGatewayName}/expressRouteConnections/{connectionName}", subscriptionId: string, resourceGroupName: string, expressRouteGatewayName: string, connectionName: string): ExpressRouteConnectionsCreateOrUpdate;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteGateways/{expressRouteGatewayName}/expressRouteConnections", subscriptionId: string, resourceGroupName: string, expressRouteGatewayName: string): ExpressRouteConnectionsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualHubs/{virtualHubName}/bgpConnections/{connectionName}", subscriptionId: string, resourceGroupName: string, virtualHubName: string, connectionName: string): VirtualHubBgpConnectionGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualHubs/{virtualHubName}/bgpConnections", subscriptionId: string, resourceGroupName: string, virtualHubName: string): VirtualHubBgpConnectionsList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualHubs/{hubName}/bgpConnections/{connectionName}/learnedRoutes", subscriptionId: string, resourceGroupName: string, hubName: string, connectionName: string): VirtualHubBgpConnectionsListLearnedRoutes;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualHubs/{hubName}/bgpConnections/{connectionName}/advertisedRoutes", subscriptionId: string, resourceGroupName: string, hubName: string, connectionName: string): VirtualHubBgpConnectionsListAdvertisedRoutes;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualHubs/{virtualHubName}/ipConfigurations/{ipConfigName}", subscriptionId: string, resourceGroupName: string, virtualHubName: string, ipConfigName: string): VirtualHubIpConfigurationGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualHubs/{virtualHubName}/ipConfigurations", subscriptionId: string, resourceGroupName: string, virtualHubName: string): VirtualHubIpConfigurationList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualHubs/{virtualHubName}/hubRouteTables/{routeTableName}", subscriptionId: string, resourceGroupName: string, virtualHubName: string, routeTableName: string): HubRouteTablesCreateOrUpdate;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualHubs/{virtualHubName}/hubRouteTables", subscriptionId: string, resourceGroupName: string, virtualHubName: string): HubRouteTablesList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualHubs/{virtualHubName}/routingIntent/{routingIntentName}", subscriptionId: string, resourceGroupName: string, virtualHubName: string, routingIntentName: string): RoutingIntentCreateOrUpdate;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualHubs/{virtualHubName}/routingIntent", subscriptionId: string, resourceGroupName: string, virtualHubName: string): RoutingIntentList;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/ApplicationGatewayWebApplicationFirewallPolicies", subscriptionId: string, resourceGroupName: string): WebApplicationFirewallPoliciesList;
    (path: "/subscriptions/{subscriptionId}/providers/Microsoft.Network/ApplicationGatewayWebApplicationFirewallPolicies", subscriptionId: string): WebApplicationFirewallPoliciesListAll;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/ApplicationGatewayWebApplicationFirewallPolicies/{policyName}", subscriptionId: string, resourceGroupName: string, policyName: string): WebApplicationFirewallPoliciesGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{groupName}/providers/Microsoft.Compute/cloudServices/{resourceName}/providers/Microsoft.Network/cloudServiceSlots/{singletonResource}", subscriptionId: string, groupName: string, resourceName: string, singletonResource: "swap"): VipSwapGet;
    (path: "/subscriptions/{subscriptionId}/resourceGroups/{groupName}/providers/Microsoft.Compute/cloudServices/{resourceName}/providers/Microsoft.Network/cloudServiceSlots", subscriptionId: string, groupName: string, resourceName: string): VipSwapList;
}

// @public
export interface RoutesCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: RouteOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface RoutesCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: RouteOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface RoutesCreateOrUpdateBodyParam {
    body: Route;
}

// @public
export interface RoutesCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface RoutesCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type RoutesCreateOrUpdateParameters = RoutesCreateOrUpdateQueryParam & RoutesCreateOrUpdateMediaTypesParam & RoutesCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface RoutesCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: RoutesCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface RoutesCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface RoutesDelete {
    delete(options: RoutesDeleteParameters): StreamableMethod<RoutesDelete200Response | RoutesDelete202Response | RoutesDelete204Response | RoutesDeleteDefaultResponse>;
    get(options: RoutesGetParameters): StreamableMethod<RoutesGet200Response | RoutesGetDefaultResponse>;
    put(options: RoutesCreateOrUpdateParameters): StreamableMethod<RoutesCreateOrUpdate200Response | RoutesCreateOrUpdate201Response | RoutesCreateOrUpdateDefaultResponse>;
}

// @public
export interface RoutesDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface RoutesDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface RoutesDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface RoutesDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type RoutesDeleteParameters = RoutesDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface RoutesDeleteQueryParam {
    // (undocumented)
    queryParameters: RoutesDeleteQueryParamProperties;
}

// @public (undocumented)
export interface RoutesDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface RoutesGet200Response extends HttpResponse {
    // (undocumented)
    body: RouteOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface RoutesGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type RoutesGetParameters = RoutesGetQueryParam & RequestParameters;

// @public (undocumented)
export interface RoutesGetQueryParam {
    // (undocumented)
    queryParameters: RoutesGetQueryParamProperties;
}

// @public (undocumented)
export interface RoutesGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface RoutesList {
    get(options: RoutesListParameters): StreamableMethod<RoutesList200Response | RoutesListDefaultResponse>;
}

// @public
export interface RoutesList200Response extends HttpResponse {
    // (undocumented)
    body: RouteListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface RoutesListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type RoutesListParameters = RoutesListQueryParam & RequestParameters;

// @public (undocumented)
export interface RoutesListQueryParam {
    // (undocumented)
    queryParameters: RoutesListQueryParamProperties;
}

// @public (undocumented)
export interface RoutesListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface RouteTable extends Resource {
    properties?: RouteTablePropertiesFormat;
}

// @public
export interface RouteTableListResultOutput {
    nextLink?: string;
    value?: Array<RouteTableOutput>;
}

// @public
export interface RouteTableOutput extends ResourceOutput {
    readonly etag?: string;
    properties?: RouteTablePropertiesFormatOutput;
}

// @public
export interface RouteTablePropertiesFormat {
    disableBgpRoutePropagation?: boolean;
    routes?: Array<Route>;
}

// @public
export interface RouteTablePropertiesFormatOutput {
    disableBgpRoutePropagation?: boolean;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    readonly resourceGuid?: string;
    routes?: Array<RouteOutput>;
    readonly subnets?: Array<SubnetOutput>;
}

// @public
export interface RouteTablesCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: RouteTableOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface RouteTablesCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: RouteTableOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface RouteTablesCreateOrUpdateBodyParam {
    body: RouteTable;
}

// @public
export interface RouteTablesCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface RouteTablesCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type RouteTablesCreateOrUpdateParameters = RouteTablesCreateOrUpdateQueryParam & RouteTablesCreateOrUpdateMediaTypesParam & RouteTablesCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface RouteTablesCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: RouteTablesCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface RouteTablesCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface RouteTablesDelete {
    delete(options: RouteTablesDeleteParameters): StreamableMethod<RouteTablesDelete200Response | RouteTablesDelete202Response | RouteTablesDelete204Response | RouteTablesDeleteDefaultResponse>;
    get(options: RouteTablesGetParameters): StreamableMethod<RouteTablesGet200Response | RouteTablesGetDefaultResponse>;
    patch(options: RouteTablesUpdateTagsParameters): StreamableMethod<RouteTablesUpdateTags200Response | RouteTablesUpdateTagsDefaultResponse>;
    put(options: RouteTablesCreateOrUpdateParameters): StreamableMethod<RouteTablesCreateOrUpdate200Response | RouteTablesCreateOrUpdate201Response | RouteTablesCreateOrUpdateDefaultResponse>;
}

// @public
export interface RouteTablesDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface RouteTablesDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface RouteTablesDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface RouteTablesDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type RouteTablesDeleteParameters = RouteTablesDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface RouteTablesDeleteQueryParam {
    // (undocumented)
    queryParameters: RouteTablesDeleteQueryParamProperties;
}

// @public (undocumented)
export interface RouteTablesDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface RouteTablesGet200Response extends HttpResponse {
    // (undocumented)
    body: RouteTableOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface RouteTablesGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type RouteTablesGetParameters = RouteTablesGetQueryParam & RequestParameters;

// @public (undocumented)
export interface RouteTablesGetQueryParam {
    // (undocumented)
    queryParameters: RouteTablesGetQueryParamProperties;
}

// @public (undocumented)
export interface RouteTablesGetQueryParamProperties {
    "api-version": "2022-05-01";
    $expand?: string;
}

// @public (undocumented)
export interface RouteTablesList {
    get(options: RouteTablesListParameters): StreamableMethod<RouteTablesList200Response | RouteTablesListDefaultResponse>;
}

// @public
export interface RouteTablesList200Response extends HttpResponse {
    // (undocumented)
    body: RouteTableListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface RouteTablesListAll {
    get(options: RouteTablesListAllParameters): StreamableMethod<RouteTablesListAll200Response | RouteTablesListAllDefaultResponse>;
}

// @public
export interface RouteTablesListAll200Response extends HttpResponse {
    // (undocumented)
    body: RouteTableListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface RouteTablesListAllDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type RouteTablesListAllParameters = RouteTablesListAllQueryParam & RequestParameters;

// @public (undocumented)
export interface RouteTablesListAllQueryParam {
    // (undocumented)
    queryParameters: RouteTablesListAllQueryParamProperties;
}

// @public (undocumented)
export interface RouteTablesListAllQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface RouteTablesListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type RouteTablesListParameters = RouteTablesListQueryParam & RequestParameters;

// @public (undocumented)
export interface RouteTablesListQueryParam {
    // (undocumented)
    queryParameters: RouteTablesListQueryParamProperties;
}

// @public (undocumented)
export interface RouteTablesListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface RouteTablesUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: RouteTableOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface RouteTablesUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface RouteTablesUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface RouteTablesUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type RouteTablesUpdateTagsParameters = RouteTablesUpdateTagsQueryParam & RouteTablesUpdateTagsMediaTypesParam & RouteTablesUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface RouteTablesUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: RouteTablesUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface RouteTablesUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface RoutingConfiguration {
    associatedRouteTable?: SubResource;
    inboundRouteMap?: SubResource;
    outboundRouteMap?: SubResource;
    propagatedRouteTables?: PropagatedRouteTable;
    vnetRoutes?: VnetRoute;
}

// @public
export interface RoutingConfigurationOutput {
    associatedRouteTable?: SubResourceOutput;
    inboundRouteMap?: SubResourceOutput;
    outboundRouteMap?: SubResourceOutput;
    propagatedRouteTables?: PropagatedRouteTableOutput;
    vnetRoutes?: VnetRouteOutput;
}

// @public
export interface RoutingIntent extends SubResource {
    name?: string;
    properties?: RoutingIntentProperties;
}

// @public (undocumented)
export interface RoutingIntentCreateOrUpdate {
    delete(options: RoutingIntentDeleteParameters): StreamableMethod<RoutingIntentDelete200Response | RoutingIntentDelete202Response | RoutingIntentDelete204Response | RoutingIntentDeleteDefaultResponse>;
    get(options: RoutingIntentGetParameters): StreamableMethod<RoutingIntentGet200Response | RoutingIntentGetDefaultResponse>;
    put(options: RoutingIntentCreateOrUpdateParameters): StreamableMethod<RoutingIntentCreateOrUpdate200Response | RoutingIntentCreateOrUpdate201Response | RoutingIntentCreateOrUpdateDefaultResponse>;
}

// @public
export interface RoutingIntentCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: RoutingIntentOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface RoutingIntentCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: RoutingIntentOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface RoutingIntentCreateOrUpdateBodyParam {
    body: RoutingIntent;
}

// @public
export interface RoutingIntentCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface RoutingIntentCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type RoutingIntentCreateOrUpdateParameters = RoutingIntentCreateOrUpdateQueryParam & RoutingIntentCreateOrUpdateMediaTypesParam & RoutingIntentCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface RoutingIntentCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: RoutingIntentCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface RoutingIntentCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface RoutingIntentDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface RoutingIntentDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface RoutingIntentDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface RoutingIntentDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type RoutingIntentDeleteParameters = RoutingIntentDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface RoutingIntentDeleteQueryParam {
    // (undocumented)
    queryParameters: RoutingIntentDeleteQueryParamProperties;
}

// @public (undocumented)
export interface RoutingIntentDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface RoutingIntentGet200Response extends HttpResponse {
    // (undocumented)
    body: RoutingIntentOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface RoutingIntentGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type RoutingIntentGetParameters = RoutingIntentGetQueryParam & RequestParameters;

// @public (undocumented)
export interface RoutingIntentGetQueryParam {
    // (undocumented)
    queryParameters: RoutingIntentGetQueryParamProperties;
}

// @public (undocumented)
export interface RoutingIntentGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface RoutingIntentList {
    get(options: RoutingIntentListParameters): StreamableMethod<RoutingIntentList200Response | RoutingIntentListDefaultResponse>;
}

// @public
export interface RoutingIntentList200Response extends HttpResponse {
    // (undocumented)
    body: ListRoutingIntentResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface RoutingIntentListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type RoutingIntentListParameters = RoutingIntentListQueryParam & RequestParameters;

// @public (undocumented)
export interface RoutingIntentListQueryParam {
    // (undocumented)
    queryParameters: RoutingIntentListQueryParamProperties;
}

// @public (undocumented)
export interface RoutingIntentListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface RoutingIntentOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: RoutingIntentPropertiesOutput;
    readonly type?: string;
}

// @public
export interface RoutingIntentProperties {
    routingPolicies?: Array<RoutingPolicy>;
}

// @public
export interface RoutingIntentPropertiesOutput {
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    routingPolicies?: Array<RoutingPolicyOutput>;
}

// @public
export interface RoutingPolicy {
    destinations: Array<string>;
    name: string;
    nextHop: string;
}

// @public
export interface RoutingPolicyOutput {
    destinations: Array<string>;
    name: string;
    nextHop: string;
}

// @public
export interface ScopeConnection extends ChildResource {
    properties?: ScopeConnectionProperties;
}

// @public
export interface ScopeConnectionListResultOutput {
    nextLink?: string;
    value?: Array<ScopeConnectionOutput>;
}

// @public
export interface ScopeConnectionOutput extends ChildResourceOutput {
    properties?: ScopeConnectionPropertiesOutput;
    readonly systemData?: SystemDataOutput;
}

// @public
export interface ScopeConnectionProperties {
    description?: string;
    resourceId?: string;
    tenantId?: string;
}

// @public
export interface ScopeConnectionPropertiesOutput {
    readonly connectionState?: "Connected" | "Pending" | "Conflict" | "Revoked" | "Rejected";
    description?: string;
    resourceId?: string;
    tenantId?: string;
}

// @public (undocumented)
export interface ScopeConnectionsCreateOrUpdate {
    delete(options: ScopeConnectionsDeleteParameters): StreamableMethod<ScopeConnectionsDelete200Response | ScopeConnectionsDelete204Response | ScopeConnectionsDeleteDefaultResponse>;
    get(options: ScopeConnectionsGetParameters): StreamableMethod<ScopeConnectionsGet200Response | ScopeConnectionsGetDefaultResponse>;
    put(options: ScopeConnectionsCreateOrUpdateParameters): StreamableMethod<ScopeConnectionsCreateOrUpdate200Response | ScopeConnectionsCreateOrUpdate201Response | ScopeConnectionsCreateOrUpdateDefaultResponse>;
}

// @public
export interface ScopeConnectionsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: ScopeConnectionOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ScopeConnectionsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: ScopeConnectionOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface ScopeConnectionsCreateOrUpdateBodyParam {
    body: ScopeConnection;
}

// @public
export interface ScopeConnectionsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ScopeConnectionsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ScopeConnectionsCreateOrUpdateParameters = ScopeConnectionsCreateOrUpdateQueryParam & ScopeConnectionsCreateOrUpdateMediaTypesParam & ScopeConnectionsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface ScopeConnectionsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: ScopeConnectionsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface ScopeConnectionsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ScopeConnectionsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface ScopeConnectionsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface ScopeConnectionsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ScopeConnectionsDeleteParameters = ScopeConnectionsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface ScopeConnectionsDeleteQueryParam {
    // (undocumented)
    queryParameters: ScopeConnectionsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface ScopeConnectionsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ScopeConnectionsGet200Response extends HttpResponse {
    // (undocumented)
    body: ScopeConnectionOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ScopeConnectionsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ScopeConnectionsGetParameters = ScopeConnectionsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface ScopeConnectionsGetQueryParam {
    // (undocumented)
    queryParameters: ScopeConnectionsGetQueryParamProperties;
}

// @public (undocumented)
export interface ScopeConnectionsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ScopeConnectionsList {
    get(options: ScopeConnectionsListParameters): StreamableMethod<ScopeConnectionsList200Response | ScopeConnectionsListDefaultResponse>;
}

// @public
export interface ScopeConnectionsList200Response extends HttpResponse {
    // (undocumented)
    body: ScopeConnectionListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ScopeConnectionsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ScopeConnectionsListParameters = ScopeConnectionsListQueryParam & RequestParameters;

// @public (undocumented)
export interface ScopeConnectionsListQueryParam {
    // (undocumented)
    queryParameters: ScopeConnectionsListQueryParamProperties;
}

// @public (undocumented)
export interface ScopeConnectionsListQueryParamProperties {
    "api-version": "2022-05-01";
    $skipToken?: string;
    $top?: number;
}

// @public
export interface SecurityAdminConfiguration extends ChildResource {
    properties?: SecurityAdminConfigurationPropertiesFormat;
}

// @public
export interface SecurityAdminConfigurationListResultOutput {
    nextLink?: string;
    value?: Array<SecurityAdminConfigurationOutput>;
}

// @public
export interface SecurityAdminConfigurationOutput extends ChildResourceOutput {
    properties?: SecurityAdminConfigurationPropertiesFormatOutput;
    readonly systemData?: SystemDataOutput;
}

// @public
export interface SecurityAdminConfigurationPropertiesFormat {
    applyOnNetworkIntentPolicyBasedServices?: Array<"None" | "All" | "AllowRulesOnly">;
    description?: string;
}

// @public
export interface SecurityAdminConfigurationPropertiesFormatOutput {
    applyOnNetworkIntentPolicyBasedServices?: Array<"None" | "All" | "AllowRulesOnly">;
    description?: string;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public
export interface SecurityAdminConfigurationsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: SecurityAdminConfigurationOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface SecurityAdminConfigurationsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: SecurityAdminConfigurationOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface SecurityAdminConfigurationsCreateOrUpdateBodyParam {
    body: SecurityAdminConfiguration;
}

// @public
export interface SecurityAdminConfigurationsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface SecurityAdminConfigurationsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type SecurityAdminConfigurationsCreateOrUpdateParameters = SecurityAdminConfigurationsCreateOrUpdateQueryParam & SecurityAdminConfigurationsCreateOrUpdateMediaTypesParam & SecurityAdminConfigurationsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface SecurityAdminConfigurationsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: SecurityAdminConfigurationsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface SecurityAdminConfigurationsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface SecurityAdminConfigurationsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface SecurityAdminConfigurationsDelete202Headers {
    location?: string;
}

// @public
export interface SecurityAdminConfigurationsDelete202Response extends HttpResponse {
    // (undocumented)
    headers: RawHttpHeaders & SecurityAdminConfigurationsDelete202Headers;
    // (undocumented)
    status: "202";
}

// @public
export interface SecurityAdminConfigurationsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface SecurityAdminConfigurationsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type SecurityAdminConfigurationsDeleteParameters = SecurityAdminConfigurationsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface SecurityAdminConfigurationsDeleteQueryParam {
    // (undocumented)
    queryParameters: SecurityAdminConfigurationsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface SecurityAdminConfigurationsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
    force?: boolean;
}

// @public (undocumented)
export interface SecurityAdminConfigurationsGet {
    delete(options: SecurityAdminConfigurationsDeleteParameters): StreamableMethod<SecurityAdminConfigurationsDelete200Response | SecurityAdminConfigurationsDelete202Response | SecurityAdminConfigurationsDelete204Response | SecurityAdminConfigurationsDeleteDefaultResponse>;
    get(options: SecurityAdminConfigurationsGetParameters): StreamableMethod<SecurityAdminConfigurationsGet200Response | SecurityAdminConfigurationsGetDefaultResponse>;
    put(options: SecurityAdminConfigurationsCreateOrUpdateParameters): StreamableMethod<SecurityAdminConfigurationsCreateOrUpdate200Response | SecurityAdminConfigurationsCreateOrUpdate201Response | SecurityAdminConfigurationsCreateOrUpdateDefaultResponse>;
}

// @public
export interface SecurityAdminConfigurationsGet200Response extends HttpResponse {
    // (undocumented)
    body: SecurityAdminConfigurationOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface SecurityAdminConfigurationsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type SecurityAdminConfigurationsGetParameters = SecurityAdminConfigurationsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface SecurityAdminConfigurationsGetQueryParam {
    // (undocumented)
    queryParameters: SecurityAdminConfigurationsGetQueryParamProperties;
}

// @public (undocumented)
export interface SecurityAdminConfigurationsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface SecurityAdminConfigurationsList {
    get(options: SecurityAdminConfigurationsListParameters): StreamableMethod<SecurityAdminConfigurationsList200Response | SecurityAdminConfigurationsListDefaultResponse>;
}

// @public
export interface SecurityAdminConfigurationsList200Response extends HttpResponse {
    // (undocumented)
    body: SecurityAdminConfigurationListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface SecurityAdminConfigurationsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type SecurityAdminConfigurationsListParameters = SecurityAdminConfigurationsListQueryParam & RequestParameters;

// @public (undocumented)
export interface SecurityAdminConfigurationsListQueryParam {
    // (undocumented)
    queryParameters: SecurityAdminConfigurationsListQueryParamProperties;
}

// @public (undocumented)
export interface SecurityAdminConfigurationsListQueryParamProperties {
    "api-version": "2022-05-01";
    $skipToken?: string;
    $top?: number;
}

// @public
export interface SecurityGroupNetworkInterfaceOutput {
    id?: string;
    securityRuleAssociations?: SecurityRuleAssociationsOutput;
}

// @public
export interface SecurityGroupViewParameters {
    targetResourceId: string;
}

// @public
export interface SecurityGroupViewResultOutput {
    networkInterfaces?: Array<SecurityGroupNetworkInterfaceOutput>;
}

// @public
export interface SecurityPartnerProvider extends Resource {
    properties?: SecurityPartnerProviderPropertiesFormat;
}

// @public
export interface SecurityPartnerProviderListResultOutput {
    nextLink?: string;
    value?: Array<SecurityPartnerProviderOutput>;
}

// @public
export interface SecurityPartnerProviderOutput extends ResourceOutput {
    readonly etag?: string;
    properties?: SecurityPartnerProviderPropertiesFormatOutput;
}

// @public
export interface SecurityPartnerProviderPropertiesFormat {
    securityProviderName?: "ZScaler" | "IBoss" | "Checkpoint";
    virtualHub?: SubResource;
}

// @public
export interface SecurityPartnerProviderPropertiesFormatOutput {
    readonly connectionStatus?: "Unknown" | "PartiallyConnected" | "Connected" | "NotConnected";
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    securityProviderName?: "ZScaler" | "IBoss" | "Checkpoint";
    virtualHub?: SubResourceOutput;
}

// @public
export interface SecurityPartnerProvidersCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: SecurityPartnerProviderOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface SecurityPartnerProvidersCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: SecurityPartnerProviderOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface SecurityPartnerProvidersCreateOrUpdateBodyParam {
    body: SecurityPartnerProvider;
}

// @public
export interface SecurityPartnerProvidersCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface SecurityPartnerProvidersCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type SecurityPartnerProvidersCreateOrUpdateParameters = SecurityPartnerProvidersCreateOrUpdateQueryParam & SecurityPartnerProvidersCreateOrUpdateMediaTypesParam & SecurityPartnerProvidersCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface SecurityPartnerProvidersCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: SecurityPartnerProvidersCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface SecurityPartnerProvidersCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface SecurityPartnerProvidersDelete {
    delete(options: SecurityPartnerProvidersDeleteParameters): StreamableMethod<SecurityPartnerProvidersDelete200Response | SecurityPartnerProvidersDelete202Response | SecurityPartnerProvidersDelete204Response | SecurityPartnerProvidersDeleteDefaultResponse>;
    get(options: SecurityPartnerProvidersGetParameters): StreamableMethod<SecurityPartnerProvidersGet200Response | SecurityPartnerProvidersGetDefaultResponse>;
    patch(options: SecurityPartnerProvidersUpdateTagsParameters): StreamableMethod<SecurityPartnerProvidersUpdateTags200Response | SecurityPartnerProvidersUpdateTagsDefaultResponse>;
    put(options: SecurityPartnerProvidersCreateOrUpdateParameters): StreamableMethod<SecurityPartnerProvidersCreateOrUpdate200Response | SecurityPartnerProvidersCreateOrUpdate201Response | SecurityPartnerProvidersCreateOrUpdateDefaultResponse>;
}

// @public
export interface SecurityPartnerProvidersDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface SecurityPartnerProvidersDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface SecurityPartnerProvidersDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface SecurityPartnerProvidersDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type SecurityPartnerProvidersDeleteParameters = SecurityPartnerProvidersDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface SecurityPartnerProvidersDeleteQueryParam {
    // (undocumented)
    queryParameters: SecurityPartnerProvidersDeleteQueryParamProperties;
}

// @public (undocumented)
export interface SecurityPartnerProvidersDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface SecurityPartnerProvidersGet200Response extends HttpResponse {
    // (undocumented)
    body: SecurityPartnerProviderOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface SecurityPartnerProvidersGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type SecurityPartnerProvidersGetParameters = SecurityPartnerProvidersGetQueryParam & RequestParameters;

// @public (undocumented)
export interface SecurityPartnerProvidersGetQueryParam {
    // (undocumented)
    queryParameters: SecurityPartnerProvidersGetQueryParamProperties;
}

// @public (undocumented)
export interface SecurityPartnerProvidersGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface SecurityPartnerProvidersList {
    get(options: SecurityPartnerProvidersListParameters): StreamableMethod<SecurityPartnerProvidersList200Response | SecurityPartnerProvidersListDefaultResponse>;
}

// @public
export interface SecurityPartnerProvidersList200Response extends HttpResponse {
    // (undocumented)
    body: SecurityPartnerProviderListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface SecurityPartnerProvidersListByResourceGroup {
    get(options: SecurityPartnerProvidersListByResourceGroupParameters): StreamableMethod<SecurityPartnerProvidersListByResourceGroup200Response | SecurityPartnerProvidersListByResourceGroupDefaultResponse>;
}

// @public
export interface SecurityPartnerProvidersListByResourceGroup200Response extends HttpResponse {
    // (undocumented)
    body: SecurityPartnerProviderListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface SecurityPartnerProvidersListByResourceGroupDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type SecurityPartnerProvidersListByResourceGroupParameters = SecurityPartnerProvidersListByResourceGroupQueryParam & RequestParameters;

// @public (undocumented)
export interface SecurityPartnerProvidersListByResourceGroupQueryParam {
    // (undocumented)
    queryParameters: SecurityPartnerProvidersListByResourceGroupQueryParamProperties;
}

// @public (undocumented)
export interface SecurityPartnerProvidersListByResourceGroupQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface SecurityPartnerProvidersListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type SecurityPartnerProvidersListParameters = SecurityPartnerProvidersListQueryParam & RequestParameters;

// @public (undocumented)
export interface SecurityPartnerProvidersListQueryParam {
    // (undocumented)
    queryParameters: SecurityPartnerProvidersListQueryParamProperties;
}

// @public (undocumented)
export interface SecurityPartnerProvidersListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface SecurityPartnerProvidersUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: SecurityPartnerProviderOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface SecurityPartnerProvidersUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface SecurityPartnerProvidersUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface SecurityPartnerProvidersUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type SecurityPartnerProvidersUpdateTagsParameters = SecurityPartnerProvidersUpdateTagsQueryParam & SecurityPartnerProvidersUpdateTagsMediaTypesParam & SecurityPartnerProvidersUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface SecurityPartnerProvidersUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: SecurityPartnerProvidersUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface SecurityPartnerProvidersUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface SecurityRule extends SubResource {
    name?: string;
    properties?: SecurityRulePropertiesFormat;
    type?: string;
}

// @public
export interface SecurityRuleAssociationsOutput {
    defaultSecurityRules?: Array<SecurityRuleOutput>;
    effectiveSecurityRules?: Array<EffectiveNetworkSecurityRuleOutput>;
    networkInterfaceAssociation?: NetworkInterfaceAssociationOutput;
    subnetAssociation?: SubnetAssociationOutput;
}

// @public
export interface SecurityRuleListResultOutput {
    nextLink?: string;
    value?: Array<SecurityRuleOutput>;
}

// @public
export interface SecurityRuleOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: SecurityRulePropertiesFormatOutput;
    type?: string;
}

// @public
export interface SecurityRulePropertiesFormat {
    access: "Allow" | "Deny";
    description?: string;
    destinationAddressPrefix?: string;
    destinationAddressPrefixes?: Array<string>;
    destinationApplicationSecurityGroups?: Array<ApplicationSecurityGroup>;
    destinationPortRange?: string;
    destinationPortRanges?: Array<string>;
    direction: "Inbound" | "Outbound";
    priority?: number;
    protocol: "Tcp" | "Udp" | "Icmp" | "Esp" | "*" | "Ah";
    sourceAddressPrefix?: string;
    sourceAddressPrefixes?: Array<string>;
    sourceApplicationSecurityGroups?: Array<ApplicationSecurityGroup>;
    sourcePortRange?: string;
    sourcePortRanges?: Array<string>;
}

// @public
export interface SecurityRulePropertiesFormatOutput {
    access: "Allow" | "Deny";
    description?: string;
    destinationAddressPrefix?: string;
    destinationAddressPrefixes?: Array<string>;
    destinationApplicationSecurityGroups?: Array<ApplicationSecurityGroupOutput>;
    destinationPortRange?: string;
    destinationPortRanges?: Array<string>;
    direction: "Inbound" | "Outbound";
    priority?: number;
    protocol: "Tcp" | "Udp" | "Icmp" | "Esp" | "*" | "Ah";
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    sourceAddressPrefix?: string;
    sourceAddressPrefixes?: Array<string>;
    sourceApplicationSecurityGroups?: Array<ApplicationSecurityGroupOutput>;
    sourcePortRange?: string;
    sourcePortRanges?: Array<string>;
}

// @public
export interface SecurityRulesCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: SecurityRuleOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface SecurityRulesCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: SecurityRuleOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface SecurityRulesCreateOrUpdateBodyParam {
    body: SecurityRule;
}

// @public
export interface SecurityRulesCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface SecurityRulesCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type SecurityRulesCreateOrUpdateParameters = SecurityRulesCreateOrUpdateQueryParam & SecurityRulesCreateOrUpdateMediaTypesParam & SecurityRulesCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface SecurityRulesCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: SecurityRulesCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface SecurityRulesCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface SecurityRulesDelete {
    delete(options: SecurityRulesDeleteParameters): StreamableMethod<SecurityRulesDelete200Response | SecurityRulesDelete202Response | SecurityRulesDelete204Response | SecurityRulesDeleteDefaultResponse>;
    get(options: SecurityRulesGetParameters): StreamableMethod<SecurityRulesGet200Response | SecurityRulesGetDefaultResponse>;
    put(options: SecurityRulesCreateOrUpdateParameters): StreamableMethod<SecurityRulesCreateOrUpdate200Response | SecurityRulesCreateOrUpdate201Response | SecurityRulesCreateOrUpdateDefaultResponse>;
}

// @public
export interface SecurityRulesDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface SecurityRulesDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface SecurityRulesDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface SecurityRulesDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type SecurityRulesDeleteParameters = SecurityRulesDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface SecurityRulesDeleteQueryParam {
    // (undocumented)
    queryParameters: SecurityRulesDeleteQueryParamProperties;
}

// @public (undocumented)
export interface SecurityRulesDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface SecurityRulesGet200Response extends HttpResponse {
    // (undocumented)
    body: SecurityRuleOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface SecurityRulesGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type SecurityRulesGetParameters = SecurityRulesGetQueryParam & RequestParameters;

// @public (undocumented)
export interface SecurityRulesGetQueryParam {
    // (undocumented)
    queryParameters: SecurityRulesGetQueryParamProperties;
}

// @public (undocumented)
export interface SecurityRulesGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface SecurityRulesList {
    get(options: SecurityRulesListParameters): StreamableMethod<SecurityRulesList200Response | SecurityRulesListDefaultResponse>;
}

// @public
export interface SecurityRulesList200Response extends HttpResponse {
    // (undocumented)
    body: SecurityRuleListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface SecurityRulesListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type SecurityRulesListParameters = SecurityRulesListQueryParam & RequestParameters;

// @public (undocumented)
export interface SecurityRulesListQueryParam {
    // (undocumented)
    queryParameters: SecurityRulesListQueryParamProperties;
}

// @public (undocumented)
export interface SecurityRulesListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ServiceAssociationLink extends SubResource {
    name?: string;
    properties?: ServiceAssociationLinkPropertiesFormat;
}

// @public
export interface ServiceAssociationLinkOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ServiceAssociationLinkPropertiesFormatOutput;
    readonly type?: string;
}

// @public
export interface ServiceAssociationLinkPropertiesFormat {
    allowDelete?: boolean;
    link?: string;
    linkedResourceType?: string;
    locations?: Array<string>;
}

// @public
export interface ServiceAssociationLinkPropertiesFormatOutput {
    allowDelete?: boolean;
    link?: string;
    linkedResourceType?: string;
    locations?: Array<string>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public (undocumented)
export interface ServiceAssociationLinksList {
    get(options: ServiceAssociationLinksListParameters): StreamableMethod<ServiceAssociationLinksList200Response | ServiceAssociationLinksListDefaultResponse>;
}

// @public
export interface ServiceAssociationLinksList200Response extends HttpResponse {
    // (undocumented)
    body: ServiceAssociationLinksListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ServiceAssociationLinksListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ServiceAssociationLinksListParameters = ServiceAssociationLinksListQueryParam & RequestParameters;

// @public (undocumented)
export interface ServiceAssociationLinksListQueryParam {
    // (undocumented)
    queryParameters: ServiceAssociationLinksListQueryParamProperties;
}

// @public (undocumented)
export interface ServiceAssociationLinksListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ServiceAssociationLinksListResultOutput {
    readonly nextLink?: string;
    value?: Array<ServiceAssociationLinkOutput>;
}

// @public
export interface ServiceDelegationPropertiesFormat {
    serviceName?: string;
}

// @public
export interface ServiceDelegationPropertiesFormatOutput {
    readonly actions?: Array<string>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    serviceName?: string;
}

// @public
export interface ServiceEndpointPoliciesCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: ServiceEndpointPolicyOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ServiceEndpointPoliciesCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: ServiceEndpointPolicyOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface ServiceEndpointPoliciesCreateOrUpdateBodyParam {
    body: ServiceEndpointPolicy;
}

// @public
export interface ServiceEndpointPoliciesCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ServiceEndpointPoliciesCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ServiceEndpointPoliciesCreateOrUpdateParameters = ServiceEndpointPoliciesCreateOrUpdateQueryParam & ServiceEndpointPoliciesCreateOrUpdateMediaTypesParam & ServiceEndpointPoliciesCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface ServiceEndpointPoliciesCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: ServiceEndpointPoliciesCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface ServiceEndpointPoliciesCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ServiceEndpointPoliciesDelete {
    delete(options: ServiceEndpointPoliciesDeleteParameters): StreamableMethod<ServiceEndpointPoliciesDelete200Response | ServiceEndpointPoliciesDelete202Response | ServiceEndpointPoliciesDelete204Response | ServiceEndpointPoliciesDeleteDefaultResponse>;
    get(options: ServiceEndpointPoliciesGetParameters): StreamableMethod<ServiceEndpointPoliciesGet200Response | ServiceEndpointPoliciesGetDefaultResponse>;
    patch(options: ServiceEndpointPoliciesUpdateTagsParameters): StreamableMethod<ServiceEndpointPoliciesUpdateTags200Response | ServiceEndpointPoliciesUpdateTagsDefaultResponse>;
    put(options: ServiceEndpointPoliciesCreateOrUpdateParameters): StreamableMethod<ServiceEndpointPoliciesCreateOrUpdate200Response | ServiceEndpointPoliciesCreateOrUpdate201Response | ServiceEndpointPoliciesCreateOrUpdateDefaultResponse>;
}

// @public
export interface ServiceEndpointPoliciesDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface ServiceEndpointPoliciesDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface ServiceEndpointPoliciesDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface ServiceEndpointPoliciesDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ServiceEndpointPoliciesDeleteParameters = ServiceEndpointPoliciesDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface ServiceEndpointPoliciesDeleteQueryParam {
    // (undocumented)
    queryParameters: ServiceEndpointPoliciesDeleteQueryParamProperties;
}

// @public (undocumented)
export interface ServiceEndpointPoliciesDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ServiceEndpointPoliciesGet200Response extends HttpResponse {
    // (undocumented)
    body: ServiceEndpointPolicyOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ServiceEndpointPoliciesGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ServiceEndpointPoliciesGetParameters = ServiceEndpointPoliciesGetQueryParam & RequestParameters;

// @public (undocumented)
export interface ServiceEndpointPoliciesGetQueryParam {
    // (undocumented)
    queryParameters: ServiceEndpointPoliciesGetQueryParamProperties;
}

// @public (undocumented)
export interface ServiceEndpointPoliciesGetQueryParamProperties {
    "api-version": "2022-05-01";
    $expand?: string;
}

// @public (undocumented)
export interface ServiceEndpointPoliciesList {
    get(options: ServiceEndpointPoliciesListParameters): StreamableMethod<ServiceEndpointPoliciesList200Response | ServiceEndpointPoliciesListDefaultResponse>;
}

// @public
export interface ServiceEndpointPoliciesList200Response extends HttpResponse {
    // (undocumented)
    body: ServiceEndpointPolicyListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface ServiceEndpointPoliciesListByResourceGroup {
    get(options: ServiceEndpointPoliciesListByResourceGroupParameters): StreamableMethod<ServiceEndpointPoliciesListByResourceGroup200Response | ServiceEndpointPoliciesListByResourceGroupDefaultResponse>;
}

// @public
export interface ServiceEndpointPoliciesListByResourceGroup200Response extends HttpResponse {
    // (undocumented)
    body: ServiceEndpointPolicyListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ServiceEndpointPoliciesListByResourceGroupDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ServiceEndpointPoliciesListByResourceGroupParameters = ServiceEndpointPoliciesListByResourceGroupQueryParam & RequestParameters;

// @public (undocumented)
export interface ServiceEndpointPoliciesListByResourceGroupQueryParam {
    // (undocumented)
    queryParameters: ServiceEndpointPoliciesListByResourceGroupQueryParamProperties;
}

// @public (undocumented)
export interface ServiceEndpointPoliciesListByResourceGroupQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ServiceEndpointPoliciesListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ServiceEndpointPoliciesListParameters = ServiceEndpointPoliciesListQueryParam & RequestParameters;

// @public (undocumented)
export interface ServiceEndpointPoliciesListQueryParam {
    // (undocumented)
    queryParameters: ServiceEndpointPoliciesListQueryParamProperties;
}

// @public (undocumented)
export interface ServiceEndpointPoliciesListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ServiceEndpointPoliciesUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: ServiceEndpointPolicyOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface ServiceEndpointPoliciesUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface ServiceEndpointPoliciesUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ServiceEndpointPoliciesUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ServiceEndpointPoliciesUpdateTagsParameters = ServiceEndpointPoliciesUpdateTagsQueryParam & ServiceEndpointPoliciesUpdateTagsMediaTypesParam & ServiceEndpointPoliciesUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface ServiceEndpointPoliciesUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: ServiceEndpointPoliciesUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface ServiceEndpointPoliciesUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ServiceEndpointPolicy extends Resource {
    properties?: ServiceEndpointPolicyPropertiesFormat;
}

// @public
export interface ServiceEndpointPolicyDefinition extends SubResource {
    name?: string;
    properties?: ServiceEndpointPolicyDefinitionPropertiesFormat;
    type?: string;
}

// @public
export interface ServiceEndpointPolicyDefinitionListResultOutput {
    nextLink?: string;
    value?: Array<ServiceEndpointPolicyDefinitionOutput>;
}

// @public
export interface ServiceEndpointPolicyDefinitionOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: ServiceEndpointPolicyDefinitionPropertiesFormatOutput;
    type?: string;
}

// @public
export interface ServiceEndpointPolicyDefinitionPropertiesFormat {
    description?: string;
    service?: string;
    serviceResources?: Array<string>;
}

// @public
export interface ServiceEndpointPolicyDefinitionPropertiesFormatOutput {
    description?: string;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    service?: string;
    serviceResources?: Array<string>;
}

// @public
export interface ServiceEndpointPolicyDefinitionsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: ServiceEndpointPolicyDefinitionOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ServiceEndpointPolicyDefinitionsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: ServiceEndpointPolicyDefinitionOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface ServiceEndpointPolicyDefinitionsCreateOrUpdateBodyParam {
    body: ServiceEndpointPolicyDefinition;
}

// @public
export interface ServiceEndpointPolicyDefinitionsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface ServiceEndpointPolicyDefinitionsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type ServiceEndpointPolicyDefinitionsCreateOrUpdateParameters = ServiceEndpointPolicyDefinitionsCreateOrUpdateQueryParam & ServiceEndpointPolicyDefinitionsCreateOrUpdateMediaTypesParam & ServiceEndpointPolicyDefinitionsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface ServiceEndpointPolicyDefinitionsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: ServiceEndpointPolicyDefinitionsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface ServiceEndpointPolicyDefinitionsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ServiceEndpointPolicyDefinitionsDelete {
    delete(options: ServiceEndpointPolicyDefinitionsDeleteParameters): StreamableMethod<ServiceEndpointPolicyDefinitionsDelete200Response | ServiceEndpointPolicyDefinitionsDelete202Response | ServiceEndpointPolicyDefinitionsDelete204Response | ServiceEndpointPolicyDefinitionsDeleteDefaultResponse>;
    get(options: ServiceEndpointPolicyDefinitionsGetParameters): StreamableMethod<ServiceEndpointPolicyDefinitionsGet200Response | ServiceEndpointPolicyDefinitionsGetDefaultResponse>;
    put(options: ServiceEndpointPolicyDefinitionsCreateOrUpdateParameters): StreamableMethod<ServiceEndpointPolicyDefinitionsCreateOrUpdate200Response | ServiceEndpointPolicyDefinitionsCreateOrUpdate201Response | ServiceEndpointPolicyDefinitionsCreateOrUpdateDefaultResponse>;
}

// @public
export interface ServiceEndpointPolicyDefinitionsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface ServiceEndpointPolicyDefinitionsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface ServiceEndpointPolicyDefinitionsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface ServiceEndpointPolicyDefinitionsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ServiceEndpointPolicyDefinitionsDeleteParameters = ServiceEndpointPolicyDefinitionsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface ServiceEndpointPolicyDefinitionsDeleteQueryParam {
    // (undocumented)
    queryParameters: ServiceEndpointPolicyDefinitionsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface ServiceEndpointPolicyDefinitionsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ServiceEndpointPolicyDefinitionsGet200Response extends HttpResponse {
    // (undocumented)
    body: ServiceEndpointPolicyDefinitionOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ServiceEndpointPolicyDefinitionsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ServiceEndpointPolicyDefinitionsGetParameters = ServiceEndpointPolicyDefinitionsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface ServiceEndpointPolicyDefinitionsGetQueryParam {
    // (undocumented)
    queryParameters: ServiceEndpointPolicyDefinitionsGetQueryParamProperties;
}

// @public (undocumented)
export interface ServiceEndpointPolicyDefinitionsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface ServiceEndpointPolicyDefinitionsListByResourceGroup {
    get(options: ServiceEndpointPolicyDefinitionsListByResourceGroupParameters): StreamableMethod<ServiceEndpointPolicyDefinitionsListByResourceGroup200Response | ServiceEndpointPolicyDefinitionsListByResourceGroupDefaultResponse>;
}

// @public
export interface ServiceEndpointPolicyDefinitionsListByResourceGroup200Response extends HttpResponse {
    // (undocumented)
    body: ServiceEndpointPolicyDefinitionListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ServiceEndpointPolicyDefinitionsListByResourceGroupDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ServiceEndpointPolicyDefinitionsListByResourceGroupParameters = ServiceEndpointPolicyDefinitionsListByResourceGroupQueryParam & RequestParameters;

// @public (undocumented)
export interface ServiceEndpointPolicyDefinitionsListByResourceGroupQueryParam {
    // (undocumented)
    queryParameters: ServiceEndpointPolicyDefinitionsListByResourceGroupQueryParamProperties;
}

// @public (undocumented)
export interface ServiceEndpointPolicyDefinitionsListByResourceGroupQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ServiceEndpointPolicyListResultOutput {
    readonly nextLink?: string;
    value?: Array<ServiceEndpointPolicyOutput>;
}

// @public
export interface ServiceEndpointPolicyOutput extends ResourceOutput {
    readonly etag?: string;
    readonly kind?: string;
    properties?: ServiceEndpointPolicyPropertiesFormatOutput;
}

// @public
export interface ServiceEndpointPolicyPropertiesFormat {
    contextualServiceEndpointPolicies?: Array<string>;
    serviceAlias?: string;
    serviceEndpointPolicyDefinitions?: Array<ServiceEndpointPolicyDefinition>;
}

// @public
export interface ServiceEndpointPolicyPropertiesFormatOutput {
    contextualServiceEndpointPolicies?: Array<string>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    readonly resourceGuid?: string;
    serviceAlias?: string;
    serviceEndpointPolicyDefinitions?: Array<ServiceEndpointPolicyDefinitionOutput>;
    readonly subnets?: Array<SubnetOutput>;
}

// @public
export interface ServiceEndpointPropertiesFormat {
    locations?: Array<string>;
    service?: string;
}

// @public
export interface ServiceEndpointPropertiesFormatOutput {
    locations?: Array<string>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    service?: string;
}

// @public (undocumented)
export interface ServiceTagInformationList {
    get(options: ServiceTagInformationListParameters): StreamableMethod<ServiceTagInformationList200Response | ServiceTagInformationListDefaultResponse>;
}

// @public
export interface ServiceTagInformationList200Response extends HttpResponse {
    // (undocumented)
    body: ServiceTagInformationListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ServiceTagInformationListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ServiceTagInformationListParameters = ServiceTagInformationListQueryParam & RequestParameters;

// @public (undocumented)
export interface ServiceTagInformationListQueryParam {
    // (undocumented)
    queryParameters: ServiceTagInformationListQueryParamProperties;
}

// @public (undocumented)
export interface ServiceTagInformationListQueryParamProperties {
    "api-version": "2022-05-01";
    noAddressPrefixes?: boolean;
    tagName?: string;
}

// @public
export interface ServiceTagInformationListResultOutput {
    readonly nextLink?: string;
    value?: Array<ServiceTagInformationOutput>;
}

// @public
export interface ServiceTagInformationOutput {
    readonly id?: string;
    readonly name?: string;
    readonly properties?: ServiceTagInformationPropertiesFormatOutput;
    readonly serviceTagChangeNumber?: string;
}

// @public
export interface ServiceTagInformationPropertiesFormatOutput {
    readonly addressPrefixes?: Array<string>;
    readonly changeNumber?: string;
    readonly region?: string;
    readonly state?: string;
    readonly systemService?: string;
}

// @public (undocumented)
export interface ServiceTagsList {
    get(options: ServiceTagsListParameters): StreamableMethod<ServiceTagsList200Response | ServiceTagsListDefaultResponse>;
}

// @public
export interface ServiceTagsList200Response extends HttpResponse {
    // (undocumented)
    body: ServiceTagsListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface ServiceTagsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type ServiceTagsListParameters = ServiceTagsListQueryParam & RequestParameters;

// @public (undocumented)
export interface ServiceTagsListQueryParam {
    // (undocumented)
    queryParameters: ServiceTagsListQueryParamProperties;
}

// @public (undocumented)
export interface ServiceTagsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface ServiceTagsListResultOutput {
    readonly changeNumber?: string;
    readonly cloud?: string;
    readonly id?: string;
    readonly name?: string;
    readonly nextLink?: string;
    readonly type?: string;
    readonly values?: Array<ServiceTagInformationOutput>;
}

// @public
export interface SessionIds {
    sessionIds?: Array<string>;
}

// @public
export interface SignatureOverridesFilterValuesQuery {
    filterName?: string;
}

// @public
export interface SignatureOverridesFilterValuesResponseOutput {
    filterValues?: Array<string>;
}

// @public
export interface SignaturesOverrides {
    id?: string;
    name?: string;
    properties?: SignaturesOverridesProperties;
    type?: string;
}

// @public
export interface SignaturesOverridesListOutput {
    value?: Array<SignaturesOverridesOutput>;
}

// @public
export interface SignaturesOverridesOutput {
    id?: string;
    name?: string;
    properties?: SignaturesOverridesPropertiesOutput;
    type?: string;
}

// @public
export interface SignaturesOverridesProperties {
    signatures?: Record<string, string>;
}

// @public
export interface SignaturesOverridesPropertiesOutput {
    signatures?: Record<string, string>;
}

// @public
export interface SimplePollerLike<TState extends OperationState<TResult>, TResult> {
    getOperationState(): TState;
    getResult(): TResult | undefined;
    isDone(): boolean;
    // @deprecated
    isStopped(): boolean;
    onProgress(callback: (state: TState) => void): CancelOnProgress;
    poll(options?: {
        abortSignal?: AbortSignalLike;
    }): Promise<TState>;
    pollUntilDone(pollOptions?: {
        abortSignal?: AbortSignalLike;
    }): Promise<TResult>;
    serialize(): Promise<string>;
    // @deprecated
    stopPolling(): void;
    submitted(): Promise<void>;
    // @deprecated
    toString(): string;
}

// @public (undocumented)
export interface SingleQueryResultOutput {
    description?: string;
    destinationPorts?: Array<string>;
    direction?: "0" | "1" | "2";
    group?: string;
    inheritedFromParentPolicy?: boolean;
    lastUpdated?: string;
    mode?: "0" | "1" | "2";
    protocol?: string;
    severity?: "1" | "2" | "3";
    signatureId?: number;
    sourcePorts?: Array<string>;
}

// @public
export interface Sku {
    name?: "Basic" | "Standard";
}

// @public
export interface SkuOutput {
    name?: "Basic" | "Standard";
}

// @public
export interface StaticMember extends ChildResource {
    properties?: StaticMemberProperties;
}

// @public
export interface StaticMemberListResultOutput {
    nextLink?: string;
    value?: Array<StaticMemberOutput>;
}

// @public
export interface StaticMemberOutput extends ChildResourceOutput {
    properties?: StaticMemberPropertiesOutput;
    readonly systemData?: SystemDataOutput;
}

// @public
export interface StaticMemberProperties {
    resourceId?: string;
}

// @public
export interface StaticMemberPropertiesOutput {
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    readonly region?: string;
    resourceId?: string;
}

// @public
export interface StaticMembersCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: StaticMemberOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface StaticMembersCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: StaticMemberOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface StaticMembersCreateOrUpdateBodyParam {
    body: StaticMember;
}

// @public
export interface StaticMembersCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface StaticMembersCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type StaticMembersCreateOrUpdateParameters = StaticMembersCreateOrUpdateQueryParam & StaticMembersCreateOrUpdateMediaTypesParam & StaticMembersCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface StaticMembersCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: StaticMembersCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface StaticMembersCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface StaticMembersDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface StaticMembersDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface StaticMembersDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type StaticMembersDeleteParameters = StaticMembersDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface StaticMembersDeleteQueryParam {
    // (undocumented)
    queryParameters: StaticMembersDeleteQueryParamProperties;
}

// @public (undocumented)
export interface StaticMembersDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface StaticMembersGet {
    delete(options: StaticMembersDeleteParameters): StreamableMethod<StaticMembersDelete200Response | StaticMembersDelete204Response | StaticMembersDeleteDefaultResponse>;
    get(options: StaticMembersGetParameters): StreamableMethod<StaticMembersGet200Response | StaticMembersGetDefaultResponse>;
    put(options: StaticMembersCreateOrUpdateParameters): StreamableMethod<StaticMembersCreateOrUpdate200Response | StaticMembersCreateOrUpdate201Response | StaticMembersCreateOrUpdateDefaultResponse>;
}

// @public
export interface StaticMembersGet200Response extends HttpResponse {
    // (undocumented)
    body: StaticMemberOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface StaticMembersGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type StaticMembersGetParameters = StaticMembersGetQueryParam & RequestParameters;

// @public (undocumented)
export interface StaticMembersGetQueryParam {
    // (undocumented)
    queryParameters: StaticMembersGetQueryParamProperties;
}

// @public (undocumented)
export interface StaticMembersGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface StaticMembersList {
    get(options: StaticMembersListParameters): StreamableMethod<StaticMembersList200Response | StaticMembersListDefaultResponse>;
}

// @public
export interface StaticMembersList200Response extends HttpResponse {
    // (undocumented)
    body: StaticMemberListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface StaticMembersListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type StaticMembersListParameters = StaticMembersListQueryParam & RequestParameters;

// @public (undocumented)
export interface StaticMembersListQueryParam {
    // (undocumented)
    queryParameters: StaticMembersListQueryParamProperties;
}

// @public (undocumented)
export interface StaticMembersListQueryParamProperties {
    "api-version": "2022-05-01";
    $skipToken?: string;
    $top?: number;
}

// @public
export interface StaticRoute {
    addressPrefixes?: Array<string>;
    name?: string;
    nextHopIpAddress?: string;
}

// @public
export interface StaticRouteOutput {
    addressPrefixes?: Array<string>;
    name?: string;
    nextHopIpAddress?: string;
}

// @public
export interface StaticRoutesConfig {
    vnetLocalRouteOverrideCriteria?: "Contains" | "Equal";
}

// @public
export interface StaticRoutesConfigOutput {
    readonly propagateStaticRoutes?: boolean;
    vnetLocalRouteOverrideCriteria?: "Contains" | "Equal";
}

// @public
export interface Subnet extends SubResource {
    name?: string;
    properties?: SubnetPropertiesFormat;
    type?: string;
}

// @public
export interface SubnetAssociationOutput {
    readonly id?: string;
    securityRules?: Array<SecurityRuleOutput>;
}

// @public
export interface SubnetListResultOutput {
    nextLink?: string;
    value?: Array<SubnetOutput>;
}

// @public
export interface SubnetOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: SubnetPropertiesFormatOutput;
    type?: string;
}

// @public
export interface SubnetPropertiesFormat {
    addressPrefix?: string;
    addressPrefixes?: Array<string>;
    applicationGatewayIpConfigurations?: Array<ApplicationGatewayIPConfiguration>;
    delegations?: Array<Delegation>;
    ipAllocations?: Array<SubResource>;
    natGateway?: SubResource;
    networkSecurityGroup?: NetworkSecurityGroup;
    privateEndpointNetworkPolicies?: "Enabled" | "Disabled";
    privateLinkServiceNetworkPolicies?: "Enabled" | "Disabled";
    routeTable?: RouteTable;
    serviceEndpointPolicies?: Array<ServiceEndpointPolicy>;
    serviceEndpoints?: Array<ServiceEndpointPropertiesFormat>;
}

// @public
export interface SubnetPropertiesFormatOutput {
    addressPrefix?: string;
    addressPrefixes?: Array<string>;
    applicationGatewayIpConfigurations?: Array<ApplicationGatewayIPConfigurationOutput>;
    delegations?: Array<DelegationOutput>;
    ipAllocations?: Array<SubResourceOutput>;
    readonly ipConfigurationProfiles?: Array<IPConfigurationProfileOutput>;
    readonly ipConfigurations?: Array<IPConfigurationOutput>;
    natGateway?: SubResourceOutput;
    networkSecurityGroup?: NetworkSecurityGroupOutput;
    privateEndpointNetworkPolicies?: "Enabled" | "Disabled";
    readonly privateEndpoints?: Array<PrivateEndpointOutput>;
    privateLinkServiceNetworkPolicies?: "Enabled" | "Disabled";
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    readonly purpose?: string;
    readonly resourceNavigationLinks?: Array<ResourceNavigationLinkOutput>;
    routeTable?: RouteTableOutput;
    readonly serviceAssociationLinks?: Array<ServiceAssociationLinkOutput>;
    serviceEndpointPolicies?: Array<ServiceEndpointPolicyOutput>;
    serviceEndpoints?: Array<ServiceEndpointPropertiesFormatOutput>;
}

// @public
export interface SubnetsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: SubnetOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface SubnetsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: SubnetOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface SubnetsCreateOrUpdateBodyParam {
    body: Subnet;
}

// @public
export interface SubnetsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface SubnetsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type SubnetsCreateOrUpdateParameters = SubnetsCreateOrUpdateQueryParam & SubnetsCreateOrUpdateMediaTypesParam & SubnetsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface SubnetsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: SubnetsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface SubnetsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface SubnetsDelete {
    delete(options: SubnetsDeleteParameters): StreamableMethod<SubnetsDelete200Response | SubnetsDelete202Response | SubnetsDelete204Response | SubnetsDeleteDefaultResponse>;
    get(options: SubnetsGetParameters): StreamableMethod<SubnetsGet200Response | SubnetsGetDefaultResponse>;
    put(options: SubnetsCreateOrUpdateParameters): StreamableMethod<SubnetsCreateOrUpdate200Response | SubnetsCreateOrUpdate201Response | SubnetsCreateOrUpdateDefaultResponse>;
}

// @public
export interface SubnetsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface SubnetsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface SubnetsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface SubnetsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type SubnetsDeleteParameters = SubnetsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface SubnetsDeleteQueryParam {
    // (undocumented)
    queryParameters: SubnetsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface SubnetsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface SubnetsGet200Response extends HttpResponse {
    // (undocumented)
    body: SubnetOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface SubnetsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type SubnetsGetParameters = SubnetsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface SubnetsGetQueryParam {
    // (undocumented)
    queryParameters: SubnetsGetQueryParamProperties;
}

// @public (undocumented)
export interface SubnetsGetQueryParamProperties {
    "api-version": "2022-05-01";
    $expand?: string;
}

// @public (undocumented)
export interface SubnetsList {
    get(options: SubnetsListParameters): StreamableMethod<SubnetsList200Response | SubnetsListDefaultResponse>;
}

// @public
export interface SubnetsList200Response extends HttpResponse {
    // (undocumented)
    body: SubnetListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface SubnetsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type SubnetsListParameters = SubnetsListQueryParam & RequestParameters;

// @public (undocumented)
export interface SubnetsListQueryParam {
    // (undocumented)
    queryParameters: SubnetsListQueryParamProperties;
}

// @public (undocumented)
export interface SubnetsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface SubnetsPrepareNetworkPolicies {
    post(options: SubnetsPrepareNetworkPoliciesParameters): StreamableMethod<SubnetsPrepareNetworkPolicies200Response | SubnetsPrepareNetworkPolicies202Response | SubnetsPrepareNetworkPoliciesDefaultResponse>;
}

// @public
export interface SubnetsPrepareNetworkPolicies200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface SubnetsPrepareNetworkPolicies202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface SubnetsPrepareNetworkPoliciesBodyParam {
    body: PrepareNetworkPoliciesRequest;
}

// @public
export interface SubnetsPrepareNetworkPoliciesDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface SubnetsPrepareNetworkPoliciesMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type SubnetsPrepareNetworkPoliciesParameters = SubnetsPrepareNetworkPoliciesQueryParam & SubnetsPrepareNetworkPoliciesMediaTypesParam & SubnetsPrepareNetworkPoliciesBodyParam & RequestParameters;

// @public (undocumented)
export interface SubnetsPrepareNetworkPoliciesQueryParam {
    // (undocumented)
    queryParameters: SubnetsPrepareNetworkPoliciesQueryParamProperties;
}

// @public (undocumented)
export interface SubnetsPrepareNetworkPoliciesQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface SubnetsUnprepareNetworkPolicies {
    post(options: SubnetsUnprepareNetworkPoliciesParameters): StreamableMethod<SubnetsUnprepareNetworkPolicies200Response | SubnetsUnprepareNetworkPolicies202Response | SubnetsUnprepareNetworkPoliciesDefaultResponse>;
}

// @public
export interface SubnetsUnprepareNetworkPolicies200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface SubnetsUnprepareNetworkPolicies202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface SubnetsUnprepareNetworkPoliciesBodyParam {
    body: UnprepareNetworkPoliciesRequest;
}

// @public
export interface SubnetsUnprepareNetworkPoliciesDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface SubnetsUnprepareNetworkPoliciesMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type SubnetsUnprepareNetworkPoliciesParameters = SubnetsUnprepareNetworkPoliciesQueryParam & SubnetsUnprepareNetworkPoliciesMediaTypesParam & SubnetsUnprepareNetworkPoliciesBodyParam & RequestParameters;

// @public (undocumented)
export interface SubnetsUnprepareNetworkPoliciesQueryParam {
    // (undocumented)
    queryParameters: SubnetsUnprepareNetworkPoliciesQueryParamProperties;
}

// @public (undocumented)
export interface SubnetsUnprepareNetworkPoliciesQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface SubResource {
    id?: string;
}

// @public
export interface SubResourceOutput {
    id?: string;
}

// @public (undocumented)
export interface SubscriptionNetworkManagerConnectionsCreateOrUpdate {
    delete(options: SubscriptionNetworkManagerConnectionsDeleteParameters): StreamableMethod<SubscriptionNetworkManagerConnectionsDelete200Response | SubscriptionNetworkManagerConnectionsDelete204Response | SubscriptionNetworkManagerConnectionsDeleteDefaultResponse>;
    get(options: SubscriptionNetworkManagerConnectionsGetParameters): StreamableMethod<SubscriptionNetworkManagerConnectionsGet200Response | SubscriptionNetworkManagerConnectionsGetDefaultResponse>;
    put(options: SubscriptionNetworkManagerConnectionsCreateOrUpdateParameters): StreamableMethod<SubscriptionNetworkManagerConnectionsCreateOrUpdate200Response | SubscriptionNetworkManagerConnectionsCreateOrUpdate201Response | SubscriptionNetworkManagerConnectionsCreateOrUpdateDefaultResponse>;
}

// @public
export interface SubscriptionNetworkManagerConnectionsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: NetworkManagerConnectionOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface SubscriptionNetworkManagerConnectionsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: NetworkManagerConnectionOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface SubscriptionNetworkManagerConnectionsCreateOrUpdateBodyParam {
    body: NetworkManagerConnection;
}

// @public
export interface SubscriptionNetworkManagerConnectionsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface SubscriptionNetworkManagerConnectionsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type SubscriptionNetworkManagerConnectionsCreateOrUpdateParameters = SubscriptionNetworkManagerConnectionsCreateOrUpdateQueryParam & SubscriptionNetworkManagerConnectionsCreateOrUpdateMediaTypesParam & SubscriptionNetworkManagerConnectionsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface SubscriptionNetworkManagerConnectionsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: SubscriptionNetworkManagerConnectionsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface SubscriptionNetworkManagerConnectionsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface SubscriptionNetworkManagerConnectionsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface SubscriptionNetworkManagerConnectionsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface SubscriptionNetworkManagerConnectionsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type SubscriptionNetworkManagerConnectionsDeleteParameters = SubscriptionNetworkManagerConnectionsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface SubscriptionNetworkManagerConnectionsDeleteQueryParam {
    // (undocumented)
    queryParameters: SubscriptionNetworkManagerConnectionsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface SubscriptionNetworkManagerConnectionsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface SubscriptionNetworkManagerConnectionsGet200Response extends HttpResponse {
    // (undocumented)
    body: NetworkManagerConnectionOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface SubscriptionNetworkManagerConnectionsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type SubscriptionNetworkManagerConnectionsGetParameters = SubscriptionNetworkManagerConnectionsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface SubscriptionNetworkManagerConnectionsGetQueryParam {
    // (undocumented)
    queryParameters: SubscriptionNetworkManagerConnectionsGetQueryParamProperties;
}

// @public (undocumented)
export interface SubscriptionNetworkManagerConnectionsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface SubscriptionNetworkManagerConnectionsList {
    get(options: SubscriptionNetworkManagerConnectionsListParameters): StreamableMethod<SubscriptionNetworkManagerConnectionsList200Response | SubscriptionNetworkManagerConnectionsListDefaultResponse>;
}

// @public
export interface SubscriptionNetworkManagerConnectionsList200Response extends HttpResponse {
    // (undocumented)
    body: NetworkManagerConnectionListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface SubscriptionNetworkManagerConnectionsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type SubscriptionNetworkManagerConnectionsListParameters = SubscriptionNetworkManagerConnectionsListQueryParam & RequestParameters;

// @public (undocumented)
export interface SubscriptionNetworkManagerConnectionsListQueryParam {
    // (undocumented)
    queryParameters: SubscriptionNetworkManagerConnectionsListQueryParamProperties;
}

// @public (undocumented)
export interface SubscriptionNetworkManagerConnectionsListQueryParamProperties {
    "api-version": "2022-05-01";
    $skipToken?: string;
    $top?: number;
}

// @public (undocumented)
export interface SupportedSecurityProviders {
    get(options: SupportedSecurityProvidersParameters): StreamableMethod<SupportedSecurityProviders200Response | SupportedSecurityProvidersDefaultResponse>;
}

// @public
export interface SupportedSecurityProviders200Response extends HttpResponse {
    // (undocumented)
    body: VirtualWanSecurityProvidersOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface SupportedSecurityProvidersDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type SupportedSecurityProvidersParameters = SupportedSecurityProvidersQueryParam & RequestParameters;

// @public (undocumented)
export interface SupportedSecurityProvidersQueryParam {
    // (undocumented)
    queryParameters: SupportedSecurityProvidersQueryParamProperties;
}

// @public (undocumented)
export interface SupportedSecurityProvidersQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface SwapResource {
    properties?: SwapResourceProperties;
}

// @public
export interface SwapResourceListResultOutput {
    // (undocumented)
    value?: Array<SwapResourceOutput>;
}

// @public
export interface SwapResourceOutput {
    readonly id?: string;
    readonly name?: string;
    properties?: SwapResourcePropertiesOutput;
    readonly type?: string;
}

// @public
export interface SwapResourceProperties {
    slotType?: "Production" | "Staging";
}

// @public
export interface SwapResourcePropertiesOutput {
    slotType?: "Production" | "Staging";
}

// @public
export interface SystemData {
    createdAt?: Date | string;
    createdBy?: string;
    createdByType?: "User" | "Application" | "ManagedIdentity" | "Key";
    lastModifiedAt?: Date | string;
    lastModifiedBy?: string;
    lastModifiedByType?: "User" | "Application" | "ManagedIdentity" | "Key";
}

// @public
export interface SystemDataOutput {
    createdAt?: string;
    createdBy?: string;
    createdByType?: "User" | "Application" | "ManagedIdentity" | "Key";
    lastModifiedAt?: string;
    lastModifiedBy?: string;
    lastModifiedByType?: "User" | "Application" | "ManagedIdentity" | "Key";
}

// @public
export interface TagsObject {
    tags?: Record<string, string>;
}

// @public
export interface TopologyAssociationOutput {
    associationType?: "Associated" | "Contains";
    name?: string;
    resourceId?: string;
}

// @public
export interface TopologyOutput {
    readonly createdDateTime?: string;
    readonly id?: string;
    readonly lastModified?: string;
    resources?: Array<TopologyResourceOutput>;
}

// @public
export interface TopologyParameters {
    targetResourceGroupName?: string;
    targetSubnet?: SubResource;
    targetVirtualNetwork?: SubResource;
}

// @public
export interface TopologyResourceOutput {
    associations?: Array<TopologyAssociationOutput>;
    id?: string;
    location?: string;
    name?: string;
}

// @public
export interface TrafficAnalyticsConfigurationProperties {
    enabled?: boolean;
    trafficAnalyticsInterval?: number;
    workspaceId?: string;
    workspaceRegion?: string;
    workspaceResourceId?: string;
}

// @public
export interface TrafficAnalyticsConfigurationPropertiesOutput {
    enabled?: boolean;
    trafficAnalyticsInterval?: number;
    workspaceId?: string;
    workspaceRegion?: string;
    workspaceResourceId?: string;
}

// @public
export interface TrafficAnalyticsProperties {
    networkWatcherFlowAnalyticsConfiguration?: TrafficAnalyticsConfigurationProperties;
}

// @public
export interface TrafficAnalyticsPropertiesOutput {
    networkWatcherFlowAnalyticsConfiguration?: TrafficAnalyticsConfigurationPropertiesOutput;
}

// @public
export interface TrafficSelectorPolicy {
    localAddressRanges: Array<string>;
    remoteAddressRanges: Array<string>;
}

// @public
export interface TrafficSelectorPolicyOutput {
    localAddressRanges: Array<string>;
    remoteAddressRanges: Array<string>;
}

// @public
export interface TroubleshootingDetailsOutput {
    detail?: string;
    id?: string;
    reasonType?: string;
    recommendedActions?: Array<TroubleshootingRecommendedActionsOutput>;
    summary?: string;
}

// @public
export interface TroubleshootingParameters {
    properties: TroubleshootingProperties;
    targetResourceId: string;
}

// @public
export interface TroubleshootingProperties {
    storageId: string;
    storagePath: string;
}

// @public
export interface TroubleshootingRecommendedActionsOutput {
    actionId?: string;
    actionText?: string;
    actionUri?: string;
    actionUriText?: string;
}

// @public
export interface TroubleshootingResultOutput {
    code?: string;
    endTime?: string;
    results?: Array<TroubleshootingDetailsOutput>;
    startTime?: string;
}

// @public
export interface TunnelConnectionHealth {
}

// @public
export interface TunnelConnectionHealthOutput {
    readonly connectionStatus?: "Unknown" | "Connecting" | "Connected" | "NotConnected";
    readonly egressBytesTransferred?: number;
    readonly ingressBytesTransferred?: number;
    readonly lastConnectionEstablishedUtcTime?: string;
    readonly tunnel?: string;
}

// @public
export interface UnprepareNetworkPoliciesRequest {
    serviceName?: string;
}

// @public
export interface UsageNameOutput {
    localizedValue?: string;
    value?: string;
}

// @public
export interface UsageOutput {
    currentValue: number;
    readonly id?: string;
    limit: number;
    name: UsageNameOutput;
    unit: "Count";
}

// @public (undocumented)
export interface UsagesList {
    get(options: UsagesListParameters): StreamableMethod<UsagesList200Response | UsagesListDefaultResponse>;
}

// @public
export interface UsagesList200Response extends HttpResponse {
    // (undocumented)
    body: UsagesListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface UsagesListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type UsagesListParameters = UsagesListQueryParam & RequestParameters;

// @public (undocumented)
export interface UsagesListQueryParam {
    // (undocumented)
    queryParameters: UsagesListQueryParamProperties;
}

// @public (undocumented)
export interface UsagesListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface UsagesListResultOutput {
    nextLink?: string;
    value?: Array<UsageOutput>;
}

// @public
export interface VerificationIPFlowParameters {
    direction: "Inbound" | "Outbound";
    localIPAddress: string;
    localPort: string;
    protocol: "TCP" | "UDP";
    remoteIPAddress: string;
    remotePort: string;
    targetNicResourceId?: string;
    targetResourceId: string;
}

// @public
export interface VerificationIPFlowResultOutput {
    access?: "Allow" | "Deny";
    ruleName?: string;
}

// @public
export interface VipSwapCreate200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface VipSwapCreate202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface VipSwapCreateBodyParam {
    body: SwapResource;
}

// @public
export interface VipSwapCreateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VipSwapCreateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VipSwapCreateParameters = VipSwapCreateQueryParam & VipSwapCreateMediaTypesParam & VipSwapCreateBodyParam & RequestParameters;

// @public (undocumented)
export interface VipSwapCreateQueryParam {
    // (undocumented)
    queryParameters: VipSwapCreateQueryParamProperties;
}

// @public (undocumented)
export interface VipSwapCreateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VipSwapGet {
    get(options: VipSwapGetParameters): StreamableMethod<VipSwapGet200Response | VipSwapGetDefaultResponse>;
    put(options: VipSwapCreateParameters): StreamableMethod<VipSwapCreate200Response | VipSwapCreate202Response | VipSwapCreateDefaultResponse>;
}

// @public
export interface VipSwapGet200Response extends HttpResponse {
    // (undocumented)
    body: SwapResourceOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VipSwapGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VipSwapGetParameters = VipSwapGetQueryParam & RequestParameters;

// @public (undocumented)
export interface VipSwapGetQueryParam {
    // (undocumented)
    queryParameters: VipSwapGetQueryParamProperties;
}

// @public (undocumented)
export interface VipSwapGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VipSwapList {
    get(options: VipSwapListParameters): StreamableMethod<VipSwapList200Response | VipSwapListDefaultResponse>;
}

// @public
export interface VipSwapList200Response extends HttpResponse {
    // (undocumented)
    body: SwapResourceListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VipSwapListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VipSwapListParameters = VipSwapListQueryParam & RequestParameters;

// @public (undocumented)
export interface VipSwapListQueryParam {
    // (undocumented)
    queryParameters: VipSwapListQueryParamProperties;
}

// @public (undocumented)
export interface VipSwapListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualApplianceNicProperties {
}

// @public
export interface VirtualApplianceNicPropertiesOutput {
    readonly name?: string;
    readonly privateIpAddress?: string;
    readonly publicIpAddress?: string;
}

// @public
export interface VirtualApplianceSite extends SubResource {
    name?: string;
    properties?: VirtualApplianceSiteProperties;
}

// @public
export interface VirtualApplianceSiteOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: VirtualApplianceSitePropertiesOutput;
    readonly type?: string;
}

// @public
export interface VirtualApplianceSiteProperties {
    addressPrefix?: string;
    o365Policy?: Office365PolicyProperties;
}

// @public
export interface VirtualApplianceSitePropertiesOutput {
    addressPrefix?: string;
    o365Policy?: Office365PolicyPropertiesOutput;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public
export interface VirtualApplianceSitesCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: VirtualApplianceSiteOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualApplianceSitesCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: VirtualApplianceSiteOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface VirtualApplianceSitesCreateOrUpdateBodyParam {
    body: VirtualApplianceSite;
}

// @public
export interface VirtualApplianceSitesCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualApplianceSitesCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualApplianceSitesCreateOrUpdateParameters = VirtualApplianceSitesCreateOrUpdateQueryParam & VirtualApplianceSitesCreateOrUpdateMediaTypesParam & VirtualApplianceSitesCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualApplianceSitesCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: VirtualApplianceSitesCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface VirtualApplianceSitesCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualApplianceSitesDelete {
    delete(options: VirtualApplianceSitesDeleteParameters): StreamableMethod<VirtualApplianceSitesDelete200Response | VirtualApplianceSitesDelete202Response | VirtualApplianceSitesDelete204Response | VirtualApplianceSitesDeleteDefaultResponse>;
    get(options: VirtualApplianceSitesGetParameters): StreamableMethod<VirtualApplianceSitesGet200Response | VirtualApplianceSitesGetDefaultResponse>;
    put(options: VirtualApplianceSitesCreateOrUpdateParameters): StreamableMethod<VirtualApplianceSitesCreateOrUpdate200Response | VirtualApplianceSitesCreateOrUpdate201Response | VirtualApplianceSitesCreateOrUpdateDefaultResponse>;
}

// @public
export interface VirtualApplianceSitesDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualApplianceSitesDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VirtualApplianceSitesDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface VirtualApplianceSitesDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualApplianceSitesDeleteParameters = VirtualApplianceSitesDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualApplianceSitesDeleteQueryParam {
    // (undocumented)
    queryParameters: VirtualApplianceSitesDeleteQueryParamProperties;
}

// @public (undocumented)
export interface VirtualApplianceSitesDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualApplianceSitesGet200Response extends HttpResponse {
    // (undocumented)
    body: VirtualApplianceSiteOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualApplianceSitesGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualApplianceSitesGetParameters = VirtualApplianceSitesGetQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualApplianceSitesGetQueryParam {
    // (undocumented)
    queryParameters: VirtualApplianceSitesGetQueryParamProperties;
}

// @public (undocumented)
export interface VirtualApplianceSitesGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualApplianceSitesList {
    get(options: VirtualApplianceSitesListParameters): StreamableMethod<VirtualApplianceSitesList200Response | VirtualApplianceSitesListDefaultResponse>;
}

// @public
export interface VirtualApplianceSitesList200Response extends HttpResponse {
    // (undocumented)
    body: NetworkVirtualApplianceSiteListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualApplianceSitesListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualApplianceSitesListParameters = VirtualApplianceSitesListQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualApplianceSitesListQueryParam {
    // (undocumented)
    queryParameters: VirtualApplianceSitesListQueryParamProperties;
}

// @public (undocumented)
export interface VirtualApplianceSitesListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualApplianceSkuProperties {
    bundledScaleUnit?: string;
    marketPlaceVersion?: string;
    vendor?: string;
}

// @public
export interface VirtualApplianceSkuPropertiesOutput {
    bundledScaleUnit?: string;
    marketPlaceVersion?: string;
    vendor?: string;
}

// @public (undocumented)
export interface VirtualApplianceSkusGet {
    get(options: VirtualApplianceSkusGetParameters): StreamableMethod<VirtualApplianceSkusGet200Response | VirtualApplianceSkusGetDefaultResponse>;
}

// @public
export interface VirtualApplianceSkusGet200Response extends HttpResponse {
    // (undocumented)
    body: NetworkVirtualApplianceSkuOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualApplianceSkusGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualApplianceSkusGetParameters = VirtualApplianceSkusGetQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualApplianceSkusGetQueryParam {
    // (undocumented)
    queryParameters: VirtualApplianceSkusGetQueryParamProperties;
}

// @public (undocumented)
export interface VirtualApplianceSkusGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualApplianceSkusList {
    get(options: VirtualApplianceSkusListParameters): StreamableMethod<VirtualApplianceSkusList200Response | VirtualApplianceSkusListDefaultResponse>;
}

// @public
export interface VirtualApplianceSkusList200Response extends HttpResponse {
    // (undocumented)
    body: NetworkVirtualApplianceSkuListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualApplianceSkusListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualApplianceSkusListParameters = VirtualApplianceSkusListQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualApplianceSkusListQueryParam {
    // (undocumented)
    queryParameters: VirtualApplianceSkusListQueryParamProperties;
}

// @public (undocumented)
export interface VirtualApplianceSkusListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualHub extends Resource {
    properties?: VirtualHubProperties;
}

// @public
export interface VirtualHubBgpConnectionCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: BgpConnectionOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualHubBgpConnectionCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: BgpConnectionOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface VirtualHubBgpConnectionCreateOrUpdateBodyParam {
    body: BgpConnection;
}

// @public
export interface VirtualHubBgpConnectionCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualHubBgpConnectionCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualHubBgpConnectionCreateOrUpdateParameters = VirtualHubBgpConnectionCreateOrUpdateQueryParam & VirtualHubBgpConnectionCreateOrUpdateMediaTypesParam & VirtualHubBgpConnectionCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualHubBgpConnectionCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: VirtualHubBgpConnectionCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface VirtualHubBgpConnectionCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualHubBgpConnectionDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualHubBgpConnectionDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VirtualHubBgpConnectionDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface VirtualHubBgpConnectionDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualHubBgpConnectionDeleteParameters = VirtualHubBgpConnectionDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualHubBgpConnectionDeleteQueryParam {
    // (undocumented)
    queryParameters: VirtualHubBgpConnectionDeleteQueryParamProperties;
}

// @public (undocumented)
export interface VirtualHubBgpConnectionDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualHubBgpConnectionGet {
    delete(options: VirtualHubBgpConnectionDeleteParameters): StreamableMethod<VirtualHubBgpConnectionDelete200Response | VirtualHubBgpConnectionDelete202Response | VirtualHubBgpConnectionDelete204Response | VirtualHubBgpConnectionDeleteDefaultResponse>;
    get(options: VirtualHubBgpConnectionGetParameters): StreamableMethod<VirtualHubBgpConnectionGet200Response | VirtualHubBgpConnectionGetDefaultResponse>;
    put(options: VirtualHubBgpConnectionCreateOrUpdateParameters): StreamableMethod<VirtualHubBgpConnectionCreateOrUpdate200Response | VirtualHubBgpConnectionCreateOrUpdate201Response | VirtualHubBgpConnectionCreateOrUpdateDefaultResponse>;
}

// @public
export interface VirtualHubBgpConnectionGet200Response extends HttpResponse {
    // (undocumented)
    body: BgpConnectionOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualHubBgpConnectionGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualHubBgpConnectionGetParameters = VirtualHubBgpConnectionGetQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualHubBgpConnectionGetQueryParam {
    // (undocumented)
    queryParameters: VirtualHubBgpConnectionGetQueryParamProperties;
}

// @public (undocumented)
export interface VirtualHubBgpConnectionGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualHubBgpConnectionsList {
    get(options: VirtualHubBgpConnectionsListParameters): StreamableMethod<VirtualHubBgpConnectionsList200Response | VirtualHubBgpConnectionsListDefaultResponse>;
}

// @public
export interface VirtualHubBgpConnectionsList200Response extends HttpResponse {
    // (undocumented)
    body: ListVirtualHubBgpConnectionResultsOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface VirtualHubBgpConnectionsListAdvertisedRoutes {
    post(options: VirtualHubBgpConnectionsListAdvertisedRoutesParameters): StreamableMethod<VirtualHubBgpConnectionsListAdvertisedRoutes200Response | VirtualHubBgpConnectionsListAdvertisedRoutes202Response | VirtualHubBgpConnectionsListAdvertisedRoutesDefaultResponse>;
}

// @public
export interface VirtualHubBgpConnectionsListAdvertisedRoutes200Response extends HttpResponse {
    // (undocumented)
    body: PeerRouteListOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualHubBgpConnectionsListAdvertisedRoutes202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VirtualHubBgpConnectionsListAdvertisedRoutesDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualHubBgpConnectionsListAdvertisedRoutesParameters = VirtualHubBgpConnectionsListAdvertisedRoutesQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualHubBgpConnectionsListAdvertisedRoutesQueryParam {
    // (undocumented)
    queryParameters: VirtualHubBgpConnectionsListAdvertisedRoutesQueryParamProperties;
}

// @public (undocumented)
export interface VirtualHubBgpConnectionsListAdvertisedRoutesQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualHubBgpConnectionsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualHubBgpConnectionsListLearnedRoutes {
    post(options: VirtualHubBgpConnectionsListLearnedRoutesParameters): StreamableMethod<VirtualHubBgpConnectionsListLearnedRoutes200Response | VirtualHubBgpConnectionsListLearnedRoutes202Response | VirtualHubBgpConnectionsListLearnedRoutesDefaultResponse>;
}

// @public
export interface VirtualHubBgpConnectionsListLearnedRoutes200Response extends HttpResponse {
    // (undocumented)
    body: PeerRouteListOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualHubBgpConnectionsListLearnedRoutes202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VirtualHubBgpConnectionsListLearnedRoutesDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualHubBgpConnectionsListLearnedRoutesParameters = VirtualHubBgpConnectionsListLearnedRoutesQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualHubBgpConnectionsListLearnedRoutesQueryParam {
    // (undocumented)
    queryParameters: VirtualHubBgpConnectionsListLearnedRoutesQueryParamProperties;
}

// @public (undocumented)
export interface VirtualHubBgpConnectionsListLearnedRoutesQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export type VirtualHubBgpConnectionsListParameters = VirtualHubBgpConnectionsListQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualHubBgpConnectionsListQueryParam {
    // (undocumented)
    queryParameters: VirtualHubBgpConnectionsListQueryParamProperties;
}

// @public (undocumented)
export interface VirtualHubBgpConnectionsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualHubId {
    id?: string;
}

// @public
export interface VirtualHubIdOutput {
    id?: string;
}

// @public
export interface VirtualHubIpConfigurationCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: HubIpConfigurationOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualHubIpConfigurationCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: HubIpConfigurationOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface VirtualHubIpConfigurationCreateOrUpdateBodyParam {
    body: HubIpConfiguration;
}

// @public
export interface VirtualHubIpConfigurationCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualHubIpConfigurationCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualHubIpConfigurationCreateOrUpdateParameters = VirtualHubIpConfigurationCreateOrUpdateQueryParam & VirtualHubIpConfigurationCreateOrUpdateMediaTypesParam & VirtualHubIpConfigurationCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualHubIpConfigurationCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: VirtualHubIpConfigurationCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface VirtualHubIpConfigurationCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualHubIpConfigurationDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualHubIpConfigurationDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VirtualHubIpConfigurationDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface VirtualHubIpConfigurationDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualHubIpConfigurationDeleteParameters = VirtualHubIpConfigurationDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualHubIpConfigurationDeleteQueryParam {
    // (undocumented)
    queryParameters: VirtualHubIpConfigurationDeleteQueryParamProperties;
}

// @public (undocumented)
export interface VirtualHubIpConfigurationDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualHubIpConfigurationGet {
    delete(options: VirtualHubIpConfigurationDeleteParameters): StreamableMethod<VirtualHubIpConfigurationDelete200Response | VirtualHubIpConfigurationDelete202Response | VirtualHubIpConfigurationDelete204Response | VirtualHubIpConfigurationDeleteDefaultResponse>;
    get(options: VirtualHubIpConfigurationGetParameters): StreamableMethod<VirtualHubIpConfigurationGet200Response | VirtualHubIpConfigurationGetDefaultResponse>;
    put(options: VirtualHubIpConfigurationCreateOrUpdateParameters): StreamableMethod<VirtualHubIpConfigurationCreateOrUpdate200Response | VirtualHubIpConfigurationCreateOrUpdate201Response | VirtualHubIpConfigurationCreateOrUpdateDefaultResponse>;
}

// @public
export interface VirtualHubIpConfigurationGet200Response extends HttpResponse {
    // (undocumented)
    body: HubIpConfigurationOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualHubIpConfigurationGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualHubIpConfigurationGetParameters = VirtualHubIpConfigurationGetQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualHubIpConfigurationGetQueryParam {
    // (undocumented)
    queryParameters: VirtualHubIpConfigurationGetQueryParamProperties;
}

// @public (undocumented)
export interface VirtualHubIpConfigurationGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualHubIpConfigurationList {
    get(options: VirtualHubIpConfigurationListParameters): StreamableMethod<VirtualHubIpConfigurationList200Response | VirtualHubIpConfigurationListDefaultResponse>;
}

// @public
export interface VirtualHubIpConfigurationList200Response extends HttpResponse {
    // (undocumented)
    body: ListVirtualHubIpConfigurationResultsOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualHubIpConfigurationListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualHubIpConfigurationListParameters = VirtualHubIpConfigurationListQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualHubIpConfigurationListQueryParam {
    // (undocumented)
    queryParameters: VirtualHubIpConfigurationListQueryParamProperties;
}

// @public (undocumented)
export interface VirtualHubIpConfigurationListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualHubOutput extends ResourceOutput {
    readonly etag?: string;
    readonly kind?: string;
    properties?: VirtualHubPropertiesOutput;
}

// @public
export interface VirtualHubProperties {
    addressPrefix?: string;
    allowBranchToBranchTraffic?: boolean;
    azureFirewall?: SubResource;
    expressRouteGateway?: SubResource;
    hubRoutingPreference?: "ExpressRoute" | "VpnGateway" | "ASPath";
    p2SVpnGateway?: SubResource;
    preferredRoutingGateway?: "ExpressRoute" | "VpnGateway" | "None";
    routeTable?: VirtualHubRouteTable;
    securityPartnerProvider?: SubResource;
    securityProviderName?: string;
    sku?: string;
    virtualHubRouteTableV2s?: Array<VirtualHubRouteTableV2>;
    virtualRouterAsn?: number;
    virtualRouterAutoScaleConfiguration?: VirtualRouterAutoScaleConfiguration;
    virtualRouterIps?: Array<string>;
    virtualWan?: SubResource;
    vpnGateway?: SubResource;
}

// @public
export interface VirtualHubPropertiesOutput {
    addressPrefix?: string;
    allowBranchToBranchTraffic?: boolean;
    azureFirewall?: SubResourceOutput;
    readonly bgpConnections?: Array<SubResourceOutput>;
    expressRouteGateway?: SubResourceOutput;
    hubRoutingPreference?: "ExpressRoute" | "VpnGateway" | "ASPath";
    readonly ipConfigurations?: Array<SubResourceOutput>;
    p2SVpnGateway?: SubResourceOutput;
    preferredRoutingGateway?: "ExpressRoute" | "VpnGateway" | "None";
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    readonly routeMaps?: Array<SubResourceOutput>;
    routeTable?: VirtualHubRouteTableOutput;
    readonly routingState?: "None" | "Provisioned" | "Provisioning" | "Failed";
    securityPartnerProvider?: SubResourceOutput;
    securityProviderName?: string;
    sku?: string;
    virtualHubRouteTableV2s?: Array<VirtualHubRouteTableV2Output>;
    virtualRouterAsn?: number;
    virtualRouterAutoScaleConfiguration?: VirtualRouterAutoScaleConfigurationOutput;
    virtualRouterIps?: Array<string>;
    virtualWan?: SubResourceOutput;
    vpnGateway?: SubResourceOutput;
}

// @public
export interface VirtualHubRoute {
    addressPrefixes?: Array<string>;
    nextHopIpAddress?: string;
}

// @public
export interface VirtualHubRouteOutput {
    addressPrefixes?: Array<string>;
    nextHopIpAddress?: string;
}

// @public
export interface VirtualHubRouteTable {
    routes?: Array<VirtualHubRoute>;
}

// @public
export interface VirtualHubRouteTableOutput {
    routes?: Array<VirtualHubRouteOutput>;
}

// @public
export interface VirtualHubRouteTableV2 extends SubResource {
    name?: string;
    properties?: VirtualHubRouteTableV2Properties;
}

// @public
export interface VirtualHubRouteTableV2Output extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: VirtualHubRouteTableV2PropertiesOutput;
}

// @public
export interface VirtualHubRouteTableV2Properties {
    attachedConnections?: Array<string>;
    routes?: Array<VirtualHubRouteV2>;
}

// @public
export interface VirtualHubRouteTableV2PropertiesOutput {
    attachedConnections?: Array<string>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    routes?: Array<VirtualHubRouteV2Output>;
}

// @public
export interface VirtualHubRouteTableV2SCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: VirtualHubRouteTableV2Output;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualHubRouteTableV2SCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: VirtualHubRouteTableV2Output;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface VirtualHubRouteTableV2SCreateOrUpdateBodyParam {
    body: VirtualHubRouteTableV2;
}

// @public
export interface VirtualHubRouteTableV2SCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualHubRouteTableV2SCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualHubRouteTableV2SCreateOrUpdateParameters = VirtualHubRouteTableV2SCreateOrUpdateQueryParam & VirtualHubRouteTableV2SCreateOrUpdateMediaTypesParam & VirtualHubRouteTableV2SCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualHubRouteTableV2SCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: VirtualHubRouteTableV2SCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface VirtualHubRouteTableV2SCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualHubRouteTableV2SDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualHubRouteTableV2SDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VirtualHubRouteTableV2SDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface VirtualHubRouteTableV2SDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualHubRouteTableV2SDeleteParameters = VirtualHubRouteTableV2SDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualHubRouteTableV2SDeleteQueryParam {
    // (undocumented)
    queryParameters: VirtualHubRouteTableV2SDeleteQueryParamProperties;
}

// @public (undocumented)
export interface VirtualHubRouteTableV2SDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualHubRouteTableV2SGet {
    delete(options: VirtualHubRouteTableV2SDeleteParameters): StreamableMethod<VirtualHubRouteTableV2SDelete200Response | VirtualHubRouteTableV2SDelete202Response | VirtualHubRouteTableV2SDelete204Response | VirtualHubRouteTableV2SDeleteDefaultResponse>;
    get(options: VirtualHubRouteTableV2SGetParameters): StreamableMethod<VirtualHubRouteTableV2SGet200Response | VirtualHubRouteTableV2SGetDefaultResponse>;
    put(options: VirtualHubRouteTableV2SCreateOrUpdateParameters): StreamableMethod<VirtualHubRouteTableV2SCreateOrUpdate200Response | VirtualHubRouteTableV2SCreateOrUpdate201Response | VirtualHubRouteTableV2SCreateOrUpdateDefaultResponse>;
}

// @public
export interface VirtualHubRouteTableV2SGet200Response extends HttpResponse {
    // (undocumented)
    body: VirtualHubRouteTableV2Output;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualHubRouteTableV2SGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualHubRouteTableV2SGetParameters = VirtualHubRouteTableV2SGetQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualHubRouteTableV2SGetQueryParam {
    // (undocumented)
    queryParameters: VirtualHubRouteTableV2SGetQueryParamProperties;
}

// @public (undocumented)
export interface VirtualHubRouteTableV2SGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualHubRouteTableV2SList {
    get(options: VirtualHubRouteTableV2SListParameters): StreamableMethod<VirtualHubRouteTableV2SList200Response | VirtualHubRouteTableV2SListDefaultResponse>;
}

// @public
export interface VirtualHubRouteTableV2SList200Response extends HttpResponse {
    // (undocumented)
    body: ListVirtualHubRouteTableV2SResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualHubRouteTableV2SListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualHubRouteTableV2SListParameters = VirtualHubRouteTableV2SListQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualHubRouteTableV2SListQueryParam {
    // (undocumented)
    queryParameters: VirtualHubRouteTableV2SListQueryParamProperties;
}

// @public (undocumented)
export interface VirtualHubRouteTableV2SListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualHubRouteV2 {
    destinations?: Array<string>;
    destinationType?: string;
    nextHops?: Array<string>;
    nextHopType?: string;
}

// @public
export interface VirtualHubRouteV2Output {
    destinations?: Array<string>;
    destinationType?: string;
    nextHops?: Array<string>;
    nextHopType?: string;
}

// @public
export interface VirtualHubsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: VirtualHubOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualHubsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: VirtualHubOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface VirtualHubsCreateOrUpdateBodyParam {
    body: VirtualHub;
}

// @public
export interface VirtualHubsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualHubsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualHubsCreateOrUpdateParameters = VirtualHubsCreateOrUpdateQueryParam & VirtualHubsCreateOrUpdateMediaTypesParam & VirtualHubsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualHubsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: VirtualHubsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface VirtualHubsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualHubsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualHubsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VirtualHubsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface VirtualHubsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualHubsDeleteParameters = VirtualHubsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualHubsDeleteQueryParam {
    // (undocumented)
    queryParameters: VirtualHubsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface VirtualHubsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualHubsGet {
    delete(options: VirtualHubsDeleteParameters): StreamableMethod<VirtualHubsDelete200Response | VirtualHubsDelete202Response | VirtualHubsDelete204Response | VirtualHubsDeleteDefaultResponse>;
    get(options: VirtualHubsGetParameters): StreamableMethod<VirtualHubsGet200Response | VirtualHubsGetDefaultResponse>;
    patch(options: VirtualHubsUpdateTagsParameters): StreamableMethod<VirtualHubsUpdateTags200Response | VirtualHubsUpdateTagsDefaultResponse>;
    put(options: VirtualHubsCreateOrUpdateParameters): StreamableMethod<VirtualHubsCreateOrUpdate200Response | VirtualHubsCreateOrUpdate201Response | VirtualHubsCreateOrUpdateDefaultResponse>;
}

// @public
export interface VirtualHubsGet200Response extends HttpResponse {
    // (undocumented)
    body: VirtualHubOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualHubsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualHubsGetEffectiveVirtualHubRoutes {
    post(options: VirtualHubsGetEffectiveVirtualHubRoutesParameters): StreamableMethod<VirtualHubsGetEffectiveVirtualHubRoutes200Response | VirtualHubsGetEffectiveVirtualHubRoutes202Response | VirtualHubsGetEffectiveVirtualHubRoutesDefaultResponse>;
}

// @public
export interface VirtualHubsGetEffectiveVirtualHubRoutes200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualHubsGetEffectiveVirtualHubRoutes202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface VirtualHubsGetEffectiveVirtualHubRoutesBodyParam {
    body?: EffectiveRoutesParameters;
}

// @public
export interface VirtualHubsGetEffectiveVirtualHubRoutesDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualHubsGetEffectiveVirtualHubRoutesMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualHubsGetEffectiveVirtualHubRoutesParameters = VirtualHubsGetEffectiveVirtualHubRoutesQueryParam & VirtualHubsGetEffectiveVirtualHubRoutesMediaTypesParam & VirtualHubsGetEffectiveVirtualHubRoutesBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualHubsGetEffectiveVirtualHubRoutesQueryParam {
    // (undocumented)
    queryParameters: VirtualHubsGetEffectiveVirtualHubRoutesQueryParamProperties;
}

// @public (undocumented)
export interface VirtualHubsGetEffectiveVirtualHubRoutesQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualHubsGetInboundRoutes {
    post(options: VirtualHubsGetInboundRoutesParameters): StreamableMethod<VirtualHubsGetInboundRoutes200Response | VirtualHubsGetInboundRoutes202Response | VirtualHubsGetInboundRoutesDefaultResponse>;
}

// @public
export interface VirtualHubsGetInboundRoutes200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualHubsGetInboundRoutes202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface VirtualHubsGetInboundRoutesBodyParam {
    body: GetInboundRoutesParameters;
}

// @public
export interface VirtualHubsGetInboundRoutesDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualHubsGetInboundRoutesMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualHubsGetInboundRoutesParameters = VirtualHubsGetInboundRoutesQueryParam & VirtualHubsGetInboundRoutesMediaTypesParam & VirtualHubsGetInboundRoutesBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualHubsGetInboundRoutesQueryParam {
    // (undocumented)
    queryParameters: VirtualHubsGetInboundRoutesQueryParamProperties;
}

// @public (undocumented)
export interface VirtualHubsGetInboundRoutesQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualHubsGetOutboundRoutes {
    post(options: VirtualHubsGetOutboundRoutesParameters): StreamableMethod<VirtualHubsGetOutboundRoutes200Response | VirtualHubsGetOutboundRoutes202Response | VirtualHubsGetOutboundRoutesDefaultResponse>;
}

// @public
export interface VirtualHubsGetOutboundRoutes200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualHubsGetOutboundRoutes202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface VirtualHubsGetOutboundRoutesBodyParam {
    body: GetOutboundRoutesParameters;
}

// @public
export interface VirtualHubsGetOutboundRoutesDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualHubsGetOutboundRoutesMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualHubsGetOutboundRoutesParameters = VirtualHubsGetOutboundRoutesQueryParam & VirtualHubsGetOutboundRoutesMediaTypesParam & VirtualHubsGetOutboundRoutesBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualHubsGetOutboundRoutesQueryParam {
    // (undocumented)
    queryParameters: VirtualHubsGetOutboundRoutesQueryParamProperties;
}

// @public (undocumented)
export interface VirtualHubsGetOutboundRoutesQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export type VirtualHubsGetParameters = VirtualHubsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualHubsGetQueryParam {
    // (undocumented)
    queryParameters: VirtualHubsGetQueryParamProperties;
}

// @public (undocumented)
export interface VirtualHubsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualHubsList {
    get(options: VirtualHubsListParameters): StreamableMethod<VirtualHubsList200Response | VirtualHubsListDefaultResponse>;
}

// @public
export interface VirtualHubsList200Response extends HttpResponse {
    // (undocumented)
    body: ListVirtualHubsResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface VirtualHubsListByResourceGroup {
    get(options: VirtualHubsListByResourceGroupParameters): StreamableMethod<VirtualHubsListByResourceGroup200Response | VirtualHubsListByResourceGroupDefaultResponse>;
}

// @public
export interface VirtualHubsListByResourceGroup200Response extends HttpResponse {
    // (undocumented)
    body: ListVirtualHubsResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualHubsListByResourceGroupDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualHubsListByResourceGroupParameters = VirtualHubsListByResourceGroupQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualHubsListByResourceGroupQueryParam {
    // (undocumented)
    queryParameters: VirtualHubsListByResourceGroupQueryParamProperties;
}

// @public (undocumented)
export interface VirtualHubsListByResourceGroupQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualHubsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualHubsListParameters = VirtualHubsListQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualHubsListQueryParam {
    // (undocumented)
    queryParameters: VirtualHubsListQueryParamProperties;
}

// @public (undocumented)
export interface VirtualHubsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualHubsUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: VirtualHubOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface VirtualHubsUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface VirtualHubsUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualHubsUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualHubsUpdateTagsParameters = VirtualHubsUpdateTagsQueryParam & VirtualHubsUpdateTagsMediaTypesParam & VirtualHubsUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualHubsUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: VirtualHubsUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface VirtualHubsUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualNetwork extends Resource {
    extendedLocation?: ExtendedLocation;
    properties?: VirtualNetworkPropertiesFormat;
}

// @public
export interface VirtualNetworkBgpCommunities {
    virtualNetworkCommunity: string;
}

// @public
export interface VirtualNetworkBgpCommunitiesOutput {
    readonly regionalCommunity?: string;
    virtualNetworkCommunity: string;
}

// @public
export interface VirtualNetworkConnectionGatewayReference {
    id: string;
}

// @public
export interface VirtualNetworkConnectionGatewayReferenceOutput {
    id: string;
}

// @public
export interface VirtualNetworkDdosProtectionStatusResultOutput {
    nextLink?: string;
    value?: Array<PublicIpDdosProtectionStatusResultOutput>;
}

// @public
export interface VirtualNetworkEncryption {
    enabled: boolean;
    enforcement?: "DropUnencrypted" | "AllowUnencrypted";
}

// @public
export interface VirtualNetworkEncryptionOutput {
    enabled: boolean;
    enforcement?: "DropUnencrypted" | "AllowUnencrypted";
}

// @public
export interface VirtualNetworkGateway extends Resource {
    extendedLocation?: ExtendedLocation;
    properties: VirtualNetworkGatewayPropertiesFormat;
}

// @public
export interface VirtualNetworkGatewayConnection extends Resource {
    properties: VirtualNetworkGatewayConnectionPropertiesFormat;
}

// @public
export interface VirtualNetworkGatewayConnectionListEntity extends Resource {
    properties: VirtualNetworkGatewayConnectionListEntityPropertiesFormat;
}

// @public
export interface VirtualNetworkGatewayConnectionListEntityOutput extends ResourceOutput {
    readonly etag?: string;
    properties: VirtualNetworkGatewayConnectionListEntityPropertiesFormatOutput;
}

// @public
export interface VirtualNetworkGatewayConnectionListEntityPropertiesFormat {
    authorizationKey?: string;
    connectionMode?: "Default" | "ResponderOnly" | "InitiatorOnly";
    connectionProtocol?: "IKEv2" | "IKEv1";
    connectionType: "IPsec" | "Vnet2Vnet" | "ExpressRoute" | "VPNClient";
    enableBgp?: boolean;
    enablePrivateLinkFastPath?: boolean;
    expressRouteGatewayBypass?: boolean;
    gatewayCustomBgpIpAddresses?: Array<GatewayCustomBgpIpAddressIpConfiguration>;
    ipsecPolicies?: Array<IpsecPolicy>;
    localNetworkGateway2?: VirtualNetworkConnectionGatewayReference;
    peer?: SubResource;
    routingWeight?: number;
    sharedKey?: string;
    trafficSelectorPolicies?: Array<TrafficSelectorPolicy>;
    usePolicyBasedTrafficSelectors?: boolean;
    virtualNetworkGateway1: VirtualNetworkConnectionGatewayReference;
    virtualNetworkGateway2?: VirtualNetworkConnectionGatewayReference;
}

// @public
export interface VirtualNetworkGatewayConnectionListEntityPropertiesFormatOutput {
    authorizationKey?: string;
    connectionMode?: "Default" | "ResponderOnly" | "InitiatorOnly";
    connectionProtocol?: "IKEv2" | "IKEv1";
    readonly connectionStatus?: "Unknown" | "Connecting" | "Connected" | "NotConnected";
    connectionType: "IPsec" | "Vnet2Vnet" | "ExpressRoute" | "VPNClient";
    readonly egressBytesTransferred?: number;
    enableBgp?: boolean;
    enablePrivateLinkFastPath?: boolean;
    expressRouteGatewayBypass?: boolean;
    gatewayCustomBgpIpAddresses?: Array<GatewayCustomBgpIpAddressIpConfigurationOutput>;
    readonly ingressBytesTransferred?: number;
    ipsecPolicies?: Array<IpsecPolicyOutput>;
    localNetworkGateway2?: VirtualNetworkConnectionGatewayReferenceOutput;
    peer?: SubResourceOutput;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    readonly resourceGuid?: string;
    routingWeight?: number;
    sharedKey?: string;
    trafficSelectorPolicies?: Array<TrafficSelectorPolicyOutput>;
    readonly tunnelConnectionStatus?: Array<TunnelConnectionHealthOutput>;
    usePolicyBasedTrafficSelectors?: boolean;
    virtualNetworkGateway1: VirtualNetworkConnectionGatewayReferenceOutput;
    virtualNetworkGateway2?: VirtualNetworkConnectionGatewayReferenceOutput;
}

// @public
export interface VirtualNetworkGatewayConnectionListResultOutput {
    readonly nextLink?: string;
    value?: Array<VirtualNetworkGatewayConnectionOutput>;
}

// @public
export interface VirtualNetworkGatewayConnectionOutput extends ResourceOutput {
    readonly etag?: string;
    properties: VirtualNetworkGatewayConnectionPropertiesFormatOutput;
}

// @public
export interface VirtualNetworkGatewayConnectionPropertiesFormat {
    authorizationKey?: string;
    connectionMode?: "Default" | "ResponderOnly" | "InitiatorOnly";
    connectionProtocol?: "IKEv2" | "IKEv1";
    connectionType: "IPsec" | "Vnet2Vnet" | "ExpressRoute" | "VPNClient";
    dpdTimeoutSeconds?: number;
    egressNatRules?: Array<SubResource>;
    enableBgp?: boolean;
    enablePrivateLinkFastPath?: boolean;
    expressRouteGatewayBypass?: boolean;
    gatewayCustomBgpIpAddresses?: Array<GatewayCustomBgpIpAddressIpConfiguration>;
    ingressNatRules?: Array<SubResource>;
    ipsecPolicies?: Array<IpsecPolicy>;
    localNetworkGateway2?: LocalNetworkGateway;
    peer?: SubResource;
    routingWeight?: number;
    sharedKey?: string;
    trafficSelectorPolicies?: Array<TrafficSelectorPolicy>;
    useLocalAzureIpAddress?: boolean;
    usePolicyBasedTrafficSelectors?: boolean;
    virtualNetworkGateway1: VirtualNetworkGateway;
    virtualNetworkGateway2?: VirtualNetworkGateway;
}

// @public
export interface VirtualNetworkGatewayConnectionPropertiesFormatOutput {
    authorizationKey?: string;
    connectionMode?: "Default" | "ResponderOnly" | "InitiatorOnly";
    connectionProtocol?: "IKEv2" | "IKEv1";
    readonly connectionStatus?: "Unknown" | "Connecting" | "Connected" | "NotConnected";
    connectionType: "IPsec" | "Vnet2Vnet" | "ExpressRoute" | "VPNClient";
    dpdTimeoutSeconds?: number;
    readonly egressBytesTransferred?: number;
    egressNatRules?: Array<SubResourceOutput>;
    enableBgp?: boolean;
    enablePrivateLinkFastPath?: boolean;
    expressRouteGatewayBypass?: boolean;
    gatewayCustomBgpIpAddresses?: Array<GatewayCustomBgpIpAddressIpConfigurationOutput>;
    readonly ingressBytesTransferred?: number;
    ingressNatRules?: Array<SubResourceOutput>;
    ipsecPolicies?: Array<IpsecPolicyOutput>;
    localNetworkGateway2?: LocalNetworkGatewayOutput;
    peer?: SubResourceOutput;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    readonly resourceGuid?: string;
    routingWeight?: number;
    sharedKey?: string;
    trafficSelectorPolicies?: Array<TrafficSelectorPolicyOutput>;
    readonly tunnelConnectionStatus?: Array<TunnelConnectionHealthOutput>;
    useLocalAzureIpAddress?: boolean;
    usePolicyBasedTrafficSelectors?: boolean;
    virtualNetworkGateway1: VirtualNetworkGatewayOutput;
    virtualNetworkGateway2?: VirtualNetworkGatewayOutput;
}

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsCreateOrUpdate {
    delete(options: VirtualNetworkGatewayConnectionsDeleteParameters): StreamableMethod<VirtualNetworkGatewayConnectionsDelete200Response | VirtualNetworkGatewayConnectionsDelete202Response | VirtualNetworkGatewayConnectionsDelete204Response | VirtualNetworkGatewayConnectionsDeleteDefaultResponse>;
    get(options: VirtualNetworkGatewayConnectionsGetParameters): StreamableMethod<VirtualNetworkGatewayConnectionsGet200Response | VirtualNetworkGatewayConnectionsGetDefaultResponse>;
    patch(options: VirtualNetworkGatewayConnectionsUpdateTagsParameters): StreamableMethod<VirtualNetworkGatewayConnectionsUpdateTags200Response | VirtualNetworkGatewayConnectionsUpdateTags202Response | VirtualNetworkGatewayConnectionsUpdateTagsDefaultResponse>;
    put(options: VirtualNetworkGatewayConnectionsCreateOrUpdateParameters): StreamableMethod<VirtualNetworkGatewayConnectionsCreateOrUpdate200Response | VirtualNetworkGatewayConnectionsCreateOrUpdate201Response | VirtualNetworkGatewayConnectionsCreateOrUpdateDefaultResponse>;
}

// @public
export interface VirtualNetworkGatewayConnectionsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: VirtualNetworkGatewayConnectionOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewayConnectionsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: VirtualNetworkGatewayConnectionOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsCreateOrUpdateBodyParam {
    body: VirtualNetworkGatewayConnection;
}

// @public
export interface VirtualNetworkGatewayConnectionsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualNetworkGatewayConnectionsCreateOrUpdateParameters = VirtualNetworkGatewayConnectionsCreateOrUpdateQueryParam & VirtualNetworkGatewayConnectionsCreateOrUpdateMediaTypesParam & VirtualNetworkGatewayConnectionsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewayConnectionsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualNetworkGatewayConnectionsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewayConnectionsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VirtualNetworkGatewayConnectionsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface VirtualNetworkGatewayConnectionsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworkGatewayConnectionsDeleteParameters = VirtualNetworkGatewayConnectionsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsDeleteQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewayConnectionsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualNetworkGatewayConnectionsGet200Response extends HttpResponse {
    // (undocumented)
    body: VirtualNetworkGatewayConnectionOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewayConnectionsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsGetIkeSas {
    post(options: VirtualNetworkGatewayConnectionsGetIkeSasParameters): StreamableMethod<VirtualNetworkGatewayConnectionsGetIkeSas200Response | VirtualNetworkGatewayConnectionsGetIkeSas202Response | VirtualNetworkGatewayConnectionsGetIkeSasDefaultResponse>;
}

// @public
export interface VirtualNetworkGatewayConnectionsGetIkeSas200Response extends HttpResponse {
    // (undocumented)
    body: string;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewayConnectionsGetIkeSas202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VirtualNetworkGatewayConnectionsGetIkeSasDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworkGatewayConnectionsGetIkeSasParameters = VirtualNetworkGatewayConnectionsGetIkeSasQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsGetIkeSasQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewayConnectionsGetIkeSasQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsGetIkeSasQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export type VirtualNetworkGatewayConnectionsGetParameters = VirtualNetworkGatewayConnectionsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsGetQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewayConnectionsGetQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualNetworkGatewayConnectionsGetSharedKey200Response extends HttpResponse {
    // (undocumented)
    body: ConnectionSharedKeyOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewayConnectionsGetSharedKeyDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworkGatewayConnectionsGetSharedKeyParameters = VirtualNetworkGatewayConnectionsGetSharedKeyQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsGetSharedKeyQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewayConnectionsGetSharedKeyQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsGetSharedKeyQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsList {
    get(options: VirtualNetworkGatewayConnectionsListParameters): StreamableMethod<VirtualNetworkGatewayConnectionsList200Response | VirtualNetworkGatewayConnectionsListDefaultResponse>;
}

// @public
export interface VirtualNetworkGatewayConnectionsList200Response extends HttpResponse {
    // (undocumented)
    body: VirtualNetworkGatewayConnectionListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewayConnectionsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworkGatewayConnectionsListParameters = VirtualNetworkGatewayConnectionsListQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsListQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewayConnectionsListQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsResetConnection {
    post(options: VirtualNetworkGatewayConnectionsResetConnectionParameters): StreamableMethod<VirtualNetworkGatewayConnectionsResetConnection202Response | VirtualNetworkGatewayConnectionsResetConnectionDefaultResponse>;
}

// @public
export interface VirtualNetworkGatewayConnectionsResetConnection202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VirtualNetworkGatewayConnectionsResetConnectionDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworkGatewayConnectionsResetConnectionParameters = VirtualNetworkGatewayConnectionsResetConnectionQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsResetConnectionQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewayConnectionsResetConnectionQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsResetConnectionQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsResetSharedKey {
    post(options: VirtualNetworkGatewayConnectionsResetSharedKeyParameters): StreamableMethod<VirtualNetworkGatewayConnectionsResetSharedKey200Response | VirtualNetworkGatewayConnectionsResetSharedKey202Response | VirtualNetworkGatewayConnectionsResetSharedKeyDefaultResponse>;
}

// @public
export interface VirtualNetworkGatewayConnectionsResetSharedKey200Response extends HttpResponse {
    // (undocumented)
    body: ConnectionResetSharedKeyOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewayConnectionsResetSharedKey202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsResetSharedKeyBodyParam {
    body: ConnectionResetSharedKey;
}

// @public
export interface VirtualNetworkGatewayConnectionsResetSharedKeyDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsResetSharedKeyMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualNetworkGatewayConnectionsResetSharedKeyParameters = VirtualNetworkGatewayConnectionsResetSharedKeyQueryParam & VirtualNetworkGatewayConnectionsResetSharedKeyMediaTypesParam & VirtualNetworkGatewayConnectionsResetSharedKeyBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsResetSharedKeyQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewayConnectionsResetSharedKeyQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsResetSharedKeyQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsSetSharedKey {
    get(options: VirtualNetworkGatewayConnectionsGetSharedKeyParameters): StreamableMethod<VirtualNetworkGatewayConnectionsGetSharedKey200Response | VirtualNetworkGatewayConnectionsGetSharedKeyDefaultResponse>;
    put(options: VirtualNetworkGatewayConnectionsSetSharedKeyParameters): StreamableMethod<VirtualNetworkGatewayConnectionsSetSharedKey200Response | VirtualNetworkGatewayConnectionsSetSharedKey201Response | VirtualNetworkGatewayConnectionsSetSharedKeyDefaultResponse>;
}

// @public
export interface VirtualNetworkGatewayConnectionsSetSharedKey200Response extends HttpResponse {
    // (undocumented)
    body: ConnectionSharedKeyOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewayConnectionsSetSharedKey201Response extends HttpResponse {
    // (undocumented)
    body: ConnectionSharedKeyOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsSetSharedKeyBodyParam {
    body: ConnectionSharedKey;
}

// @public
export interface VirtualNetworkGatewayConnectionsSetSharedKeyDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsSetSharedKeyMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualNetworkGatewayConnectionsSetSharedKeyParameters = VirtualNetworkGatewayConnectionsSetSharedKeyQueryParam & VirtualNetworkGatewayConnectionsSetSharedKeyMediaTypesParam & VirtualNetworkGatewayConnectionsSetSharedKeyBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsSetSharedKeyQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewayConnectionsSetSharedKeyQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsSetSharedKeyQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsStartPacketCapture {
    post(options: VirtualNetworkGatewayConnectionsStartPacketCaptureParameters): StreamableMethod<VirtualNetworkGatewayConnectionsStartPacketCapture200Response | VirtualNetworkGatewayConnectionsStartPacketCapture202Response | VirtualNetworkGatewayConnectionsStartPacketCaptureDefaultResponse>;
}

// @public
export interface VirtualNetworkGatewayConnectionsStartPacketCapture200Response extends HttpResponse {
    // (undocumented)
    body: string;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewayConnectionsStartPacketCapture202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsStartPacketCaptureBodyParam {
    body?: VpnPacketCaptureStartParameters;
}

// @public
export interface VirtualNetworkGatewayConnectionsStartPacketCaptureDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsStartPacketCaptureMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualNetworkGatewayConnectionsStartPacketCaptureParameters = VirtualNetworkGatewayConnectionsStartPacketCaptureQueryParam & VirtualNetworkGatewayConnectionsStartPacketCaptureMediaTypesParam & VirtualNetworkGatewayConnectionsStartPacketCaptureBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsStartPacketCaptureQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewayConnectionsStartPacketCaptureQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsStartPacketCaptureQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsStopPacketCapture {
    post(options: VirtualNetworkGatewayConnectionsStopPacketCaptureParameters): StreamableMethod<VirtualNetworkGatewayConnectionsStopPacketCapture200Response | VirtualNetworkGatewayConnectionsStopPacketCapture202Response | VirtualNetworkGatewayConnectionsStopPacketCaptureDefaultResponse>;
}

// @public
export interface VirtualNetworkGatewayConnectionsStopPacketCapture200Response extends HttpResponse {
    // (undocumented)
    body: string;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewayConnectionsStopPacketCapture202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsStopPacketCaptureBodyParam {
    body: VpnPacketCaptureStopParameters;
}

// @public
export interface VirtualNetworkGatewayConnectionsStopPacketCaptureDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsStopPacketCaptureMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualNetworkGatewayConnectionsStopPacketCaptureParameters = VirtualNetworkGatewayConnectionsStopPacketCaptureQueryParam & VirtualNetworkGatewayConnectionsStopPacketCaptureMediaTypesParam & VirtualNetworkGatewayConnectionsStopPacketCaptureBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsStopPacketCaptureQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewayConnectionsStopPacketCaptureQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsStopPacketCaptureQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualNetworkGatewayConnectionsUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: VirtualNetworkGatewayConnectionOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewayConnectionsUpdateTags202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface VirtualNetworkGatewayConnectionsUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualNetworkGatewayConnectionsUpdateTagsParameters = VirtualNetworkGatewayConnectionsUpdateTagsQueryParam & VirtualNetworkGatewayConnectionsUpdateTagsMediaTypesParam & VirtualNetworkGatewayConnectionsUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewayConnectionsUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewayConnectionsUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualNetworkGatewayIPConfiguration extends SubResource {
    name?: string;
    properties?: VirtualNetworkGatewayIPConfigurationPropertiesFormat;
}

// @public
export interface VirtualNetworkGatewayIPConfigurationOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: VirtualNetworkGatewayIPConfigurationPropertiesFormatOutput;
}

// @public
export interface VirtualNetworkGatewayIPConfigurationPropertiesFormat {
    privateIPAllocationMethod?: "Static" | "Dynamic";
    publicIPAddress?: SubResource;
    subnet?: SubResource;
}

// @public
export interface VirtualNetworkGatewayIPConfigurationPropertiesFormatOutput {
    readonly privateIPAddress?: string;
    privateIPAllocationMethod?: "Static" | "Dynamic";
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    publicIPAddress?: SubResourceOutput;
    subnet?: SubResourceOutput;
}

// @public
export interface VirtualNetworkGatewayListConnectionsResultOutput {
    readonly nextLink?: string;
    value?: Array<VirtualNetworkGatewayConnectionListEntityOutput>;
}

// @public
export interface VirtualNetworkGatewayListResultOutput {
    readonly nextLink?: string;
    value?: Array<VirtualNetworkGatewayOutput>;
}

// @public
export interface VirtualNetworkGatewayNatRule extends SubResource {
    name?: string;
    properties?: VirtualNetworkGatewayNatRuleProperties;
}

// @public
export interface VirtualNetworkGatewayNatRuleOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: VirtualNetworkGatewayNatRulePropertiesOutput;
    readonly type?: string;
}

// @public
export interface VirtualNetworkGatewayNatRuleProperties {
    externalMappings?: Array<VpnNatRuleMapping>;
    internalMappings?: Array<VpnNatRuleMapping>;
    ipConfigurationId?: string;
    mode?: "EgressSnat" | "IngressSnat";
    type?: "Static" | "Dynamic";
}

// @public
export interface VirtualNetworkGatewayNatRulePropertiesOutput {
    externalMappings?: Array<VpnNatRuleMappingOutput>;
    internalMappings?: Array<VpnNatRuleMappingOutput>;
    ipConfigurationId?: string;
    mode?: "EgressSnat" | "IngressSnat";
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    type?: "Static" | "Dynamic";
}

// @public
export interface VirtualNetworkGatewayNatRulesCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: VirtualNetworkGatewayNatRuleOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewayNatRulesCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: VirtualNetworkGatewayNatRuleOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface VirtualNetworkGatewayNatRulesCreateOrUpdateBodyParam {
    body: VirtualNetworkGatewayNatRule;
}

// @public
export interface VirtualNetworkGatewayNatRulesCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualNetworkGatewayNatRulesCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualNetworkGatewayNatRulesCreateOrUpdateParameters = VirtualNetworkGatewayNatRulesCreateOrUpdateQueryParam & VirtualNetworkGatewayNatRulesCreateOrUpdateMediaTypesParam & VirtualNetworkGatewayNatRulesCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewayNatRulesCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewayNatRulesCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewayNatRulesCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualNetworkGatewayNatRulesDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewayNatRulesDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VirtualNetworkGatewayNatRulesDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface VirtualNetworkGatewayNatRulesDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworkGatewayNatRulesDeleteParameters = VirtualNetworkGatewayNatRulesDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewayNatRulesDeleteQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewayNatRulesDeleteQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewayNatRulesDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualNetworkGatewayNatRulesGet {
    delete(options: VirtualNetworkGatewayNatRulesDeleteParameters): StreamableMethod<VirtualNetworkGatewayNatRulesDelete200Response | VirtualNetworkGatewayNatRulesDelete202Response | VirtualNetworkGatewayNatRulesDelete204Response | VirtualNetworkGatewayNatRulesDeleteDefaultResponse>;
    get(options: VirtualNetworkGatewayNatRulesGetParameters): StreamableMethod<VirtualNetworkGatewayNatRulesGet200Response | VirtualNetworkGatewayNatRulesGetDefaultResponse>;
    put(options: VirtualNetworkGatewayNatRulesCreateOrUpdateParameters): StreamableMethod<VirtualNetworkGatewayNatRulesCreateOrUpdate200Response | VirtualNetworkGatewayNatRulesCreateOrUpdate201Response | VirtualNetworkGatewayNatRulesCreateOrUpdateDefaultResponse>;
}

// @public
export interface VirtualNetworkGatewayNatRulesGet200Response extends HttpResponse {
    // (undocumented)
    body: VirtualNetworkGatewayNatRuleOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewayNatRulesGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworkGatewayNatRulesGetParameters = VirtualNetworkGatewayNatRulesGetQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewayNatRulesGetQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewayNatRulesGetQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewayNatRulesGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualNetworkGatewayNatRulesListByVirtualNetworkGateway {
    get(options: VirtualNetworkGatewayNatRulesListByVirtualNetworkGatewayParameters): StreamableMethod<VirtualNetworkGatewayNatRulesListByVirtualNetworkGateway200Response | VirtualNetworkGatewayNatRulesListByVirtualNetworkGatewayDefaultResponse>;
}

// @public
export interface VirtualNetworkGatewayNatRulesListByVirtualNetworkGateway200Response extends HttpResponse {
    // (undocumented)
    body: ListVirtualNetworkGatewayNatRulesResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewayNatRulesListByVirtualNetworkGatewayDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworkGatewayNatRulesListByVirtualNetworkGatewayParameters = VirtualNetworkGatewayNatRulesListByVirtualNetworkGatewayQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewayNatRulesListByVirtualNetworkGatewayQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewayNatRulesListByVirtualNetworkGatewayQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewayNatRulesListByVirtualNetworkGatewayQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualNetworkGatewayOutput extends ResourceOutput {
    readonly etag?: string;
    extendedLocation?: ExtendedLocationOutput;
    properties: VirtualNetworkGatewayPropertiesFormatOutput;
}

// @public
export interface VirtualNetworkGatewayPolicyGroup extends SubResource {
    name?: string;
    properties?: VirtualNetworkGatewayPolicyGroupProperties;
}

// @public
export interface VirtualNetworkGatewayPolicyGroupMember {
    attributeType?: "CertificateGroupId" | "AADGroupId" | "RadiusAzureGroupId";
    attributeValue?: string;
    name?: string;
}

// @public
export interface VirtualNetworkGatewayPolicyGroupMemberOutput {
    attributeType?: "CertificateGroupId" | "AADGroupId" | "RadiusAzureGroupId";
    attributeValue?: string;
    name?: string;
}

// @public
export interface VirtualNetworkGatewayPolicyGroupOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: VirtualNetworkGatewayPolicyGroupPropertiesOutput;
}

// @public
export interface VirtualNetworkGatewayPolicyGroupProperties {
    isDefault: boolean;
    policyMembers: Array<VirtualNetworkGatewayPolicyGroupMember>;
    priority: number;
}

// @public
export interface VirtualNetworkGatewayPolicyGroupPropertiesOutput {
    isDefault: boolean;
    policyMembers: Array<VirtualNetworkGatewayPolicyGroupMemberOutput>;
    priority: number;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    readonly vngClientConnectionConfigurations?: Array<SubResourceOutput>;
}

// @public
export interface VirtualNetworkGatewayPropertiesFormat {
    activeActive?: boolean;
    bgpSettings?: BgpSettings;
    customRoutes?: AddressSpace;
    disableIPSecReplayProtection?: boolean;
    enableBgp?: boolean;
    enableBgpRouteTranslationForNat?: boolean;
    enableDnsForwarding?: boolean;
    enablePrivateIpAddress?: boolean;
    gatewayDefaultSite?: SubResource;
    gatewayType?: "Vpn" | "ExpressRoute" | "LocalGateway";
    ipConfigurations?: Array<VirtualNetworkGatewayIPConfiguration>;
    natRules?: Array<VirtualNetworkGatewayNatRule>;
    sku?: VirtualNetworkGatewaySku;
    virtualNetworkGatewayPolicyGroups?: Array<VirtualNetworkGatewayPolicyGroup>;
    vNetExtendedLocationResourceId?: string;
    vpnClientConfiguration?: VpnClientConfiguration;
    vpnGatewayGeneration?: "None" | "Generation1" | "Generation2";
    vpnType?: "PolicyBased" | "RouteBased";
}

// @public
export interface VirtualNetworkGatewayPropertiesFormatOutput {
    activeActive?: boolean;
    bgpSettings?: BgpSettingsOutput;
    customRoutes?: AddressSpaceOutput;
    disableIPSecReplayProtection?: boolean;
    enableBgp?: boolean;
    enableBgpRouteTranslationForNat?: boolean;
    enableDnsForwarding?: boolean;
    enablePrivateIpAddress?: boolean;
    gatewayDefaultSite?: SubResourceOutput;
    gatewayType?: "Vpn" | "ExpressRoute" | "LocalGateway";
    readonly inboundDnsForwardingEndpoint?: string;
    ipConfigurations?: Array<VirtualNetworkGatewayIPConfigurationOutput>;
    natRules?: Array<VirtualNetworkGatewayNatRuleOutput>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    readonly resourceGuid?: string;
    sku?: VirtualNetworkGatewaySkuOutput;
    virtualNetworkGatewayPolicyGroups?: Array<VirtualNetworkGatewayPolicyGroupOutput>;
    vNetExtendedLocationResourceId?: string;
    vpnClientConfiguration?: VpnClientConfigurationOutput;
    vpnGatewayGeneration?: "None" | "Generation1" | "Generation2";
    vpnType?: "PolicyBased" | "RouteBased";
}

// @public (undocumented)
export interface VirtualNetworkGatewaysCreateOrUpdate {
    delete(options: VirtualNetworkGatewaysDeleteParameters): StreamableMethod<VirtualNetworkGatewaysDelete200Response | VirtualNetworkGatewaysDelete202Response | VirtualNetworkGatewaysDelete204Response | VirtualNetworkGatewaysDeleteDefaultResponse>;
    get(options: VirtualNetworkGatewaysGetParameters): StreamableMethod<VirtualNetworkGatewaysGet200Response | VirtualNetworkGatewaysGetDefaultResponse>;
    patch(options: VirtualNetworkGatewaysUpdateTagsParameters): StreamableMethod<VirtualNetworkGatewaysUpdateTags200Response | VirtualNetworkGatewaysUpdateTags202Response | VirtualNetworkGatewaysUpdateTagsDefaultResponse>;
    put(options: VirtualNetworkGatewaysCreateOrUpdateParameters): StreamableMethod<VirtualNetworkGatewaysCreateOrUpdate200Response | VirtualNetworkGatewaysCreateOrUpdate201Response | VirtualNetworkGatewaysCreateOrUpdateDefaultResponse>;
}

// @public
export interface VirtualNetworkGatewaysCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: VirtualNetworkGatewayOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewaysCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: VirtualNetworkGatewayOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface VirtualNetworkGatewaysCreateOrUpdateBodyParam {
    body: VirtualNetworkGateway;
}

// @public
export interface VirtualNetworkGatewaysCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualNetworkGatewaysCreateOrUpdateParameters = VirtualNetworkGatewaysCreateOrUpdateQueryParam & VirtualNetworkGatewaysCreateOrUpdateMediaTypesParam & VirtualNetworkGatewaysCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewaysCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewaysCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualNetworkGatewaysDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewaysDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VirtualNetworkGatewaysDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface VirtualNetworkGatewaysDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworkGatewaysDeleteParameters = VirtualNetworkGatewaysDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewaysDeleteQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewaysDeleteQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualNetworkGatewaysDisconnectVirtualNetworkGatewayVpnConnections {
    post(options: VirtualNetworkGatewaysDisconnectVirtualNetworkGatewayVpnConnectionsParameters): StreamableMethod<VirtualNetworkGatewaysDisconnectVirtualNetworkGatewayVpnConnections200Response | VirtualNetworkGatewaysDisconnectVirtualNetworkGatewayVpnConnections202Response | VirtualNetworkGatewaysDisconnectVirtualNetworkGatewayVpnConnectionsDefaultResponse>;
}

// @public
export interface VirtualNetworkGatewaysDisconnectVirtualNetworkGatewayVpnConnections200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewaysDisconnectVirtualNetworkGatewayVpnConnections202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface VirtualNetworkGatewaysDisconnectVirtualNetworkGatewayVpnConnectionsBodyParam {
    body: P2SVpnConnectionRequest;
}

// @public
export interface VirtualNetworkGatewaysDisconnectVirtualNetworkGatewayVpnConnectionsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysDisconnectVirtualNetworkGatewayVpnConnectionsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualNetworkGatewaysDisconnectVirtualNetworkGatewayVpnConnectionsParameters = VirtualNetworkGatewaysDisconnectVirtualNetworkGatewayVpnConnectionsQueryParam & VirtualNetworkGatewaysDisconnectVirtualNetworkGatewayVpnConnectionsMediaTypesParam & VirtualNetworkGatewaysDisconnectVirtualNetworkGatewayVpnConnectionsBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewaysDisconnectVirtualNetworkGatewayVpnConnectionsQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewaysDisconnectVirtualNetworkGatewayVpnConnectionsQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysDisconnectVirtualNetworkGatewayVpnConnectionsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualNetworkGatewaysGeneratevpnclientpackage {
    post(options: VirtualNetworkGatewaysGeneratevpnclientpackageParameters): StreamableMethod<VirtualNetworkGatewaysGeneratevpnclientpackage200Response | VirtualNetworkGatewaysGeneratevpnclientpackage202Response | VirtualNetworkGatewaysGeneratevpnclientpackageDefaultResponse>;
}

// @public
export interface VirtualNetworkGatewaysGeneratevpnclientpackage200Response extends HttpResponse {
    // (undocumented)
    body: string;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewaysGeneratevpnclientpackage202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface VirtualNetworkGatewaysGeneratevpnclientpackageBodyParam {
    body: VpnClientParameters;
}

// @public
export interface VirtualNetworkGatewaysGeneratevpnclientpackageDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysGeneratevpnclientpackageMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualNetworkGatewaysGeneratevpnclientpackageParameters = VirtualNetworkGatewaysGeneratevpnclientpackageQueryParam & VirtualNetworkGatewaysGeneratevpnclientpackageMediaTypesParam & VirtualNetworkGatewaysGeneratevpnclientpackageBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewaysGeneratevpnclientpackageQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewaysGeneratevpnclientpackageQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysGeneratevpnclientpackageQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualNetworkGatewaysGenerateVpnProfile {
    post(options: VirtualNetworkGatewaysGenerateVpnProfileParameters): StreamableMethod<VirtualNetworkGatewaysGenerateVpnProfile200Response | VirtualNetworkGatewaysGenerateVpnProfile202Response | VirtualNetworkGatewaysGenerateVpnProfileDefaultResponse>;
}

// @public
export interface VirtualNetworkGatewaysGenerateVpnProfile200Response extends HttpResponse {
    // (undocumented)
    body: string;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewaysGenerateVpnProfile202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface VirtualNetworkGatewaysGenerateVpnProfileBodyParam {
    body: VpnClientParameters;
}

// @public
export interface VirtualNetworkGatewaysGenerateVpnProfileDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysGenerateVpnProfileMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualNetworkGatewaysGenerateVpnProfileParameters = VirtualNetworkGatewaysGenerateVpnProfileQueryParam & VirtualNetworkGatewaysGenerateVpnProfileMediaTypesParam & VirtualNetworkGatewaysGenerateVpnProfileBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewaysGenerateVpnProfileQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewaysGenerateVpnProfileQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysGenerateVpnProfileQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualNetworkGatewaysGet200Response extends HttpResponse {
    // (undocumented)
    body: VirtualNetworkGatewayOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface VirtualNetworkGatewaysGetAdvertisedRoutes {
    post(options: VirtualNetworkGatewaysGetAdvertisedRoutesParameters): StreamableMethod<VirtualNetworkGatewaysGetAdvertisedRoutes200Response | VirtualNetworkGatewaysGetAdvertisedRoutes202Response | VirtualNetworkGatewaysGetAdvertisedRoutesDefaultResponse>;
}

// @public
export interface VirtualNetworkGatewaysGetAdvertisedRoutes200Response extends HttpResponse {
    // (undocumented)
    body: GatewayRouteListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewaysGetAdvertisedRoutes202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VirtualNetworkGatewaysGetAdvertisedRoutesDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworkGatewaysGetAdvertisedRoutesParameters = VirtualNetworkGatewaysGetAdvertisedRoutesQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewaysGetAdvertisedRoutesQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewaysGetAdvertisedRoutesQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysGetAdvertisedRoutesQueryParamProperties {
    "api-version": "2022-05-01";
    peer: string;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysGetBgpPeerStatus {
    post(options: VirtualNetworkGatewaysGetBgpPeerStatusParameters): StreamableMethod<VirtualNetworkGatewaysGetBgpPeerStatus200Response | VirtualNetworkGatewaysGetBgpPeerStatus202Response | VirtualNetworkGatewaysGetBgpPeerStatusDefaultResponse>;
}

// @public
export interface VirtualNetworkGatewaysGetBgpPeerStatus200Response extends HttpResponse {
    // (undocumented)
    body: BgpPeerStatusListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewaysGetBgpPeerStatus202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VirtualNetworkGatewaysGetBgpPeerStatusDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworkGatewaysGetBgpPeerStatusParameters = VirtualNetworkGatewaysGetBgpPeerStatusQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewaysGetBgpPeerStatusQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewaysGetBgpPeerStatusQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysGetBgpPeerStatusQueryParamProperties {
    "api-version": "2022-05-01";
    peer?: string;
}

// @public
export interface VirtualNetworkGatewaysGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysGetLearnedRoutes {
    post(options: VirtualNetworkGatewaysGetLearnedRoutesParameters): StreamableMethod<VirtualNetworkGatewaysGetLearnedRoutes200Response | VirtualNetworkGatewaysGetLearnedRoutes202Response | VirtualNetworkGatewaysGetLearnedRoutesDefaultResponse>;
}

// @public
export interface VirtualNetworkGatewaysGetLearnedRoutes200Response extends HttpResponse {
    // (undocumented)
    body: GatewayRouteListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewaysGetLearnedRoutes202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VirtualNetworkGatewaysGetLearnedRoutesDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworkGatewaysGetLearnedRoutesParameters = VirtualNetworkGatewaysGetLearnedRoutesQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewaysGetLearnedRoutesQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewaysGetLearnedRoutesQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysGetLearnedRoutesQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export type VirtualNetworkGatewaysGetParameters = VirtualNetworkGatewaysGetQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewaysGetQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewaysGetQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualNetworkGatewaysGetVpnclientConnectionHealth {
    post(options: VirtualNetworkGatewaysGetVpnclientConnectionHealthParameters): StreamableMethod<VirtualNetworkGatewaysGetVpnclientConnectionHealth200Response | VirtualNetworkGatewaysGetVpnclientConnectionHealth202Response | VirtualNetworkGatewaysGetVpnclientConnectionHealthDefaultResponse>;
}

// @public
export interface VirtualNetworkGatewaysGetVpnclientConnectionHealth200Response extends HttpResponse {
    // (undocumented)
    body: VpnClientConnectionHealthDetailListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewaysGetVpnclientConnectionHealth202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VirtualNetworkGatewaysGetVpnclientConnectionHealthDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworkGatewaysGetVpnclientConnectionHealthParameters = VirtualNetworkGatewaysGetVpnclientConnectionHealthQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewaysGetVpnclientConnectionHealthQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewaysGetVpnclientConnectionHealthQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysGetVpnclientConnectionHealthQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualNetworkGatewaysGetVpnclientIpsecParameters {
    post(options: VirtualNetworkGatewaysGetVpnclientIpsecParametersParameters): StreamableMethod<VirtualNetworkGatewaysGetVpnclientIpsecParameters200Response | VirtualNetworkGatewaysGetVpnclientIpsecParametersDefaultResponse>;
}

// @public
export interface VirtualNetworkGatewaysGetVpnclientIpsecParameters200Response extends HttpResponse {
    // (undocumented)
    body: VpnClientIPsecParametersOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewaysGetVpnclientIpsecParametersDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworkGatewaysGetVpnclientIpsecParametersParameters = VirtualNetworkGatewaysGetVpnclientIpsecParametersQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewaysGetVpnclientIpsecParametersQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewaysGetVpnclientIpsecParametersQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysGetVpnclientIpsecParametersQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualNetworkGatewaysGetVpnProfilePackageUrl {
    post(options: VirtualNetworkGatewaysGetVpnProfilePackageUrlParameters): StreamableMethod<VirtualNetworkGatewaysGetVpnProfilePackageUrl200Response | VirtualNetworkGatewaysGetVpnProfilePackageUrl202Response | VirtualNetworkGatewaysGetVpnProfilePackageUrlDefaultResponse>;
}

// @public
export interface VirtualNetworkGatewaysGetVpnProfilePackageUrl200Response extends HttpResponse {
    // (undocumented)
    body: string;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewaysGetVpnProfilePackageUrl202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VirtualNetworkGatewaysGetVpnProfilePackageUrlDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworkGatewaysGetVpnProfilePackageUrlParameters = VirtualNetworkGatewaysGetVpnProfilePackageUrlQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewaysGetVpnProfilePackageUrlQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewaysGetVpnProfilePackageUrlQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysGetVpnProfilePackageUrlQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualNetworkGatewaySku {
    name?: "Basic" | "HighPerformance" | "Standard" | "UltraPerformance" | "VpnGw1" | "VpnGw2" | "VpnGw3" | "VpnGw4" | "VpnGw5" | "VpnGw1AZ" | "VpnGw2AZ" | "VpnGw3AZ" | "VpnGw4AZ" | "VpnGw5AZ" | "ErGw1AZ" | "ErGw2AZ" | "ErGw3AZ";
    tier?: "Basic" | "HighPerformance" | "Standard" | "UltraPerformance" | "VpnGw1" | "VpnGw2" | "VpnGw3" | "VpnGw4" | "VpnGw5" | "VpnGw1AZ" | "VpnGw2AZ" | "VpnGw3AZ" | "VpnGw4AZ" | "VpnGw5AZ" | "ErGw1AZ" | "ErGw2AZ" | "ErGw3AZ";
}

// @public
export interface VirtualNetworkGatewaySkuOutput {
    readonly capacity?: number;
    name?: "Basic" | "HighPerformance" | "Standard" | "UltraPerformance" | "VpnGw1" | "VpnGw2" | "VpnGw3" | "VpnGw4" | "VpnGw5" | "VpnGw1AZ" | "VpnGw2AZ" | "VpnGw3AZ" | "VpnGw4AZ" | "VpnGw5AZ" | "ErGw1AZ" | "ErGw2AZ" | "ErGw3AZ";
    tier?: "Basic" | "HighPerformance" | "Standard" | "UltraPerformance" | "VpnGw1" | "VpnGw2" | "VpnGw3" | "VpnGw4" | "VpnGw5" | "VpnGw1AZ" | "VpnGw2AZ" | "VpnGw3AZ" | "VpnGw4AZ" | "VpnGw5AZ" | "ErGw1AZ" | "ErGw2AZ" | "ErGw3AZ";
}

// @public (undocumented)
export interface VirtualNetworkGatewaysList {
    get(options: VirtualNetworkGatewaysListParameters): StreamableMethod<VirtualNetworkGatewaysList200Response | VirtualNetworkGatewaysListDefaultResponse>;
}

// @public
export interface VirtualNetworkGatewaysList200Response extends HttpResponse {
    // (undocumented)
    body: VirtualNetworkGatewayListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface VirtualNetworkGatewaysListConnections {
    get(options: VirtualNetworkGatewaysListConnectionsParameters): StreamableMethod<VirtualNetworkGatewaysListConnections200Response | VirtualNetworkGatewaysListConnectionsDefaultResponse>;
}

// @public
export interface VirtualNetworkGatewaysListConnections200Response extends HttpResponse {
    // (undocumented)
    body: VirtualNetworkGatewayListConnectionsResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewaysListConnectionsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworkGatewaysListConnectionsParameters = VirtualNetworkGatewaysListConnectionsQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewaysListConnectionsQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewaysListConnectionsQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysListConnectionsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualNetworkGatewaysListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworkGatewaysListParameters = VirtualNetworkGatewaysListQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewaysListQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewaysListQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualNetworkGatewaysReset {
    post(options: VirtualNetworkGatewaysResetParameters): StreamableMethod<VirtualNetworkGatewaysReset200Response | VirtualNetworkGatewaysReset202Response | VirtualNetworkGatewaysResetDefaultResponse>;
}

// @public
export interface VirtualNetworkGatewaysReset200Response extends HttpResponse {
    // (undocumented)
    body: VirtualNetworkGatewayOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewaysReset202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VirtualNetworkGatewaysResetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworkGatewaysResetParameters = VirtualNetworkGatewaysResetQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewaysResetQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewaysResetQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysResetQueryParamProperties {
    "api-version": "2022-05-01";
    gatewayVip?: string;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysResetVpnClientSharedKey {
    post(options: VirtualNetworkGatewaysResetVpnClientSharedKeyParameters): StreamableMethod<VirtualNetworkGatewaysResetVpnClientSharedKey200Response | VirtualNetworkGatewaysResetVpnClientSharedKey202Response | VirtualNetworkGatewaysResetVpnClientSharedKeyDefaultResponse>;
}

// @public
export interface VirtualNetworkGatewaysResetVpnClientSharedKey200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewaysResetVpnClientSharedKey202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VirtualNetworkGatewaysResetVpnClientSharedKeyDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworkGatewaysResetVpnClientSharedKeyParameters = VirtualNetworkGatewaysResetVpnClientSharedKeyQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewaysResetVpnClientSharedKeyQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewaysResetVpnClientSharedKeyQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysResetVpnClientSharedKeyQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualNetworkGatewaysSetVpnclientIpsecParameters {
    post(options: VirtualNetworkGatewaysSetVpnclientIpsecParametersParameters): StreamableMethod<VirtualNetworkGatewaysSetVpnclientIpsecParameters200Response | VirtualNetworkGatewaysSetVpnclientIpsecParameters202Response | VirtualNetworkGatewaysSetVpnclientIpsecParametersDefaultResponse>;
}

// @public
export interface VirtualNetworkGatewaysSetVpnclientIpsecParameters200Response extends HttpResponse {
    // (undocumented)
    body: VpnClientIPsecParametersOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewaysSetVpnclientIpsecParameters202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface VirtualNetworkGatewaysSetVpnclientIpsecParametersBodyParam {
    body: VpnClientIPsecParameters;
}

// @public
export interface VirtualNetworkGatewaysSetVpnclientIpsecParametersDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysSetVpnclientIpsecParametersMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualNetworkGatewaysSetVpnclientIpsecParametersParameters = VirtualNetworkGatewaysSetVpnclientIpsecParametersQueryParam & VirtualNetworkGatewaysSetVpnclientIpsecParametersMediaTypesParam & VirtualNetworkGatewaysSetVpnclientIpsecParametersBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewaysSetVpnclientIpsecParametersQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewaysSetVpnclientIpsecParametersQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysSetVpnclientIpsecParametersQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualNetworkGatewaysStartPacketCapture {
    post(options: VirtualNetworkGatewaysStartPacketCaptureParameters): StreamableMethod<VirtualNetworkGatewaysStartPacketCapture200Response | VirtualNetworkGatewaysStartPacketCapture202Response | VirtualNetworkGatewaysStartPacketCaptureDefaultResponse>;
}

// @public
export interface VirtualNetworkGatewaysStartPacketCapture200Response extends HttpResponse {
    // (undocumented)
    body: string;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewaysStartPacketCapture202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface VirtualNetworkGatewaysStartPacketCaptureBodyParam {
    body?: VpnPacketCaptureStartParameters;
}

// @public
export interface VirtualNetworkGatewaysStartPacketCaptureDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysStartPacketCaptureMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualNetworkGatewaysStartPacketCaptureParameters = VirtualNetworkGatewaysStartPacketCaptureQueryParam & VirtualNetworkGatewaysStartPacketCaptureMediaTypesParam & VirtualNetworkGatewaysStartPacketCaptureBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewaysStartPacketCaptureQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewaysStartPacketCaptureQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysStartPacketCaptureQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualNetworkGatewaysStopPacketCapture {
    post(options: VirtualNetworkGatewaysStopPacketCaptureParameters): StreamableMethod<VirtualNetworkGatewaysStopPacketCapture200Response | VirtualNetworkGatewaysStopPacketCapture202Response | VirtualNetworkGatewaysStopPacketCaptureDefaultResponse>;
}

// @public
export interface VirtualNetworkGatewaysStopPacketCapture200Response extends HttpResponse {
    // (undocumented)
    body: string;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewaysStopPacketCapture202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface VirtualNetworkGatewaysStopPacketCaptureBodyParam {
    body: VpnPacketCaptureStopParameters;
}

// @public
export interface VirtualNetworkGatewaysStopPacketCaptureDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysStopPacketCaptureMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualNetworkGatewaysStopPacketCaptureParameters = VirtualNetworkGatewaysStopPacketCaptureQueryParam & VirtualNetworkGatewaysStopPacketCaptureMediaTypesParam & VirtualNetworkGatewaysStopPacketCaptureBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewaysStopPacketCaptureQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewaysStopPacketCaptureQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysStopPacketCaptureQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualNetworkGatewaysSupportedVpnDevices {
    post(options: VirtualNetworkGatewaysSupportedVpnDevicesParameters): StreamableMethod<VirtualNetworkGatewaysSupportedVpnDevices200Response | VirtualNetworkGatewaysSupportedVpnDevicesDefaultResponse>;
}

// @public
export interface VirtualNetworkGatewaysSupportedVpnDevices200Response extends HttpResponse {
    // (undocumented)
    body: string;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewaysSupportedVpnDevicesDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworkGatewaysSupportedVpnDevicesParameters = VirtualNetworkGatewaysSupportedVpnDevicesQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewaysSupportedVpnDevicesQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewaysSupportedVpnDevicesQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysSupportedVpnDevicesQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualNetworkGatewaysUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: VirtualNetworkGatewayOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkGatewaysUpdateTags202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface VirtualNetworkGatewaysUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface VirtualNetworkGatewaysUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualNetworkGatewaysUpdateTagsParameters = VirtualNetworkGatewaysUpdateTagsQueryParam & VirtualNetworkGatewaysUpdateTagsMediaTypesParam & VirtualNetworkGatewaysUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewaysUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewaysUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualNetworkGatewaysVpnDeviceConfigurationScript {
    post(options: VirtualNetworkGatewaysVpnDeviceConfigurationScriptParameters): StreamableMethod<VirtualNetworkGatewaysVpnDeviceConfigurationScript200Response | VirtualNetworkGatewaysVpnDeviceConfigurationScriptDefaultResponse>;
}

// @public
export interface VirtualNetworkGatewaysVpnDeviceConfigurationScript200Response extends HttpResponse {
    // (undocumented)
    body: string;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface VirtualNetworkGatewaysVpnDeviceConfigurationScriptBodyParam {
    body: VpnDeviceScriptParameters;
}

// @public
export interface VirtualNetworkGatewaysVpnDeviceConfigurationScriptDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysVpnDeviceConfigurationScriptMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualNetworkGatewaysVpnDeviceConfigurationScriptParameters = VirtualNetworkGatewaysVpnDeviceConfigurationScriptQueryParam & VirtualNetworkGatewaysVpnDeviceConfigurationScriptMediaTypesParam & VirtualNetworkGatewaysVpnDeviceConfigurationScriptBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkGatewaysVpnDeviceConfigurationScriptQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkGatewaysVpnDeviceConfigurationScriptQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkGatewaysVpnDeviceConfigurationScriptQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualNetworkListResultOutput {
    nextLink?: string;
    value?: Array<VirtualNetworkOutput>;
}

// @public
export interface VirtualNetworkListUsageResultOutput {
    nextLink?: string;
    readonly value?: Array<VirtualNetworkUsageOutput>;
}

// @public
export interface VirtualNetworkOutput extends ResourceOutput {
    readonly etag?: string;
    extendedLocation?: ExtendedLocationOutput;
    properties?: VirtualNetworkPropertiesFormatOutput;
}

// @public
export interface VirtualNetworkPeering extends SubResource {
    name?: string;
    properties?: VirtualNetworkPeeringPropertiesFormat;
    type?: string;
}

// @public
export interface VirtualNetworkPeeringListResultOutput {
    nextLink?: string;
    value?: Array<VirtualNetworkPeeringOutput>;
}

// @public
export interface VirtualNetworkPeeringOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: VirtualNetworkPeeringPropertiesFormatOutput;
    type?: string;
}

// @public
export interface VirtualNetworkPeeringPropertiesFormat {
    allowForwardedTraffic?: boolean;
    allowGatewayTransit?: boolean;
    allowVirtualNetworkAccess?: boolean;
    doNotVerifyRemoteGateways?: boolean;
    peeringState?: "Initiated" | "Connected" | "Disconnected";
    peeringSyncLevel?: "FullyInSync" | "RemoteNotInSync" | "LocalNotInSync" | "LocalAndRemoteNotInSync";
    remoteAddressSpace?: AddressSpace;
    remoteBgpCommunities?: VirtualNetworkBgpCommunities;
    remoteVirtualNetwork?: SubResource;
    remoteVirtualNetworkAddressSpace?: AddressSpace;
    useRemoteGateways?: boolean;
}

// @public
export interface VirtualNetworkPeeringPropertiesFormatOutput {
    allowForwardedTraffic?: boolean;
    allowGatewayTransit?: boolean;
    allowVirtualNetworkAccess?: boolean;
    doNotVerifyRemoteGateways?: boolean;
    peeringState?: "Initiated" | "Connected" | "Disconnected";
    peeringSyncLevel?: "FullyInSync" | "RemoteNotInSync" | "LocalNotInSync" | "LocalAndRemoteNotInSync";
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    remoteAddressSpace?: AddressSpaceOutput;
    remoteBgpCommunities?: VirtualNetworkBgpCommunitiesOutput;
    remoteVirtualNetwork?: SubResourceOutput;
    remoteVirtualNetworkAddressSpace?: AddressSpaceOutput;
    readonly remoteVirtualNetworkEncryption?: VirtualNetworkEncryptionOutput;
    readonly resourceGuid?: string;
    useRemoteGateways?: boolean;
}

// @public
export interface VirtualNetworkPeeringsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: VirtualNetworkPeeringOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkPeeringsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: VirtualNetworkPeeringOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface VirtualNetworkPeeringsCreateOrUpdateBodyParam {
    body: VirtualNetworkPeering;
}

// @public
export interface VirtualNetworkPeeringsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualNetworkPeeringsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualNetworkPeeringsCreateOrUpdateParameters = VirtualNetworkPeeringsCreateOrUpdateQueryParam & VirtualNetworkPeeringsCreateOrUpdateMediaTypesParam & VirtualNetworkPeeringsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkPeeringsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkPeeringsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkPeeringsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
    syncRemoteAddressSpace?: "true";
}

// @public (undocumented)
export interface VirtualNetworkPeeringsDelete {
    delete(options: VirtualNetworkPeeringsDeleteParameters): StreamableMethod<VirtualNetworkPeeringsDelete200Response | VirtualNetworkPeeringsDelete202Response | VirtualNetworkPeeringsDelete204Response | VirtualNetworkPeeringsDeleteDefaultResponse>;
    get(options: VirtualNetworkPeeringsGetParameters): StreamableMethod<VirtualNetworkPeeringsGet200Response | VirtualNetworkPeeringsGetDefaultResponse>;
    put(options: VirtualNetworkPeeringsCreateOrUpdateParameters): StreamableMethod<VirtualNetworkPeeringsCreateOrUpdate200Response | VirtualNetworkPeeringsCreateOrUpdate201Response | VirtualNetworkPeeringsCreateOrUpdateDefaultResponse>;
}

// @public
export interface VirtualNetworkPeeringsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkPeeringsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VirtualNetworkPeeringsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface VirtualNetworkPeeringsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworkPeeringsDeleteParameters = VirtualNetworkPeeringsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkPeeringsDeleteQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkPeeringsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkPeeringsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualNetworkPeeringsGet200Response extends HttpResponse {
    // (undocumented)
    body: VirtualNetworkPeeringOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkPeeringsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworkPeeringsGetParameters = VirtualNetworkPeeringsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkPeeringsGetQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkPeeringsGetQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkPeeringsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualNetworkPeeringsList {
    get(options: VirtualNetworkPeeringsListParameters): StreamableMethod<VirtualNetworkPeeringsList200Response | VirtualNetworkPeeringsListDefaultResponse>;
}

// @public
export interface VirtualNetworkPeeringsList200Response extends HttpResponse {
    // (undocumented)
    body: VirtualNetworkPeeringListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkPeeringsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworkPeeringsListParameters = VirtualNetworkPeeringsListQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkPeeringsListQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkPeeringsListQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkPeeringsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualNetworkPropertiesFormat {
    addressSpace?: AddressSpace;
    bgpCommunities?: VirtualNetworkBgpCommunities;
    ddosProtectionPlan?: SubResource;
    dhcpOptions?: DhcpOptions;
    enableDdosProtection?: boolean;
    enableVmProtection?: boolean;
    encryption?: VirtualNetworkEncryption;
    flowTimeoutInMinutes?: number;
    ipAllocations?: Array<SubResource>;
    subnets?: Array<Subnet>;
    virtualNetworkPeerings?: Array<VirtualNetworkPeering>;
}

// @public
export interface VirtualNetworkPropertiesFormatOutput {
    addressSpace?: AddressSpaceOutput;
    bgpCommunities?: VirtualNetworkBgpCommunitiesOutput;
    ddosProtectionPlan?: SubResourceOutput;
    dhcpOptions?: DhcpOptionsOutput;
    enableDdosProtection?: boolean;
    enableVmProtection?: boolean;
    encryption?: VirtualNetworkEncryptionOutput;
    flowTimeoutInMinutes?: number;
    ipAllocations?: Array<SubResourceOutput>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    readonly resourceGuid?: string;
    subnets?: Array<SubnetOutput>;
    virtualNetworkPeerings?: Array<VirtualNetworkPeeringOutput>;
}

// @public (undocumented)
export interface VirtualNetworksCheckIPAddressAvailability {
    get(options: VirtualNetworksCheckIPAddressAvailabilityParameters): StreamableMethod<VirtualNetworksCheckIPAddressAvailability200Response | VirtualNetworksCheckIPAddressAvailabilityDefaultResponse>;
}

// @public
export interface VirtualNetworksCheckIPAddressAvailability200Response extends HttpResponse {
    // (undocumented)
    body: IPAddressAvailabilityResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworksCheckIPAddressAvailabilityDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworksCheckIPAddressAvailabilityParameters = VirtualNetworksCheckIPAddressAvailabilityQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworksCheckIPAddressAvailabilityQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworksCheckIPAddressAvailabilityQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworksCheckIPAddressAvailabilityQueryParamProperties {
    "api-version": "2022-05-01";
    ipAddress: string;
}

// @public
export interface VirtualNetworksCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: VirtualNetworkOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworksCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: VirtualNetworkOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface VirtualNetworksCreateOrUpdateBodyParam {
    body: VirtualNetwork;
}

// @public
export interface VirtualNetworksCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualNetworksCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualNetworksCreateOrUpdateParameters = VirtualNetworksCreateOrUpdateQueryParam & VirtualNetworksCreateOrUpdateMediaTypesParam & VirtualNetworksCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworksCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworksCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworksCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualNetworksDelete {
    delete(options: VirtualNetworksDeleteParameters): StreamableMethod<VirtualNetworksDelete200Response | VirtualNetworksDelete202Response | VirtualNetworksDelete204Response | VirtualNetworksDeleteDefaultResponse>;
    get(options: VirtualNetworksGetParameters): StreamableMethod<VirtualNetworksGet200Response | VirtualNetworksGetDefaultResponse>;
    patch(options: VirtualNetworksUpdateTagsParameters): StreamableMethod<VirtualNetworksUpdateTags200Response | VirtualNetworksUpdateTagsDefaultResponse>;
    put(options: VirtualNetworksCreateOrUpdateParameters): StreamableMethod<VirtualNetworksCreateOrUpdate200Response | VirtualNetworksCreateOrUpdate201Response | VirtualNetworksCreateOrUpdateDefaultResponse>;
}

// @public
export interface VirtualNetworksDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworksDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VirtualNetworksDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface VirtualNetworksDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworksDeleteParameters = VirtualNetworksDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworksDeleteQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworksDeleteQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworksDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualNetworksGet200Response extends HttpResponse {
    // (undocumented)
    body: VirtualNetworkOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworksGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworksGetParameters = VirtualNetworksGetQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworksGetQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworksGetQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworksGetQueryParamProperties {
    "api-version": "2022-05-01";
    $expand?: string;
}

// @public (undocumented)
export interface VirtualNetworksList {
    get(options: VirtualNetworksListParameters): StreamableMethod<VirtualNetworksList200Response | VirtualNetworksListDefaultResponse>;
}

// @public
export interface VirtualNetworksList200Response extends HttpResponse {
    // (undocumented)
    body: VirtualNetworkListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface VirtualNetworksListAll {
    get(options: VirtualNetworksListAllParameters): StreamableMethod<VirtualNetworksListAll200Response | VirtualNetworksListAllDefaultResponse>;
}

// @public
export interface VirtualNetworksListAll200Response extends HttpResponse {
    // (undocumented)
    body: VirtualNetworkListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworksListAllDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworksListAllParameters = VirtualNetworksListAllQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworksListAllQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworksListAllQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworksListAllQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualNetworksListDdosProtectionStatus {
    post(options: VirtualNetworksListDdosProtectionStatusParameters): StreamableMethod<VirtualNetworksListDdosProtectionStatus200Response | VirtualNetworksListDdosProtectionStatus202Response | VirtualNetworksListDdosProtectionStatusDefaultResponse>;
}

// @public
export interface VirtualNetworksListDdosProtectionStatus200Response extends HttpResponse {
    // (undocumented)
    body: VirtualNetworkDdosProtectionStatusResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworksListDdosProtectionStatus202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VirtualNetworksListDdosProtectionStatusDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworksListDdosProtectionStatusParameters = VirtualNetworksListDdosProtectionStatusQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworksListDdosProtectionStatusQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworksListDdosProtectionStatusQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworksListDdosProtectionStatusQueryParamProperties {
    "api-version": "2022-05-01";
    skipToken?: string;
    top?: number;
}

// @public
export interface VirtualNetworksListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworksListParameters = VirtualNetworksListQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworksListQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworksListQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworksListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualNetworksListUsage {
    get(options: VirtualNetworksListUsageParameters): StreamableMethod<VirtualNetworksListUsage200Response | VirtualNetworksListUsageDefaultResponse>;
}

// @public
export interface VirtualNetworksListUsage200Response extends HttpResponse {
    // (undocumented)
    body: VirtualNetworkListUsageResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworksListUsageDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworksListUsageParameters = VirtualNetworksListUsageQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworksListUsageQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworksListUsageQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworksListUsageQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualNetworksUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: VirtualNetworkOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface VirtualNetworksUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface VirtualNetworksUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualNetworksUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualNetworksUpdateTagsParameters = VirtualNetworksUpdateTagsQueryParam & VirtualNetworksUpdateTagsMediaTypesParam & VirtualNetworksUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworksUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworksUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworksUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualNetworkTap extends Resource {
    properties?: VirtualNetworkTapPropertiesFormat;
}

// @public
export interface VirtualNetworkTapListResultOutput {
    nextLink?: string;
    value?: Array<VirtualNetworkTapOutput>;
}

// @public
export interface VirtualNetworkTapOutput extends ResourceOutput {
    readonly etag?: string;
    properties?: VirtualNetworkTapPropertiesFormatOutput;
}

// @public
export interface VirtualNetworkTapPropertiesFormat {
    destinationLoadBalancerFrontEndIPConfiguration?: FrontendIPConfiguration;
    destinationNetworkInterfaceIPConfiguration?: NetworkInterfaceIPConfiguration;
    destinationPort?: number;
}

// @public
export interface VirtualNetworkTapPropertiesFormatOutput {
    destinationLoadBalancerFrontEndIPConfiguration?: FrontendIPConfigurationOutput;
    destinationNetworkInterfaceIPConfiguration?: NetworkInterfaceIPConfigurationOutput;
    destinationPort?: number;
    readonly networkInterfaceTapConfigurations?: Array<NetworkInterfaceTapConfigurationOutput>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    readonly resourceGuid?: string;
}

// @public
export interface VirtualNetworkTapsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: VirtualNetworkTapOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkTapsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: VirtualNetworkTapOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface VirtualNetworkTapsCreateOrUpdateBodyParam {
    body: VirtualNetworkTap;
}

// @public
export interface VirtualNetworkTapsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualNetworkTapsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualNetworkTapsCreateOrUpdateParameters = VirtualNetworkTapsCreateOrUpdateQueryParam & VirtualNetworkTapsCreateOrUpdateMediaTypesParam & VirtualNetworkTapsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkTapsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkTapsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkTapsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualNetworkTapsDelete {
    delete(options: VirtualNetworkTapsDeleteParameters): StreamableMethod<VirtualNetworkTapsDelete200Response | VirtualNetworkTapsDelete202Response | VirtualNetworkTapsDelete204Response | VirtualNetworkTapsDeleteDefaultResponse>;
    get(options: VirtualNetworkTapsGetParameters): StreamableMethod<VirtualNetworkTapsGet200Response | VirtualNetworkTapsGetDefaultResponse>;
    patch(options: VirtualNetworkTapsUpdateTagsParameters): StreamableMethod<VirtualNetworkTapsUpdateTags200Response | VirtualNetworkTapsUpdateTagsDefaultResponse>;
    put(options: VirtualNetworkTapsCreateOrUpdateParameters): StreamableMethod<VirtualNetworkTapsCreateOrUpdate200Response | VirtualNetworkTapsCreateOrUpdate201Response | VirtualNetworkTapsCreateOrUpdateDefaultResponse>;
}

// @public
export interface VirtualNetworkTapsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkTapsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VirtualNetworkTapsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface VirtualNetworkTapsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworkTapsDeleteParameters = VirtualNetworkTapsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkTapsDeleteQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkTapsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkTapsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualNetworkTapsGet200Response extends HttpResponse {
    // (undocumented)
    body: VirtualNetworkTapOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkTapsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworkTapsGetParameters = VirtualNetworkTapsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkTapsGetQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkTapsGetQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkTapsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualNetworkTapsListAll {
    get(options: VirtualNetworkTapsListAllParameters): StreamableMethod<VirtualNetworkTapsListAll200Response | VirtualNetworkTapsListAllDefaultResponse>;
}

// @public
export interface VirtualNetworkTapsListAll200Response extends HttpResponse {
    // (undocumented)
    body: VirtualNetworkTapListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkTapsListAllDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworkTapsListAllParameters = VirtualNetworkTapsListAllQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkTapsListAllQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkTapsListAllQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkTapsListAllQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualNetworkTapsListByResourceGroup {
    get(options: VirtualNetworkTapsListByResourceGroupParameters): StreamableMethod<VirtualNetworkTapsListByResourceGroup200Response | VirtualNetworkTapsListByResourceGroupDefaultResponse>;
}

// @public
export interface VirtualNetworkTapsListByResourceGroup200Response extends HttpResponse {
    // (undocumented)
    body: VirtualNetworkTapListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualNetworkTapsListByResourceGroupDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualNetworkTapsListByResourceGroupParameters = VirtualNetworkTapsListByResourceGroupQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkTapsListByResourceGroupQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkTapsListByResourceGroupQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkTapsListByResourceGroupQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualNetworkTapsUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: VirtualNetworkTapOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface VirtualNetworkTapsUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface VirtualNetworkTapsUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualNetworkTapsUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualNetworkTapsUpdateTagsParameters = VirtualNetworkTapsUpdateTagsQueryParam & VirtualNetworkTapsUpdateTagsMediaTypesParam & VirtualNetworkTapsUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualNetworkTapsUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: VirtualNetworkTapsUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface VirtualNetworkTapsUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualNetworkUsageNameOutput {
    readonly localizedValue?: string;
    readonly value?: string;
}

// @public
export interface VirtualNetworkUsageOutput {
    readonly currentValue?: number;
    readonly id?: string;
    readonly limit?: number;
    readonly name?: VirtualNetworkUsageNameOutput;
    readonly unit?: string;
}

// @public
export interface VirtualRouter extends Resource {
    properties?: VirtualRouterPropertiesFormat;
}

// @public
export interface VirtualRouterAutoScaleConfiguration {
    minCapacity?: number;
}

// @public
export interface VirtualRouterAutoScaleConfigurationOutput {
    minCapacity?: number;
}

// @public
export interface VirtualRouterListResultOutput {
    nextLink?: string;
    value?: Array<VirtualRouterOutput>;
}

// @public
export interface VirtualRouterOutput extends ResourceOutput {
    readonly etag?: string;
    properties?: VirtualRouterPropertiesFormatOutput;
}

// @public
export interface VirtualRouterPeering extends SubResource {
    name?: string;
    properties?: VirtualRouterPeeringProperties;
}

// @public
export interface VirtualRouterPeeringListResultOutput {
    nextLink?: string;
    value?: Array<VirtualRouterPeeringOutput>;
}

// @public
export interface VirtualRouterPeeringOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: VirtualRouterPeeringPropertiesOutput;
    readonly type?: string;
}

// @public
export interface VirtualRouterPeeringProperties {
    peerAsn?: number;
    peerIp?: string;
}

// @public
export interface VirtualRouterPeeringPropertiesOutput {
    peerAsn?: number;
    peerIp?: string;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public
export interface VirtualRouterPeeringsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: VirtualRouterPeeringOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualRouterPeeringsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: VirtualRouterPeeringOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface VirtualRouterPeeringsCreateOrUpdateBodyParam {
    body: VirtualRouterPeering;
}

// @public
export interface VirtualRouterPeeringsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualRouterPeeringsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualRouterPeeringsCreateOrUpdateParameters = VirtualRouterPeeringsCreateOrUpdateQueryParam & VirtualRouterPeeringsCreateOrUpdateMediaTypesParam & VirtualRouterPeeringsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualRouterPeeringsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: VirtualRouterPeeringsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface VirtualRouterPeeringsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualRouterPeeringsDelete {
    delete(options: VirtualRouterPeeringsDeleteParameters): StreamableMethod<VirtualRouterPeeringsDelete200Response | VirtualRouterPeeringsDelete202Response | VirtualRouterPeeringsDelete204Response | VirtualRouterPeeringsDeleteDefaultResponse>;
    get(options: VirtualRouterPeeringsGetParameters): StreamableMethod<VirtualRouterPeeringsGet200Response | VirtualRouterPeeringsGetDefaultResponse>;
    put(options: VirtualRouterPeeringsCreateOrUpdateParameters): StreamableMethod<VirtualRouterPeeringsCreateOrUpdate200Response | VirtualRouterPeeringsCreateOrUpdate201Response | VirtualRouterPeeringsCreateOrUpdateDefaultResponse>;
}

// @public
export interface VirtualRouterPeeringsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualRouterPeeringsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VirtualRouterPeeringsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface VirtualRouterPeeringsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualRouterPeeringsDeleteParameters = VirtualRouterPeeringsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualRouterPeeringsDeleteQueryParam {
    // (undocumented)
    queryParameters: VirtualRouterPeeringsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface VirtualRouterPeeringsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualRouterPeeringsGet200Response extends HttpResponse {
    // (undocumented)
    body: VirtualRouterPeeringOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualRouterPeeringsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualRouterPeeringsGetParameters = VirtualRouterPeeringsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualRouterPeeringsGetQueryParam {
    // (undocumented)
    queryParameters: VirtualRouterPeeringsGetQueryParamProperties;
}

// @public (undocumented)
export interface VirtualRouterPeeringsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualRouterPeeringsList {
    get(options: VirtualRouterPeeringsListParameters): StreamableMethod<VirtualRouterPeeringsList200Response | VirtualRouterPeeringsListDefaultResponse>;
}

// @public
export interface VirtualRouterPeeringsList200Response extends HttpResponse {
    // (undocumented)
    body: VirtualRouterPeeringListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualRouterPeeringsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualRouterPeeringsListParameters = VirtualRouterPeeringsListQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualRouterPeeringsListQueryParam {
    // (undocumented)
    queryParameters: VirtualRouterPeeringsListQueryParamProperties;
}

// @public (undocumented)
export interface VirtualRouterPeeringsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualRouterPropertiesFormat {
    hostedGateway?: SubResource;
    hostedSubnet?: SubResource;
    virtualRouterAsn?: number;
    virtualRouterIps?: Array<string>;
}

// @public
export interface VirtualRouterPropertiesFormatOutput {
    hostedGateway?: SubResourceOutput;
    hostedSubnet?: SubResourceOutput;
    readonly peerings?: Array<SubResourceOutput>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    virtualRouterAsn?: number;
    virtualRouterIps?: Array<string>;
}

// @public
export interface VirtualRoutersCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: VirtualRouterOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualRoutersCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: VirtualRouterOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface VirtualRoutersCreateOrUpdateBodyParam {
    body: VirtualRouter;
}

// @public
export interface VirtualRoutersCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualRoutersCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualRoutersCreateOrUpdateParameters = VirtualRoutersCreateOrUpdateQueryParam & VirtualRoutersCreateOrUpdateMediaTypesParam & VirtualRoutersCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualRoutersCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: VirtualRoutersCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface VirtualRoutersCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualRoutersDelete {
    delete(options: VirtualRoutersDeleteParameters): StreamableMethod<VirtualRoutersDelete200Response | VirtualRoutersDelete202Response | VirtualRoutersDelete204Response | VirtualRoutersDeleteDefaultResponse>;
    get(options: VirtualRoutersGetParameters): StreamableMethod<VirtualRoutersGet200Response | VirtualRoutersGetDefaultResponse>;
    put(options: VirtualRoutersCreateOrUpdateParameters): StreamableMethod<VirtualRoutersCreateOrUpdate200Response | VirtualRoutersCreateOrUpdate201Response | VirtualRoutersCreateOrUpdateDefaultResponse>;
}

// @public
export interface VirtualRoutersDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualRoutersDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VirtualRoutersDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface VirtualRoutersDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualRoutersDeleteParameters = VirtualRoutersDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualRoutersDeleteQueryParam {
    // (undocumented)
    queryParameters: VirtualRoutersDeleteQueryParamProperties;
}

// @public (undocumented)
export interface VirtualRoutersDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualRoutersGet200Response extends HttpResponse {
    // (undocumented)
    body: VirtualRouterOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualRoutersGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualRoutersGetParameters = VirtualRoutersGetQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualRoutersGetQueryParam {
    // (undocumented)
    queryParameters: VirtualRoutersGetQueryParamProperties;
}

// @public (undocumented)
export interface VirtualRoutersGetQueryParamProperties {
    "api-version": "2022-05-01";
    $expand?: string;
}

// @public (undocumented)
export interface VirtualRoutersList {
    get(options: VirtualRoutersListParameters): StreamableMethod<VirtualRoutersList200Response | VirtualRoutersListDefaultResponse>;
}

// @public
export interface VirtualRoutersList200Response extends HttpResponse {
    // (undocumented)
    body: VirtualRouterListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface VirtualRoutersListByResourceGroup {
    get(options: VirtualRoutersListByResourceGroupParameters): StreamableMethod<VirtualRoutersListByResourceGroup200Response | VirtualRoutersListByResourceGroupDefaultResponse>;
}

// @public
export interface VirtualRoutersListByResourceGroup200Response extends HttpResponse {
    // (undocumented)
    body: VirtualRouterListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualRoutersListByResourceGroupDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualRoutersListByResourceGroupParameters = VirtualRoutersListByResourceGroupQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualRoutersListByResourceGroupQueryParam {
    // (undocumented)
    queryParameters: VirtualRoutersListByResourceGroupQueryParamProperties;
}

// @public (undocumented)
export interface VirtualRoutersListByResourceGroupQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualRoutersListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorModelOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualRoutersListParameters = VirtualRoutersListQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualRoutersListQueryParam {
    // (undocumented)
    queryParameters: VirtualRoutersListQueryParamProperties;
}

// @public (undocumented)
export interface VirtualRoutersListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualWAN extends Resource {
    properties?: VirtualWanProperties;
}

// @public
export interface VirtualWANOutput extends ResourceOutput {
    readonly etag?: string;
    properties?: VirtualWanPropertiesOutput;
}

// @public
export interface VirtualWanProperties {
    allowBranchToBranchTraffic?: boolean;
    allowVnetToVnetTraffic?: boolean;
    disableVpnEncryption?: boolean;
    type?: string;
}

// @public
export interface VirtualWanPropertiesOutput {
    allowBranchToBranchTraffic?: boolean;
    allowVnetToVnetTraffic?: boolean;
    disableVpnEncryption?: boolean;
    readonly office365LocalBreakoutCategory?: "Optimize" | "OptimizeAndAllow" | "All" | "None";
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    type?: string;
    readonly virtualHubs?: Array<SubResourceOutput>;
    readonly vpnSites?: Array<SubResourceOutput>;
}

// @public
export interface VirtualWansCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: VirtualWANOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualWansCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: VirtualWANOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface VirtualWansCreateOrUpdateBodyParam {
    body: VirtualWAN;
}

// @public
export interface VirtualWansCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualWansCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualWansCreateOrUpdateParameters = VirtualWansCreateOrUpdateQueryParam & VirtualWansCreateOrUpdateMediaTypesParam & VirtualWansCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualWansCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: VirtualWansCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface VirtualWansCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualWansDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualWansDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VirtualWansDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface VirtualWansDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualWansDeleteParameters = VirtualWansDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualWansDeleteQueryParam {
    // (undocumented)
    queryParameters: VirtualWansDeleteQueryParamProperties;
}

// @public (undocumented)
export interface VirtualWansDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualWanSecurityProviderOutput {
    name?: string;
    readonly type?: "External" | "Native";
    url?: string;
}

// @public
export interface VirtualWanSecurityProvidersOutput {
    supportedProviders?: Array<VirtualWanSecurityProviderOutput>;
}

// @public (undocumented)
export interface VirtualWansGet {
    delete(options: VirtualWansDeleteParameters): StreamableMethod<VirtualWansDelete200Response | VirtualWansDelete202Response | VirtualWansDelete204Response | VirtualWansDeleteDefaultResponse>;
    get(options: VirtualWansGetParameters): StreamableMethod<VirtualWansGet200Response | VirtualWansGetDefaultResponse>;
    patch(options: VirtualWansUpdateTagsParameters): StreamableMethod<VirtualWansUpdateTags200Response | VirtualWansUpdateTagsDefaultResponse>;
    put(options: VirtualWansCreateOrUpdateParameters): StreamableMethod<VirtualWansCreateOrUpdate200Response | VirtualWansCreateOrUpdate201Response | VirtualWansCreateOrUpdateDefaultResponse>;
}

// @public
export interface VirtualWansGet200Response extends HttpResponse {
    // (undocumented)
    body: VirtualWANOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualWansGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualWansGetParameters = VirtualWansGetQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualWansGetQueryParam {
    // (undocumented)
    queryParameters: VirtualWansGetQueryParamProperties;
}

// @public (undocumented)
export interface VirtualWansGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VirtualWansList {
    get(options: VirtualWansListParameters): StreamableMethod<VirtualWansList200Response | VirtualWansListDefaultResponse>;
}

// @public
export interface VirtualWansList200Response extends HttpResponse {
    // (undocumented)
    body: ListVirtualWANsResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface VirtualWansListByResourceGroup {
    get(options: VirtualWansListByResourceGroupParameters): StreamableMethod<VirtualWansListByResourceGroup200Response | VirtualWansListByResourceGroupDefaultResponse>;
}

// @public
export interface VirtualWansListByResourceGroup200Response extends HttpResponse {
    // (undocumented)
    body: ListVirtualWANsResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VirtualWansListByResourceGroupDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualWansListByResourceGroupParameters = VirtualWansListByResourceGroupQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualWansListByResourceGroupQueryParam {
    // (undocumented)
    queryParameters: VirtualWansListByResourceGroupQueryParamProperties;
}

// @public (undocumented)
export interface VirtualWansListByResourceGroupQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualWansListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VirtualWansListParameters = VirtualWansListQueryParam & RequestParameters;

// @public (undocumented)
export interface VirtualWansListQueryParam {
    // (undocumented)
    queryParameters: VirtualWansListQueryParamProperties;
}

// @public (undocumented)
export interface VirtualWansListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualWansUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: VirtualWANOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface VirtualWansUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface VirtualWansUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VirtualWansUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VirtualWansUpdateTagsParameters = VirtualWansUpdateTagsQueryParam & VirtualWansUpdateTagsMediaTypesParam & VirtualWansUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface VirtualWansUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: VirtualWansUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface VirtualWansUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VirtualWanVpnProfileParameters {
    authenticationMethod?: "EAPTLS" | "EAPMSCHAPv2";
    vpnServerConfigurationResourceId?: string;
}

// @public
export interface Vm extends Resource {
}

// @public
export interface VmOutput extends ResourceOutput {
}

// @public
export interface VnetRoute {
    staticRoutes?: Array<StaticRoute>;
    staticRoutesConfig?: StaticRoutesConfig;
}

// @public
export interface VnetRouteOutput {
    readonly bgpConnections?: Array<SubResourceOutput>;
    staticRoutes?: Array<StaticRouteOutput>;
    staticRoutesConfig?: StaticRoutesConfigOutput;
}

// @public
export interface VngClientConnectionConfiguration extends SubResource {
    name?: string;
    properties?: VngClientConnectionConfigurationProperties;
}

// @public
export interface VngClientConnectionConfigurationOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: VngClientConnectionConfigurationPropertiesOutput;
}

// @public
export interface VngClientConnectionConfigurationProperties {
    virtualNetworkGatewayPolicyGroups: Array<SubResource>;
    vpnClientAddressPool: AddressSpace;
}

// @public
export interface VngClientConnectionConfigurationPropertiesOutput {
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    virtualNetworkGatewayPolicyGroups: Array<SubResourceOutput>;
    vpnClientAddressPool: AddressSpaceOutput;
}

// @public
export interface VpnClientConfiguration {
    aadAudience?: string;
    aadIssuer?: string;
    aadTenant?: string;
    radiusServerAddress?: string;
    radiusServers?: Array<RadiusServer>;
    radiusServerSecret?: string;
    vngClientConnectionConfigurations?: Array<VngClientConnectionConfiguration>;
    vpnAuthenticationTypes?: Array<"Certificate" | "Radius" | "AAD">;
    vpnClientAddressPool?: AddressSpace;
    vpnClientIpsecPolicies?: Array<IpsecPolicy>;
    vpnClientProtocols?: Array<"IkeV2" | "SSTP" | "OpenVPN">;
    vpnClientRevokedCertificates?: Array<VpnClientRevokedCertificate>;
    vpnClientRootCertificates?: Array<VpnClientRootCertificate>;
}

// @public
export interface VpnClientConfigurationOutput {
    aadAudience?: string;
    aadIssuer?: string;
    aadTenant?: string;
    radiusServerAddress?: string;
    radiusServers?: Array<RadiusServerOutput>;
    radiusServerSecret?: string;
    vngClientConnectionConfigurations?: Array<VngClientConnectionConfigurationOutput>;
    vpnAuthenticationTypes?: Array<"Certificate" | "Radius" | "AAD">;
    vpnClientAddressPool?: AddressSpaceOutput;
    vpnClientIpsecPolicies?: Array<IpsecPolicyOutput>;
    vpnClientProtocols?: Array<"IkeV2" | "SSTP" | "OpenVPN">;
    vpnClientRevokedCertificates?: Array<VpnClientRevokedCertificateOutput>;
    vpnClientRootCertificates?: Array<VpnClientRootCertificateOutput>;
}

// @public
export interface VpnClientConnectionHealth {
    allocatedIpAddresses?: Array<string>;
    vpnClientConnectionsCount?: number;
}

// @public
export interface VpnClientConnectionHealthDetailListResultOutput {
    value?: Array<VpnClientConnectionHealthDetailOutput>;
}

// @public
export interface VpnClientConnectionHealthDetailOutput {
    readonly egressBytesTransferred?: number;
    readonly egressPacketsTransferred?: number;
    readonly ingressBytesTransferred?: number;
    readonly ingressPacketsTransferred?: number;
    readonly maxBandwidth?: number;
    readonly maxPacketsPerSecond?: number;
    readonly privateIpAddress?: string;
    readonly publicIpAddress?: string;
    readonly vpnConnectionDuration?: number;
    readonly vpnConnectionId?: string;
    readonly vpnConnectionTime?: string;
    readonly vpnUserName?: string;
}

// @public
export interface VpnClientConnectionHealthOutput {
    allocatedIpAddresses?: Array<string>;
    readonly totalEgressBytesTransferred?: number;
    readonly totalIngressBytesTransferred?: number;
    vpnClientConnectionsCount?: number;
}

// @public
export interface VpnClientIPsecParameters {
    dhGroup: "None" | "DHGroup1" | "DHGroup2" | "DHGroup14" | "DHGroup2048" | "ECP256" | "ECP384" | "DHGroup24";
    ikeEncryption: "DES" | "DES3" | "AES128" | "AES192" | "AES256" | "GCMAES256" | "GCMAES128";
    ikeIntegrity: "MD5" | "SHA1" | "SHA256" | "SHA384" | "GCMAES256" | "GCMAES128";
    ipsecEncryption: "None" | "DES" | "DES3" | "AES128" | "AES192" | "AES256" | "GCMAES128" | "GCMAES192" | "GCMAES256";
    ipsecIntegrity: "MD5" | "SHA1" | "SHA256" | "GCMAES128" | "GCMAES192" | "GCMAES256";
    pfsGroup: "None" | "PFS1" | "PFS2" | "PFS2048" | "ECP256" | "ECP384" | "PFS24" | "PFS14" | "PFSMM";
    saDataSizeKilobytes: number;
    saLifeTimeSeconds: number;
}

// @public
export interface VpnClientIPsecParametersOutput {
    dhGroup: "None" | "DHGroup1" | "DHGroup2" | "DHGroup14" | "DHGroup2048" | "ECP256" | "ECP384" | "DHGroup24";
    ikeEncryption: "DES" | "DES3" | "AES128" | "AES192" | "AES256" | "GCMAES256" | "GCMAES128";
    ikeIntegrity: "MD5" | "SHA1" | "SHA256" | "SHA384" | "GCMAES256" | "GCMAES128";
    ipsecEncryption: "None" | "DES" | "DES3" | "AES128" | "AES192" | "AES256" | "GCMAES128" | "GCMAES192" | "GCMAES256";
    ipsecIntegrity: "MD5" | "SHA1" | "SHA256" | "GCMAES128" | "GCMAES192" | "GCMAES256";
    pfsGroup: "None" | "PFS1" | "PFS2" | "PFS2048" | "ECP256" | "ECP384" | "PFS24" | "PFS14" | "PFSMM";
    saDataSizeKilobytes: number;
    saLifeTimeSeconds: number;
}

// @public
export interface VpnClientParameters {
    authenticationMethod?: "EAPTLS" | "EAPMSCHAPv2";
    clientRootCertificates?: Array<string>;
    processorArchitecture?: "Amd64" | "X86";
    radiusServerAuthCertificate?: string;
}

// @public
export interface VpnClientRevokedCertificate extends SubResource {
    name?: string;
    properties?: VpnClientRevokedCertificatePropertiesFormat;
}

// @public
export interface VpnClientRevokedCertificateOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: VpnClientRevokedCertificatePropertiesFormatOutput;
}

// @public
export interface VpnClientRevokedCertificatePropertiesFormat {
    thumbprint?: string;
}

// @public
export interface VpnClientRevokedCertificatePropertiesFormatOutput {
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    thumbprint?: string;
}

// @public
export interface VpnClientRootCertificate extends SubResource {
    name?: string;
    properties: VpnClientRootCertificatePropertiesFormat;
}

// @public
export interface VpnClientRootCertificateOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties: VpnClientRootCertificatePropertiesFormatOutput;
}

// @public
export interface VpnClientRootCertificatePropertiesFormat {
    publicCertData: string;
}

// @public
export interface VpnClientRootCertificatePropertiesFormatOutput {
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    publicCertData: string;
}

// @public
export interface VpnConnection extends SubResource {
    name?: string;
    properties?: VpnConnectionProperties;
}

// @public
export interface VpnConnectionOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: VpnConnectionPropertiesOutput;
}

// @public
export interface VpnConnectionPacketCaptureStartParameters {
    filterData?: string;
    linkConnectionNames?: Array<string>;
}

// @public
export interface VpnConnectionPacketCaptureStopParameters {
    linkConnectionNames?: Array<string>;
    sasUrl?: string;
}

// @public
export interface VpnConnectionProperties {
    connectionBandwidth?: number;
    dpdTimeoutSeconds?: number;
    enableBgp?: boolean;
    enableInternetSecurity?: boolean;
    enableRateLimiting?: boolean;
    ipsecPolicies?: Array<IpsecPolicy>;
    remoteVpnSite?: SubResource;
    routingConfiguration?: RoutingConfiguration;
    routingWeight?: number;
    sharedKey?: string;
    trafficSelectorPolicies?: Array<TrafficSelectorPolicy>;
    useLocalAzureIpAddress?: boolean;
    usePolicyBasedTrafficSelectors?: boolean;
    vpnConnectionProtocolType?: "IKEv2" | "IKEv1";
    vpnLinkConnections?: Array<VpnSiteLinkConnection>;
}

// @public
export interface VpnConnectionPropertiesOutput {
    connectionBandwidth?: number;
    readonly connectionStatus?: "Unknown" | "Connecting" | "Connected" | "NotConnected";
    dpdTimeoutSeconds?: number;
    readonly egressBytesTransferred?: number;
    enableBgp?: boolean;
    enableInternetSecurity?: boolean;
    enableRateLimiting?: boolean;
    readonly ingressBytesTransferred?: number;
    ipsecPolicies?: Array<IpsecPolicyOutput>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    remoteVpnSite?: SubResourceOutput;
    routingConfiguration?: RoutingConfigurationOutput;
    routingWeight?: number;
    sharedKey?: string;
    trafficSelectorPolicies?: Array<TrafficSelectorPolicyOutput>;
    useLocalAzureIpAddress?: boolean;
    usePolicyBasedTrafficSelectors?: boolean;
    vpnConnectionProtocolType?: "IKEv2" | "IKEv1";
    vpnLinkConnections?: Array<VpnSiteLinkConnectionOutput>;
}

// @public
export interface VpnConnectionsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: VpnConnectionOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VpnConnectionsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: VpnConnectionOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface VpnConnectionsCreateOrUpdateBodyParam {
    body: VpnConnection;
}

// @public
export interface VpnConnectionsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VpnConnectionsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VpnConnectionsCreateOrUpdateParameters = VpnConnectionsCreateOrUpdateQueryParam & VpnConnectionsCreateOrUpdateMediaTypesParam & VpnConnectionsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface VpnConnectionsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: VpnConnectionsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface VpnConnectionsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VpnConnectionsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface VpnConnectionsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VpnConnectionsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface VpnConnectionsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VpnConnectionsDeleteParameters = VpnConnectionsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface VpnConnectionsDeleteQueryParam {
    // (undocumented)
    queryParameters: VpnConnectionsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface VpnConnectionsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VpnConnectionsGet {
    delete(options: VpnConnectionsDeleteParameters): StreamableMethod<VpnConnectionsDelete200Response | VpnConnectionsDelete202Response | VpnConnectionsDelete204Response | VpnConnectionsDeleteDefaultResponse>;
    get(options: VpnConnectionsGetParameters): StreamableMethod<VpnConnectionsGet200Response | VpnConnectionsGetDefaultResponse>;
    put(options: VpnConnectionsCreateOrUpdateParameters): StreamableMethod<VpnConnectionsCreateOrUpdate200Response | VpnConnectionsCreateOrUpdate201Response | VpnConnectionsCreateOrUpdateDefaultResponse>;
}

// @public
export interface VpnConnectionsGet200Response extends HttpResponse {
    // (undocumented)
    body: VpnConnectionOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VpnConnectionsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VpnConnectionsGetParameters = VpnConnectionsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface VpnConnectionsGetQueryParam {
    // (undocumented)
    queryParameters: VpnConnectionsGetQueryParamProperties;
}

// @public (undocumented)
export interface VpnConnectionsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VpnConnectionsListByVpnGateway {
    get(options: VpnConnectionsListByVpnGatewayParameters): StreamableMethod<VpnConnectionsListByVpnGateway200Response | VpnConnectionsListByVpnGatewayDefaultResponse>;
}

// @public
export interface VpnConnectionsListByVpnGateway200Response extends HttpResponse {
    // (undocumented)
    body: ListVpnConnectionsResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VpnConnectionsListByVpnGatewayDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VpnConnectionsListByVpnGatewayParameters = VpnConnectionsListByVpnGatewayQueryParam & RequestParameters;

// @public (undocumented)
export interface VpnConnectionsListByVpnGatewayQueryParam {
    // (undocumented)
    queryParameters: VpnConnectionsListByVpnGatewayQueryParamProperties;
}

// @public (undocumented)
export interface VpnConnectionsListByVpnGatewayQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VpnConnectionsStartPacketCapture {
    post(options: VpnConnectionsStartPacketCaptureParameters): StreamableMethod<VpnConnectionsStartPacketCapture200Response | VpnConnectionsStartPacketCapture202Response | VpnConnectionsStartPacketCaptureDefaultResponse>;
}

// @public
export interface VpnConnectionsStartPacketCapture200Response extends HttpResponse {
    // (undocumented)
    body: string;
    // (undocumented)
    status: "200";
}

// @public
export interface VpnConnectionsStartPacketCapture202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface VpnConnectionsStartPacketCaptureBodyParam {
    body?: VpnConnectionPacketCaptureStartParameters;
}

// @public
export interface VpnConnectionsStartPacketCaptureDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VpnConnectionsStartPacketCaptureMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VpnConnectionsStartPacketCaptureParameters = VpnConnectionsStartPacketCaptureQueryParam & VpnConnectionsStartPacketCaptureMediaTypesParam & VpnConnectionsStartPacketCaptureBodyParam & RequestParameters;

// @public (undocumented)
export interface VpnConnectionsStartPacketCaptureQueryParam {
    // (undocumented)
    queryParameters: VpnConnectionsStartPacketCaptureQueryParamProperties;
}

// @public (undocumented)
export interface VpnConnectionsStartPacketCaptureQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VpnConnectionsStopPacketCapture {
    post(options: VpnConnectionsStopPacketCaptureParameters): StreamableMethod<VpnConnectionsStopPacketCapture200Response | VpnConnectionsStopPacketCapture202Response | VpnConnectionsStopPacketCaptureDefaultResponse>;
}

// @public
export interface VpnConnectionsStopPacketCapture200Response extends HttpResponse {
    // (undocumented)
    body: string;
    // (undocumented)
    status: "200";
}

// @public
export interface VpnConnectionsStopPacketCapture202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface VpnConnectionsStopPacketCaptureBodyParam {
    body?: VpnConnectionPacketCaptureStopParameters;
}

// @public
export interface VpnConnectionsStopPacketCaptureDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VpnConnectionsStopPacketCaptureMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VpnConnectionsStopPacketCaptureParameters = VpnConnectionsStopPacketCaptureQueryParam & VpnConnectionsStopPacketCaptureMediaTypesParam & VpnConnectionsStopPacketCaptureBodyParam & RequestParameters;

// @public (undocumented)
export interface VpnConnectionsStopPacketCaptureQueryParam {
    // (undocumented)
    queryParameters: VpnConnectionsStopPacketCaptureQueryParamProperties;
}

// @public (undocumented)
export interface VpnConnectionsStopPacketCaptureQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VpnDeviceScriptParameters {
    deviceFamily?: string;
    firmwareVersion?: string;
    vendor?: string;
}

// @public
export interface VpnGateway extends Resource {
    properties?: VpnGatewayProperties;
}

// @public
export interface VpnGatewayIpConfiguration {
    id?: string;
    privateIpAddress?: string;
    publicIpAddress?: string;
}

// @public
export interface VpnGatewayIpConfigurationOutput {
    id?: string;
    privateIpAddress?: string;
    publicIpAddress?: string;
}

// @public
export interface VpnGatewayNatRule extends SubResource {
    name?: string;
    properties?: VpnGatewayNatRuleProperties;
}

// @public
export interface VpnGatewayNatRuleOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: VpnGatewayNatRulePropertiesOutput;
    readonly type?: string;
}

// @public
export interface VpnGatewayNatRuleProperties {
    externalMappings?: Array<VpnNatRuleMapping>;
    internalMappings?: Array<VpnNatRuleMapping>;
    ipConfigurationId?: string;
    mode?: "EgressSnat" | "IngressSnat";
    type?: "Static" | "Dynamic";
}

// @public
export interface VpnGatewayNatRulePropertiesOutput {
    readonly egressVpnSiteLinkConnections?: Array<SubResourceOutput>;
    externalMappings?: Array<VpnNatRuleMappingOutput>;
    readonly ingressVpnSiteLinkConnections?: Array<SubResourceOutput>;
    internalMappings?: Array<VpnNatRuleMappingOutput>;
    ipConfigurationId?: string;
    mode?: "EgressSnat" | "IngressSnat";
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    type?: "Static" | "Dynamic";
}

// @public
export interface VpnGatewayOutput extends ResourceOutput {
    readonly etag?: string;
    properties?: VpnGatewayPropertiesOutput;
}

// @public
export interface VpnGatewayPacketCaptureStartParameters {
    filterData?: string;
}

// @public
export interface VpnGatewayPacketCaptureStopParameters {
    sasUrl?: string;
}

// @public
export interface VpnGatewayProperties {
    bgpSettings?: BgpSettings;
    connections?: Array<VpnConnection>;
    enableBgpRouteTranslationForNat?: boolean;
    isRoutingPreferenceInternet?: boolean;
    natRules?: Array<VpnGatewayNatRule>;
    virtualHub?: SubResource;
    vpnGatewayScaleUnit?: number;
}

// @public
export interface VpnGatewayPropertiesOutput {
    bgpSettings?: BgpSettingsOutput;
    connections?: Array<VpnConnectionOutput>;
    enableBgpRouteTranslationForNat?: boolean;
    readonly ipConfigurations?: Array<VpnGatewayIpConfigurationOutput>;
    isRoutingPreferenceInternet?: boolean;
    natRules?: Array<VpnGatewayNatRuleOutput>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    virtualHub?: SubResourceOutput;
    vpnGatewayScaleUnit?: number;
}

// @public
export interface VpnGatewaysCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: VpnGatewayOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VpnGatewaysCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: VpnGatewayOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface VpnGatewaysCreateOrUpdateBodyParam {
    body: VpnGateway;
}

// @public
export interface VpnGatewaysCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VpnGatewaysCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VpnGatewaysCreateOrUpdateParameters = VpnGatewaysCreateOrUpdateQueryParam & VpnGatewaysCreateOrUpdateMediaTypesParam & VpnGatewaysCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface VpnGatewaysCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: VpnGatewaysCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface VpnGatewaysCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VpnGatewaysDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface VpnGatewaysDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VpnGatewaysDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface VpnGatewaysDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VpnGatewaysDeleteParameters = VpnGatewaysDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface VpnGatewaysDeleteQueryParam {
    // (undocumented)
    queryParameters: VpnGatewaysDeleteQueryParamProperties;
}

// @public (undocumented)
export interface VpnGatewaysDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VpnGatewaysGet {
    delete(options: VpnGatewaysDeleteParameters): StreamableMethod<VpnGatewaysDelete200Response | VpnGatewaysDelete202Response | VpnGatewaysDelete204Response | VpnGatewaysDeleteDefaultResponse>;
    get(options: VpnGatewaysGetParameters): StreamableMethod<VpnGatewaysGet200Response | VpnGatewaysGetDefaultResponse>;
    patch(options: VpnGatewaysUpdateTagsParameters): StreamableMethod<VpnGatewaysUpdateTags200Response | VpnGatewaysUpdateTags202Response | VpnGatewaysUpdateTagsDefaultResponse>;
    put(options: VpnGatewaysCreateOrUpdateParameters): StreamableMethod<VpnGatewaysCreateOrUpdate200Response | VpnGatewaysCreateOrUpdate201Response | VpnGatewaysCreateOrUpdateDefaultResponse>;
}

// @public
export interface VpnGatewaysGet200Response extends HttpResponse {
    // (undocumented)
    body: VpnGatewayOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VpnGatewaysGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VpnGatewaysGetParameters = VpnGatewaysGetQueryParam & RequestParameters;

// @public (undocumented)
export interface VpnGatewaysGetQueryParam {
    // (undocumented)
    queryParameters: VpnGatewaysGetQueryParamProperties;
}

// @public (undocumented)
export interface VpnGatewaysGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VpnGatewaysList {
    get(options: VpnGatewaysListParameters): StreamableMethod<VpnGatewaysList200Response | VpnGatewaysListDefaultResponse>;
}

// @public
export interface VpnGatewaysList200Response extends HttpResponse {
    // (undocumented)
    body: ListVpnGatewaysResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface VpnGatewaysListByResourceGroup {
    get(options: VpnGatewaysListByResourceGroupParameters): StreamableMethod<VpnGatewaysListByResourceGroup200Response | VpnGatewaysListByResourceGroupDefaultResponse>;
}

// @public
export interface VpnGatewaysListByResourceGroup200Response extends HttpResponse {
    // (undocumented)
    body: ListVpnGatewaysResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VpnGatewaysListByResourceGroupDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VpnGatewaysListByResourceGroupParameters = VpnGatewaysListByResourceGroupQueryParam & RequestParameters;

// @public (undocumented)
export interface VpnGatewaysListByResourceGroupQueryParam {
    // (undocumented)
    queryParameters: VpnGatewaysListByResourceGroupQueryParamProperties;
}

// @public (undocumented)
export interface VpnGatewaysListByResourceGroupQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VpnGatewaysListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VpnGatewaysListParameters = VpnGatewaysListQueryParam & RequestParameters;

// @public (undocumented)
export interface VpnGatewaysListQueryParam {
    // (undocumented)
    queryParameters: VpnGatewaysListQueryParamProperties;
}

// @public (undocumented)
export interface VpnGatewaysListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VpnGatewaysReset {
    post(options: VpnGatewaysResetParameters): StreamableMethod<VpnGatewaysReset200Response | VpnGatewaysReset202Response | VpnGatewaysResetDefaultResponse>;
}

// @public
export interface VpnGatewaysReset200Response extends HttpResponse {
    // (undocumented)
    body: VpnGatewayOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VpnGatewaysReset202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VpnGatewaysResetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VpnGatewaysResetParameters = VpnGatewaysResetQueryParam & RequestParameters;

// @public (undocumented)
export interface VpnGatewaysResetQueryParam {
    // (undocumented)
    queryParameters: VpnGatewaysResetQueryParamProperties;
}

// @public (undocumented)
export interface VpnGatewaysResetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VpnGatewaysStartPacketCapture {
    post(options: VpnGatewaysStartPacketCaptureParameters): StreamableMethod<VpnGatewaysStartPacketCapture200Response | VpnGatewaysStartPacketCapture202Response | VpnGatewaysStartPacketCaptureDefaultResponse>;
}

// @public
export interface VpnGatewaysStartPacketCapture200Response extends HttpResponse {
    // (undocumented)
    body: string;
    // (undocumented)
    status: "200";
}

// @public
export interface VpnGatewaysStartPacketCapture202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface VpnGatewaysStartPacketCaptureBodyParam {
    body?: VpnGatewayPacketCaptureStartParameters;
}

// @public
export interface VpnGatewaysStartPacketCaptureDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VpnGatewaysStartPacketCaptureMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VpnGatewaysStartPacketCaptureParameters = VpnGatewaysStartPacketCaptureQueryParam & VpnGatewaysStartPacketCaptureMediaTypesParam & VpnGatewaysStartPacketCaptureBodyParam & RequestParameters;

// @public (undocumented)
export interface VpnGatewaysStartPacketCaptureQueryParam {
    // (undocumented)
    queryParameters: VpnGatewaysStartPacketCaptureQueryParamProperties;
}

// @public (undocumented)
export interface VpnGatewaysStartPacketCaptureQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VpnGatewaysStopPacketCapture {
    post(options: VpnGatewaysStopPacketCaptureParameters): StreamableMethod<VpnGatewaysStopPacketCapture200Response | VpnGatewaysStopPacketCapture202Response | VpnGatewaysStopPacketCaptureDefaultResponse>;
}

// @public
export interface VpnGatewaysStopPacketCapture200Response extends HttpResponse {
    // (undocumented)
    body: string;
    // (undocumented)
    status: "200";
}

// @public
export interface VpnGatewaysStopPacketCapture202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface VpnGatewaysStopPacketCaptureBodyParam {
    body?: VpnGatewayPacketCaptureStopParameters;
}

// @public
export interface VpnGatewaysStopPacketCaptureDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VpnGatewaysStopPacketCaptureMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VpnGatewaysStopPacketCaptureParameters = VpnGatewaysStopPacketCaptureQueryParam & VpnGatewaysStopPacketCaptureMediaTypesParam & VpnGatewaysStopPacketCaptureBodyParam & RequestParameters;

// @public (undocumented)
export interface VpnGatewaysStopPacketCaptureQueryParam {
    // (undocumented)
    queryParameters: VpnGatewaysStopPacketCaptureQueryParamProperties;
}

// @public (undocumented)
export interface VpnGatewaysStopPacketCaptureQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VpnGatewaysUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: VpnGatewayOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VpnGatewaysUpdateTags202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface VpnGatewaysUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface VpnGatewaysUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VpnGatewaysUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VpnGatewaysUpdateTagsParameters = VpnGatewaysUpdateTagsQueryParam & VpnGatewaysUpdateTagsMediaTypesParam & VpnGatewaysUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface VpnGatewaysUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: VpnGatewaysUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface VpnGatewaysUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VpnLinkBgpSettings {
    asn?: number;
    bgpPeeringAddress?: string;
}

// @public
export interface VpnLinkBgpSettingsOutput {
    asn?: number;
    bgpPeeringAddress?: string;
}

// @public (undocumented)
export interface VpnLinkConnectionsGetIkeSas {
    post(options: VpnLinkConnectionsGetIkeSasParameters): StreamableMethod<VpnLinkConnectionsGetIkeSas200Response | VpnLinkConnectionsGetIkeSas202Response | VpnLinkConnectionsGetIkeSasDefaultResponse>;
}

// @public
export interface VpnLinkConnectionsGetIkeSas200Response extends HttpResponse {
    // (undocumented)
    body: string;
    // (undocumented)
    status: "200";
}

// @public
export interface VpnLinkConnectionsGetIkeSas202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VpnLinkConnectionsGetIkeSasDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VpnLinkConnectionsGetIkeSasParameters = VpnLinkConnectionsGetIkeSasQueryParam & RequestParameters;

// @public (undocumented)
export interface VpnLinkConnectionsGetIkeSasQueryParam {
    // (undocumented)
    queryParameters: VpnLinkConnectionsGetIkeSasQueryParamProperties;
}

// @public (undocumented)
export interface VpnLinkConnectionsGetIkeSasQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VpnLinkConnectionsListByVpnConnection {
    get(options: VpnLinkConnectionsListByVpnConnectionParameters): StreamableMethod<VpnLinkConnectionsListByVpnConnection200Response | VpnLinkConnectionsListByVpnConnectionDefaultResponse>;
}

// @public
export interface VpnLinkConnectionsListByVpnConnection200Response extends HttpResponse {
    // (undocumented)
    body: ListVpnSiteLinkConnectionsResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VpnLinkConnectionsListByVpnConnectionDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VpnLinkConnectionsListByVpnConnectionParameters = VpnLinkConnectionsListByVpnConnectionQueryParam & RequestParameters;

// @public (undocumented)
export interface VpnLinkConnectionsListByVpnConnectionQueryParam {
    // (undocumented)
    queryParameters: VpnLinkConnectionsListByVpnConnectionQueryParamProperties;
}

// @public (undocumented)
export interface VpnLinkConnectionsListByVpnConnectionQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VpnLinkConnectionsResetConnection {
    post(options: VpnLinkConnectionsResetConnectionParameters): StreamableMethod<VpnLinkConnectionsResetConnection202Response | VpnLinkConnectionsResetConnectionDefaultResponse>;
}

// @public
export interface VpnLinkConnectionsResetConnection202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VpnLinkConnectionsResetConnectionDefaultResponse extends HttpResponse {
    // (undocumented)
    body: ErrorResponseOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VpnLinkConnectionsResetConnectionParameters = VpnLinkConnectionsResetConnectionQueryParam & RequestParameters;

// @public (undocumented)
export interface VpnLinkConnectionsResetConnectionQueryParam {
    // (undocumented)
    queryParameters: VpnLinkConnectionsResetConnectionQueryParamProperties;
}

// @public (undocumented)
export interface VpnLinkConnectionsResetConnectionQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VpnLinkProviderProperties {
    linkProviderName?: string;
    linkSpeedInMbps?: number;
}

// @public
export interface VpnLinkProviderPropertiesOutput {
    linkProviderName?: string;
    linkSpeedInMbps?: number;
}

// @public
export interface VpnNatRuleMapping {
    addressSpace?: string;
    portRange?: string;
}

// @public
export interface VpnNatRuleMappingOutput {
    addressSpace?: string;
    portRange?: string;
}

// @public
export interface VpnPacketCaptureStartParameters {
    filterData?: string;
}

// @public
export interface VpnPacketCaptureStopParameters {
    sasUrl?: string;
}

// @public
export interface VpnProfileResponseOutput {
    profileUrl?: string;
}

// @public
export interface VpnServerConfigRadiusClientRootCertificate {
    name?: string;
    thumbprint?: string;
}

// @public
export interface VpnServerConfigRadiusClientRootCertificateOutput {
    name?: string;
    thumbprint?: string;
}

// @public
export interface VpnServerConfigRadiusServerRootCertificate {
    name?: string;
    publicCertData?: string;
}

// @public
export interface VpnServerConfigRadiusServerRootCertificateOutput {
    name?: string;
    publicCertData?: string;
}

// @public
export interface VpnServerConfiguration extends Resource {
    properties?: VpnServerConfigurationProperties;
}

// @public
export interface VpnServerConfigurationOutput extends ResourceOutput {
    readonly etag?: string;
    properties?: VpnServerConfigurationPropertiesOutput;
}

// @public
export interface VpnServerConfigurationPolicyGroup extends SubResource {
    name?: string;
    properties?: VpnServerConfigurationPolicyGroupProperties;
}

// @public
export interface VpnServerConfigurationPolicyGroupMember {
    attributeType?: "CertificateGroupId" | "AADGroupId" | "RadiusAzureGroupId";
    attributeValue?: string;
    name?: string;
}

// @public
export interface VpnServerConfigurationPolicyGroupMemberOutput {
    attributeType?: "CertificateGroupId" | "AADGroupId" | "RadiusAzureGroupId";
    attributeValue?: string;
    name?: string;
}

// @public
export interface VpnServerConfigurationPolicyGroupOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: VpnServerConfigurationPolicyGroupPropertiesOutput;
    readonly type?: string;
}

// @public
export interface VpnServerConfigurationPolicyGroupProperties {
    isDefault?: boolean;
    policyMembers?: Array<VpnServerConfigurationPolicyGroupMember>;
    priority?: number;
}

// @public
export interface VpnServerConfigurationPolicyGroupPropertiesOutput {
    isDefault?: boolean;
    readonly p2SConnectionConfigurations?: Array<SubResourceOutput>;
    policyMembers?: Array<VpnServerConfigurationPolicyGroupMemberOutput>;
    priority?: number;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public
export interface VpnServerConfigurationProperties {
    aadAuthenticationParameters?: AadAuthenticationParameters;
    configurationPolicyGroups?: Array<VpnServerConfigurationPolicyGroup>;
    name?: string;
    radiusClientRootCertificates?: Array<VpnServerConfigRadiusClientRootCertificate>;
    radiusServerAddress?: string;
    radiusServerRootCertificates?: Array<VpnServerConfigRadiusServerRootCertificate>;
    radiusServers?: Array<RadiusServer>;
    radiusServerSecret?: string;
    vpnAuthenticationTypes?: Array<"Certificate" | "Radius" | "AAD">;
    vpnClientIpsecPolicies?: Array<IpsecPolicy>;
    vpnClientRevokedCertificates?: Array<VpnServerConfigVpnClientRevokedCertificate>;
    vpnClientRootCertificates?: Array<VpnServerConfigVpnClientRootCertificate>;
    vpnProtocols?: Array<"IkeV2" | "OpenVPN">;
}

// @public
export interface VpnServerConfigurationPropertiesOutput {
    aadAuthenticationParameters?: AadAuthenticationParametersOutput;
    configurationPolicyGroups?: Array<VpnServerConfigurationPolicyGroupOutput>;
    readonly etag?: string;
    name?: string;
    readonly p2SVpnGateways?: Array<P2SVpnGatewayOutput>;
    readonly provisioningState?: string;
    radiusClientRootCertificates?: Array<VpnServerConfigRadiusClientRootCertificateOutput>;
    radiusServerAddress?: string;
    radiusServerRootCertificates?: Array<VpnServerConfigRadiusServerRootCertificateOutput>;
    radiusServers?: Array<RadiusServerOutput>;
    radiusServerSecret?: string;
    vpnAuthenticationTypes?: Array<"Certificate" | "Radius" | "AAD">;
    vpnClientIpsecPolicies?: Array<IpsecPolicyOutput>;
    vpnClientRevokedCertificates?: Array<VpnServerConfigVpnClientRevokedCertificateOutput>;
    vpnClientRootCertificates?: Array<VpnServerConfigVpnClientRootCertificateOutput>;
    vpnProtocols?: Array<"IkeV2" | "OpenVPN">;
}

// @public (undocumented)
export interface VpnServerConfigurationsAssociatedWithVirtualWanList {
    post(options: VpnServerConfigurationsAssociatedWithVirtualWanListParameters): StreamableMethod<VpnServerConfigurationsAssociatedWithVirtualWanList200Response | VpnServerConfigurationsAssociatedWithVirtualWanList202Response | VpnServerConfigurationsAssociatedWithVirtualWanListDefaultResponse>;
}

// @public
export interface VpnServerConfigurationsAssociatedWithVirtualWanList200Response extends HttpResponse {
    // (undocumented)
    body: VpnServerConfigurationsResponseOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VpnServerConfigurationsAssociatedWithVirtualWanList202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VpnServerConfigurationsAssociatedWithVirtualWanListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VpnServerConfigurationsAssociatedWithVirtualWanListParameters = VpnServerConfigurationsAssociatedWithVirtualWanListQueryParam & RequestParameters;

// @public (undocumented)
export interface VpnServerConfigurationsAssociatedWithVirtualWanListQueryParam {
    // (undocumented)
    queryParameters: VpnServerConfigurationsAssociatedWithVirtualWanListQueryParamProperties;
}

// @public (undocumented)
export interface VpnServerConfigurationsAssociatedWithVirtualWanListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VpnServerConfigurationsCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: VpnServerConfigurationOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VpnServerConfigurationsCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: VpnServerConfigurationOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface VpnServerConfigurationsCreateOrUpdateBodyParam {
    body: VpnServerConfiguration;
}

// @public
export interface VpnServerConfigurationsCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VpnServerConfigurationsCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VpnServerConfigurationsCreateOrUpdateParameters = VpnServerConfigurationsCreateOrUpdateQueryParam & VpnServerConfigurationsCreateOrUpdateMediaTypesParam & VpnServerConfigurationsCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface VpnServerConfigurationsCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: VpnServerConfigurationsCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface VpnServerConfigurationsCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VpnServerConfigurationsDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface VpnServerConfigurationsDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VpnServerConfigurationsDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface VpnServerConfigurationsDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VpnServerConfigurationsDeleteParameters = VpnServerConfigurationsDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface VpnServerConfigurationsDeleteQueryParam {
    // (undocumented)
    queryParameters: VpnServerConfigurationsDeleteQueryParamProperties;
}

// @public (undocumented)
export interface VpnServerConfigurationsDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VpnServerConfigurationsGet {
    delete(options: VpnServerConfigurationsDeleteParameters): StreamableMethod<VpnServerConfigurationsDelete200Response | VpnServerConfigurationsDelete202Response | VpnServerConfigurationsDelete204Response | VpnServerConfigurationsDeleteDefaultResponse>;
    get(options: VpnServerConfigurationsGetParameters): StreamableMethod<VpnServerConfigurationsGet200Response | VpnServerConfigurationsGetDefaultResponse>;
    patch(options: VpnServerConfigurationsUpdateTagsParameters): StreamableMethod<VpnServerConfigurationsUpdateTags200Response | VpnServerConfigurationsUpdateTagsDefaultResponse>;
    put(options: VpnServerConfigurationsCreateOrUpdateParameters): StreamableMethod<VpnServerConfigurationsCreateOrUpdate200Response | VpnServerConfigurationsCreateOrUpdate201Response | VpnServerConfigurationsCreateOrUpdateDefaultResponse>;
}

// @public
export interface VpnServerConfigurationsGet200Response extends HttpResponse {
    // (undocumented)
    body: VpnServerConfigurationOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VpnServerConfigurationsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VpnServerConfigurationsGetParameters = VpnServerConfigurationsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface VpnServerConfigurationsGetQueryParam {
    // (undocumented)
    queryParameters: VpnServerConfigurationsGetQueryParamProperties;
}

// @public (undocumented)
export interface VpnServerConfigurationsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VpnServerConfigurationsList {
    get(options: VpnServerConfigurationsListParameters): StreamableMethod<VpnServerConfigurationsList200Response | VpnServerConfigurationsListDefaultResponse>;
}

// @public
export interface VpnServerConfigurationsList200Response extends HttpResponse {
    // (undocumented)
    body: ListVpnServerConfigurationsResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface VpnServerConfigurationsListByResourceGroup {
    get(options: VpnServerConfigurationsListByResourceGroupParameters): StreamableMethod<VpnServerConfigurationsListByResourceGroup200Response | VpnServerConfigurationsListByResourceGroupDefaultResponse>;
}

// @public
export interface VpnServerConfigurationsListByResourceGroup200Response extends HttpResponse {
    // (undocumented)
    body: ListVpnServerConfigurationsResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VpnServerConfigurationsListByResourceGroupDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VpnServerConfigurationsListByResourceGroupParameters = VpnServerConfigurationsListByResourceGroupQueryParam & RequestParameters;

// @public (undocumented)
export interface VpnServerConfigurationsListByResourceGroupQueryParam {
    // (undocumented)
    queryParameters: VpnServerConfigurationsListByResourceGroupQueryParamProperties;
}

// @public (undocumented)
export interface VpnServerConfigurationsListByResourceGroupQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VpnServerConfigurationsListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VpnServerConfigurationsListParameters = VpnServerConfigurationsListQueryParam & RequestParameters;

// @public (undocumented)
export interface VpnServerConfigurationsListQueryParam {
    // (undocumented)
    queryParameters: VpnServerConfigurationsListQueryParamProperties;
}

// @public (undocumented)
export interface VpnServerConfigurationsListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VpnServerConfigurationsResponseOutput {
    vpnServerConfigurationResourceIds?: Array<string>;
}

// @public
export interface VpnServerConfigurationsUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: VpnServerConfigurationOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface VpnServerConfigurationsUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface VpnServerConfigurationsUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VpnServerConfigurationsUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VpnServerConfigurationsUpdateTagsParameters = VpnServerConfigurationsUpdateTagsQueryParam & VpnServerConfigurationsUpdateTagsMediaTypesParam & VpnServerConfigurationsUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface VpnServerConfigurationsUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: VpnServerConfigurationsUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface VpnServerConfigurationsUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VpnServerConfigVpnClientRevokedCertificate {
    name?: string;
    thumbprint?: string;
}

// @public
export interface VpnServerConfigVpnClientRevokedCertificateOutput {
    name?: string;
    thumbprint?: string;
}

// @public
export interface VpnServerConfigVpnClientRootCertificate {
    name?: string;
    publicCertData?: string;
}

// @public
export interface VpnServerConfigVpnClientRootCertificateOutput {
    name?: string;
    publicCertData?: string;
}

// @public
export interface VpnSite extends Resource {
    properties?: VpnSiteProperties;
}

// @public
export interface VpnSiteLink extends SubResource {
    name?: string;
    properties?: VpnSiteLinkProperties;
}

// @public
export interface VpnSiteLinkConnection extends SubResource {
    name?: string;
    properties?: VpnSiteLinkConnectionProperties;
}

// @public
export interface VpnSiteLinkConnectionOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: VpnSiteLinkConnectionPropertiesOutput;
    readonly type?: string;
}

// @public
export interface VpnSiteLinkConnectionProperties {
    connectionBandwidth?: number;
    egressNatRules?: Array<SubResource>;
    enableBgp?: boolean;
    enableRateLimiting?: boolean;
    ingressNatRules?: Array<SubResource>;
    ipsecPolicies?: Array<IpsecPolicy>;
    routingWeight?: number;
    sharedKey?: string;
    useLocalAzureIpAddress?: boolean;
    usePolicyBasedTrafficSelectors?: boolean;
    vpnConnectionProtocolType?: "IKEv2" | "IKEv1";
    vpnGatewayCustomBgpAddresses?: Array<GatewayCustomBgpIpAddressIpConfiguration>;
    vpnLinkConnectionMode?: "Default" | "ResponderOnly" | "InitiatorOnly";
    vpnSiteLink?: SubResource;
}

// @public
export interface VpnSiteLinkConnectionPropertiesOutput {
    connectionBandwidth?: number;
    readonly connectionStatus?: "Unknown" | "Connecting" | "Connected" | "NotConnected";
    readonly egressBytesTransferred?: number;
    egressNatRules?: Array<SubResourceOutput>;
    enableBgp?: boolean;
    enableRateLimiting?: boolean;
    readonly ingressBytesTransferred?: number;
    ingressNatRules?: Array<SubResourceOutput>;
    ipsecPolicies?: Array<IpsecPolicyOutput>;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    routingWeight?: number;
    sharedKey?: string;
    useLocalAzureIpAddress?: boolean;
    usePolicyBasedTrafficSelectors?: boolean;
    vpnConnectionProtocolType?: "IKEv2" | "IKEv1";
    vpnGatewayCustomBgpAddresses?: Array<GatewayCustomBgpIpAddressIpConfigurationOutput>;
    vpnLinkConnectionMode?: "Default" | "ResponderOnly" | "InitiatorOnly";
    vpnSiteLink?: SubResourceOutput;
}

// @public (undocumented)
export interface VpnSiteLinkConnectionsGet {
    get(options: VpnSiteLinkConnectionsGetParameters): StreamableMethod<VpnSiteLinkConnectionsGet200Response | VpnSiteLinkConnectionsGetDefaultResponse>;
}

// @public
export interface VpnSiteLinkConnectionsGet200Response extends HttpResponse {
    // (undocumented)
    body: VpnSiteLinkConnectionOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VpnSiteLinkConnectionsGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VpnSiteLinkConnectionsGetParameters = VpnSiteLinkConnectionsGetQueryParam & RequestParameters;

// @public (undocumented)
export interface VpnSiteLinkConnectionsGetQueryParam {
    // (undocumented)
    queryParameters: VpnSiteLinkConnectionsGetQueryParamProperties;
}

// @public (undocumented)
export interface VpnSiteLinkConnectionsGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VpnSiteLinkOutput extends SubResourceOutput {
    readonly etag?: string;
    name?: string;
    properties?: VpnSiteLinkPropertiesOutput;
    readonly type?: string;
}

// @public
export interface VpnSiteLinkProperties {
    bgpProperties?: VpnLinkBgpSettings;
    fqdn?: string;
    ipAddress?: string;
    linkProperties?: VpnLinkProviderProperties;
}

// @public
export interface VpnSiteLinkPropertiesOutput {
    bgpProperties?: VpnLinkBgpSettingsOutput;
    fqdn?: string;
    ipAddress?: string;
    linkProperties?: VpnLinkProviderPropertiesOutput;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
}

// @public (undocumented)
export interface VpnSiteLinksGet {
    get(options: VpnSiteLinksGetParameters): StreamableMethod<VpnSiteLinksGet200Response | VpnSiteLinksGetDefaultResponse>;
}

// @public
export interface VpnSiteLinksGet200Response extends HttpResponse {
    // (undocumented)
    body: VpnSiteLinkOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VpnSiteLinksGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VpnSiteLinksGetParameters = VpnSiteLinksGetQueryParam & RequestParameters;

// @public (undocumented)
export interface VpnSiteLinksGetQueryParam {
    // (undocumented)
    queryParameters: VpnSiteLinksGetQueryParamProperties;
}

// @public (undocumented)
export interface VpnSiteLinksGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VpnSiteLinksListByVpnSite {
    get(options: VpnSiteLinksListByVpnSiteParameters): StreamableMethod<VpnSiteLinksListByVpnSite200Response | VpnSiteLinksListByVpnSiteDefaultResponse>;
}

// @public
export interface VpnSiteLinksListByVpnSite200Response extends HttpResponse {
    // (undocumented)
    body: ListVpnSiteLinksResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VpnSiteLinksListByVpnSiteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VpnSiteLinksListByVpnSiteParameters = VpnSiteLinksListByVpnSiteQueryParam & RequestParameters;

// @public (undocumented)
export interface VpnSiteLinksListByVpnSiteQueryParam {
    // (undocumented)
    queryParameters: VpnSiteLinksListByVpnSiteQueryParamProperties;
}

// @public (undocumented)
export interface VpnSiteLinksListByVpnSiteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VpnSiteOutput extends ResourceOutput {
    readonly etag?: string;
    properties?: VpnSitePropertiesOutput;
}

// @public
export interface VpnSiteProperties {
    addressSpace?: AddressSpace;
    bgpProperties?: BgpSettings;
    deviceProperties?: DeviceProperties;
    ipAddress?: string;
    isSecuritySite?: boolean;
    o365Policy?: O365PolicyProperties;
    siteKey?: string;
    virtualWan?: SubResource;
    vpnSiteLinks?: Array<VpnSiteLink>;
}

// @public
export interface VpnSitePropertiesOutput {
    addressSpace?: AddressSpaceOutput;
    bgpProperties?: BgpSettingsOutput;
    deviceProperties?: DevicePropertiesOutput;
    ipAddress?: string;
    isSecuritySite?: boolean;
    o365Policy?: O365PolicyPropertiesOutput;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    siteKey?: string;
    virtualWan?: SubResourceOutput;
    vpnSiteLinks?: Array<VpnSiteLinkOutput>;
}

// @public (undocumented)
export interface VpnSitesConfigurationDownload {
    post(options: VpnSitesConfigurationDownloadParameters): StreamableMethod<VpnSitesConfigurationDownload200Response | VpnSitesConfigurationDownload202Response | VpnSitesConfigurationDownloadDefaultResponse>;
}

// @public
export interface VpnSitesConfigurationDownload200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface VpnSitesConfigurationDownload202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public (undocumented)
export interface VpnSitesConfigurationDownloadBodyParam {
    body: GetVpnSitesConfigurationRequest;
}

// @public
export interface VpnSitesConfigurationDownloadDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VpnSitesConfigurationDownloadMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VpnSitesConfigurationDownloadParameters = VpnSitesConfigurationDownloadQueryParam & VpnSitesConfigurationDownloadMediaTypesParam & VpnSitesConfigurationDownloadBodyParam & RequestParameters;

// @public (undocumented)
export interface VpnSitesConfigurationDownloadQueryParam {
    // (undocumented)
    queryParameters: VpnSitesConfigurationDownloadQueryParamProperties;
}

// @public (undocumented)
export interface VpnSitesConfigurationDownloadQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VpnSitesCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: VpnSiteOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VpnSitesCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: VpnSiteOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface VpnSitesCreateOrUpdateBodyParam {
    body: VpnSite;
}

// @public
export interface VpnSitesCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VpnSitesCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VpnSitesCreateOrUpdateParameters = VpnSitesCreateOrUpdateQueryParam & VpnSitesCreateOrUpdateMediaTypesParam & VpnSitesCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface VpnSitesCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: VpnSitesCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface VpnSitesCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VpnSitesDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface VpnSitesDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface VpnSitesDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface VpnSitesDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VpnSitesDeleteParameters = VpnSitesDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface VpnSitesDeleteQueryParam {
    // (undocumented)
    queryParameters: VpnSitesDeleteQueryParamProperties;
}

// @public (undocumented)
export interface VpnSitesDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VpnSitesGet {
    delete(options: VpnSitesDeleteParameters): StreamableMethod<VpnSitesDelete200Response | VpnSitesDelete202Response | VpnSitesDelete204Response | VpnSitesDeleteDefaultResponse>;
    get(options: VpnSitesGetParameters): StreamableMethod<VpnSitesGet200Response | VpnSitesGetDefaultResponse>;
    patch(options: VpnSitesUpdateTagsParameters): StreamableMethod<VpnSitesUpdateTags200Response | VpnSitesUpdateTagsDefaultResponse>;
    put(options: VpnSitesCreateOrUpdateParameters): StreamableMethod<VpnSitesCreateOrUpdate200Response | VpnSitesCreateOrUpdate201Response | VpnSitesCreateOrUpdateDefaultResponse>;
}

// @public
export interface VpnSitesGet200Response extends HttpResponse {
    // (undocumented)
    body: VpnSiteOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VpnSitesGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VpnSitesGetParameters = VpnSitesGetQueryParam & RequestParameters;

// @public (undocumented)
export interface VpnSitesGetQueryParam {
    // (undocumented)
    queryParameters: VpnSitesGetQueryParamProperties;
}

// @public (undocumented)
export interface VpnSitesGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface VpnSitesList {
    get(options: VpnSitesListParameters): StreamableMethod<VpnSitesList200Response | VpnSitesListDefaultResponse>;
}

// @public
export interface VpnSitesList200Response extends HttpResponse {
    // (undocumented)
    body: ListVpnSitesResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface VpnSitesListByResourceGroup {
    get(options: VpnSitesListByResourceGroupParameters): StreamableMethod<VpnSitesListByResourceGroup200Response | VpnSitesListByResourceGroupDefaultResponse>;
}

// @public
export interface VpnSitesListByResourceGroup200Response extends HttpResponse {
    // (undocumented)
    body: ListVpnSitesResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface VpnSitesListByResourceGroupDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VpnSitesListByResourceGroupParameters = VpnSitesListByResourceGroupQueryParam & RequestParameters;

// @public (undocumented)
export interface VpnSitesListByResourceGroupQueryParam {
    // (undocumented)
    queryParameters: VpnSitesListByResourceGroupQueryParamProperties;
}

// @public (undocumented)
export interface VpnSitesListByResourceGroupQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VpnSitesListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type VpnSitesListParameters = VpnSitesListQueryParam & RequestParameters;

// @public (undocumented)
export interface VpnSitesListQueryParam {
    // (undocumented)
    queryParameters: VpnSitesListQueryParamProperties;
}

// @public (undocumented)
export interface VpnSitesListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface VpnSitesUpdateTags200Response extends HttpResponse {
    // (undocumented)
    body: VpnSiteOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface VpnSitesUpdateTagsBodyParam {
    body: TagsObject;
}

// @public
export interface VpnSitesUpdateTagsDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface VpnSitesUpdateTagsMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type VpnSitesUpdateTagsParameters = VpnSitesUpdateTagsQueryParam & VpnSitesUpdateTagsMediaTypesParam & VpnSitesUpdateTagsBodyParam & RequestParameters;

// @public (undocumented)
export interface VpnSitesUpdateTagsQueryParam {
    // (undocumented)
    queryParameters: VpnSitesUpdateTagsQueryParamProperties;
}

// @public (undocumented)
export interface VpnSitesUpdateTagsQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface WebApplicationFirewallCustomRule {
    action: "Allow" | "Block" | "Log";
    matchConditions: Array<MatchCondition>;
    name?: string;
    priority: number;
    ruleType: "MatchRule" | "Invalid";
}

// @public
export interface WebApplicationFirewallCustomRuleOutput {
    action: "Allow" | "Block" | "Log";
    readonly etag?: string;
    matchConditions: Array<MatchConditionOutput>;
    name?: string;
    priority: number;
    ruleType: "MatchRule" | "Invalid";
}

// @public
export interface WebApplicationFirewallPoliciesCreateOrUpdate200Response extends HttpResponse {
    // (undocumented)
    body: WebApplicationFirewallPolicyOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface WebApplicationFirewallPoliciesCreateOrUpdate201Response extends HttpResponse {
    // (undocumented)
    body: WebApplicationFirewallPolicyOutput;
    // (undocumented)
    status: "201";
}

// @public (undocumented)
export interface WebApplicationFirewallPoliciesCreateOrUpdateBodyParam {
    body: WebApplicationFirewallPolicy;
}

// @public
export interface WebApplicationFirewallPoliciesCreateOrUpdateDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export interface WebApplicationFirewallPoliciesCreateOrUpdateMediaTypesParam {
    contentType?: "application/json";
}

// @public (undocumented)
export type WebApplicationFirewallPoliciesCreateOrUpdateParameters = WebApplicationFirewallPoliciesCreateOrUpdateQueryParam & WebApplicationFirewallPoliciesCreateOrUpdateMediaTypesParam & WebApplicationFirewallPoliciesCreateOrUpdateBodyParam & RequestParameters;

// @public (undocumented)
export interface WebApplicationFirewallPoliciesCreateOrUpdateQueryParam {
    // (undocumented)
    queryParameters: WebApplicationFirewallPoliciesCreateOrUpdateQueryParamProperties;
}

// @public (undocumented)
export interface WebApplicationFirewallPoliciesCreateOrUpdateQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface WebApplicationFirewallPoliciesDelete200Response extends HttpResponse {
    // (undocumented)
    status: "200";
}

// @public
export interface WebApplicationFirewallPoliciesDelete202Response extends HttpResponse {
    // (undocumented)
    status: "202";
}

// @public
export interface WebApplicationFirewallPoliciesDelete204Response extends HttpResponse {
    // (undocumented)
    status: "204";
}

// @public
export interface WebApplicationFirewallPoliciesDeleteDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type WebApplicationFirewallPoliciesDeleteParameters = WebApplicationFirewallPoliciesDeleteQueryParam & RequestParameters;

// @public (undocumented)
export interface WebApplicationFirewallPoliciesDeleteQueryParam {
    // (undocumented)
    queryParameters: WebApplicationFirewallPoliciesDeleteQueryParamProperties;
}

// @public (undocumented)
export interface WebApplicationFirewallPoliciesDeleteQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface WebApplicationFirewallPoliciesGet {
    delete(options: WebApplicationFirewallPoliciesDeleteParameters): StreamableMethod<WebApplicationFirewallPoliciesDelete200Response | WebApplicationFirewallPoliciesDelete202Response | WebApplicationFirewallPoliciesDelete204Response | WebApplicationFirewallPoliciesDeleteDefaultResponse>;
    get(options: WebApplicationFirewallPoliciesGetParameters): StreamableMethod<WebApplicationFirewallPoliciesGet200Response | WebApplicationFirewallPoliciesGetDefaultResponse>;
    put(options: WebApplicationFirewallPoliciesCreateOrUpdateParameters): StreamableMethod<WebApplicationFirewallPoliciesCreateOrUpdate200Response | WebApplicationFirewallPoliciesCreateOrUpdate201Response | WebApplicationFirewallPoliciesCreateOrUpdateDefaultResponse>;
}

// @public
export interface WebApplicationFirewallPoliciesGet200Response extends HttpResponse {
    // (undocumented)
    body: WebApplicationFirewallPolicyOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface WebApplicationFirewallPoliciesGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type WebApplicationFirewallPoliciesGetParameters = WebApplicationFirewallPoliciesGetQueryParam & RequestParameters;

// @public (undocumented)
export interface WebApplicationFirewallPoliciesGetQueryParam {
    // (undocumented)
    queryParameters: WebApplicationFirewallPoliciesGetQueryParamProperties;
}

// @public (undocumented)
export interface WebApplicationFirewallPoliciesGetQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public (undocumented)
export interface WebApplicationFirewallPoliciesList {
    get(options: WebApplicationFirewallPoliciesListParameters): StreamableMethod<WebApplicationFirewallPoliciesList200Response | WebApplicationFirewallPoliciesListDefaultResponse>;
}

// @public
export interface WebApplicationFirewallPoliciesList200Response extends HttpResponse {
    // (undocumented)
    body: WebApplicationFirewallPolicyListResultOutput;
    // (undocumented)
    status: "200";
}

// @public (undocumented)
export interface WebApplicationFirewallPoliciesListAll {
    get(options: WebApplicationFirewallPoliciesListAllParameters): StreamableMethod<WebApplicationFirewallPoliciesListAll200Response | WebApplicationFirewallPoliciesListAllDefaultResponse>;
}

// @public
export interface WebApplicationFirewallPoliciesListAll200Response extends HttpResponse {
    // (undocumented)
    body: WebApplicationFirewallPolicyListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface WebApplicationFirewallPoliciesListAllDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type WebApplicationFirewallPoliciesListAllParameters = WebApplicationFirewallPoliciesListAllQueryParam & RequestParameters;

// @public (undocumented)
export interface WebApplicationFirewallPoliciesListAllQueryParam {
    // (undocumented)
    queryParameters: WebApplicationFirewallPoliciesListAllQueryParamProperties;
}

// @public (undocumented)
export interface WebApplicationFirewallPoliciesListAllQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface WebApplicationFirewallPoliciesListDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type WebApplicationFirewallPoliciesListParameters = WebApplicationFirewallPoliciesListQueryParam & RequestParameters;

// @public (undocumented)
export interface WebApplicationFirewallPoliciesListQueryParam {
    // (undocumented)
    queryParameters: WebApplicationFirewallPoliciesListQueryParamProperties;
}

// @public (undocumented)
export interface WebApplicationFirewallPoliciesListQueryParamProperties {
    "api-version": "2022-05-01";
}

// @public
export interface WebApplicationFirewallPolicy extends Resource {
    properties?: WebApplicationFirewallPolicyPropertiesFormat;
}

// @public
export interface WebApplicationFirewallPolicyListResultOutput {
    readonly nextLink?: string;
    readonly value?: Array<WebApplicationFirewallPolicyOutput>;
}

// @public
export interface WebApplicationFirewallPolicyOutput extends ResourceOutput {
    readonly etag?: string;
    properties?: WebApplicationFirewallPolicyPropertiesFormatOutput;
}

// @public
export interface WebApplicationFirewallPolicyPropertiesFormat {
    customRules?: Array<WebApplicationFirewallCustomRule>;
    managedRules: ManagedRulesDefinition;
    policySettings?: PolicySettings;
}

// @public
export interface WebApplicationFirewallPolicyPropertiesFormatOutput {
    readonly applicationGateways?: Array<ApplicationGatewayOutput>;
    customRules?: Array<WebApplicationFirewallCustomRuleOutput>;
    readonly httpListeners?: Array<SubResourceOutput>;
    managedRules: ManagedRulesDefinitionOutput;
    readonly pathBasedRules?: Array<SubResourceOutput>;
    policySettings?: PolicySettingsOutput;
    readonly provisioningState?: "Succeeded" | "Updating" | "Deleting" | "Failed";
    readonly resourceState?: "Creating" | "Enabling" | "Enabled" | "Disabling" | "Disabled" | "Deleting";
}

// @public (undocumented)
export interface WebCategoriesGet {
    get(options: WebCategoriesGetParameters): StreamableMethod<WebCategoriesGet200Response | WebCategoriesGetDefaultResponse>;
}

// @public
export interface WebCategoriesGet200Response extends HttpResponse {
    // (undocumented)
    body: AzureWebCategoryOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface WebCategoriesGetDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type WebCategoriesGetParameters = WebCategoriesGetQueryParam & RequestParameters;

// @public (undocumented)
export interface WebCategoriesGetQueryParam {
    // (undocumented)
    queryParameters: WebCategoriesGetQueryParamProperties;
}

// @public (undocumented)
export interface WebCategoriesGetQueryParamProperties {
    "api-version": "2022-05-01";
    $expand?: string;
}

// @public (undocumented)
export interface WebCategoriesListBySubscription {
    get(options: WebCategoriesListBySubscriptionParameters): StreamableMethod<WebCategoriesListBySubscription200Response | WebCategoriesListBySubscriptionDefaultResponse>;
}

// @public
export interface WebCategoriesListBySubscription200Response extends HttpResponse {
    // (undocumented)
    body: AzureWebCategoryListResultOutput;
    // (undocumented)
    status: "200";
}

// @public
export interface WebCategoriesListBySubscriptionDefaultResponse extends HttpResponse {
    // (undocumented)
    body: CloudErrorOutput;
    // (undocumented)
    status: string;
}

// @public (undocumented)
export type WebCategoriesListBySubscriptionParameters = WebCategoriesListBySubscriptionQueryParam & RequestParameters;

// @public (undocumented)
export interface WebCategoriesListBySubscriptionQueryParam {
    // (undocumented)
    queryParameters: WebCategoriesListBySubscriptionQueryParamProperties;
}

// @public (undocumented)
export interface WebCategoriesListBySubscriptionQueryParamProperties {
    "api-version": "2022-05-01";
}

// (No @packageDocumentation comment for this package)

```
